#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 14840
#define LARGE_STATE_COUNT 300
#define SYMBOL_COUNT 718
#define ALIAS_COUNT 2
#define TOKEN_COUNT 408
#define EXTERNAL_TOKEN_COUNT 3
#define FIELD_COUNT 51
#define MAX_ALIAS_SEQUENCE_LENGTH 24
#define PRODUCTION_ID_COUNT 286

enum ts_symbol_identifiers {
  sym__identifier = 1,
  anon_sym_SEMI = 2,
  sym_keyword_select = 3,
  sym_keyword_delete = 4,
  sym_keyword_insert = 5,
  sym_keyword_replace = 6,
  sym_keyword_update = 7,
  sym_keyword_truncate = 8,
  sym_keyword_merge = 9,
  sym_keyword_show = 10,
  sym_keyword_into = 11,
  sym_keyword_overwrite = 12,
  sym_keyword_values = 13,
  sym_keyword_value = 14,
  sym_keyword_matched = 15,
  sym_keyword_set = 16,
  sym_keyword_from = 17,
  sym_keyword_left = 18,
  sym_keyword_right = 19,
  sym_keyword_inner = 20,
  sym_keyword_full = 21,
  sym_keyword_outer = 22,
  sym_keyword_cross = 23,
  sym_keyword_join = 24,
  sym_keyword_lateral = 25,
  sym_keyword_natural = 26,
  sym_keyword_on = 27,
  sym_keyword_off = 28,
  sym_keyword_where = 29,
  sym_keyword_order = 30,
  sym_keyword_group = 31,
  sym_keyword_partition = 32,
  sym_keyword_by = 33,
  sym_keyword_having = 34,
  sym_keyword_desc = 35,
  sym_keyword_asc = 36,
  sym_keyword_limit = 37,
  sym_keyword_offset = 38,
  sym_keyword_primary = 39,
  sym_keyword_create = 40,
  sym_keyword_alter = 41,
  sym_keyword_change = 42,
  sym_keyword_analyze = 43,
  sym_keyword_explain = 44,
  sym_keyword_verbose = 45,
  sym_keyword_modify = 46,
  sym_keyword_drop = 47,
  sym_keyword_add = 48,
  sym_keyword_table = 49,
  sym_keyword_tables = 50,
  sym_keyword_view = 51,
  sym_keyword_column = 52,
  sym_keyword_columns = 53,
  sym_keyword_materialized = 54,
  sym_keyword_tablespace = 55,
  sym_keyword_sequence = 56,
  sym_keyword_increment = 57,
  sym_keyword_minvalue = 58,
  sym_keyword_maxvalue = 59,
  sym_keyword_none = 60,
  sym_keyword_owned = 61,
  sym_keyword_start = 62,
  sym_keyword_restart = 63,
  sym_keyword_key = 64,
  sym_keyword_duplicate = 65,
  sym_keyword_as = 66,
  sym_keyword_distinct = 67,
  sym_keyword_constraint = 68,
  sym_keyword_filter = 69,
  sym_keyword_cast = 70,
  sym_keyword_separator = 71,
  sym_keyword_case = 72,
  sym_keyword_when = 73,
  sym_keyword_then = 74,
  sym_keyword_else = 75,
  sym_keyword_end = 76,
  sym_keyword_in = 77,
  sym_keyword_and = 78,
  sym_keyword_or = 79,
  sym_keyword_is = 80,
  sym_keyword_not = 81,
  sym_keyword_force = 82,
  sym_keyword_ignore = 83,
  sym_keyword_using = 84,
  sym_keyword_use = 85,
  sym_keyword_index = 86,
  sym_keyword_for = 87,
  sym_keyword_if = 88,
  sym_keyword_exists = 89,
  sym_keyword_auto_increment = 90,
  sym_keyword_generated = 91,
  sym_keyword_always = 92,
  sym_keyword_collate = 93,
  aux_sym_keyword_character_token1 = 94,
  sym_keyword_engine = 95,
  sym_keyword_default = 96,
  sym_keyword_cascade = 97,
  sym_keyword_restrict = 98,
  sym_keyword_with = 99,
  sym_keyword_without = 100,
  sym_keyword_no = 101,
  sym_keyword_data = 102,
  sym_keyword_type = 103,
  sym_keyword_rename = 104,
  sym_keyword_to = 105,
  sym_keyword_database = 106,
  sym_keyword_schema = 107,
  sym_keyword_owner = 108,
  sym_keyword_user = 109,
  sym_keyword_admin = 110,
  sym_keyword_password = 111,
  sym_keyword_encrypted = 112,
  sym_keyword_valid = 113,
  sym_keyword_until = 114,
  sym_keyword_connection = 115,
  sym_keyword_role = 116,
  sym_keyword_reset = 117,
  sym_keyword_temp = 118,
  sym_keyword_temporary = 119,
  sym_keyword_unlogged = 120,
  sym_keyword_logged = 121,
  sym_keyword_cycle = 122,
  sym_keyword_union = 123,
  sym_keyword_all = 124,
  sym_keyword_any = 125,
  sym_keyword_some = 126,
  sym_keyword_except = 127,
  sym_keyword_intersect = 128,
  sym_keyword_returning = 129,
  sym_keyword_begin = 130,
  sym_keyword_commit = 131,
  sym_keyword_rollback = 132,
  sym_keyword_transaction = 133,
  sym_keyword_over = 134,
  sym_keyword_nulls = 135,
  sym_keyword_first = 136,
  sym_keyword_after = 137,
  sym_keyword_before = 138,
  sym_keyword_last = 139,
  sym_keyword_window = 140,
  sym_keyword_range = 141,
  sym_keyword_rows = 142,
  sym_keyword_groups = 143,
  sym_keyword_between = 144,
  sym_keyword_unbounded = 145,
  sym_keyword_preceding = 146,
  sym_keyword_following = 147,
  sym_keyword_exclude = 148,
  sym_keyword_current = 149,
  sym_keyword_row = 150,
  sym_keyword_ties = 151,
  sym_keyword_others = 152,
  sym_keyword_only = 153,
  sym_keyword_unique = 154,
  sym_keyword_foreign = 155,
  sym_keyword_references = 156,
  sym_keyword_concurrently = 157,
  sym_keyword_btree = 158,
  sym_keyword_hash = 159,
  sym_keyword_gist = 160,
  sym_keyword_spgist = 161,
  sym_keyword_gin = 162,
  sym_keyword_brin = 163,
  aux_sym_keyword_like_token1 = 164,
  aux_sym_keyword_like_token2 = 165,
  sym_keyword_similar = 166,
  sym_keyword_unsigned = 167,
  sym_keyword_zerofill = 168,
  sym_keyword_conflict = 169,
  sym_keyword_do = 170,
  sym_keyword_nothing = 171,
  sym_keyword_high_priority = 172,
  sym_keyword_low_priority = 173,
  sym_keyword_delayed = 174,
  sym_keyword_recursive = 175,
  sym_keyword_cascaded = 176,
  sym_keyword_local = 177,
  sym_keyword_current_timestamp = 178,
  sym_keyword_check = 179,
  sym_keyword_option = 180,
  sym_keyword_vacuum = 181,
  sym_keyword_wait = 182,
  sym_keyword_nowait = 183,
  sym_keyword_attribute = 184,
  sym_keyword_authorization = 185,
  sym_keyword_action = 186,
  sym_keyword_extension = 187,
  sym_keyword_copy = 188,
  sym_keyword_stdin = 189,
  sym_keyword_freeze = 190,
  sym_keyword_escape = 191,
  sym_keyword_encoding = 192,
  sym_keyword_force_quote = 193,
  sym_keyword_quote = 194,
  sym_keyword_force_null = 195,
  sym_keyword_force_not_null = 196,
  sym_keyword_header = 197,
  sym_keyword_match = 198,
  sym_keyword_program = 199,
  sym_keyword_plain = 200,
  sym_keyword_extended = 201,
  sym_keyword_main = 202,
  sym_keyword_storage = 203,
  sym_keyword_compression = 204,
  sym_keyword_trigger = 205,
  sym_keyword_function = 206,
  sym_keyword_returns = 207,
  sym_keyword_return = 208,
  sym_keyword_setof = 209,
  sym_keyword_atomic = 210,
  sym_keyword_declare = 211,
  sym_keyword_language = 212,
  sym_keyword_immutable = 213,
  sym_keyword_stable = 214,
  sym_keyword_volatile = 215,
  sym_keyword_leakproof = 216,
  sym_keyword_parallel = 217,
  sym_keyword_safe = 218,
  sym_keyword_unsafe = 219,
  sym_keyword_restricted = 220,
  sym_keyword_called = 221,
  sym_keyword_input = 222,
  sym_keyword_strict = 223,
  sym_keyword_cost = 224,
  sym_keyword_support = 225,
  sym_keyword_definer = 226,
  sym_keyword_invoker = 227,
  sym_keyword_security = 228,
  sym_keyword_version = 229,
  sym_keyword_out = 230,
  sym_keyword_inout = 231,
  sym_keyword_variadic = 232,
  sym_keyword_ordinality = 233,
  sym_keyword_session = 234,
  sym_keyword_isolation = 235,
  sym_keyword_level = 236,
  sym_keyword_serializable = 237,
  sym_keyword_repeatable = 238,
  sym_keyword_read = 239,
  sym_keyword_write = 240,
  sym_keyword_committed = 241,
  sym_keyword_uncommitted = 242,
  sym_keyword_deferrable = 243,
  sym_keyword_names = 244,
  sym_keyword_zone = 245,
  sym_keyword_immediate = 246,
  sym_keyword_deferred = 247,
  sym_keyword_constraints = 248,
  sym_keyword_snapshot = 249,
  sym_keyword_characteristics = 250,
  sym_keyword_follows = 251,
  sym_keyword_precedes = 252,
  sym_keyword_each = 253,
  sym_keyword_instead = 254,
  sym_keyword_of = 255,
  sym_keyword_initially = 256,
  sym_keyword_old = 257,
  sym_keyword_new = 258,
  sym_keyword_referencing = 259,
  sym_keyword_statement = 260,
  sym_keyword_execute = 261,
  sym_keyword_procedure = 262,
  sym_keyword_external = 263,
  sym_keyword_stored = 264,
  sym_keyword_virtual = 265,
  sym_keyword_cached = 266,
  sym_keyword_uncached = 267,
  sym_keyword_replication = 268,
  sym_keyword_tblproperties = 269,
  sym_keyword_compute = 270,
  sym_keyword_stats = 271,
  sym_keyword_statistics = 272,
  sym_keyword_optimize = 273,
  sym_keyword_rewrite = 274,
  sym_keyword_bin_pack = 275,
  sym_keyword_incremental = 276,
  sym_keyword_location = 277,
  sym_keyword_partitioned = 278,
  sym_keyword_comment = 279,
  sym_keyword_sort = 280,
  sym_keyword_format = 281,
  sym_keyword_delimited = 282,
  sym_keyword_delimiter = 283,
  sym_keyword_fields = 284,
  sym_keyword_terminated = 285,
  sym_keyword_escaped = 286,
  sym_keyword_lines = 287,
  sym_keyword_cache = 288,
  sym_keyword_metadata = 289,
  sym_keyword_noscan = 290,
  sym_keyword_parquet = 291,
  sym_keyword_rcfile = 292,
  sym_keyword_csv = 293,
  sym_keyword_textfile = 294,
  sym_keyword_avro = 295,
  sym_keyword_sequencefile = 296,
  sym_keyword_orc = 297,
  sym_keyword_jsonfile = 298,
  sym_keyword_null = 299,
  sym_keyword_true = 300,
  sym_keyword_false = 301,
  sym_keyword_boolean = 302,
  sym_keyword_bit = 303,
  sym_keyword_binary = 304,
  sym_keyword_varbinary = 305,
  sym_keyword_image = 306,
  aux_sym_keyword_smallserial_token1 = 307,
  aux_sym_keyword_smallserial_token2 = 308,
  aux_sym_keyword_serial_token1 = 309,
  aux_sym_keyword_serial_token2 = 310,
  aux_sym_keyword_bigserial_token1 = 311,
  aux_sym_keyword_bigserial_token2 = 312,
  aux_sym_keyword_tinyint_token1 = 313,
  aux_sym_keyword_tinyint_token2 = 314,
  aux_sym_keyword_smallint_token1 = 315,
  aux_sym_keyword_smallint_token2 = 316,
  aux_sym_keyword_mediumint_token1 = 317,
  aux_sym_keyword_mediumint_token2 = 318,
  aux_sym_keyword_int_token1 = 319,
  aux_sym_keyword_int_token2 = 320,
  aux_sym_keyword_int_token3 = 321,
  aux_sym_keyword_bigint_token1 = 322,
  aux_sym_keyword_bigint_token2 = 323,
  sym_keyword_decimal = 324,
  sym_keyword_numeric = 325,
  aux_sym_keyword_real_token1 = 326,
  aux_sym_keyword_real_token2 = 327,
  sym_keyword_float = 328,
  sym_keyword_double = 329,
  sym_keyword_precision = 330,
  sym_keyword_inet = 331,
  sym_keyword_money = 332,
  sym_keyword_smallmoney = 333,
  sym_keyword_varying = 334,
  aux_sym_keyword_char_token1 = 335,
  sym_keyword_nchar = 336,
  aux_sym_keyword_varchar_token1 = 337,
  sym_keyword_nvarchar = 338,
  sym_keyword_text = 339,
  sym_keyword_string = 340,
  sym_keyword_uuid = 341,
  sym_keyword_json = 342,
  sym_keyword_jsonb = 343,
  sym_keyword_xml = 344,
  sym_keyword_bytea = 345,
  sym_keyword_enum = 346,
  sym_keyword_date = 347,
  sym_keyword_datetime = 348,
  sym_keyword_datetime2 = 349,
  sym_keyword_smalldatetime = 350,
  sym_keyword_datetimeoffset = 351,
  sym_keyword_time = 352,
  sym_keyword_timestamp = 353,
  sym_keyword_timestamptz = 354,
  sym_keyword_interval = 355,
  sym_keyword_geometry = 356,
  sym_keyword_geography = 357,
  sym_keyword_box2d = 358,
  sym_keyword_box3d = 359,
  sym_keyword_oid = 360,
  sym_keyword_oids = 361,
  sym_keyword_name = 362,
  sym_keyword_regclass = 363,
  sym_keyword_regnamespace = 364,
  sym_keyword_regproc = 365,
  sym_keyword_regtype = 366,
  sym_keyword_array = 367,
  anon_sym_LBRACK = 368,
  anon_sym_RBRACK = 369,
  anon_sym_LPAREN = 370,
  anon_sym_RPAREN = 371,
  anon_sym_COMMA = 372,
  aux_sym_double_token1 = 373,
  sym_comment = 374,
  sym_marginalia = 375,
  anon_sym_EQ = 376,
  anon_sym_COLON_EQ = 377,
  anon_sym_DOT = 378,
  anon_sym_STAR = 379,
  sym_parameter = 380,
  anon_sym_COLON_COLON = 381,
  anon_sym_LT = 382,
  anon_sym_GT = 383,
  anon_sym_LT_EQ = 384,
  anon_sym_GT_EQ = 385,
  anon_sym_COLON = 386,
  sym_op_other = 387,
  anon_sym_PLUS = 388,
  anon_sym_DASH = 389,
  anon_sym_SLASH = 390,
  anon_sym_PERCENT = 391,
  anon_sym_CARET = 392,
  anon_sym_BANG_EQ = 393,
  anon_sym_LT_GT = 394,
  sym_op_unary_other = 395,
  sym__double_quote_string = 396,
  aux_sym__single_quote_string_token1 = 397,
  aux_sym__single_quote_string_token2 = 398,
  sym__natural_number = 399,
  aux_sym__integer_token1 = 400,
  aux_sym__decimal_number_token1 = 401,
  aux_sym__bit_string_token1 = 402,
  sym_bang = 403,
  aux_sym_identifier_token1 = 404,
  sym__dollar_quoted_string_start_tag = 405,
  sym__dollar_quoted_string_end_tag = 406,
  sym__dollar_quoted_string = 407,
  sym_program = 408,
  sym_keyword_character = 409,
  sym_keyword_like = 410,
  sym_is_not = 411,
  sym_not_like = 412,
  sym_similar_to = 413,
  sym_not_similar_to = 414,
  sym_distinct_from = 415,
  sym_not_distinct_from = 416,
  sym__temporary = 417,
  sym__not_null = 418,
  sym__primary_key = 419,
  sym__if_exists = 420,
  sym__if_not_exists = 421,
  sym__or_replace = 422,
  sym__current_row = 423,
  sym__exclude_current_row = 424,
  sym__exclude_group = 425,
  sym__exclude_no_others = 426,
  sym__exclude_ties = 427,
  sym__check_option = 428,
  sym_direction = 429,
  sym_keyword_smallserial = 430,
  sym_keyword_serial = 431,
  sym_keyword_bigserial = 432,
  sym_keyword_tinyint = 433,
  sym_keyword_smallint = 434,
  sym_keyword_mediumint = 435,
  sym_keyword_int = 436,
  sym_keyword_bigint = 437,
  sym_keyword_real = 438,
  sym_keyword_char = 439,
  sym_keyword_varchar = 440,
  sym__type = 441,
  sym_array_size_definition = 442,
  sym__array_size_definition = 443,
  sym_tinyint = 444,
  sym_smallint = 445,
  sym_mediumint = 446,
  sym_int = 447,
  sym_bigint = 448,
  sym_bit = 449,
  sym_binary = 450,
  sym_varbinary = 451,
  sym_float = 452,
  sym_double = 453,
  sym_decimal = 454,
  sym_numeric = 455,
  sym_char = 456,
  sym_varchar = 457,
  sym_nchar = 458,
  sym_nvarchar = 459,
  sym__include_time_zone = 460,
  sym_datetimeoffset = 461,
  sym_time = 462,
  sym_timestamp = 463,
  sym_enum = 464,
  sym_array = 465,
  sym_transaction = 466,
  sym__commit = 467,
  sym__rollback = 468,
  sym_block = 469,
  sym_statement = 470,
  sym__ddl_statement = 471,
  sym__cte = 472,
  sym__dml_write = 473,
  sym__dml_read = 474,
  sym__show_statement = 475,
  sym__show_tables = 476,
  sym__show_create = 477,
  sym_cte = 478,
  sym_set_operation = 479,
  sym__select_statement = 480,
  sym_comment_statement = 481,
  sym__argmode = 482,
  sym_function_argument = 483,
  sym_function_arguments = 484,
  sym__comment_target = 485,
  sym_select = 486,
  sym_select_expression = 487,
  sym_term = 488,
  sym__truncate_statement = 489,
  sym__delete_statement = 490,
  sym__delete_from = 491,
  sym_delete = 492,
  sym__create_statement = 493,
  sym__table_settings = 494,
  sym_storage_parameters = 495,
  sym_create_table = 496,
  sym_reset_statement = 497,
  sym__transaction_mode = 498,
  sym_set_statement = 499,
  sym_create_query = 500,
  sym_create_view = 501,
  sym_create_materialized_view = 502,
  sym_create_function = 503,
  sym__function_return = 504,
  sym_function_declaration = 505,
  sym__function_body_statement = 506,
  sym_function_body = 507,
  sym_function_language = 508,
  sym_function_volatility = 509,
  sym_function_leakproof = 510,
  sym_function_security = 511,
  sym_function_safety = 512,
  sym_function_strictness = 513,
  sym_function_cost = 514,
  sym_function_rows = 515,
  sym_function_support = 516,
  sym__operator_class = 517,
  sym__index_field = 518,
  sym_index_fields = 519,
  sym_create_index = 520,
  sym_create_schema = 521,
  sym__with_settings = 522,
  sym_create_database = 523,
  sym_create_role = 524,
  sym__role_options = 525,
  sym__user_access_role_config = 526,
  sym_create_sequence = 527,
  sym_create_extension = 528,
  sym_create_trigger = 529,
  sym__create_trigger_event = 530,
  sym_create_type = 531,
  sym_enum_elements = 532,
  sym__alter_statement = 533,
  sym__rename_statement = 534,
  sym__rename_table_names = 535,
  sym_alter_table = 536,
  sym__alter_specifications = 537,
  sym_add_column = 538,
  sym_add_constraint = 539,
  sym_drop_constraint = 540,
  sym_alter_column = 541,
  sym_modify_column = 542,
  sym_change_column = 543,
  sym_column_position = 544,
  sym_drop_column = 545,
  sym_rename_column = 546,
  sym_alter_view = 547,
  sym_alter_schema = 548,
  sym_alter_database = 549,
  sym_alter_role = 550,
  sym_set_configuration = 551,
  sym_alter_index = 552,
  sym_alter_sequence = 553,
  sym_alter_type = 554,
  sym__drop_behavior = 555,
  sym__drop_statement = 556,
  sym_drop_table = 557,
  sym_drop_view = 558,
  sym_drop_schema = 559,
  sym_drop_database = 560,
  sym_drop_role = 561,
  sym_drop_type = 562,
  sym_drop_sequence = 563,
  sym_drop_index = 564,
  sym_drop_extension = 565,
  sym_rename_object = 566,
  sym_set_schema = 567,
  sym_change_ownership = 568,
  sym_object_reference = 569,
  sym__copy_statement = 570,
  sym__insert_statement = 571,
  sym_insert = 572,
  sym__on_conflict = 573,
  sym__on_duplicate_key_update = 574,
  sym_assignment_list = 575,
  sym__insert_values = 576,
  sym__set_values = 577,
  sym__column_list = 578,
  sym__column = 579,
  sym__update_statement = 580,
  sym__merge_statement = 581,
  sym_when_clause = 582,
  sym__optimize_statement = 583,
  sym__compute_stats = 584,
  sym__optimize_table = 585,
  sym__vacuum_table = 586,
  sym__vacuum_option = 587,
  sym__partition_spec = 588,
  sym_update = 589,
  sym__mysql_update_statement = 590,
  sym__postgres_update_statement = 591,
  sym_storage_location = 592,
  sym_row_format = 593,
  sym_table_sort = 594,
  sym_table_partition = 595,
  sym__key_value_pair = 596,
  sym_stored_as = 597,
  sym_assignment = 598,
  sym_table_option = 599,
  sym_column_definitions = 600,
  sym_column_definition = 601,
  sym__column_comment = 602,
  sym__column_constraint = 603,
  sym__check_constraint = 604,
  sym__default_expression = 605,
  sym__inner_default_expression = 606,
  sym_constraints = 607,
  sym_constraint = 608,
  sym__constraint_literal = 609,
  sym__primary_key_constraint = 610,
  sym__key_constraint = 611,
  sym_ordered_columns = 612,
  sym_ordered_column = 613,
  sym_all_fields = 614,
  sym_case = 615,
  sym_field = 616,
  sym__qualified_field = 617,
  sym_implicit_cast = 618,
  sym_interval = 619,
  sym_cast = 620,
  sym_filter_expression = 621,
  sym_invocation = 622,
  sym_exists = 623,
  sym_partition_by = 624,
  sym_frame_definition = 625,
  sym_window_frame = 626,
  sym_window_clause = 627,
  sym_window_specification = 628,
  sym_window_function = 629,
  sym__alias = 630,
  sym_from = 631,
  sym_relation = 632,
  sym_values = 633,
  sym_index_hint = 634,
  sym_join = 635,
  sym_cross_join = 636,
  sym_lateral_join = 637,
  sym_lateral_cross_join = 638,
  sym_where = 639,
  sym_group_by = 640,
  sym__having = 641,
  sym_order_by = 642,
  sym_order_target = 643,
  sym_limit = 644,
  sym_offset = 645,
  sym_returning = 646,
  sym__expression = 647,
  sym_parenthesized_expression = 648,
  sym_subscript = 649,
  sym_binary_expression = 650,
  sym_unary_expression = 651,
  sym_between_expression = 652,
  sym_not_in = 653,
  sym_subquery = 654,
  sym_list = 655,
  sym_literal = 656,
  sym__single_quote_string = 657,
  sym__literal_string = 658,
  sym__integer = 659,
  sym__decimal_number = 660,
  sym__bit_string = 661,
  sym__string_casting = 662,
  sym_identifier = 663,
  aux_sym_program_repeat1 = 664,
  aux_sym_array_size_definition_repeat1 = 665,
  aux_sym_enum_repeat1 = 666,
  aux_sym_array_repeat1 = 667,
  aux_sym_transaction_repeat1 = 668,
  aux_sym__cte_repeat1 = 669,
  aux_sym_cte_repeat1 = 670,
  aux_sym_set_operation_repeat1 = 671,
  aux_sym_function_arguments_repeat1 = 672,
  aux_sym_select_expression_repeat1 = 673,
  aux_sym__truncate_statement_repeat1 = 674,
  aux_sym__create_statement_repeat1 = 675,
  aux_sym__table_settings_repeat1 = 676,
  aux_sym_storage_parameters_repeat1 = 677,
  aux_sym_create_table_repeat1 = 678,
  aux_sym_set_statement_repeat1 = 679,
  aux_sym_create_function_repeat1 = 680,
  aux_sym_function_body_repeat1 = 681,
  aux_sym_function_body_repeat2 = 682,
  aux_sym_index_fields_repeat1 = 683,
  aux_sym_create_database_repeat1 = 684,
  aux_sym_create_role_repeat1 = 685,
  aux_sym_create_sequence_repeat1 = 686,
  aux_sym_create_trigger_repeat1 = 687,
  aux_sym_create_trigger_repeat2 = 688,
  aux_sym_create_trigger_repeat3 = 689,
  aux_sym_create_type_repeat1 = 690,
  aux_sym_enum_elements_repeat1 = 691,
  aux_sym__rename_statement_repeat1 = 692,
  aux_sym_alter_table_repeat1 = 693,
  aux_sym_alter_column_repeat1 = 694,
  aux_sym_alter_role_repeat1 = 695,
  aux_sym_alter_index_repeat1 = 696,
  aux_sym_alter_sequence_repeat1 = 697,
  aux_sym__copy_statement_repeat1 = 698,
  aux_sym_assignment_list_repeat1 = 699,
  aux_sym__insert_values_repeat1 = 700,
  aux_sym__column_list_repeat1 = 701,
  aux_sym__merge_statement_repeat1 = 702,
  aux_sym__compute_stats_repeat1 = 703,
  aux_sym__compute_stats_repeat2 = 704,
  aux_sym__vacuum_table_repeat1 = 705,
  aux_sym__mysql_update_statement_repeat1 = 706,
  aux_sym__mysql_update_statement_repeat2 = 707,
  aux_sym_column_definitions_repeat1 = 708,
  aux_sym_column_definition_repeat1 = 709,
  aux_sym__column_constraint_repeat1 = 710,
  aux_sym_constraints_repeat1 = 711,
  aux_sym_ordered_columns_repeat1 = 712,
  aux_sym_case_repeat1 = 713,
  aux_sym_invocation_repeat1 = 714,
  aux_sym_from_repeat1 = 715,
  aux_sym_order_by_repeat1 = 716,
  aux_sym__single_quote_string_repeat1 = 717,
  anon_alias_sym_command = 718,
  anon_alias_sym_filename = 719,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__identifier] = "_identifier",
  [anon_sym_SEMI] = ";",
  [sym_keyword_select] = "keyword_select",
  [sym_keyword_delete] = "keyword_delete",
  [sym_keyword_insert] = "keyword_insert",
  [sym_keyword_replace] = "keyword_replace",
  [sym_keyword_update] = "keyword_update",
  [sym_keyword_truncate] = "keyword_truncate",
  [sym_keyword_merge] = "keyword_merge",
  [sym_keyword_show] = "keyword_show",
  [sym_keyword_into] = "keyword_into",
  [sym_keyword_overwrite] = "keyword_overwrite",
  [sym_keyword_values] = "keyword_values",
  [sym_keyword_value] = "keyword_value",
  [sym_keyword_matched] = "keyword_matched",
  [sym_keyword_set] = "keyword_set",
  [sym_keyword_from] = "keyword_from",
  [sym_keyword_left] = "keyword_left",
  [sym_keyword_right] = "keyword_right",
  [sym_keyword_inner] = "keyword_inner",
  [sym_keyword_full] = "keyword_full",
  [sym_keyword_outer] = "keyword_outer",
  [sym_keyword_cross] = "keyword_cross",
  [sym_keyword_join] = "keyword_join",
  [sym_keyword_lateral] = "keyword_lateral",
  [sym_keyword_natural] = "keyword_natural",
  [sym_keyword_on] = "keyword_on",
  [sym_keyword_off] = "keyword_off",
  [sym_keyword_where] = "keyword_where",
  [sym_keyword_order] = "keyword_order",
  [sym_keyword_group] = "keyword_group",
  [sym_keyword_partition] = "keyword_partition",
  [sym_keyword_by] = "keyword_by",
  [sym_keyword_having] = "keyword_having",
  [sym_keyword_desc] = "keyword_desc",
  [sym_keyword_asc] = "keyword_asc",
  [sym_keyword_limit] = "keyword_limit",
  [sym_keyword_offset] = "keyword_offset",
  [sym_keyword_primary] = "keyword_primary",
  [sym_keyword_create] = "keyword_create",
  [sym_keyword_alter] = "keyword_alter",
  [sym_keyword_change] = "keyword_change",
  [sym_keyword_analyze] = "keyword_analyze",
  [sym_keyword_explain] = "keyword_explain",
  [sym_keyword_verbose] = "keyword_verbose",
  [sym_keyword_modify] = "keyword_modify",
  [sym_keyword_drop] = "keyword_drop",
  [sym_keyword_add] = "keyword_add",
  [sym_keyword_table] = "keyword_table",
  [sym_keyword_tables] = "keyword_tables",
  [sym_keyword_view] = "keyword_view",
  [sym_keyword_column] = "keyword_column",
  [sym_keyword_columns] = "keyword_columns",
  [sym_keyword_materialized] = "keyword_materialized",
  [sym_keyword_tablespace] = "keyword_tablespace",
  [sym_keyword_sequence] = "keyword_sequence",
  [sym_keyword_increment] = "keyword_increment",
  [sym_keyword_minvalue] = "keyword_minvalue",
  [sym_keyword_maxvalue] = "keyword_maxvalue",
  [sym_keyword_none] = "keyword_none",
  [sym_keyword_owned] = "keyword_owned",
  [sym_keyword_start] = "keyword_start",
  [sym_keyword_restart] = "keyword_restart",
  [sym_keyword_key] = "keyword_key",
  [sym_keyword_duplicate] = "keyword_duplicate",
  [sym_keyword_as] = "keyword_as",
  [sym_keyword_distinct] = "keyword_distinct",
  [sym_keyword_constraint] = "keyword_constraint",
  [sym_keyword_filter] = "keyword_filter",
  [sym_keyword_cast] = "keyword_cast",
  [sym_keyword_separator] = "keyword_separator",
  [sym_keyword_case] = "keyword_case",
  [sym_keyword_when] = "keyword_when",
  [sym_keyword_then] = "keyword_then",
  [sym_keyword_else] = "keyword_else",
  [sym_keyword_end] = "keyword_end",
  [sym_keyword_in] = "keyword_in",
  [sym_keyword_and] = "keyword_and",
  [sym_keyword_or] = "keyword_or",
  [sym_keyword_is] = "keyword_is",
  [sym_keyword_not] = "keyword_not",
  [sym_keyword_force] = "keyword_force",
  [sym_keyword_ignore] = "keyword_ignore",
  [sym_keyword_using] = "keyword_using",
  [sym_keyword_use] = "keyword_use",
  [sym_keyword_index] = "keyword_index",
  [sym_keyword_for] = "keyword_for",
  [sym_keyword_if] = "keyword_if",
  [sym_keyword_exists] = "keyword_exists",
  [sym_keyword_auto_increment] = "keyword_auto_increment",
  [sym_keyword_generated] = "keyword_generated",
  [sym_keyword_always] = "keyword_always",
  [sym_keyword_collate] = "keyword_collate",
  [aux_sym_keyword_character_token1] = "keyword_character_token1",
  [sym_keyword_engine] = "keyword_engine",
  [sym_keyword_default] = "keyword_default",
  [sym_keyword_cascade] = "keyword_cascade",
  [sym_keyword_restrict] = "keyword_restrict",
  [sym_keyword_with] = "keyword_with",
  [sym_keyword_without] = "keyword_without",
  [sym_keyword_no] = "keyword_no",
  [sym_keyword_data] = "keyword_data",
  [sym_keyword_type] = "keyword_type",
  [sym_keyword_rename] = "keyword_rename",
  [sym_keyword_to] = "keyword_to",
  [sym_keyword_database] = "keyword_database",
  [sym_keyword_schema] = "keyword_schema",
  [sym_keyword_owner] = "keyword_owner",
  [sym_keyword_user] = "keyword_user",
  [sym_keyword_admin] = "keyword_admin",
  [sym_keyword_password] = "keyword_password",
  [sym_keyword_encrypted] = "keyword_encrypted",
  [sym_keyword_valid] = "keyword_valid",
  [sym_keyword_until] = "keyword_until",
  [sym_keyword_connection] = "keyword_connection",
  [sym_keyword_role] = "keyword_role",
  [sym_keyword_reset] = "keyword_reset",
  [sym_keyword_temp] = "keyword_temp",
  [sym_keyword_temporary] = "keyword_temporary",
  [sym_keyword_unlogged] = "keyword_unlogged",
  [sym_keyword_logged] = "keyword_logged",
  [sym_keyword_cycle] = "keyword_cycle",
  [sym_keyword_union] = "keyword_union",
  [sym_keyword_all] = "keyword_all",
  [sym_keyword_any] = "keyword_any",
  [sym_keyword_some] = "keyword_some",
  [sym_keyword_except] = "keyword_except",
  [sym_keyword_intersect] = "keyword_intersect",
  [sym_keyword_returning] = "keyword_returning",
  [sym_keyword_begin] = "keyword_begin",
  [sym_keyword_commit] = "keyword_commit",
  [sym_keyword_rollback] = "keyword_rollback",
  [sym_keyword_transaction] = "keyword_transaction",
  [sym_keyword_over] = "keyword_over",
  [sym_keyword_nulls] = "keyword_nulls",
  [sym_keyword_first] = "keyword_first",
  [sym_keyword_after] = "keyword_after",
  [sym_keyword_before] = "keyword_before",
  [sym_keyword_last] = "keyword_last",
  [sym_keyword_window] = "keyword_window",
  [sym_keyword_range] = "keyword_range",
  [sym_keyword_rows] = "keyword_rows",
  [sym_keyword_groups] = "keyword_groups",
  [sym_keyword_between] = "keyword_between",
  [sym_keyword_unbounded] = "keyword_unbounded",
  [sym_keyword_preceding] = "keyword_preceding",
  [sym_keyword_following] = "keyword_following",
  [sym_keyword_exclude] = "keyword_exclude",
  [sym_keyword_current] = "keyword_current",
  [sym_keyword_row] = "keyword_row",
  [sym_keyword_ties] = "keyword_ties",
  [sym_keyword_others] = "keyword_others",
  [sym_keyword_only] = "keyword_only",
  [sym_keyword_unique] = "keyword_unique",
  [sym_keyword_foreign] = "keyword_foreign",
  [sym_keyword_references] = "keyword_references",
  [sym_keyword_concurrently] = "keyword_concurrently",
  [sym_keyword_btree] = "keyword_btree",
  [sym_keyword_hash] = "keyword_hash",
  [sym_keyword_gist] = "keyword_gist",
  [sym_keyword_spgist] = "keyword_spgist",
  [sym_keyword_gin] = "keyword_gin",
  [sym_keyword_brin] = "keyword_brin",
  [aux_sym_keyword_like_token1] = "keyword_like_token1",
  [aux_sym_keyword_like_token2] = "keyword_like_token2",
  [sym_keyword_similar] = "keyword_similar",
  [sym_keyword_unsigned] = "keyword_unsigned",
  [sym_keyword_zerofill] = "keyword_zerofill",
  [sym_keyword_conflict] = "keyword_conflict",
  [sym_keyword_do] = "keyword_do",
  [sym_keyword_nothing] = "keyword_nothing",
  [sym_keyword_high_priority] = "keyword_high_priority",
  [sym_keyword_low_priority] = "keyword_low_priority",
  [sym_keyword_delayed] = "keyword_delayed",
  [sym_keyword_recursive] = "keyword_recursive",
  [sym_keyword_cascaded] = "keyword_cascaded",
  [sym_keyword_local] = "keyword_local",
  [sym_keyword_current_timestamp] = "keyword_current_timestamp",
  [sym_keyword_check] = "keyword_check",
  [sym_keyword_option] = "keyword_option",
  [sym_keyword_vacuum] = "keyword_vacuum",
  [sym_keyword_wait] = "keyword_wait",
  [sym_keyword_nowait] = "keyword_nowait",
  [sym_keyword_attribute] = "keyword_attribute",
  [sym_keyword_authorization] = "keyword_authorization",
  [sym_keyword_action] = "keyword_action",
  [sym_keyword_extension] = "keyword_extension",
  [sym_keyword_copy] = "keyword_copy",
  [sym_keyword_stdin] = "keyword_stdin",
  [sym_keyword_freeze] = "keyword_freeze",
  [sym_keyword_escape] = "keyword_escape",
  [sym_keyword_encoding] = "keyword_encoding",
  [sym_keyword_force_quote] = "keyword_force_quote",
  [sym_keyword_quote] = "keyword_quote",
  [sym_keyword_force_null] = "keyword_force_null",
  [sym_keyword_force_not_null] = "keyword_force_not_null",
  [sym_keyword_header] = "keyword_header",
  [sym_keyword_match] = "keyword_match",
  [sym_keyword_program] = "keyword_program",
  [sym_keyword_plain] = "keyword_plain",
  [sym_keyword_extended] = "keyword_extended",
  [sym_keyword_main] = "keyword_main",
  [sym_keyword_storage] = "keyword_storage",
  [sym_keyword_compression] = "keyword_compression",
  [sym_keyword_trigger] = "keyword_trigger",
  [sym_keyword_function] = "keyword_function",
  [sym_keyword_returns] = "keyword_returns",
  [sym_keyword_return] = "keyword_return",
  [sym_keyword_setof] = "keyword_setof",
  [sym_keyword_atomic] = "keyword_atomic",
  [sym_keyword_declare] = "keyword_declare",
  [sym_keyword_language] = "keyword_language",
  [sym_keyword_immutable] = "keyword_immutable",
  [sym_keyword_stable] = "keyword_stable",
  [sym_keyword_volatile] = "keyword_volatile",
  [sym_keyword_leakproof] = "keyword_leakproof",
  [sym_keyword_parallel] = "keyword_parallel",
  [sym_keyword_safe] = "keyword_safe",
  [sym_keyword_unsafe] = "keyword_unsafe",
  [sym_keyword_restricted] = "keyword_restricted",
  [sym_keyword_called] = "keyword_called",
  [sym_keyword_input] = "keyword_input",
  [sym_keyword_strict] = "keyword_strict",
  [sym_keyword_cost] = "keyword_cost",
  [sym_keyword_support] = "keyword_support",
  [sym_keyword_definer] = "keyword_definer",
  [sym_keyword_invoker] = "keyword_invoker",
  [sym_keyword_security] = "keyword_security",
  [sym_keyword_version] = "keyword_version",
  [sym_keyword_out] = "keyword_out",
  [sym_keyword_inout] = "keyword_inout",
  [sym_keyword_variadic] = "keyword_variadic",
  [sym_keyword_ordinality] = "keyword_ordinality",
  [sym_keyword_session] = "keyword_session",
  [sym_keyword_isolation] = "keyword_isolation",
  [sym_keyword_level] = "keyword_level",
  [sym_keyword_serializable] = "keyword_serializable",
  [sym_keyword_repeatable] = "keyword_repeatable",
  [sym_keyword_read] = "keyword_read",
  [sym_keyword_write] = "keyword_write",
  [sym_keyword_committed] = "keyword_committed",
  [sym_keyword_uncommitted] = "keyword_uncommitted",
  [sym_keyword_deferrable] = "keyword_deferrable",
  [sym_keyword_names] = "keyword_names",
  [sym_keyword_zone] = "keyword_zone",
  [sym_keyword_immediate] = "keyword_immediate",
  [sym_keyword_deferred] = "keyword_deferred",
  [sym_keyword_constraints] = "keyword_constraints",
  [sym_keyword_snapshot] = "keyword_snapshot",
  [sym_keyword_characteristics] = "keyword_characteristics",
  [sym_keyword_follows] = "keyword_follows",
  [sym_keyword_precedes] = "keyword_precedes",
  [sym_keyword_each] = "keyword_each",
  [sym_keyword_instead] = "keyword_instead",
  [sym_keyword_of] = "keyword_of",
  [sym_keyword_initially] = "keyword_initially",
  [sym_keyword_old] = "keyword_old",
  [sym_keyword_new] = "keyword_new",
  [sym_keyword_referencing] = "keyword_referencing",
  [sym_keyword_statement] = "keyword_statement",
  [sym_keyword_execute] = "keyword_execute",
  [sym_keyword_procedure] = "keyword_procedure",
  [sym_keyword_external] = "keyword_external",
  [sym_keyword_stored] = "keyword_stored",
  [sym_keyword_virtual] = "keyword_virtual",
  [sym_keyword_cached] = "keyword_cached",
  [sym_keyword_uncached] = "keyword_uncached",
  [sym_keyword_replication] = "keyword_replication",
  [sym_keyword_tblproperties] = "keyword_tblproperties",
  [sym_keyword_compute] = "keyword_compute",
  [sym_keyword_stats] = "keyword_stats",
  [sym_keyword_statistics] = "keyword_statistics",
  [sym_keyword_optimize] = "keyword_optimize",
  [sym_keyword_rewrite] = "keyword_rewrite",
  [sym_keyword_bin_pack] = "keyword_bin_pack",
  [sym_keyword_incremental] = "keyword_incremental",
  [sym_keyword_location] = "keyword_location",
  [sym_keyword_partitioned] = "keyword_partitioned",
  [sym_keyword_comment] = "keyword_comment",
  [sym_keyword_sort] = "keyword_sort",
  [sym_keyword_format] = "keyword_format",
  [sym_keyword_delimited] = "keyword_delimited",
  [sym_keyword_delimiter] = "keyword_delimiter",
  [sym_keyword_fields] = "keyword_fields",
  [sym_keyword_terminated] = "keyword_terminated",
  [sym_keyword_escaped] = "keyword_escaped",
  [sym_keyword_lines] = "keyword_lines",
  [sym_keyword_cache] = "keyword_cache",
  [sym_keyword_metadata] = "keyword_metadata",
  [sym_keyword_noscan] = "keyword_noscan",
  [sym_keyword_parquet] = "keyword_parquet",
  [sym_keyword_rcfile] = "keyword_rcfile",
  [sym_keyword_csv] = "keyword_csv",
  [sym_keyword_textfile] = "keyword_textfile",
  [sym_keyword_avro] = "keyword_avro",
  [sym_keyword_sequencefile] = "keyword_sequencefile",
  [sym_keyword_orc] = "keyword_orc",
  [sym_keyword_jsonfile] = "keyword_jsonfile",
  [sym_keyword_null] = "keyword_null",
  [sym_keyword_true] = "keyword_true",
  [sym_keyword_false] = "keyword_false",
  [sym_keyword_boolean] = "keyword_boolean",
  [sym_keyword_bit] = "keyword_bit",
  [sym_keyword_binary] = "keyword_binary",
  [sym_keyword_varbinary] = "keyword_varbinary",
  [sym_keyword_image] = "keyword_image",
  [aux_sym_keyword_smallserial_token1] = "keyword_smallserial_token1",
  [aux_sym_keyword_smallserial_token2] = "keyword_smallserial_token2",
  [aux_sym_keyword_serial_token1] = "keyword_serial_token1",
  [aux_sym_keyword_serial_token2] = "keyword_serial_token2",
  [aux_sym_keyword_bigserial_token1] = "keyword_bigserial_token1",
  [aux_sym_keyword_bigserial_token2] = "keyword_bigserial_token2",
  [aux_sym_keyword_tinyint_token1] = "keyword_tinyint_token1",
  [aux_sym_keyword_tinyint_token2] = "keyword_tinyint_token2",
  [aux_sym_keyword_smallint_token1] = "keyword_smallint_token1",
  [aux_sym_keyword_smallint_token2] = "keyword_smallint_token2",
  [aux_sym_keyword_mediumint_token1] = "keyword_mediumint_token1",
  [aux_sym_keyword_mediumint_token2] = "keyword_mediumint_token2",
  [aux_sym_keyword_int_token1] = "keyword_int_token1",
  [aux_sym_keyword_int_token2] = "keyword_int_token2",
  [aux_sym_keyword_int_token3] = "keyword_int_token3",
  [aux_sym_keyword_bigint_token1] = "keyword_bigint_token1",
  [aux_sym_keyword_bigint_token2] = "keyword_bigint_token2",
  [sym_keyword_decimal] = "keyword_decimal",
  [sym_keyword_numeric] = "keyword_numeric",
  [aux_sym_keyword_real_token1] = "keyword_real_token1",
  [aux_sym_keyword_real_token2] = "keyword_real_token2",
  [sym_keyword_float] = "keyword_float",
  [sym_keyword_double] = "keyword_double",
  [sym_keyword_precision] = "keyword_precision",
  [sym_keyword_inet] = "keyword_inet",
  [sym_keyword_money] = "keyword_money",
  [sym_keyword_smallmoney] = "keyword_smallmoney",
  [sym_keyword_varying] = "keyword_varying",
  [aux_sym_keyword_char_token1] = "keyword_char_token1",
  [sym_keyword_nchar] = "keyword_nchar",
  [aux_sym_keyword_varchar_token1] = "keyword_varchar_token1",
  [sym_keyword_nvarchar] = "keyword_nvarchar",
  [sym_keyword_text] = "keyword_text",
  [sym_keyword_string] = "keyword_string",
  [sym_keyword_uuid] = "keyword_uuid",
  [sym_keyword_json] = "keyword_json",
  [sym_keyword_jsonb] = "keyword_jsonb",
  [sym_keyword_xml] = "keyword_xml",
  [sym_keyword_bytea] = "keyword_bytea",
  [sym_keyword_enum] = "keyword_enum",
  [sym_keyword_date] = "keyword_date",
  [sym_keyword_datetime] = "keyword_datetime",
  [sym_keyword_datetime2] = "keyword_datetime2",
  [sym_keyword_smalldatetime] = "keyword_smalldatetime",
  [sym_keyword_datetimeoffset] = "keyword_datetimeoffset",
  [sym_keyword_time] = "keyword_time",
  [sym_keyword_timestamp] = "keyword_timestamp",
  [sym_keyword_timestamptz] = "keyword_timestamptz",
  [sym_keyword_interval] = "keyword_interval",
  [sym_keyword_geometry] = "keyword_geometry",
  [sym_keyword_geography] = "keyword_geography",
  [sym_keyword_box2d] = "keyword_box2d",
  [sym_keyword_box3d] = "keyword_box3d",
  [sym_keyword_oid] = "keyword_oid",
  [sym_keyword_oids] = "keyword_oids",
  [sym_keyword_name] = "keyword_name",
  [sym_keyword_regclass] = "keyword_regclass",
  [sym_keyword_regnamespace] = "keyword_regnamespace",
  [sym_keyword_regproc] = "keyword_regproc",
  [sym_keyword_regtype] = "keyword_regtype",
  [sym_keyword_array] = "keyword_array",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COMMA] = ",",
  [aux_sym_double_token1] = "double_token1",
  [sym_comment] = "comment",
  [sym_marginalia] = "marginalia",
  [anon_sym_EQ] = "=",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [sym_parameter] = "parameter",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_COLON] = ":",
  [sym_op_other] = "op_other",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_CARET] = "^",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_GT] = "<>",
  [sym_op_unary_other] = "op_unary_other",
  [sym__double_quote_string] = "_double_quote_string",
  [aux_sym__single_quote_string_token1] = "_single_quote_string_token1",
  [aux_sym__single_quote_string_token2] = "_single_quote_string_token2",
  [sym__natural_number] = "_natural_number",
  [aux_sym__integer_token1] = "_integer_token1",
  [aux_sym__decimal_number_token1] = "_decimal_number_token1",
  [aux_sym__bit_string_token1] = "_bit_string_token1",
  [sym_bang] = "bang",
  [aux_sym_identifier_token1] = "identifier_token1",
  [sym__dollar_quoted_string_start_tag] = "dollar_quote",
  [sym__dollar_quoted_string_end_tag] = "dollar_quote",
  [sym__dollar_quoted_string] = "_dollar_quoted_string",
  [sym_program] = "program",
  [sym_keyword_character] = "keyword_character",
  [sym_keyword_like] = "keyword_like",
  [sym_is_not] = "is_not",
  [sym_not_like] = "not_like",
  [sym_similar_to] = "similar_to",
  [sym_not_similar_to] = "not_similar_to",
  [sym_distinct_from] = "distinct_from",
  [sym_not_distinct_from] = "not_distinct_from",
  [sym__temporary] = "_temporary",
  [sym__not_null] = "_not_null",
  [sym__primary_key] = "_primary_key",
  [sym__if_exists] = "_if_exists",
  [sym__if_not_exists] = "_if_not_exists",
  [sym__or_replace] = "_or_replace",
  [sym__current_row] = "_current_row",
  [sym__exclude_current_row] = "_exclude_current_row",
  [sym__exclude_group] = "_exclude_group",
  [sym__exclude_no_others] = "_exclude_no_others",
  [sym__exclude_ties] = "_exclude_ties",
  [sym__check_option] = "_check_option",
  [sym_direction] = "direction",
  [sym_keyword_smallserial] = "keyword_smallserial",
  [sym_keyword_serial] = "keyword_serial",
  [sym_keyword_bigserial] = "keyword_bigserial",
  [sym_keyword_tinyint] = "keyword_tinyint",
  [sym_keyword_smallint] = "keyword_smallint",
  [sym_keyword_mediumint] = "keyword_mediumint",
  [sym_keyword_int] = "keyword_int",
  [sym_keyword_bigint] = "keyword_bigint",
  [sym_keyword_real] = "keyword_real",
  [sym_keyword_char] = "keyword_char",
  [sym_keyword_varchar] = "keyword_varchar",
  [sym__type] = "_type",
  [sym_array_size_definition] = "array_size_definition",
  [sym__array_size_definition] = "_array_size_definition",
  [sym_tinyint] = "tinyint",
  [sym_smallint] = "smallint",
  [sym_mediumint] = "mediumint",
  [sym_int] = "int",
  [sym_bigint] = "bigint",
  [sym_bit] = "bit",
  [sym_binary] = "binary",
  [sym_varbinary] = "varbinary",
  [sym_float] = "float",
  [sym_double] = "double",
  [sym_decimal] = "decimal",
  [sym_numeric] = "numeric",
  [sym_char] = "char",
  [sym_varchar] = "varchar",
  [sym_nchar] = "nchar",
  [sym_nvarchar] = "nvarchar",
  [sym__include_time_zone] = "_include_time_zone",
  [sym_datetimeoffset] = "datetimeoffset",
  [sym_time] = "time",
  [sym_timestamp] = "timestamp",
  [sym_enum] = "enum",
  [sym_array] = "array",
  [sym_transaction] = "transaction",
  [sym__commit] = "_commit",
  [sym__rollback] = "_rollback",
  [sym_block] = "block",
  [sym_statement] = "statement",
  [sym__ddl_statement] = "_ddl_statement",
  [sym__cte] = "_cte",
  [sym__dml_write] = "_dml_write",
  [sym__dml_read] = "_dml_read",
  [sym__show_statement] = "_show_statement",
  [sym__show_tables] = "_show_tables",
  [sym__show_create] = "_show_create",
  [sym_cte] = "cte",
  [sym_set_operation] = "set_operation",
  [sym__select_statement] = "_select_statement",
  [sym_comment_statement] = "comment_statement",
  [sym__argmode] = "_argmode",
  [sym_function_argument] = "function_argument",
  [sym_function_arguments] = "function_arguments",
  [sym__comment_target] = "_comment_target",
  [sym_select] = "select",
  [sym_select_expression] = "select_expression",
  [sym_term] = "term",
  [sym__truncate_statement] = "_truncate_statement",
  [sym__delete_statement] = "_delete_statement",
  [sym__delete_from] = "from",
  [sym_delete] = "delete",
  [sym__create_statement] = "_create_statement",
  [sym__table_settings] = "_table_settings",
  [sym_storage_parameters] = "storage_parameters",
  [sym_create_table] = "create_table",
  [sym_reset_statement] = "reset_statement",
  [sym__transaction_mode] = "_transaction_mode",
  [sym_set_statement] = "set_statement",
  [sym_create_query] = "create_query",
  [sym_create_view] = "create_view",
  [sym_create_materialized_view] = "create_materialized_view",
  [sym_create_function] = "create_function",
  [sym__function_return] = "_function_return",
  [sym_function_declaration] = "function_declaration",
  [sym__function_body_statement] = "_function_body_statement",
  [sym_function_body] = "function_body",
  [sym_function_language] = "function_language",
  [sym_function_volatility] = "function_volatility",
  [sym_function_leakproof] = "function_leakproof",
  [sym_function_security] = "function_security",
  [sym_function_safety] = "function_safety",
  [sym_function_strictness] = "function_strictness",
  [sym_function_cost] = "function_cost",
  [sym_function_rows] = "function_rows",
  [sym_function_support] = "function_support",
  [sym__operator_class] = "_operator_class",
  [sym__index_field] = "field",
  [sym_index_fields] = "index_fields",
  [sym_create_index] = "create_index",
  [sym_create_schema] = "create_schema",
  [sym__with_settings] = "_with_settings",
  [sym_create_database] = "create_database",
  [sym_create_role] = "create_role",
  [sym__role_options] = "_role_options",
  [sym__user_access_role_config] = "_user_access_role_config",
  [sym_create_sequence] = "create_sequence",
  [sym_create_extension] = "create_extension",
  [sym_create_trigger] = "create_trigger",
  [sym__create_trigger_event] = "_create_trigger_event",
  [sym_create_type] = "create_type",
  [sym_enum_elements] = "enum_elements",
  [sym__alter_statement] = "_alter_statement",
  [sym__rename_statement] = "_rename_statement",
  [sym__rename_table_names] = "_rename_table_names",
  [sym_alter_table] = "alter_table",
  [sym__alter_specifications] = "_alter_specifications",
  [sym_add_column] = "add_column",
  [sym_add_constraint] = "add_constraint",
  [sym_drop_constraint] = "drop_constraint",
  [sym_alter_column] = "alter_column",
  [sym_modify_column] = "modify_column",
  [sym_change_column] = "change_column",
  [sym_column_position] = "column_position",
  [sym_drop_column] = "drop_column",
  [sym_rename_column] = "rename_column",
  [sym_alter_view] = "alter_view",
  [sym_alter_schema] = "alter_schema",
  [sym_alter_database] = "alter_database",
  [sym_alter_role] = "alter_role",
  [sym_set_configuration] = "set_configuration",
  [sym_alter_index] = "alter_index",
  [sym_alter_sequence] = "alter_sequence",
  [sym_alter_type] = "alter_type",
  [sym__drop_behavior] = "_drop_behavior",
  [sym__drop_statement] = "_drop_statement",
  [sym_drop_table] = "drop_table",
  [sym_drop_view] = "drop_view",
  [sym_drop_schema] = "drop_schema",
  [sym_drop_database] = "drop_database",
  [sym_drop_role] = "drop_role",
  [sym_drop_type] = "drop_type",
  [sym_drop_sequence] = "drop_sequence",
  [sym_drop_index] = "drop_index",
  [sym_drop_extension] = "drop_extension",
  [sym_rename_object] = "rename_object",
  [sym_set_schema] = "set_schema",
  [sym_change_ownership] = "change_ownership",
  [sym_object_reference] = "object_reference",
  [sym__copy_statement] = "_copy_statement",
  [sym__insert_statement] = "_insert_statement",
  [sym_insert] = "insert",
  [sym__on_conflict] = "_on_conflict",
  [sym__on_duplicate_key_update] = "_on_duplicate_key_update",
  [sym_assignment_list] = "assignment_list",
  [sym__insert_values] = "_insert_values",
  [sym__set_values] = "_set_values",
  [sym__column_list] = "_column_list",
  [sym__column] = "_column",
  [sym__update_statement] = "_update_statement",
  [sym__merge_statement] = "_merge_statement",
  [sym_when_clause] = "when_clause",
  [sym__optimize_statement] = "_optimize_statement",
  [sym__compute_stats] = "_compute_stats",
  [sym__optimize_table] = "_optimize_table",
  [sym__vacuum_table] = "_vacuum_table",
  [sym__vacuum_option] = "_vacuum_option",
  [sym__partition_spec] = "_partition_spec",
  [sym_update] = "update",
  [sym__mysql_update_statement] = "_mysql_update_statement",
  [sym__postgres_update_statement] = "_postgres_update_statement",
  [sym_storage_location] = "storage_location",
  [sym_row_format] = "row_format",
  [sym_table_sort] = "table_sort",
  [sym_table_partition] = "table_partition",
  [sym__key_value_pair] = "_key_value_pair",
  [sym_stored_as] = "stored_as",
  [sym_assignment] = "assignment",
  [sym_table_option] = "table_option",
  [sym_column_definitions] = "column_definitions",
  [sym_column_definition] = "column_definition",
  [sym__column_comment] = "_column_comment",
  [sym__column_constraint] = "_column_constraint",
  [sym__check_constraint] = "_check_constraint",
  [sym__default_expression] = "_default_expression",
  [sym__inner_default_expression] = "_inner_default_expression",
  [sym_constraints] = "constraints",
  [sym_constraint] = "constraint",
  [sym__constraint_literal] = "_constraint_literal",
  [sym__primary_key_constraint] = "_primary_key_constraint",
  [sym__key_constraint] = "_key_constraint",
  [sym_ordered_columns] = "ordered_columns",
  [sym_ordered_column] = "column",
  [sym_all_fields] = "all_fields",
  [sym_case] = "case",
  [sym_field] = "field",
  [sym__qualified_field] = "_qualified_field",
  [sym_implicit_cast] = "cast",
  [sym_interval] = "interval",
  [sym_cast] = "cast",
  [sym_filter_expression] = "filter_expression",
  [sym_invocation] = "invocation",
  [sym_exists] = "exists",
  [sym_partition_by] = "partition_by",
  [sym_frame_definition] = "frame_definition",
  [sym_window_frame] = "window_frame",
  [sym_window_clause] = "window_clause",
  [sym_window_specification] = "window_specification",
  [sym_window_function] = "window_function",
  [sym__alias] = "_alias",
  [sym_from] = "from",
  [sym_relation] = "relation",
  [sym_values] = "values",
  [sym_index_hint] = "index_hint",
  [sym_join] = "join",
  [sym_cross_join] = "cross_join",
  [sym_lateral_join] = "lateral_join",
  [sym_lateral_cross_join] = "lateral_cross_join",
  [sym_where] = "where",
  [sym_group_by] = "group_by",
  [sym__having] = "_having",
  [sym_order_by] = "order_by",
  [sym_order_target] = "order_target",
  [sym_limit] = "limit",
  [sym_offset] = "offset",
  [sym_returning] = "returning",
  [sym__expression] = "_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_subscript] = "subscript",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_between_expression] = "between_expression",
  [sym_not_in] = "not_in",
  [sym_subquery] = "subquery",
  [sym_list] = "list",
  [sym_literal] = "literal",
  [sym__single_quote_string] = "_single_quote_string",
  [sym__literal_string] = "_literal_string",
  [sym__integer] = "_integer",
  [sym__decimal_number] = "_decimal_number",
  [sym__bit_string] = "_bit_string",
  [sym__string_casting] = "_string_casting",
  [sym_identifier] = "identifier",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_array_size_definition_repeat1] = "array_size_definition_repeat1",
  [aux_sym_enum_repeat1] = "enum_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_transaction_repeat1] = "transaction_repeat1",
  [aux_sym__cte_repeat1] = "_cte_repeat1",
  [aux_sym_cte_repeat1] = "cte_repeat1",
  [aux_sym_set_operation_repeat1] = "set_operation_repeat1",
  [aux_sym_function_arguments_repeat1] = "function_arguments_repeat1",
  [aux_sym_select_expression_repeat1] = "select_expression_repeat1",
  [aux_sym__truncate_statement_repeat1] = "_truncate_statement_repeat1",
  [aux_sym__create_statement_repeat1] = "_create_statement_repeat1",
  [aux_sym__table_settings_repeat1] = "_table_settings_repeat1",
  [aux_sym_storage_parameters_repeat1] = "storage_parameters_repeat1",
  [aux_sym_create_table_repeat1] = "create_table_repeat1",
  [aux_sym_set_statement_repeat1] = "set_statement_repeat1",
  [aux_sym_create_function_repeat1] = "create_function_repeat1",
  [aux_sym_function_body_repeat1] = "function_body_repeat1",
  [aux_sym_function_body_repeat2] = "function_body_repeat2",
  [aux_sym_index_fields_repeat1] = "index_fields_repeat1",
  [aux_sym_create_database_repeat1] = "create_database_repeat1",
  [aux_sym_create_role_repeat1] = "create_role_repeat1",
  [aux_sym_create_sequence_repeat1] = "create_sequence_repeat1",
  [aux_sym_create_trigger_repeat1] = "create_trigger_repeat1",
  [aux_sym_create_trigger_repeat2] = "create_trigger_repeat2",
  [aux_sym_create_trigger_repeat3] = "create_trigger_repeat3",
  [aux_sym_create_type_repeat1] = "create_type_repeat1",
  [aux_sym_enum_elements_repeat1] = "enum_elements_repeat1",
  [aux_sym__rename_statement_repeat1] = "_rename_statement_repeat1",
  [aux_sym_alter_table_repeat1] = "alter_table_repeat1",
  [aux_sym_alter_column_repeat1] = "alter_column_repeat1",
  [aux_sym_alter_role_repeat1] = "alter_role_repeat1",
  [aux_sym_alter_index_repeat1] = "alter_index_repeat1",
  [aux_sym_alter_sequence_repeat1] = "alter_sequence_repeat1",
  [aux_sym__copy_statement_repeat1] = "_copy_statement_repeat1",
  [aux_sym_assignment_list_repeat1] = "assignment_list_repeat1",
  [aux_sym__insert_values_repeat1] = "_insert_values_repeat1",
  [aux_sym__column_list_repeat1] = "_column_list_repeat1",
  [aux_sym__merge_statement_repeat1] = "_merge_statement_repeat1",
  [aux_sym__compute_stats_repeat1] = "_compute_stats_repeat1",
  [aux_sym__compute_stats_repeat2] = "_compute_stats_repeat2",
  [aux_sym__vacuum_table_repeat1] = "_vacuum_table_repeat1",
  [aux_sym__mysql_update_statement_repeat1] = "_mysql_update_statement_repeat1",
  [aux_sym__mysql_update_statement_repeat2] = "_mysql_update_statement_repeat2",
  [aux_sym_column_definitions_repeat1] = "column_definitions_repeat1",
  [aux_sym_column_definition_repeat1] = "column_definition_repeat1",
  [aux_sym__column_constraint_repeat1] = "_column_constraint_repeat1",
  [aux_sym_constraints_repeat1] = "constraints_repeat1",
  [aux_sym_ordered_columns_repeat1] = "ordered_columns_repeat1",
  [aux_sym_case_repeat1] = "case_repeat1",
  [aux_sym_invocation_repeat1] = "invocation_repeat1",
  [aux_sym_from_repeat1] = "from_repeat1",
  [aux_sym_order_by_repeat1] = "order_by_repeat1",
  [aux_sym__single_quote_string_repeat1] = "_single_quote_string_repeat1",
  [anon_alias_sym_command] = "command",
  [anon_alias_sym_filename] = "filename",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__identifier] = sym__identifier,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [sym_keyword_select] = sym_keyword_select,
  [sym_keyword_delete] = sym_keyword_delete,
  [sym_keyword_insert] = sym_keyword_insert,
  [sym_keyword_replace] = sym_keyword_replace,
  [sym_keyword_update] = sym_keyword_update,
  [sym_keyword_truncate] = sym_keyword_truncate,
  [sym_keyword_merge] = sym_keyword_merge,
  [sym_keyword_show] = sym_keyword_show,
  [sym_keyword_into] = sym_keyword_into,
  [sym_keyword_overwrite] = sym_keyword_overwrite,
  [sym_keyword_values] = sym_keyword_values,
  [sym_keyword_value] = sym_keyword_value,
  [sym_keyword_matched] = sym_keyword_matched,
  [sym_keyword_set] = sym_keyword_set,
  [sym_keyword_from] = sym_keyword_from,
  [sym_keyword_left] = sym_keyword_left,
  [sym_keyword_right] = sym_keyword_right,
  [sym_keyword_inner] = sym_keyword_inner,
  [sym_keyword_full] = sym_keyword_full,
  [sym_keyword_outer] = sym_keyword_outer,
  [sym_keyword_cross] = sym_keyword_cross,
  [sym_keyword_join] = sym_keyword_join,
  [sym_keyword_lateral] = sym_keyword_lateral,
  [sym_keyword_natural] = sym_keyword_natural,
  [sym_keyword_on] = sym_keyword_on,
  [sym_keyword_off] = sym_keyword_off,
  [sym_keyword_where] = sym_keyword_where,
  [sym_keyword_order] = sym_keyword_order,
  [sym_keyword_group] = sym_keyword_group,
  [sym_keyword_partition] = sym_keyword_partition,
  [sym_keyword_by] = sym_keyword_by,
  [sym_keyword_having] = sym_keyword_having,
  [sym_keyword_desc] = sym_keyword_desc,
  [sym_keyword_asc] = sym_keyword_asc,
  [sym_keyword_limit] = sym_keyword_limit,
  [sym_keyword_offset] = sym_keyword_offset,
  [sym_keyword_primary] = sym_keyword_primary,
  [sym_keyword_create] = sym_keyword_create,
  [sym_keyword_alter] = sym_keyword_alter,
  [sym_keyword_change] = sym_keyword_change,
  [sym_keyword_analyze] = sym_keyword_analyze,
  [sym_keyword_explain] = sym_keyword_explain,
  [sym_keyword_verbose] = sym_keyword_verbose,
  [sym_keyword_modify] = sym_keyword_modify,
  [sym_keyword_drop] = sym_keyword_drop,
  [sym_keyword_add] = sym_keyword_add,
  [sym_keyword_table] = sym_keyword_table,
  [sym_keyword_tables] = sym_keyword_tables,
  [sym_keyword_view] = sym_keyword_view,
  [sym_keyword_column] = sym_keyword_column,
  [sym_keyword_columns] = sym_keyword_columns,
  [sym_keyword_materialized] = sym_keyword_materialized,
  [sym_keyword_tablespace] = sym_keyword_tablespace,
  [sym_keyword_sequence] = sym_keyword_sequence,
  [sym_keyword_increment] = sym_keyword_increment,
  [sym_keyword_minvalue] = sym_keyword_minvalue,
  [sym_keyword_maxvalue] = sym_keyword_maxvalue,
  [sym_keyword_none] = sym_keyword_none,
  [sym_keyword_owned] = sym_keyword_owned,
  [sym_keyword_start] = sym_keyword_start,
  [sym_keyword_restart] = sym_keyword_restart,
  [sym_keyword_key] = sym_keyword_key,
  [sym_keyword_duplicate] = sym_keyword_duplicate,
  [sym_keyword_as] = sym_keyword_as,
  [sym_keyword_distinct] = sym_keyword_distinct,
  [sym_keyword_constraint] = sym_keyword_constraint,
  [sym_keyword_filter] = sym_keyword_filter,
  [sym_keyword_cast] = sym_keyword_cast,
  [sym_keyword_separator] = sym_keyword_separator,
  [sym_keyword_case] = sym_keyword_case,
  [sym_keyword_when] = sym_keyword_when,
  [sym_keyword_then] = sym_keyword_then,
  [sym_keyword_else] = sym_keyword_else,
  [sym_keyword_end] = sym_keyword_end,
  [sym_keyword_in] = sym_keyword_in,
  [sym_keyword_and] = sym_keyword_and,
  [sym_keyword_or] = sym_keyword_or,
  [sym_keyword_is] = sym_keyword_is,
  [sym_keyword_not] = sym_keyword_not,
  [sym_keyword_force] = sym_keyword_force,
  [sym_keyword_ignore] = sym_keyword_ignore,
  [sym_keyword_using] = sym_keyword_using,
  [sym_keyword_use] = sym_keyword_use,
  [sym_keyword_index] = sym_keyword_index,
  [sym_keyword_for] = sym_keyword_for,
  [sym_keyword_if] = sym_keyword_if,
  [sym_keyword_exists] = sym_keyword_exists,
  [sym_keyword_auto_increment] = sym_keyword_auto_increment,
  [sym_keyword_generated] = sym_keyword_generated,
  [sym_keyword_always] = sym_keyword_always,
  [sym_keyword_collate] = sym_keyword_collate,
  [aux_sym_keyword_character_token1] = aux_sym_keyword_character_token1,
  [sym_keyword_engine] = sym_keyword_engine,
  [sym_keyword_default] = sym_keyword_default,
  [sym_keyword_cascade] = sym_keyword_cascade,
  [sym_keyword_restrict] = sym_keyword_restrict,
  [sym_keyword_with] = sym_keyword_with,
  [sym_keyword_without] = sym_keyword_without,
  [sym_keyword_no] = sym_keyword_no,
  [sym_keyword_data] = sym_keyword_data,
  [sym_keyword_type] = sym_keyword_type,
  [sym_keyword_rename] = sym_keyword_rename,
  [sym_keyword_to] = sym_keyword_to,
  [sym_keyword_database] = sym_keyword_database,
  [sym_keyword_schema] = sym_keyword_schema,
  [sym_keyword_owner] = sym_keyword_owner,
  [sym_keyword_user] = sym_keyword_user,
  [sym_keyword_admin] = sym_keyword_admin,
  [sym_keyword_password] = sym_keyword_password,
  [sym_keyword_encrypted] = sym_keyword_encrypted,
  [sym_keyword_valid] = sym_keyword_valid,
  [sym_keyword_until] = sym_keyword_until,
  [sym_keyword_connection] = sym_keyword_connection,
  [sym_keyword_role] = sym_keyword_role,
  [sym_keyword_reset] = sym_keyword_reset,
  [sym_keyword_temp] = sym_keyword_temp,
  [sym_keyword_temporary] = sym_keyword_temporary,
  [sym_keyword_unlogged] = sym_keyword_unlogged,
  [sym_keyword_logged] = sym_keyword_logged,
  [sym_keyword_cycle] = sym_keyword_cycle,
  [sym_keyword_union] = sym_keyword_union,
  [sym_keyword_all] = sym_keyword_all,
  [sym_keyword_any] = sym_keyword_any,
  [sym_keyword_some] = sym_keyword_some,
  [sym_keyword_except] = sym_keyword_except,
  [sym_keyword_intersect] = sym_keyword_intersect,
  [sym_keyword_returning] = sym_keyword_returning,
  [sym_keyword_begin] = sym_keyword_begin,
  [sym_keyword_commit] = sym_keyword_commit,
  [sym_keyword_rollback] = sym_keyword_rollback,
  [sym_keyword_transaction] = sym_keyword_transaction,
  [sym_keyword_over] = sym_keyword_over,
  [sym_keyword_nulls] = sym_keyword_nulls,
  [sym_keyword_first] = sym_keyword_first,
  [sym_keyword_after] = sym_keyword_after,
  [sym_keyword_before] = sym_keyword_before,
  [sym_keyword_last] = sym_keyword_last,
  [sym_keyword_window] = sym_keyword_window,
  [sym_keyword_range] = sym_keyword_range,
  [sym_keyword_rows] = sym_keyword_rows,
  [sym_keyword_groups] = sym_keyword_groups,
  [sym_keyword_between] = sym_keyword_between,
  [sym_keyword_unbounded] = sym_keyword_unbounded,
  [sym_keyword_preceding] = sym_keyword_preceding,
  [sym_keyword_following] = sym_keyword_following,
  [sym_keyword_exclude] = sym_keyword_exclude,
  [sym_keyword_current] = sym_keyword_current,
  [sym_keyword_row] = sym_keyword_row,
  [sym_keyword_ties] = sym_keyword_ties,
  [sym_keyword_others] = sym_keyword_others,
  [sym_keyword_only] = sym_keyword_only,
  [sym_keyword_unique] = sym_keyword_unique,
  [sym_keyword_foreign] = sym_keyword_foreign,
  [sym_keyword_references] = sym_keyword_references,
  [sym_keyword_concurrently] = sym_keyword_concurrently,
  [sym_keyword_btree] = sym_keyword_btree,
  [sym_keyword_hash] = sym_keyword_hash,
  [sym_keyword_gist] = sym_keyword_gist,
  [sym_keyword_spgist] = sym_keyword_spgist,
  [sym_keyword_gin] = sym_keyword_gin,
  [sym_keyword_brin] = sym_keyword_brin,
  [aux_sym_keyword_like_token1] = aux_sym_keyword_like_token1,
  [aux_sym_keyword_like_token2] = aux_sym_keyword_like_token2,
  [sym_keyword_similar] = sym_keyword_similar,
  [sym_keyword_unsigned] = sym_keyword_unsigned,
  [sym_keyword_zerofill] = sym_keyword_zerofill,
  [sym_keyword_conflict] = sym_keyword_conflict,
  [sym_keyword_do] = sym_keyword_do,
  [sym_keyword_nothing] = sym_keyword_nothing,
  [sym_keyword_high_priority] = sym_keyword_high_priority,
  [sym_keyword_low_priority] = sym_keyword_low_priority,
  [sym_keyword_delayed] = sym_keyword_delayed,
  [sym_keyword_recursive] = sym_keyword_recursive,
  [sym_keyword_cascaded] = sym_keyword_cascaded,
  [sym_keyword_local] = sym_keyword_local,
  [sym_keyword_current_timestamp] = sym_keyword_current_timestamp,
  [sym_keyword_check] = sym_keyword_check,
  [sym_keyword_option] = sym_keyword_option,
  [sym_keyword_vacuum] = sym_keyword_vacuum,
  [sym_keyword_wait] = sym_keyword_wait,
  [sym_keyword_nowait] = sym_keyword_nowait,
  [sym_keyword_attribute] = sym_keyword_attribute,
  [sym_keyword_authorization] = sym_keyword_authorization,
  [sym_keyword_action] = sym_keyword_action,
  [sym_keyword_extension] = sym_keyword_extension,
  [sym_keyword_copy] = sym_keyword_copy,
  [sym_keyword_stdin] = sym_keyword_stdin,
  [sym_keyword_freeze] = sym_keyword_freeze,
  [sym_keyword_escape] = sym_keyword_escape,
  [sym_keyword_encoding] = sym_keyword_encoding,
  [sym_keyword_force_quote] = sym_keyword_force_quote,
  [sym_keyword_quote] = sym_keyword_quote,
  [sym_keyword_force_null] = sym_keyword_force_null,
  [sym_keyword_force_not_null] = sym_keyword_force_not_null,
  [sym_keyword_header] = sym_keyword_header,
  [sym_keyword_match] = sym_keyword_match,
  [sym_keyword_program] = sym_keyword_program,
  [sym_keyword_plain] = sym_keyword_plain,
  [sym_keyword_extended] = sym_keyword_extended,
  [sym_keyword_main] = sym_keyword_main,
  [sym_keyword_storage] = sym_keyword_storage,
  [sym_keyword_compression] = sym_keyword_compression,
  [sym_keyword_trigger] = sym_keyword_trigger,
  [sym_keyword_function] = sym_keyword_function,
  [sym_keyword_returns] = sym_keyword_returns,
  [sym_keyword_return] = sym_keyword_return,
  [sym_keyword_setof] = sym_keyword_setof,
  [sym_keyword_atomic] = sym_keyword_atomic,
  [sym_keyword_declare] = sym_keyword_declare,
  [sym_keyword_language] = sym_keyword_language,
  [sym_keyword_immutable] = sym_keyword_immutable,
  [sym_keyword_stable] = sym_keyword_stable,
  [sym_keyword_volatile] = sym_keyword_volatile,
  [sym_keyword_leakproof] = sym_keyword_leakproof,
  [sym_keyword_parallel] = sym_keyword_parallel,
  [sym_keyword_safe] = sym_keyword_safe,
  [sym_keyword_unsafe] = sym_keyword_unsafe,
  [sym_keyword_restricted] = sym_keyword_restricted,
  [sym_keyword_called] = sym_keyword_called,
  [sym_keyword_input] = sym_keyword_input,
  [sym_keyword_strict] = sym_keyword_strict,
  [sym_keyword_cost] = sym_keyword_cost,
  [sym_keyword_support] = sym_keyword_support,
  [sym_keyword_definer] = sym_keyword_definer,
  [sym_keyword_invoker] = sym_keyword_invoker,
  [sym_keyword_security] = sym_keyword_security,
  [sym_keyword_version] = sym_keyword_version,
  [sym_keyword_out] = sym_keyword_out,
  [sym_keyword_inout] = sym_keyword_inout,
  [sym_keyword_variadic] = sym_keyword_variadic,
  [sym_keyword_ordinality] = sym_keyword_ordinality,
  [sym_keyword_session] = sym_keyword_session,
  [sym_keyword_isolation] = sym_keyword_isolation,
  [sym_keyword_level] = sym_keyword_level,
  [sym_keyword_serializable] = sym_keyword_serializable,
  [sym_keyword_repeatable] = sym_keyword_repeatable,
  [sym_keyword_read] = sym_keyword_read,
  [sym_keyword_write] = sym_keyword_write,
  [sym_keyword_committed] = sym_keyword_committed,
  [sym_keyword_uncommitted] = sym_keyword_uncommitted,
  [sym_keyword_deferrable] = sym_keyword_deferrable,
  [sym_keyword_names] = sym_keyword_names,
  [sym_keyword_zone] = sym_keyword_zone,
  [sym_keyword_immediate] = sym_keyword_immediate,
  [sym_keyword_deferred] = sym_keyword_deferred,
  [sym_keyword_constraints] = sym_keyword_constraints,
  [sym_keyword_snapshot] = sym_keyword_snapshot,
  [sym_keyword_characteristics] = sym_keyword_characteristics,
  [sym_keyword_follows] = sym_keyword_follows,
  [sym_keyword_precedes] = sym_keyword_precedes,
  [sym_keyword_each] = sym_keyword_each,
  [sym_keyword_instead] = sym_keyword_instead,
  [sym_keyword_of] = sym_keyword_of,
  [sym_keyword_initially] = sym_keyword_initially,
  [sym_keyword_old] = sym_keyword_old,
  [sym_keyword_new] = sym_keyword_new,
  [sym_keyword_referencing] = sym_keyword_referencing,
  [sym_keyword_statement] = sym_keyword_statement,
  [sym_keyword_execute] = sym_keyword_execute,
  [sym_keyword_procedure] = sym_keyword_procedure,
  [sym_keyword_external] = sym_keyword_external,
  [sym_keyword_stored] = sym_keyword_stored,
  [sym_keyword_virtual] = sym_keyword_virtual,
  [sym_keyword_cached] = sym_keyword_cached,
  [sym_keyword_uncached] = sym_keyword_uncached,
  [sym_keyword_replication] = sym_keyword_replication,
  [sym_keyword_tblproperties] = sym_keyword_tblproperties,
  [sym_keyword_compute] = sym_keyword_compute,
  [sym_keyword_stats] = sym_keyword_stats,
  [sym_keyword_statistics] = sym_keyword_statistics,
  [sym_keyword_optimize] = sym_keyword_optimize,
  [sym_keyword_rewrite] = sym_keyword_rewrite,
  [sym_keyword_bin_pack] = sym_keyword_bin_pack,
  [sym_keyword_incremental] = sym_keyword_incremental,
  [sym_keyword_location] = sym_keyword_location,
  [sym_keyword_partitioned] = sym_keyword_partitioned,
  [sym_keyword_comment] = sym_keyword_comment,
  [sym_keyword_sort] = sym_keyword_sort,
  [sym_keyword_format] = sym_keyword_format,
  [sym_keyword_delimited] = sym_keyword_delimited,
  [sym_keyword_delimiter] = sym_keyword_delimiter,
  [sym_keyword_fields] = sym_keyword_fields,
  [sym_keyword_terminated] = sym_keyword_terminated,
  [sym_keyword_escaped] = sym_keyword_escaped,
  [sym_keyword_lines] = sym_keyword_lines,
  [sym_keyword_cache] = sym_keyword_cache,
  [sym_keyword_metadata] = sym_keyword_metadata,
  [sym_keyword_noscan] = sym_keyword_noscan,
  [sym_keyword_parquet] = sym_keyword_parquet,
  [sym_keyword_rcfile] = sym_keyword_rcfile,
  [sym_keyword_csv] = sym_keyword_csv,
  [sym_keyword_textfile] = sym_keyword_textfile,
  [sym_keyword_avro] = sym_keyword_avro,
  [sym_keyword_sequencefile] = sym_keyword_sequencefile,
  [sym_keyword_orc] = sym_keyword_orc,
  [sym_keyword_jsonfile] = sym_keyword_jsonfile,
  [sym_keyword_null] = sym_keyword_null,
  [sym_keyword_true] = sym_keyword_true,
  [sym_keyword_false] = sym_keyword_false,
  [sym_keyword_boolean] = sym_keyword_boolean,
  [sym_keyword_bit] = sym_keyword_bit,
  [sym_keyword_binary] = sym_keyword_binary,
  [sym_keyword_varbinary] = sym_keyword_varbinary,
  [sym_keyword_image] = sym_keyword_image,
  [aux_sym_keyword_smallserial_token1] = aux_sym_keyword_smallserial_token1,
  [aux_sym_keyword_smallserial_token2] = aux_sym_keyword_smallserial_token2,
  [aux_sym_keyword_serial_token1] = aux_sym_keyword_serial_token1,
  [aux_sym_keyword_serial_token2] = aux_sym_keyword_serial_token2,
  [aux_sym_keyword_bigserial_token1] = aux_sym_keyword_bigserial_token1,
  [aux_sym_keyword_bigserial_token2] = aux_sym_keyword_bigserial_token2,
  [aux_sym_keyword_tinyint_token1] = aux_sym_keyword_tinyint_token1,
  [aux_sym_keyword_tinyint_token2] = aux_sym_keyword_tinyint_token2,
  [aux_sym_keyword_smallint_token1] = aux_sym_keyword_smallint_token1,
  [aux_sym_keyword_smallint_token2] = aux_sym_keyword_smallint_token2,
  [aux_sym_keyword_mediumint_token1] = aux_sym_keyword_mediumint_token1,
  [aux_sym_keyword_mediumint_token2] = aux_sym_keyword_mediumint_token2,
  [aux_sym_keyword_int_token1] = aux_sym_keyword_int_token1,
  [aux_sym_keyword_int_token2] = aux_sym_keyword_int_token2,
  [aux_sym_keyword_int_token3] = aux_sym_keyword_int_token3,
  [aux_sym_keyword_bigint_token1] = aux_sym_keyword_bigint_token1,
  [aux_sym_keyword_bigint_token2] = aux_sym_keyword_bigint_token2,
  [sym_keyword_decimal] = sym_keyword_decimal,
  [sym_keyword_numeric] = sym_keyword_numeric,
  [aux_sym_keyword_real_token1] = aux_sym_keyword_real_token1,
  [aux_sym_keyword_real_token2] = aux_sym_keyword_real_token2,
  [sym_keyword_float] = sym_keyword_float,
  [sym_keyword_double] = sym_keyword_double,
  [sym_keyword_precision] = sym_keyword_precision,
  [sym_keyword_inet] = sym_keyword_inet,
  [sym_keyword_money] = sym_keyword_money,
  [sym_keyword_smallmoney] = sym_keyword_smallmoney,
  [sym_keyword_varying] = sym_keyword_varying,
  [aux_sym_keyword_char_token1] = aux_sym_keyword_char_token1,
  [sym_keyword_nchar] = sym_keyword_nchar,
  [aux_sym_keyword_varchar_token1] = aux_sym_keyword_varchar_token1,
  [sym_keyword_nvarchar] = sym_keyword_nvarchar,
  [sym_keyword_text] = sym_keyword_text,
  [sym_keyword_string] = sym_keyword_string,
  [sym_keyword_uuid] = sym_keyword_uuid,
  [sym_keyword_json] = sym_keyword_json,
  [sym_keyword_jsonb] = sym_keyword_jsonb,
  [sym_keyword_xml] = sym_keyword_xml,
  [sym_keyword_bytea] = sym_keyword_bytea,
  [sym_keyword_enum] = sym_keyword_enum,
  [sym_keyword_date] = sym_keyword_date,
  [sym_keyword_datetime] = sym_keyword_datetime,
  [sym_keyword_datetime2] = sym_keyword_datetime2,
  [sym_keyword_smalldatetime] = sym_keyword_smalldatetime,
  [sym_keyword_datetimeoffset] = sym_keyword_datetimeoffset,
  [sym_keyword_time] = sym_keyword_time,
  [sym_keyword_timestamp] = sym_keyword_timestamp,
  [sym_keyword_timestamptz] = sym_keyword_timestamptz,
  [sym_keyword_interval] = sym_keyword_interval,
  [sym_keyword_geometry] = sym_keyword_geometry,
  [sym_keyword_geography] = sym_keyword_geography,
  [sym_keyword_box2d] = sym_keyword_box2d,
  [sym_keyword_box3d] = sym_keyword_box3d,
  [sym_keyword_oid] = sym_keyword_oid,
  [sym_keyword_oids] = sym_keyword_oids,
  [sym_keyword_name] = sym_keyword_name,
  [sym_keyword_regclass] = sym_keyword_regclass,
  [sym_keyword_regnamespace] = sym_keyword_regnamespace,
  [sym_keyword_regproc] = sym_keyword_regproc,
  [sym_keyword_regtype] = sym_keyword_regtype,
  [sym_keyword_array] = sym_keyword_array,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [aux_sym_double_token1] = aux_sym_double_token1,
  [sym_comment] = sym_comment,
  [sym_marginalia] = sym_marginalia,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [sym_parameter] = sym_parameter,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_COLON] = anon_sym_COLON,
  [sym_op_other] = sym_op_other,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [sym_op_unary_other] = sym_op_unary_other,
  [sym__double_quote_string] = sym__double_quote_string,
  [aux_sym__single_quote_string_token1] = aux_sym__single_quote_string_token1,
  [aux_sym__single_quote_string_token2] = aux_sym__single_quote_string_token2,
  [sym__natural_number] = sym__natural_number,
  [aux_sym__integer_token1] = aux_sym__integer_token1,
  [aux_sym__decimal_number_token1] = aux_sym__decimal_number_token1,
  [aux_sym__bit_string_token1] = aux_sym__bit_string_token1,
  [sym_bang] = sym_bang,
  [aux_sym_identifier_token1] = aux_sym_identifier_token1,
  [sym__dollar_quoted_string_start_tag] = sym__dollar_quoted_string_start_tag,
  [sym__dollar_quoted_string_end_tag] = sym__dollar_quoted_string_start_tag,
  [sym__dollar_quoted_string] = sym__dollar_quoted_string,
  [sym_program] = sym_program,
  [sym_keyword_character] = sym_keyword_character,
  [sym_keyword_like] = sym_keyword_like,
  [sym_is_not] = sym_is_not,
  [sym_not_like] = sym_not_like,
  [sym_similar_to] = sym_similar_to,
  [sym_not_similar_to] = sym_not_similar_to,
  [sym_distinct_from] = sym_distinct_from,
  [sym_not_distinct_from] = sym_not_distinct_from,
  [sym__temporary] = sym__temporary,
  [sym__not_null] = sym__not_null,
  [sym__primary_key] = sym__primary_key,
  [sym__if_exists] = sym__if_exists,
  [sym__if_not_exists] = sym__if_not_exists,
  [sym__or_replace] = sym__or_replace,
  [sym__current_row] = sym__current_row,
  [sym__exclude_current_row] = sym__exclude_current_row,
  [sym__exclude_group] = sym__exclude_group,
  [sym__exclude_no_others] = sym__exclude_no_others,
  [sym__exclude_ties] = sym__exclude_ties,
  [sym__check_option] = sym__check_option,
  [sym_direction] = sym_direction,
  [sym_keyword_smallserial] = sym_keyword_smallserial,
  [sym_keyword_serial] = sym_keyword_serial,
  [sym_keyword_bigserial] = sym_keyword_bigserial,
  [sym_keyword_tinyint] = sym_keyword_tinyint,
  [sym_keyword_smallint] = sym_keyword_smallint,
  [sym_keyword_mediumint] = sym_keyword_mediumint,
  [sym_keyword_int] = sym_keyword_int,
  [sym_keyword_bigint] = sym_keyword_bigint,
  [sym_keyword_real] = sym_keyword_real,
  [sym_keyword_char] = sym_keyword_char,
  [sym_keyword_varchar] = sym_keyword_varchar,
  [sym__type] = sym__type,
  [sym_array_size_definition] = sym_array_size_definition,
  [sym__array_size_definition] = sym__array_size_definition,
  [sym_tinyint] = sym_tinyint,
  [sym_smallint] = sym_smallint,
  [sym_mediumint] = sym_mediumint,
  [sym_int] = sym_int,
  [sym_bigint] = sym_bigint,
  [sym_bit] = sym_bit,
  [sym_binary] = sym_binary,
  [sym_varbinary] = sym_varbinary,
  [sym_float] = sym_float,
  [sym_double] = sym_double,
  [sym_decimal] = sym_decimal,
  [sym_numeric] = sym_numeric,
  [sym_char] = sym_char,
  [sym_varchar] = sym_varchar,
  [sym_nchar] = sym_nchar,
  [sym_nvarchar] = sym_nvarchar,
  [sym__include_time_zone] = sym__include_time_zone,
  [sym_datetimeoffset] = sym_datetimeoffset,
  [sym_time] = sym_time,
  [sym_timestamp] = sym_timestamp,
  [sym_enum] = sym_enum,
  [sym_array] = sym_array,
  [sym_transaction] = sym_transaction,
  [sym__commit] = sym__commit,
  [sym__rollback] = sym__rollback,
  [sym_block] = sym_block,
  [sym_statement] = sym_statement,
  [sym__ddl_statement] = sym__ddl_statement,
  [sym__cte] = sym__cte,
  [sym__dml_write] = sym__dml_write,
  [sym__dml_read] = sym__dml_read,
  [sym__show_statement] = sym__show_statement,
  [sym__show_tables] = sym__show_tables,
  [sym__show_create] = sym__show_create,
  [sym_cte] = sym_cte,
  [sym_set_operation] = sym_set_operation,
  [sym__select_statement] = sym__select_statement,
  [sym_comment_statement] = sym_comment_statement,
  [sym__argmode] = sym__argmode,
  [sym_function_argument] = sym_function_argument,
  [sym_function_arguments] = sym_function_arguments,
  [sym__comment_target] = sym__comment_target,
  [sym_select] = sym_select,
  [sym_select_expression] = sym_select_expression,
  [sym_term] = sym_term,
  [sym__truncate_statement] = sym__truncate_statement,
  [sym__delete_statement] = sym__delete_statement,
  [sym__delete_from] = sym_from,
  [sym_delete] = sym_delete,
  [sym__create_statement] = sym__create_statement,
  [sym__table_settings] = sym__table_settings,
  [sym_storage_parameters] = sym_storage_parameters,
  [sym_create_table] = sym_create_table,
  [sym_reset_statement] = sym_reset_statement,
  [sym__transaction_mode] = sym__transaction_mode,
  [sym_set_statement] = sym_set_statement,
  [sym_create_query] = sym_create_query,
  [sym_create_view] = sym_create_view,
  [sym_create_materialized_view] = sym_create_materialized_view,
  [sym_create_function] = sym_create_function,
  [sym__function_return] = sym__function_return,
  [sym_function_declaration] = sym_function_declaration,
  [sym__function_body_statement] = sym__function_body_statement,
  [sym_function_body] = sym_function_body,
  [sym_function_language] = sym_function_language,
  [sym_function_volatility] = sym_function_volatility,
  [sym_function_leakproof] = sym_function_leakproof,
  [sym_function_security] = sym_function_security,
  [sym_function_safety] = sym_function_safety,
  [sym_function_strictness] = sym_function_strictness,
  [sym_function_cost] = sym_function_cost,
  [sym_function_rows] = sym_function_rows,
  [sym_function_support] = sym_function_support,
  [sym__operator_class] = sym__operator_class,
  [sym__index_field] = sym_field,
  [sym_index_fields] = sym_index_fields,
  [sym_create_index] = sym_create_index,
  [sym_create_schema] = sym_create_schema,
  [sym__with_settings] = sym__with_settings,
  [sym_create_database] = sym_create_database,
  [sym_create_role] = sym_create_role,
  [sym__role_options] = sym__role_options,
  [sym__user_access_role_config] = sym__user_access_role_config,
  [sym_create_sequence] = sym_create_sequence,
  [sym_create_extension] = sym_create_extension,
  [sym_create_trigger] = sym_create_trigger,
  [sym__create_trigger_event] = sym__create_trigger_event,
  [sym_create_type] = sym_create_type,
  [sym_enum_elements] = sym_enum_elements,
  [sym__alter_statement] = sym__alter_statement,
  [sym__rename_statement] = sym__rename_statement,
  [sym__rename_table_names] = sym__rename_table_names,
  [sym_alter_table] = sym_alter_table,
  [sym__alter_specifications] = sym__alter_specifications,
  [sym_add_column] = sym_add_column,
  [sym_add_constraint] = sym_add_constraint,
  [sym_drop_constraint] = sym_drop_constraint,
  [sym_alter_column] = sym_alter_column,
  [sym_modify_column] = sym_modify_column,
  [sym_change_column] = sym_change_column,
  [sym_column_position] = sym_column_position,
  [sym_drop_column] = sym_drop_column,
  [sym_rename_column] = sym_rename_column,
  [sym_alter_view] = sym_alter_view,
  [sym_alter_schema] = sym_alter_schema,
  [sym_alter_database] = sym_alter_database,
  [sym_alter_role] = sym_alter_role,
  [sym_set_configuration] = sym_set_configuration,
  [sym_alter_index] = sym_alter_index,
  [sym_alter_sequence] = sym_alter_sequence,
  [sym_alter_type] = sym_alter_type,
  [sym__drop_behavior] = sym__drop_behavior,
  [sym__drop_statement] = sym__drop_statement,
  [sym_drop_table] = sym_drop_table,
  [sym_drop_view] = sym_drop_view,
  [sym_drop_schema] = sym_drop_schema,
  [sym_drop_database] = sym_drop_database,
  [sym_drop_role] = sym_drop_role,
  [sym_drop_type] = sym_drop_type,
  [sym_drop_sequence] = sym_drop_sequence,
  [sym_drop_index] = sym_drop_index,
  [sym_drop_extension] = sym_drop_extension,
  [sym_rename_object] = sym_rename_object,
  [sym_set_schema] = sym_set_schema,
  [sym_change_ownership] = sym_change_ownership,
  [sym_object_reference] = sym_object_reference,
  [sym__copy_statement] = sym__copy_statement,
  [sym__insert_statement] = sym__insert_statement,
  [sym_insert] = sym_insert,
  [sym__on_conflict] = sym__on_conflict,
  [sym__on_duplicate_key_update] = sym__on_duplicate_key_update,
  [sym_assignment_list] = sym_assignment_list,
  [sym__insert_values] = sym__insert_values,
  [sym__set_values] = sym__set_values,
  [sym__column_list] = sym__column_list,
  [sym__column] = sym__column,
  [sym__update_statement] = sym__update_statement,
  [sym__merge_statement] = sym__merge_statement,
  [sym_when_clause] = sym_when_clause,
  [sym__optimize_statement] = sym__optimize_statement,
  [sym__compute_stats] = sym__compute_stats,
  [sym__optimize_table] = sym__optimize_table,
  [sym__vacuum_table] = sym__vacuum_table,
  [sym__vacuum_option] = sym__vacuum_option,
  [sym__partition_spec] = sym__partition_spec,
  [sym_update] = sym_update,
  [sym__mysql_update_statement] = sym__mysql_update_statement,
  [sym__postgres_update_statement] = sym__postgres_update_statement,
  [sym_storage_location] = sym_storage_location,
  [sym_row_format] = sym_row_format,
  [sym_table_sort] = sym_table_sort,
  [sym_table_partition] = sym_table_partition,
  [sym__key_value_pair] = sym__key_value_pair,
  [sym_stored_as] = sym_stored_as,
  [sym_assignment] = sym_assignment,
  [sym_table_option] = sym_table_option,
  [sym_column_definitions] = sym_column_definitions,
  [sym_column_definition] = sym_column_definition,
  [sym__column_comment] = sym__column_comment,
  [sym__column_constraint] = sym__column_constraint,
  [sym__check_constraint] = sym__check_constraint,
  [sym__default_expression] = sym__default_expression,
  [sym__inner_default_expression] = sym__inner_default_expression,
  [sym_constraints] = sym_constraints,
  [sym_constraint] = sym_constraint,
  [sym__constraint_literal] = sym__constraint_literal,
  [sym__primary_key_constraint] = sym__primary_key_constraint,
  [sym__key_constraint] = sym__key_constraint,
  [sym_ordered_columns] = sym_ordered_columns,
  [sym_ordered_column] = sym_ordered_column,
  [sym_all_fields] = sym_all_fields,
  [sym_case] = sym_case,
  [sym_field] = sym_field,
  [sym__qualified_field] = sym__qualified_field,
  [sym_implicit_cast] = sym_cast,
  [sym_interval] = sym_interval,
  [sym_cast] = sym_cast,
  [sym_filter_expression] = sym_filter_expression,
  [sym_invocation] = sym_invocation,
  [sym_exists] = sym_exists,
  [sym_partition_by] = sym_partition_by,
  [sym_frame_definition] = sym_frame_definition,
  [sym_window_frame] = sym_window_frame,
  [sym_window_clause] = sym_window_clause,
  [sym_window_specification] = sym_window_specification,
  [sym_window_function] = sym_window_function,
  [sym__alias] = sym__alias,
  [sym_from] = sym_from,
  [sym_relation] = sym_relation,
  [sym_values] = sym_values,
  [sym_index_hint] = sym_index_hint,
  [sym_join] = sym_join,
  [sym_cross_join] = sym_cross_join,
  [sym_lateral_join] = sym_lateral_join,
  [sym_lateral_cross_join] = sym_lateral_cross_join,
  [sym_where] = sym_where,
  [sym_group_by] = sym_group_by,
  [sym__having] = sym__having,
  [sym_order_by] = sym_order_by,
  [sym_order_target] = sym_order_target,
  [sym_limit] = sym_limit,
  [sym_offset] = sym_offset,
  [sym_returning] = sym_returning,
  [sym__expression] = sym__expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_subscript] = sym_subscript,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_between_expression] = sym_between_expression,
  [sym_not_in] = sym_not_in,
  [sym_subquery] = sym_subquery,
  [sym_list] = sym_list,
  [sym_literal] = sym_literal,
  [sym__single_quote_string] = sym__single_quote_string,
  [sym__literal_string] = sym__literal_string,
  [sym__integer] = sym__integer,
  [sym__decimal_number] = sym__decimal_number,
  [sym__bit_string] = sym__bit_string,
  [sym__string_casting] = sym__string_casting,
  [sym_identifier] = sym_identifier,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_array_size_definition_repeat1] = aux_sym_array_size_definition_repeat1,
  [aux_sym_enum_repeat1] = aux_sym_enum_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_transaction_repeat1] = aux_sym_transaction_repeat1,
  [aux_sym__cte_repeat1] = aux_sym__cte_repeat1,
  [aux_sym_cte_repeat1] = aux_sym_cte_repeat1,
  [aux_sym_set_operation_repeat1] = aux_sym_set_operation_repeat1,
  [aux_sym_function_arguments_repeat1] = aux_sym_function_arguments_repeat1,
  [aux_sym_select_expression_repeat1] = aux_sym_select_expression_repeat1,
  [aux_sym__truncate_statement_repeat1] = aux_sym__truncate_statement_repeat1,
  [aux_sym__create_statement_repeat1] = aux_sym__create_statement_repeat1,
  [aux_sym__table_settings_repeat1] = aux_sym__table_settings_repeat1,
  [aux_sym_storage_parameters_repeat1] = aux_sym_storage_parameters_repeat1,
  [aux_sym_create_table_repeat1] = aux_sym_create_table_repeat1,
  [aux_sym_set_statement_repeat1] = aux_sym_set_statement_repeat1,
  [aux_sym_create_function_repeat1] = aux_sym_create_function_repeat1,
  [aux_sym_function_body_repeat1] = aux_sym_function_body_repeat1,
  [aux_sym_function_body_repeat2] = aux_sym_function_body_repeat2,
  [aux_sym_index_fields_repeat1] = aux_sym_index_fields_repeat1,
  [aux_sym_create_database_repeat1] = aux_sym_create_database_repeat1,
  [aux_sym_create_role_repeat1] = aux_sym_create_role_repeat1,
  [aux_sym_create_sequence_repeat1] = aux_sym_create_sequence_repeat1,
  [aux_sym_create_trigger_repeat1] = aux_sym_create_trigger_repeat1,
  [aux_sym_create_trigger_repeat2] = aux_sym_create_trigger_repeat2,
  [aux_sym_create_trigger_repeat3] = aux_sym_create_trigger_repeat3,
  [aux_sym_create_type_repeat1] = aux_sym_create_type_repeat1,
  [aux_sym_enum_elements_repeat1] = aux_sym_enum_elements_repeat1,
  [aux_sym__rename_statement_repeat1] = aux_sym__rename_statement_repeat1,
  [aux_sym_alter_table_repeat1] = aux_sym_alter_table_repeat1,
  [aux_sym_alter_column_repeat1] = aux_sym_alter_column_repeat1,
  [aux_sym_alter_role_repeat1] = aux_sym_alter_role_repeat1,
  [aux_sym_alter_index_repeat1] = aux_sym_alter_index_repeat1,
  [aux_sym_alter_sequence_repeat1] = aux_sym_alter_sequence_repeat1,
  [aux_sym__copy_statement_repeat1] = aux_sym__copy_statement_repeat1,
  [aux_sym_assignment_list_repeat1] = aux_sym_assignment_list_repeat1,
  [aux_sym__insert_values_repeat1] = aux_sym__insert_values_repeat1,
  [aux_sym__column_list_repeat1] = aux_sym__column_list_repeat1,
  [aux_sym__merge_statement_repeat1] = aux_sym__merge_statement_repeat1,
  [aux_sym__compute_stats_repeat1] = aux_sym__compute_stats_repeat1,
  [aux_sym__compute_stats_repeat2] = aux_sym__compute_stats_repeat2,
  [aux_sym__vacuum_table_repeat1] = aux_sym__vacuum_table_repeat1,
  [aux_sym__mysql_update_statement_repeat1] = aux_sym__mysql_update_statement_repeat1,
  [aux_sym__mysql_update_statement_repeat2] = aux_sym__mysql_update_statement_repeat2,
  [aux_sym_column_definitions_repeat1] = aux_sym_column_definitions_repeat1,
  [aux_sym_column_definition_repeat1] = aux_sym_column_definition_repeat1,
  [aux_sym__column_constraint_repeat1] = aux_sym__column_constraint_repeat1,
  [aux_sym_constraints_repeat1] = aux_sym_constraints_repeat1,
  [aux_sym_ordered_columns_repeat1] = aux_sym_ordered_columns_repeat1,
  [aux_sym_case_repeat1] = aux_sym_case_repeat1,
  [aux_sym_invocation_repeat1] = aux_sym_invocation_repeat1,
  [aux_sym_from_repeat1] = aux_sym_from_repeat1,
  [aux_sym_order_by_repeat1] = aux_sym_order_by_repeat1,
  [aux_sym__single_quote_string_repeat1] = aux_sym__single_quote_string_repeat1,
  [anon_alias_sym_command] = anon_alias_sym_command,
  [anon_alias_sym_filename] = anon_alias_sym_filename,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [sym_keyword_select] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_delete] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_insert] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_replace] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_update] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_truncate] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_merge] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_show] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_into] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_overwrite] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_values] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_value] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_matched] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_set] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_from] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_left] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_right] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_inner] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_full] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_outer] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cross] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_join] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_lateral] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_natural] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_on] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_off] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_where] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_order] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_group] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_partition] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_by] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_having] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_desc] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_asc] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_limit] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_offset] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_primary] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_create] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_alter] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_change] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_analyze] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_explain] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_verbose] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_modify] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_drop] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_add] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_table] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_tables] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_view] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_column] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_columns] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_materialized] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_tablespace] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_increment] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_minvalue] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_maxvalue] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_none] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_owned] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_start] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_restart] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_key] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_duplicate] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_as] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_distinct] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_filter] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_separator] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_case] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_when] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_then] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_else] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_end] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_in] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_and] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_or] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_is] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_not] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_force] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_ignore] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_using] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_use] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_index] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_for] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_if] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_exists] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_auto_increment] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_generated] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_always] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_collate] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_keyword_character_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_keyword_engine] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_default] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cascade] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_restrict] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_with] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_without] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_no] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_data] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_type] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_rename] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_to] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_database] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_schema] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_owner] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_user] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_admin] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_password] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_encrypted] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_valid] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_until] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_connection] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_role] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_reset] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_temp] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_temporary] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_unlogged] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_logged] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cycle] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_union] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_all] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_any] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_some] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_except] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_intersect] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_returning] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_begin] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_commit] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_rollback] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_transaction] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_over] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_nulls] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_first] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_after] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_before] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_last] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_window] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_range] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_rows] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_groups] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_between] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_unbounded] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_preceding] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_following] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_exclude] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_current] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_row] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_ties] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_others] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_only] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_unique] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_foreign] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_references] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_concurrently] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_btree] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_hash] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_gist] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_spgist] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_gin] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_brin] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_keyword_like_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_like_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_keyword_similar] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_unsigned] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_zerofill] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_conflict] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_do] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_nothing] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_high_priority] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_low_priority] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_delayed] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_recursive] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cascaded] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_local] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_current_timestamp] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_check] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_option] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_vacuum] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_wait] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_nowait] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_authorization] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_action] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_copy] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_stdin] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_freeze] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_escape] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_encoding] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_force_quote] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_quote] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_force_null] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_force_not_null] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_header] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_match] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_program] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_plain] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_extended] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_main] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_storage] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_compression] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_trigger] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_function] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_returns] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_return] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_setof] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_atomic] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_declare] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_language] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_immutable] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_stable] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_volatile] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_leakproof] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_parallel] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_safe] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_unsafe] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_restricted] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_called] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_input] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_strict] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cost] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_support] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_definer] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_invoker] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_security] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_version] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_out] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_inout] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_variadic] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_ordinality] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_session] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_isolation] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_level] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_serializable] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_repeatable] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_read] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_write] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_committed] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_uncommitted] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_deferrable] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_names] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_zone] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_immediate] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_deferred] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_constraints] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_snapshot] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_characteristics] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_follows] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_precedes] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_each] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_instead] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_of] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_initially] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_old] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_new] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_referencing] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_execute] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_procedure] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_external] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_stored] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_virtual] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cached] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_uncached] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_replication] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_tblproperties] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_compute] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_stats] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_statistics] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_optimize] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_rewrite] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_bin_pack] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_incremental] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_location] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_partitioned] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_sort] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_format] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_delimited] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_delimiter] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_fields] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_terminated] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_escaped] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_lines] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cache] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_metadata] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_noscan] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_parquet] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_rcfile] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_csv] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_textfile] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_avro] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_sequencefile] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_orc] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_jsonfile] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_null] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_true] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_false] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_bit] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_binary] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_varbinary] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_image] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_keyword_smallserial_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_smallserial_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_serial_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_serial_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_bigserial_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_bigserial_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_tinyint_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_tinyint_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_smallint_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_smallint_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_mediumint_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_mediumint_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_int_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_int_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_int_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_bigint_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_bigint_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_keyword_decimal] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_numeric] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_keyword_real_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_real_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_keyword_float] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_double] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_precision] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_inet] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_money] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_smallmoney] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_varying] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_keyword_char_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_keyword_nchar] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_keyword_varchar_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_keyword_nvarchar] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_text] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_string] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_uuid] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_json] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_jsonb] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_xml] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_bytea] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_enum] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_date] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_datetime] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_datetime2] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_smalldatetime] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_datetimeoffset] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_time] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_timestamp] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_timestamptz] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_interval] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_geometry] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_geography] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_box2d] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_box3d] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_oid] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_oids] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_name] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_regclass] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_regnamespace] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_regproc] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_regtype] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_array] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_double_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_marginalia] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [sym_op_other] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_op_unary_other] = {
    .visible = true,
    .named = true,
  },
  [sym__double_quote_string] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__single_quote_string_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__single_quote_string_token2] = {
    .visible = false,
    .named = false,
  },
  [sym__natural_number] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__integer_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__decimal_number_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__bit_string_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_bang] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_identifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__dollar_quoted_string_start_tag] = {
    .visible = true,
    .named = true,
  },
  [sym__dollar_quoted_string_end_tag] = {
    .visible = true,
    .named = true,
  },
  [sym__dollar_quoted_string] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_character] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_like] = {
    .visible = true,
    .named = true,
  },
  [sym_is_not] = {
    .visible = true,
    .named = true,
  },
  [sym_not_like] = {
    .visible = true,
    .named = true,
  },
  [sym_similar_to] = {
    .visible = true,
    .named = true,
  },
  [sym_not_similar_to] = {
    .visible = true,
    .named = true,
  },
  [sym_distinct_from] = {
    .visible = true,
    .named = true,
  },
  [sym_not_distinct_from] = {
    .visible = true,
    .named = true,
  },
  [sym__temporary] = {
    .visible = false,
    .named = true,
  },
  [sym__not_null] = {
    .visible = false,
    .named = true,
  },
  [sym__primary_key] = {
    .visible = false,
    .named = true,
  },
  [sym__if_exists] = {
    .visible = false,
    .named = true,
  },
  [sym__if_not_exists] = {
    .visible = false,
    .named = true,
  },
  [sym__or_replace] = {
    .visible = false,
    .named = true,
  },
  [sym__current_row] = {
    .visible = false,
    .named = true,
  },
  [sym__exclude_current_row] = {
    .visible = false,
    .named = true,
  },
  [sym__exclude_group] = {
    .visible = false,
    .named = true,
  },
  [sym__exclude_no_others] = {
    .visible = false,
    .named = true,
  },
  [sym__exclude_ties] = {
    .visible = false,
    .named = true,
  },
  [sym__check_option] = {
    .visible = false,
    .named = true,
  },
  [sym_direction] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_smallserial] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_serial] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_bigserial] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_tinyint] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_smallint] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_mediumint] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_int] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_bigint] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_real] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_char] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_varchar] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym_array_size_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__array_size_definition] = {
    .visible = false,
    .named = true,
  },
  [sym_tinyint] = {
    .visible = true,
    .named = true,
  },
  [sym_smallint] = {
    .visible = true,
    .named = true,
  },
  [sym_mediumint] = {
    .visible = true,
    .named = true,
  },
  [sym_int] = {
    .visible = true,
    .named = true,
  },
  [sym_bigint] = {
    .visible = true,
    .named = true,
  },
  [sym_bit] = {
    .visible = true,
    .named = true,
  },
  [sym_binary] = {
    .visible = true,
    .named = true,
  },
  [sym_varbinary] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [sym_double] = {
    .visible = true,
    .named = true,
  },
  [sym_decimal] = {
    .visible = true,
    .named = true,
  },
  [sym_numeric] = {
    .visible = true,
    .named = true,
  },
  [sym_char] = {
    .visible = true,
    .named = true,
  },
  [sym_varchar] = {
    .visible = true,
    .named = true,
  },
  [sym_nchar] = {
    .visible = true,
    .named = true,
  },
  [sym_nvarchar] = {
    .visible = true,
    .named = true,
  },
  [sym__include_time_zone] = {
    .visible = false,
    .named = true,
  },
  [sym_datetimeoffset] = {
    .visible = true,
    .named = true,
  },
  [sym_time] = {
    .visible = true,
    .named = true,
  },
  [sym_timestamp] = {
    .visible = true,
    .named = true,
  },
  [sym_enum] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_transaction] = {
    .visible = true,
    .named = true,
  },
  [sym__commit] = {
    .visible = false,
    .named = true,
  },
  [sym__rollback] = {
    .visible = false,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__ddl_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__cte] = {
    .visible = false,
    .named = true,
  },
  [sym__dml_write] = {
    .visible = false,
    .named = true,
  },
  [sym__dml_read] = {
    .visible = false,
    .named = true,
  },
  [sym__show_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__show_tables] = {
    .visible = false,
    .named = true,
  },
  [sym__show_create] = {
    .visible = false,
    .named = true,
  },
  [sym_cte] = {
    .visible = true,
    .named = true,
  },
  [sym_set_operation] = {
    .visible = true,
    .named = true,
  },
  [sym__select_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_comment_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__argmode] = {
    .visible = false,
    .named = true,
  },
  [sym_function_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_function_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym__comment_target] = {
    .visible = false,
    .named = true,
  },
  [sym_select] = {
    .visible = true,
    .named = true,
  },
  [sym_select_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_term] = {
    .visible = true,
    .named = true,
  },
  [sym__truncate_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__delete_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__delete_from] = {
    .visible = true,
    .named = true,
  },
  [sym_delete] = {
    .visible = true,
    .named = true,
  },
  [sym__create_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__table_settings] = {
    .visible = false,
    .named = true,
  },
  [sym_storage_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_create_table] = {
    .visible = true,
    .named = true,
  },
  [sym_reset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__transaction_mode] = {
    .visible = false,
    .named = true,
  },
  [sym_set_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_create_query] = {
    .visible = true,
    .named = true,
  },
  [sym_create_view] = {
    .visible = true,
    .named = true,
  },
  [sym_create_materialized_view] = {
    .visible = true,
    .named = true,
  },
  [sym_create_function] = {
    .visible = true,
    .named = true,
  },
  [sym__function_return] = {
    .visible = false,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__function_body_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_function_body] = {
    .visible = true,
    .named = true,
  },
  [sym_function_language] = {
    .visible = true,
    .named = true,
  },
  [sym_function_volatility] = {
    .visible = true,
    .named = true,
  },
  [sym_function_leakproof] = {
    .visible = true,
    .named = true,
  },
  [sym_function_security] = {
    .visible = true,
    .named = true,
  },
  [sym_function_safety] = {
    .visible = true,
    .named = true,
  },
  [sym_function_strictness] = {
    .visible = true,
    .named = true,
  },
  [sym_function_cost] = {
    .visible = true,
    .named = true,
  },
  [sym_function_rows] = {
    .visible = true,
    .named = true,
  },
  [sym_function_support] = {
    .visible = true,
    .named = true,
  },
  [sym__operator_class] = {
    .visible = false,
    .named = true,
  },
  [sym__index_field] = {
    .visible = true,
    .named = true,
  },
  [sym_index_fields] = {
    .visible = true,
    .named = true,
  },
  [sym_create_index] = {
    .visible = true,
    .named = true,
  },
  [sym_create_schema] = {
    .visible = true,
    .named = true,
  },
  [sym__with_settings] = {
    .visible = false,
    .named = true,
  },
  [sym_create_database] = {
    .visible = true,
    .named = true,
  },
  [sym_create_role] = {
    .visible = true,
    .named = true,
  },
  [sym__role_options] = {
    .visible = false,
    .named = true,
  },
  [sym__user_access_role_config] = {
    .visible = false,
    .named = true,
  },
  [sym_create_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_create_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_create_trigger] = {
    .visible = true,
    .named = true,
  },
  [sym__create_trigger_event] = {
    .visible = false,
    .named = true,
  },
  [sym_create_type] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_elements] = {
    .visible = true,
    .named = true,
  },
  [sym__alter_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__rename_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__rename_table_names] = {
    .visible = false,
    .named = true,
  },
  [sym_alter_table] = {
    .visible = true,
    .named = true,
  },
  [sym__alter_specifications] = {
    .visible = false,
    .named = true,
  },
  [sym_add_column] = {
    .visible = true,
    .named = true,
  },
  [sym_add_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_column] = {
    .visible = true,
    .named = true,
  },
  [sym_modify_column] = {
    .visible = true,
    .named = true,
  },
  [sym_change_column] = {
    .visible = true,
    .named = true,
  },
  [sym_column_position] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_column] = {
    .visible = true,
    .named = true,
  },
  [sym_rename_column] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_view] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_schema] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_database] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_role] = {
    .visible = true,
    .named = true,
  },
  [sym_set_configuration] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_index] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_type] = {
    .visible = true,
    .named = true,
  },
  [sym__drop_behavior] = {
    .visible = false,
    .named = true,
  },
  [sym__drop_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_drop_table] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_view] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_schema] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_database] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_role] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_type] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_index] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_rename_object] = {
    .visible = true,
    .named = true,
  },
  [sym_set_schema] = {
    .visible = true,
    .named = true,
  },
  [sym_change_ownership] = {
    .visible = true,
    .named = true,
  },
  [sym_object_reference] = {
    .visible = true,
    .named = true,
  },
  [sym__copy_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__insert_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_insert] = {
    .visible = true,
    .named = true,
  },
  [sym__on_conflict] = {
    .visible = false,
    .named = true,
  },
  [sym__on_duplicate_key_update] = {
    .visible = false,
    .named = true,
  },
  [sym_assignment_list] = {
    .visible = true,
    .named = true,
  },
  [sym__insert_values] = {
    .visible = false,
    .named = true,
  },
  [sym__set_values] = {
    .visible = false,
    .named = true,
  },
  [sym__column_list] = {
    .visible = false,
    .named = true,
  },
  [sym__column] = {
    .visible = false,
    .named = true,
  },
  [sym__update_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__merge_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_when_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__optimize_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__compute_stats] = {
    .visible = false,
    .named = true,
  },
  [sym__optimize_table] = {
    .visible = false,
    .named = true,
  },
  [sym__vacuum_table] = {
    .visible = false,
    .named = true,
  },
  [sym__vacuum_option] = {
    .visible = false,
    .named = true,
  },
  [sym__partition_spec] = {
    .visible = false,
    .named = true,
  },
  [sym_update] = {
    .visible = true,
    .named = true,
  },
  [sym__mysql_update_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__postgres_update_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_storage_location] = {
    .visible = true,
    .named = true,
  },
  [sym_row_format] = {
    .visible = true,
    .named = true,
  },
  [sym_table_sort] = {
    .visible = true,
    .named = true,
  },
  [sym_table_partition] = {
    .visible = true,
    .named = true,
  },
  [sym__key_value_pair] = {
    .visible = false,
    .named = true,
  },
  [sym_stored_as] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_table_option] = {
    .visible = true,
    .named = true,
  },
  [sym_column_definitions] = {
    .visible = true,
    .named = true,
  },
  [sym_column_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__column_comment] = {
    .visible = false,
    .named = true,
  },
  [sym__column_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym__check_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym__default_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__inner_default_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_constraints] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym__constraint_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__primary_key_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym__key_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym_ordered_columns] = {
    .visible = true,
    .named = true,
  },
  [sym_ordered_column] = {
    .visible = true,
    .named = true,
  },
  [sym_all_fields] = {
    .visible = true,
    .named = true,
  },
  [sym_case] = {
    .visible = true,
    .named = true,
  },
  [sym_field] = {
    .visible = true,
    .named = true,
  },
  [sym__qualified_field] = {
    .visible = false,
    .named = true,
  },
  [sym_implicit_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_interval] = {
    .visible = true,
    .named = true,
  },
  [sym_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_filter_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_exists] = {
    .visible = true,
    .named = true,
  },
  [sym_partition_by] = {
    .visible = true,
    .named = true,
  },
  [sym_frame_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_window_frame] = {
    .visible = true,
    .named = true,
  },
  [sym_window_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_window_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_window_function] = {
    .visible = true,
    .named = true,
  },
  [sym__alias] = {
    .visible = false,
    .named = true,
  },
  [sym_from] = {
    .visible = true,
    .named = true,
  },
  [sym_relation] = {
    .visible = true,
    .named = true,
  },
  [sym_values] = {
    .visible = true,
    .named = true,
  },
  [sym_index_hint] = {
    .visible = true,
    .named = true,
  },
  [sym_join] = {
    .visible = true,
    .named = true,
  },
  [sym_cross_join] = {
    .visible = true,
    .named = true,
  },
  [sym_lateral_join] = {
    .visible = true,
    .named = true,
  },
  [sym_lateral_cross_join] = {
    .visible = true,
    .named = true,
  },
  [sym_where] = {
    .visible = true,
    .named = true,
  },
  [sym_group_by] = {
    .visible = true,
    .named = true,
  },
  [sym__having] = {
    .visible = false,
    .named = true,
  },
  [sym_order_by] = {
    .visible = true,
    .named = true,
  },
  [sym_order_target] = {
    .visible = true,
    .named = true,
  },
  [sym_limit] = {
    .visible = true,
    .named = true,
  },
  [sym_offset] = {
    .visible = true,
    .named = true,
  },
  [sym_returning] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_between_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_not_in] = {
    .visible = true,
    .named = true,
  },
  [sym_subquery] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__single_quote_string] = {
    .visible = false,
    .named = true,
  },
  [sym__literal_string] = {
    .visible = false,
    .named = true,
  },
  [sym__integer] = {
    .visible = false,
    .named = true,
  },
  [sym__decimal_number] = {
    .visible = false,
    .named = true,
  },
  [sym__bit_string] = {
    .visible = false,
    .named = true,
  },
  [sym__string_casting] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_size_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_transaction_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__cte_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cte_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_set_operation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__truncate_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__create_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__table_settings_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_storage_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_table_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_set_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_function_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_body_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_index_fields_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_database_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_role_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_sequence_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_trigger_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_trigger_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_trigger_repeat3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_elements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__rename_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_alter_table_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_alter_column_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_alter_role_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_alter_index_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_alter_sequence_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__copy_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_assignment_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__insert_values_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__column_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__merge_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__compute_stats_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__compute_stats_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__vacuum_table_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__mysql_update_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__mysql_update_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_column_definitions_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_column_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__column_constraint_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constraints_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_ordered_columns_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_invocation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_from_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_order_by_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__single_quote_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [anon_alias_sym_command] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_filename] = {
    .visible = true,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_argument = 2,
  field_cache = 3,
  field_col_name = 4,
  field_column = 5,
  field_compression_method = 6,
  field_configuration_parameter = 7,
  field_connection_limit = 8,
  field_custom_type = 9,
  field_end = 10,
  field_enum_element = 11,
  field_escaped_char = 12,
  field_expression = 13,
  field_fields_terminated_char = 14,
  field_function = 15,
  field_high = 16,
  field_increment = 17,
  field_index_name = 18,
  field_key = 19,
  field_left = 20,
  field_low = 21,
  field_lower = 22,
  field_name = 23,
  field_new_name = 24,
  field_old_name = 25,
  field_opclass = 26,
  field_opclass_parameters = 27,
  field_operand = 28,
  field_operation = 29,
  field_operator = 30,
  field_option = 31,
  field_parameter = 32,
  field_password = 33,
  field_path = 34,
  field_pool = 35,
  field_precision = 36,
  field_predicate = 37,
  field_restart = 38,
  field_right = 39,
  field_row_terminated_char = 40,
  field_scale = 41,
  field_schema = 42,
  field_size = 43,
  field_start = 44,
  field_statistics = 45,
  field_subscript = 46,
  field_timeout = 47,
  field_type = 48,
  field_upper = 49,
  field_valid_until = 50,
  field_value = 51,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_argument] = "argument",
  [field_cache] = "cache",
  [field_col_name] = "col_name",
  [field_column] = "column",
  [field_compression_method] = "compression_method",
  [field_configuration_parameter] = "configuration_parameter",
  [field_connection_limit] = "connection_limit",
  [field_custom_type] = "custom_type",
  [field_end] = "end",
  [field_enum_element] = "enum_element",
  [field_escaped_char] = "escaped_char",
  [field_expression] = "expression",
  [field_fields_terminated_char] = "fields_terminated_char",
  [field_function] = "function",
  [field_high] = "high",
  [field_increment] = "increment",
  [field_index_name] = "index_name",
  [field_key] = "key",
  [field_left] = "left",
  [field_low] = "low",
  [field_lower] = "lower",
  [field_name] = "name",
  [field_new_name] = "new_name",
  [field_old_name] = "old_name",
  [field_opclass] = "opclass",
  [field_opclass_parameters] = "opclass_parameters",
  [field_operand] = "operand",
  [field_operation] = "operation",
  [field_operator] = "operator",
  [field_option] = "option",
  [field_parameter] = "parameter",
  [field_password] = "password",
  [field_path] = "path",
  [field_pool] = "pool",
  [field_precision] = "precision",
  [field_predicate] = "predicate",
  [field_restart] = "restart",
  [field_right] = "right",
  [field_row_terminated_char] = "row_terminated_char",
  [field_scale] = "scale",
  [field_schema] = "schema",
  [field_size] = "size",
  [field_start] = "start",
  [field_statistics] = "statistics",
  [field_subscript] = "subscript",
  [field_timeout] = "timeout",
  [field_type] = "type",
  [field_upper] = "upper",
  [field_valid_until] = "valid_until",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 3},
  [2] = {.index = 3, .length = 1},
  [3] = {.index = 4, .length = 1},
  [4] = {.index = 5, .length = 2},
  [5] = {.index = 7, .length = 1},
  [6] = {.index = 3, .length = 1},
  [7] = {.index = 8, .length = 1},
  [8] = {.index = 9, .length = 1},
  [9] = {.index = 10, .length = 3},
  [10] = {.index = 13, .length = 1},
  [11] = {.index = 14, .length = 2},
  [12] = {.index = 16, .length = 2},
  [13] = {.index = 18, .length = 1},
  [14] = {.index = 19, .length = 1},
  [15] = {.index = 20, .length = 1},
  [17] = {.index = 21, .length = 3},
  [18] = {.index = 24, .length = 1},
  [19] = {.index = 25, .length = 1},
  [20] = {.index = 26, .length = 2},
  [21] = {.index = 28, .length = 1},
  [22] = {.index = 29, .length = 3},
  [23] = {.index = 32, .length = 1},
  [24] = {.index = 33, .length = 1},
  [25] = {.index = 34, .length = 2},
  [26] = {.index = 36, .length = 1},
  [27] = {.index = 9, .length = 1},
  [28] = {.index = 20, .length = 1},
  [29] = {.index = 37, .length = 4},
  [30] = {.index = 41, .length = 1},
  [31] = {.index = 42, .length = 4},
  [32] = {.index = 46, .length = 4},
  [33] = {.index = 50, .length = 2},
  [34] = {.index = 52, .length = 2},
  [35] = {.index = 54, .length = 4},
  [36] = {.index = 58, .length = 3},
  [37] = {.index = 61, .length = 1},
  [38] = {.index = 9, .length = 1},
  [39] = {.index = 62, .length = 2},
  [40] = {.index = 64, .length = 1},
  [41] = {.index = 65, .length = 2},
  [42] = {.index = 67, .length = 1},
  [43] = {.index = 68, .length = 1},
  [44] = {.index = 69, .length = 2},
  [45] = {.index = 71, .length = 1},
  [48] = {.index = 72, .length = 1},
  [49] = {.index = 73, .length = 1},
  [50] = {.index = 74, .length = 4},
  [51] = {.index = 78, .length = 1},
  [52] = {.index = 79, .length = 8},
  [53] = {.index = 87, .length = 1},
  [54] = {.index = 88, .length = 4},
  [55] = {.index = 92, .length = 1},
  [56] = {.index = 93, .length = 1},
  [57] = {.index = 94, .length = 1},
  [58] = {.index = 95, .length = 1},
  [59] = {.index = 96, .length = 8},
  [60] = {.index = 104, .length = 2},
  [61] = {.index = 106, .length = 2},
  [62] = {.index = 106, .length = 2},
  [63] = {.index = 108, .length = 4},
  [65] = {.index = 112, .length = 1},
  [66] = {.index = 113, .length = 1},
  [67] = {.index = 114, .length = 1},
  [68] = {.index = 115, .length = 3},
  [69] = {.index = 118, .length = 4},
  [70] = {.index = 122, .length = 1},
  [71] = {.index = 123, .length = 8},
  [72] = {.index = 131, .length = 1},
  [73] = {.index = 132, .length = 1},
  [74] = {.index = 133, .length = 1},
  [75] = {.index = 134, .length = 1},
  [76] = {.index = 135, .length = 2},
  [77] = {.index = 137, .length = 2},
  [78] = {.index = 139, .length = 4},
  [79] = {.index = 143, .length = 1},
  [80] = {.index = 144, .length = 2},
  [81] = {.index = 146, .length = 1},
  [82] = {.index = 147, .length = 2},
  [83] = {.index = 149, .length = 1},
  [84] = {.index = 150, .length = 1},
  [85] = {.index = 151, .length = 3},
  [86] = {.index = 154, .length = 2},
  [87] = {.index = 72, .length = 1},
  [88] = {.index = 156, .length = 1},
  [90] = {.index = 157, .length = 1},
  [91] = {.index = 158, .length = 1},
  [92] = {.index = 159, .length = 1},
  [93] = {.index = 160, .length = 2},
  [94] = {.index = 162, .length = 1},
  [95] = {.index = 163, .length = 1},
  [96] = {.index = 164, .length = 1},
  [97] = {.index = 165, .length = 1},
  [98] = {.index = 166, .length = 1},
  [99] = {.index = 167, .length = 2},
  [100] = {.index = 160, .length = 2},
  [101] = {.index = 169, .length = 4},
  [103] = {.index = 173, .length = 1},
  [104] = {.index = 174, .length = 1},
  [105] = {.index = 175, .length = 1},
  [106] = {.index = 176, .length = 1},
  [107] = {.index = 177, .length = 1},
  [109] = {.index = 36, .length = 1},
  [110] = {.index = 178, .length = 1},
  [111] = {.index = 179, .length = 2},
  [112] = {.index = 181, .length = 3},
  [113] = {.index = 184, .length = 2},
  [114] = {.index = 64, .length = 1},
  [115] = {.index = 186, .length = 2},
  [116] = {.index = 188, .length = 1},
  [117] = {.index = 189, .length = 1},
  [118] = {.index = 188, .length = 1},
  [119] = {.index = 189, .length = 1},
  [120] = {.index = 190, .length = 5},
  [121] = {.index = 195, .length = 3},
  [122] = {.index = 198, .length = 1},
  [123] = {.index = 199, .length = 1},
  [124] = {.index = 200, .length = 1},
  [125] = {.index = 201, .length = 1},
  [126] = {.index = 202, .length = 2},
  [127] = {.index = 204, .length = 1},
  [128] = {.index = 205, .length = 1},
  [129] = {.index = 206, .length = 2},
  [130] = {.index = 208, .length = 4},
  [131] = {.index = 212, .length = 4},
  [132] = {.index = 216, .length = 2},
  [133] = {.index = 218, .length = 2},
  [134] = {.index = 220, .length = 1},
  [136] = {.index = 221, .length = 5},
  [137] = {.index = 226, .length = 3},
  [138] = {.index = 229, .length = 1},
  [139] = {.index = 230, .length = 3},
  [140] = {.index = 233, .length = 1},
  [141] = {.index = 234, .length = 2},
  [142] = {.index = 236, .length = 4},
  [144] = {.index = 240, .length = 1},
  [145] = {.index = 241, .length = 2},
  [146] = {.index = 243, .length = 3},
  [147] = {.index = 246, .length = 1},
  [148] = {.index = 247, .length = 2},
  [150] = {.index = 249, .length = 1},
  [152] = {.index = 68, .length = 1},
  [153] = {.index = 250, .length = 1},
  [154] = {.index = 133, .length = 1},
  [155] = {.index = 251, .length = 2},
  [156] = {.index = 64, .length = 1},
  [157] = {.index = 253, .length = 1},
  [158] = {.index = 254, .length = 1},
  [159] = {.index = 255, .length = 1},
  [160] = {.index = 256, .length = 2},
  [161] = {.index = 258, .length = 2},
  [162] = {.index = 260, .length = 1},
  [163] = {.index = 261, .length = 2},
  [164] = {.index = 263, .length = 1},
  [165] = {.index = 264, .length = 2},
  [166] = {.index = 266, .length = 4},
  [167] = {.index = 270, .length = 1},
  [169] = {.index = 271, .length = 1},
  [170] = {.index = 272, .length = 2},
  [171] = {.index = 274, .length = 3},
  [172] = {.index = 277, .length = 1},
  [173] = {.index = 278, .length = 2},
  [174] = {.index = 280, .length = 1},
  [176] = {.index = 281, .length = 1},
  [177] = {.index = 282, .length = 3},
  [178] = {.index = 285, .length = 2},
  [179] = {.index = 287, .length = 2},
  [180] = {.index = 289, .length = 1},
  [181] = {.index = 290, .length = 2},
  [183] = {.index = 292, .length = 1},
  [186] = {.index = 150, .length = 1},
  [187] = {.index = 293, .length = 1},
  [190] = {.index = 133, .length = 1},
  [191] = {.index = 294, .length = 2},
  [192] = {.index = 296, .length = 2},
  [193] = {.index = 298, .length = 1},
  [194] = {.index = 299, .length = 4},
  [196] = {.index = 303, .length = 2},
  [197] = {.index = 305, .length = 2},
  [198] = {.index = 307, .length = 5},
  [199] = {.index = 312, .length = 3},
  [200] = {.index = 315, .length = 3},
  [201] = {.index = 318, .length = 3},
  [202] = {.index = 321, .length = 4},
  [203] = {.index = 325, .length = 2},
  [204] = {.index = 327, .length = 2},
  [205] = {.index = 329, .length = 1},
  [207] = {.index = 330, .length = 2},
  [208] = {.index = 332, .length = 2},
  [209] = {.index = 334, .length = 3},
  [210] = {.index = 337, .length = 3},
  [212] = {.index = 340, .length = 1},
  [215] = {.index = 205, .length = 1},
  [216] = {.index = 341, .length = 1},
  [217] = {.index = 342, .length = 2},
  [219] = {.index = 344, .length = 2},
  [220] = {.index = 346, .length = 1},
  [222] = {.index = 347, .length = 3},
  [223] = {.index = 350, .length = 1},
  [224] = {.index = 351, .length = 1},
  [225] = {.index = 352, .length = 4},
  [226] = {.index = 356, .length = 3},
  [227] = {.index = 359, .length = 3},
  [228] = {.index = 362, .length = 5},
  [229] = {.index = 367, .length = 1},
  [231] = {.index = 368, .length = 2},
  [232] = {.index = 370, .length = 1},
  [234] = {.index = 371, .length = 1},
  [235] = {.index = 341, .length = 1},
  [236] = {.index = 372, .length = 2},
  [237] = {.index = 374, .length = 2},
  [238] = {.index = 376, .length = 3},
  [239] = {.index = 379, .length = 2},
  [240] = {.index = 381, .length = 1},
  [242] = {.index = 382, .length = 2},
  [243] = {.index = 384, .length = 2},
  [244] = {.index = 386, .length = 5},
  [245] = {.index = 391, .length = 5},
  [246] = {.index = 396, .length = 5},
  [247] = {.index = 401, .length = 2},
  [248] = {.index = 341, .length = 1},
  [249] = {.index = 403, .length = 2},
  [250] = {.index = 374, .length = 2},
  [251] = {.index = 405, .length = 3},
  [252] = {.index = 408, .length = 3},
  [253] = {.index = 411, .length = 3},
  [254] = {.index = 414, .length = 1},
  [255] = {.index = 374, .length = 2},
  [256] = {.index = 415, .length = 3},
  [257] = {.index = 418, .length = 2},
  [258] = {.index = 420, .length = 1},
  [259] = {.index = 421, .length = 2},
  [260] = {.index = 423, .length = 2},
  [261] = {.index = 425, .length = 1},
  [262] = {.index = 426, .length = 2},
  [263] = {.index = 428, .length = 2},
  [264] = {.index = 430, .length = 1},
  [265] = {.index = 431, .length = 2},
  [266] = {.index = 433, .length = 2},
  [267] = {.index = 435, .length = 2},
  [268] = {.index = 437, .length = 1},
  [269] = {.index = 438, .length = 2},
  [270] = {.index = 440, .length = 3},
  [271] = {.index = 443, .length = 2},
  [272] = {.index = 445, .length = 1},
  [273] = {.index = 446, .length = 2},
  [274] = {.index = 448, .length = 1},
  [275] = {.index = 449, .length = 2},
  [276] = {.index = 451, .length = 1},
  [277] = {.index = 452, .length = 2},
  [278] = {.index = 454, .length = 1},
  [279] = {.index = 455, .length = 2},
  [280] = {.index = 457, .length = 1},
  [281] = {.index = 458, .length = 2},
  [282] = {.index = 460, .length = 1},
  [283] = {.index = 461, .length = 2},
  [284] = {.index = 463, .length = 1},
  [285] = {.index = 464, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_alias, 0, .inherited = true},
    {field_predicate, 0, .inherited = true},
    {field_timeout, 0, .inherited = true},
  [3] =
    {field_name, 0, .inherited = true},
  [4] =
    {field_timeout, 0, .inherited = true},
  [5] =
    {field_alias, 0, .inherited = true},
    {field_predicate, 0, .inherited = true},
  [7] =
    {field_value, 0},
  [8] =
    {field_name, 0},
  [9] =
    {field_name, 1, .inherited = true},
  [10] =
    {field_alias, 1, .inherited = true},
    {field_predicate, 1, .inherited = true},
    {field_timeout, 1, .inherited = true},
  [13] =
    {field_operation, 1, .inherited = true},
  [14] =
    {field_operand, 1},
    {field_operator, 0},
  [16] =
    {field_alias, 1, .inherited = true},
    {field_value, 0},
  [18] =
    {field_alias, 0},
  [19] =
    {field_name, 2, .inherited = true},
  [20] =
    {field_alias, 1, .inherited = true},
  [21] =
    {field_alias, 2, .inherited = true},
    {field_predicate, 2, .inherited = true},
    {field_timeout, 2, .inherited = true},
  [24] =
    {field_name, 2},
  [25] =
    {field_operation, 0},
  [26] =
    {field_operation, 0, .inherited = true},
    {field_operation, 1, .inherited = true},
  [28] =
    {field_alias, 1},
  [29] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [32] =
    {field_custom_type, 2, .inherited = true},
  [33] =
    {field_custom_type, 0},
  [34] =
    {field_name, 2},
    {field_schema, 0},
  [36] =
    {field_name, 3, .inherited = true},
  [37] =
    {field_connection_limit, 0, .inherited = true},
    {field_option, 0, .inherited = true},
    {field_password, 0, .inherited = true},
    {field_valid_until, 0, .inherited = true},
  [41] =
    {field_option, 0},
  [42] =
    {field_connection_limit, 3, .inherited = true},
    {field_option, 3, .inherited = true},
    {field_password, 3, .inherited = true},
    {field_valid_until, 3, .inherited = true},
  [46] =
    {field_cache, 3, .inherited = true},
    {field_custom_type, 3, .inherited = true},
    {field_increment, 3, .inherited = true},
    {field_start, 3, .inherited = true},
  [50] =
    {field_name, 0, .inherited = true},
    {field_value, 0, .inherited = true},
  [52] =
    {field_name, 3, .inherited = true},
    {field_value, 3, .inherited = true},
  [54] =
    {field_cache, 3, .inherited = true},
    {field_custom_type, 3, .inherited = true},
    {field_restart, 3, .inherited = true},
    {field_start, 3, .inherited = true},
  [58] =
    {field_alias, 3, .inherited = true},
    {field_predicate, 3, .inherited = true},
    {field_timeout, 3, .inherited = true},
  [61] =
    {field_name, 3},
  [62] =
    {field_operation, 0},
    {field_operation, 1},
  [64] =
    {field_parameter, 2},
  [65] =
    {field_expression, 0},
    {field_subscript, 2},
  [67] =
    {field_size, 0, .inherited = true},
  [68] =
    {field_name, 4, .inherited = true},
  [69] =
    {field_alias, 3},
    {field_name, 4, .inherited = true},
  [71] =
    {field_alias, 3},
  [72] =
    {field_alias, 3, .inherited = true},
  [73] =
    {field_predicate, 1},
  [74] =
    {field_connection_limit, 4, .inherited = true},
    {field_option, 4, .inherited = true},
    {field_password, 4, .inherited = true},
    {field_valid_until, 4, .inherited = true},
  [78] =
    {field_password, 1},
  [79] =
    {field_connection_limit, 0, .inherited = true},
    {field_connection_limit, 1, .inherited = true},
    {field_option, 0, .inherited = true},
    {field_option, 1, .inherited = true},
    {field_password, 0, .inherited = true},
    {field_password, 1, .inherited = true},
    {field_valid_until, 0, .inherited = true},
    {field_valid_until, 1, .inherited = true},
  [87] =
    {field_path, 1},
  [88] =
    {field_cache, 4, .inherited = true},
    {field_custom_type, 4, .inherited = true},
    {field_increment, 4, .inherited = true},
    {field_start, 4, .inherited = true},
  [92] =
    {field_increment, 1},
  [93] =
    {field_start, 1},
  [94] =
    {field_custom_type, 1, .inherited = true},
  [95] =
    {field_cache, 1},
  [96] =
    {field_cache, 0, .inherited = true},
    {field_cache, 1, .inherited = true},
    {field_custom_type, 0, .inherited = true},
    {field_custom_type, 1, .inherited = true},
    {field_increment, 0, .inherited = true},
    {field_increment, 1, .inherited = true},
    {field_start, 0, .inherited = true},
    {field_start, 1, .inherited = true},
  [104] =
    {field_name, 4, .inherited = true},
    {field_value, 4, .inherited = true},
  [106] =
    {field_name, 0},
    {field_value, 1},
  [108] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [112] =
    {field_custom_type, 0, .inherited = true},
  [113] =
    {field_option, 4},
  [114] =
    {field_name, 1},
  [115] =
    {field_custom_type, 1, .inherited = true},
    {field_name, 0},
    {field_type, 1},
  [118] =
    {field_cache, 4, .inherited = true},
    {field_custom_type, 4, .inherited = true},
    {field_restart, 4, .inherited = true},
    {field_start, 4, .inherited = true},
  [122] =
    {field_restart, 1},
  [123] =
    {field_cache, 0, .inherited = true},
    {field_cache, 1, .inherited = true},
    {field_custom_type, 0, .inherited = true},
    {field_custom_type, 1, .inherited = true},
    {field_restart, 0, .inherited = true},
    {field_restart, 1, .inherited = true},
    {field_start, 0, .inherited = true},
    {field_start, 1, .inherited = true},
  [131] =
    {field_configuration_parameter, 4},
  [132] =
    {field_name, 4},
  [133] =
    {field_parameter, 3},
  [134] =
    {field_parameter, 1},
  [135] =
    {field_parameter, 2},
    {field_parameter, 3, .inherited = true},
  [137] =
    {field_parameter, 0, .inherited = true},
    {field_parameter, 1, .inherited = true},
  [139] =
    {field_high, 4},
    {field_left, 0},
    {field_low, 2},
    {field_operator, 1},
  [143] =
    {field_size, 1, .inherited = true},
  [144] =
    {field_size, 0, .inherited = true},
    {field_size, 1, .inherited = true},
  [146] =
    {field_index_name, 3},
  [147] =
    {field_alias, 4},
    {field_name, 5, .inherited = true},
  [149] =
    {field_alias, 4},
  [150] =
    {field_name, 5, .inherited = true},
  [151] =
    {field_left, 0},
    {field_name, 0, .inherited = true},
    {field_right, 2},
  [154] =
    {field_key, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [156] =
    {field_predicate, 3},
  [157] =
    {field_password, 2},
  [158] =
    {field_valid_until, 2},
  [159] =
    {field_connection_limit, 2},
  [160] =
    {field_name, 0},
    {field_value, 2},
  [162] =
    {field_increment, 2},
  [163] =
    {field_start, 2},
  [164] =
    {field_column, 0},
  [165] =
    {field_function, 0},
  [166] =
    {field_column, 2},
  [167] =
    {field_name, 5, .inherited = true},
    {field_value, 5, .inherited = true},
  [169] =
    {field_cache, 5, .inherited = true},
    {field_custom_type, 5, .inherited = true},
    {field_increment, 5, .inherited = true},
    {field_start, 5, .inherited = true},
  [173] =
    {field_schema, 2},
  [174] =
    {field_old_name, 1},
  [175] =
    {field_col_name, 1},
  [176] =
    {field_restart, 2},
  [177] =
    {field_configuration_parameter, 5},
  [178] =
    {field_argument, 1},
  [179] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [181] =
    {field_custom_type, 4, .inherited = true},
    {field_name, 0},
    {field_parameter, 2},
  [184] =
    {field_parameter, 3},
    {field_parameter, 4, .inherited = true},
  [186] =
    {field_parameter, 2},
    {field_parameter, 4, .inherited = true},
  [188] =
    {field_start, 0},
  [189] =
    {field_end, 0},
  [190] =
    {field_high, 5},
    {field_left, 0},
    {field_low, 3},
    {field_operator, 1},
    {field_operator, 2},
  [195] =
    {field_expression, 0},
    {field_lower, 2},
    {field_upper, 4},
  [198] =
    {field_size, 1},
  [199] =
    {field_precision, 2},
  [200] =
    {field_size, 2},
  [201] =
    {field_value, 2},
  [202] =
    {field_alias, 5},
    {field_name, 6, .inherited = true},
  [204] =
    {field_alias, 5},
  [205] =
    {field_name, 6, .inherited = true},
  [206] =
    {field_key, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [208] =
    {field_key, 2, .inherited = true},
    {field_key, 3, .inherited = true},
    {field_value, 2, .inherited = true},
    {field_value, 3, .inherited = true},
  [212] =
    {field_key, 0, .inherited = true},
    {field_key, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [216] =
    {field_key, 0},
    {field_value, 2},
  [218] =
    {field_key, 3, .inherited = true},
    {field_value, 3, .inherited = true},
  [220] =
    {field_predicate, 4},
  [221] =
    {field_column, 1, .inherited = true},
    {field_expression, 1, .inherited = true},
    {field_function, 1, .inherited = true},
    {field_opclass, 1, .inherited = true},
    {field_opclass_parameters, 1, .inherited = true},
  [226] =
    {field_column, 0},
    {field_opclass, 1, .inherited = true},
    {field_opclass_parameters, 1, .inherited = true},
  [229] =
    {field_opclass, 0},
  [230] =
    {field_function, 0},
    {field_opclass, 1, .inherited = true},
    {field_opclass_parameters, 1, .inherited = true},
  [233] =
    {field_column, 3},
  [234] =
    {field_name, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [236] =
    {field_name, 4, .inherited = true},
    {field_name, 5, .inherited = true},
    {field_value, 4, .inherited = true},
    {field_value, 5, .inherited = true},
  [240] =
    {field_custom_type, 5, .inherited = true},
  [241] =
    {field_option, 0},
    {field_parameter, 2},
  [243] =
    {field_custom_type, 3, .inherited = true},
    {field_name, 1},
    {field_type, 3},
  [246] =
    {field_old_name, 2},
  [247] =
    {field_new_name, 3},
    {field_old_name, 1},
  [249] =
    {field_custom_type, 6, .inherited = true},
  [250] =
    {field_timeout, 4},
  [251] =
    {field_parameter, 3},
    {field_parameter, 5, .inherited = true},
  [253] =
    {field_size, 3},
  [254] =
    {field_precision, 3},
  [255] =
    {field_value, 1},
  [256] =
    {field_value, 2},
    {field_value, 3, .inherited = true},
  [258] =
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [260] =
    {field_index_name, 5},
  [261] =
    {field_alias, 6},
    {field_name, 7, .inherited = true},
  [263] =
    {field_alias, 6},
  [264] =
    {field_key, 4, .inherited = true},
    {field_value, 4, .inherited = true},
  [266] =
    {field_key, 3, .inherited = true},
    {field_key, 4, .inherited = true},
    {field_value, 3, .inherited = true},
    {field_value, 4, .inherited = true},
  [270] =
    {field_predicate, 5},
  [271] =
    {field_predicate, 6},
  [272] =
    {field_path, 1},
    {field_pool, 4},
  [274] =
    {field_expression, 0},
    {field_expression, 1},
    {field_expression, 2},
  [277] =
    {field_column, 4},
  [278] =
    {field_name, 6, .inherited = true},
    {field_value, 6, .inherited = true},
  [280] =
    {field_enum_element, 1},
  [281] =
    {field_option, 7},
  [282] =
    {field_custom_type, 4, .inherited = true},
    {field_name, 2},
    {field_type, 4},
  [285] =
    {field_compression_method, 4},
    {field_name, 1},
  [287] =
    {field_name, 1},
    {field_statistics, 4},
  [289] =
    {field_old_name, 3},
  [290] =
    {field_new_name, 4},
    {field_old_name, 2},
  [292] =
    {field_custom_type, 7, .inherited = true},
  [293] =
    {field_timeout, 5},
  [294] =
    {field_precision, 2},
    {field_scale, 4},
  [296] =
    {field_alias, 7},
    {field_name, 8, .inherited = true},
  [298] =
    {field_alias, 7},
  [299] =
    {field_key, 4, .inherited = true},
    {field_key, 5, .inherited = true},
    {field_value, 4, .inherited = true},
    {field_value, 5, .inherited = true},
  [303] =
    {field_alias, 5, .inherited = true},
    {field_predicate, 7},
  [305] =
    {field_alias, 3, .inherited = true},
    {field_predicate, 7},
  [307] =
    {field_expression, 0},
    {field_expression, 1},
    {field_expression, 2},
    {field_opclass, 3, .inherited = true},
    {field_opclass_parameters, 3, .inherited = true},
  [312] =
    {field_column, 0},
    {field_opclass, 3, .inherited = true},
    {field_opclass_parameters, 3, .inherited = true},
  [315] =
    {field_opclass, 0},
    {field_opclass_parameters, 1},
    {field_opclass_parameters, 2},
  [318] =
    {field_function, 0},
    {field_opclass, 3, .inherited = true},
    {field_opclass_parameters, 3, .inherited = true},
  [321] =
    {field_name, 6, .inherited = true},
    {field_name, 7, .inherited = true},
    {field_value, 6, .inherited = true},
    {field_value, 7, .inherited = true},
  [325] =
    {field_enum_element, 1},
    {field_enum_element, 2, .inherited = true},
  [327] =
    {field_enum_element, 0, .inherited = true},
    {field_enum_element, 1, .inherited = true},
  [329] =
    {field_column, 5},
  [330] =
    {field_compression_method, 5},
    {field_name, 2},
  [332] =
    {field_name, 2},
    {field_statistics, 5},
  [334] =
    {field_custom_type, 5, .inherited = true},
    {field_name, 1},
    {field_type, 5},
  [337] =
    {field_key, 4, .inherited = true},
    {field_name, 1},
    {field_value, 4, .inherited = true},
  [340] =
    {field_value, 7},
  [341] =
    {field_argument, 2},
  [342] =
    {field_argument, 2},
    {field_name, 6, .inherited = true},
  [344] =
    {field_precision, 3},
    {field_scale, 5},
  [346] =
    {field_predicate, 7},
  [347] =
    {field_alias, 3, .inherited = true},
    {field_alias, 6, .inherited = true},
    {field_predicate, 8},
  [350] =
    {field_fields_terminated_char, 6},
  [351] =
    {field_row_terminated_char, 6},
  [352] =
    {field_opclass, 0},
    {field_opclass_parameters, 1},
    {field_opclass_parameters, 2},
    {field_opclass_parameters, 3},
  [356] =
    {field_custom_type, 6, .inherited = true},
    {field_name, 2},
    {field_type, 6},
  [359] =
    {field_key, 5, .inherited = true},
    {field_name, 2},
    {field_value, 5, .inherited = true},
  [362] =
    {field_key, 4, .inherited = true},
    {field_key, 5, .inherited = true},
    {field_name, 1},
    {field_value, 4, .inherited = true},
    {field_value, 5, .inherited = true},
  [367] =
    {field_value, 8},
  [368] =
    {field_value, 7},
    {field_value, 8, .inherited = true},
  [370] =
    {field_custom_type, 9, .inherited = true},
  [371] =
    {field_name, 7, .inherited = true},
  [372] =
    {field_argument, 2},
    {field_name, 7, .inherited = true},
  [374] =
    {field_argument, 2},
    {field_argument, 3, .inherited = true},
  [376] =
    {field_argument, 2},
    {field_argument, 3, .inherited = true},
    {field_name, 7, .inherited = true},
  [379] =
    {field_precision, 4},
    {field_scale, 6},
  [381] =
    {field_predicate, 8},
  [382] =
    {field_alias, 5, .inherited = true},
    {field_predicate, 8},
  [384] =
    {field_alias, 3, .inherited = true},
    {field_predicate, 8},
  [386] =
    {field_expression, 0},
    {field_expression, 1},
    {field_expression, 2},
    {field_opclass, 5, .inherited = true},
    {field_opclass_parameters, 5, .inherited = true},
  [391] =
    {field_opclass, 0},
    {field_opclass_parameters, 1},
    {field_opclass_parameters, 2},
    {field_opclass_parameters, 3},
    {field_opclass_parameters, 4},
  [396] =
    {field_key, 5, .inherited = true},
    {field_key, 6, .inherited = true},
    {field_name, 2},
    {field_value, 5, .inherited = true},
    {field_value, 6, .inherited = true},
  [401] =
    {field_value, 8},
    {field_value, 9, .inherited = true},
  [403] =
    {field_argument, 2},
    {field_name, 8, .inherited = true},
  [405] =
    {field_argument, 2},
    {field_argument, 3, .inherited = true},
    {field_name, 8, .inherited = true},
  [408] =
    {field_alias, 3, .inherited = true},
    {field_alias, 6, .inherited = true},
    {field_predicate, 9},
  [411] =
    {field_path, 1},
    {field_pool, 4},
    {field_value, 8},
  [414] =
    {field_value, 3},
  [415] =
    {field_argument, 2},
    {field_argument, 3, .inherited = true},
    {field_name, 9, .inherited = true},
  [418] =
    {field_escaped_char, 9},
    {field_fields_terminated_char, 6},
  [420] =
    {field_parameter, 11},
  [421] =
    {field_name, 6, .inherited = true},
    {field_predicate, 3},
  [423] =
    {field_fields_terminated_char, 6},
    {field_row_terminated_char, 10},
  [425] =
    {field_parameter, 12},
  [426] =
    {field_parameter, 11},
    {field_parameter, 12, .inherited = true},
  [428] =
    {field_name, 7, .inherited = true},
    {field_predicate, 4},
  [430] =
    {field_parameter, 13},
  [431] =
    {field_parameter, 12},
    {field_parameter, 13, .inherited = true},
  [433] =
    {field_name, 8, .inherited = true},
    {field_predicate, 4},
  [435] =
    {field_parameter, 13},
    {field_parameter, 14, .inherited = true},
  [437] =
    {field_parameter, 14},
  [438] =
    {field_name, 9, .inherited = true},
    {field_predicate, 5},
  [440] =
    {field_escaped_char, 9},
    {field_fields_terminated_char, 6},
    {field_row_terminated_char, 13},
  [443] =
    {field_parameter, 14},
    {field_parameter, 15, .inherited = true},
  [445] =
    {field_parameter, 15},
  [446] =
    {field_parameter, 15},
    {field_parameter, 16, .inherited = true},
  [448] =
    {field_parameter, 16},
  [449] =
    {field_parameter, 16},
    {field_parameter, 17, .inherited = true},
  [451] =
    {field_parameter, 17},
  [452] =
    {field_parameter, 17},
    {field_parameter, 18, .inherited = true},
  [454] =
    {field_parameter, 18},
  [455] =
    {field_parameter, 18},
    {field_parameter, 19, .inherited = true},
  [457] =
    {field_parameter, 19},
  [458] =
    {field_parameter, 19},
    {field_parameter, 20, .inherited = true},
  [460] =
    {field_parameter, 20},
  [461] =
    {field_parameter, 20},
    {field_parameter, 21, .inherited = true},
  [463] =
    {field_parameter, 21},
  [464] =
    {field_parameter, 21},
    {field_parameter, 22, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [6] = {
    [0] = sym_field,
  },
  [16] = {
    [0] = sym_literal,
  },
  [27] = {
    [0] = sym_list,
  },
  [28] = {
    [2] = sym_list,
  },
  [38] = {
    [1] = sym_object_reference,
  },
  [46] = {
    [1] = sym_ordered_column,
  },
  [47] = {
    [0] = sym_list,
  },
  [51] = {
    [1] = sym_literal,
  },
  [53] = {
    [1] = sym_literal,
  },
  [55] = {
    [1] = sym_literal,
  },
  [56] = {
    [1] = sym_literal,
  },
  [58] = {
    [1] = sym_literal,
  },
  [61] = {
    [1] = sym_literal,
  },
  [64] = {
    [4] = sym_literal,
  },
  [70] = {
    [1] = sym_literal,
  },
  [85] = {
    [0] = sym_field,
  },
  [87] = {
    [4] = sym_list,
  },
  [89] = {
    [3] = sym_list,
  },
  [90] = {
    [2] = sym_literal,
  },
  [91] = {
    [2] = sym_literal,
  },
  [92] = {
    [2] = sym_literal,
  },
  [94] = {
    [2] = sym_literal,
  },
  [95] = {
    [2] = sym_literal,
  },
  [100] = {
    [2] = sym_literal,
  },
  [102] = {
    [5] = sym_literal,
  },
  [106] = {
    [2] = sym_literal,
  },
  [108] = {
    [3] = sym_statement,
  },
  [109] = {
    [3] = sym_statement,
  },
  [114] = {
    [4] = sym_literal,
  },
  [118] = {
    [0] = sym_literal,
  },
  [119] = {
    [0] = sym_literal,
  },
  [122] = {
    [1] = sym_literal,
  },
  [123] = {
    [2] = sym_literal,
  },
  [124] = {
    [2] = sym_literal,
  },
  [125] = {
    [2] = sym_literal,
  },
  [132] = {
    [2] = sym_literal,
  },
  [135] = {
    [4] = sym_list,
  },
  [143] = {
    [6] = sym_literal,
  },
  [149] = {
    [1] = sym_literal,
  },
  [151] = {
    [4] = sym_statement,
  },
  [152] = {
    [4] = sym_statement,
  },
  [153] = {
    [4] = sym_literal,
  },
  [154] = {
    [5] = sym_literal,
  },
  [156] = {
    [5] = sym_literal,
  },
  [157] = {
    [3] = sym_literal,
  },
  [158] = {
    [3] = sym_literal,
  },
  [159] = {
    [1] = sym_literal,
  },
  [160] = {
    [2] = sym_literal,
  },
  [168] = {
    [5] = sym_list,
  },
  [170] = {
    [1] = sym_literal,
    [4] = sym_literal,
  },
  [174] = {
    [1] = sym_literal,
  },
  [175] = {
    [7] = sym_literal,
  },
  [182] = {
    [4] = sym_literal,
    [7] = sym_literal,
  },
  [184] = {
    [5] = sym_literal,
    [7] = sym_literal,
  },
  [185] = {
    [5] = sym_statement,
  },
  [186] = {
    [5] = sym_statement,
  },
  [187] = {
    [5] = sym_literal,
  },
  [188] = {
    [1] = sym_identifier,
  },
  [189] = {
    [4] = anon_alias_sym_filename,
  },
  [190] = {
    [6] = sym_literal,
  },
  [191] = {
    [2] = sym_literal,
    [4] = sym_literal,
  },
  [195] = {
    [6] = sym_list,
  },
  [203] = {
    [1] = sym_literal,
  },
  [206] = {
    [8] = sym_literal,
  },
  [211] = {
    [5] = sym_literal,
    [8] = sym_literal,
  },
  [213] = {
    [6] = sym_literal,
    [8] = sym_literal,
  },
  [214] = {
    [6] = sym_statement,
  },
  [215] = {
    [6] = sym_statement,
  },
  [216] = {
    [6] = sym_statement,
  },
  [217] = {
    [6] = sym_statement,
  },
  [218] = {
    [5] = anon_alias_sym_command,
  },
  [219] = {
    [3] = sym_literal,
    [5] = sym_literal,
  },
  [221] = {
    [7] = sym_list,
  },
  [223] = {
    [6] = sym_literal,
  },
  [224] = {
    [6] = sym_literal,
  },
  [230] = {
    [6] = sym_literal,
    [9] = sym_literal,
  },
  [233] = {
    [7] = sym_statement,
  },
  [234] = {
    [7] = sym_statement,
  },
  [235] = {
    [7] = sym_statement,
  },
  [236] = {
    [7] = sym_statement,
  },
  [237] = {
    [7] = sym_statement,
  },
  [238] = {
    [7] = sym_statement,
  },
  [239] = {
    [4] = sym_literal,
    [6] = sym_literal,
  },
  [241] = {
    [8] = sym_list,
  },
  [248] = {
    [8] = sym_statement,
  },
  [249] = {
    [8] = sym_statement,
  },
  [250] = {
    [8] = sym_statement,
  },
  [251] = {
    [8] = sym_statement,
  },
  [253] = {
    [1] = sym_literal,
    [4] = sym_literal,
    [8] = sym_literal,
  },
  [255] = {
    [9] = sym_statement,
  },
  [256] = {
    [9] = sym_statement,
  },
  [257] = {
    [6] = sym_literal,
    [9] = sym_literal,
  },
  [260] = {
    [6] = sym_literal,
    [10] = sym_literal,
  },
  [270] = {
    [6] = sym_literal,
    [9] = sym_literal,
    [13] = sym_literal,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__dml_write, 2,
    sym__dml_write,
    sym_statement,
  sym__dml_read, 2,
    sym__dml_read,
    sym_statement,
  sym__column_list, 2,
    sym__column_list,
    sym_list,
  sym__column, 2,
    sym__column,
    sym_ordered_column,
  sym__qualified_field, 3,
    sym__qualified_field,
    sym_field,
    sym_object_reference,
  sym__single_quote_string, 2,
    sym__single_quote_string,
    sym_literal,
  sym__literal_string, 5,
    sym__literal_string,
    anon_alias_sym_command,
    anon_alias_sym_filename,
    sym_identifier,
    sym_literal,
  sym__integer, 2,
    sym__integer,
    sym_literal,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 6,
  [9] = 7,
  [10] = 10,
  [11] = 11,
  [12] = 10,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 15,
  [25] = 16,
  [26] = 18,
  [27] = 19,
  [28] = 20,
  [29] = 21,
  [30] = 22,
  [31] = 31,
  [32] = 10,
  [33] = 13,
  [34] = 31,
  [35] = 35,
  [36] = 14,
  [37] = 35,
  [38] = 17,
  [39] = 10,
  [40] = 10,
  [41] = 10,
  [42] = 10,
  [43] = 10,
  [44] = 10,
  [45] = 10,
  [46] = 10,
  [47] = 10,
  [48] = 10,
  [49] = 10,
  [50] = 10,
  [51] = 10,
  [52] = 10,
  [53] = 10,
  [54] = 10,
  [55] = 10,
  [56] = 10,
  [57] = 10,
  [58] = 10,
  [59] = 10,
  [60] = 10,
  [61] = 10,
  [62] = 10,
  [63] = 10,
  [64] = 10,
  [65] = 10,
  [66] = 10,
  [67] = 67,
  [68] = 67,
  [69] = 67,
  [70] = 67,
  [71] = 67,
  [72] = 67,
  [73] = 67,
  [74] = 67,
  [75] = 67,
  [76] = 67,
  [77] = 67,
  [78] = 67,
  [79] = 67,
  [80] = 67,
  [81] = 67,
  [82] = 67,
  [83] = 67,
  [84] = 67,
  [85] = 10,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 90,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 102,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 101,
  [108] = 104,
  [109] = 106,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 111,
  [115] = 115,
  [116] = 113,
  [117] = 112,
  [118] = 87,
  [119] = 88,
  [120] = 86,
  [121] = 121,
  [122] = 122,
  [123] = 121,
  [124] = 122,
  [125] = 125,
  [126] = 122,
  [127] = 127,
  [128] = 127,
  [129] = 127,
  [130] = 130,
  [131] = 131,
  [132] = 131,
  [133] = 130,
  [134] = 130,
  [135] = 131,
  [136] = 136,
  [137] = 89,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 141,
  [143] = 140,
  [144] = 144,
  [145] = 140,
  [146] = 141,
  [147] = 144,
  [148] = 144,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 90,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 90,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 87,
  [293] = 86,
  [294] = 88,
  [295] = 295,
  [296] = 295,
  [297] = 90,
  [298] = 90,
  [299] = 90,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 300,
  [309] = 302,
  [310] = 310,
  [311] = 302,
  [312] = 300,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 302,
  [317] = 300,
  [318] = 301,
  [319] = 302,
  [320] = 300,
  [321] = 321,
  [322] = 302,
  [323] = 300,
  [324] = 302,
  [325] = 300,
  [326] = 300,
  [327] = 302,
  [328] = 300,
  [329] = 302,
  [330] = 300,
  [331] = 302,
  [332] = 300,
  [333] = 302,
  [334] = 300,
  [335] = 302,
  [336] = 321,
  [337] = 300,
  [338] = 300,
  [339] = 300,
  [340] = 300,
  [341] = 300,
  [342] = 342,
  [343] = 300,
  [344] = 302,
  [345] = 302,
  [346] = 302,
  [347] = 302,
  [348] = 302,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 302,
  [360] = 313,
  [361] = 342,
  [362] = 303,
  [363] = 307,
  [364] = 301,
  [365] = 321,
  [366] = 300,
  [367] = 300,
  [368] = 313,
  [369] = 342,
  [370] = 303,
  [371] = 307,
  [372] = 300,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 89,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 87,
  [394] = 88,
  [395] = 86,
  [396] = 396,
  [397] = 397,
  [398] = 149,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 381,
  [418] = 384,
  [419] = 376,
  [420] = 389,
  [421] = 89,
  [422] = 390,
  [423] = 373,
  [424] = 385,
  [425] = 161,
  [426] = 162,
  [427] = 392,
  [428] = 374,
  [429] = 153,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 154,
  [434] = 90,
  [435] = 435,
  [436] = 155,
  [437] = 156,
  [438] = 152,
  [439] = 158,
  [440] = 157,
  [441] = 375,
  [442] = 159,
  [443] = 150,
  [444] = 165,
  [445] = 163,
  [446] = 164,
  [447] = 382,
  [448] = 388,
  [449] = 383,
  [450] = 386,
  [451] = 387,
  [452] = 160,
  [453] = 151,
  [454] = 377,
  [455] = 378,
  [456] = 379,
  [457] = 391,
  [458] = 458,
  [459] = 381,
  [460] = 458,
  [461] = 391,
  [462] = 392,
  [463] = 458,
  [464] = 374,
  [465] = 375,
  [466] = 458,
  [467] = 376,
  [468] = 389,
  [469] = 458,
  [470] = 390,
  [471] = 373,
  [472] = 385,
  [473] = 304,
  [474] = 305,
  [475] = 349,
  [476] = 350,
  [477] = 306,
  [478] = 351,
  [479] = 352,
  [480] = 353,
  [481] = 354,
  [482] = 355,
  [483] = 88,
  [484] = 356,
  [485] = 357,
  [486] = 358,
  [487] = 458,
  [488] = 458,
  [489] = 136,
  [490] = 187,
  [491] = 170,
  [492] = 171,
  [493] = 458,
  [494] = 494,
  [495] = 494,
  [496] = 458,
  [497] = 458,
  [498] = 384,
  [499] = 87,
  [500] = 458,
  [501] = 501,
  [502] = 180,
  [503] = 166,
  [504] = 458,
  [505] = 494,
  [506] = 86,
  [507] = 382,
  [508] = 494,
  [509] = 458,
  [510] = 388,
  [511] = 383,
  [512] = 386,
  [513] = 494,
  [514] = 458,
  [515] = 387,
  [516] = 174,
  [517] = 377,
  [518] = 175,
  [519] = 494,
  [520] = 177,
  [521] = 458,
  [522] = 378,
  [523] = 379,
  [524] = 458,
  [525] = 458,
  [526] = 178,
  [527] = 168,
  [528] = 169,
  [529] = 172,
  [530] = 176,
  [531] = 494,
  [532] = 179,
  [533] = 458,
  [534] = 534,
  [535] = 192,
  [536] = 193,
  [537] = 194,
  [538] = 356,
  [539] = 399,
  [540] = 540,
  [541] = 541,
  [542] = 406,
  [543] = 213,
  [544] = 214,
  [545] = 218,
  [546] = 219,
  [547] = 220,
  [548] = 548,
  [549] = 549,
  [550] = 181,
  [551] = 357,
  [552] = 185,
  [553] = 186,
  [554] = 401,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 412,
  [559] = 559,
  [560] = 560,
  [561] = 400,
  [562] = 358,
  [563] = 534,
  [564] = 414,
  [565] = 304,
  [566] = 305,
  [567] = 416,
  [568] = 403,
  [569] = 404,
  [570] = 570,
  [571] = 571,
  [572] = 407,
  [573] = 415,
  [574] = 410,
  [575] = 575,
  [576] = 306,
  [577] = 397,
  [578] = 408,
  [579] = 413,
  [580] = 411,
  [581] = 570,
  [582] = 402,
  [583] = 405,
  [584] = 584,
  [585] = 409,
  [586] = 396,
  [587] = 571,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 198,
  [593] = 199,
  [594] = 594,
  [595] = 595,
  [596] = 570,
  [597] = 597,
  [598] = 598,
  [599] = 203,
  [600] = 204,
  [601] = 601,
  [602] = 86,
  [603] = 87,
  [604] = 88,
  [605] = 208,
  [606] = 606,
  [607] = 209,
  [608] = 210,
  [609] = 211,
  [610] = 212,
  [611] = 611,
  [612] = 571,
  [613] = 349,
  [614] = 350,
  [615] = 351,
  [616] = 352,
  [617] = 353,
  [618] = 215,
  [619] = 216,
  [620] = 217,
  [621] = 197,
  [622] = 354,
  [623] = 183,
  [624] = 195,
  [625] = 196,
  [626] = 200,
  [627] = 590,
  [628] = 595,
  [629] = 611,
  [630] = 541,
  [631] = 548,
  [632] = 570,
  [633] = 540,
  [634] = 191,
  [635] = 588,
  [636] = 534,
  [637] = 549,
  [638] = 555,
  [639] = 556,
  [640] = 557,
  [641] = 559,
  [642] = 560,
  [643] = 570,
  [644] = 570,
  [645] = 570,
  [646] = 540,
  [647] = 584,
  [648] = 588,
  [649] = 534,
  [650] = 540,
  [651] = 584,
  [652] = 588,
  [653] = 534,
  [654] = 540,
  [655] = 584,
  [656] = 588,
  [657] = 534,
  [658] = 540,
  [659] = 584,
  [660] = 588,
  [661] = 534,
  [662] = 540,
  [663] = 584,
  [664] = 588,
  [665] = 534,
  [666] = 540,
  [667] = 584,
  [668] = 588,
  [669] = 534,
  [670] = 540,
  [671] = 584,
  [672] = 588,
  [673] = 534,
  [674] = 540,
  [675] = 584,
  [676] = 588,
  [677] = 201,
  [678] = 540,
  [679] = 584,
  [680] = 588,
  [681] = 534,
  [682] = 540,
  [683] = 584,
  [684] = 588,
  [685] = 534,
  [686] = 540,
  [687] = 584,
  [688] = 588,
  [689] = 534,
  [690] = 540,
  [691] = 584,
  [692] = 588,
  [693] = 534,
  [694] = 540,
  [695] = 584,
  [696] = 588,
  [697] = 534,
  [698] = 540,
  [699] = 584,
  [700] = 588,
  [701] = 534,
  [702] = 540,
  [703] = 584,
  [704] = 588,
  [705] = 534,
  [706] = 540,
  [707] = 584,
  [708] = 588,
  [709] = 534,
  [710] = 202,
  [711] = 205,
  [712] = 206,
  [713] = 207,
  [714] = 355,
  [715] = 184,
  [716] = 188,
  [717] = 189,
  [718] = 190,
  [719] = 584,
  [720] = 720,
  [721] = 221,
  [722] = 236,
  [723] = 237,
  [724] = 238,
  [725] = 239,
  [726] = 240,
  [727] = 241,
  [728] = 242,
  [729] = 243,
  [730] = 244,
  [731] = 245,
  [732] = 246,
  [733] = 86,
  [734] = 734,
  [735] = 734,
  [736] = 88,
  [737] = 737,
  [738] = 259,
  [739] = 260,
  [740] = 264,
  [741] = 265,
  [742] = 266,
  [743] = 267,
  [744] = 271,
  [745] = 272,
  [746] = 274,
  [747] = 275,
  [748] = 276,
  [749] = 277,
  [750] = 750,
  [751] = 278,
  [752] = 752,
  [753] = 281,
  [754] = 734,
  [755] = 284,
  [756] = 756,
  [757] = 254,
  [758] = 255,
  [759] = 234,
  [760] = 262,
  [761] = 263,
  [762] = 269,
  [763] = 280,
  [764] = 283,
  [765] = 227,
  [766] = 233,
  [767] = 235,
  [768] = 768,
  [769] = 769,
  [770] = 252,
  [771] = 253,
  [772] = 285,
  [773] = 256,
  [774] = 257,
  [775] = 258,
  [776] = 776,
  [777] = 249,
  [778] = 250,
  [779] = 251,
  [780] = 304,
  [781] = 305,
  [782] = 306,
  [783] = 89,
  [784] = 784,
  [785] = 187,
  [786] = 430,
  [787] = 787,
  [788] = 788,
  [789] = 789,
  [790] = 734,
  [791] = 349,
  [792] = 350,
  [793] = 793,
  [794] = 734,
  [795] = 351,
  [796] = 720,
  [797] = 352,
  [798] = 353,
  [799] = 354,
  [800] = 355,
  [801] = 356,
  [802] = 720,
  [803] = 720,
  [804] = 720,
  [805] = 399,
  [806] = 720,
  [807] = 720,
  [808] = 720,
  [809] = 720,
  [810] = 720,
  [811] = 720,
  [812] = 273,
  [813] = 720,
  [814] = 720,
  [815] = 720,
  [816] = 357,
  [817] = 720,
  [818] = 720,
  [819] = 720,
  [820] = 401,
  [821] = 187,
  [822] = 412,
  [823] = 400,
  [824] = 358,
  [825] = 825,
  [826] = 414,
  [827] = 827,
  [828] = 416,
  [829] = 734,
  [830] = 403,
  [831] = 404,
  [832] = 734,
  [833] = 407,
  [834] = 415,
  [835] = 410,
  [836] = 397,
  [837] = 408,
  [838] = 413,
  [839] = 411,
  [840] = 840,
  [841] = 402,
  [842] = 405,
  [843] = 843,
  [844] = 409,
  [845] = 396,
  [846] = 846,
  [847] = 261,
  [848] = 248,
  [849] = 223,
  [850] = 224,
  [851] = 247,
  [852] = 268,
  [853] = 853,
  [854] = 854,
  [855] = 270,
  [856] = 282,
  [857] = 87,
  [858] = 222,
  [859] = 225,
  [860] = 226,
  [861] = 720,
  [862] = 232,
  [863] = 228,
  [864] = 229,
  [865] = 230,
  [866] = 231,
  [867] = 406,
  [868] = 756,
  [869] = 752,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 880,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 787,
  [887] = 887,
  [888] = 827,
  [889] = 889,
  [890] = 737,
  [891] = 891,
  [892] = 892,
  [893] = 287,
  [894] = 290,
  [895] = 289,
  [896] = 896,
  [897] = 897,
  [898] = 854,
  [899] = 899,
  [900] = 769,
  [901] = 776,
  [902] = 784,
  [903] = 789,
  [904] = 89,
  [905] = 825,
  [906] = 793,
  [907] = 840,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 286,
  [914] = 288,
  [915] = 291,
  [916] = 430,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 877,
  [924] = 750,
  [925] = 768,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 929,
  [931] = 931,
  [932] = 927,
  [933] = 435,
  [934] = 929,
  [935] = 931,
  [936] = 929,
  [937] = 928,
  [938] = 938,
  [939] = 931,
  [940] = 931,
  [941] = 927,
  [942] = 938,
  [943] = 927,
  [944] = 929,
  [945] = 927,
  [946] = 927,
  [947] = 927,
  [948] = 948,
  [949] = 931,
  [950] = 929,
  [951] = 927,
  [952] = 929,
  [953] = 927,
  [954] = 927,
  [955] = 927,
  [956] = 929,
  [957] = 931,
  [958] = 931,
  [959] = 928,
  [960] = 931,
  [961] = 927,
  [962] = 931,
  [963] = 929,
  [964] = 825,
  [965] = 750,
  [966] = 752,
  [967] = 927,
  [968] = 776,
  [969] = 784,
  [970] = 793,
  [971] = 926,
  [972] = 840,
  [973] = 927,
  [974] = 737,
  [975] = 756,
  [976] = 768,
  [977] = 927,
  [978] = 854,
  [979] = 769,
  [980] = 789,
  [981] = 927,
  [982] = 929,
  [983] = 927,
  [984] = 929,
  [985] = 938,
  [986] = 931,
  [987] = 927,
  [988] = 929,
  [989] = 927,
  [990] = 929,
  [991] = 931,
  [992] = 929,
  [993] = 927,
  [994] = 929,
  [995] = 938,
  [996] = 931,
  [997] = 927,
  [998] = 927,
  [999] = 929,
  [1000] = 929,
  [1001] = 931,
  [1002] = 431,
  [1003] = 432,
  [1004] = 89,
  [1005] = 931,
  [1006] = 90,
  [1007] = 938,
  [1008] = 928,
  [1009] = 929,
  [1010] = 931,
  [1011] = 928,
  [1012] = 929,
  [1013] = 929,
  [1014] = 931,
  [1015] = 880,
  [1016] = 927,
  [1017] = 929,
  [1018] = 929,
  [1019] = 926,
  [1020] = 926,
  [1021] = 926,
  [1022] = 926,
  [1023] = 926,
  [1024] = 926,
  [1025] = 926,
  [1026] = 926,
  [1027] = 926,
  [1028] = 926,
  [1029] = 926,
  [1030] = 926,
  [1031] = 926,
  [1032] = 926,
  [1033] = 926,
  [1034] = 926,
  [1035] = 149,
  [1036] = 938,
  [1037] = 931,
  [1038] = 919,
  [1039] = 948,
  [1040] = 929,
  [1041] = 931,
  [1042] = 928,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 382,
  [1057] = 388,
  [1058] = 1058,
  [1059] = 383,
  [1060] = 386,
  [1061] = 387,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 377,
  [1065] = 378,
  [1066] = 379,
  [1067] = 384,
  [1068] = 381,
  [1069] = 1069,
  [1070] = 391,
  [1071] = 392,
  [1072] = 374,
  [1073] = 375,
  [1074] = 376,
  [1075] = 389,
  [1076] = 390,
  [1077] = 373,
  [1078] = 385,
  [1079] = 1079,
  [1080] = 1045,
  [1081] = 1046,
  [1082] = 1047,
  [1083] = 1083,
  [1084] = 1049,
  [1085] = 1050,
  [1086] = 1051,
  [1087] = 1052,
  [1088] = 1053,
  [1089] = 1054,
  [1090] = 1055,
  [1091] = 1058,
  [1092] = 1062,
  [1093] = 1093,
  [1094] = 1045,
  [1095] = 1046,
  [1096] = 1047,
  [1097] = 1049,
  [1098] = 1050,
  [1099] = 1051,
  [1100] = 1052,
  [1101] = 1053,
  [1102] = 1054,
  [1103] = 1055,
  [1104] = 1058,
  [1105] = 1062,
  [1106] = 1106,
  [1107] = 1045,
  [1108] = 1046,
  [1109] = 1047,
  [1110] = 1110,
  [1111] = 1049,
  [1112] = 1050,
  [1113] = 1051,
  [1114] = 1052,
  [1115] = 1053,
  [1116] = 1054,
  [1117] = 1055,
  [1118] = 153,
  [1119] = 154,
  [1120] = 155,
  [1121] = 156,
  [1122] = 152,
  [1123] = 158,
  [1124] = 157,
  [1125] = 159,
  [1126] = 150,
  [1127] = 165,
  [1128] = 163,
  [1129] = 164,
  [1130] = 160,
  [1131] = 1058,
  [1132] = 151,
  [1133] = 1062,
  [1134] = 435,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 431,
  [1139] = 161,
  [1140] = 162,
  [1141] = 432,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 149,
  [1147] = 1147,
  [1148] = 90,
  [1149] = 1149,
  [1150] = 1045,
  [1151] = 435,
  [1152] = 1152,
  [1153] = 304,
  [1154] = 305,
  [1155] = 1046,
  [1156] = 1047,
  [1157] = 1049,
  [1158] = 1050,
  [1159] = 1051,
  [1160] = 1052,
  [1161] = 1053,
  [1162] = 1054,
  [1163] = 1055,
  [1164] = 1045,
  [1165] = 1046,
  [1166] = 349,
  [1167] = 350,
  [1168] = 306,
  [1169] = 351,
  [1170] = 352,
  [1171] = 1171,
  [1172] = 1047,
  [1173] = 1058,
  [1174] = 1174,
  [1175] = 353,
  [1176] = 354,
  [1177] = 355,
  [1178] = 356,
  [1179] = 1058,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1049,
  [1186] = 1050,
  [1187] = 1051,
  [1188] = 1052,
  [1189] = 1053,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1054,
  [1193] = 1055,
  [1194] = 1062,
  [1195] = 357,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1062,
  [1199] = 149,
  [1200] = 1149,
  [1201] = 1201,
  [1202] = 358,
  [1203] = 1044,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 382,
  [1212] = 388,
  [1213] = 383,
  [1214] = 386,
  [1215] = 387,
  [1216] = 1216,
  [1217] = 377,
  [1218] = 378,
  [1219] = 379,
  [1220] = 384,
  [1221] = 381,
  [1222] = 391,
  [1223] = 392,
  [1224] = 374,
  [1225] = 375,
  [1226] = 376,
  [1227] = 389,
  [1228] = 390,
  [1229] = 373,
  [1230] = 385,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 136,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1196,
  [1240] = 1231,
  [1241] = 1241,
  [1242] = 1152,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1180,
  [1246] = 1182,
  [1247] = 1183,
  [1248] = 1190,
  [1249] = 1201,
  [1250] = 1207,
  [1251] = 1216,
  [1252] = 1235,
  [1253] = 1237,
  [1254] = 1241,
  [1255] = 1243,
  [1256] = 1256,
  [1257] = 1048,
  [1258] = 1063,
  [1259] = 1069,
  [1260] = 1079,
  [1261] = 1106,
  [1262] = 1136,
  [1263] = 1137,
  [1264] = 1142,
  [1265] = 1144,
  [1266] = 1147,
  [1267] = 1149,
  [1268] = 1045,
  [1269] = 1046,
  [1270] = 1047,
  [1271] = 1049,
  [1272] = 1050,
  [1273] = 1051,
  [1274] = 1052,
  [1275] = 1053,
  [1276] = 1054,
  [1277] = 1055,
  [1278] = 1058,
  [1279] = 1062,
  [1280] = 1149,
  [1281] = 1045,
  [1282] = 1046,
  [1283] = 1047,
  [1284] = 1049,
  [1285] = 1050,
  [1286] = 1051,
  [1287] = 1052,
  [1288] = 1053,
  [1289] = 1054,
  [1290] = 1055,
  [1291] = 1058,
  [1292] = 1062,
  [1293] = 1196,
  [1294] = 1231,
  [1295] = 1152,
  [1296] = 1180,
  [1297] = 1182,
  [1298] = 1183,
  [1299] = 1190,
  [1300] = 1201,
  [1301] = 1149,
  [1302] = 1216,
  [1303] = 1237,
  [1304] = 1241,
  [1305] = 1243,
  [1306] = 1256,
  [1307] = 1048,
  [1308] = 1069,
  [1309] = 1079,
  [1310] = 1106,
  [1311] = 1136,
  [1312] = 1137,
  [1313] = 1142,
  [1314] = 1144,
  [1315] = 1147,
  [1316] = 1149,
  [1317] = 1045,
  [1318] = 1046,
  [1319] = 1047,
  [1320] = 1045,
  [1321] = 1049,
  [1322] = 1050,
  [1323] = 1051,
  [1324] = 1052,
  [1325] = 1053,
  [1326] = 1054,
  [1327] = 1055,
  [1328] = 1058,
  [1329] = 1062,
  [1330] = 90,
  [1331] = 1231,
  [1332] = 1152,
  [1333] = 1182,
  [1334] = 1190,
  [1335] = 1201,
  [1336] = 1216,
  [1337] = 1241,
  [1338] = 1243,
  [1339] = 1256,
  [1340] = 1069,
  [1341] = 1079,
  [1342] = 1106,
  [1343] = 1136,
  [1344] = 1137,
  [1345] = 1142,
  [1346] = 1144,
  [1347] = 1147,
  [1348] = 1149,
  [1349] = 1045,
  [1350] = 1046,
  [1351] = 1047,
  [1352] = 1049,
  [1353] = 1050,
  [1354] = 1051,
  [1355] = 1052,
  [1356] = 1053,
  [1357] = 1054,
  [1358] = 1055,
  [1359] = 1058,
  [1360] = 1062,
  [1361] = 1231,
  [1362] = 1152,
  [1363] = 1182,
  [1364] = 1201,
  [1365] = 1216,
  [1366] = 1256,
  [1367] = 1106,
  [1368] = 1142,
  [1369] = 1149,
  [1370] = 1045,
  [1371] = 1046,
  [1372] = 1047,
  [1373] = 1049,
  [1374] = 1050,
  [1375] = 1051,
  [1376] = 1052,
  [1377] = 1053,
  [1378] = 1054,
  [1379] = 1055,
  [1380] = 1046,
  [1381] = 1058,
  [1382] = 1062,
  [1383] = 1047,
  [1384] = 1049,
  [1385] = 1050,
  [1386] = 1231,
  [1387] = 1051,
  [1388] = 1152,
  [1389] = 1182,
  [1390] = 1201,
  [1391] = 1216,
  [1392] = 1256,
  [1393] = 1106,
  [1394] = 1142,
  [1395] = 1149,
  [1396] = 1045,
  [1397] = 1046,
  [1398] = 1047,
  [1399] = 1052,
  [1400] = 1049,
  [1401] = 1050,
  [1402] = 1051,
  [1403] = 1052,
  [1404] = 1053,
  [1405] = 1054,
  [1406] = 1055,
  [1407] = 1053,
  [1408] = 1058,
  [1409] = 1062,
  [1410] = 1054,
  [1411] = 1055,
  [1412] = 1149,
  [1413] = 1045,
  [1414] = 1046,
  [1415] = 1047,
  [1416] = 1049,
  [1417] = 1050,
  [1418] = 1051,
  [1419] = 1052,
  [1420] = 1053,
  [1421] = 1054,
  [1422] = 1055,
  [1423] = 1058,
  [1424] = 1062,
  [1425] = 1152,
  [1426] = 1149,
  [1427] = 1045,
  [1428] = 1046,
  [1429] = 1047,
  [1430] = 1049,
  [1431] = 1050,
  [1432] = 1051,
  [1433] = 1052,
  [1434] = 1053,
  [1435] = 1054,
  [1436] = 1055,
  [1437] = 1058,
  [1438] = 1062,
  [1439] = 1149,
  [1440] = 1045,
  [1441] = 1046,
  [1442] = 1047,
  [1443] = 1049,
  [1444] = 1050,
  [1445] = 1051,
  [1446] = 1052,
  [1447] = 1053,
  [1448] = 1054,
  [1449] = 1055,
  [1450] = 1058,
  [1451] = 1062,
  [1452] = 1149,
  [1453] = 1045,
  [1454] = 1046,
  [1455] = 1047,
  [1456] = 1049,
  [1457] = 1050,
  [1458] = 1051,
  [1459] = 1052,
  [1460] = 1053,
  [1461] = 1054,
  [1462] = 1055,
  [1463] = 1058,
  [1464] = 1062,
  [1465] = 1149,
  [1466] = 1045,
  [1467] = 1046,
  [1468] = 1047,
  [1469] = 1058,
  [1470] = 1049,
  [1471] = 1050,
  [1472] = 1051,
  [1473] = 1052,
  [1474] = 1053,
  [1475] = 1054,
  [1476] = 1055,
  [1477] = 1058,
  [1478] = 1062,
  [1479] = 1149,
  [1480] = 1062,
  [1481] = 1149,
  [1482] = 1149,
  [1483] = 1149,
  [1484] = 1181,
  [1485] = 1184,
  [1486] = 1043,
  [1487] = 1171,
  [1488] = 1174,
  [1489] = 1191,
  [1490] = 1044,
  [1491] = 1210,
  [1492] = 1232,
  [1493] = 1233,
  [1494] = 1234,
  [1495] = 1238,
  [1496] = 1244,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1093,
  [1500] = 1135,
  [1501] = 1143,
  [1502] = 1145,
  [1503] = 1149,
  [1504] = 1045,
  [1505] = 1046,
  [1506] = 1047,
  [1507] = 1049,
  [1508] = 1050,
  [1509] = 1051,
  [1510] = 1052,
  [1511] = 1053,
  [1512] = 1054,
  [1513] = 1055,
  [1514] = 1058,
  [1515] = 1062,
  [1516] = 1256,
  [1517] = 1149,
  [1518] = 1045,
  [1519] = 1046,
  [1520] = 1047,
  [1521] = 1049,
  [1522] = 1050,
  [1523] = 1051,
  [1524] = 1052,
  [1525] = 1053,
  [1526] = 1054,
  [1527] = 1055,
  [1528] = 1058,
  [1529] = 1062,
  [1530] = 825,
  [1531] = 750,
  [1532] = 752,
  [1533] = 776,
  [1534] = 784,
  [1535] = 793,
  [1536] = 840,
  [1537] = 737,
  [1538] = 756,
  [1539] = 768,
  [1540] = 854,
  [1541] = 769,
  [1542] = 789,
  [1543] = 1497,
  [1544] = 1152,
  [1545] = 1182,
  [1546] = 1201,
  [1547] = 1216,
  [1548] = 1256,
  [1549] = 1106,
  [1550] = 1142,
  [1551] = 1149,
  [1552] = 1045,
  [1553] = 1046,
  [1554] = 1047,
  [1555] = 1049,
  [1556] = 1050,
  [1557] = 1051,
  [1558] = 1052,
  [1559] = 1053,
  [1560] = 1054,
  [1561] = 1055,
  [1562] = 1058,
  [1563] = 1062,
  [1564] = 1196,
  [1565] = 1231,
  [1566] = 1183,
  [1567] = 1190,
  [1568] = 1241,
  [1569] = 1243,
  [1570] = 1069,
  [1571] = 1079,
  [1572] = 1136,
  [1573] = 1137,
  [1574] = 1144,
  [1575] = 1147,
  [1576] = 1231,
  [1577] = 1182,
  [1578] = 1201,
  [1579] = 1216,
  [1580] = 1256,
  [1581] = 1106,
  [1582] = 1142,
  [1583] = 1045,
  [1584] = 1046,
  [1585] = 1047,
  [1586] = 1049,
  [1587] = 1050,
  [1588] = 1051,
  [1589] = 1052,
  [1590] = 1053,
  [1591] = 1054,
  [1592] = 1055,
  [1593] = 1058,
  [1594] = 1062,
  [1595] = 1152,
  [1596] = 1149,
  [1597] = 1181,
  [1598] = 1184,
  [1599] = 1043,
  [1600] = 1171,
  [1601] = 1174,
  [1602] = 1191,
  [1603] = 1210,
  [1604] = 1244,
  [1605] = 1093,
  [1606] = 1181,
  [1607] = 1184,
  [1608] = 1046,
  [1609] = 1043,
  [1610] = 1047,
  [1611] = 1171,
  [1612] = 1174,
  [1613] = 1191,
  [1614] = 1210,
  [1615] = 1244,
  [1616] = 1093,
  [1617] = 1181,
  [1618] = 1184,
  [1619] = 1498,
  [1620] = 1043,
  [1621] = 1049,
  [1622] = 1171,
  [1623] = 1174,
  [1624] = 1191,
  [1625] = 1210,
  [1626] = 1244,
  [1627] = 1093,
  [1628] = 1181,
  [1629] = 1184,
  [1630] = 1050,
  [1631] = 1043,
  [1632] = 1051,
  [1633] = 1171,
  [1634] = 1174,
  [1635] = 1191,
  [1636] = 1210,
  [1637] = 1244,
  [1638] = 1093,
  [1639] = 1181,
  [1640] = 1184,
  [1641] = 1052,
  [1642] = 1043,
  [1643] = 1053,
  [1644] = 1171,
  [1645] = 1174,
  [1646] = 1191,
  [1647] = 1210,
  [1648] = 1244,
  [1649] = 1093,
  [1650] = 1181,
  [1651] = 1184,
  [1652] = 1054,
  [1653] = 1043,
  [1654] = 1055,
  [1655] = 1171,
  [1656] = 1174,
  [1657] = 1191,
  [1658] = 1210,
  [1659] = 1244,
  [1660] = 1093,
  [1661] = 1181,
  [1662] = 1184,
  [1663] = 1043,
  [1664] = 1171,
  [1665] = 1174,
  [1666] = 1191,
  [1667] = 1210,
  [1668] = 1244,
  [1669] = 1093,
  [1670] = 1181,
  [1671] = 1184,
  [1672] = 1043,
  [1673] = 1171,
  [1674] = 1174,
  [1675] = 1191,
  [1676] = 1210,
  [1677] = 1244,
  [1678] = 1093,
  [1679] = 1181,
  [1680] = 1184,
  [1681] = 1043,
  [1682] = 1171,
  [1683] = 1174,
  [1684] = 1191,
  [1685] = 1210,
  [1686] = 1244,
  [1687] = 1093,
  [1688] = 1181,
  [1689] = 1184,
  [1690] = 1043,
  [1691] = 1171,
  [1692] = 1174,
  [1693] = 1191,
  [1694] = 1210,
  [1695] = 1244,
  [1696] = 1093,
  [1697] = 1181,
  [1698] = 1184,
  [1699] = 1043,
  [1700] = 1171,
  [1701] = 1174,
  [1702] = 1191,
  [1703] = 1210,
  [1704] = 1244,
  [1705] = 1093,
  [1706] = 1181,
  [1707] = 1184,
  [1708] = 1043,
  [1709] = 1171,
  [1710] = 1174,
  [1711] = 1191,
  [1712] = 1210,
  [1713] = 1244,
  [1714] = 1093,
  [1715] = 1181,
  [1716] = 1184,
  [1717] = 1043,
  [1718] = 1171,
  [1719] = 1174,
  [1720] = 1191,
  [1721] = 1210,
  [1722] = 1244,
  [1723] = 1093,
  [1724] = 1181,
  [1725] = 1184,
  [1726] = 1043,
  [1727] = 1171,
  [1728] = 1174,
  [1729] = 1191,
  [1730] = 1210,
  [1731] = 1244,
  [1732] = 1093,
  [1733] = 1181,
  [1734] = 1184,
  [1735] = 1043,
  [1736] = 1171,
  [1737] = 1174,
  [1738] = 1191,
  [1739] = 1210,
  [1740] = 1244,
  [1741] = 1093,
  [1742] = 1181,
  [1743] = 1184,
  [1744] = 1043,
  [1745] = 1171,
  [1746] = 1174,
  [1747] = 1191,
  [1748] = 1210,
  [1749] = 1244,
  [1750] = 1093,
  [1751] = 1181,
  [1752] = 1043,
  [1753] = 1181,
  [1754] = 1043,
  [1755] = 1181,
  [1756] = 1043,
  [1757] = 1181,
  [1758] = 1043,
  [1759] = 1181,
  [1760] = 1043,
  [1761] = 1196,
  [1762] = 1183,
  [1763] = 1190,
  [1764] = 1241,
  [1765] = 1243,
  [1766] = 1069,
  [1767] = 1079,
  [1768] = 1136,
  [1769] = 1137,
  [1770] = 1143,
  [1771] = 1144,
  [1772] = 1145,
  [1773] = 1147,
  [1774] = 1149,
  [1775] = 1045,
  [1776] = 1196,
  [1777] = 1183,
  [1778] = 1058,
  [1779] = 1062,
  [1780] = 1205,
  [1781] = 1206,
  [1782] = 1208,
  [1783] = 1232,
  [1784] = 1233,
  [1785] = 1234,
  [1786] = 1497,
  [1787] = 1498,
  [1788] = 1205,
  [1789] = 1206,
  [1790] = 1208,
  [1791] = 1205,
  [1792] = 1206,
  [1793] = 1208,
  [1794] = 1205,
  [1795] = 1206,
  [1796] = 1208,
  [1797] = 1205,
  [1798] = 1206,
  [1799] = 1208,
  [1800] = 1205,
  [1801] = 1206,
  [1802] = 1208,
  [1803] = 1205,
  [1804] = 1206,
  [1805] = 1208,
  [1806] = 1205,
  [1807] = 1206,
  [1808] = 1208,
  [1809] = 1205,
  [1810] = 1206,
  [1811] = 1208,
  [1812] = 1205,
  [1813] = 1206,
  [1814] = 1208,
  [1815] = 1205,
  [1816] = 1206,
  [1817] = 1208,
  [1818] = 1205,
  [1819] = 1206,
  [1820] = 1208,
  [1821] = 1205,
  [1822] = 1206,
  [1823] = 1208,
  [1824] = 1205,
  [1825] = 1206,
  [1826] = 1208,
  [1827] = 1205,
  [1828] = 1206,
  [1829] = 1208,
  [1830] = 1205,
  [1831] = 1206,
  [1832] = 1208,
  [1833] = 1205,
  [1834] = 1206,
  [1835] = 1208,
  [1836] = 1152,
  [1837] = 384,
  [1838] = 172,
  [1839] = 176,
  [1840] = 601,
  [1841] = 179,
  [1842] = 153,
  [1843] = 87,
  [1844] = 154,
  [1845] = 382,
  [1846] = 589,
  [1847] = 86,
  [1848] = 88,
  [1849] = 86,
  [1850] = 87,
  [1851] = 90,
  [1852] = 155,
  [1853] = 161,
  [1854] = 162,
  [1855] = 156,
  [1856] = 606,
  [1857] = 152,
  [1858] = 170,
  [1859] = 171,
  [1860] = 601,
  [1861] = 158,
  [1862] = 157,
  [1863] = 1863,
  [1864] = 136,
  [1865] = 388,
  [1866] = 161,
  [1867] = 162,
  [1868] = 159,
  [1869] = 150,
  [1870] = 165,
  [1871] = 163,
  [1872] = 164,
  [1873] = 383,
  [1874] = 386,
  [1875] = 387,
  [1876] = 160,
  [1877] = 377,
  [1878] = 378,
  [1879] = 379,
  [1880] = 431,
  [1881] = 432,
  [1882] = 391,
  [1883] = 392,
  [1884] = 374,
  [1885] = 375,
  [1886] = 376,
  [1887] = 389,
  [1888] = 390,
  [1889] = 373,
  [1890] = 136,
  [1891] = 180,
  [1892] = 166,
  [1893] = 385,
  [1894] = 88,
  [1895] = 151,
  [1896] = 174,
  [1897] = 153,
  [1898] = 154,
  [1899] = 155,
  [1900] = 156,
  [1901] = 152,
  [1902] = 158,
  [1903] = 157,
  [1904] = 159,
  [1905] = 150,
  [1906] = 165,
  [1907] = 163,
  [1908] = 164,
  [1909] = 160,
  [1910] = 151,
  [1911] = 175,
  [1912] = 177,
  [1913] = 178,
  [1914] = 168,
  [1915] = 169,
  [1916] = 435,
  [1917] = 597,
  [1918] = 381,
  [1919] = 358,
  [1920] = 752,
  [1921] = 353,
  [1922] = 354,
  [1923] = 355,
  [1924] = 407,
  [1925] = 356,
  [1926] = 357,
  [1927] = 358,
  [1928] = 415,
  [1929] = 737,
  [1930] = 403,
  [1931] = 86,
  [1932] = 88,
  [1933] = 410,
  [1934] = 304,
  [1935] = 305,
  [1936] = 397,
  [1937] = 408,
  [1938] = 776,
  [1939] = 413,
  [1940] = 784,
  [1941] = 349,
  [1942] = 411,
  [1943] = 350,
  [1944] = 169,
  [1945] = 402,
  [1946] = 353,
  [1947] = 404,
  [1948] = 405,
  [1949] = 606,
  [1950] = 409,
  [1951] = 769,
  [1952] = 306,
  [1953] = 396,
  [1954] = 351,
  [1955] = 399,
  [1956] = 136,
  [1957] = 825,
  [1958] = 181,
  [1959] = 220,
  [1960] = 401,
  [1961] = 179,
  [1962] = 166,
  [1963] = 352,
  [1964] = 185,
  [1965] = 186,
  [1966] = 354,
  [1967] = 355,
  [1968] = 589,
  [1969] = 356,
  [1970] = 406,
  [1971] = 407,
  [1972] = 306,
  [1973] = 87,
  [1974] = 305,
  [1975] = 597,
  [1976] = 412,
  [1977] = 198,
  [1978] = 199,
  [1979] = 415,
  [1980] = 176,
  [1981] = 399,
  [1982] = 410,
  [1983] = 412,
  [1984] = 789,
  [1985] = 203,
  [1986] = 204,
  [1987] = 136,
  [1988] = 793,
  [1989] = 397,
  [1990] = 408,
  [1991] = 208,
  [1992] = 209,
  [1993] = 840,
  [1994] = 210,
  [1995] = 211,
  [1996] = 212,
  [1997] = 413,
  [1998] = 411,
  [1999] = 352,
  [2000] = 174,
  [2001] = 349,
  [2002] = 400,
  [2003] = 180,
  [2004] = 350,
  [2005] = 402,
  [2006] = 405,
  [2007] = 215,
  [2008] = 216,
  [2009] = 400,
  [2010] = 217,
  [2011] = 352,
  [2012] = 853,
  [2013] = 183,
  [2014] = 601,
  [2015] = 195,
  [2016] = 196,
  [2017] = 200,
  [2018] = 201,
  [2019] = 202,
  [2020] = 205,
  [2021] = 206,
  [2022] = 207,
  [2023] = 409,
  [2024] = 184,
  [2025] = 353,
  [2026] = 354,
  [2027] = 355,
  [2028] = 356,
  [2029] = 351,
  [2030] = 188,
  [2031] = 189,
  [2032] = 357,
  [2033] = 190,
  [2034] = 191,
  [2035] = 357,
  [2036] = 180,
  [2037] = 166,
  [2038] = 396,
  [2039] = 170,
  [2040] = 171,
  [2041] = 414,
  [2042] = 305,
  [2043] = 768,
  [2044] = 416,
  [2045] = 172,
  [2046] = 414,
  [2047] = 403,
  [2048] = 401,
  [2049] = 404,
  [2050] = 406,
  [2051] = 854,
  [2052] = 174,
  [2053] = 416,
  [2054] = 192,
  [2055] = 193,
  [2056] = 194,
  [2057] = 1863,
  [2058] = 589,
  [2059] = 597,
  [2060] = 306,
  [2061] = 349,
  [2062] = 304,
  [2063] = 350,
  [2064] = 175,
  [2065] = 177,
  [2066] = 178,
  [2067] = 304,
  [2068] = 168,
  [2069] = 169,
  [2070] = 213,
  [2071] = 2071,
  [2072] = 214,
  [2073] = 218,
  [2074] = 756,
  [2075] = 358,
  [2076] = 172,
  [2077] = 176,
  [2078] = 179,
  [2079] = 351,
  [2080] = 187,
  [2081] = 788,
  [2082] = 750,
  [2083] = 170,
  [2084] = 219,
  [2085] = 171,
  [2086] = 175,
  [2087] = 177,
  [2088] = 178,
  [2089] = 168,
  [2090] = 197,
  [2091] = 891,
  [2092] = 892,
  [2093] = 86,
  [2094] = 88,
  [2095] = 89,
  [2096] = 853,
  [2097] = 181,
  [2098] = 185,
  [2099] = 203,
  [2100] = 204,
  [2101] = 186,
  [2102] = 208,
  [2103] = 209,
  [2104] = 210,
  [2105] = 211,
  [2106] = 212,
  [2107] = 149,
  [2108] = 213,
  [2109] = 304,
  [2110] = 305,
  [2111] = 349,
  [2112] = 350,
  [2113] = 306,
  [2114] = 351,
  [2115] = 352,
  [2116] = 89,
  [2117] = 215,
  [2118] = 216,
  [2119] = 198,
  [2120] = 750,
  [2121] = 304,
  [2122] = 249,
  [2123] = 214,
  [2124] = 250,
  [2125] = 827,
  [2126] = 251,
  [2127] = 305,
  [2128] = 353,
  [2129] = 354,
  [2130] = 355,
  [2131] = 356,
  [2132] = 752,
  [2133] = 776,
  [2134] = 784,
  [2135] = 199,
  [2136] = 793,
  [2137] = 840,
  [2138] = 349,
  [2139] = 273,
  [2140] = 350,
  [2141] = 306,
  [2142] = 357,
  [2143] = 351,
  [2144] = 352,
  [2145] = 353,
  [2146] = 358,
  [2147] = 354,
  [2148] = 355,
  [2149] = 217,
  [2150] = 197,
  [2151] = 356,
  [2152] = 183,
  [2153] = 195,
  [2154] = 196,
  [2155] = 200,
  [2156] = 201,
  [2157] = 202,
  [2158] = 205,
  [2159] = 206,
  [2160] = 207,
  [2161] = 187,
  [2162] = 357,
  [2163] = 184,
  [2164] = 188,
  [2165] = 737,
  [2166] = 399,
  [2167] = 189,
  [2168] = 190,
  [2169] = 191,
  [2170] = 358,
  [2171] = 756,
  [2172] = 768,
  [2173] = 406,
  [2174] = 854,
  [2175] = 2071,
  [2176] = 261,
  [2177] = 401,
  [2178] = 769,
  [2179] = 412,
  [2180] = 787,
  [2181] = 349,
  [2182] = 350,
  [2183] = 400,
  [2184] = 414,
  [2185] = 351,
  [2186] = 352,
  [2187] = 416,
  [2188] = 403,
  [2189] = 404,
  [2190] = 353,
  [2191] = 407,
  [2192] = 415,
  [2193] = 218,
  [2194] = 410,
  [2195] = 354,
  [2196] = 355,
  [2197] = 397,
  [2198] = 408,
  [2199] = 1863,
  [2200] = 413,
  [2201] = 411,
  [2202] = 356,
  [2203] = 357,
  [2204] = 358,
  [2205] = 248,
  [2206] = 789,
  [2207] = 219,
  [2208] = 223,
  [2209] = 402,
  [2210] = 405,
  [2211] = 224,
  [2212] = 409,
  [2213] = 220,
  [2214] = 396,
  [2215] = 304,
  [2216] = 305,
  [2217] = 306,
  [2218] = 247,
  [2219] = 589,
  [2220] = 268,
  [2221] = 270,
  [2222] = 788,
  [2223] = 282,
  [2224] = 192,
  [2225] = 222,
  [2226] = 198,
  [2227] = 199,
  [2228] = 203,
  [2229] = 204,
  [2230] = 225,
  [2231] = 226,
  [2232] = 208,
  [2233] = 209,
  [2234] = 210,
  [2235] = 211,
  [2236] = 212,
  [2237] = 161,
  [2238] = 162,
  [2239] = 228,
  [2240] = 229,
  [2241] = 230,
  [2242] = 231,
  [2243] = 889,
  [2244] = 215,
  [2245] = 216,
  [2246] = 193,
  [2247] = 194,
  [2248] = 217,
  [2249] = 197,
  [2250] = 221,
  [2251] = 183,
  [2252] = 195,
  [2253] = 196,
  [2254] = 200,
  [2255] = 201,
  [2256] = 202,
  [2257] = 205,
  [2258] = 206,
  [2259] = 207,
  [2260] = 236,
  [2261] = 184,
  [2262] = 188,
  [2263] = 189,
  [2264] = 190,
  [2265] = 191,
  [2266] = 237,
  [2267] = 238,
  [2268] = 192,
  [2269] = 193,
  [2270] = 194,
  [2271] = 239,
  [2272] = 240,
  [2273] = 241,
  [2274] = 242,
  [2275] = 243,
  [2276] = 244,
  [2277] = 245,
  [2278] = 246,
  [2279] = 825,
  [2280] = 2280,
  [2281] = 259,
  [2282] = 260,
  [2283] = 264,
  [2284] = 213,
  [2285] = 214,
  [2286] = 218,
  [2287] = 219,
  [2288] = 220,
  [2289] = 265,
  [2290] = 266,
  [2291] = 267,
  [2292] = 271,
  [2293] = 181,
  [2294] = 272,
  [2295] = 185,
  [2296] = 186,
  [2297] = 274,
  [2298] = 349,
  [2299] = 350,
  [2300] = 351,
  [2301] = 352,
  [2302] = 353,
  [2303] = 354,
  [2304] = 355,
  [2305] = 356,
  [2306] = 275,
  [2307] = 357,
  [2308] = 358,
  [2309] = 87,
  [2310] = 921,
  [2311] = 276,
  [2312] = 887,
  [2313] = 897,
  [2314] = 899,
  [2315] = 908,
  [2316] = 430,
  [2317] = 277,
  [2318] = 896,
  [2319] = 872,
  [2320] = 873,
  [2321] = 278,
  [2322] = 281,
  [2323] = 284,
  [2324] = 918,
  [2325] = 254,
  [2326] = 255,
  [2327] = 187,
  [2328] = 875,
  [2329] = 879,
  [2330] = 882,
  [2331] = 234,
  [2332] = 910,
  [2333] = 917,
  [2334] = 606,
  [2335] = 920,
  [2336] = 922,
  [2337] = 262,
  [2338] = 263,
  [2339] = 269,
  [2340] = 874,
  [2341] = 876,
  [2342] = 280,
  [2343] = 881,
  [2344] = 884,
  [2345] = 283,
  [2346] = 227,
  [2347] = 233,
  [2348] = 235,
  [2349] = 252,
  [2350] = 909,
  [2351] = 911,
  [2352] = 912,
  [2353] = 253,
  [2354] = 285,
  [2355] = 256,
  [2356] = 257,
  [2357] = 258,
  [2358] = 304,
  [2359] = 870,
  [2360] = 871,
  [2361] = 305,
  [2362] = 306,
  [2363] = 878,
  [2364] = 883,
  [2365] = 597,
  [2366] = 885,
  [2367] = 787,
  [2368] = 601,
  [2369] = 827,
  [2370] = 232,
  [2371] = 874,
  [2372] = 2372,
  [2373] = 882,
  [2374] = 247,
  [2375] = 910,
  [2376] = 878,
  [2377] = 883,
  [2378] = 917,
  [2379] = 268,
  [2380] = 885,
  [2381] = 270,
  [2382] = 282,
  [2383] = 787,
  [2384] = 222,
  [2385] = 287,
  [2386] = 290,
  [2387] = 266,
  [2388] = 267,
  [2389] = 2280,
  [2390] = 153,
  [2391] = 304,
  [2392] = 305,
  [2393] = 154,
  [2394] = 271,
  [2395] = 155,
  [2396] = 156,
  [2397] = 152,
  [2398] = 306,
  [2399] = 158,
  [2400] = 157,
  [2401] = 272,
  [2402] = 879,
  [2403] = 274,
  [2404] = 275,
  [2405] = 276,
  [2406] = 159,
  [2407] = 150,
  [2408] = 165,
  [2409] = 163,
  [2410] = 164,
  [2411] = 882,
  [2412] = 187,
  [2413] = 160,
  [2414] = 281,
  [2415] = 788,
  [2416] = 2071,
  [2417] = 86,
  [2418] = 88,
  [2419] = 827,
  [2420] = 161,
  [2421] = 284,
  [2422] = 162,
  [2423] = 254,
  [2424] = 349,
  [2425] = 350,
  [2426] = 351,
  [2427] = 352,
  [2428] = 353,
  [2429] = 354,
  [2430] = 355,
  [2431] = 356,
  [2432] = 357,
  [2433] = 358,
  [2434] = 1863,
  [2435] = 920,
  [2436] = 922,
  [2437] = 876,
  [2438] = 921,
  [2439] = 151,
  [2440] = 286,
  [2441] = 249,
  [2442] = 250,
  [2443] = 251,
  [2444] = 887,
  [2445] = 897,
  [2446] = 288,
  [2447] = 291,
  [2448] = 899,
  [2449] = 889,
  [2450] = 273,
  [2451] = 289,
  [2452] = 225,
  [2453] = 226,
  [2454] = 228,
  [2455] = 2280,
  [2456] = 881,
  [2457] = 884,
  [2458] = 227,
  [2459] = 283,
  [2460] = 261,
  [2461] = 248,
  [2462] = 223,
  [2463] = 224,
  [2464] = 910,
  [2465] = 247,
  [2466] = 268,
  [2467] = 270,
  [2468] = 161,
  [2469] = 282,
  [2470] = 162,
  [2471] = 222,
  [2472] = 229,
  [2473] = 230,
  [2474] = 231,
  [2475] = 232,
  [2476] = 273,
  [2477] = 909,
  [2478] = 225,
  [2479] = 226,
  [2480] = 228,
  [2481] = 229,
  [2482] = 230,
  [2483] = 231,
  [2484] = 232,
  [2485] = 911,
  [2486] = 891,
  [2487] = 233,
  [2488] = 221,
  [2489] = 236,
  [2490] = 237,
  [2491] = 238,
  [2492] = 239,
  [2493] = 240,
  [2494] = 241,
  [2495] = 242,
  [2496] = 243,
  [2497] = 244,
  [2498] = 245,
  [2499] = 246,
  [2500] = 170,
  [2501] = 171,
  [2502] = 277,
  [2503] = 885,
  [2504] = 259,
  [2505] = 260,
  [2506] = 875,
  [2507] = 264,
  [2508] = 265,
  [2509] = 266,
  [2510] = 267,
  [2511] = 271,
  [2512] = 272,
  [2513] = 274,
  [2514] = 275,
  [2515] = 276,
  [2516] = 277,
  [2517] = 278,
  [2518] = 921,
  [2519] = 281,
  [2520] = 284,
  [2521] = 254,
  [2522] = 912,
  [2523] = 235,
  [2524] = 255,
  [2525] = 234,
  [2526] = 2526,
  [2527] = 262,
  [2528] = 263,
  [2529] = 269,
  [2530] = 280,
  [2531] = 283,
  [2532] = 221,
  [2533] = 236,
  [2534] = 237,
  [2535] = 227,
  [2536] = 233,
  [2537] = 252,
  [2538] = 235,
  [2539] = 917,
  [2540] = 887,
  [2541] = 252,
  [2542] = 870,
  [2543] = 238,
  [2544] = 253,
  [2545] = 285,
  [2546] = 897,
  [2547] = 256,
  [2548] = 257,
  [2549] = 258,
  [2550] = 899,
  [2551] = 920,
  [2552] = 922,
  [2553] = 874,
  [2554] = 876,
  [2555] = 889,
  [2556] = 2556,
  [2557] = 239,
  [2558] = 240,
  [2559] = 241,
  [2560] = 871,
  [2561] = 242,
  [2562] = 881,
  [2563] = 884,
  [2564] = 243,
  [2565] = 244,
  [2566] = 245,
  [2567] = 246,
  [2568] = 2568,
  [2569] = 891,
  [2570] = 430,
  [2571] = 908,
  [2572] = 878,
  [2573] = 892,
  [2574] = 149,
  [2575] = 908,
  [2576] = 896,
  [2577] = 892,
  [2578] = 872,
  [2579] = 873,
  [2580] = 259,
  [2581] = 161,
  [2582] = 260,
  [2583] = 162,
  [2584] = 253,
  [2585] = 285,
  [2586] = 256,
  [2587] = 257,
  [2588] = 896,
  [2589] = 853,
  [2590] = 431,
  [2591] = 278,
  [2592] = 909,
  [2593] = 872,
  [2594] = 911,
  [2595] = 912,
  [2596] = 870,
  [2597] = 2597,
  [2598] = 258,
  [2599] = 264,
  [2600] = 873,
  [2601] = 2601,
  [2602] = 255,
  [2603] = 234,
  [2604] = 871,
  [2605] = 261,
  [2606] = 883,
  [2607] = 248,
  [2608] = 89,
  [2609] = 262,
  [2610] = 249,
  [2611] = 223,
  [2612] = 224,
  [2613] = 918,
  [2614] = 250,
  [2615] = 251,
  [2616] = 918,
  [2617] = 2617,
  [2618] = 263,
  [2619] = 432,
  [2620] = 269,
  [2621] = 2621,
  [2622] = 280,
  [2623] = 265,
  [2624] = 875,
  [2625] = 879,
  [2626] = 87,
  [2627] = 881,
  [2628] = 882,
  [2629] = 288,
  [2630] = 291,
  [2631] = 432,
  [2632] = 917,
  [2633] = 920,
  [2634] = 922,
  [2635] = 874,
  [2636] = 876,
  [2637] = 884,
  [2638] = 170,
  [2639] = 171,
  [2640] = 909,
  [2641] = 2601,
  [2642] = 289,
  [2643] = 911,
  [2644] = 170,
  [2645] = 171,
  [2646] = 912,
  [2647] = 870,
  [2648] = 871,
  [2649] = 878,
  [2650] = 883,
  [2651] = 892,
  [2652] = 136,
  [2653] = 90,
  [2654] = 2526,
  [2655] = 2071,
  [2656] = 2656,
  [2657] = 161,
  [2658] = 162,
  [2659] = 885,
  [2660] = 787,
  [2661] = 2661,
  [2662] = 166,
  [2663] = 289,
  [2664] = 827,
  [2665] = 889,
  [2666] = 170,
  [2667] = 891,
  [2668] = 2617,
  [2669] = 601,
  [2670] = 288,
  [2671] = 2621,
  [2672] = 921,
  [2673] = 89,
  [2674] = 2280,
  [2675] = 175,
  [2676] = 177,
  [2677] = 431,
  [2678] = 171,
  [2679] = 153,
  [2680] = 154,
  [2681] = 155,
  [2682] = 178,
  [2683] = 156,
  [2684] = 435,
  [2685] = 152,
  [2686] = 887,
  [2687] = 158,
  [2688] = 157,
  [2689] = 168,
  [2690] = 169,
  [2691] = 897,
  [2692] = 149,
  [2693] = 291,
  [2694] = 172,
  [2695] = 899,
  [2696] = 176,
  [2697] = 159,
  [2698] = 150,
  [2699] = 165,
  [2700] = 163,
  [2701] = 164,
  [2702] = 160,
  [2703] = 908,
  [2704] = 896,
  [2705] = 2372,
  [2706] = 151,
  [2707] = 179,
  [2708] = 149,
  [2709] = 287,
  [2710] = 290,
  [2711] = 286,
  [2712] = 872,
  [2713] = 287,
  [2714] = 290,
  [2715] = 873,
  [2716] = 2556,
  [2717] = 180,
  [2718] = 2568,
  [2719] = 174,
  [2720] = 2597,
  [2721] = 286,
  [2722] = 918,
  [2723] = 875,
  [2724] = 879,
  [2725] = 910,
  [2726] = 181,
  [2727] = 166,
  [2728] = 190,
  [2729] = 892,
  [2730] = 215,
  [2731] = 177,
  [2732] = 216,
  [2733] = 432,
  [2734] = 149,
  [2735] = 157,
  [2736] = 151,
  [2737] = 2737,
  [2738] = 385,
  [2739] = 435,
  [2740] = 179,
  [2741] = 178,
  [2742] = 352,
  [2743] = 136,
  [2744] = 597,
  [2745] = 435,
  [2746] = 176,
  [2747] = 191,
  [2748] = 156,
  [2749] = 204,
  [2750] = 168,
  [2751] = 192,
  [2752] = 136,
  [2753] = 376,
  [2754] = 193,
  [2755] = 194,
  [2756] = 172,
  [2757] = 161,
  [2758] = 382,
  [2759] = 169,
  [2760] = 353,
  [2761] = 354,
  [2762] = 355,
  [2763] = 356,
  [2764] = 200,
  [2765] = 164,
  [2766] = 357,
  [2767] = 2280,
  [2768] = 2372,
  [2769] = 2769,
  [2770] = 358,
  [2771] = 151,
  [2772] = 431,
  [2773] = 153,
  [2774] = 210,
  [2775] = 211,
  [2776] = 213,
  [2777] = 214,
  [2778] = 218,
  [2779] = 788,
  [2780] = 212,
  [2781] = 219,
  [2782] = 220,
  [2783] = 374,
  [2784] = 2784,
  [2785] = 606,
  [2786] = 431,
  [2787] = 195,
  [2788] = 304,
  [2789] = 305,
  [2790] = 159,
  [2791] = 381,
  [2792] = 2372,
  [2793] = 827,
  [2794] = 201,
  [2795] = 196,
  [2796] = 157,
  [2797] = 432,
  [2798] = 202,
  [2799] = 90,
  [2800] = 431,
  [2801] = 432,
  [2802] = 199,
  [2803] = 209,
  [2804] = 388,
  [2805] = 160,
  [2806] = 189,
  [2807] = 158,
  [2808] = 383,
  [2809] = 386,
  [2810] = 387,
  [2811] = 349,
  [2812] = 185,
  [2813] = 186,
  [2814] = 152,
  [2815] = 162,
  [2816] = 159,
  [2817] = 787,
  [2818] = 150,
  [2819] = 150,
  [2820] = 375,
  [2821] = 165,
  [2822] = 163,
  [2823] = 175,
  [2824] = 164,
  [2825] = 350,
  [2826] = 827,
  [2827] = 389,
  [2828] = 390,
  [2829] = 170,
  [2830] = 171,
  [2831] = 89,
  [2832] = 205,
  [2833] = 160,
  [2834] = 165,
  [2835] = 154,
  [2836] = 203,
  [2837] = 163,
  [2838] = 217,
  [2839] = 197,
  [2840] = 155,
  [2841] = 206,
  [2842] = 207,
  [2843] = 787,
  [2844] = 161,
  [2845] = 208,
  [2846] = 162,
  [2847] = 149,
  [2848] = 180,
  [2849] = 589,
  [2850] = 149,
  [2851] = 183,
  [2852] = 306,
  [2853] = 351,
  [2854] = 187,
  [2855] = 184,
  [2856] = 373,
  [2857] = 188,
  [2858] = 153,
  [2859] = 391,
  [2860] = 154,
  [2861] = 155,
  [2862] = 2661,
  [2863] = 392,
  [2864] = 156,
  [2865] = 435,
  [2866] = 152,
  [2867] = 2656,
  [2868] = 198,
  [2869] = 2869,
  [2870] = 158,
  [2871] = 377,
  [2872] = 378,
  [2873] = 379,
  [2874] = 384,
  [2875] = 174,
  [2876] = 384,
  [2877] = 892,
  [2878] = 382,
  [2879] = 431,
  [2880] = 149,
  [2881] = 432,
  [2882] = 383,
  [2883] = 388,
  [2884] = 383,
  [2885] = 386,
  [2886] = 387,
  [2887] = 377,
  [2888] = 378,
  [2889] = 379,
  [2890] = 384,
  [2891] = 381,
  [2892] = 391,
  [2893] = 392,
  [2894] = 374,
  [2895] = 375,
  [2896] = 376,
  [2897] = 389,
  [2898] = 390,
  [2899] = 373,
  [2900] = 385,
  [2901] = 386,
  [2902] = 387,
  [2903] = 431,
  [2904] = 161,
  [2905] = 162,
  [2906] = 432,
  [2907] = 2071,
  [2908] = 170,
  [2909] = 171,
  [2910] = 175,
  [2911] = 177,
  [2912] = 178,
  [2913] = 168,
  [2914] = 169,
  [2915] = 181,
  [2916] = 185,
  [2917] = 172,
  [2918] = 176,
  [2919] = 377,
  [2920] = 378,
  [2921] = 186,
  [2922] = 379,
  [2923] = 381,
  [2924] = 179,
  [2925] = 435,
  [2926] = 153,
  [2927] = 154,
  [2928] = 155,
  [2929] = 156,
  [2930] = 152,
  [2931] = 158,
  [2932] = 157,
  [2933] = 159,
  [2934] = 150,
  [2935] = 165,
  [2936] = 163,
  [2937] = 164,
  [2938] = 160,
  [2939] = 151,
  [2940] = 90,
  [2941] = 435,
  [2942] = 161,
  [2943] = 162,
  [2944] = 180,
  [2945] = 166,
  [2946] = 385,
  [2947] = 431,
  [2948] = 432,
  [2949] = 174,
  [2950] = 90,
  [2951] = 170,
  [2952] = 171,
  [2953] = 382,
  [2954] = 391,
  [2955] = 392,
  [2956] = 180,
  [2957] = 374,
  [2958] = 166,
  [2959] = 375,
  [2960] = 376,
  [2961] = 175,
  [2962] = 177,
  [2963] = 178,
  [2964] = 168,
  [2965] = 169,
  [2966] = 172,
  [2967] = 176,
  [2968] = 179,
  [2969] = 87,
  [2970] = 589,
  [2971] = 90,
  [2972] = 86,
  [2973] = 597,
  [2974] = 249,
  [2975] = 250,
  [2976] = 251,
  [2977] = 213,
  [2978] = 214,
  [2979] = 218,
  [2980] = 273,
  [2981] = 389,
  [2982] = 390,
  [2983] = 219,
  [2984] = 220,
  [2985] = 88,
  [2986] = 261,
  [2987] = 248,
  [2988] = 223,
  [2989] = 224,
  [2990] = 247,
  [2991] = 268,
  [2992] = 270,
  [2993] = 373,
  [2994] = 282,
  [2995] = 222,
  [2996] = 225,
  [2997] = 226,
  [2998] = 228,
  [2999] = 229,
  [3000] = 230,
  [3001] = 231,
  [3002] = 232,
  [3003] = 221,
  [3004] = 236,
  [3005] = 237,
  [3006] = 238,
  [3007] = 239,
  [3008] = 194,
  [3009] = 241,
  [3010] = 242,
  [3011] = 243,
  [3012] = 244,
  [3013] = 245,
  [3014] = 246,
  [3015] = 259,
  [3016] = 260,
  [3017] = 2769,
  [3018] = 264,
  [3019] = 265,
  [3020] = 266,
  [3021] = 267,
  [3022] = 271,
  [3023] = 272,
  [3024] = 274,
  [3025] = 275,
  [3026] = 276,
  [3027] = 2737,
  [3028] = 277,
  [3029] = 278,
  [3030] = 153,
  [3031] = 281,
  [3032] = 154,
  [3033] = 284,
  [3034] = 155,
  [3035] = 254,
  [3036] = 255,
  [3037] = 234,
  [3038] = 156,
  [3039] = 152,
  [3040] = 262,
  [3041] = 263,
  [3042] = 269,
  [3043] = 280,
  [3044] = 283,
  [3045] = 227,
  [3046] = 233,
  [3047] = 235,
  [3048] = 158,
  [3049] = 252,
  [3050] = 253,
  [3051] = 285,
  [3052] = 157,
  [3053] = 256,
  [3054] = 257,
  [3055] = 258,
  [3056] = 136,
  [3057] = 435,
  [3058] = 2661,
  [3059] = 159,
  [3060] = 150,
  [3061] = 165,
  [3062] = 163,
  [3063] = 164,
  [3064] = 160,
  [3065] = 431,
  [3066] = 2372,
  [3067] = 174,
  [3068] = 432,
  [3069] = 151,
  [3070] = 388,
  [3071] = 606,
  [3072] = 853,
  [3073] = 198,
  [3074] = 199,
  [3075] = 435,
  [3076] = 203,
  [3077] = 204,
  [3078] = 208,
  [3079] = 209,
  [3080] = 210,
  [3081] = 211,
  [3082] = 212,
  [3083] = 215,
  [3084] = 216,
  [3085] = 153,
  [3086] = 154,
  [3087] = 155,
  [3088] = 156,
  [3089] = 217,
  [3090] = 197,
  [3091] = 152,
  [3092] = 183,
  [3093] = 195,
  [3094] = 196,
  [3095] = 200,
  [3096] = 201,
  [3097] = 202,
  [3098] = 205,
  [3099] = 206,
  [3100] = 207,
  [3101] = 184,
  [3102] = 188,
  [3103] = 189,
  [3104] = 190,
  [3105] = 191,
  [3106] = 158,
  [3107] = 157,
  [3108] = 159,
  [3109] = 192,
  [3110] = 150,
  [3111] = 165,
  [3112] = 163,
  [3113] = 164,
  [3114] = 160,
  [3115] = 151,
  [3116] = 193,
  [3117] = 240,
  [3118] = 390,
  [3119] = 170,
  [3120] = 171,
  [3121] = 253,
  [3122] = 285,
  [3123] = 256,
  [3124] = 257,
  [3125] = 181,
  [3126] = 185,
  [3127] = 416,
  [3128] = 186,
  [3129] = 403,
  [3130] = 258,
  [3131] = 404,
  [3132] = 245,
  [3133] = 179,
  [3134] = 180,
  [3135] = 431,
  [3136] = 166,
  [3137] = 413,
  [3138] = 184,
  [3139] = 188,
  [3140] = 136,
  [3141] = 432,
  [3142] = 174,
  [3143] = 435,
  [3144] = 175,
  [3145] = 177,
  [3146] = 178,
  [3147] = 168,
  [3148] = 169,
  [3149] = 172,
  [3150] = 176,
  [3151] = 179,
  [3152] = 589,
  [3153] = 1863,
  [3154] = 601,
  [3155] = 597,
  [3156] = 246,
  [3157] = 407,
  [3158] = 415,
  [3159] = 136,
  [3160] = 589,
  [3161] = 264,
  [3162] = 382,
  [3163] = 265,
  [3164] = 266,
  [3165] = 267,
  [3166] = 271,
  [3167] = 272,
  [3168] = 189,
  [3169] = 198,
  [3170] = 199,
  [3171] = 274,
  [3172] = 203,
  [3173] = 204,
  [3174] = 275,
  [3175] = 170,
  [3176] = 171,
  [3177] = 208,
  [3178] = 209,
  [3179] = 210,
  [3180] = 211,
  [3181] = 212,
  [3182] = 388,
  [3183] = 215,
  [3184] = 216,
  [3185] = 190,
  [3186] = 606,
  [3187] = 377,
  [3188] = 136,
  [3189] = 217,
  [3190] = 197,
  [3191] = 183,
  [3192] = 195,
  [3193] = 196,
  [3194] = 200,
  [3195] = 201,
  [3196] = 202,
  [3197] = 205,
  [3198] = 90,
  [3199] = 206,
  [3200] = 161,
  [3201] = 162,
  [3202] = 207,
  [3203] = 184,
  [3204] = 188,
  [3205] = 189,
  [3206] = 153,
  [3207] = 190,
  [3208] = 191,
  [3209] = 154,
  [3210] = 155,
  [3211] = 383,
  [3212] = 156,
  [3213] = 386,
  [3214] = 387,
  [3215] = 192,
  [3216] = 193,
  [3217] = 194,
  [3218] = 152,
  [3219] = 158,
  [3220] = 157,
  [3221] = 378,
  [3222] = 276,
  [3223] = 159,
  [3224] = 377,
  [3225] = 150,
  [3226] = 165,
  [3227] = 378,
  [3228] = 379,
  [3229] = 163,
  [3230] = 164,
  [3231] = 160,
  [3232] = 379,
  [3233] = 384,
  [3234] = 381,
  [3235] = 198,
  [3236] = 199,
  [3237] = 213,
  [3238] = 214,
  [3239] = 218,
  [3240] = 219,
  [3241] = 220,
  [3242] = 391,
  [3243] = 392,
  [3244] = 374,
  [3245] = 191,
  [3246] = 375,
  [3247] = 376,
  [3248] = 181,
  [3249] = 185,
  [3250] = 384,
  [3251] = 1863,
  [3252] = 186,
  [3253] = 87,
  [3254] = 589,
  [3255] = 381,
  [3256] = 601,
  [3257] = 389,
  [3258] = 387,
  [3259] = 382,
  [3260] = 373,
  [3261] = 151,
  [3262] = 175,
  [3263] = 385,
  [3264] = 177,
  [3265] = 277,
  [3266] = 178,
  [3267] = 90,
  [3268] = 278,
  [3269] = 168,
  [3270] = 169,
  [3271] = 203,
  [3272] = 391,
  [3273] = 204,
  [3274] = 281,
  [3275] = 284,
  [3276] = 208,
  [3277] = 388,
  [3278] = 209,
  [3279] = 210,
  [3280] = 211,
  [3281] = 212,
  [3282] = 392,
  [3283] = 254,
  [3284] = 287,
  [3285] = 290,
  [3286] = 606,
  [3287] = 374,
  [3288] = 411,
  [3289] = 382,
  [3290] = 221,
  [3291] = 375,
  [3292] = 286,
  [3293] = 383,
  [3294] = 386,
  [3295] = 387,
  [3296] = 410,
  [3297] = 215,
  [3298] = 288,
  [3299] = 291,
  [3300] = 216,
  [3301] = 376,
  [3302] = 400,
  [3303] = 377,
  [3304] = 378,
  [3305] = 379,
  [3306] = 384,
  [3307] = 381,
  [3308] = 289,
  [3309] = 389,
  [3310] = 180,
  [3311] = 166,
  [3312] = 391,
  [3313] = 392,
  [3314] = 374,
  [3315] = 390,
  [3316] = 375,
  [3317] = 376,
  [3318] = 238,
  [3319] = 255,
  [3320] = 234,
  [3321] = 239,
  [3322] = 192,
  [3323] = 373,
  [3324] = 891,
  [3325] = 172,
  [3326] = 193,
  [3327] = 176,
  [3328] = 194,
  [3329] = 389,
  [3330] = 390,
  [3331] = 373,
  [3332] = 240,
  [3333] = 262,
  [3334] = 263,
  [3335] = 269,
  [3336] = 385,
  [3337] = 2737,
  [3338] = 280,
  [3339] = 283,
  [3340] = 259,
  [3341] = 260,
  [3342] = 385,
  [3343] = 597,
  [3344] = 179,
  [3345] = 237,
  [3346] = 187,
  [3347] = 397,
  [3348] = 408,
  [3349] = 217,
  [3350] = 388,
  [3351] = 197,
  [3352] = 373,
  [3353] = 183,
  [3354] = 174,
  [3355] = 2661,
  [3356] = 1863,
  [3357] = 889,
  [3358] = 172,
  [3359] = 195,
  [3360] = 196,
  [3361] = 383,
  [3362] = 386,
  [3363] = 387,
  [3364] = 200,
  [3365] = 201,
  [3366] = 202,
  [3367] = 176,
  [3368] = 885,
  [3369] = 853,
  [3370] = 377,
  [3371] = 378,
  [3372] = 379,
  [3373] = 384,
  [3374] = 381,
  [3375] = 205,
  [3376] = 606,
  [3377] = 175,
  [3378] = 177,
  [3379] = 178,
  [3380] = 168,
  [3381] = 169,
  [3382] = 206,
  [3383] = 391,
  [3384] = 392,
  [3385] = 374,
  [3386] = 375,
  [3387] = 376,
  [3388] = 86,
  [3389] = 597,
  [3390] = 88,
  [3391] = 249,
  [3392] = 250,
  [3393] = 251,
  [3394] = 241,
  [3395] = 402,
  [3396] = 601,
  [3397] = 405,
  [3398] = 409,
  [3399] = 227,
  [3400] = 233,
  [3401] = 385,
  [3402] = 382,
  [3403] = 273,
  [3404] = 180,
  [3405] = 166,
  [3406] = 235,
  [3407] = 242,
  [3408] = 399,
  [3409] = 213,
  [3410] = 214,
  [3411] = 218,
  [3412] = 261,
  [3413] = 219,
  [3414] = 248,
  [3415] = 223,
  [3416] = 224,
  [3417] = 247,
  [3418] = 220,
  [3419] = 268,
  [3420] = 270,
  [3421] = 282,
  [3422] = 252,
  [3423] = 222,
  [3424] = 406,
  [3425] = 414,
  [3426] = 243,
  [3427] = 207,
  [3428] = 244,
  [3429] = 396,
  [3430] = 389,
  [3431] = 390,
  [3432] = 388,
  [3433] = 174,
  [3434] = 225,
  [3435] = 226,
  [3436] = 228,
  [3437] = 229,
  [3438] = 230,
  [3439] = 231,
  [3440] = 232,
  [3441] = 2071,
  [3442] = 401,
  [3443] = 383,
  [3444] = 412,
  [3445] = 386,
  [3446] = 236,
  [3447] = 212,
  [3448] = 402,
  [3449] = 405,
  [3450] = 197,
  [3451] = 410,
  [3452] = 589,
  [3453] = 409,
  [3454] = 285,
  [3455] = 401,
  [3456] = 87,
  [3457] = 180,
  [3458] = 183,
  [3459] = 187,
  [3460] = 606,
  [3461] = 195,
  [3462] = 412,
  [3463] = 397,
  [3464] = 408,
  [3465] = 597,
  [3466] = 196,
  [3467] = 200,
  [3468] = 166,
  [3469] = 891,
  [3470] = 908,
  [3471] = 413,
  [3472] = 201,
  [3473] = 202,
  [3474] = 205,
  [3475] = 206,
  [3476] = 597,
  [3477] = 892,
  [3478] = 207,
  [3479] = 273,
  [3480] = 853,
  [3481] = 269,
  [3482] = 184,
  [3483] = 188,
  [3484] = 601,
  [3485] = 289,
  [3486] = 400,
  [3487] = 896,
  [3488] = 872,
  [3489] = 873,
  [3490] = 189,
  [3491] = 411,
  [3492] = 406,
  [3493] = 175,
  [3494] = 261,
  [3495] = 177,
  [3496] = 190,
  [3497] = 178,
  [3498] = 168,
  [3499] = 169,
  [3500] = 191,
  [3501] = 414,
  [3502] = 170,
  [3503] = 171,
  [3504] = 192,
  [3505] = 248,
  [3506] = 86,
  [3507] = 88,
  [3508] = 918,
  [3509] = 223,
  [3510] = 224,
  [3511] = 193,
  [3512] = 247,
  [3513] = 213,
  [3514] = 194,
  [3515] = 416,
  [3516] = 875,
  [3517] = 403,
  [3518] = 404,
  [3519] = 214,
  [3520] = 218,
  [3521] = 879,
  [3522] = 268,
  [3523] = 256,
  [3524] = 270,
  [3525] = 882,
  [3526] = 257,
  [3527] = 910,
  [3528] = 354,
  [3529] = 282,
  [3530] = 407,
  [3531] = 415,
  [3532] = 410,
  [3533] = 219,
  [3534] = 220,
  [3535] = 397,
  [3536] = 917,
  [3537] = 408,
  [3538] = 413,
  [3539] = 920,
  [3540] = 922,
  [3541] = 411,
  [3542] = 258,
  [3543] = 172,
  [3544] = 176,
  [3545] = 412,
  [3546] = 874,
  [3547] = 876,
  [3548] = 213,
  [3549] = 198,
  [3550] = 199,
  [3551] = 881,
  [3552] = 884,
  [3553] = 402,
  [3554] = 405,
  [3555] = 788,
  [3556] = 222,
  [3557] = 214,
  [3558] = 909,
  [3559] = 911,
  [3560] = 218,
  [3561] = 219,
  [3562] = 912,
  [3563] = 220,
  [3564] = 409,
  [3565] = 179,
  [3566] = 396,
  [3567] = 355,
  [3568] = 136,
  [3569] = 225,
  [3570] = 90,
  [3571] = 870,
  [3572] = 226,
  [3573] = 181,
  [3574] = 228,
  [3575] = 871,
  [3576] = 589,
  [3577] = 414,
  [3578] = 88,
  [3579] = 229,
  [3580] = 230,
  [3581] = 225,
  [3582] = 226,
  [3583] = 231,
  [3584] = 232,
  [3585] = 185,
  [3586] = 186,
  [3587] = 228,
  [3588] = 229,
  [3589] = 230,
  [3590] = 231,
  [3591] = 232,
  [3592] = 90,
  [3593] = 601,
  [3594] = 416,
  [3595] = 878,
  [3596] = 400,
  [3597] = 601,
  [3598] = 403,
  [3599] = 221,
  [3600] = 236,
  [3601] = 203,
  [3602] = 237,
  [3603] = 204,
  [3604] = 404,
  [3605] = 221,
  [3606] = 883,
  [3607] = 236,
  [3608] = 238,
  [3609] = 181,
  [3610] = 237,
  [3611] = 1863,
  [3612] = 238,
  [3613] = 239,
  [3614] = 240,
  [3615] = 208,
  [3616] = 209,
  [3617] = 210,
  [3618] = 241,
  [3619] = 242,
  [3620] = 211,
  [3621] = 212,
  [3622] = 601,
  [3623] = 161,
  [3624] = 162,
  [3625] = 268,
  [3626] = 243,
  [3627] = 244,
  [3628] = 245,
  [3629] = 227,
  [3630] = 187,
  [3631] = 185,
  [3632] = 246,
  [3633] = 215,
  [3634] = 216,
  [3635] = 187,
  [3636] = 407,
  [3637] = 415,
  [3638] = 2737,
  [3639] = 239,
  [3640] = 240,
  [3641] = 241,
  [3642] = 242,
  [3643] = 243,
  [3644] = 601,
  [3645] = 186,
  [3646] = 244,
  [3647] = 245,
  [3648] = 217,
  [3649] = 197,
  [3650] = 246,
  [3651] = 183,
  [3652] = 233,
  [3653] = 195,
  [3654] = 196,
  [3655] = 280,
  [3656] = 200,
  [3657] = 201,
  [3658] = 235,
  [3659] = 202,
  [3660] = 205,
  [3661] = 206,
  [3662] = 90,
  [3663] = 207,
  [3664] = 198,
  [3665] = 788,
  [3666] = 184,
  [3667] = 188,
  [3668] = 189,
  [3669] = 190,
  [3670] = 606,
  [3671] = 191,
  [3672] = 199,
  [3673] = 185,
  [3674] = 86,
  [3675] = 259,
  [3676] = 260,
  [3677] = 356,
  [3678] = 597,
  [3679] = 181,
  [3680] = 192,
  [3681] = 193,
  [3682] = 194,
  [3683] = 399,
  [3684] = 194,
  [3685] = 186,
  [3686] = 264,
  [3687] = 265,
  [3688] = 266,
  [3689] = 267,
  [3690] = 271,
  [3691] = 272,
  [3692] = 853,
  [3693] = 193,
  [3694] = 274,
  [3695] = 275,
  [3696] = 430,
  [3697] = 276,
  [3698] = 357,
  [3699] = 277,
  [3700] = 358,
  [3701] = 278,
  [3702] = 203,
  [3703] = 281,
  [3704] = 204,
  [3705] = 89,
  [3706] = 284,
  [3707] = 223,
  [3708] = 248,
  [3709] = 261,
  [3710] = 435,
  [3711] = 304,
  [3712] = 305,
  [3713] = 254,
  [3714] = 270,
  [3715] = 885,
  [3716] = 382,
  [3717] = 349,
  [3718] = 350,
  [3719] = 306,
  [3720] = 351,
  [3721] = 352,
  [3722] = 161,
  [3723] = 162,
  [3724] = 353,
  [3725] = 354,
  [3726] = 355,
  [3727] = 356,
  [3728] = 388,
  [3729] = 383,
  [3730] = 386,
  [3731] = 387,
  [3732] = 357,
  [3733] = 259,
  [3734] = 377,
  [3735] = 378,
  [3736] = 379,
  [3737] = 384,
  [3738] = 381,
  [3739] = 358,
  [3740] = 260,
  [3741] = 224,
  [3742] = 391,
  [3743] = 392,
  [3744] = 374,
  [3745] = 208,
  [3746] = 375,
  [3747] = 255,
  [3748] = 376,
  [3749] = 389,
  [3750] = 390,
  [3751] = 373,
  [3752] = 385,
  [3753] = 589,
  [3754] = 213,
  [3755] = 234,
  [3756] = 606,
  [3757] = 282,
  [3758] = 249,
  [3759] = 262,
  [3760] = 263,
  [3761] = 269,
  [3762] = 280,
  [3763] = 283,
  [3764] = 214,
  [3765] = 218,
  [3766] = 250,
  [3767] = 251,
  [3768] = 219,
  [3769] = 220,
  [3770] = 227,
  [3771] = 233,
  [3772] = 198,
  [3773] = 209,
  [3774] = 235,
  [3775] = 199,
  [3776] = 264,
  [3777] = 265,
  [3778] = 222,
  [3779] = 266,
  [3780] = 267,
  [3781] = 271,
  [3782] = 272,
  [3783] = 274,
  [3784] = 275,
  [3785] = 276,
  [3786] = 210,
  [3787] = 277,
  [3788] = 252,
  [3789] = 278,
  [3790] = 287,
  [3791] = 290,
  [3792] = 211,
  [3793] = 281,
  [3794] = 787,
  [3795] = 399,
  [3796] = 921,
  [3797] = 203,
  [3798] = 212,
  [3799] = 253,
  [3800] = 284,
  [3801] = 285,
  [3802] = 87,
  [3803] = 256,
  [3804] = 254,
  [3805] = 257,
  [3806] = 349,
  [3807] = 258,
  [3808] = 249,
  [3809] = 353,
  [3810] = 286,
  [3811] = 204,
  [3812] = 247,
  [3813] = 252,
  [3814] = 283,
  [3815] = 304,
  [3816] = 208,
  [3817] = 209,
  [3818] = 210,
  [3819] = 211,
  [3820] = 192,
  [3821] = 788,
  [3822] = 887,
  [3823] = 288,
  [3824] = 291,
  [3825] = 255,
  [3826] = 234,
  [3827] = 350,
  [3828] = 351,
  [3829] = 262,
  [3830] = 215,
  [3831] = 216,
  [3832] = 305,
  [3833] = 215,
  [3834] = 897,
  [3835] = 217,
  [3836] = 197,
  [3837] = 273,
  [3838] = 183,
  [3839] = 195,
  [3840] = 196,
  [3841] = 200,
  [3842] = 201,
  [3843] = 202,
  [3844] = 205,
  [3845] = 206,
  [3846] = 207,
  [3847] = 263,
  [3848] = 184,
  [3849] = 188,
  [3850] = 189,
  [3851] = 190,
  [3852] = 191,
  [3853] = 401,
  [3854] = 899,
  [3855] = 827,
  [3856] = 352,
  [3857] = 889,
  [3858] = 174,
  [3859] = 606,
  [3860] = 306,
  [3861] = 216,
  [3862] = 2280,
  [3863] = 250,
  [3864] = 253,
  [3865] = 217,
  [3866] = 406,
  [3867] = 853,
  [3868] = 251,
  [3869] = 396,
  [3870] = 415,
  [3871] = 193,
  [3872] = 891,
  [3873] = 194,
  [3874] = 430,
  [3875] = 409,
  [3876] = 227,
  [3877] = 233,
  [3878] = 221,
  [3879] = 235,
  [3880] = 236,
  [3881] = 237,
  [3882] = 399,
  [3883] = 878,
  [3884] = 435,
  [3885] = 601,
  [3886] = 86,
  [3887] = 88,
  [3888] = 853,
  [3889] = 252,
  [3890] = 2526,
  [3891] = 396,
  [3892] = 253,
  [3893] = 285,
  [3894] = 238,
  [3895] = 256,
  [3896] = 257,
  [3897] = 258,
  [3898] = 161,
  [3899] = 162,
  [3900] = 287,
  [3901] = 290,
  [3902] = 239,
  [3903] = 255,
  [3904] = 240,
  [3905] = 234,
  [3906] = 241,
  [3907] = 242,
  [3908] = 213,
  [3909] = 214,
  [3910] = 897,
  [3911] = 218,
  [3912] = 219,
  [3913] = 220,
  [3914] = 161,
  [3915] = 162,
  [3916] = 90,
  [3917] = 286,
  [3918] = 406,
  [3919] = 262,
  [3920] = 263,
  [3921] = 896,
  [3922] = 269,
  [3923] = 872,
  [3924] = 280,
  [3925] = 288,
  [3926] = 291,
  [3927] = 283,
  [3928] = 243,
  [3929] = 244,
  [3930] = 912,
  [3931] = 402,
  [3932] = 405,
  [3933] = 245,
  [3934] = 2617,
  [3935] = 2621,
  [3936] = 246,
  [3937] = 409,
  [3938] = 401,
  [3939] = 289,
  [3940] = 181,
  [3941] = 226,
  [3942] = 185,
  [3943] = 873,
  [3944] = 870,
  [3945] = 2556,
  [3946] = 186,
  [3947] = 2568,
  [3948] = 908,
  [3949] = 349,
  [3950] = 350,
  [3951] = 306,
  [3952] = 351,
  [3953] = 352,
  [3954] = 353,
  [3955] = 354,
  [3956] = 355,
  [3957] = 356,
  [3958] = 357,
  [3959] = 358,
  [3960] = 412,
  [3961] = 883,
  [3962] = 892,
  [3963] = 400,
  [3964] = 382,
  [3965] = 896,
  [3966] = 872,
  [3967] = 288,
  [3968] = 873,
  [3969] = 2597,
  [3970] = 349,
  [3971] = 350,
  [3972] = 874,
  [3973] = 876,
  [3974] = 2601,
  [3975] = 291,
  [3976] = 351,
  [3977] = 352,
  [3978] = 414,
  [3979] = 227,
  [3980] = 416,
  [3981] = 403,
  [3982] = 404,
  [3983] = 233,
  [3984] = 407,
  [3985] = 911,
  [3986] = 289,
  [3987] = 413,
  [3988] = 228,
  [3989] = 229,
  [3990] = 230,
  [3991] = 259,
  [3992] = 187,
  [3993] = 235,
  [3994] = 260,
  [3995] = 252,
  [3996] = 231,
  [3997] = 918,
  [3998] = 353,
  [3999] = 89,
  [4000] = 304,
  [4001] = 885,
  [4002] = 354,
  [4003] = 410,
  [4004] = 355,
  [4005] = 356,
  [4006] = 187,
  [4007] = 889,
  [4008] = 875,
  [4009] = 879,
  [4010] = 891,
  [4011] = 882,
  [4012] = 388,
  [4013] = 910,
  [4014] = 305,
  [4015] = 917,
  [4016] = 397,
  [4017] = 408,
  [4018] = 413,
  [4019] = 411,
  [4020] = 402,
  [4021] = 405,
  [4022] = 409,
  [4023] = 396,
  [4024] = 853,
  [4025] = 878,
  [4026] = 396,
  [4027] = 912,
  [4028] = 253,
  [4029] = 285,
  [4030] = 414,
  [4031] = 232,
  [4032] = 256,
  [4033] = 257,
  [4034] = 258,
  [4035] = 187,
  [4036] = 399,
  [4037] = 416,
  [4038] = 403,
  [4039] = 920,
  [4040] = 922,
  [4041] = 383,
  [4042] = 386,
  [4043] = 387,
  [4044] = 874,
  [4045] = 876,
  [4046] = 357,
  [4047] = 404,
  [4048] = 921,
  [4049] = 349,
  [4050] = 887,
  [4051] = 401,
  [4052] = 881,
  [4053] = 350,
  [4054] = 871,
  [4055] = 884,
  [4056] = 306,
  [4057] = 351,
  [4058] = 352,
  [4059] = 377,
  [4060] = 406,
  [4061] = 378,
  [4062] = 379,
  [4063] = 384,
  [4064] = 381,
  [4065] = 909,
  [4066] = 353,
  [4067] = 354,
  [4068] = 355,
  [4069] = 356,
  [4070] = 358,
  [4071] = 911,
  [4072] = 883,
  [4073] = 407,
  [4074] = 401,
  [4075] = 908,
  [4076] = 921,
  [4077] = 881,
  [4078] = 412,
  [4079] = 884,
  [4080] = 400,
  [4081] = 415,
  [4082] = 430,
  [4083] = 589,
  [4084] = 788,
  [4085] = 264,
  [4086] = 265,
  [4087] = 912,
  [4088] = 391,
  [4089] = 392,
  [4090] = 374,
  [4091] = 357,
  [4092] = 249,
  [4093] = 375,
  [4094] = 376,
  [4095] = 414,
  [4096] = 266,
  [4097] = 267,
  [4098] = 416,
  [4099] = 403,
  [4100] = 404,
  [4101] = 358,
  [4102] = 909,
  [4103] = 870,
  [4104] = 407,
  [4105] = 415,
  [4106] = 430,
  [4107] = 887,
  [4108] = 271,
  [4109] = 911,
  [4110] = 897,
  [4111] = 899,
  [4112] = 272,
  [4113] = 274,
  [4114] = 250,
  [4115] = 275,
  [4116] = 251,
  [4117] = 276,
  [4118] = 277,
  [4119] = 198,
  [4120] = 871,
  [4121] = 410,
  [4122] = 389,
  [4123] = 390,
  [4124] = 397,
  [4125] = 408,
  [4126] = 413,
  [4127] = 411,
  [4128] = 199,
  [4129] = 87,
  [4130] = 402,
  [4131] = 405,
  [4132] = 373,
  [4133] = 409,
  [4134] = 304,
  [4135] = 305,
  [4136] = 597,
  [4137] = 396,
  [4138] = 885,
  [4139] = 306,
  [4140] = 304,
  [4141] = 305,
  [4142] = 788,
  [4143] = 278,
  [4144] = 281,
  [4145] = 412,
  [4146] = 203,
  [4147] = 349,
  [4148] = 350,
  [4149] = 306,
  [4150] = 351,
  [4151] = 352,
  [4152] = 353,
  [4153] = 354,
  [4154] = 355,
  [4155] = 356,
  [4156] = 788,
  [4157] = 204,
  [4158] = 249,
  [4159] = 250,
  [4160] = 357,
  [4161] = 358,
  [4162] = 251,
  [4163] = 284,
  [4164] = 254,
  [4165] = 208,
  [4166] = 273,
  [4167] = 209,
  [4168] = 210,
  [4169] = 211,
  [4170] = 212,
  [4171] = 920,
  [4172] = 922,
  [4173] = 410,
  [4174] = 2372,
  [4175] = 225,
  [4176] = 273,
  [4177] = 400,
  [4178] = 909,
  [4179] = 397,
  [4180] = 408,
  [4181] = 215,
  [4182] = 399,
  [4183] = 216,
  [4184] = 413,
  [4185] = 411,
  [4186] = 787,
  [4187] = 878,
  [4188] = 255,
  [4189] = 234,
  [4190] = 411,
  [4191] = 262,
  [4192] = 921,
  [4193] = 261,
  [4194] = 248,
  [4195] = 606,
  [4196] = 223,
  [4197] = 224,
  [4198] = 247,
  [4199] = 217,
  [4200] = 268,
  [4201] = 261,
  [4202] = 270,
  [4203] = 853,
  [4204] = 197,
  [4205] = 282,
  [4206] = 248,
  [4207] = 887,
  [4208] = 263,
  [4209] = 222,
  [4210] = 223,
  [4211] = 224,
  [4212] = 183,
  [4213] = 406,
  [4214] = 247,
  [4215] = 897,
  [4216] = 195,
  [4217] = 268,
  [4218] = 196,
  [4219] = 270,
  [4220] = 200,
  [4221] = 899,
  [4222] = 899,
  [4223] = 282,
  [4224] = 225,
  [4225] = 226,
  [4226] = 201,
  [4227] = 228,
  [4228] = 875,
  [4229] = 879,
  [4230] = 882,
  [4231] = 222,
  [4232] = 229,
  [4233] = 230,
  [4234] = 910,
  [4235] = 231,
  [4236] = 917,
  [4237] = 232,
  [4238] = 287,
  [4239] = 401,
  [4240] = 202,
  [4241] = 412,
  [4242] = 400,
  [4243] = 290,
  [4244] = 853,
  [4245] = 225,
  [4246] = 226,
  [4247] = 221,
  [4248] = 236,
  [4249] = 237,
  [4250] = 238,
  [4251] = 239,
  [4252] = 240,
  [4253] = 241,
  [4254] = 242,
  [4255] = 243,
  [4256] = 244,
  [4257] = 245,
  [4258] = 246,
  [4259] = 170,
  [4260] = 908,
  [4261] = 171,
  [4262] = 228,
  [4263] = 229,
  [4264] = 230,
  [4265] = 231,
  [4266] = 232,
  [4267] = 892,
  [4268] = 259,
  [4269] = 260,
  [4270] = 414,
  [4271] = 416,
  [4272] = 896,
  [4273] = 403,
  [4274] = 404,
  [4275] = 385,
  [4276] = 407,
  [4277] = 221,
  [4278] = 872,
  [4279] = 415,
  [4280] = 873,
  [4281] = 236,
  [4282] = 264,
  [4283] = 265,
  [4284] = 266,
  [4285] = 267,
  [4286] = 271,
  [4287] = 272,
  [4288] = 274,
  [4289] = 275,
  [4290] = 237,
  [4291] = 276,
  [4292] = 238,
  [4293] = 239,
  [4294] = 240,
  [4295] = 241,
  [4296] = 242,
  [4297] = 243,
  [4298] = 244,
  [4299] = 245,
  [4300] = 246,
  [4301] = 269,
  [4302] = 205,
  [4303] = 206,
  [4304] = 259,
  [4305] = 260,
  [4306] = 264,
  [4307] = 265,
  [4308] = 266,
  [4309] = 267,
  [4310] = 271,
  [4311] = 272,
  [4312] = 274,
  [4313] = 275,
  [4314] = 276,
  [4315] = 170,
  [4316] = 207,
  [4317] = 171,
  [4318] = 277,
  [4319] = 278,
  [4320] = 280,
  [4321] = 281,
  [4322] = 284,
  [4323] = 254,
  [4324] = 136,
  [4325] = 255,
  [4326] = 234,
  [4327] = 184,
  [4328] = 262,
  [4329] = 277,
  [4330] = 263,
  [4331] = 269,
  [4332] = 280,
  [4333] = 283,
  [4334] = 227,
  [4335] = 278,
  [4336] = 304,
  [4337] = 305,
  [4338] = 233,
  [4339] = 188,
  [4340] = 235,
  [4341] = 304,
  [4342] = 305,
  [4343] = 306,
  [4344] = 349,
  [4345] = 350,
  [4346] = 351,
  [4347] = 352,
  [4348] = 353,
  [4349] = 354,
  [4350] = 355,
  [4351] = 356,
  [4352] = 357,
  [4353] = 358,
  [4354] = 281,
  [4355] = 284,
  [4356] = 189,
  [4357] = 254,
  [4358] = 252,
  [4359] = 253,
  [4360] = 285,
  [4361] = 256,
  [4362] = 918,
  [4363] = 257,
  [4364] = 249,
  [4365] = 250,
  [4366] = 251,
  [4367] = 258,
  [4368] = 875,
  [4369] = 879,
  [4370] = 882,
  [4371] = 190,
  [4372] = 910,
  [4373] = 917,
  [4374] = 191,
  [4375] = 827,
  [4376] = 889,
  [4377] = 883,
  [4378] = 283,
  [4379] = 870,
  [4380] = 885,
  [4381] = 402,
  [4382] = 787,
  [4383] = 405,
  [4384] = 788,
  [4385] = 2661,
  [4386] = 920,
  [4387] = 922,
  [4388] = 874,
  [4389] = 876,
  [4390] = 161,
  [4391] = 162,
  [4392] = 273,
  [4393] = 286,
  [4394] = 192,
  [4395] = 410,
  [4396] = 397,
  [4397] = 408,
  [4398] = 399,
  [4399] = 827,
  [4400] = 889,
  [4401] = 892,
  [4402] = 891,
  [4403] = 261,
  [4404] = 248,
  [4405] = 871,
  [4406] = 223,
  [4407] = 224,
  [4408] = 247,
  [4409] = 268,
  [4410] = 270,
  [4411] = 282,
  [4412] = 222,
  [4413] = 881,
  [4414] = 884,
  [4415] = 406,
  [4416] = 918,
  [4417] = 892,
  [4418] = 278,
  [4419] = 281,
  [4420] = 875,
  [4421] = 284,
  [4422] = 911,
  [4423] = 879,
  [4424] = 882,
  [4425] = 170,
  [4426] = 2556,
  [4427] = 2568,
  [4428] = 171,
  [4429] = 161,
  [4430] = 162,
  [4431] = 254,
  [4432] = 920,
  [4433] = 922,
  [4434] = 871,
  [4435] = 921,
  [4436] = 887,
  [4437] = 897,
  [4438] = 899,
  [4439] = 874,
  [4440] = 910,
  [4441] = 876,
  [4442] = 908,
  [4443] = 874,
  [4444] = 221,
  [4445] = 236,
  [4446] = 918,
  [4447] = 896,
  [4448] = 872,
  [4449] = 873,
  [4450] = 917,
  [4451] = 2597,
  [4452] = 237,
  [4453] = 255,
  [4454] = 234,
  [4455] = 238,
  [4456] = 239,
  [4457] = 2601,
  [4458] = 262,
  [4459] = 263,
  [4460] = 240,
  [4461] = 269,
  [4462] = 881,
  [4463] = 884,
  [4464] = 876,
  [4465] = 885,
  [4466] = 280,
  [4467] = 283,
  [4468] = 787,
  [4469] = 249,
  [4470] = 250,
  [4471] = 878,
  [4472] = 875,
  [4473] = 170,
  [4474] = 879,
  [4475] = 251,
  [4476] = 881,
  [4477] = 827,
  [4478] = 889,
  [4479] = 884,
  [4480] = 891,
  [4481] = 909,
  [4482] = 171,
  [4483] = 288,
  [4484] = 921,
  [4485] = 911,
  [4486] = 227,
  [4487] = 233,
  [4488] = 291,
  [4489] = 235,
  [4490] = 882,
  [4491] = 589,
  [4492] = 241,
  [4493] = 921,
  [4494] = 252,
  [4495] = 883,
  [4496] = 253,
  [4497] = 89,
  [4498] = 285,
  [4499] = 242,
  [4500] = 243,
  [4501] = 256,
  [4502] = 257,
  [4503] = 258,
  [4504] = 887,
  [4505] = 897,
  [4506] = 899,
  [4507] = 908,
  [4508] = 896,
  [4509] = 872,
  [4510] = 873,
  [4511] = 230,
  [4512] = 231,
  [4513] = 232,
  [4514] = 273,
  [4515] = 910,
  [4516] = 881,
  [4517] = 244,
  [4518] = 918,
  [4519] = 912,
  [4520] = 887,
  [4521] = 897,
  [4522] = 875,
  [4523] = 879,
  [4524] = 882,
  [4525] = 287,
  [4526] = 290,
  [4527] = 910,
  [4528] = 918,
  [4529] = 853,
  [4530] = 909,
  [4531] = 287,
  [4532] = 290,
  [4533] = 875,
  [4534] = 879,
  [4535] = 349,
  [4536] = 350,
  [4537] = 306,
  [4538] = 351,
  [4539] = 352,
  [4540] = 353,
  [4541] = 354,
  [4542] = 355,
  [4543] = 356,
  [4544] = 882,
  [4545] = 357,
  [4546] = 358,
  [4547] = 910,
  [4548] = 917,
  [4549] = 911,
  [4550] = 917,
  [4551] = 870,
  [4552] = 892,
  [4553] = 286,
  [4554] = 2661,
  [4555] = 245,
  [4556] = 246,
  [4557] = 288,
  [4558] = 920,
  [4559] = 922,
  [4560] = 874,
  [4561] = 876,
  [4562] = 291,
  [4563] = 871,
  [4564] = 912,
  [4565] = 304,
  [4566] = 305,
  [4567] = 286,
  [4568] = 881,
  [4569] = 909,
  [4570] = 909,
  [4571] = 911,
  [4572] = 288,
  [4573] = 291,
  [4574] = 2617,
  [4575] = 878,
  [4576] = 289,
  [4577] = 912,
  [4578] = 870,
  [4579] = 918,
  [4580] = 917,
  [4581] = 225,
  [4582] = 884,
  [4583] = 289,
  [4584] = 226,
  [4585] = 883,
  [4586] = 870,
  [4587] = 259,
  [4588] = 260,
  [4589] = 871,
  [4590] = 912,
  [4591] = 878,
  [4592] = 4592,
  [4593] = 289,
  [4594] = 871,
  [4595] = 2737,
  [4596] = 883,
  [4597] = 430,
  [4598] = 261,
  [4599] = 187,
  [4600] = 399,
  [4601] = 406,
  [4602] = 401,
  [4603] = 412,
  [4604] = 400,
  [4605] = 878,
  [4606] = 414,
  [4607] = 248,
  [4608] = 416,
  [4609] = 403,
  [4610] = 404,
  [4611] = 223,
  [4612] = 407,
  [4613] = 415,
  [4614] = 410,
  [4615] = 224,
  [4616] = 397,
  [4617] = 408,
  [4618] = 413,
  [4619] = 411,
  [4620] = 402,
  [4621] = 405,
  [4622] = 409,
  [4623] = 396,
  [4624] = 885,
  [4625] = 883,
  [4626] = 787,
  [4627] = 788,
  [4628] = 920,
  [4629] = 247,
  [4630] = 885,
  [4631] = 2621,
  [4632] = 787,
  [4633] = 827,
  [4634] = 889,
  [4635] = 170,
  [4636] = 597,
  [4637] = 891,
  [4638] = 430,
  [4639] = 171,
  [4640] = 827,
  [4641] = 889,
  [4642] = 268,
  [4643] = 4592,
  [4644] = 270,
  [4645] = 89,
  [4646] = 899,
  [4647] = 228,
  [4648] = 282,
  [4649] = 891,
  [4650] = 222,
  [4651] = 229,
  [4652] = 920,
  [4653] = 922,
  [4654] = 908,
  [4655] = 430,
  [4656] = 430,
  [4657] = 90,
  [4658] = 921,
  [4659] = 870,
  [4660] = 892,
  [4661] = 874,
  [4662] = 876,
  [4663] = 887,
  [4664] = 2526,
  [4665] = 264,
  [4666] = 922,
  [4667] = 277,
  [4668] = 897,
  [4669] = 899,
  [4670] = 265,
  [4671] = 896,
  [4672] = 266,
  [4673] = 287,
  [4674] = 290,
  [4675] = 872,
  [4676] = 267,
  [4677] = 271,
  [4678] = 908,
  [4679] = 272,
  [4680] = 274,
  [4681] = 275,
  [4682] = 276,
  [4683] = 892,
  [4684] = 873,
  [4685] = 896,
  [4686] = 872,
  [4687] = 286,
  [4688] = 873,
  [4689] = 884,
  [4690] = 882,
  [4691] = 412,
  [4692] = 353,
  [4693] = 887,
  [4694] = 897,
  [4695] = 899,
  [4696] = 883,
  [4697] = 768,
  [4698] = 414,
  [4699] = 416,
  [4700] = 876,
  [4701] = 912,
  [4702] = 908,
  [4703] = 403,
  [4704] = 892,
  [4705] = 756,
  [4706] = 896,
  [4707] = 872,
  [4708] = 873,
  [4709] = 404,
  [4710] = 827,
  [4711] = 881,
  [4712] = 889,
  [4713] = 357,
  [4714] = 874,
  [4715] = 291,
  [4716] = 349,
  [4717] = 350,
  [4718] = 409,
  [4719] = 406,
  [4720] = 407,
  [4721] = 352,
  [4722] = 289,
  [4723] = 789,
  [4724] = 4724,
  [4725] = 304,
  [4726] = 286,
  [4727] = 871,
  [4728] = 396,
  [4729] = 305,
  [4730] = 161,
  [4731] = 162,
  [4732] = 878,
  [4733] = 430,
  [4734] = 399,
  [4735] = 290,
  [4736] = 737,
  [4737] = 355,
  [4738] = 885,
  [4739] = 306,
  [4740] = 410,
  [4741] = 400,
  [4742] = 854,
  [4743] = 149,
  [4744] = 415,
  [4745] = 884,
  [4746] = 149,
  [4747] = 787,
  [4748] = 918,
  [4749] = 909,
  [4750] = 875,
  [4751] = 879,
  [4752] = 354,
  [4753] = 2737,
  [4754] = 910,
  [4755] = 917,
  [4756] = 891,
  [4757] = 402,
  [4758] = 601,
  [4759] = 170,
  [4760] = 769,
  [4761] = 397,
  [4762] = 911,
  [4763] = 4592,
  [4764] = 408,
  [4765] = 413,
  [4766] = 411,
  [4767] = 405,
  [4768] = 89,
  [4769] = 870,
  [4770] = 351,
  [4771] = 171,
  [4772] = 358,
  [4773] = 288,
  [4774] = 287,
  [4775] = 401,
  [4776] = 921,
  [4777] = 161,
  [4778] = 162,
  [4779] = 920,
  [4780] = 922,
  [4781] = 356,
  [4782] = 921,
  [4783] = 164,
  [4784] = 160,
  [4785] = 889,
  [4786] = 788,
  [4787] = 153,
  [4788] = 154,
  [4789] = 891,
  [4790] = 163,
  [4791] = 871,
  [4792] = 155,
  [4793] = 161,
  [4794] = 4794,
  [4795] = 162,
  [4796] = 432,
  [4797] = 431,
  [4798] = 432,
  [4799] = 4799,
  [4800] = 887,
  [4801] = 897,
  [4802] = 899,
  [4803] = 908,
  [4804] = 892,
  [4805] = 156,
  [4806] = 896,
  [4807] = 149,
  [4808] = 431,
  [4809] = 872,
  [4810] = 432,
  [4811] = 873,
  [4812] = 912,
  [4813] = 152,
  [4814] = 430,
  [4815] = 151,
  [4816] = 878,
  [4817] = 909,
  [4818] = 911,
  [4819] = 149,
  [4820] = 883,
  [4821] = 881,
  [4822] = 884,
  [4823] = 870,
  [4824] = 885,
  [4825] = 4794,
  [4826] = 151,
  [4827] = 918,
  [4828] = 2661,
  [4829] = 875,
  [4830] = 879,
  [4831] = 882,
  [4832] = 910,
  [4833] = 917,
  [4834] = 876,
  [4835] = 435,
  [4836] = 158,
  [4837] = 157,
  [4838] = 431,
  [4839] = 171,
  [4840] = 4799,
  [4841] = 153,
  [4842] = 154,
  [4843] = 155,
  [4844] = 156,
  [4845] = 152,
  [4846] = 158,
  [4847] = 157,
  [4848] = 159,
  [4849] = 150,
  [4850] = 165,
  [4851] = 163,
  [4852] = 161,
  [4853] = 164,
  [4854] = 160,
  [4855] = 170,
  [4856] = 171,
  [4857] = 162,
  [4858] = 874,
  [4859] = 159,
  [4860] = 150,
  [4861] = 920,
  [4862] = 922,
  [4863] = 165,
  [4864] = 170,
  [4865] = 375,
  [4866] = 157,
  [4867] = 154,
  [4868] = 382,
  [4869] = 175,
  [4870] = 159,
  [4871] = 176,
  [4872] = 171,
  [4873] = 170,
  [4874] = 155,
  [4875] = 150,
  [4876] = 156,
  [4877] = 165,
  [4878] = 171,
  [4879] = 163,
  [4880] = 164,
  [4881] = 152,
  [4882] = 160,
  [4883] = 177,
  [4884] = 4794,
  [4885] = 158,
  [4886] = 157,
  [4887] = 178,
  [4888] = 179,
  [4889] = 151,
  [4890] = 388,
  [4891] = 179,
  [4892] = 2661,
  [4893] = 389,
  [4894] = 390,
  [4895] = 373,
  [4896] = 435,
  [4897] = 174,
  [4898] = 168,
  [4899] = 159,
  [4900] = 431,
  [4901] = 169,
  [4902] = 175,
  [4903] = 432,
  [4904] = 150,
  [4905] = 431,
  [4906] = 165,
  [4907] = 163,
  [4908] = 164,
  [4909] = 153,
  [4910] = 432,
  [4911] = 160,
  [4912] = 180,
  [4913] = 4913,
  [4914] = 177,
  [4915] = 151,
  [4916] = 4916,
  [4917] = 178,
  [4918] = 4918,
  [4919] = 168,
  [4920] = 169,
  [4921] = 172,
  [4922] = 383,
  [4923] = 180,
  [4924] = 386,
  [4925] = 166,
  [4926] = 387,
  [4927] = 385,
  [4928] = 391,
  [4929] = 392,
  [4930] = 90,
  [4931] = 176,
  [4932] = 4799,
  [4933] = 4933,
  [4934] = 153,
  [4935] = 166,
  [4936] = 374,
  [4937] = 2661,
  [4938] = 136,
  [4939] = 376,
  [4940] = 377,
  [4941] = 378,
  [4942] = 379,
  [4943] = 384,
  [4944] = 381,
  [4945] = 170,
  [4946] = 154,
  [4947] = 174,
  [4948] = 155,
  [4949] = 156,
  [4950] = 152,
  [4951] = 158,
  [4952] = 172,
  [4953] = 206,
  [4954] = 213,
  [4955] = 385,
  [4956] = 191,
  [4957] = 375,
  [4958] = 376,
  [4959] = 179,
  [4960] = 185,
  [4961] = 185,
  [4962] = 172,
  [4963] = 2661,
  [4964] = 4964,
  [4965] = 175,
  [4966] = 4966,
  [4967] = 204,
  [4968] = 4964,
  [4969] = 4966,
  [4970] = 177,
  [4971] = 178,
  [4972] = 168,
  [4973] = 192,
  [4974] = 193,
  [4975] = 4964,
  [4976] = 597,
  [4977] = 216,
  [4978] = 194,
  [4979] = 169,
  [4980] = 172,
  [4981] = 176,
  [4982] = 4964,
  [4983] = 179,
  [4984] = 4913,
  [4985] = 4966,
  [4986] = 377,
  [4987] = 201,
  [4988] = 176,
  [4989] = 149,
  [4990] = 4966,
  [4991] = 378,
  [4992] = 379,
  [4993] = 196,
  [4994] = 214,
  [4995] = 589,
  [4996] = 202,
  [4997] = 4964,
  [4998] = 4966,
  [4999] = 205,
  [5000] = 200,
  [5001] = 4964,
  [5002] = 391,
  [5003] = 206,
  [5004] = 4964,
  [5005] = 388,
  [5006] = 4966,
  [5007] = 186,
  [5008] = 606,
  [5009] = 4966,
  [5010] = 198,
  [5011] = 4964,
  [5012] = 601,
  [5013] = 4933,
  [5014] = 601,
  [5015] = 207,
  [5016] = 174,
  [5017] = 161,
  [5018] = 162,
  [5019] = 4966,
  [5020] = 606,
  [5021] = 174,
  [5022] = 218,
  [5023] = 219,
  [5024] = 384,
  [5025] = 601,
  [5026] = 381,
  [5027] = 4964,
  [5028] = 4964,
  [5029] = 186,
  [5030] = 194,
  [5031] = 220,
  [5032] = 4966,
  [5033] = 191,
  [5034] = 4964,
  [5035] = 184,
  [5036] = 215,
  [5037] = 4964,
  [5038] = 392,
  [5039] = 199,
  [5040] = 4966,
  [5041] = 4794,
  [5042] = 198,
  [5043] = 199,
  [5044] = 389,
  [5045] = 4966,
  [5046] = 4964,
  [5047] = 4966,
  [5048] = 180,
  [5049] = 190,
  [5050] = 4966,
  [5051] = 203,
  [5052] = 204,
  [5053] = 4964,
  [5054] = 136,
  [5055] = 213,
  [5056] = 214,
  [5057] = 183,
  [5058] = 4794,
  [5059] = 208,
  [5060] = 209,
  [5061] = 210,
  [5062] = 211,
  [5063] = 212,
  [5064] = 218,
  [5065] = 208,
  [5066] = 4916,
  [5067] = 190,
  [5068] = 390,
  [5069] = 4966,
  [5070] = 193,
  [5071] = 166,
  [5072] = 87,
  [5073] = 219,
  [5074] = 209,
  [5075] = 4799,
  [5076] = 4966,
  [5077] = 166,
  [5078] = 203,
  [5079] = 4964,
  [5080] = 181,
  [5081] = 373,
  [5082] = 215,
  [5083] = 216,
  [5084] = 90,
  [5085] = 210,
  [5086] = 220,
  [5087] = 606,
  [5088] = 211,
  [5089] = 212,
  [5090] = 4964,
  [5091] = 4799,
  [5092] = 175,
  [5093] = 383,
  [5094] = 86,
  [5095] = 181,
  [5096] = 188,
  [5097] = 374,
  [5098] = 4918,
  [5099] = 217,
  [5100] = 4964,
  [5101] = 149,
  [5102] = 88,
  [5103] = 161,
  [5104] = 177,
  [5105] = 4964,
  [5106] = 382,
  [5107] = 4966,
  [5108] = 217,
  [5109] = 197,
  [5110] = 178,
  [5111] = 4966,
  [5112] = 183,
  [5113] = 195,
  [5114] = 196,
  [5115] = 200,
  [5116] = 201,
  [5117] = 202,
  [5118] = 168,
  [5119] = 195,
  [5120] = 189,
  [5121] = 205,
  [5122] = 197,
  [5123] = 4966,
  [5124] = 387,
  [5125] = 386,
  [5126] = 169,
  [5127] = 207,
  [5128] = 189,
  [5129] = 192,
  [5130] = 184,
  [5131] = 188,
  [5132] = 162,
  [5133] = 180,
  [5134] = 260,
  [5135] = 264,
  [5136] = 265,
  [5137] = 266,
  [5138] = 267,
  [5139] = 271,
  [5140] = 272,
  [5141] = 274,
  [5142] = 275,
  [5143] = 276,
  [5144] = 151,
  [5145] = 277,
  [5146] = 278,
  [5147] = 281,
  [5148] = 284,
  [5149] = 254,
  [5150] = 255,
  [5151] = 234,
  [5152] = 262,
  [5153] = 263,
  [5154] = 269,
  [5155] = 280,
  [5156] = 283,
  [5157] = 227,
  [5158] = 233,
  [5159] = 235,
  [5160] = 252,
  [5161] = 253,
  [5162] = 285,
  [5163] = 256,
  [5164] = 257,
  [5165] = 258,
  [5166] = 170,
  [5167] = 171,
  [5168] = 431,
  [5169] = 432,
  [5170] = 853,
  [5171] = 601,
  [5172] = 5172,
  [5173] = 597,
  [5174] = 5174,
  [5175] = 5175,
  [5176] = 249,
  [5177] = 250,
  [5178] = 251,
  [5179] = 273,
  [5180] = 261,
  [5181] = 248,
  [5182] = 223,
  [5183] = 224,
  [5184] = 247,
  [5185] = 268,
  [5186] = 270,
  [5187] = 282,
  [5188] = 222,
  [5189] = 225,
  [5190] = 226,
  [5191] = 228,
  [5192] = 229,
  [5193] = 230,
  [5194] = 231,
  [5195] = 232,
  [5196] = 221,
  [5197] = 236,
  [5198] = 237,
  [5199] = 238,
  [5200] = 239,
  [5201] = 240,
  [5202] = 241,
  [5203] = 242,
  [5204] = 243,
  [5205] = 244,
  [5206] = 245,
  [5207] = 246,
  [5208] = 259,
  [5209] = 260,
  [5210] = 264,
  [5211] = 265,
  [5212] = 266,
  [5213] = 267,
  [5214] = 271,
  [5215] = 272,
  [5216] = 274,
  [5217] = 275,
  [5218] = 276,
  [5219] = 277,
  [5220] = 278,
  [5221] = 281,
  [5222] = 284,
  [5223] = 254,
  [5224] = 255,
  [5225] = 234,
  [5226] = 262,
  [5227] = 263,
  [5228] = 269,
  [5229] = 280,
  [5230] = 283,
  [5231] = 227,
  [5232] = 233,
  [5233] = 235,
  [5234] = 252,
  [5235] = 431,
  [5236] = 253,
  [5237] = 285,
  [5238] = 256,
  [5239] = 257,
  [5240] = 258,
  [5241] = 589,
  [5242] = 153,
  [5243] = 154,
  [5244] = 155,
  [5245] = 156,
  [5246] = 152,
  [5247] = 158,
  [5248] = 198,
  [5249] = 199,
  [5250] = 157,
  [5251] = 203,
  [5252] = 204,
  [5253] = 208,
  [5254] = 209,
  [5255] = 210,
  [5256] = 211,
  [5257] = 212,
  [5258] = 159,
  [5259] = 150,
  [5260] = 165,
  [5261] = 163,
  [5262] = 164,
  [5263] = 160,
  [5264] = 215,
  [5265] = 216,
  [5266] = 217,
  [5267] = 197,
  [5268] = 183,
  [5269] = 195,
  [5270] = 196,
  [5271] = 200,
  [5272] = 201,
  [5273] = 202,
  [5274] = 432,
  [5275] = 205,
  [5276] = 206,
  [5277] = 207,
  [5278] = 184,
  [5279] = 188,
  [5280] = 189,
  [5281] = 190,
  [5282] = 191,
  [5283] = 192,
  [5284] = 193,
  [5285] = 194,
  [5286] = 213,
  [5287] = 214,
  [5288] = 218,
  [5289] = 219,
  [5290] = 220,
  [5291] = 181,
  [5292] = 185,
  [5293] = 186,
  [5294] = 198,
  [5295] = 199,
  [5296] = 788,
  [5297] = 203,
  [5298] = 204,
  [5299] = 151,
  [5300] = 208,
  [5301] = 209,
  [5302] = 210,
  [5303] = 211,
  [5304] = 212,
  [5305] = 86,
  [5306] = 215,
  [5307] = 216,
  [5308] = 217,
  [5309] = 197,
  [5310] = 183,
  [5311] = 195,
  [5312] = 196,
  [5313] = 200,
  [5314] = 201,
  [5315] = 202,
  [5316] = 88,
  [5317] = 205,
  [5318] = 206,
  [5319] = 207,
  [5320] = 184,
  [5321] = 188,
  [5322] = 189,
  [5323] = 190,
  [5324] = 191,
  [5325] = 192,
  [5326] = 193,
  [5327] = 194,
  [5328] = 213,
  [5329] = 214,
  [5330] = 218,
  [5331] = 219,
  [5332] = 220,
  [5333] = 181,
  [5334] = 185,
  [5335] = 186,
  [5336] = 87,
  [5337] = 606,
  [5338] = 601,
  [5339] = 601,
  [5340] = 90,
  [5341] = 170,
  [5342] = 171,
  [5343] = 5343,
  [5344] = 5175,
  [5345] = 5345,
  [5346] = 5346,
  [5347] = 5346,
  [5348] = 5348,
  [5349] = 5349,
  [5350] = 259,
  [5351] = 5351,
  [5352] = 5352,
  [5353] = 853,
  [5354] = 606,
  [5355] = 5343,
  [5356] = 5175,
  [5357] = 5345,
  [5358] = 5343,
  [5359] = 5343,
  [5360] = 5175,
  [5361] = 5345,
  [5362] = 5343,
  [5363] = 5175,
  [5364] = 5345,
  [5365] = 187,
  [5366] = 399,
  [5367] = 5343,
  [5368] = 5368,
  [5369] = 5175,
  [5370] = 5348,
  [5371] = 5345,
  [5372] = 5349,
  [5373] = 5373,
  [5374] = 406,
  [5375] = 5343,
  [5376] = 5175,
  [5377] = 5345,
  [5378] = 401,
  [5379] = 412,
  [5380] = 400,
  [5381] = 5343,
  [5382] = 5175,
  [5383] = 5345,
  [5384] = 5172,
  [5385] = 5343,
  [5386] = 5175,
  [5387] = 5345,
  [5388] = 414,
  [5389] = 416,
  [5390] = 403,
  [5391] = 404,
  [5392] = 407,
  [5393] = 415,
  [5394] = 5343,
  [5395] = 5175,
  [5396] = 5345,
  [5397] = 410,
  [5398] = 397,
  [5399] = 408,
  [5400] = 413,
  [5401] = 411,
  [5402] = 5343,
  [5403] = 5175,
  [5404] = 5345,
  [5405] = 402,
  [5406] = 405,
  [5407] = 409,
  [5408] = 5408,
  [5409] = 396,
  [5410] = 5343,
  [5411] = 5411,
  [5412] = 5175,
  [5413] = 5351,
  [5414] = 5345,
  [5415] = 5415,
  [5416] = 5352,
  [5417] = 5343,
  [5418] = 5175,
  [5419] = 5345,
  [5420] = 788,
  [5421] = 5343,
  [5422] = 5175,
  [5423] = 5345,
  [5424] = 5343,
  [5425] = 5175,
  [5426] = 5345,
  [5427] = 5343,
  [5428] = 5175,
  [5429] = 5345,
  [5430] = 5343,
  [5431] = 5175,
  [5432] = 5345,
  [5433] = 5343,
  [5434] = 5175,
  [5435] = 5345,
  [5436] = 5343,
  [5437] = 5343,
  [5438] = 5368,
  [5439] = 853,
  [5440] = 5408,
  [5441] = 5411,
  [5442] = 5415,
  [5443] = 5443,
  [5444] = 5444,
  [5445] = 788,
  [5446] = 5174,
  [5447] = 435,
  [5448] = 5448,
  [5449] = 5443,
  [5450] = 5444,
  [5451] = 4794,
  [5452] = 4799,
  [5453] = 5453,
  [5454] = 5454,
  [5455] = 5455,
  [5456] = 4933,
  [5457] = 4916,
  [5458] = 4918,
  [5459] = 4913,
  [5460] = 5348,
  [5461] = 5349,
  [5462] = 5373,
  [5463] = 5345,
  [5464] = 5351,
  [5465] = 5352,
  [5466] = 249,
  [5467] = 250,
  [5468] = 251,
  [5469] = 273,
  [5470] = 153,
  [5471] = 154,
  [5472] = 155,
  [5473] = 156,
  [5474] = 152,
  [5475] = 158,
  [5476] = 157,
  [5477] = 159,
  [5478] = 150,
  [5479] = 165,
  [5480] = 163,
  [5481] = 164,
  [5482] = 160,
  [5483] = 5346,
  [5484] = 261,
  [5485] = 248,
  [5486] = 223,
  [5487] = 224,
  [5488] = 247,
  [5489] = 268,
  [5490] = 270,
  [5491] = 282,
  [5492] = 222,
  [5493] = 225,
  [5494] = 226,
  [5495] = 228,
  [5496] = 229,
  [5497] = 230,
  [5498] = 231,
  [5499] = 232,
  [5500] = 221,
  [5501] = 236,
  [5502] = 5368,
  [5503] = 5408,
  [5504] = 5411,
  [5505] = 5415,
  [5506] = 5443,
  [5507] = 5444,
  [5508] = 237,
  [5509] = 238,
  [5510] = 239,
  [5511] = 240,
  [5512] = 241,
  [5513] = 242,
  [5514] = 243,
  [5515] = 244,
  [5516] = 245,
  [5517] = 246,
  [5518] = 5373,
  [5519] = 256,
  [5520] = 282,
  [5521] = 414,
  [5522] = 222,
  [5523] = 416,
  [5524] = 175,
  [5525] = 177,
  [5526] = 178,
  [5527] = 168,
  [5528] = 169,
  [5529] = 289,
  [5530] = 225,
  [5531] = 756,
  [5532] = 5532,
  [5533] = 226,
  [5534] = 403,
  [5535] = 228,
  [5536] = 229,
  [5537] = 230,
  [5538] = 231,
  [5539] = 232,
  [5540] = 221,
  [5541] = 768,
  [5542] = 172,
  [5543] = 176,
  [5544] = 854,
  [5545] = 236,
  [5546] = 179,
  [5547] = 769,
  [5548] = 789,
  [5549] = 853,
  [5550] = 237,
  [5551] = 238,
  [5552] = 239,
  [5553] = 5532,
  [5554] = 240,
  [5555] = 241,
  [5556] = 242,
  [5557] = 243,
  [5558] = 430,
  [5559] = 5532,
  [5560] = 244,
  [5561] = 5561,
  [5562] = 245,
  [5563] = 246,
  [5564] = 5532,
  [5565] = 5532,
  [5566] = 259,
  [5567] = 260,
  [5568] = 264,
  [5569] = 265,
  [5570] = 266,
  [5571] = 267,
  [5572] = 5532,
  [5573] = 271,
  [5574] = 272,
  [5575] = 274,
  [5576] = 275,
  [5577] = 276,
  [5578] = 404,
  [5579] = 5532,
  [5580] = 277,
  [5581] = 385,
  [5582] = 278,
  [5583] = 407,
  [5584] = 281,
  [5585] = 415,
  [5586] = 5532,
  [5587] = 284,
  [5588] = 410,
  [5589] = 254,
  [5590] = 255,
  [5591] = 5532,
  [5592] = 234,
  [5593] = 262,
  [5594] = 263,
  [5595] = 269,
  [5596] = 280,
  [5597] = 283,
  [5598] = 227,
  [5599] = 233,
  [5600] = 397,
  [5601] = 5532,
  [5602] = 235,
  [5603] = 408,
  [5604] = 252,
  [5605] = 253,
  [5606] = 285,
  [5607] = 413,
  [5608] = 256,
  [5609] = 257,
  [5610] = 5532,
  [5611] = 258,
  [5612] = 174,
  [5613] = 411,
  [5614] = 402,
  [5615] = 249,
  [5616] = 250,
  [5617] = 251,
  [5618] = 249,
  [5619] = 250,
  [5620] = 251,
  [5621] = 5532,
  [5622] = 405,
  [5623] = 788,
  [5624] = 409,
  [5625] = 396,
  [5626] = 373,
  [5627] = 5532,
  [5628] = 175,
  [5629] = 921,
  [5630] = 273,
  [5631] = 177,
  [5632] = 178,
  [5633] = 887,
  [5634] = 5532,
  [5635] = 273,
  [5636] = 897,
  [5637] = 899,
  [5638] = 168,
  [5639] = 169,
  [5640] = 5532,
  [5641] = 172,
  [5642] = 908,
  [5643] = 892,
  [5644] = 287,
  [5645] = 896,
  [5646] = 872,
  [5647] = 290,
  [5648] = 873,
  [5649] = 5532,
  [5650] = 176,
  [5651] = 179,
  [5652] = 136,
  [5653] = 5532,
  [5654] = 376,
  [5655] = 389,
  [5656] = 390,
  [5657] = 5532,
  [5658] = 261,
  [5659] = 89,
  [5660] = 248,
  [5661] = 918,
  [5662] = 2372,
  [5663] = 875,
  [5664] = 879,
  [5665] = 882,
  [5666] = 910,
  [5667] = 917,
  [5668] = 223,
  [5669] = 224,
  [5670] = 5172,
  [5671] = 375,
  [5672] = 247,
  [5673] = 399,
  [5674] = 5174,
  [5675] = 268,
  [5676] = 286,
  [5677] = 270,
  [5678] = 920,
  [5679] = 922,
  [5680] = 288,
  [5681] = 874,
  [5682] = 876,
  [5683] = 881,
  [5684] = 884,
  [5685] = 909,
  [5686] = 911,
  [5687] = 282,
  [5688] = 912,
  [5689] = 870,
  [5690] = 788,
  [5691] = 871,
  [5692] = 878,
  [5693] = 883,
  [5694] = 291,
  [5695] = 222,
  [5696] = 406,
  [5697] = 401,
  [5698] = 225,
  [5699] = 226,
  [5700] = 601,
  [5701] = 261,
  [5702] = 2372,
  [5703] = 228,
  [5704] = 5704,
  [5705] = 229,
  [5706] = 230,
  [5707] = 231,
  [5708] = 232,
  [5709] = 221,
  [5710] = 236,
  [5711] = 237,
  [5712] = 238,
  [5713] = 239,
  [5714] = 240,
  [5715] = 885,
  [5716] = 787,
  [5717] = 4933,
  [5718] = 4916,
  [5719] = 4918,
  [5720] = 4913,
  [5721] = 827,
  [5722] = 889,
  [5723] = 891,
  [5724] = 382,
  [5725] = 241,
  [5726] = 242,
  [5727] = 243,
  [5728] = 180,
  [5729] = 166,
  [5730] = 244,
  [5731] = 245,
  [5732] = 246,
  [5733] = 259,
  [5734] = 260,
  [5735] = 264,
  [5736] = 265,
  [5737] = 266,
  [5738] = 388,
  [5739] = 267,
  [5740] = 271,
  [5741] = 272,
  [5742] = 274,
  [5743] = 275,
  [5744] = 276,
  [5745] = 287,
  [5746] = 412,
  [5747] = 290,
  [5748] = 277,
  [5749] = 248,
  [5750] = 278,
  [5751] = 223,
  [5752] = 281,
  [5753] = 224,
  [5754] = 284,
  [5755] = 180,
  [5756] = 254,
  [5757] = 286,
  [5758] = 383,
  [5759] = 386,
  [5760] = 387,
  [5761] = 288,
  [5762] = 291,
  [5763] = 255,
  [5764] = 234,
  [5765] = 174,
  [5766] = 262,
  [5767] = 263,
  [5768] = 269,
  [5769] = 280,
  [5770] = 283,
  [5771] = 377,
  [5772] = 378,
  [5773] = 379,
  [5774] = 384,
  [5775] = 381,
  [5776] = 289,
  [5777] = 227,
  [5778] = 233,
  [5779] = 247,
  [5780] = 235,
  [5781] = 400,
  [5782] = 252,
  [5783] = 253,
  [5784] = 285,
  [5785] = 392,
  [5786] = 268,
  [5787] = 391,
  [5788] = 257,
  [5789] = 258,
  [5790] = 5790,
  [5791] = 187,
  [5792] = 853,
  [5793] = 270,
  [5794] = 166,
  [5795] = 187,
  [5796] = 374,
  [5797] = 737,
  [5798] = 788,
  [5799] = 186,
  [5800] = 207,
  [5801] = 5801,
  [5802] = 5802,
  [5803] = 5803,
  [5804] = 5804,
  [5805] = 181,
  [5806] = 213,
  [5807] = 185,
  [5808] = 186,
  [5809] = 214,
  [5810] = 218,
  [5811] = 219,
  [5812] = 220,
  [5813] = 5813,
  [5814] = 5814,
  [5815] = 5815,
  [5816] = 5801,
  [5817] = 601,
  [5818] = 5813,
  [5819] = 5814,
  [5820] = 5820,
  [5821] = 5814,
  [5822] = 5815,
  [5823] = 5801,
  [5824] = 5824,
  [5825] = 5813,
  [5826] = 5814,
  [5827] = 5815,
  [5828] = 5801,
  [5829] = 181,
  [5830] = 185,
  [5831] = 5813,
  [5832] = 217,
  [5833] = 5814,
  [5834] = 5815,
  [5835] = 5801,
  [5836] = 197,
  [5837] = 183,
  [5838] = 195,
  [5839] = 196,
  [5840] = 5813,
  [5841] = 5814,
  [5842] = 5815,
  [5843] = 5801,
  [5844] = 5790,
  [5845] = 200,
  [5846] = 201,
  [5847] = 202,
  [5848] = 5813,
  [5849] = 5814,
  [5850] = 5815,
  [5851] = 5801,
  [5852] = 606,
  [5853] = 205,
  [5854] = 5854,
  [5855] = 5813,
  [5856] = 206,
  [5857] = 5814,
  [5858] = 5815,
  [5859] = 5801,
  [5860] = 207,
  [5861] = 5861,
  [5862] = 190,
  [5863] = 606,
  [5864] = 5813,
  [5865] = 5814,
  [5866] = 5815,
  [5867] = 5801,
  [5868] = 5815,
  [5869] = 184,
  [5870] = 188,
  [5871] = 5813,
  [5872] = 5814,
  [5873] = 5815,
  [5874] = 5801,
  [5875] = 189,
  [5876] = 198,
  [5877] = 190,
  [5878] = 199,
  [5879] = 885,
  [5880] = 5813,
  [5881] = 5814,
  [5882] = 5815,
  [5883] = 5801,
  [5884] = 787,
  [5885] = 287,
  [5886] = 290,
  [5887] = 5813,
  [5888] = 5814,
  [5889] = 5815,
  [5890] = 5801,
  [5891] = 827,
  [5892] = 191,
  [5893] = 889,
  [5894] = 5813,
  [5895] = 5895,
  [5896] = 5814,
  [5897] = 5815,
  [5898] = 5801,
  [5899] = 891,
  [5900] = 892,
  [5901] = 921,
  [5902] = 203,
  [5903] = 5813,
  [5904] = 5814,
  [5905] = 5815,
  [5906] = 5801,
  [5907] = 204,
  [5908] = 191,
  [5909] = 887,
  [5910] = 897,
  [5911] = 899,
  [5912] = 286,
  [5913] = 5813,
  [5914] = 288,
  [5915] = 5813,
  [5916] = 5814,
  [5917] = 5815,
  [5918] = 5801,
  [5919] = 291,
  [5920] = 908,
  [5921] = 430,
  [5922] = 208,
  [5923] = 5813,
  [5924] = 5814,
  [5925] = 5815,
  [5926] = 5801,
  [5927] = 209,
  [5928] = 210,
  [5929] = 896,
  [5930] = 872,
  [5931] = 5813,
  [5932] = 5814,
  [5933] = 5815,
  [5934] = 5801,
  [5935] = 211,
  [5936] = 212,
  [5937] = 289,
  [5938] = 873,
  [5939] = 5895,
  [5940] = 918,
  [5941] = 875,
  [5942] = 879,
  [5943] = 5943,
  [5944] = 5861,
  [5945] = 5943,
  [5946] = 5824,
  [5947] = 882,
  [5948] = 910,
  [5949] = 917,
  [5950] = 920,
  [5951] = 922,
  [5952] = 5802,
  [5953] = 5803,
  [5954] = 874,
  [5955] = 876,
  [5956] = 215,
  [5957] = 216,
  [5958] = 5958,
  [5959] = 881,
  [5960] = 884,
  [5961] = 90,
  [5962] = 5962,
  [5963] = 909,
  [5964] = 911,
  [5965] = 287,
  [5966] = 290,
  [5967] = 912,
  [5968] = 184,
  [5969] = 5801,
  [5970] = 5895,
  [5971] = 189,
  [5972] = 5861,
  [5973] = 5943,
  [5974] = 5824,
  [5975] = 5975,
  [5976] = 5895,
  [5977] = 192,
  [5978] = 5861,
  [5979] = 5943,
  [5980] = 5824,
  [5981] = 5895,
  [5982] = 5861,
  [5983] = 5943,
  [5984] = 5824,
  [5985] = 5895,
  [5986] = 5861,
  [5987] = 5943,
  [5988] = 5824,
  [5989] = 5895,
  [5990] = 5861,
  [5991] = 5943,
  [5992] = 5824,
  [5993] = 5861,
  [5994] = 5943,
  [5995] = 5824,
  [5996] = 5802,
  [5997] = 5895,
  [5998] = 5861,
  [5999] = 5943,
  [6000] = 5824,
  [6001] = 5895,
  [6002] = 5861,
  [6003] = 5943,
  [6004] = 5824,
  [6005] = 5895,
  [6006] = 5861,
  [6007] = 5943,
  [6008] = 5824,
  [6009] = 5895,
  [6010] = 5861,
  [6011] = 5943,
  [6012] = 193,
  [6013] = 5824,
  [6014] = 5803,
  [6015] = 5895,
  [6016] = 5861,
  [6017] = 5943,
  [6018] = 5824,
  [6019] = 5895,
  [6020] = 6020,
  [6021] = 5861,
  [6022] = 5943,
  [6023] = 5824,
  [6024] = 5895,
  [6025] = 870,
  [6026] = 5861,
  [6027] = 5943,
  [6028] = 5824,
  [6029] = 5895,
  [6030] = 5861,
  [6031] = 5943,
  [6032] = 5824,
  [6033] = 5895,
  [6034] = 5861,
  [6035] = 5943,
  [6036] = 5824,
  [6037] = 871,
  [6038] = 5895,
  [6039] = 5861,
  [6040] = 5943,
  [6041] = 5824,
  [6042] = 194,
  [6043] = 5958,
  [6044] = 5962,
  [6045] = 6020,
  [6046] = 286,
  [6047] = 878,
  [6048] = 288,
  [6049] = 291,
  [6050] = 589,
  [6051] = 89,
  [6052] = 192,
  [6053] = 883,
  [6054] = 193,
  [6055] = 597,
  [6056] = 194,
  [6057] = 5958,
  [6058] = 5962,
  [6059] = 6020,
  [6060] = 5958,
  [6061] = 5962,
  [6062] = 6020,
  [6063] = 5958,
  [6064] = 5962,
  [6065] = 6020,
  [6066] = 5958,
  [6067] = 5962,
  [6068] = 6020,
  [6069] = 5958,
  [6070] = 5962,
  [6071] = 6020,
  [6072] = 5958,
  [6073] = 5962,
  [6074] = 6020,
  [6075] = 5958,
  [6076] = 5962,
  [6077] = 6020,
  [6078] = 5958,
  [6079] = 5962,
  [6080] = 6020,
  [6081] = 198,
  [6082] = 199,
  [6083] = 5958,
  [6084] = 5962,
  [6085] = 6020,
  [6086] = 161,
  [6087] = 5958,
  [6088] = 5962,
  [6089] = 6020,
  [6090] = 162,
  [6091] = 5958,
  [6092] = 5962,
  [6093] = 6020,
  [6094] = 203,
  [6095] = 204,
  [6096] = 5958,
  [6097] = 5962,
  [6098] = 6020,
  [6099] = 208,
  [6100] = 209,
  [6101] = 5958,
  [6102] = 5962,
  [6103] = 6020,
  [6104] = 210,
  [6105] = 211,
  [6106] = 212,
  [6107] = 5958,
  [6108] = 5962,
  [6109] = 6020,
  [6110] = 5958,
  [6111] = 5962,
  [6112] = 6020,
  [6113] = 5958,
  [6114] = 5962,
  [6115] = 6020,
  [6116] = 215,
  [6117] = 216,
  [6118] = 289,
  [6119] = 217,
  [6120] = 197,
  [6121] = 188,
  [6122] = 6122,
  [6123] = 183,
  [6124] = 195,
  [6125] = 5813,
  [6126] = 196,
  [6127] = 200,
  [6128] = 201,
  [6129] = 6122,
  [6130] = 213,
  [6131] = 214,
  [6132] = 6122,
  [6133] = 5814,
  [6134] = 6122,
  [6135] = 218,
  [6136] = 6122,
  [6137] = 6122,
  [6138] = 6122,
  [6139] = 6122,
  [6140] = 6122,
  [6141] = 219,
  [6142] = 6122,
  [6143] = 6122,
  [6144] = 220,
  [6145] = 6122,
  [6146] = 202,
  [6147] = 6122,
  [6148] = 6122,
  [6149] = 5815,
  [6150] = 6122,
  [6151] = 6122,
  [6152] = 6122,
  [6153] = 205,
  [6154] = 6122,
  [6155] = 206,
  [6156] = 5895,
  [6157] = 273,
  [6158] = 254,
  [6159] = 853,
  [6160] = 257,
  [6161] = 6161,
  [6162] = 225,
  [6163] = 258,
  [6164] = 248,
  [6165] = 6165,
  [6166] = 6161,
  [6167] = 280,
  [6168] = 226,
  [6169] = 6169,
  [6170] = 6165,
  [6171] = 283,
  [6172] = 255,
  [6173] = 234,
  [6174] = 6174,
  [6175] = 405,
  [6176] = 6161,
  [6177] = 6161,
  [6178] = 6161,
  [6179] = 223,
  [6180] = 6165,
  [6181] = 6165,
  [6182] = 262,
  [6183] = 6165,
  [6184] = 275,
  [6185] = 227,
  [6186] = 233,
  [6187] = 6161,
  [6188] = 6188,
  [6189] = 261,
  [6190] = 397,
  [6191] = 228,
  [6192] = 229,
  [6193] = 6165,
  [6194] = 230,
  [6195] = 231,
  [6196] = 6196,
  [6197] = 276,
  [6198] = 248,
  [6199] = 271,
  [6200] = 232,
  [6201] = 235,
  [6202] = 6161,
  [6203] = 221,
  [6204] = 6165,
  [6205] = 236,
  [6206] = 6161,
  [6207] = 237,
  [6208] = 6165,
  [6209] = 4933,
  [6210] = 225,
  [6211] = 853,
  [6212] = 226,
  [6213] = 4916,
  [6214] = 4918,
  [6215] = 6215,
  [6216] = 4913,
  [6217] = 6215,
  [6218] = 6165,
  [6219] = 6219,
  [6220] = 263,
  [6221] = 269,
  [6222] = 280,
  [6223] = 5455,
  [6224] = 6161,
  [6225] = 283,
  [6226] = 6226,
  [6227] = 228,
  [6228] = 238,
  [6229] = 229,
  [6230] = 6230,
  [6231] = 273,
  [6232] = 223,
  [6233] = 413,
  [6234] = 224,
  [6235] = 6169,
  [6236] = 227,
  [6237] = 222,
  [6238] = 247,
  [6239] = 230,
  [6240] = 222,
  [6241] = 6161,
  [6242] = 6174,
  [6243] = 231,
  [6244] = 6165,
  [6245] = 6165,
  [6246] = 249,
  [6247] = 255,
  [6248] = 252,
  [6249] = 277,
  [6250] = 250,
  [6251] = 232,
  [6252] = 251,
  [6253] = 253,
  [6254] = 6254,
  [6255] = 396,
  [6256] = 268,
  [6257] = 239,
  [6258] = 788,
  [6259] = 6259,
  [6260] = 240,
  [6261] = 233,
  [6262] = 411,
  [6263] = 224,
  [6264] = 5854,
  [6265] = 408,
  [6266] = 161,
  [6267] = 270,
  [6268] = 6161,
  [6269] = 6165,
  [6270] = 162,
  [6271] = 285,
  [6272] = 404,
  [6273] = 6161,
  [6274] = 6165,
  [6275] = 6226,
  [6276] = 6161,
  [6277] = 6165,
  [6278] = 235,
  [6279] = 6230,
  [6280] = 6161,
  [6281] = 6165,
  [6282] = 399,
  [6283] = 221,
  [6284] = 267,
  [6285] = 269,
  [6286] = 6161,
  [6287] = 282,
  [6288] = 236,
  [6289] = 237,
  [6290] = 238,
  [6291] = 239,
  [6292] = 409,
  [6293] = 6165,
  [6294] = 234,
  [6295] = 240,
  [6296] = 241,
  [6297] = 252,
  [6298] = 6161,
  [6299] = 242,
  [6300] = 6226,
  [6301] = 6230,
  [6302] = 243,
  [6303] = 6161,
  [6304] = 244,
  [6305] = 245,
  [6306] = 246,
  [6307] = 241,
  [6308] = 242,
  [6309] = 243,
  [6310] = 244,
  [6311] = 245,
  [6312] = 246,
  [6313] = 407,
  [6314] = 259,
  [6315] = 406,
  [6316] = 260,
  [6317] = 247,
  [6318] = 253,
  [6319] = 6319,
  [6320] = 415,
  [6321] = 285,
  [6322] = 249,
  [6323] = 6161,
  [6324] = 410,
  [6325] = 6254,
  [6326] = 270,
  [6327] = 6165,
  [6328] = 402,
  [6329] = 250,
  [6330] = 6165,
  [6331] = 6161,
  [6332] = 401,
  [6333] = 6219,
  [6334] = 416,
  [6335] = 264,
  [6336] = 412,
  [6337] = 265,
  [6338] = 266,
  [6339] = 400,
  [6340] = 256,
  [6341] = 6165,
  [6342] = 257,
  [6343] = 267,
  [6344] = 271,
  [6345] = 170,
  [6346] = 6319,
  [6347] = 6254,
  [6348] = 272,
  [6349] = 259,
  [6350] = 274,
  [6351] = 275,
  [6352] = 276,
  [6353] = 258,
  [6354] = 277,
  [6355] = 278,
  [6356] = 278,
  [6357] = 282,
  [6358] = 6188,
  [6359] = 251,
  [6360] = 403,
  [6361] = 6259,
  [6362] = 260,
  [6363] = 6319,
  [6364] = 264,
  [6365] = 6161,
  [6366] = 265,
  [6367] = 171,
  [6368] = 281,
  [6369] = 256,
  [6370] = 6165,
  [6371] = 6196,
  [6372] = 284,
  [6373] = 281,
  [6374] = 6161,
  [6375] = 272,
  [6376] = 6161,
  [6377] = 6165,
  [6378] = 6219,
  [6379] = 284,
  [6380] = 6161,
  [6381] = 274,
  [6382] = 6165,
  [6383] = 6165,
  [6384] = 6219,
  [6385] = 262,
  [6386] = 254,
  [6387] = 261,
  [6388] = 263,
  [6389] = 266,
  [6390] = 414,
  [6391] = 268,
  [6392] = 287,
  [6393] = 6393,
  [6394] = 6393,
  [6395] = 6395,
  [6396] = 6396,
  [6397] = 6397,
  [6398] = 6398,
  [6399] = 6399,
  [6400] = 6400,
  [6401] = 6401,
  [6402] = 286,
  [6403] = 288,
  [6404] = 291,
  [6405] = 6405,
  [6406] = 6406,
  [6407] = 290,
  [6408] = 4933,
  [6409] = 4916,
  [6410] = 4918,
  [6411] = 4913,
  [6412] = 921,
  [6413] = 887,
  [6414] = 897,
  [6415] = 899,
  [6416] = 908,
  [6417] = 892,
  [6418] = 896,
  [6419] = 872,
  [6420] = 873,
  [6421] = 289,
  [6422] = 918,
  [6423] = 875,
  [6424] = 879,
  [6425] = 882,
  [6426] = 910,
  [6427] = 917,
  [6428] = 6428,
  [6429] = 920,
  [6430] = 922,
  [6431] = 290,
  [6432] = 876,
  [6433] = 5561,
  [6434] = 881,
  [6435] = 884,
  [6436] = 6436,
  [6437] = 909,
  [6438] = 911,
  [6439] = 912,
  [6440] = 870,
  [6441] = 871,
  [6442] = 878,
  [6443] = 6196,
  [6444] = 6169,
  [6445] = 6174,
  [6446] = 883,
  [6447] = 6188,
  [6448] = 6259,
  [6449] = 6215,
  [6450] = 885,
  [6451] = 787,
  [6452] = 291,
  [6453] = 827,
  [6454] = 889,
  [6455] = 430,
  [6456] = 891,
  [6457] = 5704,
  [6458] = 170,
  [6459] = 171,
  [6460] = 289,
  [6461] = 6405,
  [6462] = 6399,
  [6463] = 6405,
  [6464] = 6399,
  [6465] = 6393,
  [6466] = 874,
  [6467] = 6436,
  [6468] = 6428,
  [6469] = 6400,
  [6470] = 6395,
  [6471] = 6471,
  [6472] = 6396,
  [6473] = 6397,
  [6474] = 288,
  [6475] = 287,
  [6476] = 6476,
  [6477] = 6401,
  [6478] = 6478,
  [6479] = 6479,
  [6480] = 286,
  [6481] = 6481,
  [6482] = 6482,
  [6483] = 6483,
  [6484] = 6484,
  [6485] = 6485,
  [6486] = 6486,
  [6487] = 6484,
  [6488] = 6488,
  [6489] = 6489,
  [6490] = 6488,
  [6491] = 6491,
  [6492] = 6492,
  [6493] = 6493,
  [6494] = 6482,
  [6495] = 6495,
  [6496] = 6489,
  [6497] = 6491,
  [6498] = 6498,
  [6499] = 6492,
  [6500] = 6493,
  [6501] = 6498,
  [6502] = 6485,
  [6503] = 6503,
  [6504] = 6428,
  [6505] = 6436,
  [6506] = 6400,
  [6507] = 6401,
  [6508] = 6395,
  [6509] = 6397,
  [6510] = 6396,
  [6511] = 6511,
  [6512] = 6512,
  [6513] = 6486,
  [6514] = 6514,
  [6515] = 6515,
  [6516] = 601,
  [6517] = 6503,
  [6518] = 6481,
  [6519] = 6511,
  [6520] = 6512,
  [6521] = 6482,
  [6522] = 6484,
  [6523] = 6486,
  [6524] = 6524,
  [6525] = 6525,
  [6526] = 6514,
  [6527] = 6515,
  [6528] = 6483,
  [6529] = 6529,
  [6530] = 6530,
  [6531] = 6531,
  [6532] = 6532,
  [6533] = 6524,
  [6534] = 6534,
  [6535] = 6535,
  [6536] = 6536,
  [6537] = 6537,
  [6538] = 6538,
  [6539] = 6539,
  [6540] = 6540,
  [6541] = 6541,
  [6542] = 6542,
  [6543] = 6543,
  [6544] = 187,
  [6545] = 6545,
  [6546] = 6546,
  [6547] = 6547,
  [6548] = 6548,
  [6549] = 6549,
  [6550] = 435,
  [6551] = 6495,
  [6552] = 6552,
  [6553] = 6553,
  [6554] = 6554,
  [6555] = 6555,
  [6556] = 6556,
  [6557] = 6428,
  [6558] = 6436,
  [6559] = 6400,
  [6560] = 6401,
  [6561] = 6395,
  [6562] = 6397,
  [6563] = 6396,
  [6564] = 6564,
  [6565] = 6525,
  [6566] = 6566,
  [6567] = 6567,
  [6568] = 6568,
  [6569] = 6569,
  [6570] = 6570,
  [6571] = 6571,
  [6572] = 6572,
  [6573] = 6406,
  [6574] = 6574,
  [6575] = 6568,
  [6576] = 6543,
  [6577] = 6569,
  [6578] = 6546,
  [6579] = 6555,
  [6580] = 6530,
  [6581] = 6545,
  [6582] = 6529,
  [6583] = 6552,
  [6584] = 6554,
  [6585] = 6549,
  [6586] = 6479,
  [6587] = 6478,
  [6588] = 6588,
  [6589] = 6471,
  [6590] = 6590,
  [6591] = 6591,
  [6592] = 6592,
  [6593] = 6593,
  [6594] = 6574,
  [6595] = 6593,
  [6596] = 6591,
  [6597] = 6536,
  [6598] = 6547,
  [6599] = 6531,
  [6600] = 6553,
  [6601] = 6534,
  [6602] = 87,
  [6603] = 6556,
  [6604] = 6604,
  [6605] = 6535,
  [6606] = 6537,
  [6607] = 6538,
  [6608] = 6539,
  [6609] = 6541,
  [6610] = 6548,
  [6611] = 6572,
  [6612] = 2656,
  [6613] = 6398,
  [6614] = 6590,
  [6615] = 6540,
  [6616] = 6616,
  [6617] = 6588,
  [6618] = 6593,
  [6619] = 6574,
  [6620] = 6591,
  [6621] = 6604,
  [6622] = 6590,
  [6623] = 6604,
  [6624] = 86,
  [6625] = 6549,
  [6626] = 88,
  [6627] = 6588,
  [6628] = 432,
  [6629] = 6592,
  [6630] = 86,
  [6631] = 6428,
  [6632] = 6632,
  [6633] = 6633,
  [6634] = 6634,
  [6635] = 431,
  [6636] = 6570,
  [6637] = 88,
  [6638] = 6400,
  [6639] = 6395,
  [6640] = 6396,
  [6641] = 6397,
  [6642] = 6401,
  [6643] = 6436,
  [6644] = 87,
  [6645] = 6428,
  [6646] = 6646,
  [6647] = 2869,
  [6648] = 6648,
  [6649] = 6632,
  [6650] = 431,
  [6651] = 432,
  [6652] = 2784,
  [6653] = 6542,
  [6654] = 6397,
  [6655] = 6655,
  [6656] = 6401,
  [6657] = 6567,
  [6658] = 6436,
  [6659] = 6400,
  [6660] = 6660,
  [6661] = 6661,
  [6662] = 6662,
  [6663] = 89,
  [6664] = 6664,
  [6665] = 6662,
  [6666] = 6566,
  [6667] = 6667,
  [6668] = 6396,
  [6669] = 6669,
  [6670] = 6616,
  [6671] = 6671,
  [6672] = 6672,
  [6673] = 6395,
  [6674] = 6667,
  [6675] = 6675,
  [6676] = 6676,
  [6677] = 6677,
  [6678] = 6678,
  [6679] = 6679,
  [6680] = 6680,
  [6681] = 6681,
  [6682] = 6682,
  [6683] = 6683,
  [6684] = 6684,
  [6685] = 6685,
  [6686] = 6686,
  [6687] = 601,
  [6688] = 6688,
  [6689] = 606,
  [6690] = 6690,
  [6691] = 6691,
  [6692] = 6692,
  [6693] = 6693,
  [6694] = 6694,
  [6695] = 6632,
  [6696] = 6696,
  [6697] = 6691,
  [6698] = 6698,
  [6699] = 6699,
  [6700] = 6691,
  [6701] = 89,
  [6702] = 6702,
  [6703] = 6703,
  [6704] = 6704,
  [6705] = 6705,
  [6706] = 6706,
  [6707] = 6707,
  [6708] = 6707,
  [6709] = 6709,
  [6710] = 853,
  [6711] = 6711,
  [6712] = 6712,
  [6713] = 6713,
  [6714] = 6714,
  [6715] = 601,
  [6716] = 606,
  [6717] = 6632,
  [6718] = 6703,
  [6719] = 6719,
  [6720] = 6720,
  [6721] = 6720,
  [6722] = 6712,
  [6723] = 6723,
  [6724] = 6724,
  [6725] = 6725,
  [6726] = 6726,
  [6727] = 6727,
  [6728] = 6728,
  [6729] = 6729,
  [6730] = 6730,
  [6731] = 6731,
  [6732] = 6714,
  [6733] = 6733,
  [6734] = 6734,
  [6735] = 6711,
  [6736] = 6719,
  [6737] = 6713,
  [6738] = 6709,
  [6739] = 6739,
  [6740] = 6704,
  [6741] = 853,
  [6742] = 6739,
  [6743] = 6743,
  [6744] = 6724,
  [6745] = 6745,
  [6746] = 6705,
  [6747] = 6706,
  [6748] = 6748,
  [6749] = 6749,
  [6750] = 6750,
  [6751] = 6751,
  [6752] = 6683,
  [6753] = 6753,
  [6754] = 6754,
  [6755] = 6755,
  [6756] = 6726,
  [6757] = 6757,
  [6758] = 6696,
  [6759] = 6759,
  [6760] = 6760,
  [6761] = 6761,
  [6762] = 6762,
  [6763] = 6763,
  [6764] = 6728,
  [6765] = 6765,
  [6766] = 6766,
  [6767] = 6632,
  [6768] = 6768,
  [6769] = 136,
  [6770] = 6770,
  [6771] = 6771,
  [6772] = 6692,
  [6773] = 6773,
  [6774] = 6774,
  [6775] = 6725,
  [6776] = 6776,
  [6777] = 6777,
  [6778] = 6778,
  [6779] = 6779,
  [6780] = 6780,
  [6781] = 6781,
  [6782] = 6782,
  [6783] = 6783,
  [6784] = 6784,
  [6785] = 6785,
  [6786] = 6564,
  [6787] = 6682,
  [6788] = 6788,
  [6789] = 6789,
  [6790] = 6790,
  [6791] = 6791,
  [6792] = 6792,
  [6793] = 6793,
  [6794] = 6794,
  [6795] = 6795,
  [6796] = 6688,
  [6797] = 6797,
  [6798] = 6675,
  [6799] = 6799,
  [6800] = 6686,
  [6801] = 6801,
  [6802] = 6802,
  [6803] = 6803,
  [6804] = 6571,
  [6805] = 6805,
  [6806] = 6806,
  [6807] = 6807,
  [6808] = 6808,
  [6809] = 6690,
  [6810] = 6810,
  [6811] = 6759,
  [6812] = 6812,
  [6813] = 6813,
  [6814] = 6814,
  [6815] = 6815,
  [6816] = 6731,
  [6817] = 6817,
  [6818] = 6761,
  [6819] = 6762,
  [6820] = 6768,
  [6821] = 6749,
  [6822] = 6822,
  [6823] = 6823,
  [6824] = 6532,
  [6825] = 6825,
  [6826] = 6743,
  [6827] = 6827,
  [6828] = 6727,
  [6829] = 6810,
  [6830] = 6830,
  [6831] = 6831,
  [6832] = 6832,
  [6833] = 6745,
  [6834] = 6723,
  [6835] = 6729,
  [6836] = 6750,
  [6837] = 6734,
  [6838] = 6838,
  [6839] = 6748,
  [6840] = 6779,
  [6841] = 6841,
  [6842] = 6842,
  [6843] = 6842,
  [6844] = 6813,
  [6845] = 6788,
  [6846] = 6827,
  [6847] = 6847,
  [6848] = 6763,
  [6849] = 6841,
  [6850] = 6850,
  [6851] = 6851,
  [6852] = 6852,
  [6853] = 6853,
  [6854] = 6802,
  [6855] = 6842,
  [6856] = 6842,
  [6857] = 6857,
  [6858] = 6807,
  [6859] = 6842,
  [6860] = 6751,
  [6861] = 6842,
  [6862] = 6822,
  [6863] = 6863,
  [6864] = 6801,
  [6865] = 6842,
  [6866] = 6805,
  [6867] = 6814,
  [6868] = 6571,
  [6869] = 6812,
  [6870] = 6532,
  [6871] = 6817,
  [6872] = 6754,
  [6873] = 6873,
  [6874] = 6770,
  [6875] = 6760,
  [6876] = 6766,
  [6877] = 6832,
  [6878] = 6850,
  [6879] = 6879,
  [6880] = 6880,
  [6881] = 6842,
  [6882] = 6882,
  [6883] = 6882,
  [6884] = 6842,
  [6885] = 136,
  [6886] = 6886,
  [6887] = 6847,
  [6888] = 6777,
  [6889] = 601,
  [6890] = 6783,
  [6891] = 6564,
  [6892] = 6794,
  [6893] = 6886,
  [6894] = 6842,
  [6895] = 6825,
  [6896] = 6873,
  [6897] = 6842,
  [6898] = 6765,
  [6899] = 6863,
  [6900] = 6823,
  [6901] = 6774,
  [6902] = 6902,
  [6903] = 6733,
  [6904] = 6776,
  [6905] = 6795,
  [6906] = 6808,
  [6907] = 6797,
  [6908] = 6815,
  [6909] = 6909,
  [6910] = 6880,
  [6911] = 6632,
  [6912] = 6912,
  [6913] = 6847,
  [6914] = 6799,
  [6915] = 6803,
  [6916] = 6755,
  [6917] = 6917,
  [6918] = 6917,
  [6919] = 6842,
  [6920] = 6842,
  [6921] = 6842,
  [6922] = 6879,
  [6923] = 6923,
  [6924] = 6924,
  [6925] = 6842,
  [6926] = 6842,
  [6927] = 6842,
  [6928] = 6780,
  [6929] = 6924,
  [6930] = 6930,
  [6931] = 6830,
  [6932] = 6842,
  [6933] = 6842,
  [6934] = 6757,
  [6935] = 90,
  [6936] = 6842,
  [6937] = 6937,
  [6938] = 6773,
  [6939] = 6939,
  [6940] = 6940,
  [6941] = 6941,
  [6942] = 6942,
  [6943] = 6943,
  [6944] = 6944,
  [6945] = 149,
  [6946] = 6946,
  [6947] = 6947,
  [6948] = 6948,
  [6949] = 161,
  [6950] = 162,
  [6951] = 6941,
  [6952] = 6943,
  [6953] = 6953,
  [6954] = 6954,
  [6955] = 6954,
  [6956] = 6944,
  [6957] = 6957,
  [6958] = 6958,
  [6959] = 6959,
  [6960] = 6960,
  [6961] = 6961,
  [6962] = 6962,
  [6963] = 6963,
  [6964] = 6947,
  [6965] = 6954,
  [6966] = 6943,
  [6967] = 6967,
  [6968] = 6968,
  [6969] = 6944,
  [6970] = 6947,
  [6971] = 6971,
  [6972] = 6959,
  [6973] = 6967,
  [6974] = 6961,
  [6975] = 6975,
  [6976] = 6960,
  [6977] = 6782,
  [6978] = 6784,
  [6979] = 6789,
  [6980] = 6980,
  [6981] = 6790,
  [6982] = 6791,
  [6983] = 6792,
  [6984] = 6793,
  [6985] = 170,
  [6986] = 171,
  [6987] = 6942,
  [6988] = 6832,
  [6989] = 431,
  [6990] = 6946,
  [6991] = 432,
  [6992] = 6992,
  [6993] = 6971,
  [6994] = 6994,
  [6995] = 6781,
  [6996] = 6996,
  [6997] = 6753,
  [6998] = 6948,
  [6999] = 6778,
  [7000] = 153,
  [7001] = 154,
  [7002] = 155,
  [7003] = 156,
  [7004] = 152,
  [7005] = 158,
  [7006] = 157,
  [7007] = 159,
  [7008] = 150,
  [7009] = 165,
  [7010] = 163,
  [7011] = 164,
  [7012] = 160,
  [7013] = 6957,
  [7014] = 7014,
  [7015] = 7015,
  [7016] = 6968,
  [7017] = 6831,
  [7018] = 6958,
  [7019] = 6771,
  [7020] = 7014,
  [7021] = 7021,
  [7022] = 6953,
  [7023] = 151,
  [7024] = 7014,
  [7025] = 6963,
  [7026] = 6962,
  [7027] = 6838,
  [7028] = 7028,
  [7029] = 6975,
  [7030] = 7030,
  [7031] = 168,
  [7032] = 169,
  [7033] = 7028,
  [7034] = 601,
  [7035] = 7035,
  [7036] = 7036,
  [7037] = 7037,
  [7038] = 7038,
  [7039] = 180,
  [7040] = 7015,
  [7041] = 166,
  [7042] = 7021,
  [7043] = 172,
  [7044] = 7037,
  [7045] = 176,
  [7046] = 7046,
  [7047] = 179,
  [7048] = 7048,
  [7049] = 7035,
  [7050] = 6992,
  [7051] = 7051,
  [7052] = 7052,
  [7053] = 7048,
  [7054] = 174,
  [7055] = 175,
  [7056] = 6785,
  [7057] = 7035,
  [7058] = 7035,
  [7059] = 7059,
  [7060] = 6994,
  [7061] = 177,
  [7062] = 7062,
  [7063] = 178,
  [7064] = 7064,
  [7065] = 183,
  [7066] = 218,
  [7067] = 7067,
  [7068] = 7067,
  [7069] = 203,
  [7070] = 589,
  [7071] = 204,
  [7072] = 219,
  [7073] = 220,
  [7074] = 208,
  [7075] = 209,
  [7076] = 210,
  [7077] = 211,
  [7078] = 212,
  [7079] = 194,
  [7080] = 7080,
  [7081] = 192,
  [7082] = 7059,
  [7083] = 7083,
  [7084] = 7052,
  [7085] = 7062,
  [7086] = 215,
  [7087] = 216,
  [7088] = 6940,
  [7089] = 7089,
  [7090] = 181,
  [7091] = 7091,
  [7092] = 7092,
  [7093] = 185,
  [7094] = 186,
  [7095] = 7095,
  [7096] = 7064,
  [7097] = 597,
  [7098] = 7098,
  [7099] = 7099,
  [7100] = 7038,
  [7101] = 7101,
  [7102] = 7102,
  [7103] = 217,
  [7104] = 197,
  [7105] = 6939,
  [7106] = 606,
  [7107] = 7098,
  [7108] = 213,
  [7109] = 214,
  [7110] = 7110,
  [7111] = 7091,
  [7112] = 195,
  [7113] = 196,
  [7114] = 6992,
  [7115] = 200,
  [7116] = 201,
  [7117] = 7021,
  [7118] = 202,
  [7119] = 6994,
  [7120] = 198,
  [7121] = 7015,
  [7122] = 6975,
  [7123] = 7123,
  [7124] = 199,
  [7125] = 205,
  [7126] = 7098,
  [7127] = 7095,
  [7128] = 206,
  [7129] = 207,
  [7130] = 7036,
  [7131] = 7123,
  [7132] = 7067,
  [7133] = 7028,
  [7134] = 7035,
  [7135] = 7091,
  [7136] = 7048,
  [7137] = 184,
  [7138] = 7138,
  [7139] = 188,
  [7140] = 7035,
  [7141] = 189,
  [7142] = 190,
  [7143] = 191,
  [7144] = 193,
  [7145] = 7095,
  [7146] = 7110,
  [7147] = 7147,
  [7148] = 238,
  [7149] = 259,
  [7150] = 7099,
  [7151] = 260,
  [7152] = 86,
  [7153] = 7101,
  [7154] = 225,
  [7155] = 136,
  [7156] = 7156,
  [7157] = 7157,
  [7158] = 853,
  [7159] = 7159,
  [7160] = 7160,
  [7161] = 264,
  [7162] = 265,
  [7163] = 266,
  [7164] = 7164,
  [7165] = 589,
  [7166] = 88,
  [7167] = 267,
  [7168] = 7168,
  [7169] = 7169,
  [7170] = 271,
  [7171] = 272,
  [7172] = 274,
  [7173] = 226,
  [7174] = 7174,
  [7175] = 275,
  [7176] = 276,
  [7177] = 229,
  [7178] = 277,
  [7179] = 230,
  [7180] = 7092,
  [7181] = 7102,
  [7182] = 278,
  [7183] = 281,
  [7184] = 231,
  [7185] = 249,
  [7186] = 250,
  [7187] = 251,
  [7188] = 284,
  [7189] = 254,
  [7190] = 221,
  [7191] = 7174,
  [7192] = 7192,
  [7193] = 7193,
  [7194] = 236,
  [7195] = 7193,
  [7196] = 255,
  [7197] = 234,
  [7198] = 7198,
  [7199] = 237,
  [7200] = 262,
  [7201] = 7036,
  [7202] = 7164,
  [7203] = 7080,
  [7204] = 7164,
  [7205] = 263,
  [7206] = 269,
  [7207] = 280,
  [7208] = 283,
  [7209] = 239,
  [7210] = 273,
  [7211] = 7192,
  [7212] = 227,
  [7213] = 240,
  [7214] = 233,
  [7215] = 241,
  [7216] = 235,
  [7217] = 242,
  [7218] = 243,
  [7219] = 597,
  [7220] = 252,
  [7221] = 6992,
  [7222] = 7021,
  [7223] = 6994,
  [7224] = 7015,
  [7225] = 6975,
  [7226] = 253,
  [7227] = 285,
  [7228] = 244,
  [7229] = 431,
  [7230] = 256,
  [7231] = 7198,
  [7232] = 432,
  [7233] = 257,
  [7234] = 258,
  [7235] = 245,
  [7236] = 87,
  [7237] = 246,
  [7238] = 7174,
  [7239] = 7239,
  [7240] = 7240,
  [7241] = 7192,
  [7242] = 232,
  [7243] = 261,
  [7244] = 228,
  [7245] = 248,
  [7246] = 7083,
  [7247] = 7193,
  [7248] = 223,
  [7249] = 224,
  [7250] = 247,
  [7251] = 268,
  [7252] = 7198,
  [7253] = 270,
  [7254] = 282,
  [7255] = 222,
  [7256] = 7138,
  [7257] = 7257,
  [7258] = 7258,
  [7259] = 7259,
  [7260] = 827,
  [7261] = 889,
  [7262] = 885,
  [7263] = 7263,
  [7264] = 289,
  [7265] = 7265,
  [7266] = 7266,
  [7267] = 7267,
  [7268] = 7268,
  [7269] = 7269,
  [7270] = 7270,
  [7271] = 136,
  [7272] = 891,
  [7273] = 7169,
  [7274] = 7102,
  [7275] = 7275,
  [7276] = 7276,
  [7277] = 7257,
  [7278] = 7159,
  [7279] = 7258,
  [7280] = 7280,
  [7281] = 7101,
  [7282] = 7282,
  [7283] = 7138,
  [7284] = 291,
  [7285] = 7083,
  [7286] = 7092,
  [7287] = 7287,
  [7288] = 7099,
  [7289] = 7080,
  [7290] = 7290,
  [7291] = 7291,
  [7292] = 7292,
  [7293] = 7287,
  [7294] = 7294,
  [7295] = 7290,
  [7296] = 7292,
  [7297] = 7265,
  [7298] = 7265,
  [7299] = 7102,
  [7300] = 7157,
  [7301] = 7263,
  [7302] = 7302,
  [7303] = 7036,
  [7304] = 7304,
  [7305] = 7305,
  [7306] = 787,
  [7307] = 7160,
  [7308] = 7308,
  [7309] = 7291,
  [7310] = 7310,
  [7311] = 7156,
  [7312] = 7239,
  [7313] = 7313,
  [7314] = 7257,
  [7315] = 7258,
  [7316] = 7316,
  [7317] = 7240,
  [7318] = 7168,
  [7319] = 7319,
  [7320] = 7291,
  [7321] = 7292,
  [7322] = 7322,
  [7323] = 7290,
  [7324] = 290,
  [7325] = 7275,
  [7326] = 7326,
  [7327] = 7327,
  [7328] = 7328,
  [7329] = 7329,
  [7330] = 7330,
  [7331] = 7302,
  [7332] = 7332,
  [7333] = 7333,
  [7334] = 7334,
  [7335] = 7335,
  [7336] = 7316,
  [7337] = 7337,
  [7338] = 7338,
  [7339] = 7339,
  [7340] = 7340,
  [7341] = 7341,
  [7342] = 7342,
  [7343] = 7319,
  [7344] = 7313,
  [7345] = 7345,
  [7346] = 7346,
  [7347] = 7347,
  [7348] = 7348,
  [7349] = 7349,
  [7350] = 7350,
  [7351] = 7351,
  [7352] = 7345,
  [7353] = 7353,
  [7354] = 7354,
  [7355] = 7102,
  [7356] = 827,
  [7357] = 889,
  [7358] = 6980,
  [7359] = 7326,
  [7360] = 891,
  [7361] = 7361,
  [7362] = 7362,
  [7363] = 7333,
  [7364] = 7327,
  [7365] = 7365,
  [7366] = 7280,
  [7367] = 7367,
  [7368] = 7334,
  [7369] = 6992,
  [7370] = 7335,
  [7371] = 7101,
  [7372] = 7338,
  [7373] = 7138,
  [7374] = 7266,
  [7375] = 7083,
  [7376] = 7092,
  [7377] = 7327,
  [7378] = 7099,
  [7379] = 7379,
  [7380] = 7080,
  [7381] = 7381,
  [7382] = 7382,
  [7383] = 7346,
  [7384] = 7337,
  [7385] = 7385,
  [7386] = 7386,
  [7387] = 7345,
  [7388] = 7021,
  [7389] = 7337,
  [7390] = 7346,
  [7391] = 7391,
  [7392] = 7267,
  [7393] = 7347,
  [7394] = 7338,
  [7395] = 7338,
  [7396] = 7396,
  [7397] = 7397,
  [7398] = 7328,
  [7399] = 7329,
  [7400] = 7294,
  [7401] = 6994,
  [7402] = 7402,
  [7403] = 7403,
  [7404] = 7404,
  [7405] = 606,
  [7406] = 89,
  [7407] = 7310,
  [7408] = 7326,
  [7409] = 7268,
  [7410] = 7410,
  [7411] = 7347,
  [7412] = 7412,
  [7413] = 7304,
  [7414] = 7333,
  [7415] = 7259,
  [7416] = 7334,
  [7417] = 7335,
  [7418] = 7367,
  [7419] = 7015,
  [7420] = 7329,
  [7421] = 7361,
  [7422] = 7327,
  [7423] = 7327,
  [7424] = 7348,
  [7425] = 7425,
  [7426] = 7327,
  [7427] = 7337,
  [7428] = 7326,
  [7429] = 885,
  [7430] = 7430,
  [7431] = 7431,
  [7432] = 7432,
  [7433] = 7337,
  [7434] = 7348,
  [7435] = 7435,
  [7436] = 7349,
  [7437] = 7437,
  [7438] = 7339,
  [7439] = 7342,
  [7440] = 6975,
  [7441] = 287,
  [7442] = 7442,
  [7443] = 7338,
  [7444] = 6996,
  [7445] = 7349,
  [7446] = 7342,
  [7447] = 7305,
  [7448] = 7448,
  [7449] = 7337,
  [7450] = 7326,
  [7451] = 7451,
  [7452] = 7322,
  [7453] = 7326,
  [7454] = 7367,
  [7455] = 7455,
  [7456] = 7456,
  [7457] = 7276,
  [7458] = 7338,
  [7459] = 7282,
  [7460] = 7361,
  [7461] = 7461,
  [7462] = 7327,
  [7463] = 787,
  [7464] = 7464,
  [7465] = 7465,
  [7466] = 7337,
  [7467] = 7467,
  [7468] = 7338,
  [7469] = 7337,
  [7470] = 7430,
  [7471] = 7402,
  [7472] = 7472,
  [7473] = 7326,
  [7474] = 288,
  [7475] = 7475,
  [7476] = 7339,
  [7477] = 7477,
  [7478] = 7326,
  [7479] = 7404,
  [7480] = 7480,
  [7481] = 7328,
  [7482] = 7482,
  [7483] = 286,
  [7484] = 7484,
  [7485] = 7485,
  [7486] = 7269,
  [7487] = 7487,
  [7488] = 7327,
  [7489] = 6832,
  [7490] = 7270,
  [7491] = 7338,
  [7492] = 7492,
  [7493] = 7493,
  [7494] = 7316,
  [7495] = 7410,
  [7496] = 7350,
  [7497] = 7386,
  [7498] = 7498,
  [7499] = 7425,
  [7500] = 7500,
  [7501] = 7270,
  [7502] = 7502,
  [7503] = 7351,
  [7504] = 7504,
  [7505] = 7305,
  [7506] = 7465,
  [7507] = 7475,
  [7508] = 7435,
  [7509] = 7509,
  [7510] = 7412,
  [7511] = 7259,
  [7512] = 7512,
  [7513] = 7046,
  [7514] = 7514,
  [7515] = 7276,
  [7516] = 7516,
  [7517] = 7431,
  [7518] = 7518,
  [7519] = 7304,
  [7520] = 7520,
  [7521] = 7365,
  [7522] = 7396,
  [7523] = 7147,
  [7524] = 7294,
  [7525] = 7385,
  [7526] = 7403,
  [7527] = 853,
  [7528] = 7528,
  [7529] = 7529,
  [7530] = 7530,
  [7531] = 7379,
  [7532] = 7442,
  [7533] = 7482,
  [7534] = 7472,
  [7535] = 7464,
  [7536] = 7498,
  [7537] = 7332,
  [7538] = 7051,
  [7539] = 7330,
  [7540] = 7030,
  [7541] = 7437,
  [7542] = 7542,
  [7543] = 7381,
  [7544] = 7353,
  [7545] = 7500,
  [7546] = 7546,
  [7547] = 7448,
  [7548] = 6975,
  [7549] = 7549,
  [7550] = 7477,
  [7551] = 7551,
  [7552] = 7552,
  [7553] = 7542,
  [7554] = 7451,
  [7555] = 7502,
  [7556] = 7382,
  [7557] = 7549,
  [7558] = 7549,
  [7559] = 7492,
  [7560] = 7354,
  [7561] = 7516,
  [7562] = 7493,
  [7563] = 7563,
  [7564] = 6992,
  [7565] = 7391,
  [7566] = 7432,
  [7567] = 7461,
  [7568] = 7089,
  [7569] = 7492,
  [7570] = 7546,
  [7571] = 7477,
  [7572] = 7572,
  [7573] = 7021,
  [7574] = 7574,
  [7575] = 7485,
  [7576] = 7546,
  [7577] = 7516,
  [7578] = 7340,
  [7579] = 6994,
  [7580] = 7551,
  [7581] = 7581,
  [7582] = 7493,
  [7583] = 7583,
  [7584] = 7584,
  [7585] = 7484,
  [7586] = 7442,
  [7587] = 7574,
  [7588] = 7036,
  [7589] = 7487,
  [7590] = 7528,
  [7591] = 7397,
  [7592] = 7563,
  [7593] = 7572,
  [7594] = 7500,
  [7595] = 7572,
  [7596] = 7015,
  [7597] = 7451,
  [7598] = 7598,
  [7599] = 7552,
  [7600] = 7467,
  [7601] = 7601,
  [7602] = 7574,
  [7603] = 7529,
  [7604] = 7604,
  [7605] = 7605,
  [7606] = 7606,
  [7607] = 7518,
  [7608] = 7608,
  [7609] = 7609,
  [7610] = 7610,
  [7611] = 6971,
  [7612] = 7316,
  [7613] = 7270,
  [7614] = 7614,
  [7615] = 7305,
  [7616] = 7616,
  [7617] = 7617,
  [7618] = 7259,
  [7619] = 7619,
  [7620] = 7620,
  [7621] = 7276,
  [7622] = 7622,
  [7623] = 7623,
  [7624] = 7304,
  [7625] = 7625,
  [7626] = 7294,
  [7627] = 7627,
  [7628] = 7101,
  [7629] = 7629,
  [7630] = 136,
  [7631] = 7631,
  [7632] = 7512,
  [7633] = 7633,
  [7634] = 7634,
  [7635] = 7635,
  [7636] = 7636,
  [7637] = 7637,
  [7638] = 7638,
  [7639] = 7629,
  [7640] = 7138,
  [7641] = 7641,
  [7642] = 7642,
  [7643] = 7038,
  [7644] = 7644,
  [7645] = 7645,
  [7646] = 7646,
  [7647] = 7633,
  [7648] = 7648,
  [7649] = 7649,
  [7650] = 7650,
  [7651] = 7651,
  [7652] = 7083,
  [7653] = 7653,
  [7654] = 7637,
  [7655] = 7655,
  [7656] = 7656,
  [7657] = 7437,
  [7658] = 7658,
  [7659] = 7659,
  [7660] = 7660,
  [7661] = 7661,
  [7662] = 7637,
  [7663] = 7663,
  [7664] = 7645,
  [7665] = 7649,
  [7666] = 7635,
  [7667] = 7633,
  [7668] = 7668,
  [7669] = 7669,
  [7670] = 7670,
  [7671] = 7649,
  [7672] = 7614,
  [7673] = 7670,
  [7674] = 7674,
  [7675] = 7675,
  [7676] = 7676,
  [7677] = 7677,
  [7678] = 7678,
  [7679] = 7679,
  [7680] = 7680,
  [7681] = 7681,
  [7682] = 7682,
  [7683] = 7683,
  [7684] = 7036,
  [7685] = 7685,
  [7686] = 7092,
  [7687] = 7687,
  [7688] = 7688,
  [7689] = 7605,
  [7690] = 7690,
  [7691] = 7451,
  [7692] = 7442,
  [7693] = 7635,
  [7694] = 7651,
  [7695] = 7695,
  [7696] = 7616,
  [7697] = 7695,
  [7698] = 7698,
  [7699] = 7670,
  [7700] = 7687,
  [7701] = 7701,
  [7702] = 7680,
  [7703] = 7703,
  [7704] = 7704,
  [7705] = 7681,
  [7706] = 7682,
  [7707] = 7707,
  [7708] = 7708,
  [7709] = 7709,
  [7710] = 7710,
  [7711] = 7629,
  [7712] = 7608,
  [7713] = 7391,
  [7714] = 7608,
  [7715] = 7520,
  [7716] = 7698,
  [7717] = 7099,
  [7718] = 7698,
  [7719] = 7614,
  [7720] = 7687,
  [7721] = 7688,
  [7722] = 7605,
  [7723] = 7477,
  [7724] = 431,
  [7725] = 7354,
  [7726] = 7726,
  [7727] = 7651,
  [7728] = 7695,
  [7729] = 7688,
  [7730] = 7704,
  [7731] = 7616,
  [7732] = 7732,
  [7733] = 7733,
  [7734] = 7734,
  [7735] = 7735,
  [7736] = 7736,
  [7737] = 432,
  [7738] = 7681,
  [7739] = 7682,
  [7740] = 7680,
  [7741] = 7080,
  [7742] = 7704,
  [7743] = 7743,
  [7744] = 7102,
  [7745] = 7745,
  [7746] = 7746,
  [7747] = 7747,
  [7748] = 7748,
  [7749] = 7749,
  [7750] = 7750,
  [7751] = 7751,
  [7752] = 7701,
  [7753] = 7753,
  [7754] = 7754,
  [7755] = 7755,
  [7756] = 7756,
  [7757] = 7743,
  [7758] = 7642,
  [7759] = 7759,
  [7760] = 7754,
  [7761] = 7761,
  [7762] = 7756,
  [7763] = 7763,
  [7764] = 7764,
  [7765] = 7745,
  [7766] = 7766,
  [7767] = 7749,
  [7768] = 7745,
  [7769] = 7644,
  [7770] = 7754,
  [7771] = 7754,
  [7772] = 7772,
  [7773] = 7773,
  [7774] = 7749,
  [7775] = 7775,
  [7776] = 7776,
  [7777] = 7772,
  [7778] = 7778,
  [7779] = 7746,
  [7780] = 7780,
  [7781] = 7766,
  [7782] = 7745,
  [7783] = 7391,
  [7784] = 7784,
  [7785] = 7641,
  [7786] = 7786,
  [7787] = 7787,
  [7788] = 7710,
  [7789] = 7753,
  [7790] = 7749,
  [7791] = 7766,
  [7792] = 7759,
  [7793] = 7636,
  [7794] = 7766,
  [7795] = 7745,
  [7796] = 7627,
  [7797] = 7756,
  [7798] = 7437,
  [7799] = 7631,
  [7800] = 7776,
  [7801] = 7801,
  [7802] = 7661,
  [7803] = 7803,
  [7804] = 7751,
  [7805] = 7707,
  [7806] = 7746,
  [7807] = 7709,
  [7808] = 7743,
  [7809] = 7634,
  [7810] = 7775,
  [7811] = 7811,
  [7812] = 7812,
  [7813] = 7764,
  [7814] = 7766,
  [7815] = 7815,
  [7816] = 7816,
  [7817] = 7362,
  [7818] = 7763,
  [7819] = 7764,
  [7820] = 7745,
  [7821] = 7766,
  [7822] = 7745,
  [7823] = 7766,
  [7824] = 7745,
  [7825] = 7766,
  [7826] = 7784,
  [7827] = 7745,
  [7828] = 7690,
  [7829] = 7829,
  [7830] = 7830,
  [7831] = 7354,
  [7832] = 7832,
  [7833] = 7750,
  [7834] = 7756,
  [7835] = 7773,
  [7836] = 7745,
  [7837] = 7766,
  [7838] = 7747,
  [7839] = 7801,
  [7840] = 7745,
  [7841] = 7787,
  [7842] = 7638,
  [7843] = 7766,
  [7844] = 7844,
  [7845] = 7745,
  [7846] = 7749,
  [7847] = 7754,
  [7848] = 7775,
  [7849] = 7520,
  [7850] = 7766,
  [7851] = 7743,
  [7852] = 7763,
  [7853] = 7766,
  [7854] = 7743,
  [7855] = 7745,
  [7856] = 7856,
  [7857] = 7733,
  [7858] = 7658,
  [7859] = 7766,
  [7860] = 7784,
  [7861] = 7756,
  [7862] = 7862,
  [7863] = 7674,
  [7864] = 7812,
  [7865] = 7815,
  [7866] = 7816,
  [7867] = 7786,
  [7868] = 7868,
  [7869] = 7676,
  [7870] = 7622,
  [7871] = 7784,
  [7872] = 7101,
  [7873] = 7766,
  [7874] = 7655,
  [7875] = 7745,
  [7876] = 7749,
  [7877] = 7786,
  [7878] = 7766,
  [7879] = 7745,
  [7880] = 7650,
  [7881] = 7766,
  [7882] = 7677,
  [7883] = 7811,
  [7884] = 7669,
  [7885] = 7138,
  [7886] = 7759,
  [7887] = 7736,
  [7888] = 7766,
  [7889] = 7083,
  [7890] = 7745,
  [7891] = 7743,
  [7892] = 7451,
  [7893] = 7092,
  [7894] = 7745,
  [7895] = 7754,
  [7896] = 7442,
  [7897] = 7703,
  [7898] = 7099,
  [7899] = 7766,
  [7900] = 7753,
  [7901] = 7756,
  [7902] = 7477,
  [7903] = 7080,
  [7904] = 7904,
  [7905] = 7905,
  [7906] = 7745,
  [7907] = 7751,
  [7908] = 7844,
  [7909] = 7909,
  [7910] = 7910,
  [7911] = 7911,
  [7912] = 7912,
  [7913] = 7913,
  [7914] = 7914,
  [7915] = 7915,
  [7916] = 7911,
  [7917] = 7912,
  [7918] = 7913,
  [7919] = 7914,
  [7920] = 7920,
  [7921] = 7921,
  [7922] = 7915,
  [7923] = 7911,
  [7924] = 7912,
  [7925] = 7913,
  [7926] = 7914,
  [7927] = 7927,
  [7928] = 7915,
  [7929] = 7911,
  [7930] = 7930,
  [7931] = 7912,
  [7932] = 7932,
  [7933] = 7913,
  [7934] = 7914,
  [7935] = 7911,
  [7936] = 7912,
  [7937] = 7913,
  [7938] = 7915,
  [7939] = 7914,
  [7940] = 7940,
  [7941] = 7941,
  [7942] = 7942,
  [7943] = 7943,
  [7944] = 7944,
  [7945] = 7915,
  [7946] = 7946,
  [7947] = 7947,
  [7948] = 7948,
  [7949] = 7911,
  [7950] = 7915,
  [7951] = 7951,
  [7952] = 7909,
  [7953] = 7953,
  [7954] = 7915,
  [7955] = 606,
  [7956] = 7956,
  [7957] = 7957,
  [7958] = 7958,
  [7959] = 7915,
  [7960] = 7915,
  [7961] = 7748,
  [7962] = 7962,
  [7963] = 7761,
  [7964] = 7964,
  [7965] = 7965,
  [7966] = 7915,
  [7967] = 7967,
  [7968] = 7968,
  [7969] = 7780,
  [7970] = 7856,
  [7971] = 7971,
  [7972] = 7972,
  [7973] = 7829,
  [7974] = 7709,
  [7975] = 7975,
  [7976] = 7669,
  [7977] = 7977,
  [7978] = 7862,
  [7979] = 7979,
  [7980] = 7674,
  [7981] = 7981,
  [7982] = 7982,
  [7983] = 7947,
  [7984] = 7772,
  [7985] = 7904,
  [7986] = 7986,
  [7987] = 7987,
  [7988] = 7948,
  [7989] = 7953,
  [7990] = 7915,
  [7991] = 7316,
  [7992] = 90,
  [7993] = 7911,
  [7994] = 7270,
  [7995] = 7958,
  [7996] = 7912,
  [7997] = 7305,
  [7998] = 601,
  [7999] = 7999,
  [8000] = 7987,
  [8001] = 7913,
  [8002] = 7977,
  [8003] = 7979,
  [8004] = 7979,
  [8005] = 7947,
  [8006] = 7986,
  [8007] = 7259,
  [8008] = 8008,
  [8009] = 7915,
  [8010] = 7914,
  [8011] = 8011,
  [8012] = 7979,
  [8013] = 7947,
  [8014] = 7986,
  [8015] = 7276,
  [8016] = 7979,
  [8017] = 8017,
  [8018] = 7947,
  [8019] = 8019,
  [8020] = 7986,
  [8021] = 7930,
  [8022] = 7979,
  [8023] = 7304,
  [8024] = 7947,
  [8025] = 7986,
  [8026] = 7977,
  [8027] = 7979,
  [8028] = 7947,
  [8029] = 7294,
  [8030] = 7986,
  [8031] = 7979,
  [8032] = 7915,
  [8033] = 7947,
  [8034] = 7986,
  [8035] = 7914,
  [8036] = 7915,
  [8037] = 7913,
  [8038] = 8038,
  [8039] = 8039,
  [8040] = 8040,
  [8041] = 7977,
  [8042] = 8042,
  [8043] = 7915,
  [8044] = 8044,
  [8045] = 7638,
  [8046] = 7707,
  [8047] = 7920,
  [8048] = 7977,
  [8049] = 7832,
  [8050] = 7932,
  [8051] = 7905,
  [8052] = 7912,
  [8053] = 8053,
  [8054] = 7986,
  [8055] = 8044,
  [8056] = 7915,
  [8057] = 7977,
  [8058] = 7520,
  [8059] = 7948,
  [8060] = 8039,
  [8061] = 7975,
  [8062] = 8011,
  [8063] = 7927,
  [8064] = 8019,
  [8065] = 8053,
  [8066] = 8066,
  [8067] = 7915,
  [8068] = 7987,
  [8069] = 7948,
  [8070] = 8066,
  [8071] = 7920,
  [8072] = 7932,
  [8073] = 8053,
  [8074] = 7940,
  [8075] = 8040,
  [8076] = 8042,
  [8077] = 7942,
  [8078] = 7944,
  [8079] = 8017,
  [8080] = 7910,
  [8081] = 7941,
  [8082] = 7943,
  [8083] = 7951,
  [8084] = 7957,
  [8085] = 7962,
  [8086] = 7964,
  [8087] = 7965,
  [8088] = 7967,
  [8089] = 7968,
  [8090] = 7971,
  [8091] = 7972,
  [8092] = 7982,
  [8093] = 7948,
  [8094] = 7948,
  [8095] = 7755,
  [8096] = 7915,
  [8097] = 7911,
  [8098] = 7999,
  [8099] = 7912,
  [8100] = 7913,
  [8101] = 7914,
  [8102] = 7946,
  [8103] = 8103,
  [8104] = 8104,
  [8105] = 8105,
  [8106] = 8103,
  [8107] = 8107,
  [8108] = 8108,
  [8109] = 8109,
  [8110] = 8110,
  [8111] = 8111,
  [8112] = 8112,
  [8113] = 8113,
  [8114] = 8114,
  [8115] = 8115,
  [8116] = 8103,
  [8117] = 853,
  [8118] = 8103,
  [8119] = 8119,
  [8120] = 8120,
  [8121] = 8113,
  [8122] = 8113,
  [8123] = 8103,
  [8124] = 8124,
  [8125] = 8103,
  [8126] = 8126,
  [8127] = 8103,
  [8128] = 8113,
  [8129] = 8103,
  [8130] = 8130,
  [8131] = 8131,
  [8132] = 8132,
  [8133] = 8133,
  [8134] = 8134,
  [8135] = 8135,
  [8136] = 8136,
  [8137] = 7999,
  [8138] = 8138,
  [8139] = 8139,
  [8140] = 8140,
  [8141] = 8141,
  [8142] = 8142,
  [8143] = 8104,
  [8144] = 8144,
  [8145] = 8145,
  [8146] = 8120,
  [8147] = 8147,
  [8148] = 8148,
  [8149] = 8149,
  [8150] = 7946,
  [8151] = 8113,
  [8152] = 8149,
  [8153] = 8148,
  [8154] = 8103,
  [8155] = 8141,
  [8156] = 8156,
  [8157] = 7927,
  [8158] = 7772,
  [8159] = 7316,
  [8160] = 8160,
  [8161] = 8161,
  [8162] = 8162,
  [8163] = 7270,
  [8164] = 8039,
  [8165] = 7305,
  [8166] = 8166,
  [8167] = 8167,
  [8168] = 7259,
  [8169] = 7276,
  [8170] = 8170,
  [8171] = 7304,
  [8172] = 7294,
  [8173] = 8173,
  [8174] = 8174,
  [8175] = 8175,
  [8176] = 8167,
  [8177] = 8134,
  [8178] = 8113,
  [8179] = 8142,
  [8180] = 8134,
  [8181] = 8120,
  [8182] = 8148,
  [8183] = 8183,
  [8184] = 8113,
  [8185] = 8185,
  [8186] = 8186,
  [8187] = 8103,
  [8188] = 8188,
  [8189] = 8142,
  [8190] = 8120,
  [8191] = 8141,
  [8192] = 8192,
  [8193] = 8193,
  [8194] = 8142,
  [8195] = 8120,
  [8196] = 8148,
  [8197] = 8197,
  [8198] = 8109,
  [8199] = 8199,
  [8200] = 8139,
  [8201] = 8113,
  [8202] = 8105,
  [8203] = 8203,
  [8204] = 8204,
  [8205] = 8113,
  [8206] = 8113,
  [8207] = 8103,
  [8208] = 8208,
  [8209] = 8119,
  [8210] = 8210,
  [8211] = 8113,
  [8212] = 8212,
  [8213] = 8213,
  [8214] = 8103,
  [8215] = 8113,
  [8216] = 8139,
  [8217] = 7772,
  [8218] = 8156,
  [8219] = 8104,
  [8220] = 8156,
  [8221] = 8103,
  [8222] = 8103,
  [8223] = 8105,
  [8224] = 8203,
  [8225] = 8170,
  [8226] = 8226,
  [8227] = 8160,
  [8228] = 8113,
  [8229] = 7638,
  [8230] = 7707,
  [8231] = 7709,
  [8232] = 7669,
  [8233] = 7674,
  [8234] = 8103,
  [8235] = 8132,
  [8236] = 8236,
  [8237] = 8038,
  [8238] = 8238,
  [8239] = 8212,
  [8240] = 8166,
  [8241] = 8142,
  [8242] = 8113,
  [8243] = 8130,
  [8244] = 8103,
  [8245] = 8138,
  [8246] = 8246,
  [8247] = 187,
  [8248] = 8248,
  [8249] = 8249,
  [8250] = 8136,
  [8251] = 8142,
  [8252] = 8135,
  [8253] = 8120,
  [8254] = 8113,
  [8255] = 8148,
  [8256] = 8256,
  [8257] = 8103,
  [8258] = 8258,
  [8259] = 8259,
  [8260] = 8113,
  [8261] = 8140,
  [8262] = 8113,
  [8263] = 8131,
  [8264] = 8103,
  [8265] = 8113,
  [8266] = 8148,
  [8267] = 8267,
  [8268] = 8268,
  [8269] = 8269,
  [8270] = 8270,
  [8271] = 8271,
  [8272] = 6773,
  [8273] = 8273,
  [8274] = 8274,
  [8275] = 8275,
  [8276] = 8276,
  [8277] = 8277,
  [8278] = 8278,
  [8279] = 8279,
  [8280] = 8280,
  [8281] = 8281,
  [8282] = 6783,
  [8283] = 6794,
  [8284] = 8284,
  [8285] = 8285,
  [8286] = 8286,
  [8287] = 6822,
  [8288] = 6823,
  [8289] = 8267,
  [8290] = 8290,
  [8291] = 8291,
  [8292] = 8249,
  [8293] = 8293,
  [8294] = 8267,
  [8295] = 601,
  [8296] = 8296,
  [8297] = 8210,
  [8298] = 8298,
  [8299] = 8162,
  [8300] = 8173,
  [8301] = 8301,
  [8302] = 8302,
  [8303] = 8267,
  [8304] = 8109,
  [8305] = 8305,
  [8306] = 8306,
  [8307] = 7946,
  [8308] = 8308,
  [8309] = 8309,
  [8310] = 8268,
  [8311] = 8311,
  [8312] = 8312,
  [8313] = 8313,
  [8314] = 8188,
  [8315] = 8267,
  [8316] = 8140,
  [8317] = 8256,
  [8318] = 8301,
  [8319] = 8193,
  [8320] = 8183,
  [8321] = 8302,
  [8322] = 8322,
  [8323] = 8267,
  [8324] = 8270,
  [8325] = 8325,
  [8326] = 6763,
  [8327] = 8119,
  [8328] = 8328,
  [8329] = 8329,
  [8330] = 8290,
  [8331] = 8331,
  [8332] = 8332,
  [8333] = 7772,
  [8334] = 8331,
  [8335] = 8335,
  [8336] = 8332,
  [8337] = 8306,
  [8338] = 8338,
  [8339] = 8331,
  [8340] = 8340,
  [8341] = 8270,
  [8342] = 8342,
  [8343] = 8343,
  [8344] = 8311,
  [8345] = 8345,
  [8346] = 8346,
  [8347] = 8269,
  [8348] = 8197,
  [8349] = 8331,
  [8350] = 8332,
  [8351] = 8267,
  [8352] = 8352,
  [8353] = 8353,
  [8354] = 8144,
  [8355] = 8267,
  [8356] = 8267,
  [8357] = 8357,
  [8358] = 8358,
  [8359] = 8281,
  [8360] = 8343,
  [8361] = 8361,
  [8362] = 8332,
  [8363] = 8361,
  [8364] = 8147,
  [8365] = 8332,
  [8366] = 8186,
  [8367] = 8367,
  [8368] = 8175,
  [8369] = 8226,
  [8370] = 8259,
  [8371] = 6797,
  [8372] = 6802,
  [8373] = 8185,
  [8374] = 8374,
  [8375] = 8161,
  [8376] = 6807,
  [8377] = 8377,
  [8378] = 8335,
  [8379] = 8379,
  [8380] = 8340,
  [8381] = 8381,
  [8382] = 8267,
  [8383] = 8383,
  [8384] = 8384,
  [8385] = 8133,
  [8386] = 8274,
  [8387] = 6801,
  [8388] = 8388,
  [8389] = 8383,
  [8390] = 6812,
  [8391] = 8391,
  [8392] = 8392,
  [8393] = 8298,
  [8394] = 7451,
  [8395] = 8358,
  [8396] = 8267,
  [8397] = 8397,
  [8398] = 7442,
  [8399] = 8399,
  [8400] = 8308,
  [8401] = 8346,
  [8402] = 8267,
  [8403] = 8258,
  [8404] = 8404,
  [8405] = 8276,
  [8406] = 8406,
  [8407] = 8407,
  [8408] = 8408,
  [8409] = 8409,
  [8410] = 8342,
  [8411] = 8290,
  [8412] = 8267,
  [8413] = 8286,
  [8414] = 8353,
  [8415] = 7946,
  [8416] = 8267,
  [8417] = 8271,
  [8418] = 8107,
  [8419] = 8277,
  [8420] = 8199,
  [8421] = 8335,
  [8422] = 8284,
  [8423] = 8285,
  [8424] = 8424,
  [8425] = 8406,
  [8426] = 8426,
  [8427] = 8397,
  [8428] = 8428,
  [8429] = 8280,
  [8430] = 8399,
  [8431] = 8374,
  [8432] = 8335,
  [8433] = 8433,
  [8434] = 8322,
  [8435] = 8325,
  [8436] = 8114,
  [8437] = 8267,
  [8438] = 8115,
  [8439] = 8208,
  [8440] = 8331,
  [8441] = 8441,
  [8442] = 8442,
  [8443] = 8443,
  [8444] = 8301,
  [8445] = 8213,
  [8446] = 8192,
  [8447] = 8108,
  [8448] = 8448,
  [8449] = 8335,
  [8450] = 8267,
  [8451] = 8451,
  [8452] = 8357,
  [8453] = 8291,
  [8454] = 8454,
  [8455] = 8279,
  [8456] = 8322,
  [8457] = 8306,
  [8458] = 8443,
  [8459] = 8335,
  [8460] = 8454,
  [8461] = 8345,
  [8462] = 8291,
  [8463] = 8345,
  [8464] = 8464,
  [8465] = 8268,
  [8466] = 8269,
  [8467] = 8451,
  [8468] = 8271,
  [8469] = 8112,
  [8470] = 8278,
  [8471] = 8332,
  [8472] = 8284,
  [8473] = 8285,
  [8474] = 8170,
  [8475] = 8296,
  [8476] = 8476,
  [8477] = 6830,
  [8478] = 8267,
  [8479] = 8204,
  [8480] = 8480,
  [8481] = 8481,
  [8482] = 8482,
  [8483] = 8483,
  [8484] = 8484,
  [8485] = 8278,
  [8486] = 8454,
  [8487] = 8487,
  [8488] = 8488,
  [8489] = 8276,
  [8490] = 8279,
  [8491] = 8174,
  [8492] = 8424,
  [8493] = 8331,
  [8494] = 8388,
  [8495] = 8495,
  [8496] = 8267,
  [8497] = 8497,
  [8498] = 8311,
  [8499] = 8274,
  [8500] = 8277,
  [8501] = 8353,
  [8502] = 8443,
  [8503] = 8488,
  [8504] = 8408,
  [8505] = 8487,
  [8506] = 8484,
  [8507] = 8495,
  [8508] = 8481,
  [8509] = 7477,
  [8510] = 8510,
  [8511] = 8511,
  [8512] = 8511,
  [8513] = 8513,
  [8514] = 8514,
  [8515] = 8515,
  [8516] = 8480,
  [8517] = 8482,
  [8518] = 8518,
  [8519] = 8519,
  [8520] = 8520,
  [8521] = 8521,
  [8522] = 8519,
  [8523] = 8523,
  [8524] = 8524,
  [8525] = 8521,
  [8526] = 8526,
  [8527] = 8527,
  [8528] = 8528,
  [8529] = 8529,
  [8530] = 8530,
  [8531] = 8531,
  [8532] = 8532,
  [8533] = 8533,
  [8534] = 8534,
  [8535] = 8535,
  [8536] = 8536,
  [8537] = 8537,
  [8538] = 8524,
  [8539] = 8539,
  [8540] = 8539,
  [8541] = 8541,
  [8542] = 8542,
  [8543] = 8511,
  [8544] = 8527,
  [8545] = 7038,
  [8546] = 8546,
  [8547] = 8547,
  [8548] = 8548,
  [8549] = 8524,
  [8550] = 8523,
  [8551] = 8511,
  [8552] = 8552,
  [8553] = 8404,
  [8554] = 8313,
  [8555] = 8273,
  [8556] = 8556,
  [8557] = 8557,
  [8558] = 8527,
  [8559] = 8559,
  [8560] = 8524,
  [8561] = 8275,
  [8562] = 8562,
  [8563] = 8563,
  [8564] = 8520,
  [8565] = 8565,
  [8566] = 8566,
  [8567] = 8567,
  [8568] = 8524,
  [8569] = 7437,
  [8570] = 8570,
  [8571] = 8523,
  [8572] = 8572,
  [8573] = 8573,
  [8574] = 8574,
  [8575] = 8547,
  [8576] = 8524,
  [8577] = 8577,
  [8578] = 8578,
  [8579] = 8579,
  [8580] = 8580,
  [8581] = 8581,
  [8582] = 8562,
  [8583] = 8583,
  [8584] = 8524,
  [8585] = 8585,
  [8586] = 8511,
  [8587] = 8483,
  [8588] = 8588,
  [8589] = 8589,
  [8590] = 8590,
  [8591] = 8527,
  [8592] = 8524,
  [8593] = 8593,
  [8594] = 8527,
  [8595] = 8523,
  [8596] = 8596,
  [8597] = 8597,
  [8598] = 8598,
  [8599] = 8527,
  [8600] = 8524,
  [8601] = 8601,
  [8602] = 8602,
  [8603] = 8603,
  [8604] = 8523,
  [8605] = 8605,
  [8606] = 8606,
  [8607] = 8598,
  [8608] = 8524,
  [8609] = 8609,
  [8610] = 8559,
  [8611] = 8524,
  [8612] = 8511,
  [8613] = 8520,
  [8614] = 8614,
  [8615] = 8615,
  [8616] = 8524,
  [8617] = 8617,
  [8618] = 8618,
  [8619] = 8619,
  [8620] = 8620,
  [8621] = 8621,
  [8622] = 7437,
  [8623] = 8623,
  [8624] = 8524,
  [8625] = 8625,
  [8626] = 8626,
  [8627] = 8627,
  [8628] = 8628,
  [8629] = 8629,
  [8630] = 8630,
  [8631] = 8631,
  [8632] = 8524,
  [8633] = 8633,
  [8634] = 8634,
  [8635] = 8511,
  [8636] = 8523,
  [8637] = 8637,
  [8638] = 8367,
  [8639] = 8639,
  [8640] = 8524,
  [8641] = 8524,
  [8642] = 8524,
  [8643] = 8524,
  [8644] = 8524,
  [8645] = 8645,
  [8646] = 8615,
  [8647] = 8647,
  [8648] = 7520,
  [8649] = 8626,
  [8650] = 8650,
  [8651] = 8647,
  [8652] = 8529,
  [8653] = 8629,
  [8654] = 8654,
  [8655] = 8655,
  [8656] = 8497,
  [8657] = 8523,
  [8658] = 8658,
  [8659] = 8659,
  [8660] = 8377,
  [8661] = 8511,
  [8662] = 8662,
  [8663] = 8663,
  [8664] = 8581,
  [8665] = 8665,
  [8666] = 8527,
  [8667] = 8667,
  [8668] = 8668,
  [8669] = 8602,
  [8670] = 8527,
  [8671] = 8511,
  [8672] = 8672,
  [8673] = 8615,
  [8674] = 8574,
  [8675] = 8675,
  [8676] = 8566,
  [8677] = 8677,
  [8678] = 8678,
  [8679] = 8511,
  [8680] = 8680,
  [8681] = 8566,
  [8682] = 8675,
  [8683] = 8683,
  [8684] = 8684,
  [8685] = 8424,
  [8686] = 8686,
  [8687] = 8433,
  [8688] = 8688,
  [8689] = 8620,
  [8690] = 8379,
  [8691] = 8565,
  [8692] = 8620,
  [8693] = 8533,
  [8694] = 8537,
  [8695] = 8695,
  [8696] = 8589,
  [8697] = 8697,
  [8698] = 8601,
  [8699] = 8527,
  [8700] = 8559,
  [8701] = 8590,
  [8702] = 8523,
  [8703] = 8552,
  [8704] = 8704,
  [8705] = 8523,
  [8706] = 8634,
  [8707] = 8572,
  [8708] = 8573,
  [8709] = 8527,
  [8710] = 8542,
  [8711] = 8527,
  [8712] = 8712,
  [8713] = 8511,
  [8714] = 8407,
  [8715] = 8583,
  [8716] = 8716,
  [8717] = 8717,
  [8718] = 8718,
  [8719] = 8719,
  [8720] = 8720,
  [8721] = 8721,
  [8722] = 8531,
  [8723] = 8633,
  [8724] = 8536,
  [8725] = 8725,
  [8726] = 8725,
  [8727] = 8511,
  [8728] = 8541,
  [8729] = 8606,
  [8730] = 8730,
  [8731] = 8578,
  [8732] = 8391,
  [8733] = 8579,
  [8734] = 8580,
  [8735] = 8527,
  [8736] = 8384,
  [8737] = 8523,
  [8738] = 8532,
  [8739] = 8531,
  [8740] = 8740,
  [8741] = 8741,
  [8742] = 8567,
  [8743] = 8743,
  [8744] = 8744,
  [8745] = 8524,
  [8746] = 8683,
  [8747] = 8536,
  [8748] = 8748,
  [8749] = 8712,
  [8750] = 8527,
  [8751] = 8751,
  [8752] = 8634,
  [8753] = 8352,
  [8754] = 8567,
  [8755] = 8755,
  [8756] = 8541,
  [8757] = 8757,
  [8758] = 8513,
  [8759] = 8759,
  [8760] = 8523,
  [8761] = 7946,
  [8762] = 8552,
  [8763] = 8523,
  [8764] = 8764,
  [8765] = 8765,
  [8766] = 8557,
  [8767] = 8617,
  [8768] = 8697,
  [8769] = 8744,
  [8770] = 8764,
  [8771] = 8759,
  [8772] = 8524,
  [8773] = 8511,
  [8774] = 8605,
  [8775] = 8775,
  [8776] = 8527,
  [8777] = 8777,
  [8778] = 8527,
  [8779] = 8730,
  [8780] = 8712,
  [8781] = 8577,
  [8782] = 8782,
  [8783] = 8625,
  [8784] = 8784,
  [8785] = 8338,
  [8786] = 8730,
  [8787] = 8787,
  [8788] = 8392,
  [8789] = 8523,
  [8790] = 8236,
  [8791] = 8623,
  [8792] = 7354,
  [8793] = 8596,
  [8794] = 8523,
  [8795] = 8523,
  [8796] = 8740,
  [8797] = 8755,
  [8798] = 8614,
  [8799] = 8476,
  [8800] = 8515,
  [8801] = 8381,
  [8802] = 8802,
  [8803] = 8562,
  [8804] = 8312,
  [8805] = 8523,
  [8806] = 8741,
  [8807] = 8627,
  [8808] = 8808,
  [8809] = 8559,
  [8810] = 8521,
  [8811] = 8511,
  [8812] = 8523,
  [8813] = 8238,
  [8814] = 8563,
  [8815] = 8523,
  [8816] = 8626,
  [8817] = 8519,
  [8818] = 8634,
  [8819] = 8819,
  [8820] = 8820,
  [8821] = 8546,
  [8822] = 8535,
  [8823] = 8823,
  [8824] = 8824,
  [8825] = 8825,
  [8826] = 8523,
  [8827] = 8511,
  [8828] = 8559,
  [8829] = 8574,
  [8830] = 8548,
  [8831] = 8442,
  [8832] = 8428,
  [8833] = 8527,
  [8834] = 8620,
  [8835] = 8629,
  [8836] = 7391,
  [8837] = 7354,
  [8838] = 8838,
  [8839] = 8562,
  [8840] = 8840,
  [8841] = 8841,
  [8842] = 8574,
  [8843] = 8618,
  [8844] = 8619,
  [8845] = 8845,
  [8846] = 8621,
  [8847] = 8847,
  [8848] = 8655,
  [8849] = 8658,
  [8850] = 8850,
  [8851] = 8851,
  [8852] = 8588,
  [8853] = 8524,
  [8854] = 8124,
  [8855] = 8618,
  [8856] = 8511,
  [8857] = 8523,
  [8858] = 8630,
  [8859] = 8126,
  [8860] = 8619,
  [8861] = 8448,
  [8862] = 8862,
  [8863] = 8851,
  [8864] = 8523,
  [8865] = 8865,
  [8866] = 8866,
  [8867] = 8409,
  [8868] = 7391,
  [8869] = 8426,
  [8870] = 8870,
  [8871] = 8620,
  [8872] = 8511,
  [8873] = 8620,
  [8874] = 8621,
  [8875] = 8875,
  [8876] = 8851,
  [8877] = 8787,
  [8878] = 8759,
  [8879] = 8808,
  [8880] = 8787,
  [8881] = 8743,
  [8882] = 8559,
  [8883] = 8305,
  [8884] = 8527,
  [8885] = 8539,
  [8886] = 8634,
  [8887] = 8309,
  [8888] = 8511,
  [8889] = 8441,
  [8890] = 8890,
  [8891] = 8527,
  [8892] = 8892,
  [8893] = 8524,
  [8894] = 8820,
  [8895] = 8634,
  [8896] = 8870,
  [8897] = 8654,
  [8898] = 8898,
  [8899] = 8899,
  [8900] = 8900,
  [8901] = 8901,
  [8902] = 8902,
  [8903] = 8903,
  [8904] = 8904,
  [8905] = 8905,
  [8906] = 8906,
  [8907] = 8907,
  [8908] = 8908,
  [8909] = 8903,
  [8910] = 8910,
  [8911] = 8911,
  [8912] = 8912,
  [8913] = 8913,
  [8914] = 8914,
  [8915] = 8915,
  [8916] = 8916,
  [8917] = 8917,
  [8918] = 8918,
  [8919] = 8899,
  [8920] = 8920,
  [8921] = 8921,
  [8922] = 8922,
  [8923] = 8923,
  [8924] = 8924,
  [8925] = 8916,
  [8926] = 8684,
  [8927] = 8688,
  [8928] = 8928,
  [8929] = 8929,
  [8930] = 8930,
  [8931] = 8931,
  [8932] = 8932,
  [8933] = 8933,
  [8934] = 8934,
  [8935] = 8935,
  [8936] = 8936,
  [8937] = 8937,
  [8938] = 8938,
  [8939] = 8939,
  [8940] = 8940,
  [8941] = 8941,
  [8942] = 8942,
  [8943] = 8943,
  [8944] = 8944,
  [8945] = 8945,
  [8946] = 8900,
  [8947] = 8947,
  [8948] = 8948,
  [8949] = 8949,
  [8950] = 8950,
  [8951] = 8898,
  [8952] = 8952,
  [8953] = 8953,
  [8954] = 8954,
  [8955] = 8955,
  [8956] = 8510,
  [8957] = 8957,
  [8958] = 8958,
  [8959] = 8959,
  [8960] = 8960,
  [8961] = 8961,
  [8962] = 8962,
  [8963] = 8963,
  [8964] = 8964,
  [8965] = 8965,
  [8966] = 8966,
  [8967] = 8967,
  [8968] = 8968,
  [8969] = 8969,
  [8970] = 8970,
  [8971] = 8971,
  [8972] = 8972,
  [8973] = 8973,
  [8974] = 8974,
  [8975] = 8975,
  [8976] = 8976,
  [8977] = 8977,
  [8978] = 8978,
  [8979] = 8979,
  [8980] = 8980,
  [8981] = 8757,
  [8982] = 8982,
  [8983] = 8983,
  [8984] = 8838,
  [8985] = 8985,
  [8986] = 8986,
  [8987] = 8987,
  [8988] = 8662,
  [8989] = 8667,
  [8990] = 8990,
  [8991] = 8672,
  [8992] = 8992,
  [8993] = 8993,
  [8994] = 8850,
  [8995] = 8865,
  [8996] = 8875,
  [8997] = 7391,
  [8998] = 8890,
  [8999] = 8892,
  [9000] = 7354,
  [9001] = 8585,
  [9002] = 8593,
  [9003] = 8603,
  [9004] = 8628,
  [9005] = 8639,
  [9006] = 8650,
  [9007] = 8659,
  [9008] = 8677,
  [9009] = 8678,
  [9010] = 8680,
  [9011] = 8695,
  [9012] = 8704,
  [9013] = 9013,
  [9014] = 8556,
  [9015] = 8518,
  [9016] = 8528,
  [9017] = 8534,
  [9018] = 8784,
  [9019] = 7437,
  [9020] = 9020,
  [9021] = 8918,
  [9022] = 9022,
  [9023] = 9013,
  [9024] = 9024,
  [9025] = 9025,
  [9026] = 9026,
  [9027] = 9027,
  [9028] = 8939,
  [9029] = 8940,
  [9030] = 9030,
  [9031] = 9031,
  [9032] = 9032,
  [9033] = 8900,
  [9034] = 8955,
  [9035] = 9035,
  [9036] = 9013,
  [9037] = 9037,
  [9038] = 9038,
  [9039] = 9039,
  [9040] = 9040,
  [9041] = 9041,
  [9042] = 9042,
  [9043] = 8918,
  [9044] = 8973,
  [9045] = 9045,
  [9046] = 9046,
  [9047] = 8939,
  [9048] = 8940,
  [9049] = 9049,
  [9050] = 8955,
  [9051] = 9051,
  [9052] = 9052,
  [9053] = 9053,
  [9054] = 9054,
  [9055] = 9055,
  [9056] = 9013,
  [9057] = 9057,
  [9058] = 9058,
  [9059] = 8918,
  [9060] = 9060,
  [9061] = 9061,
  [9062] = 9062,
  [9063] = 8939,
  [9064] = 9064,
  [9065] = 9065,
  [9066] = 8940,
  [9067] = 8955,
  [9068] = 9068,
  [9069] = 9069,
  [9070] = 9013,
  [9071] = 9071,
  [9072] = 9072,
  [9073] = 8939,
  [9074] = 8940,
  [9075] = 8955,
  [9076] = 9076,
  [9077] = 9013,
  [9078] = 9078,
  [9079] = 8901,
  [9080] = 8905,
  [9081] = 8906,
  [9082] = 8907,
  [9083] = 8952,
  [9084] = 8908,
  [9085] = 9085,
  [9086] = 8939,
  [9087] = 8976,
  [9088] = 8977,
  [9089] = 8940,
  [9090] = 8955,
  [9091] = 9091,
  [9092] = 9013,
  [9093] = 9093,
  [9094] = 9094,
  [9095] = 9095,
  [9096] = 8910,
  [9097] = 8939,
  [9098] = 8911,
  [9099] = 8940,
  [9100] = 8955,
  [9101] = 8914,
  [9102] = 8915,
  [9103] = 9013,
  [9104] = 8917,
  [9105] = 9105,
  [9106] = 9106,
  [9107] = 9107,
  [9108] = 9108,
  [9109] = 9013,
  [9110] = 9110,
  [9111] = 8939,
  [9112] = 9112,
  [9113] = 8940,
  [9114] = 8955,
  [9115] = 9115,
  [9116] = 9013,
  [9117] = 9117,
  [9118] = 9118,
  [9119] = 9119,
  [9120] = 9120,
  [9121] = 9121,
  [9122] = 9122,
  [9123] = 8939,
  [9124] = 8940,
  [9125] = 9125,
  [9126] = 8955,
  [9127] = 9013,
  [9128] = 9128,
  [9129] = 9129,
  [9130] = 9130,
  [9131] = 9131,
  [9132] = 8939,
  [9133] = 8940,
  [9134] = 8955,
  [9135] = 9135,
  [9136] = 9013,
  [9137] = 9137,
  [9138] = 8953,
  [9139] = 8928,
  [9140] = 9140,
  [9141] = 8921,
  [9142] = 9142,
  [9143] = 9143,
  [9144] = 8929,
  [9145] = 8939,
  [9146] = 8940,
  [9147] = 8943,
  [9148] = 8955,
  [9149] = 8930,
  [9150] = 8944,
  [9151] = 9013,
  [9152] = 8945,
  [9153] = 9153,
  [9154] = 9154,
  [9155] = 8939,
  [9156] = 9156,
  [9157] = 8940,
  [9158] = 9158,
  [9159] = 9159,
  [9160] = 8955,
  [9161] = 9013,
  [9162] = 9162,
  [9163] = 8939,
  [9164] = 8947,
  [9165] = 8940,
  [9166] = 8948,
  [9167] = 8955,
  [9168] = 8949,
  [9169] = 8950,
  [9170] = 9013,
  [9171] = 9171,
  [9172] = 9172,
  [9173] = 9173,
  [9174] = 8939,
  [9175] = 8940,
  [9176] = 8955,
  [9177] = 9177,
  [9178] = 9013,
  [9179] = 9179,
  [9180] = 9180,
  [9181] = 8939,
  [9182] = 8940,
  [9183] = 9183,
  [9184] = 9184,
  [9185] = 8955,
  [9186] = 9186,
  [9187] = 9187,
  [9188] = 8939,
  [9189] = 8940,
  [9190] = 8955,
  [9191] = 9191,
  [9192] = 8955,
  [9193] = 8931,
  [9194] = 9194,
  [9195] = 9195,
  [9196] = 9196,
  [9197] = 8939,
  [9198] = 8940,
  [9199] = 9199,
  [9200] = 8955,
  [9201] = 8965,
  [9202] = 8966,
  [9203] = 8968,
  [9204] = 8940,
  [9205] = 8940,
  [9206] = 9206,
  [9207] = 9207,
  [9208] = 9208,
  [9209] = 9209,
  [9210] = 9210,
  [9211] = 9211,
  [9212] = 9212,
  [9213] = 9140,
  [9214] = 8969,
  [9215] = 8970,
  [9216] = 9216,
  [9217] = 9217,
  [9218] = 9218,
  [9219] = 9219,
  [9220] = 9076,
  [9221] = 9085,
  [9222] = 9108,
  [9223] = 9223,
  [9224] = 8902,
  [9225] = 8920,
  [9226] = 9172,
  [9227] = 9227,
  [9228] = 9228,
  [9229] = 9194,
  [9230] = 9230,
  [9231] = 9231,
  [9232] = 9232,
  [9233] = 9233,
  [9234] = 9234,
  [9235] = 8980,
  [9236] = 8993,
  [9237] = 8986,
  [9238] = 9154,
  [9239] = 8975,
  [9240] = 9173,
  [9241] = 8978,
  [9242] = 8987,
  [9243] = 9243,
  [9244] = 9244,
  [9245] = 9245,
  [9246] = 8979,
  [9247] = 9247,
  [9248] = 8932,
  [9249] = 9249,
  [9250] = 9250,
  [9251] = 9251,
  [9252] = 9252,
  [9253] = 9253,
  [9254] = 9254,
  [9255] = 9255,
  [9256] = 9256,
  [9257] = 9257,
  [9258] = 8933,
  [9259] = 9259,
  [9260] = 9230,
  [9261] = 9027,
  [9262] = 9045,
  [9263] = 9263,
  [9264] = 8990,
  [9265] = 9265,
  [9266] = 9266,
  [9267] = 9267,
  [9268] = 9268,
  [9269] = 9269,
  [9270] = 8912,
  [9271] = 9271,
  [9272] = 9272,
  [9273] = 9223,
  [9274] = 9274,
  [9275] = 9275,
  [9276] = 8936,
  [9277] = 8937,
  [9278] = 8992,
  [9279] = 9279,
  [9280] = 9210,
  [9281] = 9281,
  [9282] = 9282,
  [9283] = 8938,
  [9284] = 9284,
  [9285] = 9285,
  [9286] = 9286,
  [9287] = 9287,
  [9288] = 9288,
  [9289] = 9289,
  [9290] = 9290,
  [9291] = 9013,
  [9292] = 9244,
  [9293] = 9232,
  [9294] = 9294,
  [9295] = 9234,
  [9296] = 9296,
  [9297] = 9154,
  [9298] = 9173,
  [9299] = 9299,
  [9300] = 9247,
  [9301] = 9301,
  [9302] = 9078,
  [9303] = 9245,
  [9304] = 9304,
  [9305] = 9305,
  [9306] = 9306,
  [9307] = 9307,
  [9308] = 9308,
  [9309] = 9232,
  [9310] = 9234,
  [9311] = 9311,
  [9312] = 9312,
  [9313] = 9154,
  [9314] = 9314,
  [9315] = 9173,
  [9316] = 9247,
  [9317] = 9317,
  [9318] = 9232,
  [9319] = 9234,
  [9320] = 9320,
  [9321] = 9154,
  [9322] = 9173,
  [9323] = 9247,
  [9324] = 9324,
  [9325] = 8802,
  [9326] = 9326,
  [9327] = 9327,
  [9328] = 9328,
  [9329] = 9232,
  [9330] = 9234,
  [9331] = 9154,
  [9332] = 9332,
  [9333] = 9173,
  [9334] = 9334,
  [9335] = 9247,
  [9336] = 8717,
  [9337] = 9337,
  [9338] = 9057,
  [9339] = 9232,
  [9340] = 9234,
  [9341] = 9187,
  [9342] = 8570,
  [9343] = 9195,
  [9344] = 9154,
  [9345] = 8597,
  [9346] = 9173,
  [9347] = 9199,
  [9348] = 8645,
  [9349] = 9349,
  [9350] = 9247,
  [9351] = 9249,
  [9352] = 8663,
  [9353] = 8686,
  [9354] = 8637,
  [9355] = 9355,
  [9356] = 9356,
  [9357] = 9232,
  [9358] = 9234,
  [9359] = 9154,
  [9360] = 9173,
  [9361] = 9247,
  [9362] = 9356,
  [9363] = 9363,
  [9364] = 8958,
  [9365] = 9232,
  [9366] = 9234,
  [9367] = 9154,
  [9368] = 9173,
  [9369] = 9369,
  [9370] = 9247,
  [9371] = 8959,
  [9372] = 8960,
  [9373] = 9232,
  [9374] = 9374,
  [9375] = 9234,
  [9376] = 9154,
  [9377] = 9173,
  [9378] = 9247,
  [9379] = 9379,
  [9380] = 9232,
  [9381] = 9381,
  [9382] = 9234,
  [9383] = 9154,
  [9384] = 9173,
  [9385] = 9247,
  [9386] = 9386,
  [9387] = 9387,
  [9388] = 9232,
  [9389] = 9234,
  [9390] = 9390,
  [9391] = 9154,
  [9392] = 9173,
  [9393] = 9247,
  [9394] = 8719,
  [9395] = 9395,
  [9396] = 9396,
  [9397] = 9037,
  [9398] = 9232,
  [9399] = 9234,
  [9400] = 9154,
  [9401] = 9401,
  [9402] = 9173,
  [9403] = 8847,
  [9404] = 9247,
  [9405] = 9068,
  [9406] = 8918,
  [9407] = 9071,
  [9408] = 9232,
  [9409] = 9234,
  [9410] = 9154,
  [9411] = 9411,
  [9412] = 9173,
  [9413] = 9247,
  [9414] = 9414,
  [9415] = 9415,
  [9416] = 9416,
  [9417] = 9232,
  [9418] = 9234,
  [9419] = 9154,
  [9420] = 9173,
  [9421] = 9247,
  [9422] = 9255,
  [9423] = 9423,
  [9424] = 8922,
  [9425] = 9232,
  [9426] = 9234,
  [9427] = 9296,
  [9428] = 9154,
  [9429] = 9173,
  [9430] = 9247,
  [9431] = 8819,
  [9432] = 8823,
  [9433] = 8824,
  [9434] = 9324,
  [9435] = 9232,
  [9436] = 9234,
  [9437] = 8840,
  [9438] = 9154,
  [9439] = 9173,
  [9440] = 9247,
  [9441] = 8841,
  [9442] = 9369,
  [9443] = 8825,
  [9444] = 9232,
  [9445] = 9234,
  [9446] = 9154,
  [9447] = 9173,
  [9448] = 9247,
  [9449] = 9247,
  [9450] = 9234,
  [9451] = 9234,
  [9452] = 8903,
  [9453] = 8668,
  [9454] = 8923,
  [9455] = 9337,
  [9456] = 8916,
  [9457] = 8924,
  [9458] = 9286,
  [9459] = 9013,
  [9460] = 9142,
  [9461] = 9143,
  [9462] = 9172,
  [9463] = 9196,
  [9464] = 9464,
  [9465] = 9232,
  [9466] = 8934,
  [9467] = 8980,
  [9468] = 8993,
  [9469] = 9469,
  [9470] = 9054,
  [9471] = 9055,
  [9472] = 9472,
  [9473] = 8900,
  [9474] = 8939,
  [9475] = 9475,
  [9476] = 9476,
  [9477] = 9244,
  [9478] = 9245,
  [9479] = 9304,
  [9480] = 9320,
  [9481] = 9481,
  [9482] = 8972,
  [9483] = 9251,
  [9484] = 9484,
  [9485] = 8777,
  [9486] = 9065,
  [9487] = 9027,
  [9488] = 9042,
  [9489] = 9217,
  [9490] = 9107,
  [9491] = 9159,
  [9492] = 9206,
  [9493] = 9243,
  [9494] = 9265,
  [9495] = 9269,
  [9496] = 8940,
  [9497] = 9274,
  [9498] = 9279,
  [9499] = 9281,
  [9500] = 9284,
  [9501] = 9287,
  [9502] = 7520,
  [9503] = 9094,
  [9504] = 8609,
  [9505] = 9110,
  [9506] = 9112,
  [9507] = 9125,
  [9508] = 9508,
  [9509] = 8721,
  [9510] = 8962,
  [9511] = 9511,
  [9512] = 9512,
  [9513] = 8903,
  [9514] = 8916,
  [9515] = 9515,
  [9516] = 9516,
  [9517] = 9517,
  [9518] = 8903,
  [9519] = 9519,
  [9520] = 9251,
  [9521] = 9521,
  [9522] = 9522,
  [9523] = 9289,
  [9524] = 9294,
  [9525] = 9234,
  [9526] = 8720,
  [9527] = 9527,
  [9528] = 9528,
  [9529] = 8716,
  [9530] = 9379,
  [9531] = 9381,
  [9532] = 9390,
  [9533] = 9396,
  [9534] = 9534,
  [9535] = 8631,
  [9536] = 8963,
  [9537] = 9311,
  [9538] = 9538,
  [9539] = 9312,
  [9540] = 9540,
  [9541] = 9484,
  [9542] = 9314,
  [9543] = 9543,
  [9544] = 8964,
  [9545] = 9545,
  [9546] = 8967,
  [9547] = 9254,
  [9548] = 9210,
  [9549] = 9517,
  [9550] = 9521,
  [9551] = 9522,
  [9552] = 9217,
  [9553] = 9538,
  [9554] = 8718,
  [9555] = 9069,
  [9556] = 8902,
  [9557] = 8963,
  [9558] = 9230,
  [9559] = 9559,
  [9560] = 9545,
  [9561] = 9327,
  [9562] = 9131,
  [9563] = 9363,
  [9564] = 9301,
  [9565] = 9052,
  [9566] = 9328,
  [9567] = 9119,
  [9568] = 9121,
  [9569] = 9180,
  [9570] = 9183,
  [9571] = 9227,
  [9572] = 9228,
  [9573] = 9256,
  [9574] = 9574,
  [9575] = 9575,
  [9576] = 9538,
  [9577] = 9538,
  [9578] = 9538,
  [9579] = 9538,
  [9580] = 9538,
  [9581] = 9538,
  [9582] = 9582,
  [9583] = 9583,
  [9584] = 9574,
  [9585] = 9332,
  [9586] = 9586,
  [9587] = 9575,
  [9588] = 9588,
  [9589] = 8903,
  [9590] = 9590,
  [9591] = 9591,
  [9592] = 9207,
  [9593] = 9593,
  [9594] = 9218,
  [9595] = 9286,
  [9596] = 8941,
  [9597] = 8942,
  [9598] = 8954,
  [9599] = 8633,
  [9600] = 9142,
  [9601] = 9143,
  [9602] = 9194,
  [9603] = 9196,
  [9604] = 8933,
  [9605] = 8581,
  [9606] = 8606,
  [9607] = 8605,
  [9608] = 8563,
  [9609] = 8547,
  [9610] = 8934,
  [9611] = 9054,
  [9612] = 9055,
  [9613] = 9131,
  [9614] = 8572,
  [9615] = 8573,
  [9616] = 8578,
  [9617] = 8579,
  [9618] = 8580,
  [9619] = 8983,
  [9620] = 9304,
  [9621] = 9320,
  [9622] = 9020,
  [9623] = 8515,
  [9624] = 8548,
  [9625] = 8598,
  [9626] = 8625,
  [9627] = 9022,
  [9628] = 9484,
  [9629] = 8533,
  [9630] = 8537,
  [9631] = 9024,
  [9632] = 9042,
  [9633] = 8820,
  [9634] = 8546,
  [9635] = 9334,
  [9636] = 9469,
  [9637] = 8913,
  [9638] = 9218,
  [9639] = 8748,
  [9640] = 9472,
  [9641] = 8870,
  [9642] = 8808,
  [9643] = 9076,
  [9644] = 8655,
  [9645] = 8658,
  [9646] = 9307,
  [9647] = 9516,
  [9648] = 9062,
  [9649] = 8974,
  [9650] = 9093,
  [9651] = 9158,
  [9652] = 9208,
  [9653] = 9250,
  [9654] = 9266,
  [9655] = 9271,
  [9656] = 9275,
  [9657] = 9212,
  [9658] = 9508,
  [9659] = 9508,
  [9660] = 9209,
  [9661] = 8957,
  [9662] = 9288,
  [9663] = 9515,
  [9664] = 8982,
  [9665] = 9115,
  [9666] = 9177,
  [9667] = 9219,
  [9668] = 9253,
  [9669] = 9472,
  [9670] = 9046,
  [9671] = 9156,
  [9672] = 8961,
  [9673] = 9317,
  [9674] = 9540,
  [9675] = 9040,
  [9676] = 9676,
  [9677] = 9117,
  [9678] = 9233,
  [9679] = 9355,
  [9680] = 9680,
  [9681] = 9681,
  [9682] = 9682,
  [9683] = 9683,
  [9684] = 9684,
  [9685] = 9685,
  [9686] = 9686,
  [9687] = 9687,
  [9688] = 9688,
  [9689] = 9689,
  [9690] = 9690,
  [9691] = 9691,
  [9692] = 9692,
  [9693] = 9179,
  [9694] = 9184,
  [9695] = 9695,
  [9696] = 9696,
  [9697] = 9697,
  [9698] = 9698,
  [9699] = 9699,
  [9700] = 9700,
  [9701] = 9681,
  [9702] = 9186,
  [9703] = 9703,
  [9704] = 9704,
  [9705] = 9705,
  [9706] = 9706,
  [9707] = 9707,
  [9708] = 9686,
  [9709] = 9709,
  [9710] = 9289,
  [9711] = 9689,
  [9712] = 9712,
  [9713] = 9713,
  [9714] = 9690,
  [9715] = 9715,
  [9716] = 9716,
  [9717] = 9717,
  [9718] = 9718,
  [9719] = 9294,
  [9720] = 9698,
  [9721] = 9091,
  [9722] = 9722,
  [9723] = 9681,
  [9724] = 9724,
  [9725] = 9725,
  [9726] = 9686,
  [9727] = 9689,
  [9728] = 9690,
  [9729] = 9729,
  [9730] = 9730,
  [9731] = 9731,
  [9732] = 9732,
  [9733] = 9733,
  [9734] = 9690,
  [9735] = 9735,
  [9736] = 9698,
  [9737] = 9681,
  [9738] = 9738,
  [9739] = 9739,
  [9740] = 9740,
  [9741] = 9686,
  [9742] = 9686,
  [9743] = 9689,
  [9744] = 9690,
  [9745] = 9745,
  [9746] = 9746,
  [9747] = 9747,
  [9748] = 9698,
  [9749] = 9749,
  [9750] = 9681,
  [9751] = 9751,
  [9752] = 9752,
  [9753] = 9753,
  [9754] = 9686,
  [9755] = 9689,
  [9756] = 9756,
  [9757] = 9690,
  [9758] = 9758,
  [9759] = 9759,
  [9760] = 9760,
  [9761] = 9698,
  [9762] = 9762,
  [9763] = 9517,
  [9764] = 9764,
  [9765] = 9765,
  [9766] = 9681,
  [9767] = 9767,
  [9768] = 9521,
  [9769] = 9522,
  [9770] = 9686,
  [9771] = 9689,
  [9772] = 9772,
  [9773] = 9690,
  [9774] = 9698,
  [9775] = 9775,
  [9776] = 9776,
  [9777] = 9777,
  [9778] = 9681,
  [9779] = 9779,
  [9780] = 9780,
  [9781] = 6532,
  [9782] = 9782,
  [9783] = 9783,
  [9784] = 9686,
  [9785] = 9689,
  [9786] = 9690,
  [9787] = 9698,
  [9788] = 9788,
  [9789] = 9681,
  [9790] = 9790,
  [9791] = 9118,
  [9792] = 9792,
  [9793] = 9698,
  [9794] = 9794,
  [9795] = 9795,
  [9796] = 9686,
  [9797] = 9689,
  [9798] = 9690,
  [9799] = 9799,
  [9800] = 9800,
  [9801] = 9801,
  [9802] = 6564,
  [9803] = 9803,
  [9804] = 9698,
  [9805] = 9805,
  [9806] = 9681,
  [9807] = 9120,
  [9808] = 9216,
  [9809] = 9686,
  [9810] = 9689,
  [9811] = 9690,
  [9812] = 9812,
  [9813] = 9813,
  [9814] = 9814,
  [9815] = 9698,
  [9816] = 9816,
  [9817] = 9817,
  [9818] = 6571,
  [9819] = 9681,
  [9820] = 9820,
  [9821] = 9821,
  [9822] = 9689,
  [9823] = 8942,
  [9824] = 9686,
  [9825] = 9689,
  [9826] = 9690,
  [9827] = 9698,
  [9828] = 9828,
  [9829] = 9829,
  [9830] = 9681,
  [9831] = 9231,
  [9832] = 9832,
  [9833] = 9686,
  [9834] = 9689,
  [9835] = 9724,
  [9836] = 9690,
  [9837] = 9837,
  [9838] = 9838,
  [9839] = 9839,
  [9840] = 8983,
  [9841] = 9698,
  [9842] = 9020,
  [9843] = 9681,
  [9844] = 9022,
  [9845] = 9024,
  [9846] = 9846,
  [9847] = 9686,
  [9848] = 9848,
  [9849] = 9849,
  [9850] = 9689,
  [9851] = 9690,
  [9852] = 9698,
  [9853] = 9853,
  [9854] = 9681,
  [9855] = 9122,
  [9856] = 9690,
  [9857] = 9698,
  [9858] = 9681,
  [9859] = 9690,
  [9860] = 9860,
  [9861] = 9698,
  [9862] = 9681,
  [9863] = 9690,
  [9864] = 9864,
  [9865] = 9698,
  [9866] = 9681,
  [9867] = 9690,
  [9868] = 9868,
  [9869] = 9690,
  [9870] = 9690,
  [9871] = 9690,
  [9872] = 9690,
  [9873] = 9690,
  [9874] = 9690,
  [9875] = 9839,
  [9876] = 9876,
  [9877] = 9877,
  [9878] = 9878,
  [9879] = 9879,
  [9880] = 9880,
  [9881] = 9881,
  [9882] = 9882,
  [9883] = 9883,
  [9884] = 9884,
  [9885] = 9885,
  [9886] = 9886,
  [9887] = 9746,
  [9888] = 9688,
  [9889] = 9760,
  [9890] = 9890,
  [9891] = 9891,
  [9892] = 9892,
  [9893] = 9893,
  [9894] = 9891,
  [9895] = 8910,
  [9896] = 8911,
  [9897] = 9897,
  [9898] = 9898,
  [9899] = 8914,
  [9900] = 8915,
  [9901] = 8917,
  [9902] = 9868,
  [9903] = 9903,
  [9904] = 9904,
  [9905] = 9905,
  [9906] = 9886,
  [9907] = 9907,
  [9908] = 9908,
  [9909] = 9909,
  [9910] = 9910,
  [9911] = 9911,
  [9912] = 9912,
  [9913] = 9913,
  [9914] = 9683,
  [9915] = 9915,
  [9916] = 9916,
  [9917] = 9917,
  [9918] = 9918,
  [9919] = 9909,
  [9920] = 9920,
  [9921] = 9037,
  [9922] = 9922,
  [9923] = 9923,
  [9924] = 9699,
  [9925] = 9925,
  [9926] = 9926,
  [9927] = 9927,
  [9928] = 9928,
  [9929] = 9929,
  [9930] = 9930,
  [9931] = 9931,
  [9932] = 9252,
  [9933] = 9933,
  [9934] = 9934,
  [9935] = 9935,
  [9936] = 9920,
  [9937] = 9937,
  [9938] = 9938,
  [9939] = 9939,
  [9940] = 9940,
  [9941] = 9758,
  [9942] = 9777,
  [9943] = 8947,
  [9944] = 8948,
  [9945] = 8949,
  [9946] = 8950,
  [9947] = 9947,
  [9948] = 9700,
  [9949] = 9949,
  [9950] = 9950,
  [9951] = 9951,
  [9952] = 9952,
  [9953] = 9423,
  [9954] = 9954,
  [9955] = 8941,
  [9956] = 9853,
  [9957] = 9957,
  [9958] = 9958,
  [9959] = 9959,
  [9960] = 9960,
  [9961] = 9961,
  [9962] = 9684,
  [9963] = 9963,
  [9964] = 9864,
  [9965] = 9965,
  [9966] = 9966,
  [9967] = 8901,
  [9968] = 9968,
  [9969] = 9969,
  [9970] = 9970,
  [9971] = 9971,
  [9972] = 8969,
  [9973] = 9973,
  [9974] = 9821,
  [9975] = 8970,
  [9976] = 9897,
  [9977] = 9898,
  [9978] = 9978,
  [9979] = 9947,
  [9980] = 9949,
  [9981] = 9981,
  [9982] = 9982,
  [9983] = 9983,
  [9984] = 9984,
  [9985] = 9981,
  [9986] = 9982,
  [9987] = 9987,
  [9988] = 9988,
  [9989] = 9989,
  [9990] = 9990,
  [9991] = 9991,
  [9992] = 9992,
  [9993] = 9993,
  [9994] = 9994,
  [9995] = 9995,
  [9996] = 9996,
  [9997] = 9997,
  [9998] = 9983,
  [9999] = 9999,
  [10000] = 10000,
  [10001] = 10001,
  [10002] = 10002,
  [10003] = 10003,
  [10004] = 10004,
  [10005] = 9130,
  [10006] = 8979,
  [10007] = 9984,
  [10008] = 10008,
  [10009] = 10009,
  [10010] = 10010,
  [10011] = 10011,
  [10012] = 9934,
  [10013] = 10013,
  [10014] = 10014,
  [10015] = 10015,
  [10016] = 9699,
  [10017] = 10017,
  [10018] = 9267,
  [10019] = 10019,
  [10020] = 10020,
  [10021] = 9703,
  [10022] = 9704,
  [10023] = 10023,
  [10024] = 10024,
  [10025] = 10025,
  [10026] = 10026,
  [10027] = 10027,
  [10028] = 9925,
  [10029] = 9706,
  [10030] = 10030,
  [10031] = 10031,
  [10032] = 10032,
  [10033] = 9950,
  [10034] = 10034,
  [10035] = 10035,
  [10036] = 10036,
  [10037] = 10037,
  [10038] = 10038,
  [10039] = 10039,
  [10040] = 10040,
  [10041] = 10041,
  [10042] = 10042,
  [10043] = 9751,
  [10044] = 10044,
  [10045] = 10045,
  [10046] = 10046,
  [10047] = 10047,
  [10048] = 10048,
  [10049] = 10049,
  [10050] = 10050,
  [10051] = 9692,
  [10052] = 10052,
  [10053] = 9973,
  [10054] = 10054,
  [10055] = 10055,
  [10056] = 10056,
  [10057] = 9995,
  [10058] = 10058,
  [10059] = 10059,
  [10060] = 10060,
  [10061] = 10061,
  [10062] = 10062,
  [10063] = 9775,
  [10064] = 10064,
  [10065] = 10065,
  [10066] = 10066,
  [10067] = 9878,
  [10068] = 10068,
  [10069] = 10069,
  [10070] = 10070,
  [10071] = 9879,
  [10072] = 10072,
  [10073] = 10073,
  [10074] = 10074,
  [10075] = 10075,
  [10076] = 9690,
  [10077] = 10077,
  [10078] = 9930,
  [10079] = 10079,
  [10080] = 10080,
  [10081] = 10081,
  [10082] = 10082,
  [10083] = 10083,
  [10084] = 10084,
  [10085] = 10085,
  [10086] = 10086,
  [10087] = 10087,
  [10088] = 10088,
  [10089] = 9035,
  [10090] = 10090,
  [10091] = 9813,
  [10092] = 9829,
  [10093] = 9475,
  [10094] = 9752,
  [10095] = 9753,
  [10096] = 9904,
  [10097] = 10097,
  [10098] = 10098,
  [10099] = 9952,
  [10100] = 9257,
  [10101] = 9958,
  [10102] = 10102,
  [10103] = 9978,
  [10104] = 10104,
  [10105] = 9349,
  [10106] = 10097,
  [10107] = 10107,
  [10108] = 10108,
  [10109] = 10109,
  [10110] = 10110,
  [10111] = 10111,
  [10112] = 10112,
  [10113] = 10113,
  [10114] = 9698,
  [10115] = 10115,
  [10116] = 10116,
  [10117] = 10117,
  [10118] = 10118,
  [10119] = 10119,
  [10120] = 10020,
  [10121] = 10121,
  [10122] = 10068,
  [10123] = 9690,
  [10124] = 10124,
  [10125] = 10125,
  [10126] = 10126,
  [10127] = 10127,
  [10128] = 9917,
  [10129] = 9681,
  [10130] = 10130,
  [10131] = 10113,
  [10132] = 9072,
  [10133] = 10133,
  [10134] = 10134,
  [10135] = 9698,
  [10136] = 9700,
  [10137] = 6712,
  [10138] = 10138,
  [10139] = 10139,
  [10140] = 9191,
  [10141] = 9838,
  [10142] = 10142,
  [10143] = 10143,
  [10144] = 9849,
  [10145] = 9853,
  [10146] = 9681,
  [10147] = 9996,
  [10148] = 10068,
  [10149] = 10149,
  [10150] = 9939,
  [10151] = 10151,
  [10152] = 10152,
  [10153] = 10153,
  [10154] = 10069,
  [10155] = 10155,
  [10156] = 10156,
  [10157] = 10157,
  [10158] = 9326,
  [10159] = 9105,
  [10160] = 10160,
  [10161] = 10161,
  [10162] = 10036,
  [10163] = 9411,
  [10164] = 9414,
  [10165] = 10068,
  [10166] = 10156,
  [10167] = 9686,
  [10168] = 10168,
  [10169] = 9783,
  [10170] = 10170,
  [10171] = 9684,
  [10172] = 9681,
  [10173] = 9788,
  [10174] = 9951,
  [10175] = 10085,
  [10176] = 9686,
  [10177] = 10177,
  [10178] = 10097,
  [10179] = 10179,
  [10180] = 10180,
  [10181] = 9788,
  [10182] = 10182,
  [10183] = 9681,
  [10184] = 10087,
  [10185] = 9698,
  [10186] = 10168,
  [10187] = 9690,
  [10188] = 10088,
  [10189] = 9106,
  [10190] = 9689,
  [10191] = 9676,
  [10192] = 10065,
  [10193] = 10193,
  [10194] = 10194,
  [10195] = 10195,
  [10196] = 10196,
  [10197] = 10036,
  [10198] = 10198,
  [10199] = 10050,
  [10200] = 8904,
  [10201] = 10201,
  [10202] = 10202,
  [10203] = 10203,
  [10204] = 10204,
  [10205] = 10205,
  [10206] = 10206,
  [10207] = 10113,
  [10208] = 9690,
  [10209] = 10209,
  [10210] = 8935,
  [10211] = 10211,
  [10212] = 9937,
  [10213] = 10213,
  [10214] = 9026,
  [10215] = 10215,
  [10216] = 9690,
  [10217] = 10196,
  [10218] = 10218,
  [10219] = 10215,
  [10220] = 8954,
  [10221] = 10090,
  [10222] = 9038,
  [10223] = 9039,
  [10224] = 9469,
  [10225] = 10225,
  [10226] = 10226,
  [10227] = 10227,
  [10228] = 8905,
  [10229] = 8906,
  [10230] = 8907,
  [10231] = 10231,
  [10232] = 10232,
  [10233] = 8908,
  [10234] = 10234,
  [10235] = 10235,
  [10236] = 10160,
  [10237] = 9756,
  [10238] = 10238,
  [10239] = 9759,
  [10240] = 8943,
  [10241] = 8944,
  [10242] = 8945,
  [10243] = 10243,
  [10244] = 8965,
  [10245] = 8966,
  [10246] = 8968,
  [10247] = 9885,
  [10248] = 8975,
  [10249] = 8978,
  [10250] = 10250,
  [10251] = 10251,
  [10252] = 10252,
  [10253] = 10036,
  [10254] = 9698,
  [10255] = 9685,
  [10256] = 9697,
  [10257] = 10257,
  [10258] = 9886,
  [10259] = 9128,
  [10260] = 9135,
  [10261] = 10261,
  [10262] = 9758,
  [10263] = 10263,
  [10264] = 10264,
  [10265] = 10265,
  [10266] = 10266,
  [10267] = 9762,
  [10268] = 10268,
  [10269] = 9681,
  [10270] = 10097,
  [10271] = 10271,
  [10272] = 9788,
  [10273] = 10273,
  [10274] = 10274,
  [10275] = 10149,
  [10276] = 10276,
  [10277] = 10277,
  [10278] = 10218,
  [10279] = 10227,
  [10280] = 9756,
  [10281] = 10281,
  [10282] = 10282,
  [10283] = 9153,
  [10284] = 10156,
  [10285] = 10285,
  [10286] = 10286,
  [10287] = 9703,
  [10288] = 10288,
  [10289] = 9282,
  [10290] = 9285,
  [10291] = 10291,
  [10292] = 10292,
  [10293] = 9290,
  [10294] = 10294,
  [10295] = 10055,
  [10296] = 10296,
  [10297] = 10218,
  [10298] = 10227,
  [10299] = 9756,
  [10300] = 10060,
  [10301] = 10301,
  [10302] = 9305,
  [10303] = 9306,
  [10304] = 10073,
  [10305] = 10074,
  [10306] = 10306,
  [10307] = 10307,
  [10308] = 10081,
  [10309] = 10218,
  [10310] = 10227,
  [10311] = 9756,
  [10312] = 10083,
  [10313] = 10313,
  [10314] = 10111,
  [10315] = 10116,
  [10316] = 10316,
  [10317] = 10118,
  [10318] = 10121,
  [10319] = 10124,
  [10320] = 9374,
  [10321] = 10125,
  [10322] = 9387,
  [10323] = 9395,
  [10324] = 10133,
  [10325] = 10325,
  [10326] = 9684,
  [10327] = 10327,
  [10328] = 10328,
  [10329] = 9780,
  [10330] = 9686,
  [10331] = 8972,
  [10332] = 10332,
  [10333] = 9689,
  [10334] = 10334,
  [10335] = 10335,
  [10336] = 10336,
  [10337] = 10337,
  [10338] = 10338,
  [10339] = 10339,
  [10340] = 10340,
  [10341] = 10341,
  [10342] = 9960,
  [10343] = 9511,
  [10344] = 9512,
  [10345] = 9519,
  [10346] = 9690,
  [10347] = 10347,
  [10348] = 9885,
  [10349] = 9527,
  [10350] = 9528,
  [10351] = 10351,
  [10352] = 10328,
  [10353] = 9891,
  [10354] = 10354,
  [10355] = 9780,
  [10356] = 10356,
  [10357] = 10357,
  [10358] = 10358,
  [10359] = 10359,
  [10360] = 9903,
  [10361] = 10168,
  [10362] = 9903,
  [10363] = 9543,
  [10364] = 10364,
  [10365] = 10334,
  [10366] = 9908,
  [10367] = 10336,
  [10368] = 10368,
  [10369] = 9920,
  [10370] = 9937,
  [10371] = 10371,
  [10372] = 10372,
  [10373] = 9559,
  [10374] = 10372,
  [10375] = 10375,
  [10376] = 10376,
  [10377] = 10377,
  [10378] = 10378,
  [10379] = 9582,
  [10380] = 9698,
  [10381] = 9907,
  [10382] = 9583,
  [10383] = 9586,
  [10384] = 9588,
  [10385] = 9590,
  [10386] = 9591,
  [10387] = 9681,
  [10388] = 10156,
  [10389] = 10378,
  [10390] = 10390,
  [10391] = 10391,
  [10392] = 10392,
  [10393] = 10393,
  [10394] = 10394,
  [10395] = 10395,
  [10396] = 10225,
  [10397] = 9686,
  [10398] = 10226,
  [10399] = 9908,
  [10400] = 10400,
  [10401] = 9689,
  [10402] = 10402,
  [10403] = 9910,
  [10404] = 10404,
  [10405] = 9905,
  [10406] = 9690,
  [10407] = 9893,
  [10408] = 10227,
  [10409] = 8971,
  [10410] = 9876,
  [10411] = 9682,
  [10412] = 10232,
  [10413] = 10413,
  [10414] = 9911,
  [10415] = 10113,
  [10416] = 9928,
  [10417] = 9912,
  [10418] = 8985,
  [10419] = 10234,
  [10420] = 10235,
  [10421] = 9698,
  [10422] = 10422,
  [10423] = 10238,
  [10424] = 10218,
  [10425] = 10425,
  [10426] = 10227,
  [10427] = 10243,
  [10428] = 9030,
  [10429] = 9031,
  [10430] = 9756,
  [10431] = 10431,
  [10432] = 10432,
  [10433] = 10391,
  [10434] = 10218,
  [10435] = 9041,
  [10436] = 10436,
  [10437] = 9812,
  [10438] = 9681,
  [10439] = 10257,
  [10440] = 9051,
  [10441] = 9053,
  [10442] = 10354,
  [10443] = 10364,
  [10444] = 9935,
  [10445] = 9951,
  [10446] = 9058,
  [10447] = 9060,
  [10448] = 9686,
  [10449] = 9061,
  [10450] = 9064,
  [10451] = 10393,
  [10452] = 10400,
  [10453] = 10453,
  [10454] = 10395,
  [10455] = 9689,
  [10456] = 10402,
  [10457] = 10457,
  [10458] = 10458,
  [10459] = 10459,
  [10460] = 9690,
  [10461] = 9782,
  [10462] = 10306,
  [10463] = 10463,
  [10464] = 10250,
  [10465] = 10465,
  [10466] = 10466,
  [10467] = 9689,
  [10468] = 9698,
  [10469] = 9913,
  [10470] = 10470,
  [10471] = 10177,
  [10472] = 10404,
  [10473] = 10252,
  [10474] = 10281,
  [10475] = 10070,
  [10476] = 10377,
  [10477] = 10477,
  [10478] = 10478,
  [10479] = 10479,
  [10480] = 10480,
  [10481] = 10481,
  [10482] = 10482,
  [10483] = 9883,
  [10484] = 10484,
  [10485] = 10485,
  [10486] = 9749,
  [10487] = 10487,
  [10488] = 10488,
  [10489] = 10489,
  [10490] = 10490,
  [10491] = 10491,
  [10492] = 10492,
  [10493] = 10493,
  [10494] = 10494,
  [10495] = 10495,
  [10496] = 10496,
  [10497] = 10497,
  [10498] = 10498,
  [10499] = 10499,
  [10500] = 10500,
  [10501] = 10501,
  [10502] = 10481,
  [10503] = 10503,
  [10504] = 10504,
  [10505] = 10505,
  [10506] = 10506,
  [10507] = 10507,
  [10508] = 10508,
  [10509] = 10490,
  [10510] = 10510,
  [10511] = 10511,
  [10512] = 10512,
  [10513] = 10513,
  [10514] = 10514,
  [10515] = 10515,
  [10516] = 10481,
  [10517] = 10517,
  [10518] = 10518,
  [10519] = 10519,
  [10520] = 10520,
  [10521] = 10521,
  [10522] = 10494,
  [10523] = 10523,
  [10524] = 10515,
  [10525] = 10525,
  [10526] = 10526,
  [10527] = 10527,
  [10528] = 10528,
  [10529] = 10529,
  [10530] = 10530,
  [10531] = 10531,
  [10532] = 10532,
  [10533] = 10533,
  [10534] = 10534,
  [10535] = 10535,
  [10536] = 10536,
  [10537] = 10537,
  [10538] = 10182,
  [10539] = 10539,
  [10540] = 10540,
  [10541] = 10541,
  [10542] = 10542,
  [10543] = 10543,
  [10544] = 10544,
  [10545] = 10545,
  [10546] = 10546,
  [10547] = 10547,
  [10548] = 10548,
  [10549] = 10549,
  [10550] = 10550,
  [10551] = 10551,
  [10552] = 10552,
  [10553] = 10553,
  [10554] = 10547,
  [10555] = 9987,
  [10556] = 10556,
  [10557] = 10557,
  [10558] = 10558,
  [10559] = 10327,
  [10560] = 9988,
  [10561] = 10561,
  [10562] = 10562,
  [10563] = 10563,
  [10564] = 9989,
  [10565] = 10565,
  [10566] = 10566,
  [10567] = 10567,
  [10568] = 10568,
  [10569] = 10569,
  [10570] = 10570,
  [10571] = 10571,
  [10572] = 10572,
  [10573] = 9890,
  [10574] = 10574,
  [10575] = 10575,
  [10576] = 10576,
  [10577] = 10577,
  [10578] = 10578,
  [10579] = 10491,
  [10580] = 10580,
  [10581] = 10581,
  [10582] = 10582,
  [10583] = 10583,
  [10584] = 10584,
  [10585] = 10585,
  [10586] = 10561,
  [10587] = 10480,
  [10588] = 10481,
  [10589] = 10589,
  [10590] = 10590,
  [10591] = 10591,
  [10592] = 10482,
  [10593] = 10593,
  [10594] = 9990,
  [10595] = 10515,
  [10596] = 9738,
  [10597] = 10487,
  [10598] = 10598,
  [10599] = 10491,
  [10600] = 10282,
  [10601] = 10601,
  [10602] = 10489,
  [10603] = 10603,
  [10604] = 10492,
  [10605] = 10494,
  [10606] = 9991,
  [10607] = 10607,
  [10608] = 10493,
  [10609] = 10495,
  [10610] = 10610,
  [10611] = 9992,
  [10612] = 10500,
  [10613] = 10499,
  [10614] = 10501,
  [10615] = 9993,
  [10616] = 10505,
  [10617] = 10617,
  [10618] = 10618,
  [10619] = 10507,
  [10620] = 10504,
  [10621] = 10510,
  [10622] = 10506,
  [10623] = 10508,
  [10624] = 10490,
  [10625] = 10581,
  [10626] = 10626,
  [10627] = 10627,
  [10628] = 10515,
  [10629] = 10629,
  [10630] = 10630,
  [10631] = 10457,
  [10632] = 10492,
  [10633] = 10458,
  [10634] = 10634,
  [10635] = 10635,
  [10636] = 9999,
  [10637] = 10000,
  [10638] = 10001,
  [10639] = 10002,
  [10640] = 10003,
  [10641] = 10641,
  [10642] = 10642,
  [10643] = 10004,
  [10644] = 10644,
  [10645] = 10547,
  [10646] = 10494,
  [10647] = 10561,
  [10648] = 10648,
  [10649] = 10649,
  [10650] = 10079,
  [10651] = 10651,
  [10652] = 10652,
  [10653] = 10653,
  [10654] = 10459,
  [10655] = 10655,
  [10656] = 10008,
  [10657] = 10481,
  [10658] = 10581,
  [10659] = 10133,
  [10660] = 10009,
  [10661] = 10661,
  [10662] = 10010,
  [10663] = 9892,
  [10664] = 10481,
  [10665] = 10561,
  [10666] = 10666,
  [10667] = 10491,
  [10668] = 10492,
  [10669] = 10013,
  [10670] = 10014,
  [10671] = 10015,
  [10672] = 10494,
  [10673] = 10673,
  [10674] = 10019,
  [10675] = 10675,
  [10676] = 9712,
  [10677] = 10677,
  [10678] = 9713,
  [10679] = 10679,
  [10680] = 10680,
  [10681] = 10500,
  [10682] = 10491,
  [10683] = 9715,
  [10684] = 10503,
  [10685] = 10504,
  [10686] = 10686,
  [10687] = 10570,
  [10688] = 10506,
  [10689] = 10520,
  [10690] = 10023,
  [10691] = 10024,
  [10692] = 10692,
  [10693] = 10025,
  [10694] = 10694,
  [10695] = 10026,
  [10696] = 10508,
  [10697] = 10697,
  [10698] = 10698,
  [10699] = 10590,
  [10700] = 10700,
  [10701] = 10701,
  [10702] = 10490,
  [10703] = 10703,
  [10704] = 10704,
  [10705] = 10027,
  [10706] = 10500,
  [10707] = 10707,
  [10708] = 10708,
  [10709] = 10679,
  [10710] = 10710,
  [10711] = 10711,
  [10712] = 10712,
  [10713] = 10030,
  [10714] = 10031,
  [10715] = 10715,
  [10716] = 10716,
  [10717] = 10717,
  [10718] = 10032,
  [10719] = 10598,
  [10720] = 10720,
  [10721] = 10034,
  [10722] = 9680,
  [10723] = 10711,
  [10724] = 10035,
  [10725] = 10466,
  [10726] = 10470,
  [10727] = 10037,
  [10728] = 9709,
  [10729] = 10038,
  [10730] = 10039,
  [10731] = 10040,
  [10732] = 10732,
  [10733] = 10733,
  [10734] = 10201,
  [10735] = 10203,
  [10736] = 10041,
  [10737] = 10617,
  [10738] = 10042,
  [10739] = 10044,
  [10740] = 10045,
  [10741] = 10046,
  [10742] = 10047,
  [10743] = 10048,
  [10744] = 10607,
  [10745] = 10049,
  [10746] = 10581,
  [10747] = 10515,
  [10748] = 10491,
  [10749] = 10653,
  [10750] = 10750,
  [10751] = 10492,
  [10752] = 10752,
  [10753] = 10753,
  [10754] = 10547,
  [10755] = 7102,
  [10756] = 10494,
  [10757] = 10757,
  [10758] = 10758,
  [10759] = 10759,
  [10760] = 10760,
  [10761] = 10547,
  [10762] = 10500,
  [10763] = 10561,
  [10764] = 10764,
  [10765] = 10765,
  [10766] = 10481,
  [10767] = 9832,
  [10768] = 10561,
  [10769] = 10720,
  [10770] = 10770,
  [10771] = 10771,
  [10772] = 9846,
  [10773] = 10773,
  [10774] = 10581,
  [10775] = 10504,
  [10776] = 9716,
  [10777] = 10777,
  [10778] = 10481,
  [10779] = 10581,
  [10780] = 10506,
  [10781] = 10508,
  [10782] = 10490,
  [10783] = 10783,
  [10784] = 10773,
  [10785] = 10491,
  [10786] = 10786,
  [10787] = 10481,
  [10788] = 10788,
  [10789] = 10492,
  [10790] = 10494,
  [10791] = 10777,
  [10792] = 9764,
  [10793] = 10500,
  [10794] = 10492,
  [10795] = 10478,
  [10796] = 10077,
  [10797] = 10515,
  [10798] = 9765,
  [10799] = 9767,
  [10800] = 10504,
  [10801] = 10506,
  [10802] = 10508,
  [10803] = 10084,
  [10804] = 10490,
  [10805] = 10805,
  [10806] = 10806,
  [10807] = 10807,
  [10808] = 10515,
  [10809] = 10504,
  [10810] = 10810,
  [10811] = 10491,
  [10812] = 10770,
  [10813] = 10492,
  [10814] = 10494,
  [10815] = 10504,
  [10816] = 10786,
  [10817] = 10504,
  [10818] = 10506,
  [10819] = 10500,
  [10820] = 10820,
  [10821] = 10821,
  [10822] = 10497,
  [10823] = 10506,
  [10824] = 10824,
  [10825] = 10500,
  [10826] = 10553,
  [10827] = 10180,
  [10828] = 10508,
  [10829] = 10490,
  [10830] = 10764,
  [10831] = 10508,
  [10832] = 10547,
  [10833] = 10833,
  [10834] = 10506,
  [10835] = 10835,
  [10836] = 10500,
  [10837] = 10490,
  [10838] = 10838,
  [10839] = 10839,
  [10840] = 10840,
  [10841] = 10841,
  [10842] = 10504,
  [10843] = 10843,
  [10844] = 10844,
  [10845] = 10845,
  [10846] = 10846,
  [10847] = 10847,
  [10848] = 10848,
  [10849] = 10506,
  [10850] = 10850,
  [10851] = 10851,
  [10852] = 10852,
  [10853] = 10853,
  [10854] = 10490,
  [10855] = 10855,
  [10856] = 10856,
  [10857] = 10581,
  [10858] = 10508,
  [10859] = 10859,
  [10860] = 10490,
  [10861] = 10861,
  [10862] = 10508,
  [10863] = 10863,
  [10864] = 10547,
  [10865] = 7102,
  [10866] = 10347,
  [10867] = 10867,
  [10868] = 10356,
  [10869] = 10359,
  [10870] = 10870,
  [10871] = 10490,
  [10872] = 10494,
  [10873] = 10873,
  [10874] = 10874,
  [10875] = 10431,
  [10876] = 10432,
  [10877] = 10877,
  [10878] = 10707,
  [10879] = 10481,
  [10880] = 10561,
  [10881] = 10436,
  [10882] = 10490,
  [10883] = 10515,
  [10884] = 10598,
  [10885] = 10607,
  [10886] = 10886,
  [10887] = 10887,
  [10888] = 10888,
  [10889] = 10581,
  [10890] = 10515,
  [10891] = 10891,
  [10892] = 10892,
  [10893] = 10893,
  [10894] = 10393,
  [10895] = 10050,
  [10896] = 10561,
  [10897] = 9692,
  [10898] = 10898,
  [10899] = 10213,
  [10900] = 10900,
  [10901] = 10901,
  [10902] = 10400,
  [10903] = 10481,
  [10904] = 10673,
  [10905] = 10463,
  [10906] = 10861,
  [10907] = 9814,
  [10908] = 10908,
  [10909] = 10593,
  [10910] = 9733,
  [10911] = 10911,
  [10912] = 10491,
  [10913] = 9915,
  [10914] = 10914,
  [10915] = 10861,
  [10916] = 9916,
  [10917] = 10917,
  [10918] = 10918,
  [10919] = 10065,
  [10920] = 10492,
  [10921] = 10153,
  [10922] = 10922,
  [10923] = 10923,
  [10924] = 10924,
  [10925] = 10925,
  [10926] = 10926,
  [10927] = 10927,
  [10928] = 10494,
  [10929] = 10198,
  [10930] = 10206,
  [10931] = 10500,
  [10932] = 10932,
  [10933] = 10933,
  [10934] = 10863,
  [10935] = 10935,
  [10936] = 10888,
  [10937] = 10937,
  [10938] = 10938,
  [10939] = 10863,
  [10940] = 10500,
  [10941] = 10870,
  [10942] = 9717,
  [10943] = 10788,
  [10944] = 10944,
  [10945] = 10945,
  [10946] = 10518,
  [10947] = 10947,
  [10948] = 10504,
  [10949] = 10506,
  [10950] = 10508,
  [10951] = 10490,
  [10952] = 10500,
  [10953] = 10515,
  [10954] = 10413,
  [10955] = 10955,
  [10956] = 10870,
  [10957] = 10957,
  [10958] = 10958,
  [10959] = 10959,
  [10960] = 10960,
  [10961] = 10422,
  [10962] = 9816,
  [10963] = 10963,
  [10964] = 10627,
  [10965] = 10965,
  [10966] = 10425,
  [10967] = 10965,
  [10968] = 10968,
  [10969] = 10944,
  [10970] = 10541,
  [10971] = 10971,
  [10972] = 10511,
  [10973] = 10973,
  [10974] = 10523,
  [10975] = 10547,
  [10976] = 10757,
  [10977] = 10977,
  [10978] = 10978,
  [10979] = 10979,
  [10980] = 10980,
  [10981] = 10981,
  [10982] = 10548,
  [10983] = 10589,
  [10984] = 10984,
  [10985] = 9718,
  [10986] = 9923,
  [10987] = 10987,
  [10988] = 10988,
  [10989] = 10989,
  [10990] = 10547,
  [10991] = 10991,
  [10992] = 10992,
  [10993] = 10993,
  [10994] = 10994,
  [10995] = 10561,
  [10996] = 10938,
  [10997] = 9722,
  [10998] = 9691,
  [10999] = 9725,
  [11000] = 11000,
  [11001] = 10760,
  [11002] = 10771,
  [11003] = 10635,
  [11004] = 10821,
  [11005] = 10525,
  [11006] = 11006,
  [11007] = 10991,
  [11008] = 10547,
  [11009] = 9772,
  [11010] = 10994,
  [11011] = 10526,
  [11012] = 11006,
  [11013] = 10561,
  [11014] = 10918,
  [11015] = 11015,
  [11016] = 10581,
  [11017] = 11017,
  [11018] = 9776,
  [11019] = 11019,
  [11020] = 11020,
  [11021] = 11021,
  [11022] = 11022,
  [11023] = 10481,
  [11024] = 11024,
  [11025] = 10581,
  [11026] = 11026,
  [11027] = 11027,
  [11028] = 9751,
  [11029] = 9918,
  [11030] = 10841,
  [11031] = 9922,
  [11032] = 9926,
  [11033] = 9927,
  [11034] = 9929,
  [11035] = 10824,
  [11036] = 11036,
  [11037] = 9931,
  [11038] = 11038,
  [11039] = 9752,
  [11040] = 9966,
  [11041] = 9970,
  [11042] = 9971,
  [11043] = 11043,
  [11044] = 9753,
  [11045] = 10481,
  [11046] = 11036,
  [11047] = 11047,
  [11048] = 11047,
  [11049] = 9997,
  [11050] = 11050,
  [11051] = 11050,
  [11052] = 10547,
  [11053] = 10491,
  [11054] = 10492,
  [11055] = 10011,
  [11056] = 9933,
  [11057] = 10523,
  [11058] = 11058,
  [11059] = 9938,
  [11060] = 10841,
  [11061] = 10525,
  [11062] = 10526,
  [11063] = 11063,
  [11064] = 10494,
  [11065] = 9817,
  [11066] = 10581,
  [11067] = 10052,
  [11068] = 10500,
  [11069] = 10054,
  [11070] = 10561,
  [11071] = 10056,
  [11072] = 11072,
  [11073] = 10058,
  [11074] = 11074,
  [11075] = 11075,
  [11076] = 10504,
  [11077] = 10506,
  [11078] = 10508,
  [11079] = 10841,
  [11080] = 10059,
  [11081] = 10490,
  [11082] = 10924,
  [11083] = 11083,
  [11084] = 10515,
  [11085] = 11058,
  [11086] = 10061,
  [11087] = 10072,
  [11088] = 10539,
  [11089] = 11089,
  [11090] = 10075,
  [11091] = 10547,
  [11092] = 10491,
  [11093] = 11063,
  [11094] = 10080,
  [11095] = 11000,
  [11096] = 9747,
  [11097] = 11074,
  [11098] = 11098,
  [11099] = 10841,
  [11100] = 10082,
  [11101] = 11047,
  [11102] = 11050,
  [11103] = 10086,
  [11104] = 10107,
  [11105] = 10108,
  [11106] = 10109,
  [11107] = 10110,
  [11108] = 11108,
  [11109] = 10112,
  [11110] = 10115,
  [11111] = 11111,
  [11112] = 11074,
  [11113] = 10841,
  [11114] = 10117,
  [11115] = 10547,
  [11116] = 11116,
  [11117] = 10514,
  [11118] = 10593,
  [11119] = 10841,
  [11120] = 11120,
  [11121] = 10504,
  [11122] = 10492,
  [11123] = 10494,
  [11124] = 10841,
  [11125] = 10127,
  [11126] = 11000,
  [11127] = 10561,
  [11128] = 10835,
  [11129] = 10841,
  [11130] = 11130,
  [11131] = 10500,
  [11132] = 11132,
  [11133] = 10581,
  [11134] = 10841,
  [11135] = 11135,
  [11136] = 10568,
  [11137] = 10506,
  [11138] = 11138,
  [11139] = 10841,
  [11140] = 11140,
  [11141] = 9779,
  [11142] = 10161,
  [11143] = 11143,
  [11144] = 10841,
  [11145] = 10581,
  [11146] = 10504,
  [11147] = 10841,
  [11148] = 10506,
  [11149] = 10508,
  [11150] = 10490,
  [11151] = 11151,
  [11152] = 11152,
  [11153] = 10841,
  [11154] = 10635,
  [11155] = 11155,
  [11156] = 10481,
  [11157] = 10841,
  [11158] = 10481,
  [11159] = 10515,
  [11160] = 10629,
  [11161] = 10841,
  [11162] = 10193,
  [11163] = 10194,
  [11164] = 10195,
  [11165] = 10634,
  [11166] = 10202,
  [11167] = 10204,
  [11168] = 10205,
  [11169] = 10841,
  [11170] = 10209,
  [11171] = 10211,
  [11172] = 10497,
  [11173] = 10820,
  [11174] = 10720,
  [11175] = 10484,
  [11176] = 10841,
  [11177] = 10231,
  [11178] = 10841,
  [11179] = 10841,
  [11180] = 9724,
  [11181] = 11181,
  [11182] = 10261,
  [11183] = 11183,
  [11184] = 9828,
  [11185] = 10268,
  [11186] = 9705,
  [11187] = 10786,
  [11188] = 10561,
  [11189] = 10273,
  [11190] = 9790,
  [11191] = 9957,
  [11192] = 11192,
  [11193] = 11143,
  [11194] = 10285,
  [11195] = 10286,
  [11196] = 10288,
  [11197] = 10291,
  [11198] = 10887,
  [11199] = 9735,
  [11200] = 9848,
  [11201] = 11201,
  [11202] = 10891,
  [11203] = 11203,
  [11204] = 9959,
  [11205] = 10307,
  [11206] = 11206,
  [11207] = 11207,
  [11208] = 9961,
  [11209] = 10313,
  [11210] = 10491,
  [11211] = 10553,
  [11212] = 10492,
  [11213] = 10494,
  [11214] = 10517,
  [11215] = 11215,
  [11216] = 11216,
  [11217] = 11217,
  [11218] = 11218,
  [11219] = 10965,
  [11220] = 10886,
  [11221] = 10500,
  [11222] = 11222,
  [11223] = 11223,
  [11224] = 11224,
  [11225] = 10519,
  [11226] = 10504,
  [11227] = 10764,
  [11228] = 11228,
  [11229] = 10506,
  [11230] = 11230,
  [11231] = 10235,
  [11232] = 10508,
  [11233] = 10337,
  [11234] = 10338,
  [11235] = 10490,
  [11236] = 10339,
  [11237] = 10073,
  [11238] = 10074,
  [11239] = 10116,
  [11240] = 11240,
  [11241] = 9792,
  [11242] = 10340,
  [11243] = 10341,
  [11244] = 11244,
  [11245] = 11245,
  [11246] = 10351,
  [11247] = 10491,
  [11248] = 10357,
  [11249] = 10358,
  [11250] = 10334,
  [11251] = 10527,
  [11252] = 10528,
  [11253] = 10371,
  [11254] = 10515,
  [11255] = 10375,
  [11256] = 10492,
  [11257] = 11257,
  [11258] = 11258,
  [11259] = 11259,
  [11260] = 11260,
  [11261] = 11261,
  [11262] = 10529,
  [11263] = 10757,
  [11264] = 10547,
  [11265] = 9695,
  [11266] = 11266,
  [11267] = 11201,
  [11268] = 10530,
  [11269] = 10547,
  [11270] = 10392,
  [11271] = 10561,
  [11272] = 10494,
  [11273] = 10581,
  [11274] = 9730,
  [11275] = 10394,
  [11276] = 10561,
  [11277] = 11277,
  [11278] = 11278,
  [11279] = 11279,
  [11280] = 11280,
  [11281] = 11281,
  [11282] = 11282,
  [11283] = 9794,
  [11284] = 11284,
  [11285] = 10481,
  [11286] = 11286,
  [11287] = 9795,
  [11288] = 10478,
  [11289] = 10453,
  [11290] = 11290,
  [11291] = 11291,
  [11292] = 10533,
  [11293] = 11293,
  [11294] = 11294,
  [11295] = 11295,
  [11296] = 10581,
  [11297] = 11297,
  [11298] = 11298,
  [11299] = 10500,
  [11300] = 11300,
  [11301] = 11301,
  [11302] = 9799,
  [11303] = 11303,
  [11304] = 11304,
  [11305] = 11305,
  [11306] = 10841,
  [11307] = 10491,
  [11308] = 10492,
  [11309] = 11309,
  [11310] = 10494,
  [11311] = 10481,
  [11312] = 10098,
  [11313] = 10102,
  [11314] = 10104,
  [11315] = 10535,
  [11316] = 11316,
  [11317] = 10119,
  [11318] = 10500,
  [11319] = 10126,
  [11320] = 10477,
  [11321] = 11321,
  [11322] = 10151,
  [11323] = 11323,
  [11324] = 10504,
  [11325] = 10506,
  [11326] = 10508,
  [11327] = 11327,
  [11328] = 11328,
  [11329] = 10490,
  [11330] = 10537,
  [11331] = 9731,
  [11332] = 11244,
  [11333] = 9740,
  [11334] = 10515,
  [11335] = 10886,
  [11336] = 10917,
  [11337] = 11337,
  [11338] = 9996,
  [11339] = 9860,
  [11340] = 10958,
  [11341] = 9963,
  [11342] = 11342,
  [11343] = 11215,
  [11344] = 10504,
  [11345] = 10707,
  [11346] = 9820,
  [11347] = 11347,
  [11348] = 10506,
  [11349] = 11349,
  [11350] = 10225,
  [11351] = 9707,
  [11352] = 9837,
  [11353] = 10543,
  [11354] = 10491,
  [11355] = 11355,
  [11356] = 11207,
  [11357] = 10544,
  [11358] = 9877,
  [11359] = 10545,
  [11360] = 9954,
  [11361] = 10898,
  [11362] = 10900,
  [11363] = 10546,
  [11364] = 10492,
  [11365] = 9965,
  [11366] = 11366,
  [11367] = 9800,
  [11368] = 10494,
  [11369] = 10547,
  [11370] = 11370,
  [11371] = 10918,
  [11372] = 10924,
  [11373] = 9880,
  [11374] = 10508,
  [11375] = 10138,
  [11376] = 10551,
  [11377] = 10561,
  [11378] = 10500,
  [11379] = 10139,
  [11380] = 11380,
  [11381] = 10788,
  [11382] = 10142,
  [11383] = 10944,
  [11384] = 11294,
  [11385] = 10552,
  [11386] = 11386,
  [11387] = 10652,
  [11388] = 10143,
  [11389] = 10152,
  [11390] = 10155,
  [11391] = 10490,
  [11392] = 9968,
  [11393] = 10959,
  [11394] = 10960,
  [11395] = 11395,
  [11396] = 9881,
  [11397] = 11397,
  [11398] = 10485,
  [11399] = 11399,
  [11400] = 10541,
  [11401] = 9969,
  [11402] = 11402,
  [11403] = 10581,
  [11404] = 11404,
  [11405] = 10504,
  [11406] = 10506,
  [11407] = 10556,
  [11408] = 10557,
  [11409] = 10558,
  [11410] = 11410,
  [11411] = 10508,
  [11412] = 10263,
  [11413] = 10265,
  [11414] = 10266,
  [11415] = 10481,
  [11416] = 10271,
  [11417] = 10274,
  [11418] = 10292,
  [11419] = 10294,
  [11420] = 10296,
  [11421] = 10301,
  [11422] = 10490,
  [11423] = 11423,
  [11424] = 10332,
  [11425] = 10335,
  [11426] = 10867,
  [11427] = 10508,
  [11428] = 10877,
  [11429] = 10515,
  [11430] = 11284,
  [11431] = 10515,
  [11432] = 11432,
  [11433] = 10491,
  [11434] = 10492,
  [11435] = 11207,
  [11436] = 10494,
  [11437] = 10376,
  [11438] = 9801,
  [11439] = 10500,
  [11440] = 10562,
  [11441] = 11286,
  [11442] = 10563,
  [11443] = 10504,
  [11444] = 10506,
  [11445] = 10959,
  [11446] = 10581,
  [11447] = 10508,
  [11448] = 11089,
  [11449] = 10491,
  [11450] = 10490,
  [11451] = 9732,
  [11452] = 10547,
  [11453] = 10515,
  [11454] = 11454,
  [11455] = 11455,
  [11456] = 11456,
  [11457] = 10534,
  [11458] = 10569,
  [11459] = 10980,
  [11460] = 10512,
  [11461] = 10565,
  [11462] = 11021,
  [11463] = 11024,
  [11464] = 10922,
  [11465] = 10971,
  [11466] = 10892,
  [11467] = 10908,
  [11468] = 11217,
  [11469] = 10498,
  [11470] = 10933,
  [11471] = 10935,
  [11472] = 11108,
  [11473] = 11111,
  [11474] = 11230,
  [11475] = 11245,
  [11476] = 11342,
  [11477] = 10578,
  [11478] = 9687,
  [11479] = 10561,
  [11480] = 11480,
  [11481] = 11481,
  [11482] = 10491,
  [11483] = 11297,
  [11484] = 11484,
  [11485] = 10492,
  [11486] = 10492,
  [11487] = 10494,
  [11488] = 11019,
  [11489] = 11224,
  [11490] = 11203,
  [11491] = 10513,
  [11492] = 11151,
  [11493] = 10955,
  [11494] = 11432,
  [11495] = 10540,
  [11496] = 9882,
  [11497] = 10547,
  [11498] = 10580,
  [11499] = 10627,
  [11500] = 10582,
  [11501] = 11501,
  [11502] = 10561,
  [11503] = 9729,
  [11504] = 10515,
  [11505] = 11370,
  [11506] = 11120,
  [11507] = 10500,
  [11508] = 11130,
  [11509] = 10898,
  [11510] = 10581,
  [11511] = 11132,
  [11512] = 11512,
  [11513] = 10900,
  [11514] = 10585,
  [11515] = 10960,
  [11516] = 10947,
  [11517] = 11517,
  [11518] = 11518,
  [11519] = 11519,
  [11520] = 11520,
  [11521] = 11521,
  [11522] = 11520,
  [11523] = 11523,
  [11524] = 11524,
  [11525] = 10805,
  [11526] = 11526,
  [11527] = 10806,
  [11528] = 11519,
  [11529] = 11523,
  [11530] = 10810,
  [11531] = 11520,
  [11532] = 11523,
  [11533] = 11524,
  [11534] = 11534,
  [11535] = 11535,
  [11536] = 11536,
  [11537] = 11517,
  [11538] = 11538,
  [11539] = 11539,
  [11540] = 11524,
  [11541] = 11541,
  [11542] = 11542,
  [11543] = 11543,
  [11544] = 11544,
  [11545] = 11545,
  [11546] = 11546,
  [11547] = 11547,
  [11548] = 11548,
  [11549] = 11549,
  [11550] = 11550,
  [11551] = 11551,
  [11552] = 11552,
  [11553] = 11553,
  [11554] = 11520,
  [11555] = 11523,
  [11556] = 11556,
  [11557] = 11524,
  [11558] = 11558,
  [11559] = 11559,
  [11560] = 11560,
  [11561] = 11561,
  [11562] = 11562,
  [11563] = 11563,
  [11564] = 11564,
  [11565] = 11565,
  [11566] = 10833,
  [11567] = 11567,
  [11568] = 11568,
  [11569] = 11536,
  [11570] = 11570,
  [11571] = 11571,
  [11572] = 11572,
  [11573] = 11573,
  [11574] = 11574,
  [11575] = 11575,
  [11576] = 11576,
  [11577] = 11577,
  [11578] = 11578,
  [11579] = 11579,
  [11580] = 11580,
  [11581] = 11581,
  [11582] = 11582,
  [11583] = 11098,
  [11584] = 11584,
  [11585] = 11585,
  [11586] = 11586,
  [11587] = 11587,
  [11588] = 11588,
  [11589] = 11589,
  [11590] = 11590,
  [11591] = 10845,
  [11592] = 11592,
  [11593] = 11593,
  [11594] = 11594,
  [11595] = 11595,
  [11596] = 11596,
  [11597] = 11597,
  [11598] = 11598,
  [11599] = 11519,
  [11600] = 11600,
  [11601] = 11601,
  [11602] = 10851,
  [11603] = 11603,
  [11604] = 11604,
  [11605] = 11605,
  [11606] = 11606,
  [11607] = 11607,
  [11608] = 11608,
  [11609] = 11609,
  [11610] = 11610,
  [11611] = 11611,
  [11612] = 11612,
  [11613] = 11613,
  [11614] = 11614,
  [11615] = 11615,
  [11616] = 11616,
  [11617] = 11617,
  [11618] = 11618,
  [11619] = 11619,
  [11620] = 11620,
  [11621] = 11593,
  [11622] = 11622,
  [11623] = 11623,
  [11624] = 11624,
  [11625] = 11568,
  [11626] = 11626,
  [11627] = 11627,
  [11628] = 11628,
  [11629] = 11580,
  [11630] = 11630,
  [11631] = 11589,
  [11632] = 11632,
  [11633] = 11633,
  [11634] = 11520,
  [11635] = 11523,
  [11636] = 11524,
  [11637] = 11637,
  [11638] = 11638,
  [11639] = 11639,
  [11640] = 11640,
  [11641] = 10855,
  [11642] = 11534,
  [11643] = 11643,
  [11644] = 11644,
  [11645] = 11640,
  [11646] = 11646,
  [11647] = 11647,
  [11648] = 11594,
  [11649] = 11595,
  [11650] = 11650,
  [11651] = 11651,
  [11652] = 11652,
  [11653] = 11653,
  [11654] = 11654,
  [11655] = 11655,
  [11656] = 11656,
  [11657] = 11657,
  [11658] = 11658,
  [11659] = 11659,
  [11660] = 11660,
  [11661] = 11661,
  [11662] = 11662,
  [11663] = 11663,
  [11664] = 11664,
  [11665] = 11562,
  [11666] = 11577,
  [11667] = 11667,
  [11668] = 11668,
  [11669] = 11669,
  [11670] = 11670,
  [11671] = 10901,
  [11672] = 11672,
  [11673] = 11597,
  [11674] = 11674,
  [11675] = 11597,
  [11676] = 11676,
  [11677] = 11519,
  [11678] = 11678,
  [11679] = 11519,
  [11680] = 11585,
  [11681] = 11681,
  [11682] = 11682,
  [11683] = 11683,
  [11684] = 11684,
  [11685] = 11685,
  [11686] = 11686,
  [11687] = 11687,
  [11688] = 11688,
  [11689] = 11689,
  [11690] = 11690,
  [11691] = 11628,
  [11692] = 11692,
  [11693] = 11603,
  [11694] = 11694,
  [11695] = 11695,
  [11696] = 11696,
  [11697] = 11697,
  [11698] = 11698,
  [11699] = 11643,
  [11700] = 11654,
  [11701] = 11701,
  [11702] = 11655,
  [11703] = 11644,
  [11704] = 11601,
  [11705] = 11605,
  [11706] = 11706,
  [11707] = 11707,
  [11708] = 11520,
  [11709] = 11523,
  [11710] = 11524,
  [11711] = 11711,
  [11712] = 11712,
  [11713] = 11713,
  [11714] = 11536,
  [11715] = 11668,
  [11716] = 11716,
  [11717] = 11717,
  [11718] = 11718,
  [11719] = 11719,
  [11720] = 11720,
  [11721] = 11638,
  [11722] = 11722,
  [11723] = 11640,
  [11724] = 11656,
  [11725] = 11643,
  [11726] = 11644,
  [11727] = 11521,
  [11728] = 10911,
  [11729] = 11729,
  [11730] = 11597,
  [11731] = 11639,
  [11732] = 11519,
  [11733] = 11733,
  [11734] = 11734,
  [11735] = 11735,
  [11736] = 10852,
  [11737] = 11737,
  [11738] = 10873,
  [11739] = 10914,
  [11740] = 11606,
  [11741] = 11261,
  [11742] = 11183,
  [11743] = 10973,
  [11744] = 11480,
  [11745] = 11548,
  [11746] = 11549,
  [11747] = 11563,
  [11748] = 11748,
  [11749] = 11749,
  [11750] = 11750,
  [11751] = 11571,
  [11752] = 11752,
  [11753] = 11571,
  [11754] = 11581,
  [11755] = 11755,
  [11756] = 11600,
  [11757] = 11757,
  [11758] = 11603,
  [11759] = 11759,
  [11760] = 10874,
  [11761] = 11626,
  [11762] = 11638,
  [11763] = 11594,
  [11764] = 10838,
  [11765] = 11548,
  [11766] = 11549,
  [11767] = 11563,
  [11768] = 10839,
  [11769] = 10840,
  [11770] = 11520,
  [11771] = 11523,
  [11772] = 11524,
  [11773] = 11520,
  [11774] = 10927,
  [11775] = 11581,
  [11776] = 11600,
  [11777] = 11603,
  [11778] = 11523,
  [11779] = 11281,
  [11780] = 11524,
  [11781] = 11626,
  [11782] = 11782,
  [11783] = 10925,
  [11784] = 10981,
  [11785] = 11638,
  [11786] = 11786,
  [11787] = 11609,
  [11788] = 11594,
  [11789] = 11548,
  [11790] = 11549,
  [11791] = 11563,
  [11792] = 11610,
  [11793] = 11581,
  [11794] = 11600,
  [11795] = 11795,
  [11796] = 11603,
  [11797] = 11626,
  [11798] = 11798,
  [11799] = 11638,
  [11800] = 11800,
  [11801] = 11594,
  [11802] = 11548,
  [11803] = 11563,
  [11804] = 11181,
  [11805] = 10977,
  [11806] = 11279,
  [11807] = 11584,
  [11808] = 11581,
  [11809] = 10978,
  [11810] = 11600,
  [11811] = 11597,
  [11812] = 11519,
  [11813] = 11603,
  [11814] = 11814,
  [11815] = 11815,
  [11816] = 11626,
  [11817] = 11817,
  [11818] = 11638,
  [11819] = 11594,
  [11820] = 11548,
  [11821] = 11563,
  [11822] = 11423,
  [11823] = 10479,
  [11824] = 10488,
  [11825] = 10532,
  [11826] = 10591,
  [11827] = 10979,
  [11828] = 10661,
  [11829] = 11581,
  [11830] = 11600,
  [11831] = 11603,
  [11832] = 11832,
  [11833] = 11626,
  [11834] = 10992,
  [11835] = 11638,
  [11836] = 11594,
  [11837] = 11548,
  [11838] = 11563,
  [11839] = 11404,
  [11840] = 11717,
  [11841] = 11841,
  [11842] = 11842,
  [11843] = 10783,
  [11844] = 11844,
  [11845] = 11581,
  [11846] = 11600,
  [11847] = 11520,
  [11848] = 11523,
  [11849] = 11603,
  [11850] = 10853,
  [11851] = 11524,
  [11852] = 10856,
  [11853] = 11626,
  [11854] = 11638,
  [11855] = 11594,
  [11856] = 11548,
  [11857] = 11563,
  [11858] = 11600,
  [11859] = 11859,
  [11860] = 11548,
  [11861] = 11563,
  [11862] = 11862,
  [11863] = 11863,
  [11864] = 11600,
  [11865] = 11548,
  [11866] = 11563,
  [11867] = 11600,
  [11868] = 11868,
  [11869] = 11548,
  [11870] = 11563,
  [11871] = 11871,
  [11872] = 11600,
  [11873] = 11592,
  [11874] = 11597,
  [11875] = 11875,
  [11876] = 11519,
  [11877] = 11548,
  [11878] = 11563,
  [11879] = 11879,
  [11880] = 11595,
  [11881] = 11586,
  [11882] = 10984,
  [11883] = 11600,
  [11884] = 11584,
  [11885] = 11885,
  [11886] = 11886,
  [11887] = 11520,
  [11888] = 11548,
  [11889] = 11563,
  [11890] = 11347,
  [11891] = 11734,
  [11892] = 11523,
  [11893] = 11524,
  [11894] = 11663,
  [11895] = 11600,
  [11896] = 11896,
  [11897] = 11548,
  [11898] = 11563,
  [11899] = 11654,
  [11900] = 11655,
  [11901] = 11656,
  [11902] = 11600,
  [11903] = 11520,
  [11904] = 11523,
  [11905] = 11905,
  [11906] = 11524,
  [11907] = 11140,
  [11908] = 11548,
  [11909] = 11563,
  [11910] = 11910,
  [11911] = 11366,
  [11912] = 11456,
  [11913] = 10496,
  [11914] = 10521,
  [11915] = 11600,
  [11916] = 10531,
  [11917] = 10542,
  [11918] = 10549,
  [11919] = 10550,
  [11920] = 10566,
  [11921] = 10567,
  [11922] = 11548,
  [11923] = 11563,
  [11924] = 10571,
  [11925] = 10575,
  [11926] = 11597,
  [11927] = 10577,
  [11928] = 11622,
  [11929] = 11519,
  [11930] = 11600,
  [11931] = 10601,
  [11932] = 10603,
  [11933] = 10618,
  [11934] = 11934,
  [11935] = 11548,
  [11936] = 11563,
  [11937] = 11574,
  [11938] = 10715,
  [11939] = 10752,
  [11940] = 11749,
  [11941] = 11600,
  [11942] = 11942,
  [11943] = 11563,
  [11944] = 11563,
  [11945] = 11597,
  [11946] = 11800,
  [11947] = 11563,
  [11948] = 11563,
  [11949] = 11563,
  [11950] = 11752,
  [11951] = 11951,
  [11952] = 11952,
  [11953] = 11953,
  [11954] = 11832,
  [11955] = 11597,
  [11956] = 11956,
  [11957] = 11519,
  [11958] = 11575,
  [11959] = 11563,
  [11960] = 11729,
  [11961] = 11558,
  [11962] = 11596,
  [11963] = 11953,
  [11964] = 11678,
  [11965] = 11548,
  [11966] = 11966,
  [11967] = 11570,
  [11968] = 11968,
  [11969] = 11718,
  [11970] = 11968,
  [11971] = 11692,
  [11972] = 11659,
  [11973] = 11410,
  [11974] = 11885,
  [11975] = 11896,
  [11976] = 11501,
  [11977] = 11519,
  [11978] = 11520,
  [11979] = 11523,
  [11980] = 11524,
  [11981] = 11678,
  [11982] = 11748,
  [11983] = 6813,
  [11984] = 11659,
  [11985] = 11905,
  [11986] = 11986,
  [11987] = 11886,
  [11988] = 11988,
  [11989] = 11989,
  [11990] = 11660,
  [11991] = 11991,
  [11992] = 11992,
  [11993] = 11639,
  [11994] = 11260,
  [11995] = 11956,
  [11996] = 11304,
  [11997] = 11597,
  [11998] = 11519,
  [11999] = 11999,
  [12000] = 11517,
  [12001] = 11520,
  [12002] = 11523,
  [12003] = 11524,
  [12004] = 11986,
  [12005] = 11539,
  [12006] = 10630,
  [12007] = 12007,
  [12008] = 11380,
  [12009] = 11386,
  [12010] = 11626,
  [12011] = 11518,
  [12012] = 11582,
  [12013] = 11661,
  [12014] = 12014,
  [12015] = 11598,
  [12016] = 11484,
  [12017] = 11646,
  [12018] = 11757,
  [12019] = 11683,
  [12020] = 11701,
  [12021] = 11711,
  [12022] = 11520,
  [12023] = 11523,
  [12024] = 11524,
  [12025] = 10666,
  [12026] = 11017,
  [12027] = 11020,
  [12028] = 11022,
  [12029] = 11027,
  [12030] = 11083,
  [12031] = 11152,
  [12032] = 11216,
  [12033] = 11222,
  [12034] = 11454,
  [12035] = 11455,
  [12036] = 12036,
  [12037] = 10859,
  [12038] = 10937,
  [12039] = 10968,
  [12040] = 10988,
  [12041] = 11541,
  [12042] = 11627,
  [12043] = 12043,
  [12044] = 11606,
  [12045] = 11573,
  [12046] = 11576,
  [12047] = 12047,
  [12048] = 11580,
  [12049] = 12049,
  [12050] = 12050,
  [12051] = 12051,
  [12052] = 11597,
  [12053] = 12053,
  [12054] = 12054,
  [12055] = 11519,
  [12056] = 12056,
  [12057] = 12057,
  [12058] = 12058,
  [12059] = 12014,
  [12060] = 12060,
  [12061] = 12061,
  [12062] = 11355,
  [12063] = 11395,
  [12064] = 11786,
  [12065] = 11589,
  [12066] = 12066,
  [12067] = 12067,
  [12068] = 12068,
  [12069] = 6770,
  [12070] = 11512,
  [12071] = 12071,
  [12072] = 12072,
  [12073] = 12073,
  [12074] = 11660,
  [12075] = 12075,
  [12076] = 12076,
  [12077] = 11520,
  [12078] = 11523,
  [12079] = 11524,
  [12080] = 11518,
  [12081] = 11951,
  [12082] = 10675,
  [12083] = 12083,
  [12084] = 12084,
  [12085] = 10686,
  [12086] = 12086,
  [12087] = 11863,
  [12088] = 10641,
  [12089] = 12089,
  [12090] = 10694,
  [12091] = 10697,
  [12092] = 10698,
  [12093] = 10700,
  [12094] = 10642,
  [12095] = 10701,
  [12096] = 10704,
  [12097] = 10708,
  [12098] = 10710,
  [12099] = 10712,
  [12100] = 10732,
  [12101] = 11661,
  [12102] = 12102,
  [12103] = 12103,
  [12104] = 11535,
  [12105] = 11875,
  [12106] = 11597,
  [12107] = 11519,
  [12108] = 12108,
  [12109] = 11562,
  [12110] = 11608,
  [12111] = 10648,
  [12112] = 12112,
  [12113] = 11564,
  [12114] = 12114,
  [12115] = 11600,
  [12116] = 10649,
  [12117] = 11611,
  [12118] = 11795,
  [12119] = 11632,
  [12120] = 11597,
  [12121] = 10651,
  [12122] = 11597,
  [12123] = 11798,
  [12124] = 11519,
  [12125] = 11623,
  [12126] = 11598,
  [12127] = 10703,
  [12128] = 11604,
  [12129] = 12129,
  [12130] = 11519,
  [12131] = 10750,
  [12132] = 6825,
  [12133] = 11520,
  [12134] = 11523,
  [12135] = 11524,
  [12136] = 12108,
  [12137] = 11567,
  [12138] = 12075,
  [12139] = 11868,
  [12140] = 11575,
  [12141] = 11720,
  [12142] = 11934,
  [12143] = 11630,
  [12144] = 11155,
  [12145] = 12145,
  [12146] = 11586,
  [12147] = 11590,
  [12148] = 11885,
  [12149] = 11896,
  [12150] = 11633,
  [12151] = 10753,
  [12152] = 11549,
  [12153] = 11610,
  [12154] = 11597,
  [12155] = 11567,
  [12156] = 11519,
  [12157] = 11844,
  [12158] = 11886,
  [12159] = 11646,
  [12160] = 11632,
  [12161] = 12161,
  [12162] = 11759,
  [12163] = 11657,
  [12164] = 11966,
  [12165] = 11667,
  [12166] = 11280,
  [12167] = 11282,
  [12168] = 12007,
  [12169] = 11293,
  [12170] = 11658,
  [12171] = 12171,
  [12172] = 11538,
  [12173] = 11862,
  [12174] = 11607,
  [12175] = 11647,
  [12176] = 11686,
  [12177] = 11706,
  [12178] = 11713,
  [12179] = 11716,
  [12180] = 11719,
  [12181] = 11295,
  [12182] = 10390,
  [12183] = 11300,
  [12184] = 11301,
  [12185] = 11303,
  [12186] = 11520,
  [12187] = 11316,
  [12188] = 12108,
  [12189] = 11523,
  [12190] = 11399,
  [12191] = 11868,
  [12192] = 11934,
  [12193] = 11524,
  [12194] = 11521,
  [12195] = 12108,
  [12196] = 11868,
  [12197] = 11934,
  [12198] = 12108,
  [12199] = 11868,
  [12200] = 11934,
  [12201] = 11520,
  [12202] = 11584,
  [12203] = 12108,
  [12204] = 11523,
  [12205] = 11868,
  [12206] = 11934,
  [12207] = 11524,
  [12208] = 12108,
  [12209] = 11868,
  [12210] = 12108,
  [12211] = 11868,
  [12212] = 12171,
  [12213] = 12061,
  [12214] = 11662,
  [12215] = 12215,
  [12216] = 12216,
  [12217] = 10610,
  [12218] = 11729,
  [12219] = 11597,
  [12220] = 11519,
  [12221] = 12221,
  [12222] = 11676,
  [12223] = 12223,
  [12224] = 11683,
  [12225] = 11290,
  [12226] = 11520,
  [12227] = 11523,
  [12228] = 11524,
  [12229] = 11669,
  [12230] = 11670,
  [12231] = 11542,
  [12232] = 11581,
  [12233] = 10987,
  [12234] = 10989,
  [12235] = 11695,
  [12236] = 11951,
  [12237] = 11192,
  [12238] = 11206,
  [12239] = 11218,
  [12240] = 12112,
  [12241] = 11223,
  [12242] = 11228,
  [12243] = 10368,
  [12244] = 11558,
  [12245] = 11597,
  [12246] = 11240,
  [12247] = 12114,
  [12248] = 11519,
  [12249] = 11712,
  [12250] = 12250,
  [12251] = 11258,
  [12252] = 11701,
  [12253] = 11622,
  [12254] = 12254,
  [12255] = 11707,
  [12256] = 12114,
  [12257] = 11859,
  [12258] = 11711,
  [12259] = 11597,
  [12260] = 11520,
  [12261] = 11523,
  [12262] = 11524,
  [12263] = 11519,
  [12264] = 12145,
  [12265] = 10626,
  [12266] = 12266,
  [12267] = 12267,
  [12268] = 12268,
  [12269] = 12269,
  [12270] = 12270,
  [12271] = 12271,
  [12272] = 12272,
  [12273] = 12273,
  [12274] = 12274,
  [12275] = 12275,
  [12276] = 12276,
  [12277] = 12277,
  [12278] = 12278,
  [12279] = 12279,
  [12280] = 12280,
  [12281] = 12281,
  [12282] = 12282,
  [12283] = 12283,
  [12284] = 12284,
  [12285] = 12285,
  [12286] = 12286,
  [12287] = 12270,
  [12288] = 12271,
  [12289] = 12289,
  [12290] = 12290,
  [12291] = 12291,
  [12292] = 12292,
  [12293] = 12293,
  [12294] = 12294,
  [12295] = 12295,
  [12296] = 12296,
  [12297] = 12297,
  [12298] = 12298,
  [12299] = 12299,
  [12300] = 12300,
  [12301] = 12301,
  [12302] = 12302,
  [12303] = 12303,
  [12304] = 12304,
  [12305] = 12305,
  [12306] = 12306,
  [12307] = 12307,
  [12308] = 12308,
  [12309] = 12309,
  [12310] = 12310,
  [12311] = 12311,
  [12312] = 12312,
  [12313] = 12313,
  [12314] = 12314,
  [12315] = 12315,
  [12316] = 12316,
  [12317] = 12317,
  [12318] = 12318,
  [12319] = 12281,
  [12320] = 12320,
  [12321] = 12321,
  [12322] = 12274,
  [12323] = 12323,
  [12324] = 12324,
  [12325] = 12325,
  [12326] = 12326,
  [12327] = 12266,
  [12328] = 12328,
  [12329] = 12329,
  [12330] = 12330,
  [12331] = 12281,
  [12332] = 12332,
  [12333] = 12333,
  [12334] = 12269,
  [12335] = 12335,
  [12336] = 12336,
  [12337] = 12337,
  [12338] = 12316,
  [12339] = 12339,
  [12340] = 12340,
  [12341] = 12341,
  [12342] = 12342,
  [12343] = 12343,
  [12344] = 12344,
  [12345] = 12345,
  [12346] = 12346,
  [12347] = 12347,
  [12348] = 12348,
  [12349] = 12349,
  [12350] = 12323,
  [12351] = 12351,
  [12352] = 12352,
  [12353] = 12353,
  [12354] = 12354,
  [12355] = 12355,
  [12356] = 12356,
  [12357] = 12357,
  [12358] = 12335,
  [12359] = 12359,
  [12360] = 12360,
  [12361] = 12361,
  [12362] = 12362,
  [12363] = 12363,
  [12364] = 12346,
  [12365] = 12355,
  [12366] = 12347,
  [12367] = 12367,
  [12368] = 12368,
  [12369] = 12346,
  [12370] = 12370,
  [12371] = 12290,
  [12372] = 12356,
  [12373] = 12291,
  [12374] = 12279,
  [12375] = 12375,
  [12376] = 12376,
  [12377] = 12377,
  [12378] = 12378,
  [12379] = 12330,
  [12380] = 12290,
  [12381] = 12291,
  [12382] = 12382,
  [12383] = 12383,
  [12384] = 12384,
  [12385] = 12385,
  [12386] = 12296,
  [12387] = 12297,
  [12388] = 12298,
  [12389] = 12299,
  [12390] = 12300,
  [12391] = 12301,
  [12392] = 12302,
  [12393] = 12303,
  [12394] = 12280,
  [12395] = 12305,
  [12396] = 12306,
  [12397] = 12307,
  [12398] = 12308,
  [12399] = 12309,
  [12400] = 12310,
  [12401] = 12311,
  [12402] = 12312,
  [12403] = 12313,
  [12404] = 12314,
  [12405] = 12315,
  [12406] = 12376,
  [12407] = 12407,
  [12408] = 12408,
  [12409] = 12409,
  [12410] = 12410,
  [12411] = 12271,
  [12412] = 12412,
  [12413] = 12413,
  [12414] = 12324,
  [12415] = 12325,
  [12416] = 12326,
  [12417] = 12266,
  [12418] = 12328,
  [12419] = 12329,
  [12420] = 12420,
  [12421] = 12421,
  [12422] = 12422,
  [12423] = 12423,
  [12424] = 12407,
  [12425] = 12425,
  [12426] = 12377,
  [12427] = 12427,
  [12428] = 12378,
  [12429] = 12340,
  [12430] = 12341,
  [12431] = 12342,
  [12432] = 12343,
  [12433] = 12433,
  [12434] = 12434,
  [12435] = 12296,
  [12436] = 12297,
  [12437] = 12348,
  [12438] = 12298,
  [12439] = 12439,
  [12440] = 12351,
  [12441] = 12352,
  [12442] = 12353,
  [12443] = 12299,
  [12444] = 12444,
  [12445] = 12300,
  [12446] = 12357,
  [12447] = 12301,
  [12448] = 12359,
  [12449] = 12302,
  [12450] = 12361,
  [12451] = 12362,
  [12452] = 12303,
  [12453] = 12453,
  [12454] = 12305,
  [12455] = 12455,
  [12456] = 12456,
  [12457] = 12457,
  [12458] = 12458,
  [12459] = 12279,
  [12460] = 12460,
  [12461] = 12461,
  [12462] = 12306,
  [12463] = 12290,
  [12464] = 12291,
  [12465] = 12465,
  [12466] = 12466,
  [12467] = 12467,
  [12468] = 12382,
  [12469] = 12296,
  [12470] = 12297,
  [12471] = 12298,
  [12472] = 12299,
  [12473] = 12300,
  [12474] = 12301,
  [12475] = 12302,
  [12476] = 12303,
  [12477] = 12477,
  [12478] = 12305,
  [12479] = 12306,
  [12480] = 12307,
  [12481] = 12308,
  [12482] = 12309,
  [12483] = 12310,
  [12484] = 12311,
  [12485] = 12312,
  [12486] = 12313,
  [12487] = 12314,
  [12488] = 12315,
  [12489] = 12383,
  [12490] = 12321,
  [12491] = 12307,
  [12492] = 12492,
  [12493] = 12384,
  [12494] = 12308,
  [12495] = 12332,
  [12496] = 12333,
  [12497] = 12324,
  [12498] = 12325,
  [12499] = 12326,
  [12500] = 12266,
  [12501] = 12328,
  [12502] = 12329,
  [12503] = 12309,
  [12504] = 12339,
  [12505] = 12310,
  [12506] = 12345,
  [12507] = 12330,
  [12508] = 12280,
  [12509] = 12422,
  [12510] = 12423,
  [12511] = 12340,
  [12512] = 12341,
  [12513] = 12342,
  [12514] = 12343,
  [12515] = 12425,
  [12516] = 12311,
  [12517] = 12312,
  [12518] = 12434,
  [12519] = 12348,
  [12520] = 12376,
  [12521] = 12521,
  [12522] = 12351,
  [12523] = 12352,
  [12524] = 12353,
  [12525] = 12313,
  [12526] = 12407,
  [12527] = 12314,
  [12528] = 12357,
  [12529] = 12409,
  [12530] = 12359,
  [12531] = 12315,
  [12532] = 12361,
  [12533] = 12362,
  [12534] = 12534,
  [12535] = 12409,
  [12536] = 12410,
  [12537] = 12412,
  [12538] = 12538,
  [12539] = 12539,
  [12540] = 12279,
  [12541] = 12521,
  [12542] = 12542,
  [12543] = 12413,
  [12544] = 12420,
  [12545] = 12545,
  [12546] = 12546,
  [12547] = 12547,
  [12548] = 12296,
  [12549] = 12297,
  [12550] = 12298,
  [12551] = 12299,
  [12552] = 12300,
  [12553] = 12301,
  [12554] = 12302,
  [12555] = 12303,
  [12556] = 12556,
  [12557] = 12305,
  [12558] = 12306,
  [12559] = 12307,
  [12560] = 12308,
  [12561] = 12309,
  [12562] = 12310,
  [12563] = 12311,
  [12564] = 12312,
  [12565] = 12313,
  [12566] = 12314,
  [12567] = 12315,
  [12568] = 12568,
  [12569] = 12569,
  [12570] = 12570,
  [12571] = 12571,
  [12572] = 12355,
  [12573] = 12410,
  [12574] = 12574,
  [12575] = 12575,
  [12576] = 12324,
  [12577] = 12325,
  [12578] = 12326,
  [12579] = 12266,
  [12580] = 12328,
  [12581] = 12329,
  [12582] = 12582,
  [12583] = 12345,
  [12584] = 12584,
  [12585] = 12585,
  [12586] = 12586,
  [12587] = 12587,
  [12588] = 12588,
  [12589] = 12340,
  [12590] = 12341,
  [12591] = 12342,
  [12592] = 12343,
  [12593] = 12593,
  [12594] = 12594,
  [12595] = 12595,
  [12596] = 12596,
  [12597] = 12316,
  [12598] = 12351,
  [12599] = 12352,
  [12600] = 12353,
  [12601] = 12412,
  [12602] = 12602,
  [12603] = 12427,
  [12604] = 12359,
  [12605] = 12335,
  [12606] = 12413,
  [12607] = 12575,
  [12608] = 12608,
  [12609] = 12293,
  [12610] = 12439,
  [12611] = 12346,
  [12612] = 12279,
  [12613] = 12613,
  [12614] = 12420,
  [12615] = 12355,
  [12616] = 12356,
  [12617] = 12444,
  [12618] = 12618,
  [12619] = 12356,
  [12620] = 12296,
  [12621] = 12297,
  [12622] = 12298,
  [12623] = 12299,
  [12624] = 12300,
  [12625] = 12301,
  [12626] = 12302,
  [12627] = 12303,
  [12628] = 12455,
  [12629] = 12305,
  [12630] = 12306,
  [12631] = 12307,
  [12632] = 12308,
  [12633] = 12309,
  [12634] = 12310,
  [12635] = 12311,
  [12636] = 12312,
  [12637] = 12313,
  [12638] = 12314,
  [12639] = 12315,
  [12640] = 12640,
  [12641] = 12456,
  [12642] = 12642,
  [12643] = 12643,
  [12644] = 12457,
  [12645] = 12466,
  [12646] = 12458,
  [12647] = 12461,
  [12648] = 12324,
  [12649] = 12325,
  [12650] = 12326,
  [12651] = 12266,
  [12652] = 12328,
  [12653] = 12329,
  [12654] = 12466,
  [12655] = 12292,
  [12656] = 12467,
  [12657] = 12467,
  [12658] = 12658,
  [12659] = 12304,
  [12660] = 12660,
  [12661] = 12340,
  [12662] = 12341,
  [12663] = 12342,
  [12664] = 12343,
  [12665] = 12665,
  [12666] = 12377,
  [12667] = 12658,
  [12668] = 12642,
  [12669] = 12534,
  [12670] = 12351,
  [12671] = 12352,
  [12672] = 12353,
  [12673] = 12378,
  [12674] = 12274,
  [12675] = 12323,
  [12676] = 12359,
  [12677] = 12677,
  [12678] = 12382,
  [12679] = 12679,
  [12680] = 12680,
  [12681] = 12681,
  [12682] = 12680,
  [12683] = 12281,
  [12684] = 12279,
  [12685] = 12685,
  [12686] = 12383,
  [12687] = 12316,
  [12688] = 12688,
  [12689] = 12384,
  [12690] = 12323,
  [12691] = 12280,
  [12692] = 12296,
  [12693] = 12297,
  [12694] = 12298,
  [12695] = 12299,
  [12696] = 12300,
  [12697] = 12301,
  [12698] = 12302,
  [12699] = 12303,
  [12700] = 12700,
  [12701] = 12305,
  [12702] = 12306,
  [12703] = 12307,
  [12704] = 12308,
  [12705] = 12309,
  [12706] = 12310,
  [12707] = 12311,
  [12708] = 12312,
  [12709] = 12313,
  [12710] = 12314,
  [12711] = 12315,
  [12712] = 12712,
  [12713] = 12335,
  [12714] = 12376,
  [12715] = 12346,
  [12716] = 12355,
  [12717] = 12717,
  [12718] = 12356,
  [12719] = 12719,
  [12720] = 12324,
  [12721] = 12325,
  [12722] = 12326,
  [12723] = 12266,
  [12724] = 12328,
  [12725] = 12329,
  [12726] = 12726,
  [12727] = 12727,
  [12728] = 12407,
  [12729] = 12409,
  [12730] = 12410,
  [12731] = 12377,
  [12732] = 12587,
  [12733] = 12340,
  [12734] = 12341,
  [12735] = 12342,
  [12736] = 12343,
  [12737] = 12378,
  [12738] = 12738,
  [12739] = 12739,
  [12740] = 12382,
  [12741] = 12383,
  [12742] = 12351,
  [12743] = 12352,
  [12744] = 12353,
  [12745] = 12324,
  [12746] = 12746,
  [12747] = 12747,
  [12748] = 12359,
  [12749] = 12325,
  [12750] = 12326,
  [12751] = 12266,
  [12752] = 12752,
  [12753] = 12753,
  [12754] = 12754,
  [12755] = 12384,
  [12756] = 12279,
  [12757] = 12280,
  [12758] = 12758,
  [12759] = 12376,
  [12760] = 12407,
  [12761] = 12409,
  [12762] = 12410,
  [12763] = 12296,
  [12764] = 12297,
  [12765] = 12298,
  [12766] = 12299,
  [12767] = 12300,
  [12768] = 12301,
  [12769] = 12302,
  [12770] = 12303,
  [12771] = 12412,
  [12772] = 12305,
  [12773] = 12306,
  [12774] = 12307,
  [12775] = 12308,
  [12776] = 12309,
  [12777] = 12310,
  [12778] = 12311,
  [12779] = 12312,
  [12780] = 12313,
  [12781] = 12314,
  [12782] = 12315,
  [12783] = 12413,
  [12784] = 12420,
  [12785] = 12328,
  [12786] = 12786,
  [12787] = 12329,
  [12788] = 12324,
  [12789] = 12325,
  [12790] = 12326,
  [12791] = 12266,
  [12792] = 12328,
  [12793] = 12329,
  [12794] = 12321,
  [12795] = 12427,
  [12796] = 12335,
  [12797] = 12439,
  [12798] = 12340,
  [12799] = 12341,
  [12800] = 12342,
  [12801] = 12343,
  [12802] = 12802,
  [12803] = 12803,
  [12804] = 12351,
  [12805] = 12352,
  [12806] = 12353,
  [12807] = 12444,
  [12808] = 12359,
  [12809] = 12353,
  [12810] = 12810,
  [12811] = 12332,
  [12812] = 12812,
  [12813] = 12813,
  [12814] = 12455,
  [12815] = 12279,
  [12816] = 12412,
  [12817] = 12456,
  [12818] = 12367,
  [12819] = 12819,
  [12820] = 12457,
  [12821] = 12458,
  [12822] = 12296,
  [12823] = 12297,
  [12824] = 12298,
  [12825] = 12299,
  [12826] = 12300,
  [12827] = 12301,
  [12828] = 12302,
  [12829] = 12303,
  [12830] = 12461,
  [12831] = 12305,
  [12832] = 12306,
  [12833] = 12307,
  [12834] = 12308,
  [12835] = 12309,
  [12836] = 12310,
  [12837] = 12311,
  [12838] = 12312,
  [12839] = 12313,
  [12840] = 12314,
  [12841] = 12315,
  [12842] = 12842,
  [12843] = 12466,
  [12844] = 12844,
  [12845] = 12845,
  [12846] = 12467,
  [12847] = 12324,
  [12848] = 12325,
  [12849] = 12326,
  [12850] = 12266,
  [12851] = 12328,
  [12852] = 12329,
  [12853] = 12853,
  [12854] = 12333,
  [12855] = 12855,
  [12856] = 12339,
  [12857] = 12340,
  [12858] = 12341,
  [12859] = 12342,
  [12860] = 12343,
  [12861] = 12321,
  [12862] = 12345,
  [12863] = 12351,
  [12864] = 12352,
  [12865] = 12353,
  [12866] = 12332,
  [12867] = 12359,
  [12868] = 12868,
  [12869] = 12869,
  [12870] = 12870,
  [12871] = 12871,
  [12872] = 12333,
  [12873] = 12873,
  [12874] = 12279,
  [12875] = 12339,
  [12876] = 12345,
  [12877] = 12330,
  [12878] = 12330,
  [12879] = 12422,
  [12880] = 12423,
  [12881] = 12296,
  [12882] = 12297,
  [12883] = 12298,
  [12884] = 12299,
  [12885] = 12300,
  [12886] = 12301,
  [12887] = 12302,
  [12888] = 12303,
  [12889] = 12425,
  [12890] = 12305,
  [12891] = 12306,
  [12892] = 12307,
  [12893] = 12308,
  [12894] = 12309,
  [12895] = 12310,
  [12896] = 12311,
  [12897] = 12312,
  [12898] = 12313,
  [12899] = 12314,
  [12900] = 12315,
  [12901] = 12434,
  [12902] = 12422,
  [12903] = 12413,
  [12904] = 12521,
  [12905] = 12423,
  [12906] = 12324,
  [12907] = 12325,
  [12908] = 12326,
  [12909] = 12266,
  [12910] = 12328,
  [12911] = 12329,
  [12912] = 12425,
  [12913] = 12913,
  [12914] = 12420,
  [12915] = 12915,
  [12916] = 12340,
  [12917] = 12341,
  [12918] = 12342,
  [12919] = 12343,
  [12920] = 12920,
  [12921] = 12434,
  [12922] = 12351,
  [12923] = 12352,
  [12924] = 12353,
  [12925] = 12346,
  [12926] = 12359,
  [12927] = 12927,
  [12928] = 12456,
  [12929] = 12929,
  [12930] = 12930,
  [12931] = 12931,
  [12932] = 12932,
  [12933] = 12279,
  [12934] = 12934,
  [12935] = 12935,
  [12936] = 12422,
  [12937] = 12700,
  [12938] = 12423,
  [12939] = 12939,
  [12940] = 12296,
  [12941] = 12297,
  [12942] = 12298,
  [12943] = 12299,
  [12944] = 12300,
  [12945] = 12301,
  [12946] = 12302,
  [12947] = 12303,
  [12948] = 12425,
  [12949] = 12305,
  [12950] = 12306,
  [12951] = 12307,
  [12952] = 12308,
  [12953] = 12309,
  [12954] = 12310,
  [12955] = 12311,
  [12956] = 12312,
  [12957] = 12313,
  [12958] = 12314,
  [12959] = 12315,
  [12960] = 12434,
  [12961] = 12961,
  [12962] = 12962,
  [12963] = 12963,
  [12964] = 12964,
  [12965] = 12324,
  [12966] = 12325,
  [12967] = 12326,
  [12968] = 12266,
  [12969] = 12328,
  [12970] = 12329,
  [12971] = 12293,
  [12972] = 12972,
  [12973] = 12355,
  [12974] = 12974,
  [12975] = 12340,
  [12976] = 12341,
  [12977] = 12342,
  [12978] = 12343,
  [12979] = 12979,
  [12980] = 12980,
  [12981] = 12351,
  [12982] = 12352,
  [12983] = 12353,
  [12984] = 12457,
  [12985] = 12359,
  [12986] = 12269,
  [12987] = 12596,
  [12988] = 12988,
  [12989] = 12458,
  [12990] = 12587,
  [12991] = 12991,
  [12992] = 12279,
  [12993] = 12993,
  [12994] = 12994,
  [12995] = 12521,
  [12996] = 12996,
  [12997] = 12997,
  [12998] = 12286,
  [12999] = 12296,
  [13000] = 12297,
  [13001] = 12298,
  [13002] = 12299,
  [13003] = 12300,
  [13004] = 12301,
  [13005] = 12302,
  [13006] = 12303,
  [13007] = 12356,
  [13008] = 12305,
  [13009] = 12306,
  [13010] = 12307,
  [13011] = 12308,
  [13012] = 12309,
  [13013] = 12310,
  [13014] = 12311,
  [13015] = 12312,
  [13016] = 12313,
  [13017] = 12314,
  [13018] = 12315,
  [13019] = 13019,
  [13020] = 12293,
  [13021] = 12461,
  [13022] = 13022,
  [13023] = 13023,
  [13024] = 12324,
  [13025] = 12325,
  [13026] = 12326,
  [13027] = 12266,
  [13028] = 12328,
  [13029] = 12329,
  [13030] = 13030,
  [13031] = 12466,
  [13032] = 13032,
  [13033] = 13033,
  [13034] = 12340,
  [13035] = 12341,
  [13036] = 12342,
  [13037] = 12343,
  [13038] = 13038,
  [13039] = 12467,
  [13040] = 12351,
  [13041] = 12352,
  [13042] = 12353,
  [13043] = 13043,
  [13044] = 12359,
  [13045] = 12465,
  [13046] = 12270,
  [13047] = 12292,
  [13048] = 13023,
  [13049] = 12333,
  [13050] = 12660,
  [13051] = 12279,
  [13052] = 12813,
  [13053] = 12377,
  [13054] = 12292,
  [13055] = 12378,
  [13056] = 13056,
  [13057] = 13057,
  [13058] = 12296,
  [13059] = 12297,
  [13060] = 12298,
  [13061] = 12299,
  [13062] = 12300,
  [13063] = 12301,
  [13064] = 12302,
  [13065] = 12303,
  [13066] = 12304,
  [13067] = 12305,
  [13068] = 12306,
  [13069] = 12307,
  [13070] = 12308,
  [13071] = 12309,
  [13072] = 12310,
  [13073] = 12311,
  [13074] = 12312,
  [13075] = 12313,
  [13076] = 12314,
  [13077] = 12315,
  [13078] = 12339,
  [13079] = 13079,
  [13080] = 12345,
  [13081] = 12382,
  [13082] = 12383,
  [13083] = 12324,
  [13084] = 12325,
  [13085] = 12326,
  [13086] = 12266,
  [13087] = 12328,
  [13088] = 12329,
  [13089] = 12274,
  [13090] = 13090,
  [13091] = 12271,
  [13092] = 12281,
  [13093] = 12340,
  [13094] = 12341,
  [13095] = 12342,
  [13096] = 12343,
  [13097] = 12368,
  [13098] = 13098,
  [13099] = 12351,
  [13100] = 12352,
  [13101] = 12353,
  [13102] = 13102,
  [13103] = 12359,
  [13104] = 12330,
  [13105] = 12423,
  [13106] = 12425,
  [13107] = 13107,
  [13108] = 12434,
  [13109] = 12316,
  [13110] = 12279,
  [13111] = 12384,
  [13112] = 12323,
  [13113] = 12280,
  [13114] = 12521,
  [13115] = 12335,
  [13116] = 12346,
  [13117] = 12296,
  [13118] = 12297,
  [13119] = 12298,
  [13120] = 12299,
  [13121] = 12300,
  [13122] = 12301,
  [13123] = 12302,
  [13124] = 12303,
  [13125] = 12355,
  [13126] = 12305,
  [13127] = 12306,
  [13128] = 12307,
  [13129] = 12308,
  [13130] = 12309,
  [13131] = 12310,
  [13132] = 12311,
  [13133] = 12312,
  [13134] = 12313,
  [13135] = 12314,
  [13136] = 12315,
  [13137] = 13137,
  [13138] = 12356,
  [13139] = 12422,
  [13140] = 12423,
  [13141] = 12292,
  [13142] = 12324,
  [13143] = 12325,
  [13144] = 12326,
  [13145] = 12266,
  [13146] = 12328,
  [13147] = 12329,
  [13148] = 12345,
  [13149] = 13149,
  [13150] = 12738,
  [13151] = 12377,
  [13152] = 12340,
  [13153] = 12341,
  [13154] = 12342,
  [13155] = 12343,
  [13156] = 13156,
  [13157] = 12330,
  [13158] = 12351,
  [13159] = 12352,
  [13160] = 12353,
  [13161] = 13161,
  [13162] = 12359,
  [13163] = 12304,
  [13164] = 12304,
  [13165] = 12378,
  [13166] = 12340,
  [13167] = 12382,
  [13168] = 12383,
  [13169] = 12279,
  [13170] = 12341,
  [13171] = 12342,
  [13172] = 12384,
  [13173] = 12343,
  [13174] = 12280,
  [13175] = 13175,
  [13176] = 12296,
  [13177] = 12297,
  [13178] = 12298,
  [13179] = 12299,
  [13180] = 12300,
  [13181] = 12301,
  [13182] = 12302,
  [13183] = 12303,
  [13184] = 12376,
  [13185] = 12305,
  [13186] = 12306,
  [13187] = 12307,
  [13188] = 12308,
  [13189] = 12309,
  [13190] = 12310,
  [13191] = 12311,
  [13192] = 12312,
  [13193] = 12313,
  [13194] = 12314,
  [13195] = 12315,
  [13196] = 12407,
  [13197] = 12409,
  [13198] = 12422,
  [13199] = 12384,
  [13200] = 12410,
  [13201] = 12324,
  [13202] = 12325,
  [13203] = 12326,
  [13204] = 12266,
  [13205] = 12328,
  [13206] = 12329,
  [13207] = 13207,
  [13208] = 12280,
  [13209] = 12412,
  [13210] = 12274,
  [13211] = 12340,
  [13212] = 12341,
  [13213] = 12342,
  [13214] = 12343,
  [13215] = 13215,
  [13216] = 13216,
  [13217] = 12351,
  [13218] = 12352,
  [13219] = 12353,
  [13220] = 12413,
  [13221] = 12359,
  [13222] = 13222,
  [13223] = 12359,
  [13224] = 12425,
  [13225] = 12420,
  [13226] = 12281,
  [13227] = 13227,
  [13228] = 12279,
  [13229] = 13229,
  [13230] = 12273,
  [13231] = 13231,
  [13232] = 12376,
  [13233] = 12427,
  [13234] = 13234,
  [13235] = 12296,
  [13236] = 12297,
  [13237] = 12298,
  [13238] = 12299,
  [13239] = 12300,
  [13240] = 12301,
  [13241] = 12302,
  [13242] = 12303,
  [13243] = 12439,
  [13244] = 12305,
  [13245] = 12306,
  [13246] = 12307,
  [13247] = 12308,
  [13248] = 12309,
  [13249] = 12310,
  [13250] = 12311,
  [13251] = 12312,
  [13252] = 12313,
  [13253] = 12314,
  [13254] = 12315,
  [13255] = 12444,
  [13256] = 12407,
  [13257] = 12316,
  [13258] = 12272,
  [13259] = 12455,
  [13260] = 12324,
  [13261] = 12325,
  [13262] = 12326,
  [13263] = 12266,
  [13264] = 12328,
  [13265] = 12329,
  [13266] = 12456,
  [13267] = 12323,
  [13268] = 12457,
  [13269] = 12458,
  [13270] = 12340,
  [13271] = 12341,
  [13272] = 12342,
  [13273] = 12343,
  [13274] = 12461,
  [13275] = 13275,
  [13276] = 12351,
  [13277] = 12352,
  [13278] = 12353,
  [13279] = 12384,
  [13280] = 12359,
  [13281] = 12539,
  [13282] = 12335,
  [13283] = 13283,
  [13284] = 12466,
  [13285] = 12467,
  [13286] = 12280,
  [13287] = 12279,
  [13288] = 12346,
  [13289] = 12587,
  [13290] = 12276,
  [13291] = 12355,
  [13292] = 12321,
  [13293] = 13293,
  [13294] = 12296,
  [13295] = 12297,
  [13296] = 12298,
  [13297] = 12299,
  [13298] = 12300,
  [13299] = 12301,
  [13300] = 12302,
  [13301] = 12303,
  [13302] = 12409,
  [13303] = 12305,
  [13304] = 12306,
  [13305] = 12307,
  [13306] = 12308,
  [13307] = 12309,
  [13308] = 12310,
  [13309] = 12311,
  [13310] = 12312,
  [13311] = 12313,
  [13312] = 12314,
  [13313] = 12315,
  [13314] = 12332,
  [13315] = 12333,
  [13316] = 13316,
  [13317] = 12370,
  [13318] = 12339,
  [13319] = 12324,
  [13320] = 12325,
  [13321] = 12326,
  [13322] = 12266,
  [13323] = 12328,
  [13324] = 12329,
  [13325] = 13325,
  [13326] = 12290,
  [13327] = 12345,
  [13328] = 12330,
  [13329] = 12340,
  [13330] = 12341,
  [13331] = 12342,
  [13332] = 12343,
  [13333] = 12291,
  [13334] = 12317,
  [13335] = 12351,
  [13336] = 12352,
  [13337] = 12353,
  [13338] = 12274,
  [13339] = 12359,
  [13340] = 12356,
  [13341] = 12422,
  [13342] = 12279,
  [13343] = 12423,
  [13344] = 12296,
  [13345] = 12297,
  [13346] = 12298,
  [13347] = 12299,
  [13348] = 12300,
  [13349] = 12301,
  [13350] = 12302,
  [13351] = 12303,
  [13352] = 12425,
  [13353] = 12305,
  [13354] = 12306,
  [13355] = 12307,
  [13356] = 12308,
  [13357] = 12309,
  [13358] = 12310,
  [13359] = 12311,
  [13360] = 12312,
  [13361] = 12313,
  [13362] = 12314,
  [13363] = 12315,
  [13364] = 12324,
  [13365] = 12325,
  [13366] = 12326,
  [13367] = 12266,
  [13368] = 12328,
  [13369] = 12329,
  [13370] = 12340,
  [13371] = 12341,
  [13372] = 12342,
  [13373] = 12343,
  [13374] = 12351,
  [13375] = 12352,
  [13376] = 12353,
  [13377] = 12359,
  [13378] = 13378,
  [13379] = 13379,
  [13380] = 12279,
  [13381] = 12434,
  [13382] = 12296,
  [13383] = 12297,
  [13384] = 12298,
  [13385] = 12299,
  [13386] = 12300,
  [13387] = 12301,
  [13388] = 12302,
  [13389] = 12303,
  [13390] = 12275,
  [13391] = 12305,
  [13392] = 12306,
  [13393] = 12307,
  [13394] = 12308,
  [13395] = 12309,
  [13396] = 12310,
  [13397] = 12311,
  [13398] = 12312,
  [13399] = 12313,
  [13400] = 12314,
  [13401] = 12315,
  [13402] = 12324,
  [13403] = 12325,
  [13404] = 12326,
  [13405] = 12333,
  [13406] = 12328,
  [13407] = 12329,
  [13408] = 12340,
  [13409] = 12341,
  [13410] = 12342,
  [13411] = 12343,
  [13412] = 12351,
  [13413] = 12352,
  [13414] = 12353,
  [13415] = 12359,
  [13416] = 13416,
  [13417] = 12427,
  [13418] = 12279,
  [13419] = 12521,
  [13420] = 12307,
  [13421] = 12308,
  [13422] = 12384,
  [13423] = 13423,
  [13424] = 12279,
  [13425] = 12439,
  [13426] = 12307,
  [13427] = 12308,
  [13428] = 12280,
  [13429] = 13429,
  [13430] = 12444,
  [13431] = 12307,
  [13432] = 12308,
  [13433] = 12307,
  [13434] = 12308,
  [13435] = 12307,
  [13436] = 12308,
  [13437] = 12307,
  [13438] = 12308,
  [13439] = 12307,
  [13440] = 12308,
  [13441] = 12307,
  [13442] = 12308,
  [13443] = 12307,
  [13444] = 12308,
  [13445] = 12307,
  [13446] = 12308,
  [13447] = 12410,
  [13448] = 12361,
  [13449] = 13449,
  [13450] = 12377,
  [13451] = 13451,
  [13452] = 12685,
  [13453] = 12378,
  [13454] = 13454,
  [13455] = 13455,
  [13456] = 12412,
  [13457] = 12413,
  [13458] = 12293,
  [13459] = 12268,
  [13460] = 12584,
  [13461] = 13461,
  [13462] = 13462,
  [13463] = 13463,
  [13464] = 13464,
  [13465] = 13465,
  [13466] = 13466,
  [13467] = 12420,
  [13468] = 13468,
  [13469] = 12382,
  [13470] = 12289,
  [13471] = 12383,
  [13472] = 12384,
  [13473] = 13473,
  [13474] = 12587,
  [13475] = 13475,
  [13476] = 13476,
  [13477] = 12588,
  [13478] = 12521,
  [13479] = 13479,
  [13480] = 12855,
  [13481] = 12348,
  [13482] = 13482,
  [13483] = 12455,
  [13484] = 12593,
  [13485] = 13485,
  [13486] = 12293,
  [13487] = 12754,
  [13488] = 13488,
  [13489] = 12964,
  [13490] = 13490,
  [13491] = 13491,
  [13492] = 12456,
  [13493] = 12457,
  [13494] = 12458,
  [13495] = 13495,
  [13496] = 12461,
  [13497] = 12466,
  [13498] = 13498,
  [13499] = 12467,
  [13500] = 12280,
  [13501] = 13501,
  [13502] = 12571,
  [13503] = 12538,
  [13504] = 13466,
  [13505] = 12294,
  [13506] = 12351,
  [13507] = 13507,
  [13508] = 12332,
  [13509] = 12292,
  [13510] = 12340,
  [13511] = 13511,
  [13512] = 13512,
  [13513] = 12341,
  [13514] = 13137,
  [13515] = 12385,
  [13516] = 12376,
  [13517] = 12342,
  [13518] = 12407,
  [13519] = 13222,
  [13520] = 13520,
  [13521] = 12337,
  [13522] = 12368,
  [13523] = 12292,
  [13524] = 13524,
  [13525] = 12351,
  [13526] = 12304,
  [13527] = 12304,
  [13528] = 12352,
  [13529] = 12343,
  [13530] = 12353,
  [13531] = 13531,
  [13532] = 13531,
  [13533] = 13533,
  [13534] = 12409,
  [13535] = 13535,
  [13536] = 13536,
  [13537] = 13537,
  [13538] = 12410,
  [13539] = 12521,
  [13540] = 12274,
  [13541] = 13541,
  [13542] = 12293,
  [13543] = 13543,
  [13544] = 13536,
  [13545] = 12719,
  [13546] = 12281,
  [13547] = 12384,
  [13548] = 12412,
  [13549] = 12292,
  [13550] = 12316,
  [13551] = 12413,
  [13552] = 13552,
  [13553] = 12323,
  [13554] = 12979,
  [13555] = 13555,
  [13556] = 12335,
  [13557] = 12346,
  [13558] = 13275,
  [13559] = 12355,
  [13560] = 12932,
  [13561] = 13561,
  [13562] = 13562,
  [13563] = 13563,
  [13564] = 12279,
  [13565] = 12280,
  [13566] = 12356,
  [13567] = 12420,
  [13568] = 12281,
  [13569] = 12304,
  [13570] = 12719,
  [13571] = 13229,
  [13572] = 12335,
  [13573] = 12384,
  [13574] = 13574,
  [13575] = 12377,
  [13576] = 12378,
  [13577] = 12844,
  [13578] = 12280,
  [13579] = 13561,
  [13580] = 13580,
  [13581] = 12382,
  [13582] = 12383,
  [13583] = 13583,
  [13584] = 12384,
  [13585] = 12280,
  [13586] = 12376,
  [13587] = 12407,
  [13588] = 12409,
  [13589] = 12427,
  [13590] = 12410,
  [13591] = 12412,
  [13592] = 12413,
  [13593] = 12420,
  [13594] = 12274,
  [13595] = 13595,
  [13596] = 12363,
  [13597] = 12439,
  [13598] = 12427,
  [13599] = 12444,
  [13600] = 12681,
  [13601] = 12753,
  [13602] = 12803,
  [13603] = 12812,
  [13604] = 13019,
  [13605] = 12439,
  [13606] = 12346,
  [13607] = 13033,
  [13608] = 12444,
  [13609] = 12281,
  [13610] = 12979,
  [13611] = 12455,
  [13612] = 13612,
  [13613] = 12456,
  [13614] = 12994,
  [13615] = 13488,
  [13616] = 13491,
  [13617] = 13524,
  [13618] = 12457,
  [13619] = 12458,
  [13620] = 13620,
  [13621] = 13621,
  [13622] = 13622,
  [13623] = 13623,
  [13624] = 12461,
  [13625] = 12466,
  [13626] = 12467,
  [13627] = 13156,
  [13628] = 12318,
  [13629] = 13629,
  [13630] = 13630,
  [13631] = 12455,
  [13632] = 12321,
  [13633] = 12316,
  [13634] = 13634,
  [13635] = 13635,
  [13636] = 12332,
  [13637] = 13637,
  [13638] = 13638,
  [13639] = 13639,
  [13640] = 13640,
  [13641] = 12333,
  [13642] = 13642,
  [13643] = 12339,
  [13644] = 12345,
  [13645] = 12330,
  [13646] = 12534,
  [13647] = 13161,
  [13648] = 12422,
  [13649] = 12423,
  [13650] = 12425,
  [13651] = 13651,
  [13652] = 12456,
  [13653] = 12457,
  [13654] = 12434,
  [13655] = 12323,
  [13656] = 12521,
  [13657] = 12336,
  [13658] = 13658,
  [13659] = 12571,
  [13660] = 12344,
  [13661] = 12458,
  [13662] = 12335,
  [13663] = 12461,
  [13664] = 12274,
  [13665] = 12466,
  [13666] = 13666,
  [13667] = 12935,
  [13668] = 12587,
  [13669] = 12346,
  [13670] = 13670,
  [13671] = 12355,
  [13672] = 13672,
  [13673] = 12467,
  [13674] = 13674,
  [13675] = 12727,
  [13676] = 12356,
  [13677] = 13677,
  [13678] = 13678,
  [13679] = 12357,
  [13680] = 12293,
  [13681] = 12377,
  [13682] = 13682,
  [13683] = 13683,
  [13684] = 13216,
  [13685] = 12384,
  [13686] = 13686,
  [13687] = 12378,
  [13688] = 12321,
  [13689] = 13689,
  [13690] = 12382,
  [13691] = 12383,
  [13692] = 12640,
  [13693] = 12384,
  [13694] = 12280,
  [13695] = 13695,
  [13696] = 12292,
  [13697] = 12376,
  [13698] = 12407,
  [13699] = 12304,
  [13700] = 12409,
  [13701] = 12410,
  [13702] = 12359,
  [13703] = 12332,
  [13704] = 12412,
  [13705] = 13705,
  [13706] = 13706,
  [13707] = 12280,
  [13708] = 12413,
  [13709] = 12316,
  [13710] = 12727,
  [13711] = 12274,
  [13712] = 12420,
  [13713] = 12571,
  [13714] = 12453,
  [13715] = 12281,
  [13716] = 13716,
  [13717] = 13717,
  [13718] = 13718,
  [13719] = 12283,
  [13720] = 12384,
  [13721] = 12277,
  [13722] = 12280,
  [13723] = 12316,
  [13724] = 13724,
  [13725] = 12323,
  [13726] = 13726,
  [13727] = 13454,
  [13728] = 13462,
  [13729] = 12355,
  [13730] = 12339,
  [13731] = 12384,
  [13732] = 13732,
  [13733] = 13733,
  [13734] = 12280,
  [13735] = 13735,
  [13736] = 12335,
  [13737] = 12346,
  [13738] = 12333,
  [13739] = 12355,
  [13740] = 12356,
  [13741] = 12339,
  [13742] = 13742,
  [13743] = 12295,
  [13744] = 12356,
  [13745] = 12377,
  [13746] = 12378,
  [13747] = 12427,
  [13748] = 12345,
  [13749] = 12382,
  [13750] = 12330,
  [13751] = 12383,
  [13752] = 12384,
  [13753] = 12575,
  [13754] = 12422,
  [13755] = 12361,
  [13756] = 12423,
  [13757] = 13620,
  [13758] = 12280,
  [13759] = 12376,
  [13760] = 13760,
  [13761] = 12407,
  [13762] = 12423,
  [13763] = 12384,
  [13764] = 12409,
  [13765] = 13765,
  [13766] = 12425,
  [13767] = 13683,
  [13768] = 12410,
  [13769] = 12412,
  [13770] = 12280,
  [13771] = 12434,
  [13772] = 12413,
  [13773] = 12434,
  [13774] = 13774,
  [13775] = 13461,
  [13776] = 13621,
  [13777] = 12384,
  [13778] = 13778,
  [13779] = 12521,
  [13780] = 12420,
  [13781] = 13781,
  [13782] = 13782,
  [13783] = 12439,
  [13784] = 12444,
  [13785] = 12296,
  [13786] = 12427,
  [13787] = 13787,
  [13788] = 12439,
  [13789] = 13622,
  [13790] = 13623,
  [13791] = 12297,
  [13792] = 12298,
  [13793] = 12444,
  [13794] = 12455,
  [13795] = 12455,
  [13796] = 12456,
  [13797] = 12299,
  [13798] = 13227,
  [13799] = 12457,
  [13800] = 12280,
  [13801] = 12320,
  [13802] = 12458,
  [13803] = 12461,
  [13804] = 12466,
  [13805] = 12362,
  [13806] = 12467,
  [13807] = 12456,
  [13808] = 12335,
  [13809] = 12457,
  [13810] = 12321,
  [13811] = 12458,
  [13812] = 12332,
  [13813] = 12333,
  [13814] = 13814,
  [13815] = 13815,
  [13816] = 12339,
  [13817] = 13149,
  [13818] = 12345,
  [13819] = 12330,
  [13820] = 13820,
  [13821] = 12422,
  [13822] = 12423,
  [13823] = 12425,
  [13824] = 12434,
  [13825] = 13079,
  [13826] = 12300,
  [13827] = 13495,
  [13828] = 12521,
  [13829] = 13829,
  [13830] = 12461,
  [13831] = 13531,
  [13832] = 12466,
  [13833] = 12408,
  [13834] = 12467,
  [13835] = 13835,
  [13836] = 12301,
  [13837] = 13717,
  [13838] = 12425,
  [13839] = 13574,
  [13840] = 13840,
  [13841] = 13841,
  [13842] = 13842,
  [13843] = 12587,
  [13844] = 13488,
  [13845] = 13491,
  [13846] = 13524,
  [13847] = 13847,
  [13848] = 12434,
  [13849] = 13651,
  [13850] = 12421,
  [13851] = 13485,
  [13852] = 13852,
  [13853] = 12534,
  [13854] = 12819,
  [13855] = 12927,
  [13856] = 12377,
  [13857] = 12269,
  [13858] = 12378,
  [13859] = 12293,
  [13860] = 13670,
  [13861] = 13861,
  [13862] = 12346,
  [13863] = 12355,
  [13864] = 13677,
  [13865] = 12329,
  [13866] = 12382,
  [13867] = 13867,
  [13868] = 12383,
  [13869] = 13869,
  [13870] = 12842,
  [13871] = 12321,
  [13872] = 13872,
  [13873] = 13552,
  [13874] = 12292,
  [13875] = 12321,
  [13876] = 13495,
  [13877] = 12332,
  [13878] = 13878,
  [13879] = 12304,
  [13880] = 13531,
  [13881] = 12333,
  [13882] = 12339,
  [13883] = 12345,
  [13884] = 12330,
  [13885] = 12274,
  [13886] = 13886,
  [13887] = 13574,
  [13888] = 12302,
  [13889] = 12303,
  [13890] = 13637,
  [13891] = 12281,
  [13892] = 13488,
  [13893] = 13491,
  [13894] = 13524,
  [13895] = 13895,
  [13896] = 13896,
  [13897] = 13651,
  [13898] = 12316,
  [13899] = 12422,
  [13900] = 12323,
  [13901] = 12423,
  [13902] = 12425,
  [13903] = 12335,
  [13904] = 13495,
  [13905] = 12346,
  [13906] = 12355,
  [13907] = 12356,
  [13908] = 13531,
  [13909] = 13909,
  [13910] = 12305,
  [13911] = 13911,
  [13912] = 12356,
  [13913] = 12377,
  [13914] = 12378,
  [13915] = 13574,
  [13916] = 12434,
  [13917] = 12382,
  [13918] = 12383,
  [13919] = 12384,
  [13920] = 13488,
  [13921] = 13491,
  [13922] = 13524,
  [13923] = 12280,
  [13924] = 12376,
  [13925] = 13651,
  [13926] = 12407,
  [13927] = 12409,
  [13928] = 12410,
  [13929] = 12412,
  [13930] = 12413,
  [13931] = 12306,
  [13932] = 13495,
  [13933] = 12420,
  [13934] = 12384,
  [13935] = 12574,
  [13936] = 13531,
  [13937] = 13732,
  [13938] = 12427,
  [13939] = 13423,
  [13940] = 12439,
  [13941] = 12444,
  [13942] = 13574,
  [13943] = 12521,
  [13944] = 12455,
  [13945] = 12456,
  [13946] = 13488,
  [13947] = 13491,
  [13948] = 13524,
  [13949] = 13651,
  [13950] = 12457,
  [13951] = 12307,
  [13952] = 12458,
  [13953] = 12461,
  [13954] = 13495,
  [13955] = 12280,
  [13956] = 12844,
  [13957] = 13531,
  [13958] = 12466,
  [13959] = 13959,
  [13960] = 12467,
  [13961] = 12376,
  [13962] = 13574,
  [13963] = 13658,
  [13964] = 12407,
  [13965] = 13488,
  [13966] = 13491,
  [13967] = 13524,
  [13968] = 13651,
  [13969] = 12582,
  [13970] = 12409,
  [13971] = 12410,
  [13972] = 12587,
  [13973] = 13495,
  [13974] = 12587,
  [13975] = 12321,
  [13976] = 13531,
  [13977] = 12412,
  [13978] = 12413,
  [13979] = 12420,
  [13980] = 13735,
  [13981] = 13574,
  [13982] = 12456,
  [13983] = 12332,
  [13984] = 13488,
  [13985] = 13491,
  [13986] = 13524,
  [13987] = 13651,
  [13988] = 12333,
  [13989] = 12339,
  [13990] = 12332,
  [13991] = 12345,
  [13992] = 13495,
  [13993] = 12457,
  [13994] = 13531,
  [13995] = 12545,
  [13996] = 13867,
  [13997] = 12330,
  [13998] = 13574,
  [13999] = 12570,
  [14000] = 13488,
  [14001] = 13491,
  [14002] = 13524,
  [14003] = 13651,
  [14004] = 12422,
  [14005] = 12423,
  [14006] = 12425,
  [14007] = 12587,
  [14008] = 13495,
  [14009] = 12434,
  [14010] = 13531,
  [14011] = 12308,
  [14012] = 12613,
  [14013] = 12293,
  [14014] = 13574,
  [14015] = 12377,
  [14016] = 13488,
  [14017] = 13491,
  [14018] = 13524,
  [14019] = 13651,
  [14020] = 12521,
  [14021] = 12378,
  [14022] = 13234,
  [14023] = 12594,
  [14024] = 13495,
  [14025] = 14025,
  [14026] = 13531,
  [14027] = 12333,
  [14028] = 12868,
  [14029] = 13634,
  [14030] = 13574,
  [14031] = 12869,
  [14032] = 13488,
  [14033] = 13491,
  [14034] = 13524,
  [14035] = 13651,
  [14036] = 12281,
  [14037] = 14037,
  [14038] = 12309,
  [14039] = 12382,
  [14040] = 13495,
  [14041] = 12602,
  [14042] = 13531,
  [14043] = 12587,
  [14044] = 12339,
  [14045] = 14045,
  [14046] = 13574,
  [14047] = 12618,
  [14048] = 13488,
  [14049] = 13491,
  [14050] = 13524,
  [14051] = 13651,
  [14052] = 12383,
  [14053] = 13635,
  [14054] = 12310,
  [14055] = 12997,
  [14056] = 13495,
  [14057] = 13429,
  [14058] = 13531,
  [14059] = 14059,
  [14060] = 13283,
  [14061] = 13022,
  [14062] = 13574,
  [14063] = 12384,
  [14064] = 13488,
  [14065] = 13491,
  [14066] = 13524,
  [14067] = 13651,
  [14068] = 12458,
  [14069] = 14069,
  [14070] = 12311,
  [14071] = 12345,
  [14072] = 13495,
  [14073] = 12280,
  [14074] = 13531,
  [14075] = 12293,
  [14076] = 12376,
  [14077] = 12312,
  [14078] = 13574,
  [14079] = 12492,
  [14080] = 13488,
  [14081] = 13491,
  [14082] = 13524,
  [14083] = 13651,
  [14084] = 13774,
  [14085] = 12665,
  [14086] = 12407,
  [14087] = 12409,
  [14088] = 13495,
  [14089] = 12313,
  [14090] = 13531,
  [14091] = 14091,
  [14092] = 12461,
  [14093] = 12608,
  [14094] = 13574,
  [14095] = 12330,
  [14096] = 13488,
  [14097] = 13491,
  [14098] = 13524,
  [14099] = 13651,
  [14100] = 14100,
  [14101] = 14101,
  [14102] = 12410,
  [14103] = 12292,
  [14104] = 13495,
  [14105] = 12314,
  [14106] = 13531,
  [14107] = 14107,
  [14108] = 12315,
  [14109] = 13175,
  [14110] = 13574,
  [14111] = 12786,
  [14112] = 13488,
  [14113] = 13491,
  [14114] = 13524,
  [14115] = 13651,
  [14116] = 13724,
  [14117] = 12292,
  [14118] = 12272,
  [14119] = 12587,
  [14120] = 13495,
  [14121] = 13207,
  [14122] = 13531,
  [14123] = 12304,
  [14124] = 14124,
  [14125] = 12304,
  [14126] = 13574,
  [14127] = 13733,
  [14128] = 13488,
  [14129] = 13491,
  [14130] = 13524,
  [14131] = 13651,
  [14132] = 13316,
  [14133] = 12274,
  [14134] = 13511,
  [14135] = 13231,
  [14136] = 13495,
  [14137] = 12316,
  [14138] = 13531,
  [14139] = 12281,
  [14140] = 14140,
  [14141] = 12293,
  [14142] = 13574,
  [14143] = 13533,
  [14144] = 13488,
  [14145] = 13491,
  [14146] = 13524,
  [14147] = 13651,
  [14148] = 12316,
  [14149] = 14149,
  [14150] = 13495,
  [14151] = 13574,
  [14152] = 13488,
  [14153] = 13491,
  [14154] = 13524,
  [14155] = 13651,
  [14156] = 12323,
  [14157] = 14157,
  [14158] = 13495,
  [14159] = 13574,
  [14160] = 13488,
  [14161] = 13491,
  [14162] = 13524,
  [14163] = 13651,
  [14164] = 14164,
  [14165] = 13580,
  [14166] = 12335,
  [14167] = 12346,
  [14168] = 14168,
  [14169] = 12355,
  [14170] = 13535,
  [14171] = 12356,
  [14172] = 12274,
  [14173] = 14173,
  [14174] = 14174,
  [14175] = 12466,
  [14176] = 12377,
  [14177] = 12378,
  [14178] = 12293,
  [14179] = 14179,
  [14180] = 12382,
  [14181] = 13666,
  [14182] = 13682,
  [14183] = 12383,
  [14184] = 14184,
  [14185] = 12384,
  [14186] = 12280,
  [14187] = 12376,
  [14188] = 12407,
  [14189] = 12409,
  [14190] = 12410,
  [14191] = 12412,
  [14192] = 12413,
  [14193] = 12467,
  [14194] = 14045,
  [14195] = 12420,
  [14196] = 12595,
  [14197] = 13869,
  [14198] = 13215,
  [14199] = 14199,
  [14200] = 12593,
  [14201] = 12427,
  [14202] = 12281,
  [14203] = 14203,
  [14204] = 14204,
  [14205] = 14205,
  [14206] = 12439,
  [14207] = 12444,
  [14208] = 12754,
  [14209] = 13149,
  [14210] = 14210,
  [14211] = 12455,
  [14212] = 14124,
  [14213] = 12456,
  [14214] = 12457,
  [14215] = 12739,
  [14216] = 13574,
  [14217] = 12458,
  [14218] = 12461,
  [14219] = 12466,
  [14220] = 12467,
  [14221] = 13468,
  [14222] = 14222,
  [14223] = 12412,
  [14224] = 12294,
  [14225] = 14225,
  [14226] = 13511,
  [14227] = 9475,
  [14228] = 12717,
  [14229] = 12321,
  [14230] = 12316,
  [14231] = 14231,
  [14232] = 14184,
  [14233] = 14233,
  [14234] = 13293,
  [14235] = 12290,
  [14236] = 12291,
  [14237] = 12332,
  [14238] = 12333,
  [14239] = 13872,
  [14240] = 14240,
  [14241] = 13861,
  [14242] = 12339,
  [14243] = 13537,
  [14244] = 12556,
  [14245] = 14245,
  [14246] = 12323,
  [14247] = 14247,
  [14248] = 12931,
  [14249] = 12345,
  [14250] = 12588,
  [14251] = 12594,
  [14252] = 13552,
  [14253] = 12330,
  [14254] = 13778,
  [14255] = 14255,
  [14256] = 12422,
  [14257] = 12423,
  [14258] = 12425,
  [14259] = 12434,
  [14260] = 12377,
  [14261] = 12810,
  [14262] = 12413,
  [14263] = 13781,
  [14264] = 13583,
  [14265] = 12521,
  [14266] = 14203,
  [14267] = 13562,
  [14268] = 13498,
  [14269] = 14269,
  [14270] = 14270,
  [14271] = 14164,
  [14272] = 12335,
  [14273] = 12974,
  [14274] = 12346,
  [14275] = 12363,
  [14276] = 12277,
  [14277] = 12465,
  [14278] = 12355,
  [14279] = 14279,
  [14280] = 14280,
  [14281] = 12354,
  [14282] = 12802,
  [14283] = 13019,
  [14284] = 12356,
  [14285] = 13033,
  [14286] = 12587,
  [14287] = 12292,
  [14288] = 12726,
  [14289] = 14289,
  [14290] = 13490,
  [14291] = 12304,
  [14292] = 12752,
  [14293] = 12378,
  [14294] = 14294,
  [14295] = 12293,
  [14296] = 13227,
  [14297] = 14037,
  [14298] = 12420,
  [14299] = 12292,
  [14300] = 14240,
  [14301] = 13642,
  [14302] = 12333,
  [14303] = 12979,
  [14304] = 13852,
  [14305] = 12274,
  [14306] = 12348,
  [14307] = 14307,
  [14308] = 14179,
  [14309] = 13562,
  [14310] = 12377,
  [14311] = 12281,
  [14312] = 12378,
  [14313] = 14294,
  [14314] = 13378,
  [14315] = 13674,
  [14316] = 12357,
  [14317] = 14317,
  [14318] = 12382,
  [14319] = 13742,
  [14320] = 13705,
  [14321] = 12304,
  [14322] = 12383,
  [14323] = 12384,
  [14324] = 12361,
  [14325] = 12292,
  [14326] = 13056,
  [14327] = 12316,
  [14328] = 12278,
  [14329] = 12280,
  [14330] = 13778,
  [14331] = 12376,
  [14332] = 12304,
  [14333] = 12323,
  [14334] = 12362,
  [14335] = 12407,
  [14336] = 13638,
  [14337] = 12409,
  [14338] = 13840,
  [14339] = 13706,
  [14340] = 12410,
  [14341] = 12412,
  [14342] = 12845,
  [14343] = 12413,
  [14344] = 13878,
  [14345] = 12420,
  [14346] = 12521,
  [14347] = 12333,
  [14348] = 12286,
  [14349] = 13507,
  [14350] = 12961,
  [14351] = 12274,
  [14352] = 12335,
  [14353] = 12427,
  [14354] = 13465,
  [14355] = 12346,
  [14356] = 12439,
  [14357] = 12281,
  [14358] = 12355,
  [14359] = 12356,
  [14360] = 12316,
  [14361] = 12444,
  [14362] = 12323,
  [14363] = 14363,
  [14364] = 12738,
  [14365] = 12455,
  [14366] = 13149,
  [14367] = 12456,
  [14368] = 12739,
  [14369] = 12457,
  [14370] = 12458,
  [14371] = 13293,
  [14372] = 13861,
  [14373] = 14245,
  [14374] = 13498,
  [14375] = 14269,
  [14376] = 14270,
  [14377] = 14164,
  [14378] = 13490,
  [14379] = 12962,
  [14380] = 12461,
  [14381] = 12335,
  [14382] = 12466,
  [14383] = 12346,
  [14384] = 13149,
  [14385] = 12355,
  [14386] = 12739,
  [14387] = 12467,
  [14388] = 12339,
  [14389] = 13293,
  [14390] = 13861,
  [14391] = 14245,
  [14392] = 13498,
  [14393] = 14269,
  [14394] = 14270,
  [14395] = 14164,
  [14396] = 13490,
  [14397] = 13639,
  [14398] = 13640,
  [14399] = 13543,
  [14400] = 12356,
  [14401] = 13379,
  [14402] = 12739,
  [14403] = 13672,
  [14404] = 13886,
  [14405] = 13293,
  [14406] = 13861,
  [14407] = 14245,
  [14408] = 13498,
  [14409] = 14269,
  [14410] = 14270,
  [14411] = 14164,
  [14412] = 13490,
  [14413] = 12321,
  [14414] = 12427,
  [14415] = 12382,
  [14416] = 12974,
  [14417] = 13595,
  [14418] = 12739,
  [14419] = 12332,
  [14420] = 12333,
  [14421] = 13293,
  [14422] = 13861,
  [14423] = 14245,
  [14424] = 13498,
  [14425] = 14269,
  [14426] = 14270,
  [14427] = 14164,
  [14428] = 13490,
  [14429] = 12339,
  [14430] = 13416,
  [14431] = 12345,
  [14432] = 12377,
  [14433] = 12378,
  [14434] = 12739,
  [14435] = 12330,
  [14436] = 13861,
  [14437] = 14245,
  [14438] = 14269,
  [14439] = 14270,
  [14440] = 14164,
  [14441] = 13490,
  [14442] = 12377,
  [14443] = 12382,
  [14444] = 12712,
  [14445] = 12383,
  [14446] = 12384,
  [14447] = 12739,
  [14448] = 12422,
  [14449] = 13861,
  [14450] = 14245,
  [14451] = 14269,
  [14452] = 14270,
  [14453] = 14164,
  [14454] = 13490,
  [14455] = 12280,
  [14456] = 12376,
  [14457] = 12423,
  [14458] = 13861,
  [14459] = 14269,
  [14460] = 14270,
  [14461] = 14164,
  [14462] = 13490,
  [14463] = 14463,
  [14464] = 12407,
  [14465] = 12409,
  [14466] = 13861,
  [14467] = 14269,
  [14468] = 14270,
  [14469] = 14164,
  [14470] = 13490,
  [14471] = 12410,
  [14472] = 12412,
  [14473] = 12413,
  [14474] = 13861,
  [14475] = 14269,
  [14476] = 14270,
  [14477] = 14164,
  [14478] = 13490,
  [14479] = 13678,
  [14480] = 13686,
  [14481] = 12420,
  [14482] = 13861,
  [14483] = 14269,
  [14484] = 14270,
  [14485] = 14164,
  [14486] = 13490,
  [14487] = 12378,
  [14488] = 12425,
  [14489] = 12853,
  [14490] = 13861,
  [14491] = 14269,
  [14492] = 14270,
  [14493] = 14164,
  [14494] = 13490,
  [14495] = 13495,
  [14496] = 12434,
  [14497] = 14497,
  [14498] = 13861,
  [14499] = 14269,
  [14500] = 14270,
  [14501] = 14164,
  [14502] = 13490,
  [14503] = 14503,
  [14504] = 13473,
  [14505] = 14505,
  [14506] = 13861,
  [14507] = 14269,
  [14508] = 14270,
  [14509] = 14164,
  [14510] = 13490,
  [14511] = 14511,
  [14512] = 14512,
  [14513] = 12427,
  [14514] = 13861,
  [14515] = 14269,
  [14516] = 14270,
  [14517] = 14164,
  [14518] = 13490,
  [14519] = 12382,
  [14520] = 12439,
  [14521] = 12444,
  [14522] = 13861,
  [14523] = 14269,
  [14524] = 14270,
  [14525] = 14164,
  [14526] = 13490,
  [14527] = 12383,
  [14528] = 12455,
  [14529] = 13695,
  [14530] = 13861,
  [14531] = 14269,
  [14532] = 14270,
  [14533] = 14164,
  [14534] = 13490,
  [14535] = 13861,
  [14536] = 14269,
  [14537] = 14270,
  [14538] = 14164,
  [14539] = 13490,
  [14540] = 13861,
  [14541] = 14269,
  [14542] = 14270,
  [14543] = 14164,
  [14544] = 13490,
  [14545] = 12456,
  [14546] = 12457,
  [14547] = 12458,
  [14548] = 12461,
  [14549] = 12466,
  [14550] = 12433,
  [14551] = 12467,
  [14552] = 12384,
  [14553] = 13501,
  [14554] = 13666,
  [14555] = 12280,
  [14556] = 12321,
  [14557] = 14184,
  [14558] = 12376,
  [14559] = 13841,
  [14560] = 12332,
  [14561] = 12345,
  [14562] = 13896,
  [14563] = 12333,
  [14564] = 14463,
  [14565] = 12339,
  [14566] = 12345,
  [14567] = 12330,
  [14568] = 12407,
  [14569] = 12422,
  [14570] = 12423,
  [14571] = 12425,
  [14572] = 12586,
  [14573] = 12292,
  [14574] = 12439,
  [14575] = 12434,
  [14576] = 14307,
  [14577] = 12409,
  [14578] = 12521,
  [14579] = 12410,
  [14580] = 12521,
  [14581] = 12412,
  [14582] = 12444,
  [14583] = 13642,
  [14584] = 13537,
  [14585] = 12413,
  [14586] = 12587,
  [14587] = 12556,
  [14588] = 14588,
  [14589] = 12420,
  [14590] = 14204,
  [14591] = 12587,
  [14592] = 12330,
  [14593] = 12870,
  [14594] = 14594,
  [14595] = 12293,
  [14596] = 12339,
  [14597] = 12427,
  [14598] = 13959,
  [14599] = 12439,
  [14600] = 12444,
  [14601] = 12871,
  [14602] = 12455,
  [14603] = 12456,
  [14604] = 12457,
  [14605] = 12458,
  [14606] = 12461,
  [14607] = 12292,
  [14608] = 13580,
  [14609] = 12466,
  [14610] = 14610,
  [14611] = 12304,
  [14612] = 12467,
  [14613] = 14613,
  [14614] = 14614,
  [14615] = 12455,
  [14616] = 12274,
  [14617] = 14617,
  [14618] = 13451,
  [14619] = 12281,
  [14620] = 12304,
  [14621] = 13620,
  [14622] = 13621,
  [14623] = 12939,
  [14624] = 12316,
  [14625] = 12685,
  [14626] = 12323,
  [14627] = 12321,
  [14628] = 12293,
  [14629] = 12335,
  [14630] = 12346,
  [14631] = 12355,
  [14632] = 12356,
  [14633] = 12360,
  [14634] = 13909,
  [14635] = 13463,
  [14636] = 12377,
  [14637] = 12378,
  [14638] = 12332,
  [14639] = 12382,
  [14640] = 12383,
  [14641] = 12384,
  [14642] = 13842,
  [14643] = 12280,
  [14644] = 12376,
  [14645] = 12407,
  [14646] = 12409,
  [14647] = 12410,
  [14648] = 12412,
  [14649] = 12413,
  [14650] = 12420,
  [14651] = 12333,
  [14652] = 12339,
  [14653] = 12345,
  [14654] = 12427,
  [14655] = 12330,
  [14656] = 12456,
  [14657] = 12439,
  [14658] = 13479,
  [14659] = 13464,
  [14660] = 14174,
  [14661] = 12444,
  [14662] = 12383,
  [14663] = 13820,
  [14664] = 14245,
  [14665] = 14069,
  [14666] = 12348,
  [14667] = 13482,
  [14668] = 12433,
  [14669] = 12455,
  [14670] = 12456,
  [14671] = 12457,
  [14672] = 12433,
  [14673] = 12458,
  [14674] = 12461,
  [14675] = 13742,
  [14676] = 12433,
  [14677] = 13149,
  [14678] = 12466,
  [14679] = 12433,
  [14680] = 12467,
  [14681] = 13911,
  [14682] = 12433,
  [14683] = 12422,
  [14684] = 12423,
  [14685] = 12433,
  [14686] = 12384,
  [14687] = 12321,
  [14688] = 12433,
  [14689] = 12425,
  [14690] = 12278,
  [14691] = 12433,
  [14692] = 12332,
  [14693] = 12333,
  [14694] = 12433,
  [14695] = 12339,
  [14696] = 12345,
  [14697] = 12433,
  [14698] = 12330,
  [14699] = 12434,
  [14700] = 12433,
  [14701] = 12422,
  [14702] = 12423,
  [14703] = 12433,
  [14704] = 12279,
  [14705] = 12996,
  [14706] = 12433,
  [14707] = 12425,
  [14708] = 12434,
  [14709] = 12433,
  [14710] = 14233,
  [14711] = 12979,
  [14712] = 12433,
  [14713] = 14713,
  [14714] = 13840,
  [14715] = 12433,
  [14716] = 12521,
  [14717] = 12457,
  [14718] = 12458,
  [14719] = 12279,
  [14720] = 14179,
  [14721] = 12461,
  [14722] = 13682,
  [14723] = 12584,
  [14724] = 12587,
  [14725] = 14725,
  [14726] = 12521,
  [14727] = 12274,
  [14728] = 12466,
  [14729] = 12323,
  [14730] = 14203,
  [14731] = 14204,
  [14732] = 12587,
  [14733] = 14733,
  [14734] = 14157,
  [14735] = 12586,
  [14736] = 13651,
  [14737] = 12467,
  [14738] = 12717,
  [14739] = 14739,
  [14740] = 13449,
  [14741] = 12282,
  [14742] = 12362,
  [14743] = 12293,
  [14744] = 12357,
  [14745] = 12352,
  [14746] = 12423,
  [14747] = 14269,
  [14748] = 13815,
  [14749] = 14173,
  [14750] = 14270,
  [14751] = 14751,
  [14752] = 12425,
  [14753] = 12324,
  [14754] = 12325,
  [14755] = 12292,
  [14756] = 14317,
  [14757] = 13689,
  [14758] = 12326,
  [14759] = 12304,
  [14760] = 13718,
  [14761] = 13541,
  [14762] = 14307,
  [14763] = 12427,
  [14764] = 12266,
  [14765] = 12328,
  [14766] = 14766,
  [14767] = 12274,
  [14768] = 14768,
  [14769] = 12439,
  [14770] = 12281,
  [14771] = 13520,
  [14772] = 12293,
  [14773] = 12316,
  [14774] = 12434,
  [14775] = 12323,
  [14776] = 12444,
  [14777] = 12335,
  [14778] = 12335,
  [14779] = 12346,
  [14780] = 12355,
  [14781] = 12356,
  [14782] = 14247,
  [14783] = 13555,
  [14784] = 12270,
  [14785] = 14768,
  [14786] = 12377,
  [14787] = 12378,
  [14788] = 12521,
  [14789] = 12382,
  [14790] = 12383,
  [14791] = 12384,
  [14792] = 12280,
  [14793] = 12376,
  [14794] = 12407,
  [14795] = 14101,
  [14796] = 12409,
  [14797] = 14289,
  [14798] = 14739,
  [14799] = 12410,
  [14800] = 13814,
  [14801] = 12412,
  [14802] = 12413,
  [14803] = 13090,
  [14804] = 12477,
  [14805] = 12420,
  [14806] = 14225,
  [14807] = 13787,
  [14808] = 14713,
  [14809] = 13689,
  [14810] = 12286,
  [14811] = 12587,
  [14812] = 12282,
  [14813] = 12427,
  [14814] = 12455,
  [14815] = 12439,
  [14816] = 12444,
  [14817] = 12321,
  [14818] = 12456,
  [14819] = 12455,
  [14820] = 12456,
  [14821] = 12457,
  [14822] = 12458,
  [14823] = 12461,
  [14824] = 12466,
  [14825] = 14766,
  [14826] = 12467,
  [14827] = 12457,
  [14828] = 12688,
  [14829] = 12979,
  [14830] = 13895,
  [14831] = 12458,
  [14832] = 12460,
  [14833] = 12321,
  [14834] = 14091,
  [14835] = 12461,
  [14836] = 12332,
  [14837] = 12375,
  [14838] = 14751,
  [14839] = 12323,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(37);
      ADVANCE_MAP(
        '!', 100,
        '"', 2,
        '$', 24,
        '%', 76,
        '\'', 4,
        '(', 41,
        ')', 42,
        '*', 49,
        '+', 72,
        ',', 43,
        '-', 73,
        '.', 48,
        '/', 75,
        ':', 60,
        ';', 38,
        '<', 54,
        '=', 46,
        '>', 55,
        '?', 50,
        '@', 82,
        '[', 39,
        ']', 40,
        '^', 77,
        '`', 31,
        '|', 13,
        '#', 81,
        '~', 81,
        'U', 102,
        'u', 102,
        'B', 103,
        'X', 103,
        'b', 103,
        'x', 103,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(32);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(86);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '!', 99,
        '"', 2,
        '$', 24,
        '\'', 4,
        '(', 41,
        ')', 42,
        '*', 49,
        '+', 72,
        '-', 73,
        '.', 28,
        '/', 7,
        '0', 87,
        '?', 50,
        '@', 82,
        ']', 40,
        '`', 31,
        '|', 13,
        '#', 81,
        '~', 81,
        'U', 102,
        'u', 102,
        'B', 103,
        'X', 103,
        'b', 103,
        'x', 103,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(88);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 2:
      if (lookahead == '"') ADVANCE(83);
      if (lookahead != 0) ADVANCE(2);
      END_STATE();
    case 3:
      if (lookahead == '\'') ADVANCE(4);
      END_STATE();
    case 4:
      if (lookahead == '\'') ADVANCE(84);
      if (lookahead != 0) ADVANCE(4);
      END_STATE();
    case 5:
      if (lookahead == '\'') ADVANCE(98);
      if (lookahead != 0) ADVANCE(5);
      END_STATE();
    case 6:
      if (lookahead == '\'') ADVANCE(85);
      if (lookahead != 0) ADVANCE(6);
      END_STATE();
    case 7:
      if (lookahead == '*') ADVANCE(9);
      END_STATE();
    case 8:
      if (lookahead == '*') ADVANCE(8);
      if (lookahead == '/') ADVANCE(45);
      if (lookahead != 0) ADVANCE(9);
      END_STATE();
    case 9:
      if (lookahead == '*') ADVANCE(8);
      if (lookahead != 0) ADVANCE(9);
      END_STATE();
    case 10:
      if (lookahead == '+') ADVANCE(72);
      if (lookahead == '-') ADVANCE(73);
      if (lookahead == '/') ADVANCE(7);
      if (lookahead == '0') ADVANCE(92);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(10);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(93);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 11:
      if (lookahead == '-') ADVANCE(61);
      END_STATE();
    case 12:
      if (lookahead == '/') ADVANCE(81);
      END_STATE();
    case 13:
      if (lookahead == '/') ADVANCE(81);
      if (lookahead == '|') ADVANCE(12);
      END_STATE();
    case 14:
      if (lookahead == ':') ADVANCE(52);
      if (lookahead == '=') ADVANCE(47);
      END_STATE();
    case 15:
      if (lookahead == '=') ADVANCE(79);
      if (lookahead == '~') ADVANCE(63);
      END_STATE();
    case 16:
      if (lookahead == '>') ADVANCE(61);
      END_STATE();
    case 17:
      if (lookahead == '@') ADVANCE(81);
      END_STATE();
    case 18:
      if (lookahead == '@') ADVANCE(69);
      if (lookahead == '>' ||
          lookahead == '?') ADVANCE(61);
      END_STATE();
    case 19:
      if (lookahead == '`') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(19);
      END_STATE();
    case 20:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(94);
      END_STATE();
    case 21:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(29);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(96);
      END_STATE();
    case 22:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(89);
      END_STATE();
    case 23:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(90);
      END_STATE();
    case 24:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(51);
      END_STATE();
    case 25:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(93);
      END_STATE();
    case 26:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(94);
      END_STATE();
    case 27:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(88);
      END_STATE();
    case 28:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(95);
      END_STATE();
    case 29:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(96);
      END_STATE();
    case 30:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(91);
      END_STATE();
    case 31:
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(19);
      END_STATE();
    case 32:
      if (eof) ADVANCE(37);
      ADVANCE_MAP(
        '!', 100,
        '"', 2,
        '$', 24,
        '%', 76,
        '\'', 4,
        '(', 41,
        ')', 42,
        '*', 49,
        '+', 72,
        ',', 43,
        '-', 73,
        '.', 48,
        '/', 75,
        ':', 60,
        ';', 38,
        '<', 54,
        '=', 46,
        '>', 55,
        '?', 50,
        '@', 82,
        '[', 39,
        ']', 40,
        '^', 77,
        '`', 31,
        '|', 13,
        '#', 81,
        '~', 81,
        'U', 102,
        'u', 102,
        'B', 103,
        'X', 103,
        'b', 103,
        'x', 103,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(32);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(86);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 33:
      if (eof) ADVANCE(37);
      ADVANCE_MAP(
        '!', 15,
        '"', 2,
        '#', 67,
        '%', 76,
        '&', 65,
        '\'', 4,
        '(', 41,
        ')', 42,
        '*', 49,
        '+', 72,
        ',', 43,
        '-', 74,
        '.', 48,
        '/', 75,
        '0', 92,
        ':', 14,
        ';', 38,
        '<', 53,
        '=', 46,
        '>', 56,
        '?', 64,
        '@', 18,
        '[', 39,
        '^', 78,
        '`', 31,
        '|', 62,
        '~', 63,
        'U', 102,
        'u', 102,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(93);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 34:
      if (eof) ADVANCE(37);
      ADVANCE_MAP(
        '!', 15,
        '"', 2,
        '#', 67,
        '%', 76,
        '&', 65,
        '\'', 4,
        '(', 41,
        ')', 42,
        '*', 49,
        '+', 72,
        ',', 43,
        '-', 74,
        '.', 48,
        '/', 75,
        ':', 59,
        ';', 38,
        '<', 53,
        '=', 46,
        '>', 56,
        '?', 64,
        '@', 18,
        '[', 39,
        ']', 40,
        '^', 78,
        '`', 31,
        '|', 62,
        '~', 63,
        'U', 102,
        'u', 102,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(34);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 35:
      if (eof) ADVANCE(37);
      ADVANCE_MAP(
        '!', 15,
        '"', 2,
        '#', 67,
        '%', 76,
        '&', 65,
        '\'', 6,
        '(', 41,
        ')', 42,
        '*', 49,
        '+', 72,
        ',', 43,
        '-', 74,
        '.', 48,
        '/', 75,
        ':', 59,
        ';', 38,
        '<', 53,
        '=', 46,
        '>', 56,
        '?', 64,
        '@', 18,
        '[', 39,
        ']', 40,
        '^', 78,
        '`', 31,
        '|', 62,
        '~', 63,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(35);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(86);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 36:
      if (eof) ADVANCE(37);
      ADVANCE_MAP(
        '!', 15,
        '"', 2,
        '#', 67,
        '%', 76,
        '&', 65,
        '(', 41,
        ')', 42,
        '*', 49,
        '+', 72,
        ',', 43,
        '-', 74,
        '.', 48,
        '/', 75,
        ':', 14,
        ';', 38,
        '<', 53,
        '=', 46,
        '>', 56,
        '?', 64,
        '@', 18,
        '[', 39,
        '^', 78,
        '`', 31,
        '|', 62,
        '~', 63,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(36);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(44);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(sym_marginalia);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(sym_parameter);
      if (lookahead == '-' ||
          lookahead == '|') ADVANCE(81);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(sym_parameter);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(51);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(16);
      if (lookahead == '<') ADVANCE(71);
      if (lookahead == '=') ADVANCE(57);
      if (lookahead == '>') ADVANCE(80);
      if (lookahead == '@' ||
          lookahead == '^') ADVANCE(61);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(57);
      if (lookahead == '>') ADVANCE(80);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(58);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(58);
      if (lookahead == '>') ADVANCE(66);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(52);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(52);
      if (lookahead == '=') ADVANCE(47);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(sym_op_other);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '&') ADVANCE(16);
      if (lookahead == '>') ADVANCE(16);
      if (lookahead == '|') ADVANCE(61);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '*') ADVANCE(61);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '-') ADVANCE(70);
      if (lookahead == '|') ADVANCE(70);
      if (lookahead == '#' ||
          lookahead == '&') ADVANCE(61);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '<') ADVANCE(70);
      if (lookahead == '>') ADVANCE(61);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '=') ADVANCE(61);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '>') ADVANCE(68);
      if (lookahead == '#' ||
          lookahead == '-') ADVANCE(61);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '>') ADVANCE(61);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '@') ADVANCE(61);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '|') ADVANCE(61);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '=' ||
          lookahead == '|') ADVANCE(61);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(44);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(44);
      if (lookahead == '>') ADVANCE(68);
      if (lookahead == '|') ADVANCE(11);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(9);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '>' ||
          lookahead == '@') ADVANCE(61);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_op_unary_other);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_op_unary_other);
      if (lookahead == '-') ADVANCE(17);
      if (lookahead == '@') ADVANCE(81);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym__double_quote_string);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym__single_quote_string_token1);
      if (lookahead == '\'') ADVANCE(4);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(aux_sym__single_quote_string_token2);
      if (lookahead == '\'') ADVANCE(6);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym__natural_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(86);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(aux_sym__integer_token1);
      ADVANCE_MAP(
        '.', 97,
        '_', 27,
        'e', 20,
        'B', 22,
        'b', 22,
        'O', 23,
        'o', 23,
        'X', 30,
        'x', 30,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(88);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(aux_sym__integer_token1);
      if (lookahead == '.') ADVANCE(97);
      if (lookahead == '_') ADVANCE(27);
      if (lookahead == 'e') ADVANCE(20);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(88);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym__integer_token1);
      if (lookahead == '_') ADVANCE(22);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(89);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(aux_sym__integer_token1);
      if (lookahead == '_') ADVANCE(23);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(90);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(aux_sym__integer_token1);
      if (lookahead == '_') ADVANCE(30);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(91);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(aux_sym__integer_token1);
      ADVANCE_MAP(
        '_', 25,
        'e', 20,
        'B', 22,
        'b', 22,
        'O', 23,
        'o', 23,
        'X', 30,
        'x', 30,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(93);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(aux_sym__integer_token1);
      if (lookahead == '_') ADVANCE(25);
      if (lookahead == 'e') ADVANCE(20);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(93);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(aux_sym__integer_token1);
      if (lookahead == '_') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(94);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym__decimal_number_token1);
      if (lookahead == '_') ADVANCE(28);
      if (lookahead == 'e') ADVANCE(21);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(95);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(aux_sym__decimal_number_token1);
      if (lookahead == '_') ADVANCE(29);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(96);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(aux_sym__decimal_number_token1);
      if (lookahead == 'e') ADVANCE(21);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(95);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(aux_sym__bit_string_token1);
      if (lookahead == '\'') ADVANCE(5);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_bang);
      if (lookahead == '!') ADVANCE(81);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_bang);
      if (lookahead == '!') ADVANCE(81);
      if (lookahead == '=') ADVANCE(79);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == '&') ADVANCE(3);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == '\'') ADVANCE(5);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym__identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'A', 1,
        'a', 1,
        'B', 2,
        'b', 2,
        'C', 3,
        'c', 3,
        'D', 4,
        'd', 4,
        'E', 5,
        'e', 5,
        'F', 6,
        'f', 6,
        'G', 7,
        'g', 7,
        'H', 8,
        'h', 8,
        'I', 9,
        'i', 9,
        'J', 10,
        'j', 10,
        'K', 11,
        'k', 11,
        'L', 12,
        'l', 12,
        'M', 13,
        'm', 13,
        'N', 14,
        'n', 14,
        'O', 15,
        'o', 15,
        'P', 16,
        'p', 16,
        'Q', 17,
        'q', 17,
        'R', 18,
        'r', 18,
        'S', 19,
        's', 19,
        'T', 20,
        't', 20,
        'U', 21,
        'u', 21,
        'V', 22,
        'v', 22,
        'W', 23,
        'w', 23,
        'X', 24,
        'x', 24,
        'Z', 25,
        'z', 25,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(26);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        'C', 27,
        'c', 27,
        'D', 28,
        'd', 28,
        'F', 29,
        'f', 29,
        'L', 30,
        'l', 30,
        'N', 31,
        'n', 31,
        'R', 32,
        'r', 32,
        'S', 33,
        's', 33,
        'T', 34,
        't', 34,
        'U', 35,
        'u', 35,
        'V', 36,
        'v', 36,
      );
      END_STATE();
    case 2:
      ADVANCE_MAP(
        'E', 37,
        'e', 37,
        'I', 38,
        'i', 38,
        'O', 39,
        'o', 39,
        'R', 40,
        'r', 40,
        'T', 41,
        't', 41,
        'Y', 42,
        'y', 42,
      );
      END_STATE();
    case 3:
      ADVANCE_MAP(
        'A', 43,
        'a', 43,
        'H', 44,
        'h', 44,
        'O', 45,
        'o', 45,
        'R', 46,
        'r', 46,
        'S', 47,
        's', 47,
        'U', 48,
        'u', 48,
        'Y', 49,
        'y', 49,
      );
      END_STATE();
    case 4:
      ADVANCE_MAP(
        'A', 50,
        'a', 50,
        'E', 51,
        'e', 51,
        'I', 52,
        'i', 52,
        'O', 53,
        'o', 53,
        'R', 54,
        'r', 54,
        'U', 55,
        'u', 55,
      );
      END_STATE();
    case 5:
      ADVANCE_MAP(
        'A', 56,
        'a', 56,
        'L', 57,
        'l', 57,
        'N', 58,
        'n', 58,
        'S', 59,
        's', 59,
        'X', 60,
        'x', 60,
      );
      END_STATE();
    case 6:
      ADVANCE_MAP(
        'A', 61,
        'a', 61,
        'I', 62,
        'i', 62,
        'L', 63,
        'l', 63,
        'O', 64,
        'o', 64,
        'R', 65,
        'r', 65,
        'U', 66,
        'u', 66,
      );
      END_STATE();
    case 7:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(67);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(68);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(69);
      END_STATE();
    case 8:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(70);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(71);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(72);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        'F', 73,
        'f', 73,
        'G', 74,
        'g', 74,
        'L', 75,
        'l', 75,
        'M', 76,
        'm', 76,
        'N', 77,
        'n', 77,
        'S', 78,
        's', 78,
      );
      END_STATE();
    case 10:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(79);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(80);
      END_STATE();
    case 11:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(81);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        'A', 82,
        'a', 82,
        'E', 83,
        'e', 83,
        'I', 84,
        'i', 84,
        'O', 85,
        'o', 85,
      );
      END_STATE();
    case 13:
      ADVANCE_MAP(
        'A', 86,
        'a', 86,
        'E', 87,
        'e', 87,
        'I', 88,
        'i', 88,
        'O', 89,
        'o', 89,
      );
      END_STATE();
    case 14:
      ADVANCE_MAP(
        'A', 90,
        'a', 90,
        'C', 91,
        'c', 91,
        'E', 92,
        'e', 92,
        'O', 93,
        'o', 93,
        'U', 94,
        'u', 94,
        'V', 95,
        'v', 95,
      );
      END_STATE();
    case 15:
      ADVANCE_MAP(
        'F', 96,
        'f', 96,
        'I', 97,
        'i', 97,
        'L', 98,
        'l', 98,
        'N', 99,
        'n', 99,
        'P', 100,
        'p', 100,
        'R', 101,
        'r', 101,
        'T', 102,
        't', 102,
        'U', 103,
        'u', 103,
        'V', 104,
        'v', 104,
        'W', 105,
        'w', 105,
      );
      END_STATE();
    case 16:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(106);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(107);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(108);
      END_STATE();
    case 17:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(109);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        'A', 110,
        'a', 110,
        'C', 111,
        'c', 111,
        'E', 112,
        'e', 112,
        'I', 113,
        'i', 113,
        'O', 114,
        'o', 114,
      );
      END_STATE();
    case 19:
      ADVANCE_MAP(
        'A', 115,
        'a', 115,
        'C', 116,
        'c', 116,
        'E', 117,
        'e', 117,
        'H', 118,
        'h', 118,
        'I', 119,
        'i', 119,
        'M', 120,
        'm', 120,
        'N', 121,
        'n', 121,
        'O', 122,
        'o', 122,
        'P', 123,
        'p', 123,
        'T', 124,
        't', 124,
        'U', 125,
        'u', 125,
      );
      END_STATE();
    case 20:
      ADVANCE_MAP(
        'A', 126,
        'a', 126,
        'B', 127,
        'b', 127,
        'E', 128,
        'e', 128,
        'H', 129,
        'h', 129,
        'I', 130,
        'i', 130,
        'O', 131,
        'o', 131,
        'R', 132,
        'r', 132,
        'Y', 133,
        'y', 133,
      );
      END_STATE();
    case 21:
      ADVANCE_MAP(
        'N', 134,
        'n', 134,
        'P', 135,
        'p', 135,
        'S', 136,
        's', 136,
        'U', 137,
        'u', 137,
      );
      END_STATE();
    case 22:
      ADVANCE_MAP(
        'A', 138,
        'a', 138,
        'E', 139,
        'e', 139,
        'I', 140,
        'i', 140,
        'O', 141,
        'o', 141,
      );
      END_STATE();
    case 23:
      ADVANCE_MAP(
        'A', 142,
        'a', 142,
        'H', 143,
        'h', 143,
        'I', 144,
        'i', 144,
        'R', 145,
        'r', 145,
      );
      END_STATE();
    case 24:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(146);
      END_STATE();
    case 25:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(147);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(148);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        'A', 1,
        'a', 1,
        'B', 2,
        'b', 2,
        'C', 3,
        'c', 3,
        'D', 4,
        'd', 4,
        'E', 5,
        'e', 5,
        'F', 6,
        'f', 6,
        'G', 7,
        'g', 7,
        'H', 8,
        'h', 8,
        'I', 9,
        'i', 9,
        'J', 10,
        'j', 10,
        'K', 11,
        'k', 11,
        'L', 12,
        'l', 12,
        'M', 13,
        'm', 13,
        'N', 14,
        'n', 14,
        'O', 15,
        'o', 15,
        'P', 16,
        'p', 16,
        'Q', 17,
        'q', 17,
        'R', 18,
        'r', 18,
        'S', 19,
        's', 19,
        'T', 20,
        't', 20,
        'U', 21,
        'u', 21,
        'V', 22,
        'v', 22,
        'W', 23,
        'w', 23,
        'X', 24,
        'x', 24,
        'Z', 25,
        'z', 25,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(26);
      END_STATE();
    case 27:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(149);
      END_STATE();
    case 28:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(150);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(151);
      END_STATE();
    case 29:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(152);
      END_STATE();
    case 30:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(153);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(154);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(155);
      END_STATE();
    case 31:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(156);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(157);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(158);
      END_STATE();
    case 32:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(159);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(sym_keyword_as);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(160);
      END_STATE();
    case 34:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(161);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(162);
      END_STATE();
    case 35:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(163);
      END_STATE();
    case 36:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(164);
      END_STATE();
    case 37:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(165);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(166);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(167);
      END_STATE();
    case 38:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(168);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(169);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(170);
      END_STATE();
    case 39:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(171);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(172);
      END_STATE();
    case 40:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(173);
      END_STATE();
    case 41:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(174);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(sym_keyword_by);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(175);
      END_STATE();
    case 43:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(176);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(177);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(178);
      END_STATE();
    case 44:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(179);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 45:
      ADVANCE_MAP(
        'L', 181,
        'l', 181,
        'M', 182,
        'm', 182,
        'N', 183,
        'n', 183,
        'P', 184,
        'p', 184,
        'S', 185,
        's', 185,
      );
      END_STATE();
    case 46:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(186);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(187);
      END_STATE();
    case 47:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(188);
      END_STATE();
    case 48:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(189);
      END_STATE();
    case 49:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(190);
      END_STATE();
    case 50:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(191);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        'C', 192,
        'c', 192,
        'F', 193,
        'f', 193,
        'L', 194,
        'l', 194,
        'S', 195,
        's', 195,
      );
      END_STATE();
    case 52:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(196);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(sym_keyword_do);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(197);
      END_STATE();
    case 54:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(198);
      END_STATE();
    case 55:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(199);
      END_STATE();
    case 56:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(200);
      END_STATE();
    case 57:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(201);
      END_STATE();
    case 58:
      ADVANCE_MAP(
        'C', 202,
        'c', 202,
        'D', 203,
        'd', 203,
        'G', 204,
        'g', 204,
        'U', 205,
        'u', 205,
      );
      END_STATE();
    case 59:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(206);
      END_STATE();
    case 60:
      ADVANCE_MAP(
        'C', 207,
        'c', 207,
        'E', 208,
        'e', 208,
        'I', 209,
        'i', 209,
        'P', 210,
        'p', 210,
        'T', 211,
        't', 211,
      );
      END_STATE();
    case 61:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(212);
      END_STATE();
    case 62:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(213);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(214);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(215);
      END_STATE();
    case 63:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(216);
      END_STATE();
    case 64:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(217);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(218);
      END_STATE();
    case 65:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(219);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(220);
      END_STATE();
    case 66:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(221);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(222);
      END_STATE();
    case 67:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(223);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(224);
      END_STATE();
    case 68:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(225);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(226);
      END_STATE();
    case 69:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(227);
      END_STATE();
    case 70:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(228);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(229);
      END_STATE();
    case 71:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(230);
      END_STATE();
    case 72:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(231);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(sym_keyword_if);
      END_STATE();
    case 74:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(232);
      END_STATE();
    case 75:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(233);
      END_STATE();
    case 76:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(234);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(235);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(sym_keyword_in);
      ADVANCE_MAP(
        'C', 236,
        'c', 236,
        'D', 237,
        'd', 237,
        'E', 238,
        'e', 238,
        'I', 239,
        'i', 239,
        'N', 240,
        'n', 240,
        'O', 241,
        'o', 241,
        'P', 242,
        'p', 242,
        'S', 243,
        's', 243,
        'T', 244,
        't', 244,
        'V', 245,
        'v', 245,
      );
      END_STATE();
    case 78:
      ACCEPT_TOKEN(sym_keyword_is);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(246);
      END_STATE();
    case 79:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(247);
      END_STATE();
    case 80:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(248);
      END_STATE();
    case 81:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(249);
      END_STATE();
    case 82:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(250);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(251);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(252);
      END_STATE();
    case 83:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(253);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(254);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(255);
      END_STATE();
    case 84:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(256);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(257);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(258);
      END_STATE();
    case 85:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(259);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(260);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(261);
      END_STATE();
    case 86:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(262);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(263);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(264);
      END_STATE();
    case 87:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(265);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(266);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(267);
      END_STATE();
    case 88:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(268);
      END_STATE();
    case 89:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(269);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(270);
      END_STATE();
    case 90:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(271);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(272);
      END_STATE();
    case 91:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(273);
      END_STATE();
    case 92:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(274);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_keyword_no);
      ADVANCE_MAP(
        'N', 275,
        'n', 275,
        'S', 276,
        's', 276,
        'T', 277,
        't', 277,
        'W', 278,
        'w', 278,
      );
      END_STATE();
    case 94:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(279);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(280);
      END_STATE();
    case 95:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(281);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(sym_keyword_of);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(282);
      END_STATE();
    case 97:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(283);
      END_STATE();
    case 98:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(284);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_keyword_on);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(285);
      END_STATE();
    case 100:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(286);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_keyword_or);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(287);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(288);
      END_STATE();
    case 102:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(289);
      END_STATE();
    case 103:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(290);
      END_STATE();
    case 104:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(291);
      END_STATE();
    case 105:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(292);
      END_STATE();
    case 106:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(293);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(294);
      END_STATE();
    case 107:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(295);
      END_STATE();
    case 108:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(296);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(297);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(298);
      END_STATE();
    case 109:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(299);
      END_STATE();
    case 110:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(300);
      END_STATE();
    case 111:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(301);
      END_STATE();
    case 112:
      ADVANCE_MAP(
        'A', 302,
        'a', 302,
        'C', 303,
        'c', 303,
        'F', 304,
        'f', 304,
        'G', 305,
        'g', 305,
        'N', 306,
        'n', 306,
        'P', 307,
        'p', 307,
        'S', 308,
        's', 308,
        'T', 309,
        't', 309,
        'W', 310,
        'w', 310,
      );
      END_STATE();
    case 113:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(311);
      END_STATE();
    case 114:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(312);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(313);
      END_STATE();
    case 115:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(314);
      END_STATE();
    case 116:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(315);
      END_STATE();
    case 117:
      ADVANCE_MAP(
        'C', 316,
        'c', 316,
        'L', 317,
        'l', 317,
        'P', 318,
        'p', 318,
        'Q', 319,
        'q', 319,
        'R', 320,
        'r', 320,
        'S', 321,
        's', 321,
        'T', 322,
        't', 322,
      );
      END_STATE();
    case 118:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(323);
      END_STATE();
    case 119:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(324);
      END_STATE();
    case 120:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(325);
      END_STATE();
    case 121:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(326);
      END_STATE();
    case 122:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(327);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(328);
      END_STATE();
    case 123:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(329);
      END_STATE();
    case 124:
      ADVANCE_MAP(
        'A', 330,
        'a', 330,
        'D', 331,
        'd', 331,
        'O', 332,
        'o', 332,
        'R', 333,
        'r', 333,
      );
      END_STATE();
    case 125:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(334);
      END_STATE();
    case 126:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(335);
      END_STATE();
    case 127:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(336);
      END_STATE();
    case 128:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(337);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(338);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(339);
      END_STATE();
    case 129:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(340);
      END_STATE();
    case 130:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(341);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(342);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(343);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_keyword_to);
      END_STATE();
    case 132:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(344);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(345);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(346);
      END_STATE();
    case 133:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(347);
      END_STATE();
    case 134:
      ADVANCE_MAP(
        'B', 348,
        'b', 348,
        'C', 349,
        'c', 349,
        'I', 350,
        'i', 350,
        'L', 351,
        'l', 351,
        'S', 352,
        's', 352,
        'T', 353,
        't', 353,
      );
      END_STATE();
    case 135:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(354);
      END_STATE();
    case 136:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(355);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(356);
      END_STATE();
    case 137:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(357);
      END_STATE();
    case 138:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(358);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(359);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(360);
      END_STATE();
    case 139:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(361);
      END_STATE();
    case 140:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(362);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(363);
      END_STATE();
    case 141:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(364);
      END_STATE();
    case 142:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(365);
      END_STATE();
    case 143:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(366);
      END_STATE();
    case 144:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(367);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(368);
      END_STATE();
    case 145:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(369);
      END_STATE();
    case 146:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(370);
      END_STATE();
    case 147:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(371);
      END_STATE();
    case 148:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(372);
      END_STATE();
    case 149:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(373);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_keyword_add);
      END_STATE();
    case 151:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(374);
      END_STATE();
    case 152:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(375);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_keyword_all);
      END_STATE();
    case 154:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(376);
      END_STATE();
    case 155:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(377);
      END_STATE();
    case 156:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(378);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_keyword_and);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_keyword_any);
      END_STATE();
    case 159:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(379);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_keyword_asc);
      END_STATE();
    case 161:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(380);
      END_STATE();
    case 162:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(381);
      END_STATE();
    case 163:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(382);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(383);
      END_STATE();
    case 164:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(384);
      END_STATE();
    case 165:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(385);
      END_STATE();
    case 166:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(386);
      END_STATE();
    case 167:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(387);
      END_STATE();
    case 168:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(388);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(389);
      END_STATE();
    case 169:
      if (lookahead == '_') ADVANCE(390);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(391);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_keyword_bit);
      END_STATE();
    case 171:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(392);
      END_STATE();
    case 172:
      if (lookahead == '2') ADVANCE(393);
      if (lookahead == '3') ADVANCE(394);
      END_STATE();
    case 173:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(395);
      END_STATE();
    case 174:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(396);
      END_STATE();
    case 175:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(397);
      END_STATE();
    case 176:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(398);
      END_STATE();
    case 177:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(399);
      END_STATE();
    case 178:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(400);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(401);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(402);
      END_STATE();
    case 179:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(403);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(404);
      END_STATE();
    case 180:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(405);
      END_STATE();
    case 181:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(406);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(407);
      END_STATE();
    case 182:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(408);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(409);
      END_STATE();
    case 183:
      ADVANCE_MAP(
        'C', 410,
        'c', 410,
        'F', 411,
        'f', 411,
        'N', 412,
        'n', 412,
        'S', 413,
        's', 413,
      );
      END_STATE();
    case 184:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(414);
      END_STATE();
    case 185:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(415);
      END_STATE();
    case 186:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(416);
      END_STATE();
    case 187:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(417);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_keyword_csv);
      END_STATE();
    case 189:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(418);
      END_STATE();
    case 190:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(419);
      END_STATE();
    case 191:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(420);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(421);
      END_STATE();
    case 192:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(422);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(423);
      END_STATE();
    case 193:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(424);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(425);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(426);
      END_STATE();
    case 194:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(427);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(428);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(429);
      END_STATE();
    case 195:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(430);
      END_STATE();
    case 196:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(431);
      END_STATE();
    case 197:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(432);
      END_STATE();
    case 198:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(433);
      END_STATE();
    case 199:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(434);
      END_STATE();
    case 200:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(435);
      END_STATE();
    case 201:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(436);
      END_STATE();
    case 202:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(437);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(438);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_keyword_end);
      END_STATE();
    case 204:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(439);
      END_STATE();
    case 205:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(440);
      END_STATE();
    case 206:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(441);
      END_STATE();
    case 207:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(442);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(443);
      END_STATE();
    case 208:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(444);
      END_STATE();
    case 209:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(445);
      END_STATE();
    case 210:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(446);
      END_STATE();
    case 211:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(447);
      END_STATE();
    case 212:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(448);
      END_STATE();
    case 213:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(449);
      END_STATE();
    case 214:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(450);
      END_STATE();
    case 215:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(451);
      END_STATE();
    case 216:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(452);
      END_STATE();
    case 217:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(453);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_keyword_for);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(454);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(455);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(456);
      END_STATE();
    case 219:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(457);
      END_STATE();
    case 220:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(458);
      END_STATE();
    case 221:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(459);
      END_STATE();
    case 222:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(460);
      END_STATE();
    case 223:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(461);
      END_STATE();
    case 224:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(462);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(463);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_keyword_gin);
      END_STATE();
    case 226:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(464);
      END_STATE();
    case 227:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(465);
      END_STATE();
    case 228:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(466);
      END_STATE();
    case 229:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(467);
      END_STATE();
    case 230:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(468);
      END_STATE();
    case 231:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(469);
      END_STATE();
    case 232:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(470);
      END_STATE();
    case 233:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(471);
      END_STATE();
    case 234:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(472);
      END_STATE();
    case 235:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(473);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(474);
      END_STATE();
    case 236:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(475);
      END_STATE();
    case 237:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(476);
      END_STATE();
    case 238:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(477);
      END_STATE();
    case 239:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(478);
      END_STATE();
    case 240:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(479);
      END_STATE();
    case 241:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(480);
      END_STATE();
    case 242:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(481);
      END_STATE();
    case 243:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(482);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(483);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(aux_sym_keyword_int_token1);
      ADVANCE_MAP(
        '1', 484,
        '2', 485,
        '3', 486,
        '4', 487,
        '8', 488,
        'E', 489,
        'e', 489,
        'O', 490,
        'o', 490,
      );
      END_STATE();
    case 245:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(491);
      END_STATE();
    case 246:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(492);
      END_STATE();
    case 247:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(493);
      END_STATE();
    case 248:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(494);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_keyword_key);
      END_STATE();
    case 250:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(495);
      END_STATE();
    case 251:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(496);
      END_STATE();
    case 252:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(497);
      END_STATE();
    case 253:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(498);
      END_STATE();
    case 254:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(499);
      END_STATE();
    case 255:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(500);
      END_STATE();
    case 256:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(501);
      END_STATE();
    case 257:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(502);
      END_STATE();
    case 258:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(503);
      END_STATE();
    case 259:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(504);
      END_STATE();
    case 260:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(505);
      END_STATE();
    case 261:
      if (lookahead == '_') ADVANCE(506);
      END_STATE();
    case 262:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(507);
      END_STATE();
    case 263:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(508);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(509);
      END_STATE();
    case 264:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(510);
      END_STATE();
    case 265:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(511);
      END_STATE();
    case 266:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(512);
      END_STATE();
    case 267:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(513);
      END_STATE();
    case 268:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(514);
      END_STATE();
    case 269:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(515);
      END_STATE();
    case 270:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(516);
      END_STATE();
    case 271:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(517);
      END_STATE();
    case 272:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(518);
      END_STATE();
    case 273:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(519);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(sym_keyword_new);
      END_STATE();
    case 275:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(520);
      END_STATE();
    case 276:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(521);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(sym_keyword_not);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(522);
      END_STATE();
    case 278:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(523);
      END_STATE();
    case 279:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(524);
      END_STATE();
    case 280:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(525);
      END_STATE();
    case 281:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(526);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(sym_keyword_off);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(527);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(sym_keyword_oid);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(528);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(sym_keyword_old);
      END_STATE();
    case 285:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(529);
      END_STATE();
    case 286:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(530);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_keyword_orc);
      END_STATE();
    case 288:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(531);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(532);
      END_STATE();
    case 289:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(533);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(sym_keyword_out);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(534);
      END_STATE();
    case 291:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(535);
      END_STATE();
    case 292:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(536);
      END_STATE();
    case 293:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(537);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(538);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(539);
      END_STATE();
    case 294:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(540);
      END_STATE();
    case 295:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(541);
      END_STATE();
    case 296:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(542);
      END_STATE();
    case 297:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(543);
      END_STATE();
    case 298:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(544);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(545);
      END_STATE();
    case 299:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(546);
      END_STATE();
    case 300:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(547);
      END_STATE();
    case 301:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(548);
      END_STATE();
    case 302:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(549);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(550);
      END_STATE();
    case 303:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(551);
      END_STATE();
    case 304:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(552);
      END_STATE();
    case 305:
      ADVANCE_MAP(
        'C', 553,
        'c', 553,
        'N', 554,
        'n', 554,
        'P', 555,
        'p', 555,
        'T', 556,
        't', 556,
      );
      END_STATE();
    case 306:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(557);
      END_STATE();
    case 307:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(558);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(559);
      END_STATE();
    case 308:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(560);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(561);
      END_STATE();
    case 309:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(562);
      END_STATE();
    case 310:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(563);
      END_STATE();
    case 311:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(564);
      END_STATE();
    case 312:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(565);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(566);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym_keyword_row);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(567);
      END_STATE();
    case 314:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(568);
      END_STATE();
    case 315:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(569);
      END_STATE();
    case 316:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(570);
      END_STATE();
    case 317:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(571);
      END_STATE();
    case 318:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(572);
      END_STATE();
    case 319:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(573);
      END_STATE();
    case 320:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(574);
      END_STATE();
    case 321:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(575);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(sym_keyword_set);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(576);
      END_STATE();
    case 323:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(577);
      END_STATE();
    case 324:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(578);
      END_STATE();
    case 325:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(579);
      END_STATE();
    case 326:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(580);
      END_STATE();
    case 327:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(581);
      END_STATE();
    case 328:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(582);
      END_STATE();
    case 329:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(583);
      END_STATE();
    case 330:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(584);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(585);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(586);
      END_STATE();
    case 331:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(587);
      END_STATE();
    case 332:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(588);
      END_STATE();
    case 333:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(589);
      END_STATE();
    case 334:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(590);
      END_STATE();
    case 335:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(591);
      END_STATE();
    case 336:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(592);
      END_STATE();
    case 337:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(593);
      END_STATE();
    case 338:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(594);
      END_STATE();
    case 339:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(595);
      END_STATE();
    case 340:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(596);
      END_STATE();
    case 341:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(597);
      END_STATE();
    case 342:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(598);
      END_STATE();
    case 343:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(599);
      END_STATE();
    case 344:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(600);
      END_STATE();
    case 345:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(601);
      END_STATE();
    case 346:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(602);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(603);
      END_STATE();
    case 347:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(604);
      END_STATE();
    case 348:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(605);
      END_STATE();
    case 349:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(606);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(607);
      END_STATE();
    case 350:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(608);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(609);
      END_STATE();
    case 351:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(610);
      END_STATE();
    case 352:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(611);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(612);
      END_STATE();
    case 353:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(613);
      END_STATE();
    case 354:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(614);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(sym_keyword_use);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(615);
      END_STATE();
    case 356:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(616);
      END_STATE();
    case 357:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(617);
      END_STATE();
    case 358:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(618);
      END_STATE();
    case 359:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(619);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(620);
      END_STATE();
    case 360:
      ADVANCE_MAP(
        'B', 621,
        'b', 621,
        'C', 622,
        'c', 622,
        'I', 623,
        'i', 623,
        'Y', 624,
        'y', 624,
      );
      END_STATE();
    case 361:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(625);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(626);
      END_STATE();
    case 362:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(627);
      END_STATE();
    case 363:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(628);
      END_STATE();
    case 364:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(629);
      END_STATE();
    case 365:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(630);
      END_STATE();
    case 366:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(631);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(632);
      END_STATE();
    case 367:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(633);
      END_STATE();
    case 368:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(634);
      END_STATE();
    case 369:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(635);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(sym_keyword_xml);
      END_STATE();
    case 371:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(636);
      END_STATE();
    case 372:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(637);
      END_STATE();
    case 373:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(638);
      END_STATE();
    case 374:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(639);
      END_STATE();
    case 375:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(640);
      END_STATE();
    case 376:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(641);
      END_STATE();
    case 377:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(642);
      END_STATE();
    case 378:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(643);
      END_STATE();
    case 379:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(644);
      END_STATE();
    case 380:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(645);
      END_STATE();
    case 381:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(646);
      END_STATE();
    case 382:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(647);
      END_STATE();
    case 383:
      if (lookahead == '_') ADVANCE(648);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(sym_keyword_avro);
      END_STATE();
    case 385:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(649);
      END_STATE();
    case 386:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(650);
      END_STATE();
    case 387:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(651);
      END_STATE();
    case 388:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(652);
      END_STATE();
    case 389:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(653);
      END_STATE();
    case 390:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(654);
      END_STATE();
    case 391:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(655);
      END_STATE();
    case 392:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(656);
      END_STATE();
    case 393:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(657);
      END_STATE();
    case 394:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(658);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(sym_keyword_brin);
      END_STATE();
    case 396:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(659);
      END_STATE();
    case 397:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(660);
      END_STATE();
    case 398:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(661);
      END_STATE();
    case 399:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(662);
      END_STATE();
    case 400:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(663);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(sym_keyword_case);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(sym_keyword_cast);
      END_STATE();
    case 403:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(664);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(aux_sym_keyword_char_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(665);
      END_STATE();
    case 405:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(666);
      END_STATE();
    case 406:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(667);
      END_STATE();
    case 407:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(668);
      END_STATE();
    case 408:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(669);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(670);
      END_STATE();
    case 409:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(671);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(672);
      END_STATE();
    case 410:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(673);
      END_STATE();
    case 411:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(674);
      END_STATE();
    case 412:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(675);
      END_STATE();
    case 413:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(676);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(sym_keyword_copy);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(sym_keyword_cost);
      END_STATE();
    case 416:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(677);
      END_STATE();
    case 417:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(678);
      END_STATE();
    case 418:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(679);
      END_STATE();
    case 419:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(680);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(sym_keyword_data);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(681);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(sym_keyword_date);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(682);
      END_STATE();
    case 422:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(683);
      END_STATE();
    case 423:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(684);
      END_STATE();
    case 424:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(685);
      END_STATE();
    case 425:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(686);
      END_STATE();
    case 426:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(687);
      END_STATE();
    case 427:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(688);
      END_STATE();
    case 428:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(689);
      END_STATE();
    case 429:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(690);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(sym_keyword_desc);
      END_STATE();
    case 431:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(691);
      END_STATE();
    case 432:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(692);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(sym_keyword_drop);
      END_STATE();
    case 434:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(693);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(sym_keyword_each);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(sym_keyword_else);
      END_STATE();
    case 437:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(694);
      END_STATE();
    case 438:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(695);
      END_STATE();
    case 439:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(696);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(sym_keyword_enum);
      END_STATE();
    case 441:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(697);
      END_STATE();
    case 442:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(698);
      END_STATE();
    case 443:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(699);
      END_STATE();
    case 444:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(700);
      END_STATE();
    case 445:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(701);
      END_STATE();
    case 446:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(702);
      END_STATE();
    case 447:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(703);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(704);
      END_STATE();
    case 448:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(705);
      END_STATE();
    case 449:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(706);
      END_STATE();
    case 450:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(707);
      END_STATE();
    case 451:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(708);
      END_STATE();
    case 452:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(709);
      END_STATE();
    case 453:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(710);
      END_STATE();
    case 454:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(711);
      END_STATE();
    case 455:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(712);
      END_STATE();
    case 456:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(713);
      END_STATE();
    case 457:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(714);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(sym_keyword_from);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(sym_keyword_full);
      END_STATE();
    case 460:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(715);
      END_STATE();
    case 461:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(716);
      END_STATE();
    case 462:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(717);
      END_STATE();
    case 463:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(718);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(sym_keyword_gist);
      END_STATE();
    case 465:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(719);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(sym_keyword_hash);
      END_STATE();
    case 467:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(720);
      END_STATE();
    case 468:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(721);
      END_STATE();
    case 469:
      if (lookahead == '_') ADVANCE(722);
      END_STATE();
    case 470:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(723);
      END_STATE();
    case 471:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(724);
      END_STATE();
    case 472:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(725);
      END_STATE();
    case 473:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(726);
      END_STATE();
    case 474:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(727);
      END_STATE();
    case 475:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(728);
      END_STATE();
    case 476:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(729);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(sym_keyword_inet);
      END_STATE();
    case 478:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(730);
      END_STATE();
    case 479:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(731);
      END_STATE();
    case 480:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(732);
      END_STATE();
    case 481:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(733);
      END_STATE();
    case 482:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(734);
      END_STATE();
    case 483:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(735);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(aux_sym_keyword_tinyint_token2);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(aux_sym_keyword_smallint_token2);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(aux_sym_keyword_mediumint_token2);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(aux_sym_keyword_int_token3);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(aux_sym_keyword_bigint_token2);
      END_STATE();
    case 489:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(736);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(737);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(sym_keyword_into);
      END_STATE();
    case 491:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(738);
      END_STATE();
    case 492:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(739);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(sym_keyword_join);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(sym_keyword_json);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(740);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(741);
      END_STATE();
    case 495:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(742);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(sym_keyword_last);
      END_STATE();
    case 497:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(743);
      END_STATE();
    case 498:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(744);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(sym_keyword_left);
      END_STATE();
    case 500:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(745);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(aux_sym_keyword_like_token1);
      END_STATE();
    case 502:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(746);
      END_STATE();
    case 503:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(747);
      END_STATE();
    case 504:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(748);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(749);
      END_STATE();
    case 505:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(750);
      END_STATE();
    case 506:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(751);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(sym_keyword_main);
      END_STATE();
    case 508:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(752);
      END_STATE();
    case 509:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(753);
      END_STATE();
    case 510:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(754);
      END_STATE();
    case 511:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(755);
      END_STATE();
    case 512:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(756);
      END_STATE();
    case 513:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(757);
      END_STATE();
    case 514:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(758);
      END_STATE();
    case 515:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(759);
      END_STATE();
    case 516:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(760);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(sym_keyword_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(761);
      END_STATE();
    case 518:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(762);
      END_STATE();
    case 519:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(763);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(sym_keyword_none);
      END_STATE();
    case 521:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(764);
      END_STATE();
    case 522:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(765);
      END_STATE();
    case 523:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(766);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(sym_keyword_null);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(767);
      END_STATE();
    case 525:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(768);
      END_STATE();
    case 526:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(769);
      END_STATE();
    case 527:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(770);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(sym_keyword_oids);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(sym_keyword_only);
      END_STATE();
    case 530:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(771);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(772);
      END_STATE();
    case 531:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(773);
      END_STATE();
    case 532:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(774);
      END_STATE();
    case 533:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(775);
      END_STATE();
    case 534:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(776);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_keyword_over);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(777);
      END_STATE();
    case 536:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(778);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(779);
      END_STATE();
    case 537:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(780);
      END_STATE();
    case 538:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(781);
      END_STATE();
    case 539:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(782);
      END_STATE();
    case 540:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(783);
      END_STATE();
    case 541:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(784);
      END_STATE();
    case 542:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(785);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(786);
      END_STATE();
    case 543:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(787);
      END_STATE();
    case 544:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(788);
      END_STATE();
    case 545:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(789);
      END_STATE();
    case 546:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(790);
      END_STATE();
    case 547:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(791);
      END_STATE();
    case 548:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(792);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_keyword_read);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(aux_sym_keyword_real_token1);
      END_STATE();
    case 551:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(793);
      END_STATE();
    case 552:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(794);
      END_STATE();
    case 553:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(795);
      END_STATE();
    case 554:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(796);
      END_STATE();
    case 555:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(797);
      END_STATE();
    case 556:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(798);
      END_STATE();
    case 557:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(799);
      END_STATE();
    case 558:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(800);
      END_STATE();
    case 559:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(801);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(802);
      END_STATE();
    case 560:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(803);
      END_STATE();
    case 561:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(804);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(805);
      END_STATE();
    case 562:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(806);
      END_STATE();
    case 563:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(807);
      END_STATE();
    case 564:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(808);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_keyword_role);
      END_STATE();
    case 566:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(809);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_keyword_rows);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_keyword_safe);
      END_STATE();
    case 569:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(810);
      END_STATE();
    case 570:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(811);
      END_STATE();
    case 571:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(812);
      END_STATE();
    case 572:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(813);
      END_STATE();
    case 573:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(814);
      END_STATE();
    case 574:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(815);
      END_STATE();
    case 575:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(816);
      END_STATE();
    case 576:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(817);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_keyword_show);
      END_STATE();
    case 578:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(818);
      END_STATE();
    case 579:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(819);
      END_STATE();
    case 580:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(820);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_keyword_some);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_keyword_sort);
      END_STATE();
    case 583:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(821);
      END_STATE();
    case 584:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(822);
      END_STATE();
    case 585:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(823);
      END_STATE();
    case 586:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(824);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(825);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(826);
      END_STATE();
    case 587:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(827);
      END_STATE();
    case 588:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(829);
      END_STATE();
    case 589:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(830);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(831);
      END_STATE();
    case 590:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(832);
      END_STATE();
    case 591:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(833);
      END_STATE();
    case 592:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(834);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_keyword_temp);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(835);
      END_STATE();
    case 594:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(836);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_keyword_text);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(837);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_keyword_then);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_keyword_ties);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_keyword_time);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(838);
      END_STATE();
    case 599:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(839);
      END_STATE();
    case 600:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(840);
      END_STATE();
    case 601:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(841);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_keyword_true);
      END_STATE();
    case 603:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(842);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_keyword_type);
      END_STATE();
    case 605:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(843);
      END_STATE();
    case 606:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(844);
      END_STATE();
    case 607:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(845);
      END_STATE();
    case 608:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(846);
      END_STATE();
    case 609:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(847);
      END_STATE();
    case 610:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(848);
      END_STATE();
    case 611:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(849);
      END_STATE();
    case 612:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(850);
      END_STATE();
    case 613:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(851);
      END_STATE();
    case 614:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(852);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_keyword_user);
      END_STATE();
    case 616:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(853);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_keyword_uuid);
      END_STATE();
    case 618:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(854);
      END_STATE();
    case 619:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(855);
      END_STATE();
    case 620:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(856);
      END_STATE();
    case 621:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(857);
      END_STATE();
    case 622:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(858);
      END_STATE();
    case 623:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(859);
      END_STATE();
    case 624:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(860);
      END_STATE();
    case 625:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(861);
      END_STATE();
    case 626:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(862);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_keyword_view);
      END_STATE();
    case 628:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(863);
      END_STATE();
    case 629:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(864);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_keyword_wait);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_keyword_when);
      END_STATE();
    case 632:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(865);
      END_STATE();
    case 633:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(866);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_keyword_with);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(867);
      END_STATE();
    case 635:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(868);
      END_STATE();
    case 636:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(869);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_keyword_zone);
      END_STATE();
    case 638:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(870);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_keyword_admin);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_keyword_after);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_keyword_alter);
      END_STATE();
    case 642:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(871);
      END_STATE();
    case 643:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(872);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_keyword_array);
      END_STATE();
    case 645:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(873);
      END_STATE();
    case 646:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(874);
      END_STATE();
    case 647:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(875);
      END_STATE();
    case 648:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(876);
      END_STATE();
    case 649:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(877);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_keyword_begin);
      END_STATE();
    case 651:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(878);
      END_STATE();
    case 652:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(879);
      END_STATE();
    case 653:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(880);
      END_STATE();
    case 654:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(881);
      END_STATE();
    case 655:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(882);
      END_STATE();
    case 656:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(883);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_keyword_box2d);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_keyword_box3d);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_keyword_btree);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_keyword_bytea);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_keyword_cache);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(884);
      END_STATE();
    case 662:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(885);
      END_STATE();
    case 663:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(886);
      END_STATE();
    case 664:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(887);
      END_STATE();
    case 665:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(888);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_keyword_check);
      END_STATE();
    case 667:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(889);
      END_STATE();
    case 668:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(890);
      END_STATE();
    case 669:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(891);
      END_STATE();
    case 670:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(892);
      END_STATE();
    case 671:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(893);
      END_STATE();
    case 672:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(894);
      END_STATE();
    case 673:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(895);
      END_STATE();
    case 674:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(896);
      END_STATE();
    case 675:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(897);
      END_STATE();
    case 676:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(898);
      END_STATE();
    case 677:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(899);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym_keyword_cross);
      END_STATE();
    case 679:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(900);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym_keyword_cycle);
      END_STATE();
    case 681:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(901);
      END_STATE();
    case 682:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(902);
      END_STATE();
    case 683:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(903);
      END_STATE();
    case 684:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(904);
      END_STATE();
    case 685:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(905);
      END_STATE();
    case 686:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(906);
      END_STATE();
    case 687:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(907);
      END_STATE();
    case 688:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(908);
      END_STATE();
    case 689:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(909);
      END_STATE();
    case 690:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(910);
      END_STATE();
    case 691:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(911);
      END_STATE();
    case 692:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(912);
      END_STATE();
    case 693:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(913);
      END_STATE();
    case 694:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(914);
      END_STATE();
    case 695:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(915);
      END_STATE();
    case 696:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(916);
      END_STATE();
    case 697:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(917);
      END_STATE();
    case 698:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(918);
      END_STATE();
    case 699:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(919);
      END_STATE();
    case 700:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(920);
      END_STATE();
    case 701:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(921);
      END_STATE();
    case 702:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(922);
      END_STATE();
    case 703:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(924);
      END_STATE();
    case 704:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(925);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym_keyword_false);
      END_STATE();
    case 706:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(926);
      END_STATE();
    case 707:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(927);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym_keyword_first);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym_keyword_float);
      if (lookahead == '4') ADVANCE(928);
      if (lookahead == '8') ADVANCE(929);
      END_STATE();
    case 710:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(930);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym_keyword_force);
      if (lookahead == '_') ADVANCE(931);
      END_STATE();
    case 712:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(932);
      END_STATE();
    case 713:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(933);
      END_STATE();
    case 714:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(934);
      END_STATE();
    case 715:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(935);
      END_STATE();
    case 716:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(936);
      END_STATE();
    case 717:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(937);
      END_STATE();
    case 718:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(938);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym_keyword_group);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(939);
      END_STATE();
    case 720:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(940);
      END_STATE();
    case 721:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(941);
      END_STATE();
    case 722:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(942);
      END_STATE();
    case 723:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(943);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(aux_sym_keyword_like_token2);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym_keyword_image);
      END_STATE();
    case 726:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(944);
      END_STATE();
    case 727:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(945);
      END_STATE();
    case 728:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(946);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym_keyword_index);
      END_STATE();
    case 730:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(947);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym_keyword_inner);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym_keyword_inout);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym_keyword_input);
      END_STATE();
    case 734:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(948);
      END_STATE();
    case 735:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(949);
      END_STATE();
    case 736:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(950);
      END_STATE();
    case 737:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(951);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(952);
      END_STATE();
    case 738:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(953);
      END_STATE();
    case 739:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(954);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym_keyword_jsonb);
      END_STATE();
    case 741:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(955);
      END_STATE();
    case 742:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(956);
      END_STATE();
    case 743:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(957);
      END_STATE();
    case 744:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(958);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym_keyword_level);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym_keyword_limit);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym_keyword_lines);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym_keyword_local);
      END_STATE();
    case 749:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(959);
      END_STATE();
    case 750:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(960);
      END_STATE();
    case 751:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(961);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym_keyword_match);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(962);
      END_STATE();
    case 753:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(963);
      END_STATE();
    case 754:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(964);
      END_STATE();
    case 755:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(965);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym_keyword_merge);
      END_STATE();
    case 757:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(966);
      END_STATE();
    case 758:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(967);
      END_STATE();
    case 759:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(968);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym_keyword_money);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym_keyword_names);
      END_STATE();
    case 762:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(969);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym_keyword_nchar);
      END_STATE();
    case 764:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(970);
      END_STATE();
    case 765:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(971);
      END_STATE();
    case 766:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(972);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym_keyword_nulls);
      END_STATE();
    case 768:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(973);
      END_STATE();
    case 769:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(974);
      END_STATE();
    case 770:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(975);
      END_STATE();
    case 771:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(976);
      END_STATE();
    case 772:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(977);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym_keyword_order);
      END_STATE();
    case 774:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(978);
      END_STATE();
    case 775:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(979);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym_keyword_outer);
      END_STATE();
    case 777:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(980);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym_keyword_owned);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym_keyword_owner);
      END_STATE();
    case 780:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(981);
      END_STATE();
    case 781:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(982);
      END_STATE();
    case 782:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(983);
      END_STATE();
    case 783:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(984);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym_keyword_plain);
      END_STATE();
    case 785:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(985);
      END_STATE();
    case 786:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(986);
      END_STATE();
    case 787:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(987);
      END_STATE();
    case 788:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(988);
      END_STATE();
    case 789:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(989);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym_keyword_quote);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym_keyword_range);
      END_STATE();
    case 792:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(990);
      END_STATE();
    case 793:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(991);
      END_STATE();
    case 794:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(992);
      END_STATE();
    case 795:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(993);
      END_STATE();
    case 796:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(994);
      END_STATE();
    case 797:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(995);
      END_STATE();
    case 798:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(996);
      END_STATE();
    case 799:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(997);
      END_STATE();
    case 800:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(998);
      END_STATE();
    case 801:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(999);
      END_STATE();
    case 802:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1000);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym_keyword_reset);
      END_STATE();
    case 804:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1001);
      END_STATE();
    case 805:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1002);
      END_STATE();
    case 806:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1003);
      END_STATE();
    case 807:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1004);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym_keyword_right);
      END_STATE();
    case 809:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1005);
      END_STATE();
    case 810:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1006);
      END_STATE();
    case 811:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1007);
      END_STATE();
    case 812:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1008);
      END_STATE();
    case 813:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1009);
      END_STATE();
    case 814:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1010);
      END_STATE();
    case 815:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1011);
      END_STATE();
    case 816:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1012);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(sym_keyword_setof);
      END_STATE();
    case 818:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1013);
      END_STATE();
    case 819:
      ADVANCE_MAP(
        'D', 1014,
        'd', 1014,
        'I', 1015,
        'i', 1015,
        'M', 1016,
        'm', 1016,
        'S', 1017,
        's', 1017,
      );
      END_STATE();
    case 820:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1018);
      END_STATE();
    case 821:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1019);
      END_STATE();
    case 822:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1020);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(sym_keyword_start);
      END_STATE();
    case 824:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1021);
      END_STATE();
    case 825:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1022);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(sym_keyword_stats);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(sym_keyword_stdin);
      END_STATE();
    case 828:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1023);
      END_STATE();
    case 829:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1024);
      END_STATE();
    case 830:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1025);
      END_STATE();
    case 831:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1026);
      END_STATE();
    case 832:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1027);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(sym_keyword_table);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1028);
      END_STATE();
    case 834:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1029);
      END_STATE();
    case 835:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1030);
      END_STATE();
    case 836:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1031);
      END_STATE();
    case 837:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1032);
      END_STATE();
    case 838:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1033);
      END_STATE();
    case 839:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1034);
      END_STATE();
    case 840:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1035);
      END_STATE();
    case 841:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1036);
      END_STATE();
    case 842:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1037);
      END_STATE();
    case 843:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1038);
      END_STATE();
    case 844:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1039);
      END_STATE();
    case 845:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1040);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(sym_keyword_union);
      END_STATE();
    case 847:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1041);
      END_STATE();
    case 848:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1042);
      END_STATE();
    case 849:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1043);
      END_STATE();
    case 850:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1044);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(sym_keyword_until);
      END_STATE();
    case 852:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1045);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(sym_keyword_using);
      END_STATE();
    case 854:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1046);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(sym_keyword_valid);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(sym_keyword_value);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1047);
      END_STATE();
    case 857:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1048);
      END_STATE();
    case 858:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1049);
      END_STATE();
    case 859:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1050);
      END_STATE();
    case 860:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1051);
      END_STATE();
    case 861:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1052);
      END_STATE();
    case 862:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1053);
      END_STATE();
    case 863:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1054);
      END_STATE();
    case 864:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1055);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(sym_keyword_where);
      END_STATE();
    case 866:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1056);
      END_STATE();
    case 867:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1057);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(sym_keyword_write);
      END_STATE();
    case 869:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1058);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(sym_keyword_action);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(sym_keyword_always);
      END_STATE();
    case 872:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1059);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(sym_keyword_atomic);
      END_STATE();
    case 874:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1060);
      END_STATE();
    case 875:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1061);
      END_STATE();
    case 876:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1062);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(sym_keyword_before);
      END_STATE();
    case 878:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1063);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(aux_sym_keyword_bigint_token1);
      END_STATE();
    case 880:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1064);
      END_STATE();
    case 881:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1065);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(sym_keyword_binary);
      END_STATE();
    case 883:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1066);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(sym_keyword_cached);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(sym_keyword_called);
      END_STATE();
    case 886:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1067);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(sym_keyword_change);
      END_STATE();
    case 888:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1068);
      END_STATE();
    case 889:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1069);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(sym_keyword_column);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1070);
      END_STATE();
    case 891:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1071);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(sym_keyword_commit);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1072);
      END_STATE();
    case 893:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1073);
      END_STATE();
    case 894:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1074);
      END_STATE();
    case 895:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1075);
      END_STATE();
    case 896:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1076);
      END_STATE();
    case 897:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1077);
      END_STATE();
    case 898:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1078);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(sym_keyword_create);
      END_STATE();
    case 900:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1079);
      END_STATE();
    case 901:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1080);
      END_STATE();
    case 902:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1081);
      END_STATE();
    case 903:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1082);
      END_STATE();
    case 904:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1083);
      END_STATE();
    case 905:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1084);
      END_STATE();
    case 906:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1085);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1086);
      END_STATE();
    case 907:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1087);
      END_STATE();
    case 908:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1088);
      END_STATE();
    case 909:
      ACCEPT_TOKEN(sym_keyword_delete);
      END_STATE();
    case 910:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1089);
      END_STATE();
    case 911:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1090);
      END_STATE();
    case 912:
      ACCEPT_TOKEN(sym_keyword_double);
      END_STATE();
    case 913:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1091);
      END_STATE();
    case 914:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1092);
      END_STATE();
    case 915:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1093);
      END_STATE();
    case 916:
      ACCEPT_TOKEN(sym_keyword_engine);
      END_STATE();
    case 917:
      ACCEPT_TOKEN(sym_keyword_escape);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1094);
      END_STATE();
    case 918:
      ACCEPT_TOKEN(sym_keyword_except);
      END_STATE();
    case 919:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1095);
      END_STATE();
    case 920:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1096);
      END_STATE();
    case 921:
      ACCEPT_TOKEN(sym_keyword_exists);
      END_STATE();
    case 922:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1097);
      END_STATE();
    case 923:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1098);
      END_STATE();
    case 924:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1099);
      END_STATE();
    case 925:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1100);
      END_STATE();
    case 926:
      ACCEPT_TOKEN(sym_keyword_fields);
      END_STATE();
    case 927:
      ACCEPT_TOKEN(sym_keyword_filter);
      END_STATE();
    case 928:
      ACCEPT_TOKEN(aux_sym_keyword_real_token2);
      END_STATE();
    case 929:
      ACCEPT_TOKEN(aux_sym_double_token1);
      END_STATE();
    case 930:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1101);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1102);
      END_STATE();
    case 931:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1103);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1104);
      END_STATE();
    case 932:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1105);
      END_STATE();
    case 933:
      ACCEPT_TOKEN(sym_keyword_format);
      END_STATE();
    case 934:
      ACCEPT_TOKEN(sym_keyword_freeze);
      END_STATE();
    case 935:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1106);
      END_STATE();
    case 936:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1107);
      END_STATE();
    case 937:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1108);
      END_STATE();
    case 938:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1109);
      END_STATE();
    case 939:
      ACCEPT_TOKEN(sym_keyword_groups);
      END_STATE();
    case 940:
      ACCEPT_TOKEN(sym_keyword_having);
      END_STATE();
    case 941:
      ACCEPT_TOKEN(sym_keyword_header);
      END_STATE();
    case 942:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1110);
      END_STATE();
    case 943:
      ACCEPT_TOKEN(sym_keyword_ignore);
      END_STATE();
    case 944:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1111);
      END_STATE();
    case 945:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1112);
      END_STATE();
    case 946:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1113);
      END_STATE();
    case 947:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1114);
      END_STATE();
    case 948:
      ACCEPT_TOKEN(sym_keyword_insert);
      END_STATE();
    case 949:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1115);
      END_STATE();
    case 950:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1116);
      END_STATE();
    case 951:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1117);
      END_STATE();
    case 952:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1118);
      END_STATE();
    case 953:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1119);
      END_STATE();
    case 954:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1120);
      END_STATE();
    case 955:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1121);
      END_STATE();
    case 956:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1122);
      END_STATE();
    case 957:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1123);
      END_STATE();
    case 958:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1124);
      END_STATE();
    case 959:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1125);
      END_STATE();
    case 960:
      ACCEPT_TOKEN(sym_keyword_logged);
      END_STATE();
    case 961:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1126);
      END_STATE();
    case 962:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1127);
      END_STATE();
    case 963:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1128);
      END_STATE();
    case 964:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1129);
      END_STATE();
    case 965:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1130);
      END_STATE();
    case 966:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1131);
      END_STATE();
    case 967:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1132);
      END_STATE();
    case 968:
      ACCEPT_TOKEN(sym_keyword_modify);
      END_STATE();
    case 969:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1133);
      END_STATE();
    case 970:
      ACCEPT_TOKEN(sym_keyword_noscan);
      END_STATE();
    case 971:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1134);
      END_STATE();
    case 972:
      ACCEPT_TOKEN(sym_keyword_nowait);
      END_STATE();
    case 973:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1135);
      END_STATE();
    case 974:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1136);
      END_STATE();
    case 975:
      ACCEPT_TOKEN(sym_keyword_offset);
      END_STATE();
    case 976:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(1137);
      END_STATE();
    case 977:
      ACCEPT_TOKEN(sym_keyword_option);
      END_STATE();
    case 978:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1138);
      END_STATE();
    case 979:
      ACCEPT_TOKEN(sym_keyword_others);
      END_STATE();
    case 980:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1139);
      END_STATE();
    case 981:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1140);
      END_STATE();
    case 982:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1141);
      END_STATE();
    case 983:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1142);
      END_STATE();
    case 984:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1143);
      END_STATE();
    case 985:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1144);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1145);
      END_STATE();
    case 986:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1146);
      END_STATE();
    case 987:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1147);
      END_STATE();
    case 988:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1148);
      END_STATE();
    case 989:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1149);
      END_STATE();
    case 990:
      ACCEPT_TOKEN(sym_keyword_rcfile);
      END_STATE();
    case 991:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1150);
      END_STATE();
    case 992:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1151);
      END_STATE();
    case 993:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1152);
      END_STATE();
    case 994:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1153);
      END_STATE();
    case 995:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1154);
      END_STATE();
    case 996:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1155);
      END_STATE();
    case 997:
      ACCEPT_TOKEN(sym_keyword_rename);
      END_STATE();
    case 998:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1156);
      END_STATE();
    case 999:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1157);
      END_STATE();
    case 1000:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1158);
      END_STATE();
    case 1001:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1159);
      END_STATE();
    case 1002:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1160);
      END_STATE();
    case 1003:
      ACCEPT_TOKEN(sym_keyword_return);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1161);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1162);
      END_STATE();
    case 1004:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1163);
      END_STATE();
    case 1005:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1164);
      END_STATE();
    case 1006:
      ACCEPT_TOKEN(sym_keyword_schema);
      END_STATE();
    case 1007:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1165);
      END_STATE();
    case 1008:
      ACCEPT_TOKEN(sym_keyword_select);
      END_STATE();
    case 1009:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1166);
      END_STATE();
    case 1010:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1167);
      END_STATE();
    case 1011:
      ACCEPT_TOKEN(aux_sym_keyword_serial_token1);
      if (lookahead == '2') ADVANCE(1168);
      if (lookahead == '4') ADVANCE(1169);
      if (lookahead == '8') ADVANCE(1170);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1171);
      END_STATE();
    case 1012:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1172);
      END_STATE();
    case 1013:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1173);
      END_STATE();
    case 1014:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1174);
      END_STATE();
    case 1015:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1175);
      END_STATE();
    case 1016:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1176);
      END_STATE();
    case 1017:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1177);
      END_STATE();
    case 1018:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1178);
      END_STATE();
    case 1019:
      ACCEPT_TOKEN(sym_keyword_spgist);
      END_STATE();
    case 1020:
      ACCEPT_TOKEN(sym_keyword_stable);
      END_STATE();
    case 1021:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1179);
      END_STATE();
    case 1022:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1180);
      END_STATE();
    case 1023:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1181);
      END_STATE();
    case 1024:
      ACCEPT_TOKEN(sym_keyword_stored);
      END_STATE();
    case 1025:
      ACCEPT_TOKEN(sym_keyword_strict);
      END_STATE();
    case 1026:
      ACCEPT_TOKEN(sym_keyword_string);
      END_STATE();
    case 1027:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1182);
      END_STATE();
    case 1028:
      ACCEPT_TOKEN(sym_keyword_tables);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1183);
      END_STATE();
    case 1029:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1184);
      END_STATE();
    case 1030:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1185);
      END_STATE();
    case 1031:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1186);
      END_STATE();
    case 1032:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1187);
      END_STATE();
    case 1033:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1188);
      END_STATE();
    case 1034:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1189);
      END_STATE();
    case 1035:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1190);
      END_STATE();
    case 1036:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1191);
      END_STATE();
    case 1037:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1192);
      END_STATE();
    case 1038:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1193);
      END_STATE();
    case 1039:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1194);
      END_STATE();
    case 1040:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1195);
      END_STATE();
    case 1041:
      ACCEPT_TOKEN(sym_keyword_unique);
      END_STATE();
    case 1042:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1196);
      END_STATE();
    case 1043:
      ACCEPT_TOKEN(sym_keyword_unsafe);
      END_STATE();
    case 1044:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1197);
      END_STATE();
    case 1045:
      ACCEPT_TOKEN(sym_keyword_update);
      END_STATE();
    case 1046:
      ACCEPT_TOKEN(sym_keyword_vacuum);
      END_STATE();
    case 1047:
      ACCEPT_TOKEN(sym_keyword_values);
      END_STATE();
    case 1048:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1198);
      END_STATE();
    case 1049:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1199);
      END_STATE();
    case 1050:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1200);
      END_STATE();
    case 1051:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1201);
      END_STATE();
    case 1052:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1202);
      END_STATE();
    case 1053:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1203);
      END_STATE();
    case 1054:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1204);
      END_STATE();
    case 1055:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1205);
      END_STATE();
    case 1056:
      ACCEPT_TOKEN(sym_keyword_window);
      END_STATE();
    case 1057:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1206);
      END_STATE();
    case 1058:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1207);
      END_STATE();
    case 1059:
      ACCEPT_TOKEN(sym_keyword_analyze);
      END_STATE();
    case 1060:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1208);
      END_STATE();
    case 1061:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(1209);
      END_STATE();
    case 1062:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1210);
      END_STATE();
    case 1063:
      ACCEPT_TOKEN(sym_keyword_between);
      END_STATE();
    case 1064:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1211);
      END_STATE();
    case 1065:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1212);
      END_STATE();
    case 1066:
      ACCEPT_TOKEN(sym_keyword_boolean);
      END_STATE();
    case 1067:
      ACCEPT_TOKEN(sym_keyword_cascade);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1213);
      END_STATE();
    case 1068:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1214);
      END_STATE();
    case 1069:
      ACCEPT_TOKEN(sym_keyword_collate);
      END_STATE();
    case 1070:
      ACCEPT_TOKEN(sym_keyword_columns);
      END_STATE();
    case 1071:
      ACCEPT_TOKEN(sym_keyword_comment);
      END_STATE();
    case 1072:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1215);
      END_STATE();
    case 1073:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1216);
      END_STATE();
    case 1074:
      ACCEPT_TOKEN(sym_keyword_compute);
      END_STATE();
    case 1075:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1217);
      END_STATE();
    case 1076:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1218);
      END_STATE();
    case 1077:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1219);
      END_STATE();
    case 1078:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1220);
      END_STATE();
    case 1079:
      ACCEPT_TOKEN(sym_keyword_current);
      if (lookahead == '_') ADVANCE(1221);
      END_STATE();
    case 1080:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1222);
      END_STATE();
    case 1081:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1223);
      END_STATE();
    case 1082:
      ACCEPT_TOKEN(sym_keyword_decimal);
      END_STATE();
    case 1083:
      ACCEPT_TOKEN(sym_keyword_declare);
      END_STATE();
    case 1084:
      ACCEPT_TOKEN(sym_keyword_default);
      END_STATE();
    case 1085:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1224);
      END_STATE();
    case 1086:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1225);
      END_STATE();
    case 1087:
      ACCEPT_TOKEN(sym_keyword_definer);
      END_STATE();
    case 1088:
      ACCEPT_TOKEN(sym_keyword_delayed);
      END_STATE();
    case 1089:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1226);
      END_STATE();
    case 1090:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1227);
      END_STATE();
    case 1091:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1228);
      END_STATE();
    case 1092:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1229);
      END_STATE();
    case 1093:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1230);
      END_STATE();
    case 1094:
      ACCEPT_TOKEN(sym_keyword_escaped);
      END_STATE();
    case 1095:
      ACCEPT_TOKEN(sym_keyword_exclude);
      END_STATE();
    case 1096:
      ACCEPT_TOKEN(sym_keyword_execute);
      END_STATE();
    case 1097:
      ACCEPT_TOKEN(sym_keyword_explain);
      END_STATE();
    case 1098:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1231);
      END_STATE();
    case 1099:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1232);
      END_STATE();
    case 1100:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1233);
      END_STATE();
    case 1101:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1234);
      END_STATE();
    case 1102:
      ACCEPT_TOKEN(sym_keyword_follows);
      END_STATE();
    case 1103:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1235);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1236);
      END_STATE();
    case 1104:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1237);
      END_STATE();
    case 1105:
      ACCEPT_TOKEN(sym_keyword_foreign);
      END_STATE();
    case 1106:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1238);
      END_STATE();
    case 1107:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1239);
      END_STATE();
    case 1108:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1240);
      END_STATE();
    case 1109:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1241);
      END_STATE();
    case 1110:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1242);
      END_STATE();
    case 1111:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1243);
      END_STATE();
    case 1112:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1244);
      END_STATE();
    case 1113:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1245);
      END_STATE();
    case 1114:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1246);
      END_STATE();
    case 1115:
      ACCEPT_TOKEN(sym_keyword_instead);
      END_STATE();
    case 1116:
      ACCEPT_TOKEN(aux_sym_keyword_int_token2);
      END_STATE();
    case 1117:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1247);
      END_STATE();
    case 1118:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1248);
      END_STATE();
    case 1119:
      ACCEPT_TOKEN(sym_keyword_invoker);
      END_STATE();
    case 1120:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1249);
      END_STATE();
    case 1121:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1250);
      END_STATE();
    case 1122:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1251);
      END_STATE();
    case 1123:
      ACCEPT_TOKEN(sym_keyword_lateral);
      END_STATE();
    case 1124:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1252);
      END_STATE();
    case 1125:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1253);
      END_STATE();
    case 1126:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1254);
      END_STATE();
    case 1127:
      ACCEPT_TOKEN(sym_keyword_matched);
      END_STATE();
    case 1128:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1255);
      END_STATE();
    case 1129:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1256);
      END_STATE();
    case 1130:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1257);
      END_STATE();
    case 1131:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1258);
      END_STATE();
    case 1132:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1259);
      END_STATE();
    case 1133:
      ACCEPT_TOKEN(sym_keyword_natural);
      END_STATE();
    case 1134:
      ACCEPT_TOKEN(sym_keyword_nothing);
      END_STATE();
    case 1135:
      ACCEPT_TOKEN(sym_keyword_numeric);
      END_STATE();
    case 1136:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1260);
      END_STATE();
    case 1137:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1261);
      END_STATE();
    case 1138:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1262);
      END_STATE();
    case 1139:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1263);
      END_STATE();
    case 1140:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1264);
      END_STATE();
    case 1141:
      ACCEPT_TOKEN(sym_keyword_parquet);
      END_STATE();
    case 1142:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1265);
      END_STATE();
    case 1143:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1266);
      END_STATE();
    case 1144:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1267);
      END_STATE();
    case 1145:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1268);
      END_STATE();
    case 1146:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1269);
      END_STATE();
    case 1147:
      ACCEPT_TOKEN(sym_keyword_primary);
      END_STATE();
    case 1148:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1270);
      END_STATE();
    case 1149:
      ACCEPT_TOKEN(sym_keyword_program);
      END_STATE();
    case 1150:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1271);
      END_STATE();
    case 1151:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1272);
      END_STATE();
    case 1152:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1273);
      END_STATE();
    case 1153:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1274);
      END_STATE();
    case 1154:
      ACCEPT_TOKEN(sym_keyword_regproc);
      END_STATE();
    case 1155:
      ACCEPT_TOKEN(sym_keyword_regtype);
      END_STATE();
    case 1156:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1275);
      END_STATE();
    case 1157:
      ACCEPT_TOKEN(sym_keyword_replace);
      END_STATE();
    case 1158:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1276);
      END_STATE();
    case 1159:
      ACCEPT_TOKEN(sym_keyword_restart);
      END_STATE();
    case 1160:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1277);
      END_STATE();
    case 1161:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1278);
      END_STATE();
    case 1162:
      ACCEPT_TOKEN(sym_keyword_returns);
      END_STATE();
    case 1163:
      ACCEPT_TOKEN(sym_keyword_rewrite);
      END_STATE();
    case 1164:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1279);
      END_STATE();
    case 1165:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1280);
      END_STATE();
    case 1166:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1281);
      END_STATE();
    case 1167:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1282);
      END_STATE();
    case 1168:
      ACCEPT_TOKEN(aux_sym_keyword_smallserial_token2);
      END_STATE();
    case 1169:
      ACCEPT_TOKEN(aux_sym_keyword_serial_token2);
      END_STATE();
    case 1170:
      ACCEPT_TOKEN(aux_sym_keyword_bigserial_token2);
      END_STATE();
    case 1171:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(1283);
      END_STATE();
    case 1172:
      ACCEPT_TOKEN(sym_keyword_session);
      END_STATE();
    case 1173:
      ACCEPT_TOKEN(sym_keyword_similar);
      END_STATE();
    case 1174:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1284);
      END_STATE();
    case 1175:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1285);
      END_STATE();
    case 1176:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1286);
      END_STATE();
    case 1177:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1287);
      END_STATE();
    case 1178:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1288);
      END_STATE();
    case 1179:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1289);
      END_STATE();
    case 1180:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1290);
      END_STATE();
    case 1181:
      ACCEPT_TOKEN(sym_keyword_storage);
      END_STATE();
    case 1182:
      ACCEPT_TOKEN(sym_keyword_support);
      END_STATE();
    case 1183:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1291);
      END_STATE();
    case 1184:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1292);
      END_STATE();
    case 1185:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1293);
      END_STATE();
    case 1186:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1294);
      END_STATE();
    case 1187:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1295);
      END_STATE();
    case 1188:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1296);
      END_STATE();
    case 1189:
      ACCEPT_TOKEN(aux_sym_keyword_tinyint_token1);
      END_STATE();
    case 1190:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1297);
      END_STATE();
    case 1191:
      ACCEPT_TOKEN(sym_keyword_trigger);
      END_STATE();
    case 1192:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1298);
      END_STATE();
    case 1193:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1299);
      END_STATE();
    case 1194:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1300);
      END_STATE();
    case 1195:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1301);
      END_STATE();
    case 1196:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1302);
      END_STATE();
    case 1197:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1303);
      END_STATE();
    case 1198:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1304);
      END_STATE();
    case 1199:
      ACCEPT_TOKEN(aux_sym_keyword_varchar_token1);
      END_STATE();
    case 1200:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1305);
      END_STATE();
    case 1201:
      ACCEPT_TOKEN(sym_keyword_varying);
      END_STATE();
    case 1202:
      ACCEPT_TOKEN(sym_keyword_verbose);
      END_STATE();
    case 1203:
      ACCEPT_TOKEN(sym_keyword_version);
      END_STATE();
    case 1204:
      ACCEPT_TOKEN(sym_keyword_virtual);
      END_STATE();
    case 1205:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1306);
      END_STATE();
    case 1206:
      ACCEPT_TOKEN(sym_keyword_without);
      END_STATE();
    case 1207:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1307);
      END_STATE();
    case 1208:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1308);
      END_STATE();
    case 1209:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1309);
      END_STATE();
    case 1210:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1310);
      END_STATE();
    case 1211:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1311);
      END_STATE();
    case 1212:
      ACCEPT_TOKEN(sym_keyword_bin_pack);
      END_STATE();
    case 1213:
      ACCEPT_TOKEN(sym_keyword_cascaded);
      END_STATE();
    case 1214:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1312);
      END_STATE();
    case 1215:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1313);
      END_STATE();
    case 1216:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1314);
      END_STATE();
    case 1217:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1315);
      END_STATE();
    case 1218:
      ACCEPT_TOKEN(sym_keyword_conflict);
      END_STATE();
    case 1219:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1316);
      END_STATE();
    case 1220:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1317);
      END_STATE();
    case 1221:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1318);
      END_STATE();
    case 1222:
      ACCEPT_TOKEN(sym_keyword_database);
      END_STATE();
    case 1223:
      ACCEPT_TOKEN(sym_keyword_datetime);
      if (lookahead == '2') ADVANCE(1319);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1320);
      END_STATE();
    case 1224:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1321);
      END_STATE();
    case 1225:
      ACCEPT_TOKEN(sym_keyword_deferred);
      END_STATE();
    case 1226:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1322);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1323);
      END_STATE();
    case 1227:
      ACCEPT_TOKEN(sym_keyword_distinct);
      END_STATE();
    case 1228:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1324);
      END_STATE();
    case 1229:
      ACCEPT_TOKEN(sym_keyword_encoding);
      END_STATE();
    case 1230:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1325);
      END_STATE();
    case 1231:
      ACCEPT_TOKEN(sym_keyword_extended);
      END_STATE();
    case 1232:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1326);
      END_STATE();
    case 1233:
      ACCEPT_TOKEN(sym_keyword_external);
      END_STATE();
    case 1234:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1327);
      END_STATE();
    case 1235:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1328);
      END_STATE();
    case 1236:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1329);
      END_STATE();
    case 1237:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1330);
      END_STATE();
    case 1238:
      ACCEPT_TOKEN(sym_keyword_function);
      END_STATE();
    case 1239:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1331);
      END_STATE();
    case 1240:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1332);
      END_STATE();
    case 1241:
      ACCEPT_TOKEN(sym_keyword_geometry);
      END_STATE();
    case 1242:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1333);
      END_STATE();
    case 1243:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1334);
      END_STATE();
    case 1244:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1335);
      END_STATE();
    case 1245:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1336);
      END_STATE();
    case 1246:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1337);
      END_STATE();
    case 1247:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1338);
      END_STATE();
    case 1248:
      ACCEPT_TOKEN(sym_keyword_interval);
      END_STATE();
    case 1249:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1339);
      END_STATE();
    case 1250:
      ACCEPT_TOKEN(sym_keyword_jsonfile);
      END_STATE();
    case 1251:
      ACCEPT_TOKEN(sym_keyword_language);
      END_STATE();
    case 1252:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1340);
      END_STATE();
    case 1253:
      ACCEPT_TOKEN(sym_keyword_location);
      END_STATE();
    case 1254:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1341);
      END_STATE();
    case 1255:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1342);
      END_STATE();
    case 1256:
      ACCEPT_TOKEN(sym_keyword_maxvalue);
      END_STATE();
    case 1257:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1343);
      END_STATE();
    case 1258:
      ACCEPT_TOKEN(sym_keyword_metadata);
      END_STATE();
    case 1259:
      ACCEPT_TOKEN(sym_keyword_minvalue);
      END_STATE();
    case 1260:
      ACCEPT_TOKEN(sym_keyword_nvarchar);
      END_STATE();
    case 1261:
      ACCEPT_TOKEN(sym_keyword_optimize);
      END_STATE();
    case 1262:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1344);
      END_STATE();
    case 1263:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1345);
      END_STATE();
    case 1264:
      ACCEPT_TOKEN(sym_keyword_parallel);
      END_STATE();
    case 1265:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1346);
      END_STATE();
    case 1266:
      ACCEPT_TOKEN(sym_keyword_password);
      END_STATE();
    case 1267:
      ACCEPT_TOKEN(sym_keyword_precedes);
      END_STATE();
    case 1268:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1347);
      END_STATE();
    case 1269:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1348);
      END_STATE();
    case 1270:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1349);
      END_STATE();
    case 1271:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1350);
      END_STATE();
    case 1272:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1351);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1352);
      END_STATE();
    case 1273:
      ACCEPT_TOKEN(sym_keyword_regclass);
      END_STATE();
    case 1274:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1353);
      END_STATE();
    case 1275:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1354);
      END_STATE();
    case 1276:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1355);
      END_STATE();
    case 1277:
      ACCEPT_TOKEN(sym_keyword_restrict);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1356);
      END_STATE();
    case 1278:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1357);
      END_STATE();
    case 1279:
      ACCEPT_TOKEN(sym_keyword_rollback);
      END_STATE();
    case 1280:
      ACCEPT_TOKEN(sym_keyword_security);
      END_STATE();
    case 1281:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1358);
      END_STATE();
    case 1282:
      ACCEPT_TOKEN(sym_keyword_sequence);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1359);
      END_STATE();
    case 1283:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1360);
      END_STATE();
    case 1284:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1361);
      END_STATE();
    case 1285:
      ACCEPT_TOKEN(aux_sym_keyword_smallint_token1);
      END_STATE();
    case 1286:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1362);
      END_STATE();
    case 1287:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1363);
      END_STATE();
    case 1288:
      ACCEPT_TOKEN(sym_keyword_snapshot);
      END_STATE();
    case 1289:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1364);
      END_STATE();
    case 1290:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1365);
      END_STATE();
    case 1291:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1366);
      END_STATE();
    case 1292:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1367);
      END_STATE();
    case 1293:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1368);
      END_STATE();
    case 1294:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1369);
      END_STATE();
    case 1295:
      ACCEPT_TOKEN(sym_keyword_textfile);
      END_STATE();
    case 1296:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1370);
      END_STATE();
    case 1297:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1371);
      END_STATE();
    case 1298:
      ACCEPT_TOKEN(sym_keyword_truncate);
      END_STATE();
    case 1299:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1372);
      END_STATE();
    case 1300:
      ACCEPT_TOKEN(sym_keyword_uncached);
      END_STATE();
    case 1301:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1373);
      END_STATE();
    case 1302:
      ACCEPT_TOKEN(sym_keyword_unlogged);
      END_STATE();
    case 1303:
      ACCEPT_TOKEN(sym_keyword_unsigned);
      END_STATE();
    case 1304:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1374);
      END_STATE();
    case 1305:
      ACCEPT_TOKEN(sym_keyword_variadic);
      END_STATE();
    case 1306:
      ACCEPT_TOKEN(sym_keyword_volatile);
      END_STATE();
    case 1307:
      ACCEPT_TOKEN(sym_keyword_zerofill);
      END_STATE();
    case 1308:
      ACCEPT_TOKEN(sym_keyword_attribute);
      END_STATE();
    case 1309:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1375);
      END_STATE();
    case 1310:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1376);
      END_STATE();
    case 1311:
      ACCEPT_TOKEN(aux_sym_keyword_bigserial_token1);
      END_STATE();
    case 1312:
      ACCEPT_TOKEN(aux_sym_keyword_character_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1377);
      END_STATE();
    case 1313:
      ACCEPT_TOKEN(sym_keyword_committed);
      END_STATE();
    case 1314:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1378);
      END_STATE();
    case 1315:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1379);
      END_STATE();
    case 1316:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1380);
      END_STATE();
    case 1317:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1381);
      END_STATE();
    case 1318:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1382);
      END_STATE();
    case 1319:
      ACCEPT_TOKEN(sym_keyword_datetime2);
      END_STATE();
    case 1320:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1383);
      END_STATE();
    case 1321:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1384);
      END_STATE();
    case 1322:
      ACCEPT_TOKEN(sym_keyword_delimited);
      END_STATE();
    case 1323:
      ACCEPT_TOKEN(sym_keyword_delimiter);
      END_STATE();
    case 1324:
      ACCEPT_TOKEN(sym_keyword_duplicate);
      END_STATE();
    case 1325:
      ACCEPT_TOKEN(sym_keyword_encrypted);
      END_STATE();
    case 1326:
      ACCEPT_TOKEN(sym_keyword_extension);
      END_STATE();
    case 1327:
      ACCEPT_TOKEN(sym_keyword_following);
      END_STATE();
    case 1328:
      if (lookahead == '_') ADVANCE(1385);
      END_STATE();
    case 1329:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1386);
      END_STATE();
    case 1330:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1387);
      END_STATE();
    case 1331:
      ACCEPT_TOKEN(sym_keyword_generated);
      END_STATE();
    case 1332:
      ACCEPT_TOKEN(sym_keyword_geography);
      END_STATE();
    case 1333:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1388);
      END_STATE();
    case 1334:
      ACCEPT_TOKEN(sym_keyword_immediate);
      END_STATE();
    case 1335:
      ACCEPT_TOKEN(sym_keyword_immutable);
      END_STATE();
    case 1336:
      ACCEPT_TOKEN(sym_keyword_increment);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1389);
      END_STATE();
    case 1337:
      ACCEPT_TOKEN(sym_keyword_initially);
      END_STATE();
    case 1338:
      ACCEPT_TOKEN(sym_keyword_intersect);
      END_STATE();
    case 1339:
      ACCEPT_TOKEN(sym_keyword_isolation);
      END_STATE();
    case 1340:
      ACCEPT_TOKEN(sym_keyword_leakproof);
      END_STATE();
    case 1341:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1390);
      END_STATE();
    case 1342:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(1391);
      END_STATE();
    case 1343:
      ACCEPT_TOKEN(aux_sym_keyword_mediumint_token1);
      END_STATE();
    case 1344:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1392);
      END_STATE();
    case 1345:
      ACCEPT_TOKEN(sym_keyword_overwrite);
      END_STATE();
    case 1346:
      ACCEPT_TOKEN(sym_keyword_partition);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1393);
      END_STATE();
    case 1347:
      ACCEPT_TOKEN(sym_keyword_preceding);
      END_STATE();
    case 1348:
      ACCEPT_TOKEN(sym_keyword_precision);
      END_STATE();
    case 1349:
      ACCEPT_TOKEN(sym_keyword_procedure);
      END_STATE();
    case 1350:
      ACCEPT_TOKEN(sym_keyword_recursive);
      END_STATE();
    case 1351:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1394);
      END_STATE();
    case 1352:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1395);
      END_STATE();
    case 1353:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1396);
      END_STATE();
    case 1354:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1397);
      END_STATE();
    case 1355:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1398);
      END_STATE();
    case 1356:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1399);
      END_STATE();
    case 1357:
      ACCEPT_TOKEN(sym_keyword_returning);
      END_STATE();
    case 1358:
      ACCEPT_TOKEN(sym_keyword_separator);
      END_STATE();
    case 1359:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1400);
      END_STATE();
    case 1360:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1401);
      END_STATE();
    case 1361:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1402);
      END_STATE();
    case 1362:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1403);
      END_STATE();
    case 1363:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1404);
      END_STATE();
    case 1364:
      ACCEPT_TOKEN(sym_keyword_statement);
      END_STATE();
    case 1365:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1405);
      END_STATE();
    case 1366:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1406);
      END_STATE();
    case 1367:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1407);
      END_STATE();
    case 1368:
      ACCEPT_TOKEN(sym_keyword_temporary);
      END_STATE();
    case 1369:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1408);
      END_STATE();
    case 1370:
      ACCEPT_TOKEN(sym_keyword_timestamp);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1409);
      END_STATE();
    case 1371:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1410);
      END_STATE();
    case 1372:
      ACCEPT_TOKEN(sym_keyword_unbounded);
      END_STATE();
    case 1373:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1411);
      END_STATE();
    case 1374:
      ACCEPT_TOKEN(sym_keyword_varbinary);
      END_STATE();
    case 1375:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1412);
      END_STATE();
    case 1376:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1413);
      END_STATE();
    case 1377:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1414);
      END_STATE();
    case 1378:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1415);
      END_STATE();
    case 1379:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1416);
      END_STATE();
    case 1380:
      ACCEPT_TOKEN(sym_keyword_connection);
      END_STATE();
    case 1381:
      ACCEPT_TOKEN(sym_keyword_constraint);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1417);
      END_STATE();
    case 1382:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1418);
      END_STATE();
    case 1383:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1419);
      END_STATE();
    case 1384:
      ACCEPT_TOKEN(sym_keyword_deferrable);
      END_STATE();
    case 1385:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1420);
      END_STATE();
    case 1386:
      ACCEPT_TOKEN(sym_keyword_force_null);
      END_STATE();
    case 1387:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1421);
      END_STATE();
    case 1388:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1422);
      END_STATE();
    case 1389:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1423);
      END_STATE();
    case 1390:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1424);
      END_STATE();
    case 1391:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1425);
      END_STATE();
    case 1392:
      ACCEPT_TOKEN(sym_keyword_ordinality);
      END_STATE();
    case 1393:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1426);
      END_STATE();
    case 1394:
      ACCEPT_TOKEN(sym_keyword_references);
      END_STATE();
    case 1395:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1427);
      END_STATE();
    case 1396:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1428);
      END_STATE();
    case 1397:
      ACCEPT_TOKEN(sym_keyword_repeatable);
      END_STATE();
    case 1398:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1429);
      END_STATE();
    case 1399:
      ACCEPT_TOKEN(sym_keyword_restricted);
      END_STATE();
    case 1400:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1430);
      END_STATE();
    case 1401:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1431);
      END_STATE();
    case 1402:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1432);
      END_STATE();
    case 1403:
      ACCEPT_TOKEN(sym_keyword_smallmoney);
      END_STATE();
    case 1404:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1433);
      END_STATE();
    case 1405:
      ACCEPT_TOKEN(sym_keyword_statistics);
      END_STATE();
    case 1406:
      ACCEPT_TOKEN(sym_keyword_tablespace);
      END_STATE();
    case 1407:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1434);
      END_STATE();
    case 1408:
      ACCEPT_TOKEN(sym_keyword_terminated);
      END_STATE();
    case 1409:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(1435);
      END_STATE();
    case 1410:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1436);
      END_STATE();
    case 1411:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1437);
      END_STATE();
    case 1412:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1438);
      END_STATE();
    case 1413:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1439);
      END_STATE();
    case 1414:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1440);
      END_STATE();
    case 1415:
      ACCEPT_TOKEN(sym_keyword_compression);
      END_STATE();
    case 1416:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1441);
      END_STATE();
    case 1417:
      ACCEPT_TOKEN(sym_keyword_constraints);
      END_STATE();
    case 1418:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1442);
      END_STATE();
    case 1419:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1443);
      END_STATE();
    case 1420:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1444);
      END_STATE();
    case 1421:
      ACCEPT_TOKEN(sym_keyword_force_quote);
      END_STATE();
    case 1422:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1445);
      END_STATE();
    case 1423:
      ACCEPT_TOKEN(sym_keyword_incremental);
      END_STATE();
    case 1424:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1446);
      END_STATE();
    case 1425:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1447);
      END_STATE();
    case 1426:
      ACCEPT_TOKEN(sym_keyword_partitioned);
      END_STATE();
    case 1427:
      ACCEPT_TOKEN(sym_keyword_referencing);
      END_STATE();
    case 1428:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1448);
      END_STATE();
    case 1429:
      ACCEPT_TOKEN(sym_keyword_replication);
      END_STATE();
    case 1430:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1449);
      END_STATE();
    case 1431:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1450);
      END_STATE();
    case 1432:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1451);
      END_STATE();
    case 1433:
      ACCEPT_TOKEN(aux_sym_keyword_smallserial_token1);
      END_STATE();
    case 1434:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1452);
      END_STATE();
    case 1435:
      ACCEPT_TOKEN(sym_keyword_timestamptz);
      END_STATE();
    case 1436:
      ACCEPT_TOKEN(sym_keyword_transaction);
      END_STATE();
    case 1437:
      ACCEPT_TOKEN(sym_keyword_uncommitted);
      END_STATE();
    case 1438:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1453);
      END_STATE();
    case 1439:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1454);
      END_STATE();
    case 1440:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1455);
      END_STATE();
    case 1441:
      ACCEPT_TOKEN(sym_keyword_concurrently);
      END_STATE();
    case 1442:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1456);
      END_STATE();
    case 1443:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1457);
      END_STATE();
    case 1444:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1458);
      END_STATE();
    case 1445:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1459);
      END_STATE();
    case 1446:
      ACCEPT_TOKEN(sym_keyword_low_priority);
      END_STATE();
    case 1447:
      ACCEPT_TOKEN(sym_keyword_materialized);
      END_STATE();
    case 1448:
      ACCEPT_TOKEN(sym_keyword_regnamespace);
      END_STATE();
    case 1449:
      ACCEPT_TOKEN(sym_keyword_sequencefile);
      END_STATE();
    case 1450:
      ACCEPT_TOKEN(sym_keyword_serializable);
      END_STATE();
    case 1451:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1460);
      END_STATE();
    case 1452:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1461);
      END_STATE();
    case 1453:
      ACCEPT_TOKEN(sym_keyword_authorization);
      END_STATE();
    case 1454:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1462);
      END_STATE();
    case 1455:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1463);
      END_STATE();
    case 1456:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1464);
      END_STATE();
    case 1457:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1465);
      END_STATE();
    case 1458:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1466);
      END_STATE();
    case 1459:
      ACCEPT_TOKEN(sym_keyword_high_priority);
      END_STATE();
    case 1460:
      ACCEPT_TOKEN(sym_keyword_smalldatetime);
      END_STATE();
    case 1461:
      ACCEPT_TOKEN(sym_keyword_tblproperties);
      END_STATE();
    case 1462:
      ACCEPT_TOKEN(sym_keyword_auto_increment);
      END_STATE();
    case 1463:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1467);
      END_STATE();
    case 1464:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1468);
      END_STATE();
    case 1465:
      ACCEPT_TOKEN(sym_keyword_datetimeoffset);
      END_STATE();
    case 1466:
      ACCEPT_TOKEN(sym_keyword_force_not_null);
      END_STATE();
    case 1467:
      ACCEPT_TOKEN(sym_keyword_characteristics);
      END_STATE();
    case 1468:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1469);
      END_STATE();
    case 1469:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1470);
      END_STATE();
    case 1470:
      ACCEPT_TOKEN(sym_keyword_current_timestamp);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 35},
  [2] = {.lex_state = 35},
  [3] = {.lex_state = 35},
  [4] = {.lex_state = 35},
  [5] = {.lex_state = 35},
  [6] = {.lex_state = 35},
  [7] = {.lex_state = 35},
  [8] = {.lex_state = 35},
  [9] = {.lex_state = 35},
  [10] = {.lex_state = 35},
  [11] = {.lex_state = 35},
  [12] = {.lex_state = 35},
  [13] = {.lex_state = 35},
  [14] = {.lex_state = 35},
  [15] = {.lex_state = 35},
  [16] = {.lex_state = 35},
  [17] = {.lex_state = 35},
  [18] = {.lex_state = 35},
  [19] = {.lex_state = 35},
  [20] = {.lex_state = 35},
  [21] = {.lex_state = 35},
  [22] = {.lex_state = 35},
  [23] = {.lex_state = 35},
  [24] = {.lex_state = 35},
  [25] = {.lex_state = 35},
  [26] = {.lex_state = 35},
  [27] = {.lex_state = 35},
  [28] = {.lex_state = 35},
  [29] = {.lex_state = 35},
  [30] = {.lex_state = 35},
  [31] = {.lex_state = 35},
  [32] = {.lex_state = 35},
  [33] = {.lex_state = 35},
  [34] = {.lex_state = 35},
  [35] = {.lex_state = 35},
  [36] = {.lex_state = 35},
  [37] = {.lex_state = 35},
  [38] = {.lex_state = 35},
  [39] = {.lex_state = 35},
  [40] = {.lex_state = 35},
  [41] = {.lex_state = 35},
  [42] = {.lex_state = 35},
  [43] = {.lex_state = 35},
  [44] = {.lex_state = 35},
  [45] = {.lex_state = 35},
  [46] = {.lex_state = 35},
  [47] = {.lex_state = 35},
  [48] = {.lex_state = 35},
  [49] = {.lex_state = 35},
  [50] = {.lex_state = 35},
  [51] = {.lex_state = 35},
  [52] = {.lex_state = 35},
  [53] = {.lex_state = 35},
  [54] = {.lex_state = 35},
  [55] = {.lex_state = 35},
  [56] = {.lex_state = 35},
  [57] = {.lex_state = 35},
  [58] = {.lex_state = 35},
  [59] = {.lex_state = 35},
  [60] = {.lex_state = 35},
  [61] = {.lex_state = 35},
  [62] = {.lex_state = 35},
  [63] = {.lex_state = 35},
  [64] = {.lex_state = 35},
  [65] = {.lex_state = 35},
  [66] = {.lex_state = 35},
  [67] = {.lex_state = 35},
  [68] = {.lex_state = 35},
  [69] = {.lex_state = 35},
  [70] = {.lex_state = 35},
  [71] = {.lex_state = 35},
  [72] = {.lex_state = 35},
  [73] = {.lex_state = 35},
  [74] = {.lex_state = 35},
  [75] = {.lex_state = 35},
  [76] = {.lex_state = 35},
  [77] = {.lex_state = 35},
  [78] = {.lex_state = 35},
  [79] = {.lex_state = 35},
  [80] = {.lex_state = 35},
  [81] = {.lex_state = 35},
  [82] = {.lex_state = 35},
  [83] = {.lex_state = 35},
  [84] = {.lex_state = 35},
  [85] = {.lex_state = 35},
  [86] = {.lex_state = 35},
  [87] = {.lex_state = 35},
  [88] = {.lex_state = 35},
  [89] = {.lex_state = 35},
  [90] = {.lex_state = 33},
  [91] = {.lex_state = 35},
  [92] = {.lex_state = 35},
  [93] = {.lex_state = 35},
  [94] = {.lex_state = 35},
  [95] = {.lex_state = 35},
  [96] = {.lex_state = 35},
  [97] = {.lex_state = 35},
  [98] = {.lex_state = 35},
  [99] = {.lex_state = 35},
  [100] = {.lex_state = 35},
  [101] = {.lex_state = 35},
  [102] = {.lex_state = 35},
  [103] = {.lex_state = 35},
  [104] = {.lex_state = 35},
  [105] = {.lex_state = 35},
  [106] = {.lex_state = 35},
  [107] = {.lex_state = 35},
  [108] = {.lex_state = 35},
  [109] = {.lex_state = 35},
  [110] = {.lex_state = 35},
  [111] = {.lex_state = 35},
  [112] = {.lex_state = 35},
  [113] = {.lex_state = 35},
  [114] = {.lex_state = 35},
  [115] = {.lex_state = 35},
  [116] = {.lex_state = 35},
  [117] = {.lex_state = 35},
  [118] = {.lex_state = 35},
  [119] = {.lex_state = 35},
  [120] = {.lex_state = 35},
  [121] = {.lex_state = 35},
  [122] = {.lex_state = 35},
  [123] = {.lex_state = 35},
  [124] = {.lex_state = 35},
  [125] = {.lex_state = 35},
  [126] = {.lex_state = 35},
  [127] = {.lex_state = 35},
  [128] = {.lex_state = 35},
  [129] = {.lex_state = 35},
  [130] = {.lex_state = 35},
  [131] = {.lex_state = 35},
  [132] = {.lex_state = 35},
  [133] = {.lex_state = 35},
  [134] = {.lex_state = 35},
  [135] = {.lex_state = 35},
  [136] = {.lex_state = 35},
  [137] = {.lex_state = 35},
  [138] = {.lex_state = 35},
  [139] = {.lex_state = 35},
  [140] = {.lex_state = 35},
  [141] = {.lex_state = 35},
  [142] = {.lex_state = 35},
  [143] = {.lex_state = 35},
  [144] = {.lex_state = 35},
  [145] = {.lex_state = 35},
  [146] = {.lex_state = 35},
  [147] = {.lex_state = 35},
  [148] = {.lex_state = 35},
  [149] = {.lex_state = 35},
  [150] = {.lex_state = 35},
  [151] = {.lex_state = 35},
  [152] = {.lex_state = 35},
  [153] = {.lex_state = 35},
  [154] = {.lex_state = 35},
  [155] = {.lex_state = 35},
  [156] = {.lex_state = 35},
  [157] = {.lex_state = 35},
  [158] = {.lex_state = 35},
  [159] = {.lex_state = 35},
  [160] = {.lex_state = 35},
  [161] = {.lex_state = 35},
  [162] = {.lex_state = 35},
  [163] = {.lex_state = 35},
  [164] = {.lex_state = 35},
  [165] = {.lex_state = 35},
  [166] = {.lex_state = 35},
  [167] = {.lex_state = 35},
  [168] = {.lex_state = 35},
  [169] = {.lex_state = 35},
  [170] = {.lex_state = 35},
  [171] = {.lex_state = 35},
  [172] = {.lex_state = 35},
  [173] = {.lex_state = 35, .external_lex_state = 2},
  [174] = {.lex_state = 35},
  [175] = {.lex_state = 35},
  [176] = {.lex_state = 35},
  [177] = {.lex_state = 35},
  [178] = {.lex_state = 35},
  [179] = {.lex_state = 35},
  [180] = {.lex_state = 35},
  [181] = {.lex_state = 35},
  [182] = {.lex_state = 35},
  [183] = {.lex_state = 35},
  [184] = {.lex_state = 35},
  [185] = {.lex_state = 35},
  [186] = {.lex_state = 35},
  [187] = {.lex_state = 36},
  [188] = {.lex_state = 35},
  [189] = {.lex_state = 35},
  [190] = {.lex_state = 35},
  [191] = {.lex_state = 35},
  [192] = {.lex_state = 35},
  [193] = {.lex_state = 35},
  [194] = {.lex_state = 35},
  [195] = {.lex_state = 35},
  [196] = {.lex_state = 35},
  [197] = {.lex_state = 35},
  [198] = {.lex_state = 35},
  [199] = {.lex_state = 35},
  [200] = {.lex_state = 35},
  [201] = {.lex_state = 35},
  [202] = {.lex_state = 35},
  [203] = {.lex_state = 35},
  [204] = {.lex_state = 35},
  [205] = {.lex_state = 35},
  [206] = {.lex_state = 35},
  [207] = {.lex_state = 35},
  [208] = {.lex_state = 35},
  [209] = {.lex_state = 35},
  [210] = {.lex_state = 35},
  [211] = {.lex_state = 35},
  [212] = {.lex_state = 35},
  [213] = {.lex_state = 35},
  [214] = {.lex_state = 35},
  [215] = {.lex_state = 35},
  [216] = {.lex_state = 35},
  [217] = {.lex_state = 35},
  [218] = {.lex_state = 35},
  [219] = {.lex_state = 35},
  [220] = {.lex_state = 35},
  [221] = {.lex_state = 35},
  [222] = {.lex_state = 35},
  [223] = {.lex_state = 35},
  [224] = {.lex_state = 35},
  [225] = {.lex_state = 35},
  [226] = {.lex_state = 35},
  [227] = {.lex_state = 35},
  [228] = {.lex_state = 35},
  [229] = {.lex_state = 35},
  [230] = {.lex_state = 35},
  [231] = {.lex_state = 35},
  [232] = {.lex_state = 35},
  [233] = {.lex_state = 35},
  [234] = {.lex_state = 35},
  [235] = {.lex_state = 35},
  [236] = {.lex_state = 35},
  [237] = {.lex_state = 35},
  [238] = {.lex_state = 35},
  [239] = {.lex_state = 35},
  [240] = {.lex_state = 35},
  [241] = {.lex_state = 35},
  [242] = {.lex_state = 35},
  [243] = {.lex_state = 35},
  [244] = {.lex_state = 35},
  [245] = {.lex_state = 35},
  [246] = {.lex_state = 35},
  [247] = {.lex_state = 35},
  [248] = {.lex_state = 35},
  [249] = {.lex_state = 35},
  [250] = {.lex_state = 35},
  [251] = {.lex_state = 35},
  [252] = {.lex_state = 35},
  [253] = {.lex_state = 35},
  [254] = {.lex_state = 35},
  [255] = {.lex_state = 35},
  [256] = {.lex_state = 35},
  [257] = {.lex_state = 35},
  [258] = {.lex_state = 35},
  [259] = {.lex_state = 35},
  [260] = {.lex_state = 35},
  [261] = {.lex_state = 35},
  [262] = {.lex_state = 35},
  [263] = {.lex_state = 35},
  [264] = {.lex_state = 35},
  [265] = {.lex_state = 35},
  [266] = {.lex_state = 35},
  [267] = {.lex_state = 35},
  [268] = {.lex_state = 35},
  [269] = {.lex_state = 35},
  [270] = {.lex_state = 35},
  [271] = {.lex_state = 35},
  [272] = {.lex_state = 35},
  [273] = {.lex_state = 35},
  [274] = {.lex_state = 35},
  [275] = {.lex_state = 35},
  [276] = {.lex_state = 35},
  [277] = {.lex_state = 35},
  [278] = {.lex_state = 35},
  [279] = {.lex_state = 33, .external_lex_state = 2},
  [280] = {.lex_state = 35},
  [281] = {.lex_state = 35},
  [282] = {.lex_state = 35},
  [283] = {.lex_state = 35},
  [284] = {.lex_state = 35},
  [285] = {.lex_state = 35},
  [286] = {.lex_state = 35},
  [287] = {.lex_state = 35},
  [288] = {.lex_state = 35},
  [289] = {.lex_state = 35},
  [290] = {.lex_state = 35},
  [291] = {.lex_state = 35},
  [292] = {.lex_state = 35, .external_lex_state = 2},
  [293] = {.lex_state = 35, .external_lex_state = 2},
  [294] = {.lex_state = 35, .external_lex_state = 2},
  [295] = {.lex_state = 1, .external_lex_state = 3},
  [296] = {.lex_state = 1, .external_lex_state = 3},
  [297] = {.lex_state = 35},
  [298] = {.lex_state = 33},
  [299] = {.lex_state = 35},
  [300] = {.lex_state = 1, .external_lex_state = 3},
  [301] = {.lex_state = 1, .external_lex_state = 3},
  [302] = {.lex_state = 1, .external_lex_state = 3},
  [303] = {.lex_state = 1, .external_lex_state = 3},
  [304] = {.lex_state = 35},
  [305] = {.lex_state = 35},
  [306] = {.lex_state = 35},
  [307] = {.lex_state = 1, .external_lex_state = 3},
  [308] = {.lex_state = 1, .external_lex_state = 3},
  [309] = {.lex_state = 1, .external_lex_state = 3},
  [310] = {.lex_state = 1, .external_lex_state = 3},
  [311] = {.lex_state = 1, .external_lex_state = 3},
  [312] = {.lex_state = 1, .external_lex_state = 3},
  [313] = {.lex_state = 1, .external_lex_state = 3},
  [314] = {.lex_state = 1, .external_lex_state = 3},
  [315] = {.lex_state = 1, .external_lex_state = 3},
  [316] = {.lex_state = 1, .external_lex_state = 3},
  [317] = {.lex_state = 1, .external_lex_state = 3},
  [318] = {.lex_state = 1, .external_lex_state = 3},
  [319] = {.lex_state = 1, .external_lex_state = 3},
  [320] = {.lex_state = 1, .external_lex_state = 3},
  [321] = {.lex_state = 1, .external_lex_state = 3},
  [322] = {.lex_state = 1, .external_lex_state = 3},
  [323] = {.lex_state = 1, .external_lex_state = 3},
  [324] = {.lex_state = 1, .external_lex_state = 3},
  [325] = {.lex_state = 1, .external_lex_state = 3},
  [326] = {.lex_state = 1, .external_lex_state = 3},
  [327] = {.lex_state = 1, .external_lex_state = 3},
  [328] = {.lex_state = 1, .external_lex_state = 3},
  [329] = {.lex_state = 1, .external_lex_state = 3},
  [330] = {.lex_state = 1, .external_lex_state = 3},
  [331] = {.lex_state = 1, .external_lex_state = 3},
  [332] = {.lex_state = 1, .external_lex_state = 3},
  [333] = {.lex_state = 1, .external_lex_state = 3},
  [334] = {.lex_state = 1, .external_lex_state = 3},
  [335] = {.lex_state = 1, .external_lex_state = 3},
  [336] = {.lex_state = 1, .external_lex_state = 3},
  [337] = {.lex_state = 1, .external_lex_state = 3},
  [338] = {.lex_state = 1, .external_lex_state = 3},
  [339] = {.lex_state = 1, .external_lex_state = 3},
  [340] = {.lex_state = 1, .external_lex_state = 3},
  [341] = {.lex_state = 1, .external_lex_state = 3},
  [342] = {.lex_state = 1, .external_lex_state = 3},
  [343] = {.lex_state = 1, .external_lex_state = 3},
  [344] = {.lex_state = 1, .external_lex_state = 3},
  [345] = {.lex_state = 1, .external_lex_state = 3},
  [346] = {.lex_state = 1, .external_lex_state = 3},
  [347] = {.lex_state = 1, .external_lex_state = 3},
  [348] = {.lex_state = 1, .external_lex_state = 3},
  [349] = {.lex_state = 35},
  [350] = {.lex_state = 35},
  [351] = {.lex_state = 35},
  [352] = {.lex_state = 35},
  [353] = {.lex_state = 35},
  [354] = {.lex_state = 35},
  [355] = {.lex_state = 35},
  [356] = {.lex_state = 35},
  [357] = {.lex_state = 35},
  [358] = {.lex_state = 35},
  [359] = {.lex_state = 1, .external_lex_state = 3},
  [360] = {.lex_state = 1, .external_lex_state = 3},
  [361] = {.lex_state = 1, .external_lex_state = 3},
  [362] = {.lex_state = 1, .external_lex_state = 3},
  [363] = {.lex_state = 1, .external_lex_state = 3},
  [364] = {.lex_state = 1, .external_lex_state = 3},
  [365] = {.lex_state = 1, .external_lex_state = 3},
  [366] = {.lex_state = 1, .external_lex_state = 3},
  [367] = {.lex_state = 1, .external_lex_state = 3},
  [368] = {.lex_state = 1, .external_lex_state = 3},
  [369] = {.lex_state = 1, .external_lex_state = 3},
  [370] = {.lex_state = 1, .external_lex_state = 3},
  [371] = {.lex_state = 1, .external_lex_state = 3},
  [372] = {.lex_state = 1, .external_lex_state = 3},
  [373] = {.lex_state = 35},
  [374] = {.lex_state = 35},
  [375] = {.lex_state = 35},
  [376] = {.lex_state = 35},
  [377] = {.lex_state = 35},
  [378] = {.lex_state = 35},
  [379] = {.lex_state = 35},
  [380] = {.lex_state = 35, .external_lex_state = 2},
  [381] = {.lex_state = 35},
  [382] = {.lex_state = 35},
  [383] = {.lex_state = 35},
  [384] = {.lex_state = 35},
  [385] = {.lex_state = 35},
  [386] = {.lex_state = 35},
  [387] = {.lex_state = 35},
  [388] = {.lex_state = 35},
  [389] = {.lex_state = 35},
  [390] = {.lex_state = 35},
  [391] = {.lex_state = 35},
  [392] = {.lex_state = 35},
  [393] = {.lex_state = 35, .external_lex_state = 2},
  [394] = {.lex_state = 35, .external_lex_state = 2},
  [395] = {.lex_state = 35, .external_lex_state = 2},
  [396] = {.lex_state = 35},
  [397] = {.lex_state = 35},
  [398] = {.lex_state = 35, .external_lex_state = 2},
  [399] = {.lex_state = 35},
  [400] = {.lex_state = 35},
  [401] = {.lex_state = 35},
  [402] = {.lex_state = 35},
  [403] = {.lex_state = 35},
  [404] = {.lex_state = 35},
  [405] = {.lex_state = 35},
  [406] = {.lex_state = 35},
  [407] = {.lex_state = 35},
  [408] = {.lex_state = 35},
  [409] = {.lex_state = 35},
  [410] = {.lex_state = 35},
  [411] = {.lex_state = 35},
  [412] = {.lex_state = 35},
  [413] = {.lex_state = 35},
  [414] = {.lex_state = 35},
  [415] = {.lex_state = 35},
  [416] = {.lex_state = 35},
  [417] = {.lex_state = 35, .external_lex_state = 2},
  [418] = {.lex_state = 35, .external_lex_state = 2},
  [419] = {.lex_state = 35, .external_lex_state = 2},
  [420] = {.lex_state = 35, .external_lex_state = 2},
  [421] = {.lex_state = 35, .external_lex_state = 2},
  [422] = {.lex_state = 35, .external_lex_state = 2},
  [423] = {.lex_state = 35, .external_lex_state = 2},
  [424] = {.lex_state = 35, .external_lex_state = 2},
  [425] = {.lex_state = 35, .external_lex_state = 2},
  [426] = {.lex_state = 35, .external_lex_state = 2},
  [427] = {.lex_state = 35, .external_lex_state = 2},
  [428] = {.lex_state = 35, .external_lex_state = 2},
  [429] = {.lex_state = 35, .external_lex_state = 2},
  [430] = {.lex_state = 35},
  [431] = {.lex_state = 35},
  [432] = {.lex_state = 35},
  [433] = {.lex_state = 35, .external_lex_state = 2},
  [434] = {.lex_state = 33},
  [435] = {.lex_state = 33},
  [436] = {.lex_state = 35, .external_lex_state = 2},
  [437] = {.lex_state = 35, .external_lex_state = 2},
  [438] = {.lex_state = 35, .external_lex_state = 2},
  [439] = {.lex_state = 35, .external_lex_state = 2},
  [440] = {.lex_state = 35, .external_lex_state = 2},
  [441] = {.lex_state = 35, .external_lex_state = 2},
  [442] = {.lex_state = 35, .external_lex_state = 2},
  [443] = {.lex_state = 35, .external_lex_state = 2},
  [444] = {.lex_state = 35, .external_lex_state = 2},
  [445] = {.lex_state = 35, .external_lex_state = 2},
  [446] = {.lex_state = 35, .external_lex_state = 2},
  [447] = {.lex_state = 35, .external_lex_state = 2},
  [448] = {.lex_state = 35, .external_lex_state = 2},
  [449] = {.lex_state = 35, .external_lex_state = 2},
  [450] = {.lex_state = 35, .external_lex_state = 2},
  [451] = {.lex_state = 35, .external_lex_state = 2},
  [452] = {.lex_state = 35, .external_lex_state = 2},
  [453] = {.lex_state = 35, .external_lex_state = 2},
  [454] = {.lex_state = 35, .external_lex_state = 2},
  [455] = {.lex_state = 35, .external_lex_state = 2},
  [456] = {.lex_state = 35, .external_lex_state = 2},
  [457] = {.lex_state = 35, .external_lex_state = 2},
  [458] = {.lex_state = 1, .external_lex_state = 3},
  [459] = {.lex_state = 35},
  [460] = {.lex_state = 1, .external_lex_state = 3},
  [461] = {.lex_state = 35},
  [462] = {.lex_state = 35},
  [463] = {.lex_state = 1, .external_lex_state = 3},
  [464] = {.lex_state = 35},
  [465] = {.lex_state = 35},
  [466] = {.lex_state = 1, .external_lex_state = 3},
  [467] = {.lex_state = 35},
  [468] = {.lex_state = 35},
  [469] = {.lex_state = 1, .external_lex_state = 3},
  [470] = {.lex_state = 35},
  [471] = {.lex_state = 35},
  [472] = {.lex_state = 35},
  [473] = {.lex_state = 35, .external_lex_state = 2},
  [474] = {.lex_state = 35, .external_lex_state = 2},
  [475] = {.lex_state = 35, .external_lex_state = 2},
  [476] = {.lex_state = 35, .external_lex_state = 2},
  [477] = {.lex_state = 35, .external_lex_state = 2},
  [478] = {.lex_state = 35, .external_lex_state = 2},
  [479] = {.lex_state = 35, .external_lex_state = 2},
  [480] = {.lex_state = 35, .external_lex_state = 2},
  [481] = {.lex_state = 35, .external_lex_state = 2},
  [482] = {.lex_state = 35, .external_lex_state = 2},
  [483] = {.lex_state = 35},
  [484] = {.lex_state = 35, .external_lex_state = 2},
  [485] = {.lex_state = 35, .external_lex_state = 2},
  [486] = {.lex_state = 35, .external_lex_state = 2},
  [487] = {.lex_state = 1, .external_lex_state = 3},
  [488] = {.lex_state = 1, .external_lex_state = 3},
  [489] = {.lex_state = 33},
  [490] = {.lex_state = 35},
  [491] = {.lex_state = 35, .external_lex_state = 2},
  [492] = {.lex_state = 35, .external_lex_state = 2},
  [493] = {.lex_state = 1, .external_lex_state = 3},
  [494] = {.lex_state = 1, .external_lex_state = 3},
  [495] = {.lex_state = 1, .external_lex_state = 3},
  [496] = {.lex_state = 1, .external_lex_state = 3},
  [497] = {.lex_state = 1, .external_lex_state = 3},
  [498] = {.lex_state = 35},
  [499] = {.lex_state = 35},
  [500] = {.lex_state = 1, .external_lex_state = 3},
  [501] = {.lex_state = 1, .external_lex_state = 3},
  [502] = {.lex_state = 35, .external_lex_state = 2},
  [503] = {.lex_state = 35, .external_lex_state = 2},
  [504] = {.lex_state = 1, .external_lex_state = 3},
  [505] = {.lex_state = 1, .external_lex_state = 3},
  [506] = {.lex_state = 35},
  [507] = {.lex_state = 35},
  [508] = {.lex_state = 1, .external_lex_state = 3},
  [509] = {.lex_state = 1, .external_lex_state = 3},
  [510] = {.lex_state = 35},
  [511] = {.lex_state = 35},
  [512] = {.lex_state = 35},
  [513] = {.lex_state = 1, .external_lex_state = 3},
  [514] = {.lex_state = 1, .external_lex_state = 3},
  [515] = {.lex_state = 35},
  [516] = {.lex_state = 35, .external_lex_state = 2},
  [517] = {.lex_state = 35},
  [518] = {.lex_state = 35, .external_lex_state = 2},
  [519] = {.lex_state = 1, .external_lex_state = 3},
  [520] = {.lex_state = 35, .external_lex_state = 2},
  [521] = {.lex_state = 1, .external_lex_state = 3},
  [522] = {.lex_state = 35},
  [523] = {.lex_state = 35},
  [524] = {.lex_state = 1, .external_lex_state = 3},
  [525] = {.lex_state = 1, .external_lex_state = 3},
  [526] = {.lex_state = 35, .external_lex_state = 2},
  [527] = {.lex_state = 35, .external_lex_state = 2},
  [528] = {.lex_state = 35, .external_lex_state = 2},
  [529] = {.lex_state = 35, .external_lex_state = 2},
  [530] = {.lex_state = 35, .external_lex_state = 2},
  [531] = {.lex_state = 1, .external_lex_state = 3},
  [532] = {.lex_state = 35, .external_lex_state = 2},
  [533] = {.lex_state = 1, .external_lex_state = 3},
  [534] = {.lex_state = 1, .external_lex_state = 3},
  [535] = {.lex_state = 35, .external_lex_state = 2},
  [536] = {.lex_state = 35, .external_lex_state = 2},
  [537] = {.lex_state = 35, .external_lex_state = 2},
  [538] = {.lex_state = 35},
  [539] = {.lex_state = 35, .external_lex_state = 2},
  [540] = {.lex_state = 1, .external_lex_state = 3},
  [541] = {.lex_state = 1, .external_lex_state = 3},
  [542] = {.lex_state = 35, .external_lex_state = 2},
  [543] = {.lex_state = 35, .external_lex_state = 2},
  [544] = {.lex_state = 35, .external_lex_state = 2},
  [545] = {.lex_state = 35, .external_lex_state = 2},
  [546] = {.lex_state = 35, .external_lex_state = 2},
  [547] = {.lex_state = 35, .external_lex_state = 2},
  [548] = {.lex_state = 1, .external_lex_state = 3},
  [549] = {.lex_state = 1, .external_lex_state = 3},
  [550] = {.lex_state = 35, .external_lex_state = 2},
  [551] = {.lex_state = 35},
  [552] = {.lex_state = 35, .external_lex_state = 2},
  [553] = {.lex_state = 35, .external_lex_state = 2},
  [554] = {.lex_state = 35, .external_lex_state = 2},
  [555] = {.lex_state = 1, .external_lex_state = 3},
  [556] = {.lex_state = 1, .external_lex_state = 3},
  [557] = {.lex_state = 1, .external_lex_state = 3},
  [558] = {.lex_state = 35, .external_lex_state = 2},
  [559] = {.lex_state = 1, .external_lex_state = 3},
  [560] = {.lex_state = 1, .external_lex_state = 3},
  [561] = {.lex_state = 35, .external_lex_state = 2},
  [562] = {.lex_state = 35},
  [563] = {.lex_state = 1, .external_lex_state = 3},
  [564] = {.lex_state = 35, .external_lex_state = 2},
  [565] = {.lex_state = 35},
  [566] = {.lex_state = 35},
  [567] = {.lex_state = 35, .external_lex_state = 2},
  [568] = {.lex_state = 35, .external_lex_state = 2},
  [569] = {.lex_state = 35, .external_lex_state = 2},
  [570] = {.lex_state = 1, .external_lex_state = 3},
  [571] = {.lex_state = 1, .external_lex_state = 3},
  [572] = {.lex_state = 35, .external_lex_state = 2},
  [573] = {.lex_state = 35, .external_lex_state = 2},
  [574] = {.lex_state = 35, .external_lex_state = 2},
  [575] = {.lex_state = 1, .external_lex_state = 3},
  [576] = {.lex_state = 35},
  [577] = {.lex_state = 35, .external_lex_state = 2},
  [578] = {.lex_state = 35, .external_lex_state = 2},
  [579] = {.lex_state = 35, .external_lex_state = 2},
  [580] = {.lex_state = 35, .external_lex_state = 2},
  [581] = {.lex_state = 1, .external_lex_state = 3},
  [582] = {.lex_state = 35, .external_lex_state = 2},
  [583] = {.lex_state = 35, .external_lex_state = 2},
  [584] = {.lex_state = 1, .external_lex_state = 3},
  [585] = {.lex_state = 35, .external_lex_state = 2},
  [586] = {.lex_state = 35, .external_lex_state = 2},
  [587] = {.lex_state = 1, .external_lex_state = 3},
  [588] = {.lex_state = 1, .external_lex_state = 3},
  [589] = {.lex_state = 35},
  [590] = {.lex_state = 1, .external_lex_state = 3},
  [591] = {.lex_state = 1, .external_lex_state = 3},
  [592] = {.lex_state = 35, .external_lex_state = 2},
  [593] = {.lex_state = 35, .external_lex_state = 2},
  [594] = {.lex_state = 1, .external_lex_state = 3},
  [595] = {.lex_state = 1, .external_lex_state = 3},
  [596] = {.lex_state = 1, .external_lex_state = 3},
  [597] = {.lex_state = 35},
  [598] = {.lex_state = 1, .external_lex_state = 3},
  [599] = {.lex_state = 35, .external_lex_state = 2},
  [600] = {.lex_state = 35, .external_lex_state = 2},
  [601] = {.lex_state = 35},
  [602] = {.lex_state = 35},
  [603] = {.lex_state = 35},
  [604] = {.lex_state = 35},
  [605] = {.lex_state = 35, .external_lex_state = 2},
  [606] = {.lex_state = 35},
  [607] = {.lex_state = 35, .external_lex_state = 2},
  [608] = {.lex_state = 35, .external_lex_state = 2},
  [609] = {.lex_state = 35, .external_lex_state = 2},
  [610] = {.lex_state = 35, .external_lex_state = 2},
  [611] = {.lex_state = 1, .external_lex_state = 3},
  [612] = {.lex_state = 1, .external_lex_state = 3},
  [613] = {.lex_state = 35},
  [614] = {.lex_state = 35},
  [615] = {.lex_state = 35},
  [616] = {.lex_state = 35},
  [617] = {.lex_state = 35},
  [618] = {.lex_state = 35, .external_lex_state = 2},
  [619] = {.lex_state = 35, .external_lex_state = 2},
  [620] = {.lex_state = 35, .external_lex_state = 2},
  [621] = {.lex_state = 35, .external_lex_state = 2},
  [622] = {.lex_state = 35},
  [623] = {.lex_state = 35, .external_lex_state = 2},
  [624] = {.lex_state = 35, .external_lex_state = 2},
  [625] = {.lex_state = 35, .external_lex_state = 2},
  [626] = {.lex_state = 35, .external_lex_state = 2},
  [627] = {.lex_state = 1, .external_lex_state = 3},
  [628] = {.lex_state = 1, .external_lex_state = 3},
  [629] = {.lex_state = 1, .external_lex_state = 3},
  [630] = {.lex_state = 1, .external_lex_state = 3},
  [631] = {.lex_state = 1, .external_lex_state = 3},
  [632] = {.lex_state = 1, .external_lex_state = 3},
  [633] = {.lex_state = 1, .external_lex_state = 3},
  [634] = {.lex_state = 35, .external_lex_state = 2},
  [635] = {.lex_state = 1, .external_lex_state = 3},
  [636] = {.lex_state = 1, .external_lex_state = 3},
  [637] = {.lex_state = 1, .external_lex_state = 3},
  [638] = {.lex_state = 1, .external_lex_state = 3},
  [639] = {.lex_state = 1, .external_lex_state = 3},
  [640] = {.lex_state = 1, .external_lex_state = 3},
  [641] = {.lex_state = 1, .external_lex_state = 3},
  [642] = {.lex_state = 1, .external_lex_state = 3},
  [643] = {.lex_state = 1, .external_lex_state = 3},
  [644] = {.lex_state = 1, .external_lex_state = 3},
  [645] = {.lex_state = 1, .external_lex_state = 3},
  [646] = {.lex_state = 1, .external_lex_state = 3},
  [647] = {.lex_state = 1, .external_lex_state = 3},
  [648] = {.lex_state = 1, .external_lex_state = 3},
  [649] = {.lex_state = 1, .external_lex_state = 3},
  [650] = {.lex_state = 1, .external_lex_state = 3},
  [651] = {.lex_state = 1, .external_lex_state = 3},
  [652] = {.lex_state = 1, .external_lex_state = 3},
  [653] = {.lex_state = 1, .external_lex_state = 3},
  [654] = {.lex_state = 1, .external_lex_state = 3},
  [655] = {.lex_state = 1, .external_lex_state = 3},
  [656] = {.lex_state = 1, .external_lex_state = 3},
  [657] = {.lex_state = 1, .external_lex_state = 3},
  [658] = {.lex_state = 1, .external_lex_state = 3},
  [659] = {.lex_state = 1, .external_lex_state = 3},
  [660] = {.lex_state = 1, .external_lex_state = 3},
  [661] = {.lex_state = 1, .external_lex_state = 3},
  [662] = {.lex_state = 1, .external_lex_state = 3},
  [663] = {.lex_state = 1, .external_lex_state = 3},
  [664] = {.lex_state = 1, .external_lex_state = 3},
  [665] = {.lex_state = 1, .external_lex_state = 3},
  [666] = {.lex_state = 1, .external_lex_state = 3},
  [667] = {.lex_state = 1, .external_lex_state = 3},
  [668] = {.lex_state = 1, .external_lex_state = 3},
  [669] = {.lex_state = 1, .external_lex_state = 3},
  [670] = {.lex_state = 1, .external_lex_state = 3},
  [671] = {.lex_state = 1, .external_lex_state = 3},
  [672] = {.lex_state = 1, .external_lex_state = 3},
  [673] = {.lex_state = 1, .external_lex_state = 3},
  [674] = {.lex_state = 1, .external_lex_state = 3},
  [675] = {.lex_state = 1, .external_lex_state = 3},
  [676] = {.lex_state = 1, .external_lex_state = 3},
  [677] = {.lex_state = 35, .external_lex_state = 2},
  [678] = {.lex_state = 1, .external_lex_state = 3},
  [679] = {.lex_state = 1, .external_lex_state = 3},
  [680] = {.lex_state = 1, .external_lex_state = 3},
  [681] = {.lex_state = 1, .external_lex_state = 3},
  [682] = {.lex_state = 1, .external_lex_state = 3},
  [683] = {.lex_state = 1, .external_lex_state = 3},
  [684] = {.lex_state = 1, .external_lex_state = 3},
  [685] = {.lex_state = 1, .external_lex_state = 3},
  [686] = {.lex_state = 1, .external_lex_state = 3},
  [687] = {.lex_state = 1, .external_lex_state = 3},
  [688] = {.lex_state = 1, .external_lex_state = 3},
  [689] = {.lex_state = 1, .external_lex_state = 3},
  [690] = {.lex_state = 1, .external_lex_state = 3},
  [691] = {.lex_state = 1, .external_lex_state = 3},
  [692] = {.lex_state = 1, .external_lex_state = 3},
  [693] = {.lex_state = 1, .external_lex_state = 3},
  [694] = {.lex_state = 1, .external_lex_state = 3},
  [695] = {.lex_state = 1, .external_lex_state = 3},
  [696] = {.lex_state = 1, .external_lex_state = 3},
  [697] = {.lex_state = 1, .external_lex_state = 3},
  [698] = {.lex_state = 1, .external_lex_state = 3},
  [699] = {.lex_state = 1, .external_lex_state = 3},
  [700] = {.lex_state = 1, .external_lex_state = 3},
  [701] = {.lex_state = 1, .external_lex_state = 3},
  [702] = {.lex_state = 1, .external_lex_state = 3},
  [703] = {.lex_state = 1, .external_lex_state = 3},
  [704] = {.lex_state = 1, .external_lex_state = 3},
  [705] = {.lex_state = 1, .external_lex_state = 3},
  [706] = {.lex_state = 1, .external_lex_state = 3},
  [707] = {.lex_state = 1, .external_lex_state = 3},
  [708] = {.lex_state = 1, .external_lex_state = 3},
  [709] = {.lex_state = 1, .external_lex_state = 3},
  [710] = {.lex_state = 35, .external_lex_state = 2},
  [711] = {.lex_state = 35, .external_lex_state = 2},
  [712] = {.lex_state = 35, .external_lex_state = 2},
  [713] = {.lex_state = 35, .external_lex_state = 2},
  [714] = {.lex_state = 35},
  [715] = {.lex_state = 35, .external_lex_state = 2},
  [716] = {.lex_state = 35, .external_lex_state = 2},
  [717] = {.lex_state = 35, .external_lex_state = 2},
  [718] = {.lex_state = 35, .external_lex_state = 2},
  [719] = {.lex_state = 1, .external_lex_state = 3},
  [720] = {.lex_state = 1, .external_lex_state = 3},
  [721] = {.lex_state = 35, .external_lex_state = 2},
  [722] = {.lex_state = 35, .external_lex_state = 2},
  [723] = {.lex_state = 35, .external_lex_state = 2},
  [724] = {.lex_state = 35, .external_lex_state = 2},
  [725] = {.lex_state = 35, .external_lex_state = 2},
  [726] = {.lex_state = 35, .external_lex_state = 2},
  [727] = {.lex_state = 35, .external_lex_state = 2},
  [728] = {.lex_state = 35, .external_lex_state = 2},
  [729] = {.lex_state = 35, .external_lex_state = 2},
  [730] = {.lex_state = 35, .external_lex_state = 2},
  [731] = {.lex_state = 35, .external_lex_state = 2},
  [732] = {.lex_state = 35, .external_lex_state = 2},
  [733] = {.lex_state = 35},
  [734] = {.lex_state = 1, .external_lex_state = 3},
  [735] = {.lex_state = 1, .external_lex_state = 3},
  [736] = {.lex_state = 35},
  [737] = {.lex_state = 35},
  [738] = {.lex_state = 35, .external_lex_state = 2},
  [739] = {.lex_state = 35, .external_lex_state = 2},
  [740] = {.lex_state = 35, .external_lex_state = 2},
  [741] = {.lex_state = 35, .external_lex_state = 2},
  [742] = {.lex_state = 35, .external_lex_state = 2},
  [743] = {.lex_state = 35, .external_lex_state = 2},
  [744] = {.lex_state = 35, .external_lex_state = 2},
  [745] = {.lex_state = 35, .external_lex_state = 2},
  [746] = {.lex_state = 35, .external_lex_state = 2},
  [747] = {.lex_state = 35, .external_lex_state = 2},
  [748] = {.lex_state = 35, .external_lex_state = 2},
  [749] = {.lex_state = 35, .external_lex_state = 2},
  [750] = {.lex_state = 35},
  [751] = {.lex_state = 35, .external_lex_state = 2},
  [752] = {.lex_state = 35},
  [753] = {.lex_state = 35, .external_lex_state = 2},
  [754] = {.lex_state = 1, .external_lex_state = 3},
  [755] = {.lex_state = 35, .external_lex_state = 2},
  [756] = {.lex_state = 35},
  [757] = {.lex_state = 35, .external_lex_state = 2},
  [758] = {.lex_state = 35, .external_lex_state = 2},
  [759] = {.lex_state = 35, .external_lex_state = 2},
  [760] = {.lex_state = 35, .external_lex_state = 2},
  [761] = {.lex_state = 35, .external_lex_state = 2},
  [762] = {.lex_state = 35, .external_lex_state = 2},
  [763] = {.lex_state = 35, .external_lex_state = 2},
  [764] = {.lex_state = 35, .external_lex_state = 2},
  [765] = {.lex_state = 35, .external_lex_state = 2},
  [766] = {.lex_state = 35, .external_lex_state = 2},
  [767] = {.lex_state = 35, .external_lex_state = 2},
  [768] = {.lex_state = 35},
  [769] = {.lex_state = 35},
  [770] = {.lex_state = 35, .external_lex_state = 2},
  [771] = {.lex_state = 35, .external_lex_state = 2},
  [772] = {.lex_state = 35, .external_lex_state = 2},
  [773] = {.lex_state = 35, .external_lex_state = 2},
  [774] = {.lex_state = 35, .external_lex_state = 2},
  [775] = {.lex_state = 35, .external_lex_state = 2},
  [776] = {.lex_state = 35},
  [777] = {.lex_state = 35, .external_lex_state = 2},
  [778] = {.lex_state = 35, .external_lex_state = 2},
  [779] = {.lex_state = 35, .external_lex_state = 2},
  [780] = {.lex_state = 35, .external_lex_state = 2},
  [781] = {.lex_state = 35, .external_lex_state = 2},
  [782] = {.lex_state = 35, .external_lex_state = 2},
  [783] = {.lex_state = 35},
  [784] = {.lex_state = 35},
  [785] = {.lex_state = 35},
  [786] = {.lex_state = 35, .external_lex_state = 2},
  [787] = {.lex_state = 35},
  [788] = {.lex_state = 35},
  [789] = {.lex_state = 35},
  [790] = {.lex_state = 1, .external_lex_state = 3},
  [791] = {.lex_state = 35, .external_lex_state = 2},
  [792] = {.lex_state = 35, .external_lex_state = 2},
  [793] = {.lex_state = 35},
  [794] = {.lex_state = 1, .external_lex_state = 3},
  [795] = {.lex_state = 35, .external_lex_state = 2},
  [796] = {.lex_state = 1, .external_lex_state = 3},
  [797] = {.lex_state = 35, .external_lex_state = 2},
  [798] = {.lex_state = 35, .external_lex_state = 2},
  [799] = {.lex_state = 35, .external_lex_state = 2},
  [800] = {.lex_state = 35, .external_lex_state = 2},
  [801] = {.lex_state = 35, .external_lex_state = 2},
  [802] = {.lex_state = 1, .external_lex_state = 3},
  [803] = {.lex_state = 1, .external_lex_state = 3},
  [804] = {.lex_state = 1, .external_lex_state = 3},
  [805] = {.lex_state = 35},
  [806] = {.lex_state = 1, .external_lex_state = 3},
  [807] = {.lex_state = 1, .external_lex_state = 3},
  [808] = {.lex_state = 1, .external_lex_state = 3},
  [809] = {.lex_state = 1, .external_lex_state = 3},
  [810] = {.lex_state = 1, .external_lex_state = 3},
  [811] = {.lex_state = 1, .external_lex_state = 3},
  [812] = {.lex_state = 35, .external_lex_state = 2},
  [813] = {.lex_state = 1, .external_lex_state = 3},
  [814] = {.lex_state = 1, .external_lex_state = 3},
  [815] = {.lex_state = 1, .external_lex_state = 3},
  [816] = {.lex_state = 35, .external_lex_state = 2},
  [817] = {.lex_state = 1, .external_lex_state = 3},
  [818] = {.lex_state = 1, .external_lex_state = 3},
  [819] = {.lex_state = 1, .external_lex_state = 3},
  [820] = {.lex_state = 35},
  [821] = {.lex_state = 35, .external_lex_state = 2},
  [822] = {.lex_state = 35},
  [823] = {.lex_state = 35},
  [824] = {.lex_state = 35, .external_lex_state = 2},
  [825] = {.lex_state = 35},
  [826] = {.lex_state = 35},
  [827] = {.lex_state = 35},
  [828] = {.lex_state = 35},
  [829] = {.lex_state = 1, .external_lex_state = 3},
  [830] = {.lex_state = 35},
  [831] = {.lex_state = 35},
  [832] = {.lex_state = 1, .external_lex_state = 3},
  [833] = {.lex_state = 35},
  [834] = {.lex_state = 35},
  [835] = {.lex_state = 35},
  [836] = {.lex_state = 35},
  [837] = {.lex_state = 35},
  [838] = {.lex_state = 35},
  [839] = {.lex_state = 35},
  [840] = {.lex_state = 35},
  [841] = {.lex_state = 35},
  [842] = {.lex_state = 35},
  [843] = {.lex_state = 1, .external_lex_state = 3},
  [844] = {.lex_state = 35},
  [845] = {.lex_state = 35},
  [846] = {.lex_state = 1, .external_lex_state = 3},
  [847] = {.lex_state = 35, .external_lex_state = 2},
  [848] = {.lex_state = 35, .external_lex_state = 2},
  [849] = {.lex_state = 35, .external_lex_state = 2},
  [850] = {.lex_state = 35, .external_lex_state = 2},
  [851] = {.lex_state = 35, .external_lex_state = 2},
  [852] = {.lex_state = 35, .external_lex_state = 2},
  [853] = {.lex_state = 35},
  [854] = {.lex_state = 35},
  [855] = {.lex_state = 35, .external_lex_state = 2},
  [856] = {.lex_state = 35, .external_lex_state = 2},
  [857] = {.lex_state = 35},
  [858] = {.lex_state = 35, .external_lex_state = 2},
  [859] = {.lex_state = 35, .external_lex_state = 2},
  [860] = {.lex_state = 35, .external_lex_state = 2},
  [861] = {.lex_state = 1, .external_lex_state = 3},
  [862] = {.lex_state = 35, .external_lex_state = 2},
  [863] = {.lex_state = 35, .external_lex_state = 2},
  [864] = {.lex_state = 35, .external_lex_state = 2},
  [865] = {.lex_state = 35, .external_lex_state = 2},
  [866] = {.lex_state = 35, .external_lex_state = 2},
  [867] = {.lex_state = 35},
  [868] = {.lex_state = 35, .external_lex_state = 2},
  [869] = {.lex_state = 35, .external_lex_state = 2},
  [870] = {.lex_state = 35},
  [871] = {.lex_state = 35},
  [872] = {.lex_state = 35},
  [873] = {.lex_state = 35},
  [874] = {.lex_state = 35},
  [875] = {.lex_state = 35},
  [876] = {.lex_state = 35},
  [877] = {.lex_state = 1, .external_lex_state = 3},
  [878] = {.lex_state = 35},
  [879] = {.lex_state = 35},
  [880] = {.lex_state = 35},
  [881] = {.lex_state = 35},
  [882] = {.lex_state = 35},
  [883] = {.lex_state = 35},
  [884] = {.lex_state = 35},
  [885] = {.lex_state = 35},
  [886] = {.lex_state = 35},
  [887] = {.lex_state = 35},
  [888] = {.lex_state = 35},
  [889] = {.lex_state = 35},
  [890] = {.lex_state = 35, .external_lex_state = 2},
  [891] = {.lex_state = 35},
  [892] = {.lex_state = 35},
  [893] = {.lex_state = 35, .external_lex_state = 2},
  [894] = {.lex_state = 35, .external_lex_state = 2},
  [895] = {.lex_state = 35, .external_lex_state = 2},
  [896] = {.lex_state = 35},
  [897] = {.lex_state = 35},
  [898] = {.lex_state = 35, .external_lex_state = 2},
  [899] = {.lex_state = 35},
  [900] = {.lex_state = 35, .external_lex_state = 2},
  [901] = {.lex_state = 35, .external_lex_state = 2},
  [902] = {.lex_state = 35, .external_lex_state = 2},
  [903] = {.lex_state = 35, .external_lex_state = 2},
  [904] = {.lex_state = 35},
  [905] = {.lex_state = 35, .external_lex_state = 2},
  [906] = {.lex_state = 35, .external_lex_state = 2},
  [907] = {.lex_state = 35, .external_lex_state = 2},
  [908] = {.lex_state = 35},
  [909] = {.lex_state = 35},
  [910] = {.lex_state = 35},
  [911] = {.lex_state = 35},
  [912] = {.lex_state = 35},
  [913] = {.lex_state = 35, .external_lex_state = 2},
  [914] = {.lex_state = 35, .external_lex_state = 2},
  [915] = {.lex_state = 35, .external_lex_state = 2},
  [916] = {.lex_state = 35},
  [917] = {.lex_state = 35},
  [918] = {.lex_state = 35},
  [919] = {.lex_state = 35},
  [920] = {.lex_state = 35},
  [921] = {.lex_state = 35},
  [922] = {.lex_state = 35},
  [923] = {.lex_state = 1, .external_lex_state = 3},
  [924] = {.lex_state = 35, .external_lex_state = 2},
  [925] = {.lex_state = 35, .external_lex_state = 2},
  [926] = {.lex_state = 1, .external_lex_state = 3},
  [927] = {.lex_state = 1, .external_lex_state = 3},
  [928] = {.lex_state = 1, .external_lex_state = 3},
  [929] = {.lex_state = 1, .external_lex_state = 3},
  [930] = {.lex_state = 1, .external_lex_state = 3},
  [931] = {.lex_state = 1, .external_lex_state = 3},
  [932] = {.lex_state = 1, .external_lex_state = 3},
  [933] = {.lex_state = 33, .external_lex_state = 2},
  [934] = {.lex_state = 1, .external_lex_state = 3},
  [935] = {.lex_state = 1, .external_lex_state = 3},
  [936] = {.lex_state = 1, .external_lex_state = 3},
  [937] = {.lex_state = 1, .external_lex_state = 3},
  [938] = {.lex_state = 1, .external_lex_state = 3},
  [939] = {.lex_state = 1, .external_lex_state = 3},
  [940] = {.lex_state = 1, .external_lex_state = 3},
  [941] = {.lex_state = 1, .external_lex_state = 3},
  [942] = {.lex_state = 1, .external_lex_state = 3},
  [943] = {.lex_state = 1, .external_lex_state = 3},
  [944] = {.lex_state = 1, .external_lex_state = 3},
  [945] = {.lex_state = 1, .external_lex_state = 3},
  [946] = {.lex_state = 1, .external_lex_state = 3},
  [947] = {.lex_state = 1, .external_lex_state = 3},
  [948] = {.lex_state = 1, .external_lex_state = 3},
  [949] = {.lex_state = 1, .external_lex_state = 3},
  [950] = {.lex_state = 1, .external_lex_state = 3},
  [951] = {.lex_state = 1, .external_lex_state = 3},
  [952] = {.lex_state = 1, .external_lex_state = 3},
  [953] = {.lex_state = 1, .external_lex_state = 3},
  [954] = {.lex_state = 1, .external_lex_state = 3},
  [955] = {.lex_state = 1, .external_lex_state = 3},
  [956] = {.lex_state = 1, .external_lex_state = 3},
  [957] = {.lex_state = 1, .external_lex_state = 3},
  [958] = {.lex_state = 1, .external_lex_state = 3},
  [959] = {.lex_state = 1, .external_lex_state = 3},
  [960] = {.lex_state = 1, .external_lex_state = 3},
  [961] = {.lex_state = 1, .external_lex_state = 3},
  [962] = {.lex_state = 1, .external_lex_state = 3},
  [963] = {.lex_state = 1, .external_lex_state = 3},
  [964] = {.lex_state = 35},
  [965] = {.lex_state = 35},
  [966] = {.lex_state = 35},
  [967] = {.lex_state = 1, .external_lex_state = 3},
  [968] = {.lex_state = 35},
  [969] = {.lex_state = 35},
  [970] = {.lex_state = 35},
  [971] = {.lex_state = 1, .external_lex_state = 3},
  [972] = {.lex_state = 35},
  [973] = {.lex_state = 1, .external_lex_state = 3},
  [974] = {.lex_state = 35},
  [975] = {.lex_state = 35},
  [976] = {.lex_state = 35},
  [977] = {.lex_state = 1, .external_lex_state = 3},
  [978] = {.lex_state = 35},
  [979] = {.lex_state = 35},
  [980] = {.lex_state = 35},
  [981] = {.lex_state = 1, .external_lex_state = 3},
  [982] = {.lex_state = 1, .external_lex_state = 3},
  [983] = {.lex_state = 1, .external_lex_state = 3},
  [984] = {.lex_state = 1, .external_lex_state = 3},
  [985] = {.lex_state = 1, .external_lex_state = 3},
  [986] = {.lex_state = 1, .external_lex_state = 3},
  [987] = {.lex_state = 1, .external_lex_state = 3},
  [988] = {.lex_state = 1, .external_lex_state = 3},
  [989] = {.lex_state = 1, .external_lex_state = 3},
  [990] = {.lex_state = 1, .external_lex_state = 3},
  [991] = {.lex_state = 1, .external_lex_state = 3},
  [992] = {.lex_state = 1, .external_lex_state = 3},
  [993] = {.lex_state = 1, .external_lex_state = 3},
  [994] = {.lex_state = 1, .external_lex_state = 3},
  [995] = {.lex_state = 1, .external_lex_state = 3},
  [996] = {.lex_state = 1, .external_lex_state = 3},
  [997] = {.lex_state = 1, .external_lex_state = 3},
  [998] = {.lex_state = 1, .external_lex_state = 3},
  [999] = {.lex_state = 1, .external_lex_state = 3},
  [1000] = {.lex_state = 1, .external_lex_state = 3},
  [1001] = {.lex_state = 1, .external_lex_state = 3},
  [1002] = {.lex_state = 35, .external_lex_state = 2},
  [1003] = {.lex_state = 35, .external_lex_state = 2},
  [1004] = {.lex_state = 35},
  [1005] = {.lex_state = 1, .external_lex_state = 3},
  [1006] = {.lex_state = 33, .external_lex_state = 2},
  [1007] = {.lex_state = 1, .external_lex_state = 3},
  [1008] = {.lex_state = 1, .external_lex_state = 3},
  [1009] = {.lex_state = 1, .external_lex_state = 3},
  [1010] = {.lex_state = 1, .external_lex_state = 3},
  [1011] = {.lex_state = 1, .external_lex_state = 3},
  [1012] = {.lex_state = 1, .external_lex_state = 3},
  [1013] = {.lex_state = 1, .external_lex_state = 3},
  [1014] = {.lex_state = 1, .external_lex_state = 3},
  [1015] = {.lex_state = 35, .external_lex_state = 2},
  [1016] = {.lex_state = 1, .external_lex_state = 3},
  [1017] = {.lex_state = 1, .external_lex_state = 3},
  [1018] = {.lex_state = 1, .external_lex_state = 3},
  [1019] = {.lex_state = 1, .external_lex_state = 3},
  [1020] = {.lex_state = 1, .external_lex_state = 3},
  [1021] = {.lex_state = 1, .external_lex_state = 3},
  [1022] = {.lex_state = 1, .external_lex_state = 3},
  [1023] = {.lex_state = 1, .external_lex_state = 3},
  [1024] = {.lex_state = 1, .external_lex_state = 3},
  [1025] = {.lex_state = 1, .external_lex_state = 3},
  [1026] = {.lex_state = 1, .external_lex_state = 3},
  [1027] = {.lex_state = 1, .external_lex_state = 3},
  [1028] = {.lex_state = 1, .external_lex_state = 3},
  [1029] = {.lex_state = 1, .external_lex_state = 3},
  [1030] = {.lex_state = 1, .external_lex_state = 3},
  [1031] = {.lex_state = 1, .external_lex_state = 3},
  [1032] = {.lex_state = 1, .external_lex_state = 3},
  [1033] = {.lex_state = 1, .external_lex_state = 3},
  [1034] = {.lex_state = 1, .external_lex_state = 3},
  [1035] = {.lex_state = 35},
  [1036] = {.lex_state = 1, .external_lex_state = 3},
  [1037] = {.lex_state = 1, .external_lex_state = 3},
  [1038] = {.lex_state = 35, .external_lex_state = 2},
  [1039] = {.lex_state = 1, .external_lex_state = 3},
  [1040] = {.lex_state = 1, .external_lex_state = 3},
  [1041] = {.lex_state = 1, .external_lex_state = 3},
  [1042] = {.lex_state = 1, .external_lex_state = 3},
  [1043] = {.lex_state = 1, .external_lex_state = 3},
  [1044] = {.lex_state = 1, .external_lex_state = 3},
  [1045] = {.lex_state = 1, .external_lex_state = 3},
  [1046] = {.lex_state = 1, .external_lex_state = 3},
  [1047] = {.lex_state = 1, .external_lex_state = 3},
  [1048] = {.lex_state = 1, .external_lex_state = 3},
  [1049] = {.lex_state = 1, .external_lex_state = 3},
  [1050] = {.lex_state = 1, .external_lex_state = 3},
  [1051] = {.lex_state = 1, .external_lex_state = 3},
  [1052] = {.lex_state = 1, .external_lex_state = 3},
  [1053] = {.lex_state = 1, .external_lex_state = 3},
  [1054] = {.lex_state = 1, .external_lex_state = 3},
  [1055] = {.lex_state = 1, .external_lex_state = 3},
  [1056] = {.lex_state = 35},
  [1057] = {.lex_state = 35},
  [1058] = {.lex_state = 1, .external_lex_state = 3},
  [1059] = {.lex_state = 35},
  [1060] = {.lex_state = 35},
  [1061] = {.lex_state = 35},
  [1062] = {.lex_state = 1, .external_lex_state = 3},
  [1063] = {.lex_state = 1, .external_lex_state = 3},
  [1064] = {.lex_state = 35},
  [1065] = {.lex_state = 35},
  [1066] = {.lex_state = 35},
  [1067] = {.lex_state = 35},
  [1068] = {.lex_state = 35},
  [1069] = {.lex_state = 1, .external_lex_state = 3},
  [1070] = {.lex_state = 35},
  [1071] = {.lex_state = 35},
  [1072] = {.lex_state = 35},
  [1073] = {.lex_state = 35},
  [1074] = {.lex_state = 35},
  [1075] = {.lex_state = 35},
  [1076] = {.lex_state = 35},
  [1077] = {.lex_state = 35},
  [1078] = {.lex_state = 35},
  [1079] = {.lex_state = 1, .external_lex_state = 3},
  [1080] = {.lex_state = 1, .external_lex_state = 3},
  [1081] = {.lex_state = 1, .external_lex_state = 3},
  [1082] = {.lex_state = 1, .external_lex_state = 3},
  [1083] = {.lex_state = 1, .external_lex_state = 3},
  [1084] = {.lex_state = 1, .external_lex_state = 3},
  [1085] = {.lex_state = 1, .external_lex_state = 3},
  [1086] = {.lex_state = 1, .external_lex_state = 3},
  [1087] = {.lex_state = 1, .external_lex_state = 3},
  [1088] = {.lex_state = 1, .external_lex_state = 3},
  [1089] = {.lex_state = 1, .external_lex_state = 3},
  [1090] = {.lex_state = 1, .external_lex_state = 3},
  [1091] = {.lex_state = 1, .external_lex_state = 3},
  [1092] = {.lex_state = 1, .external_lex_state = 3},
  [1093] = {.lex_state = 1, .external_lex_state = 3},
  [1094] = {.lex_state = 1, .external_lex_state = 3},
  [1095] = {.lex_state = 1, .external_lex_state = 3},
  [1096] = {.lex_state = 1, .external_lex_state = 3},
  [1097] = {.lex_state = 1, .external_lex_state = 3},
  [1098] = {.lex_state = 1, .external_lex_state = 3},
  [1099] = {.lex_state = 1, .external_lex_state = 3},
  [1100] = {.lex_state = 1, .external_lex_state = 3},
  [1101] = {.lex_state = 1, .external_lex_state = 3},
  [1102] = {.lex_state = 1, .external_lex_state = 3},
  [1103] = {.lex_state = 1, .external_lex_state = 3},
  [1104] = {.lex_state = 1, .external_lex_state = 3},
  [1105] = {.lex_state = 1, .external_lex_state = 3},
  [1106] = {.lex_state = 1, .external_lex_state = 3},
  [1107] = {.lex_state = 1, .external_lex_state = 3},
  [1108] = {.lex_state = 1, .external_lex_state = 3},
  [1109] = {.lex_state = 1, .external_lex_state = 3},
  [1110] = {.lex_state = 1, .external_lex_state = 3},
  [1111] = {.lex_state = 1, .external_lex_state = 3},
  [1112] = {.lex_state = 1, .external_lex_state = 3},
  [1113] = {.lex_state = 1, .external_lex_state = 3},
  [1114] = {.lex_state = 1, .external_lex_state = 3},
  [1115] = {.lex_state = 1, .external_lex_state = 3},
  [1116] = {.lex_state = 1, .external_lex_state = 3},
  [1117] = {.lex_state = 1, .external_lex_state = 3},
  [1118] = {.lex_state = 35},
  [1119] = {.lex_state = 35},
  [1120] = {.lex_state = 35},
  [1121] = {.lex_state = 35},
  [1122] = {.lex_state = 35},
  [1123] = {.lex_state = 35},
  [1124] = {.lex_state = 35},
  [1125] = {.lex_state = 35},
  [1126] = {.lex_state = 35},
  [1127] = {.lex_state = 35},
  [1128] = {.lex_state = 35},
  [1129] = {.lex_state = 35},
  [1130] = {.lex_state = 35},
  [1131] = {.lex_state = 1, .external_lex_state = 3},
  [1132] = {.lex_state = 35},
  [1133] = {.lex_state = 1, .external_lex_state = 3},
  [1134] = {.lex_state = 33},
  [1135] = {.lex_state = 1, .external_lex_state = 3},
  [1136] = {.lex_state = 1, .external_lex_state = 3},
  [1137] = {.lex_state = 1, .external_lex_state = 3},
  [1138] = {.lex_state = 35},
  [1139] = {.lex_state = 35},
  [1140] = {.lex_state = 35},
  [1141] = {.lex_state = 35},
  [1142] = {.lex_state = 1, .external_lex_state = 3},
  [1143] = {.lex_state = 1, .external_lex_state = 3},
  [1144] = {.lex_state = 1, .external_lex_state = 3},
  [1145] = {.lex_state = 1, .external_lex_state = 3},
  [1146] = {.lex_state = 36},
  [1147] = {.lex_state = 1, .external_lex_state = 3},
  [1148] = {.lex_state = 33},
  [1149] = {.lex_state = 1, .external_lex_state = 3},
  [1150] = {.lex_state = 1, .external_lex_state = 3},
  [1151] = {.lex_state = 34},
  [1152] = {.lex_state = 1, .external_lex_state = 3},
  [1153] = {.lex_state = 35},
  [1154] = {.lex_state = 35},
  [1155] = {.lex_state = 1, .external_lex_state = 3},
  [1156] = {.lex_state = 1, .external_lex_state = 3},
  [1157] = {.lex_state = 1, .external_lex_state = 3},
  [1158] = {.lex_state = 1, .external_lex_state = 3},
  [1159] = {.lex_state = 1, .external_lex_state = 3},
  [1160] = {.lex_state = 1, .external_lex_state = 3},
  [1161] = {.lex_state = 1, .external_lex_state = 3},
  [1162] = {.lex_state = 1, .external_lex_state = 3},
  [1163] = {.lex_state = 1, .external_lex_state = 3},
  [1164] = {.lex_state = 1, .external_lex_state = 3},
  [1165] = {.lex_state = 1, .external_lex_state = 3},
  [1166] = {.lex_state = 35},
  [1167] = {.lex_state = 35},
  [1168] = {.lex_state = 35},
  [1169] = {.lex_state = 35},
  [1170] = {.lex_state = 35},
  [1171] = {.lex_state = 1, .external_lex_state = 3},
  [1172] = {.lex_state = 1, .external_lex_state = 3},
  [1173] = {.lex_state = 1, .external_lex_state = 3},
  [1174] = {.lex_state = 1, .external_lex_state = 3},
  [1175] = {.lex_state = 35},
  [1176] = {.lex_state = 35},
  [1177] = {.lex_state = 35},
  [1178] = {.lex_state = 35},
  [1179] = {.lex_state = 1, .external_lex_state = 3},
  [1180] = {.lex_state = 1, .external_lex_state = 3},
  [1181] = {.lex_state = 1, .external_lex_state = 3},
  [1182] = {.lex_state = 1, .external_lex_state = 3},
  [1183] = {.lex_state = 1, .external_lex_state = 3},
  [1184] = {.lex_state = 1, .external_lex_state = 3},
  [1185] = {.lex_state = 1, .external_lex_state = 3},
  [1186] = {.lex_state = 1, .external_lex_state = 3},
  [1187] = {.lex_state = 1, .external_lex_state = 3},
  [1188] = {.lex_state = 1, .external_lex_state = 3},
  [1189] = {.lex_state = 1, .external_lex_state = 3},
  [1190] = {.lex_state = 1, .external_lex_state = 3},
  [1191] = {.lex_state = 1, .external_lex_state = 3},
  [1192] = {.lex_state = 1, .external_lex_state = 3},
  [1193] = {.lex_state = 1, .external_lex_state = 3},
  [1194] = {.lex_state = 1, .external_lex_state = 3},
  [1195] = {.lex_state = 35},
  [1196] = {.lex_state = 1, .external_lex_state = 3},
  [1197] = {.lex_state = 1, .external_lex_state = 3},
  [1198] = {.lex_state = 1, .external_lex_state = 3},
  [1199] = {.lex_state = 35, .external_lex_state = 2},
  [1200] = {.lex_state = 1, .external_lex_state = 3},
  [1201] = {.lex_state = 1, .external_lex_state = 3},
  [1202] = {.lex_state = 35},
  [1203] = {.lex_state = 1, .external_lex_state = 3},
  [1204] = {.lex_state = 1, .external_lex_state = 3},
  [1205] = {.lex_state = 1, .external_lex_state = 3},
  [1206] = {.lex_state = 1, .external_lex_state = 3},
  [1207] = {.lex_state = 1, .external_lex_state = 3},
  [1208] = {.lex_state = 1, .external_lex_state = 3},
  [1209] = {.lex_state = 1, .external_lex_state = 3},
  [1210] = {.lex_state = 1, .external_lex_state = 3},
  [1211] = {.lex_state = 35, .external_lex_state = 2},
  [1212] = {.lex_state = 35, .external_lex_state = 2},
  [1213] = {.lex_state = 35, .external_lex_state = 2},
  [1214] = {.lex_state = 35, .external_lex_state = 2},
  [1215] = {.lex_state = 35, .external_lex_state = 2},
  [1216] = {.lex_state = 1, .external_lex_state = 3},
  [1217] = {.lex_state = 35, .external_lex_state = 2},
  [1218] = {.lex_state = 35, .external_lex_state = 2},
  [1219] = {.lex_state = 35, .external_lex_state = 2},
  [1220] = {.lex_state = 35, .external_lex_state = 2},
  [1221] = {.lex_state = 35, .external_lex_state = 2},
  [1222] = {.lex_state = 35, .external_lex_state = 2},
  [1223] = {.lex_state = 35, .external_lex_state = 2},
  [1224] = {.lex_state = 35, .external_lex_state = 2},
  [1225] = {.lex_state = 35, .external_lex_state = 2},
  [1226] = {.lex_state = 35, .external_lex_state = 2},
  [1227] = {.lex_state = 35, .external_lex_state = 2},
  [1228] = {.lex_state = 35, .external_lex_state = 2},
  [1229] = {.lex_state = 35, .external_lex_state = 2},
  [1230] = {.lex_state = 35, .external_lex_state = 2},
  [1231] = {.lex_state = 1, .external_lex_state = 3},
  [1232] = {.lex_state = 1, .external_lex_state = 3},
  [1233] = {.lex_state = 1, .external_lex_state = 3},
  [1234] = {.lex_state = 1, .external_lex_state = 3},
  [1235] = {.lex_state = 1, .external_lex_state = 3},
  [1236] = {.lex_state = 33, .external_lex_state = 2},
  [1237] = {.lex_state = 1, .external_lex_state = 3},
  [1238] = {.lex_state = 1, .external_lex_state = 3},
  [1239] = {.lex_state = 1, .external_lex_state = 3},
  [1240] = {.lex_state = 1, .external_lex_state = 3},
  [1241] = {.lex_state = 1, .external_lex_state = 3},
  [1242] = {.lex_state = 1, .external_lex_state = 3},
  [1243] = {.lex_state = 1, .external_lex_state = 3},
  [1244] = {.lex_state = 1, .external_lex_state = 3},
  [1245] = {.lex_state = 1, .external_lex_state = 3},
  [1246] = {.lex_state = 1, .external_lex_state = 3},
  [1247] = {.lex_state = 1, .external_lex_state = 3},
  [1248] = {.lex_state = 1, .external_lex_state = 3},
  [1249] = {.lex_state = 1, .external_lex_state = 3},
  [1250] = {.lex_state = 1, .external_lex_state = 3},
  [1251] = {.lex_state = 1, .external_lex_state = 3},
  [1252] = {.lex_state = 1, .external_lex_state = 3},
  [1253] = {.lex_state = 1, .external_lex_state = 3},
  [1254] = {.lex_state = 1, .external_lex_state = 3},
  [1255] = {.lex_state = 1, .external_lex_state = 3},
  [1256] = {.lex_state = 1, .external_lex_state = 3},
  [1257] = {.lex_state = 1, .external_lex_state = 3},
  [1258] = {.lex_state = 1, .external_lex_state = 3},
  [1259] = {.lex_state = 1, .external_lex_state = 3},
  [1260] = {.lex_state = 1, .external_lex_state = 3},
  [1261] = {.lex_state = 1, .external_lex_state = 3},
  [1262] = {.lex_state = 1, .external_lex_state = 3},
  [1263] = {.lex_state = 1, .external_lex_state = 3},
  [1264] = {.lex_state = 1, .external_lex_state = 3},
  [1265] = {.lex_state = 1, .external_lex_state = 3},
  [1266] = {.lex_state = 1, .external_lex_state = 3},
  [1267] = {.lex_state = 1, .external_lex_state = 3},
  [1268] = {.lex_state = 1, .external_lex_state = 3},
  [1269] = {.lex_state = 1, .external_lex_state = 3},
  [1270] = {.lex_state = 1, .external_lex_state = 3},
  [1271] = {.lex_state = 1, .external_lex_state = 3},
  [1272] = {.lex_state = 1, .external_lex_state = 3},
  [1273] = {.lex_state = 1, .external_lex_state = 3},
  [1274] = {.lex_state = 1, .external_lex_state = 3},
  [1275] = {.lex_state = 1, .external_lex_state = 3},
  [1276] = {.lex_state = 1, .external_lex_state = 3},
  [1277] = {.lex_state = 1, .external_lex_state = 3},
  [1278] = {.lex_state = 1, .external_lex_state = 3},
  [1279] = {.lex_state = 1, .external_lex_state = 3},
  [1280] = {.lex_state = 1, .external_lex_state = 3},
  [1281] = {.lex_state = 1, .external_lex_state = 3},
  [1282] = {.lex_state = 1, .external_lex_state = 3},
  [1283] = {.lex_state = 1, .external_lex_state = 3},
  [1284] = {.lex_state = 1, .external_lex_state = 3},
  [1285] = {.lex_state = 1, .external_lex_state = 3},
  [1286] = {.lex_state = 1, .external_lex_state = 3},
  [1287] = {.lex_state = 1, .external_lex_state = 3},
  [1288] = {.lex_state = 1, .external_lex_state = 3},
  [1289] = {.lex_state = 1, .external_lex_state = 3},
  [1290] = {.lex_state = 1, .external_lex_state = 3},
  [1291] = {.lex_state = 1, .external_lex_state = 3},
  [1292] = {.lex_state = 1, .external_lex_state = 3},
  [1293] = {.lex_state = 1, .external_lex_state = 3},
  [1294] = {.lex_state = 1, .external_lex_state = 3},
  [1295] = {.lex_state = 1, .external_lex_state = 3},
  [1296] = {.lex_state = 1, .external_lex_state = 3},
  [1297] = {.lex_state = 1, .external_lex_state = 3},
  [1298] = {.lex_state = 1, .external_lex_state = 3},
  [1299] = {.lex_state = 1, .external_lex_state = 3},
  [1300] = {.lex_state = 1, .external_lex_state = 3},
  [1301] = {.lex_state = 1, .external_lex_state = 3},
  [1302] = {.lex_state = 1, .external_lex_state = 3},
  [1303] = {.lex_state = 1, .external_lex_state = 3},
  [1304] = {.lex_state = 1, .external_lex_state = 3},
  [1305] = {.lex_state = 1, .external_lex_state = 3},
  [1306] = {.lex_state = 1, .external_lex_state = 3},
  [1307] = {.lex_state = 1, .external_lex_state = 3},
  [1308] = {.lex_state = 1, .external_lex_state = 3},
  [1309] = {.lex_state = 1, .external_lex_state = 3},
  [1310] = {.lex_state = 1, .external_lex_state = 3},
  [1311] = {.lex_state = 1, .external_lex_state = 3},
  [1312] = {.lex_state = 1, .external_lex_state = 3},
  [1313] = {.lex_state = 1, .external_lex_state = 3},
  [1314] = {.lex_state = 1, .external_lex_state = 3},
  [1315] = {.lex_state = 1, .external_lex_state = 3},
  [1316] = {.lex_state = 1, .external_lex_state = 3},
  [1317] = {.lex_state = 1, .external_lex_state = 3},
  [1318] = {.lex_state = 1, .external_lex_state = 3},
  [1319] = {.lex_state = 1, .external_lex_state = 3},
  [1320] = {.lex_state = 1, .external_lex_state = 3},
  [1321] = {.lex_state = 1, .external_lex_state = 3},
  [1322] = {.lex_state = 1, .external_lex_state = 3},
  [1323] = {.lex_state = 1, .external_lex_state = 3},
  [1324] = {.lex_state = 1, .external_lex_state = 3},
  [1325] = {.lex_state = 1, .external_lex_state = 3},
  [1326] = {.lex_state = 1, .external_lex_state = 3},
  [1327] = {.lex_state = 1, .external_lex_state = 3},
  [1328] = {.lex_state = 1, .external_lex_state = 3},
  [1329] = {.lex_state = 1, .external_lex_state = 3},
  [1330] = {.lex_state = 34},
  [1331] = {.lex_state = 1, .external_lex_state = 3},
  [1332] = {.lex_state = 1, .external_lex_state = 3},
  [1333] = {.lex_state = 1, .external_lex_state = 3},
  [1334] = {.lex_state = 1, .external_lex_state = 3},
  [1335] = {.lex_state = 1, .external_lex_state = 3},
  [1336] = {.lex_state = 1, .external_lex_state = 3},
  [1337] = {.lex_state = 1, .external_lex_state = 3},
  [1338] = {.lex_state = 1, .external_lex_state = 3},
  [1339] = {.lex_state = 1, .external_lex_state = 3},
  [1340] = {.lex_state = 1, .external_lex_state = 3},
  [1341] = {.lex_state = 1, .external_lex_state = 3},
  [1342] = {.lex_state = 1, .external_lex_state = 3},
  [1343] = {.lex_state = 1, .external_lex_state = 3},
  [1344] = {.lex_state = 1, .external_lex_state = 3},
  [1345] = {.lex_state = 1, .external_lex_state = 3},
  [1346] = {.lex_state = 1, .external_lex_state = 3},
  [1347] = {.lex_state = 1, .external_lex_state = 3},
  [1348] = {.lex_state = 1, .external_lex_state = 3},
  [1349] = {.lex_state = 1, .external_lex_state = 3},
  [1350] = {.lex_state = 1, .external_lex_state = 3},
  [1351] = {.lex_state = 1, .external_lex_state = 3},
  [1352] = {.lex_state = 1, .external_lex_state = 3},
  [1353] = {.lex_state = 1, .external_lex_state = 3},
  [1354] = {.lex_state = 1, .external_lex_state = 3},
  [1355] = {.lex_state = 1, .external_lex_state = 3},
  [1356] = {.lex_state = 1, .external_lex_state = 3},
  [1357] = {.lex_state = 1, .external_lex_state = 3},
  [1358] = {.lex_state = 1, .external_lex_state = 3},
  [1359] = {.lex_state = 1, .external_lex_state = 3},
  [1360] = {.lex_state = 1, .external_lex_state = 3},
  [1361] = {.lex_state = 1, .external_lex_state = 3},
  [1362] = {.lex_state = 1, .external_lex_state = 3},
  [1363] = {.lex_state = 1, .external_lex_state = 3},
  [1364] = {.lex_state = 1, .external_lex_state = 3},
  [1365] = {.lex_state = 1, .external_lex_state = 3},
  [1366] = {.lex_state = 1, .external_lex_state = 3},
  [1367] = {.lex_state = 1, .external_lex_state = 3},
  [1368] = {.lex_state = 1, .external_lex_state = 3},
  [1369] = {.lex_state = 1, .external_lex_state = 3},
  [1370] = {.lex_state = 1, .external_lex_state = 3},
  [1371] = {.lex_state = 1, .external_lex_state = 3},
  [1372] = {.lex_state = 1, .external_lex_state = 3},
  [1373] = {.lex_state = 1, .external_lex_state = 3},
  [1374] = {.lex_state = 1, .external_lex_state = 3},
  [1375] = {.lex_state = 1, .external_lex_state = 3},
  [1376] = {.lex_state = 1, .external_lex_state = 3},
  [1377] = {.lex_state = 1, .external_lex_state = 3},
  [1378] = {.lex_state = 1, .external_lex_state = 3},
  [1379] = {.lex_state = 1, .external_lex_state = 3},
  [1380] = {.lex_state = 1, .external_lex_state = 3},
  [1381] = {.lex_state = 1, .external_lex_state = 3},
  [1382] = {.lex_state = 1, .external_lex_state = 3},
  [1383] = {.lex_state = 1, .external_lex_state = 3},
  [1384] = {.lex_state = 1, .external_lex_state = 3},
  [1385] = {.lex_state = 1, .external_lex_state = 3},
  [1386] = {.lex_state = 1, .external_lex_state = 3},
  [1387] = {.lex_state = 1, .external_lex_state = 3},
  [1388] = {.lex_state = 1, .external_lex_state = 3},
  [1389] = {.lex_state = 1, .external_lex_state = 3},
  [1390] = {.lex_state = 1, .external_lex_state = 3},
  [1391] = {.lex_state = 1, .external_lex_state = 3},
  [1392] = {.lex_state = 1, .external_lex_state = 3},
  [1393] = {.lex_state = 1, .external_lex_state = 3},
  [1394] = {.lex_state = 1, .external_lex_state = 3},
  [1395] = {.lex_state = 1, .external_lex_state = 3},
  [1396] = {.lex_state = 1, .external_lex_state = 3},
  [1397] = {.lex_state = 1, .external_lex_state = 3},
  [1398] = {.lex_state = 1, .external_lex_state = 3},
  [1399] = {.lex_state = 1, .external_lex_state = 3},
  [1400] = {.lex_state = 1, .external_lex_state = 3},
  [1401] = {.lex_state = 1, .external_lex_state = 3},
  [1402] = {.lex_state = 1, .external_lex_state = 3},
  [1403] = {.lex_state = 1, .external_lex_state = 3},
  [1404] = {.lex_state = 1, .external_lex_state = 3},
  [1405] = {.lex_state = 1, .external_lex_state = 3},
  [1406] = {.lex_state = 1, .external_lex_state = 3},
  [1407] = {.lex_state = 1, .external_lex_state = 3},
  [1408] = {.lex_state = 1, .external_lex_state = 3},
  [1409] = {.lex_state = 1, .external_lex_state = 3},
  [1410] = {.lex_state = 1, .external_lex_state = 3},
  [1411] = {.lex_state = 1, .external_lex_state = 3},
  [1412] = {.lex_state = 1, .external_lex_state = 3},
  [1413] = {.lex_state = 1, .external_lex_state = 3},
  [1414] = {.lex_state = 1, .external_lex_state = 3},
  [1415] = {.lex_state = 1, .external_lex_state = 3},
  [1416] = {.lex_state = 1, .external_lex_state = 3},
  [1417] = {.lex_state = 1, .external_lex_state = 3},
  [1418] = {.lex_state = 1, .external_lex_state = 3},
  [1419] = {.lex_state = 1, .external_lex_state = 3},
  [1420] = {.lex_state = 1, .external_lex_state = 3},
  [1421] = {.lex_state = 1, .external_lex_state = 3},
  [1422] = {.lex_state = 1, .external_lex_state = 3},
  [1423] = {.lex_state = 1, .external_lex_state = 3},
  [1424] = {.lex_state = 1, .external_lex_state = 3},
  [1425] = {.lex_state = 1, .external_lex_state = 3},
  [1426] = {.lex_state = 1, .external_lex_state = 3},
  [1427] = {.lex_state = 1, .external_lex_state = 3},
  [1428] = {.lex_state = 1, .external_lex_state = 3},
  [1429] = {.lex_state = 1, .external_lex_state = 3},
  [1430] = {.lex_state = 1, .external_lex_state = 3},
  [1431] = {.lex_state = 1, .external_lex_state = 3},
  [1432] = {.lex_state = 1, .external_lex_state = 3},
  [1433] = {.lex_state = 1, .external_lex_state = 3},
  [1434] = {.lex_state = 1, .external_lex_state = 3},
  [1435] = {.lex_state = 1, .external_lex_state = 3},
  [1436] = {.lex_state = 1, .external_lex_state = 3},
  [1437] = {.lex_state = 1, .external_lex_state = 3},
  [1438] = {.lex_state = 1, .external_lex_state = 3},
  [1439] = {.lex_state = 1, .external_lex_state = 3},
  [1440] = {.lex_state = 1, .external_lex_state = 3},
  [1441] = {.lex_state = 1, .external_lex_state = 3},
  [1442] = {.lex_state = 1, .external_lex_state = 3},
  [1443] = {.lex_state = 1, .external_lex_state = 3},
  [1444] = {.lex_state = 1, .external_lex_state = 3},
  [1445] = {.lex_state = 1, .external_lex_state = 3},
  [1446] = {.lex_state = 1, .external_lex_state = 3},
  [1447] = {.lex_state = 1, .external_lex_state = 3},
  [1448] = {.lex_state = 1, .external_lex_state = 3},
  [1449] = {.lex_state = 1, .external_lex_state = 3},
  [1450] = {.lex_state = 1, .external_lex_state = 3},
  [1451] = {.lex_state = 1, .external_lex_state = 3},
  [1452] = {.lex_state = 1, .external_lex_state = 3},
  [1453] = {.lex_state = 1, .external_lex_state = 3},
  [1454] = {.lex_state = 1, .external_lex_state = 3},
  [1455] = {.lex_state = 1, .external_lex_state = 3},
  [1456] = {.lex_state = 1, .external_lex_state = 3},
  [1457] = {.lex_state = 1, .external_lex_state = 3},
  [1458] = {.lex_state = 1, .external_lex_state = 3},
  [1459] = {.lex_state = 1, .external_lex_state = 3},
  [1460] = {.lex_state = 1, .external_lex_state = 3},
  [1461] = {.lex_state = 1, .external_lex_state = 3},
  [1462] = {.lex_state = 1, .external_lex_state = 3},
  [1463] = {.lex_state = 1, .external_lex_state = 3},
  [1464] = {.lex_state = 1, .external_lex_state = 3},
  [1465] = {.lex_state = 1, .external_lex_state = 3},
  [1466] = {.lex_state = 1, .external_lex_state = 3},
  [1467] = {.lex_state = 1, .external_lex_state = 3},
  [1468] = {.lex_state = 1, .external_lex_state = 3},
  [1469] = {.lex_state = 1, .external_lex_state = 3},
  [1470] = {.lex_state = 1, .external_lex_state = 3},
  [1471] = {.lex_state = 1, .external_lex_state = 3},
  [1472] = {.lex_state = 1, .external_lex_state = 3},
  [1473] = {.lex_state = 1, .external_lex_state = 3},
  [1474] = {.lex_state = 1, .external_lex_state = 3},
  [1475] = {.lex_state = 1, .external_lex_state = 3},
  [1476] = {.lex_state = 1, .external_lex_state = 3},
  [1477] = {.lex_state = 1, .external_lex_state = 3},
  [1478] = {.lex_state = 1, .external_lex_state = 3},
  [1479] = {.lex_state = 1, .external_lex_state = 3},
  [1480] = {.lex_state = 1, .external_lex_state = 3},
  [1481] = {.lex_state = 1, .external_lex_state = 3},
  [1482] = {.lex_state = 1, .external_lex_state = 3},
  [1483] = {.lex_state = 1, .external_lex_state = 3},
  [1484] = {.lex_state = 1, .external_lex_state = 3},
  [1485] = {.lex_state = 1, .external_lex_state = 3},
  [1486] = {.lex_state = 1, .external_lex_state = 3},
  [1487] = {.lex_state = 1, .external_lex_state = 3},
  [1488] = {.lex_state = 1, .external_lex_state = 3},
  [1489] = {.lex_state = 1, .external_lex_state = 3},
  [1490] = {.lex_state = 1, .external_lex_state = 3},
  [1491] = {.lex_state = 1, .external_lex_state = 3},
  [1492] = {.lex_state = 1, .external_lex_state = 3},
  [1493] = {.lex_state = 1, .external_lex_state = 3},
  [1494] = {.lex_state = 1, .external_lex_state = 3},
  [1495] = {.lex_state = 1, .external_lex_state = 3},
  [1496] = {.lex_state = 1, .external_lex_state = 3},
  [1497] = {.lex_state = 1, .external_lex_state = 3},
  [1498] = {.lex_state = 1, .external_lex_state = 3},
  [1499] = {.lex_state = 1, .external_lex_state = 3},
  [1500] = {.lex_state = 1, .external_lex_state = 3},
  [1501] = {.lex_state = 1, .external_lex_state = 3},
  [1502] = {.lex_state = 1, .external_lex_state = 3},
  [1503] = {.lex_state = 1, .external_lex_state = 3},
  [1504] = {.lex_state = 1, .external_lex_state = 3},
  [1505] = {.lex_state = 1, .external_lex_state = 3},
  [1506] = {.lex_state = 1, .external_lex_state = 3},
  [1507] = {.lex_state = 1, .external_lex_state = 3},
  [1508] = {.lex_state = 1, .external_lex_state = 3},
  [1509] = {.lex_state = 1, .external_lex_state = 3},
  [1510] = {.lex_state = 1, .external_lex_state = 3},
  [1511] = {.lex_state = 1, .external_lex_state = 3},
  [1512] = {.lex_state = 1, .external_lex_state = 3},
  [1513] = {.lex_state = 1, .external_lex_state = 3},
  [1514] = {.lex_state = 1, .external_lex_state = 3},
  [1515] = {.lex_state = 1, .external_lex_state = 3},
  [1516] = {.lex_state = 1, .external_lex_state = 3},
  [1517] = {.lex_state = 1, .external_lex_state = 3},
  [1518] = {.lex_state = 1, .external_lex_state = 3},
  [1519] = {.lex_state = 1, .external_lex_state = 3},
  [1520] = {.lex_state = 1, .external_lex_state = 3},
  [1521] = {.lex_state = 1, .external_lex_state = 3},
  [1522] = {.lex_state = 1, .external_lex_state = 3},
  [1523] = {.lex_state = 1, .external_lex_state = 3},
  [1524] = {.lex_state = 1, .external_lex_state = 3},
  [1525] = {.lex_state = 1, .external_lex_state = 3},
  [1526] = {.lex_state = 1, .external_lex_state = 3},
  [1527] = {.lex_state = 1, .external_lex_state = 3},
  [1528] = {.lex_state = 1, .external_lex_state = 3},
  [1529] = {.lex_state = 1, .external_lex_state = 3},
  [1530] = {.lex_state = 35, .external_lex_state = 2},
  [1531] = {.lex_state = 35, .external_lex_state = 2},
  [1532] = {.lex_state = 35, .external_lex_state = 2},
  [1533] = {.lex_state = 35, .external_lex_state = 2},
  [1534] = {.lex_state = 35, .external_lex_state = 2},
  [1535] = {.lex_state = 35, .external_lex_state = 2},
  [1536] = {.lex_state = 35, .external_lex_state = 2},
  [1537] = {.lex_state = 35, .external_lex_state = 2},
  [1538] = {.lex_state = 35, .external_lex_state = 2},
  [1539] = {.lex_state = 35, .external_lex_state = 2},
  [1540] = {.lex_state = 35, .external_lex_state = 2},
  [1541] = {.lex_state = 35, .external_lex_state = 2},
  [1542] = {.lex_state = 35, .external_lex_state = 2},
  [1543] = {.lex_state = 1, .external_lex_state = 3},
  [1544] = {.lex_state = 1, .external_lex_state = 3},
  [1545] = {.lex_state = 1, .external_lex_state = 3},
  [1546] = {.lex_state = 1, .external_lex_state = 3},
  [1547] = {.lex_state = 1, .external_lex_state = 3},
  [1548] = {.lex_state = 1, .external_lex_state = 3},
  [1549] = {.lex_state = 1, .external_lex_state = 3},
  [1550] = {.lex_state = 1, .external_lex_state = 3},
  [1551] = {.lex_state = 1, .external_lex_state = 3},
  [1552] = {.lex_state = 1, .external_lex_state = 3},
  [1553] = {.lex_state = 1, .external_lex_state = 3},
  [1554] = {.lex_state = 1, .external_lex_state = 3},
  [1555] = {.lex_state = 1, .external_lex_state = 3},
  [1556] = {.lex_state = 1, .external_lex_state = 3},
  [1557] = {.lex_state = 1, .external_lex_state = 3},
  [1558] = {.lex_state = 1, .external_lex_state = 3},
  [1559] = {.lex_state = 1, .external_lex_state = 3},
  [1560] = {.lex_state = 1, .external_lex_state = 3},
  [1561] = {.lex_state = 1, .external_lex_state = 3},
  [1562] = {.lex_state = 1, .external_lex_state = 3},
  [1563] = {.lex_state = 1, .external_lex_state = 3},
  [1564] = {.lex_state = 1, .external_lex_state = 3},
  [1565] = {.lex_state = 1, .external_lex_state = 3},
  [1566] = {.lex_state = 1, .external_lex_state = 3},
  [1567] = {.lex_state = 1, .external_lex_state = 3},
  [1568] = {.lex_state = 1, .external_lex_state = 3},
  [1569] = {.lex_state = 1, .external_lex_state = 3},
  [1570] = {.lex_state = 1, .external_lex_state = 3},
  [1571] = {.lex_state = 1, .external_lex_state = 3},
  [1572] = {.lex_state = 1, .external_lex_state = 3},
  [1573] = {.lex_state = 1, .external_lex_state = 3},
  [1574] = {.lex_state = 1, .external_lex_state = 3},
  [1575] = {.lex_state = 1, .external_lex_state = 3},
  [1576] = {.lex_state = 1, .external_lex_state = 3},
  [1577] = {.lex_state = 1, .external_lex_state = 3},
  [1578] = {.lex_state = 1, .external_lex_state = 3},
  [1579] = {.lex_state = 1, .external_lex_state = 3},
  [1580] = {.lex_state = 1, .external_lex_state = 3},
  [1581] = {.lex_state = 1, .external_lex_state = 3},
  [1582] = {.lex_state = 1, .external_lex_state = 3},
  [1583] = {.lex_state = 1, .external_lex_state = 3},
  [1584] = {.lex_state = 1, .external_lex_state = 3},
  [1585] = {.lex_state = 1, .external_lex_state = 3},
  [1586] = {.lex_state = 1, .external_lex_state = 3},
  [1587] = {.lex_state = 1, .external_lex_state = 3},
  [1588] = {.lex_state = 1, .external_lex_state = 3},
  [1589] = {.lex_state = 1, .external_lex_state = 3},
  [1590] = {.lex_state = 1, .external_lex_state = 3},
  [1591] = {.lex_state = 1, .external_lex_state = 3},
  [1592] = {.lex_state = 1, .external_lex_state = 3},
  [1593] = {.lex_state = 1, .external_lex_state = 3},
  [1594] = {.lex_state = 1, .external_lex_state = 3},
  [1595] = {.lex_state = 1, .external_lex_state = 3},
  [1596] = {.lex_state = 1, .external_lex_state = 3},
  [1597] = {.lex_state = 1, .external_lex_state = 3},
  [1598] = {.lex_state = 1, .external_lex_state = 3},
  [1599] = {.lex_state = 1, .external_lex_state = 3},
  [1600] = {.lex_state = 1, .external_lex_state = 3},
  [1601] = {.lex_state = 1, .external_lex_state = 3},
  [1602] = {.lex_state = 1, .external_lex_state = 3},
  [1603] = {.lex_state = 1, .external_lex_state = 3},
  [1604] = {.lex_state = 1, .external_lex_state = 3},
  [1605] = {.lex_state = 1, .external_lex_state = 3},
  [1606] = {.lex_state = 1, .external_lex_state = 3},
  [1607] = {.lex_state = 1, .external_lex_state = 3},
  [1608] = {.lex_state = 1, .external_lex_state = 3},
  [1609] = {.lex_state = 1, .external_lex_state = 3},
  [1610] = {.lex_state = 1, .external_lex_state = 3},
  [1611] = {.lex_state = 1, .external_lex_state = 3},
  [1612] = {.lex_state = 1, .external_lex_state = 3},
  [1613] = {.lex_state = 1, .external_lex_state = 3},
  [1614] = {.lex_state = 1, .external_lex_state = 3},
  [1615] = {.lex_state = 1, .external_lex_state = 3},
  [1616] = {.lex_state = 1, .external_lex_state = 3},
  [1617] = {.lex_state = 1, .external_lex_state = 3},
  [1618] = {.lex_state = 1, .external_lex_state = 3},
  [1619] = {.lex_state = 1, .external_lex_state = 3},
  [1620] = {.lex_state = 1, .external_lex_state = 3},
  [1621] = {.lex_state = 1, .external_lex_state = 3},
  [1622] = {.lex_state = 1, .external_lex_state = 3},
  [1623] = {.lex_state = 1, .external_lex_state = 3},
  [1624] = {.lex_state = 1, .external_lex_state = 3},
  [1625] = {.lex_state = 1, .external_lex_state = 3},
  [1626] = {.lex_state = 1, .external_lex_state = 3},
  [1627] = {.lex_state = 1, .external_lex_state = 3},
  [1628] = {.lex_state = 1, .external_lex_state = 3},
  [1629] = {.lex_state = 1, .external_lex_state = 3},
  [1630] = {.lex_state = 1, .external_lex_state = 3},
  [1631] = {.lex_state = 1, .external_lex_state = 3},
  [1632] = {.lex_state = 1, .external_lex_state = 3},
  [1633] = {.lex_state = 1, .external_lex_state = 3},
  [1634] = {.lex_state = 1, .external_lex_state = 3},
  [1635] = {.lex_state = 1, .external_lex_state = 3},
  [1636] = {.lex_state = 1, .external_lex_state = 3},
  [1637] = {.lex_state = 1, .external_lex_state = 3},
  [1638] = {.lex_state = 1, .external_lex_state = 3},
  [1639] = {.lex_state = 1, .external_lex_state = 3},
  [1640] = {.lex_state = 1, .external_lex_state = 3},
  [1641] = {.lex_state = 1, .external_lex_state = 3},
  [1642] = {.lex_state = 1, .external_lex_state = 3},
  [1643] = {.lex_state = 1, .external_lex_state = 3},
  [1644] = {.lex_state = 1, .external_lex_state = 3},
  [1645] = {.lex_state = 1, .external_lex_state = 3},
  [1646] = {.lex_state = 1, .external_lex_state = 3},
  [1647] = {.lex_state = 1, .external_lex_state = 3},
  [1648] = {.lex_state = 1, .external_lex_state = 3},
  [1649] = {.lex_state = 1, .external_lex_state = 3},
  [1650] = {.lex_state = 1, .external_lex_state = 3},
  [1651] = {.lex_state = 1, .external_lex_state = 3},
  [1652] = {.lex_state = 1, .external_lex_state = 3},
  [1653] = {.lex_state = 1, .external_lex_state = 3},
  [1654] = {.lex_state = 1, .external_lex_state = 3},
  [1655] = {.lex_state = 1, .external_lex_state = 3},
  [1656] = {.lex_state = 1, .external_lex_state = 3},
  [1657] = {.lex_state = 1, .external_lex_state = 3},
  [1658] = {.lex_state = 1, .external_lex_state = 3},
  [1659] = {.lex_state = 1, .external_lex_state = 3},
  [1660] = {.lex_state = 1, .external_lex_state = 3},
  [1661] = {.lex_state = 1, .external_lex_state = 3},
  [1662] = {.lex_state = 1, .external_lex_state = 3},
  [1663] = {.lex_state = 1, .external_lex_state = 3},
  [1664] = {.lex_state = 1, .external_lex_state = 3},
  [1665] = {.lex_state = 1, .external_lex_state = 3},
  [1666] = {.lex_state = 1, .external_lex_state = 3},
  [1667] = {.lex_state = 1, .external_lex_state = 3},
  [1668] = {.lex_state = 1, .external_lex_state = 3},
  [1669] = {.lex_state = 1, .external_lex_state = 3},
  [1670] = {.lex_state = 1, .external_lex_state = 3},
  [1671] = {.lex_state = 1, .external_lex_state = 3},
  [1672] = {.lex_state = 1, .external_lex_state = 3},
  [1673] = {.lex_state = 1, .external_lex_state = 3},
  [1674] = {.lex_state = 1, .external_lex_state = 3},
  [1675] = {.lex_state = 1, .external_lex_state = 3},
  [1676] = {.lex_state = 1, .external_lex_state = 3},
  [1677] = {.lex_state = 1, .external_lex_state = 3},
  [1678] = {.lex_state = 1, .external_lex_state = 3},
  [1679] = {.lex_state = 1, .external_lex_state = 3},
  [1680] = {.lex_state = 1, .external_lex_state = 3},
  [1681] = {.lex_state = 1, .external_lex_state = 3},
  [1682] = {.lex_state = 1, .external_lex_state = 3},
  [1683] = {.lex_state = 1, .external_lex_state = 3},
  [1684] = {.lex_state = 1, .external_lex_state = 3},
  [1685] = {.lex_state = 1, .external_lex_state = 3},
  [1686] = {.lex_state = 1, .external_lex_state = 3},
  [1687] = {.lex_state = 1, .external_lex_state = 3},
  [1688] = {.lex_state = 1, .external_lex_state = 3},
  [1689] = {.lex_state = 1, .external_lex_state = 3},
  [1690] = {.lex_state = 1, .external_lex_state = 3},
  [1691] = {.lex_state = 1, .external_lex_state = 3},
  [1692] = {.lex_state = 1, .external_lex_state = 3},
  [1693] = {.lex_state = 1, .external_lex_state = 3},
  [1694] = {.lex_state = 1, .external_lex_state = 3},
  [1695] = {.lex_state = 1, .external_lex_state = 3},
  [1696] = {.lex_state = 1, .external_lex_state = 3},
  [1697] = {.lex_state = 1, .external_lex_state = 3},
  [1698] = {.lex_state = 1, .external_lex_state = 3},
  [1699] = {.lex_state = 1, .external_lex_state = 3},
  [1700] = {.lex_state = 1, .external_lex_state = 3},
  [1701] = {.lex_state = 1, .external_lex_state = 3},
  [1702] = {.lex_state = 1, .external_lex_state = 3},
  [1703] = {.lex_state = 1, .external_lex_state = 3},
  [1704] = {.lex_state = 1, .external_lex_state = 3},
  [1705] = {.lex_state = 1, .external_lex_state = 3},
  [1706] = {.lex_state = 1, .external_lex_state = 3},
  [1707] = {.lex_state = 1, .external_lex_state = 3},
  [1708] = {.lex_state = 1, .external_lex_state = 3},
  [1709] = {.lex_state = 1, .external_lex_state = 3},
  [1710] = {.lex_state = 1, .external_lex_state = 3},
  [1711] = {.lex_state = 1, .external_lex_state = 3},
  [1712] = {.lex_state = 1, .external_lex_state = 3},
  [1713] = {.lex_state = 1, .external_lex_state = 3},
  [1714] = {.lex_state = 1, .external_lex_state = 3},
  [1715] = {.lex_state = 1, .external_lex_state = 3},
  [1716] = {.lex_state = 1, .external_lex_state = 3},
  [1717] = {.lex_state = 1, .external_lex_state = 3},
  [1718] = {.lex_state = 1, .external_lex_state = 3},
  [1719] = {.lex_state = 1, .external_lex_state = 3},
  [1720] = {.lex_state = 1, .external_lex_state = 3},
  [1721] = {.lex_state = 1, .external_lex_state = 3},
  [1722] = {.lex_state = 1, .external_lex_state = 3},
  [1723] = {.lex_state = 1, .external_lex_state = 3},
  [1724] = {.lex_state = 1, .external_lex_state = 3},
  [1725] = {.lex_state = 1, .external_lex_state = 3},
  [1726] = {.lex_state = 1, .external_lex_state = 3},
  [1727] = {.lex_state = 1, .external_lex_state = 3},
  [1728] = {.lex_state = 1, .external_lex_state = 3},
  [1729] = {.lex_state = 1, .external_lex_state = 3},
  [1730] = {.lex_state = 1, .external_lex_state = 3},
  [1731] = {.lex_state = 1, .external_lex_state = 3},
  [1732] = {.lex_state = 1, .external_lex_state = 3},
  [1733] = {.lex_state = 1, .external_lex_state = 3},
  [1734] = {.lex_state = 1, .external_lex_state = 3},
  [1735] = {.lex_state = 1, .external_lex_state = 3},
  [1736] = {.lex_state = 1, .external_lex_state = 3},
  [1737] = {.lex_state = 1, .external_lex_state = 3},
  [1738] = {.lex_state = 1, .external_lex_state = 3},
  [1739] = {.lex_state = 1, .external_lex_state = 3},
  [1740] = {.lex_state = 1, .external_lex_state = 3},
  [1741] = {.lex_state = 1, .external_lex_state = 3},
  [1742] = {.lex_state = 1, .external_lex_state = 3},
  [1743] = {.lex_state = 1, .external_lex_state = 3},
  [1744] = {.lex_state = 1, .external_lex_state = 3},
  [1745] = {.lex_state = 1, .external_lex_state = 3},
  [1746] = {.lex_state = 1, .external_lex_state = 3},
  [1747] = {.lex_state = 1, .external_lex_state = 3},
  [1748] = {.lex_state = 1, .external_lex_state = 3},
  [1749] = {.lex_state = 1, .external_lex_state = 3},
  [1750] = {.lex_state = 1, .external_lex_state = 3},
  [1751] = {.lex_state = 1, .external_lex_state = 3},
  [1752] = {.lex_state = 1, .external_lex_state = 3},
  [1753] = {.lex_state = 1, .external_lex_state = 3},
  [1754] = {.lex_state = 1, .external_lex_state = 3},
  [1755] = {.lex_state = 1, .external_lex_state = 3},
  [1756] = {.lex_state = 1, .external_lex_state = 3},
  [1757] = {.lex_state = 1, .external_lex_state = 3},
  [1758] = {.lex_state = 1, .external_lex_state = 3},
  [1759] = {.lex_state = 1, .external_lex_state = 3},
  [1760] = {.lex_state = 1, .external_lex_state = 3},
  [1761] = {.lex_state = 1, .external_lex_state = 3},
  [1762] = {.lex_state = 1, .external_lex_state = 3},
  [1763] = {.lex_state = 1, .external_lex_state = 3},
  [1764] = {.lex_state = 1, .external_lex_state = 3},
  [1765] = {.lex_state = 1, .external_lex_state = 3},
  [1766] = {.lex_state = 1, .external_lex_state = 3},
  [1767] = {.lex_state = 1, .external_lex_state = 3},
  [1768] = {.lex_state = 1, .external_lex_state = 3},
  [1769] = {.lex_state = 1, .external_lex_state = 3},
  [1770] = {.lex_state = 1, .external_lex_state = 3},
  [1771] = {.lex_state = 1, .external_lex_state = 3},
  [1772] = {.lex_state = 1, .external_lex_state = 3},
  [1773] = {.lex_state = 1, .external_lex_state = 3},
  [1774] = {.lex_state = 1, .external_lex_state = 3},
  [1775] = {.lex_state = 1, .external_lex_state = 3},
  [1776] = {.lex_state = 1, .external_lex_state = 3},
  [1777] = {.lex_state = 1, .external_lex_state = 3},
  [1778] = {.lex_state = 1, .external_lex_state = 3},
  [1779] = {.lex_state = 1, .external_lex_state = 3},
  [1780] = {.lex_state = 1, .external_lex_state = 3},
  [1781] = {.lex_state = 1, .external_lex_state = 3},
  [1782] = {.lex_state = 1, .external_lex_state = 3},
  [1783] = {.lex_state = 1, .external_lex_state = 3},
  [1784] = {.lex_state = 1, .external_lex_state = 3},
  [1785] = {.lex_state = 1, .external_lex_state = 3},
  [1786] = {.lex_state = 1, .external_lex_state = 3},
  [1787] = {.lex_state = 1, .external_lex_state = 3},
  [1788] = {.lex_state = 1, .external_lex_state = 3},
  [1789] = {.lex_state = 1, .external_lex_state = 3},
  [1790] = {.lex_state = 1, .external_lex_state = 3},
  [1791] = {.lex_state = 1, .external_lex_state = 3},
  [1792] = {.lex_state = 1, .external_lex_state = 3},
  [1793] = {.lex_state = 1, .external_lex_state = 3},
  [1794] = {.lex_state = 1, .external_lex_state = 3},
  [1795] = {.lex_state = 1, .external_lex_state = 3},
  [1796] = {.lex_state = 1, .external_lex_state = 3},
  [1797] = {.lex_state = 1, .external_lex_state = 3},
  [1798] = {.lex_state = 1, .external_lex_state = 3},
  [1799] = {.lex_state = 1, .external_lex_state = 3},
  [1800] = {.lex_state = 1, .external_lex_state = 3},
  [1801] = {.lex_state = 1, .external_lex_state = 3},
  [1802] = {.lex_state = 1, .external_lex_state = 3},
  [1803] = {.lex_state = 1, .external_lex_state = 3},
  [1804] = {.lex_state = 1, .external_lex_state = 3},
  [1805] = {.lex_state = 1, .external_lex_state = 3},
  [1806] = {.lex_state = 1, .external_lex_state = 3},
  [1807] = {.lex_state = 1, .external_lex_state = 3},
  [1808] = {.lex_state = 1, .external_lex_state = 3},
  [1809] = {.lex_state = 1, .external_lex_state = 3},
  [1810] = {.lex_state = 1, .external_lex_state = 3},
  [1811] = {.lex_state = 1, .external_lex_state = 3},
  [1812] = {.lex_state = 1, .external_lex_state = 3},
  [1813] = {.lex_state = 1, .external_lex_state = 3},
  [1814] = {.lex_state = 1, .external_lex_state = 3},
  [1815] = {.lex_state = 1, .external_lex_state = 3},
  [1816] = {.lex_state = 1, .external_lex_state = 3},
  [1817] = {.lex_state = 1, .external_lex_state = 3},
  [1818] = {.lex_state = 1, .external_lex_state = 3},
  [1819] = {.lex_state = 1, .external_lex_state = 3},
  [1820] = {.lex_state = 1, .external_lex_state = 3},
  [1821] = {.lex_state = 1, .external_lex_state = 3},
  [1822] = {.lex_state = 1, .external_lex_state = 3},
  [1823] = {.lex_state = 1, .external_lex_state = 3},
  [1824] = {.lex_state = 1, .external_lex_state = 3},
  [1825] = {.lex_state = 1, .external_lex_state = 3},
  [1826] = {.lex_state = 1, .external_lex_state = 3},
  [1827] = {.lex_state = 1, .external_lex_state = 3},
  [1828] = {.lex_state = 1, .external_lex_state = 3},
  [1829] = {.lex_state = 1, .external_lex_state = 3},
  [1830] = {.lex_state = 1, .external_lex_state = 3},
  [1831] = {.lex_state = 1, .external_lex_state = 3},
  [1832] = {.lex_state = 1, .external_lex_state = 3},
  [1833] = {.lex_state = 1, .external_lex_state = 3},
  [1834] = {.lex_state = 1, .external_lex_state = 3},
  [1835] = {.lex_state = 1, .external_lex_state = 3},
  [1836] = {.lex_state = 1, .external_lex_state = 3},
  [1837] = {.lex_state = 35},
  [1838] = {.lex_state = 35},
  [1839] = {.lex_state = 35},
  [1840] = {.lex_state = 35, .external_lex_state = 2},
  [1841] = {.lex_state = 35},
  [1842] = {.lex_state = 36},
  [1843] = {.lex_state = 35},
  [1844] = {.lex_state = 36},
  [1845] = {.lex_state = 35},
  [1846] = {.lex_state = 35, .external_lex_state = 2},
  [1847] = {.lex_state = 35, .external_lex_state = 2},
  [1848] = {.lex_state = 35, .external_lex_state = 2},
  [1849] = {.lex_state = 35},
  [1850] = {.lex_state = 35, .external_lex_state = 2},
  [1851] = {.lex_state = 33, .external_lex_state = 2},
  [1852] = {.lex_state = 36},
  [1853] = {.lex_state = 35, .external_lex_state = 2},
  [1854] = {.lex_state = 35, .external_lex_state = 2},
  [1855] = {.lex_state = 36},
  [1856] = {.lex_state = 35, .external_lex_state = 2},
  [1857] = {.lex_state = 36},
  [1858] = {.lex_state = 35},
  [1859] = {.lex_state = 35},
  [1860] = {.lex_state = 35},
  [1861] = {.lex_state = 36},
  [1862] = {.lex_state = 36},
  [1863] = {.lex_state = 35},
  [1864] = {.lex_state = 33},
  [1865] = {.lex_state = 35},
  [1866] = {.lex_state = 36},
  [1867] = {.lex_state = 36},
  [1868] = {.lex_state = 36},
  [1869] = {.lex_state = 36},
  [1870] = {.lex_state = 36},
  [1871] = {.lex_state = 36},
  [1872] = {.lex_state = 36},
  [1873] = {.lex_state = 35},
  [1874] = {.lex_state = 35},
  [1875] = {.lex_state = 35},
  [1876] = {.lex_state = 36},
  [1877] = {.lex_state = 35},
  [1878] = {.lex_state = 35},
  [1879] = {.lex_state = 35},
  [1880] = {.lex_state = 35, .external_lex_state = 2},
  [1881] = {.lex_state = 35, .external_lex_state = 2},
  [1882] = {.lex_state = 35},
  [1883] = {.lex_state = 35},
  [1884] = {.lex_state = 35},
  [1885] = {.lex_state = 35},
  [1886] = {.lex_state = 35},
  [1887] = {.lex_state = 35},
  [1888] = {.lex_state = 35},
  [1889] = {.lex_state = 35},
  [1890] = {.lex_state = 34},
  [1891] = {.lex_state = 35},
  [1892] = {.lex_state = 35},
  [1893] = {.lex_state = 35},
  [1894] = {.lex_state = 35},
  [1895] = {.lex_state = 36},
  [1896] = {.lex_state = 35},
  [1897] = {.lex_state = 35, .external_lex_state = 2},
  [1898] = {.lex_state = 35, .external_lex_state = 2},
  [1899] = {.lex_state = 35, .external_lex_state = 2},
  [1900] = {.lex_state = 35, .external_lex_state = 2},
  [1901] = {.lex_state = 35, .external_lex_state = 2},
  [1902] = {.lex_state = 35, .external_lex_state = 2},
  [1903] = {.lex_state = 35, .external_lex_state = 2},
  [1904] = {.lex_state = 35, .external_lex_state = 2},
  [1905] = {.lex_state = 35, .external_lex_state = 2},
  [1906] = {.lex_state = 35, .external_lex_state = 2},
  [1907] = {.lex_state = 35, .external_lex_state = 2},
  [1908] = {.lex_state = 35, .external_lex_state = 2},
  [1909] = {.lex_state = 35, .external_lex_state = 2},
  [1910] = {.lex_state = 35, .external_lex_state = 2},
  [1911] = {.lex_state = 35},
  [1912] = {.lex_state = 35},
  [1913] = {.lex_state = 35},
  [1914] = {.lex_state = 35},
  [1915] = {.lex_state = 35},
  [1916] = {.lex_state = 33, .external_lex_state = 2},
  [1917] = {.lex_state = 35, .external_lex_state = 2},
  [1918] = {.lex_state = 35},
  [1919] = {.lex_state = 35},
  [1920] = {.lex_state = 35},
  [1921] = {.lex_state = 35},
  [1922] = {.lex_state = 35},
  [1923] = {.lex_state = 35},
  [1924] = {.lex_state = 35, .external_lex_state = 2},
  [1925] = {.lex_state = 35},
  [1926] = {.lex_state = 35},
  [1927] = {.lex_state = 35},
  [1928] = {.lex_state = 35, .external_lex_state = 2},
  [1929] = {.lex_state = 35},
  [1930] = {.lex_state = 35},
  [1931] = {.lex_state = 35},
  [1932] = {.lex_state = 35},
  [1933] = {.lex_state = 35, .external_lex_state = 2},
  [1934] = {.lex_state = 35},
  [1935] = {.lex_state = 35},
  [1936] = {.lex_state = 35, .external_lex_state = 2},
  [1937] = {.lex_state = 35, .external_lex_state = 2},
  [1938] = {.lex_state = 35},
  [1939] = {.lex_state = 35, .external_lex_state = 2},
  [1940] = {.lex_state = 35},
  [1941] = {.lex_state = 35},
  [1942] = {.lex_state = 35, .external_lex_state = 2},
  [1943] = {.lex_state = 35},
  [1944] = {.lex_state = 36},
  [1945] = {.lex_state = 35, .external_lex_state = 2},
  [1946] = {.lex_state = 35},
  [1947] = {.lex_state = 35},
  [1948] = {.lex_state = 35, .external_lex_state = 2},
  [1949] = {.lex_state = 35},
  [1950] = {.lex_state = 35, .external_lex_state = 2},
  [1951] = {.lex_state = 35},
  [1952] = {.lex_state = 35},
  [1953] = {.lex_state = 35, .external_lex_state = 2},
  [1954] = {.lex_state = 35},
  [1955] = {.lex_state = 35, .external_lex_state = 2},
  [1956] = {.lex_state = 33, .external_lex_state = 2},
  [1957] = {.lex_state = 35},
  [1958] = {.lex_state = 35},
  [1959] = {.lex_state = 35},
  [1960] = {.lex_state = 35, .external_lex_state = 2},
  [1961] = {.lex_state = 36},
  [1962] = {.lex_state = 36},
  [1963] = {.lex_state = 35},
  [1964] = {.lex_state = 35},
  [1965] = {.lex_state = 35},
  [1966] = {.lex_state = 35},
  [1967] = {.lex_state = 35},
  [1968] = {.lex_state = 35},
  [1969] = {.lex_state = 35},
  [1970] = {.lex_state = 35},
  [1971] = {.lex_state = 35},
  [1972] = {.lex_state = 35},
  [1973] = {.lex_state = 35},
  [1974] = {.lex_state = 35},
  [1975] = {.lex_state = 35},
  [1976] = {.lex_state = 35, .external_lex_state = 2},
  [1977] = {.lex_state = 35},
  [1978] = {.lex_state = 35},
  [1979] = {.lex_state = 35},
  [1980] = {.lex_state = 36},
  [1981] = {.lex_state = 35},
  [1982] = {.lex_state = 35},
  [1983] = {.lex_state = 35},
  [1984] = {.lex_state = 35},
  [1985] = {.lex_state = 35},
  [1986] = {.lex_state = 35},
  [1987] = {.lex_state = 33},
  [1988] = {.lex_state = 35},
  [1989] = {.lex_state = 35},
  [1990] = {.lex_state = 35},
  [1991] = {.lex_state = 35},
  [1992] = {.lex_state = 35},
  [1993] = {.lex_state = 35},
  [1994] = {.lex_state = 35},
  [1995] = {.lex_state = 35},
  [1996] = {.lex_state = 35},
  [1997] = {.lex_state = 35},
  [1998] = {.lex_state = 35},
  [1999] = {.lex_state = 35},
  [2000] = {.lex_state = 36},
  [2001] = {.lex_state = 35},
  [2002] = {.lex_state = 35, .external_lex_state = 2},
  [2003] = {.lex_state = 36},
  [2004] = {.lex_state = 35},
  [2005] = {.lex_state = 35},
  [2006] = {.lex_state = 35},
  [2007] = {.lex_state = 35},
  [2008] = {.lex_state = 35},
  [2009] = {.lex_state = 35},
  [2010] = {.lex_state = 35},
  [2011] = {.lex_state = 35},
  [2012] = {.lex_state = 35, .external_lex_state = 2},
  [2013] = {.lex_state = 35},
  [2014] = {.lex_state = 35},
  [2015] = {.lex_state = 35},
  [2016] = {.lex_state = 35},
  [2017] = {.lex_state = 35},
  [2018] = {.lex_state = 35},
  [2019] = {.lex_state = 35},
  [2020] = {.lex_state = 35},
  [2021] = {.lex_state = 35},
  [2022] = {.lex_state = 35},
  [2023] = {.lex_state = 35},
  [2024] = {.lex_state = 35},
  [2025] = {.lex_state = 35},
  [2026] = {.lex_state = 35},
  [2027] = {.lex_state = 35},
  [2028] = {.lex_state = 35},
  [2029] = {.lex_state = 35},
  [2030] = {.lex_state = 35},
  [2031] = {.lex_state = 35},
  [2032] = {.lex_state = 35},
  [2033] = {.lex_state = 35},
  [2034] = {.lex_state = 35},
  [2035] = {.lex_state = 35},
  [2036] = {.lex_state = 35, .external_lex_state = 2},
  [2037] = {.lex_state = 35, .external_lex_state = 2},
  [2038] = {.lex_state = 35},
  [2039] = {.lex_state = 35, .external_lex_state = 2},
  [2040] = {.lex_state = 35, .external_lex_state = 2},
  [2041] = {.lex_state = 35, .external_lex_state = 2},
  [2042] = {.lex_state = 35},
  [2043] = {.lex_state = 35},
  [2044] = {.lex_state = 35, .external_lex_state = 2},
  [2045] = {.lex_state = 36},
  [2046] = {.lex_state = 35},
  [2047] = {.lex_state = 35, .external_lex_state = 2},
  [2048] = {.lex_state = 35},
  [2049] = {.lex_state = 35, .external_lex_state = 2},
  [2050] = {.lex_state = 35, .external_lex_state = 2},
  [2051] = {.lex_state = 35},
  [2052] = {.lex_state = 35, .external_lex_state = 2},
  [2053] = {.lex_state = 35},
  [2054] = {.lex_state = 35},
  [2055] = {.lex_state = 35},
  [2056] = {.lex_state = 35},
  [2057] = {.lex_state = 35, .external_lex_state = 2},
  [2058] = {.lex_state = 35},
  [2059] = {.lex_state = 35},
  [2060] = {.lex_state = 35},
  [2061] = {.lex_state = 35},
  [2062] = {.lex_state = 35},
  [2063] = {.lex_state = 35},
  [2064] = {.lex_state = 35, .external_lex_state = 2},
  [2065] = {.lex_state = 35, .external_lex_state = 2},
  [2066] = {.lex_state = 35, .external_lex_state = 2},
  [2067] = {.lex_state = 35},
  [2068] = {.lex_state = 35, .external_lex_state = 2},
  [2069] = {.lex_state = 35, .external_lex_state = 2},
  [2070] = {.lex_state = 35},
  [2071] = {.lex_state = 35},
  [2072] = {.lex_state = 35},
  [2073] = {.lex_state = 35},
  [2074] = {.lex_state = 35},
  [2075] = {.lex_state = 35},
  [2076] = {.lex_state = 35, .external_lex_state = 2},
  [2077] = {.lex_state = 35, .external_lex_state = 2},
  [2078] = {.lex_state = 35, .external_lex_state = 2},
  [2079] = {.lex_state = 35},
  [2080] = {.lex_state = 35},
  [2081] = {.lex_state = 35, .external_lex_state = 2},
  [2082] = {.lex_state = 35},
  [2083] = {.lex_state = 36},
  [2084] = {.lex_state = 35},
  [2085] = {.lex_state = 36},
  [2086] = {.lex_state = 36},
  [2087] = {.lex_state = 36},
  [2088] = {.lex_state = 36},
  [2089] = {.lex_state = 36},
  [2090] = {.lex_state = 35},
  [2091] = {.lex_state = 35, .external_lex_state = 2},
  [2092] = {.lex_state = 35, .external_lex_state = 2},
  [2093] = {.lex_state = 35, .external_lex_state = 2},
  [2094] = {.lex_state = 35, .external_lex_state = 2},
  [2095] = {.lex_state = 35, .external_lex_state = 2},
  [2096] = {.lex_state = 35},
  [2097] = {.lex_state = 36},
  [2098] = {.lex_state = 36},
  [2099] = {.lex_state = 36},
  [2100] = {.lex_state = 36},
  [2101] = {.lex_state = 36},
  [2102] = {.lex_state = 36},
  [2103] = {.lex_state = 36},
  [2104] = {.lex_state = 36},
  [2105] = {.lex_state = 36},
  [2106] = {.lex_state = 36},
  [2107] = {.lex_state = 35, .external_lex_state = 2},
  [2108] = {.lex_state = 36},
  [2109] = {.lex_state = 35, .external_lex_state = 2},
  [2110] = {.lex_state = 35, .external_lex_state = 2},
  [2111] = {.lex_state = 35, .external_lex_state = 2},
  [2112] = {.lex_state = 35, .external_lex_state = 2},
  [2113] = {.lex_state = 35, .external_lex_state = 2},
  [2114] = {.lex_state = 35, .external_lex_state = 2},
  [2115] = {.lex_state = 35, .external_lex_state = 2},
  [2116] = {.lex_state = 35},
  [2117] = {.lex_state = 36},
  [2118] = {.lex_state = 36},
  [2119] = {.lex_state = 36},
  [2120] = {.lex_state = 35, .external_lex_state = 2},
  [2121] = {.lex_state = 35},
  [2122] = {.lex_state = 35},
  [2123] = {.lex_state = 36},
  [2124] = {.lex_state = 35},
  [2125] = {.lex_state = 35},
  [2126] = {.lex_state = 35},
  [2127] = {.lex_state = 35},
  [2128] = {.lex_state = 35, .external_lex_state = 2},
  [2129] = {.lex_state = 35, .external_lex_state = 2},
  [2130] = {.lex_state = 35, .external_lex_state = 2},
  [2131] = {.lex_state = 35, .external_lex_state = 2},
  [2132] = {.lex_state = 35, .external_lex_state = 2},
  [2133] = {.lex_state = 35, .external_lex_state = 2},
  [2134] = {.lex_state = 35, .external_lex_state = 2},
  [2135] = {.lex_state = 36},
  [2136] = {.lex_state = 35, .external_lex_state = 2},
  [2137] = {.lex_state = 35, .external_lex_state = 2},
  [2138] = {.lex_state = 35},
  [2139] = {.lex_state = 35},
  [2140] = {.lex_state = 35},
  [2141] = {.lex_state = 35},
  [2142] = {.lex_state = 35, .external_lex_state = 2},
  [2143] = {.lex_state = 35},
  [2144] = {.lex_state = 35},
  [2145] = {.lex_state = 35},
  [2146] = {.lex_state = 35, .external_lex_state = 2},
  [2147] = {.lex_state = 35},
  [2148] = {.lex_state = 35},
  [2149] = {.lex_state = 36},
  [2150] = {.lex_state = 36},
  [2151] = {.lex_state = 35},
  [2152] = {.lex_state = 36},
  [2153] = {.lex_state = 36},
  [2154] = {.lex_state = 36},
  [2155] = {.lex_state = 36},
  [2156] = {.lex_state = 36},
  [2157] = {.lex_state = 36},
  [2158] = {.lex_state = 36},
  [2159] = {.lex_state = 36},
  [2160] = {.lex_state = 36},
  [2161] = {.lex_state = 35},
  [2162] = {.lex_state = 35},
  [2163] = {.lex_state = 36},
  [2164] = {.lex_state = 36},
  [2165] = {.lex_state = 35, .external_lex_state = 2},
  [2166] = {.lex_state = 35},
  [2167] = {.lex_state = 36},
  [2168] = {.lex_state = 36},
  [2169] = {.lex_state = 36},
  [2170] = {.lex_state = 35},
  [2171] = {.lex_state = 35, .external_lex_state = 2},
  [2172] = {.lex_state = 35, .external_lex_state = 2},
  [2173] = {.lex_state = 35},
  [2174] = {.lex_state = 35, .external_lex_state = 2},
  [2175] = {.lex_state = 35, .external_lex_state = 2},
  [2176] = {.lex_state = 35},
  [2177] = {.lex_state = 35},
  [2178] = {.lex_state = 35, .external_lex_state = 2},
  [2179] = {.lex_state = 35},
  [2180] = {.lex_state = 35},
  [2181] = {.lex_state = 35, .external_lex_state = 2},
  [2182] = {.lex_state = 35, .external_lex_state = 2},
  [2183] = {.lex_state = 35},
  [2184] = {.lex_state = 35},
  [2185] = {.lex_state = 35, .external_lex_state = 2},
  [2186] = {.lex_state = 35, .external_lex_state = 2},
  [2187] = {.lex_state = 35},
  [2188] = {.lex_state = 35},
  [2189] = {.lex_state = 35},
  [2190] = {.lex_state = 35, .external_lex_state = 2},
  [2191] = {.lex_state = 35},
  [2192] = {.lex_state = 35},
  [2193] = {.lex_state = 36},
  [2194] = {.lex_state = 35},
  [2195] = {.lex_state = 35, .external_lex_state = 2},
  [2196] = {.lex_state = 35, .external_lex_state = 2},
  [2197] = {.lex_state = 35},
  [2198] = {.lex_state = 35},
  [2199] = {.lex_state = 35},
  [2200] = {.lex_state = 35},
  [2201] = {.lex_state = 35},
  [2202] = {.lex_state = 35, .external_lex_state = 2},
  [2203] = {.lex_state = 35, .external_lex_state = 2},
  [2204] = {.lex_state = 35, .external_lex_state = 2},
  [2205] = {.lex_state = 35},
  [2206] = {.lex_state = 35, .external_lex_state = 2},
  [2207] = {.lex_state = 36},
  [2208] = {.lex_state = 35},
  [2209] = {.lex_state = 35},
  [2210] = {.lex_state = 35},
  [2211] = {.lex_state = 35},
  [2212] = {.lex_state = 35},
  [2213] = {.lex_state = 36},
  [2214] = {.lex_state = 35},
  [2215] = {.lex_state = 35, .external_lex_state = 2},
  [2216] = {.lex_state = 35, .external_lex_state = 2},
  [2217] = {.lex_state = 35, .external_lex_state = 2},
  [2218] = {.lex_state = 35},
  [2219] = {.lex_state = 35, .external_lex_state = 2},
  [2220] = {.lex_state = 35},
  [2221] = {.lex_state = 35},
  [2222] = {.lex_state = 35},
  [2223] = {.lex_state = 35},
  [2224] = {.lex_state = 36},
  [2225] = {.lex_state = 35},
  [2226] = {.lex_state = 35, .external_lex_state = 2},
  [2227] = {.lex_state = 35, .external_lex_state = 2},
  [2228] = {.lex_state = 35, .external_lex_state = 2},
  [2229] = {.lex_state = 35, .external_lex_state = 2},
  [2230] = {.lex_state = 35},
  [2231] = {.lex_state = 35},
  [2232] = {.lex_state = 35, .external_lex_state = 2},
  [2233] = {.lex_state = 35, .external_lex_state = 2},
  [2234] = {.lex_state = 35, .external_lex_state = 2},
  [2235] = {.lex_state = 35, .external_lex_state = 2},
  [2236] = {.lex_state = 35, .external_lex_state = 2},
  [2237] = {.lex_state = 35},
  [2238] = {.lex_state = 35},
  [2239] = {.lex_state = 35},
  [2240] = {.lex_state = 35},
  [2241] = {.lex_state = 35},
  [2242] = {.lex_state = 35},
  [2243] = {.lex_state = 35, .external_lex_state = 2},
  [2244] = {.lex_state = 35, .external_lex_state = 2},
  [2245] = {.lex_state = 35, .external_lex_state = 2},
  [2246] = {.lex_state = 36},
  [2247] = {.lex_state = 36},
  [2248] = {.lex_state = 35, .external_lex_state = 2},
  [2249] = {.lex_state = 35, .external_lex_state = 2},
  [2250] = {.lex_state = 35},
  [2251] = {.lex_state = 35, .external_lex_state = 2},
  [2252] = {.lex_state = 35, .external_lex_state = 2},
  [2253] = {.lex_state = 35, .external_lex_state = 2},
  [2254] = {.lex_state = 35, .external_lex_state = 2},
  [2255] = {.lex_state = 35, .external_lex_state = 2},
  [2256] = {.lex_state = 35, .external_lex_state = 2},
  [2257] = {.lex_state = 35, .external_lex_state = 2},
  [2258] = {.lex_state = 35, .external_lex_state = 2},
  [2259] = {.lex_state = 35, .external_lex_state = 2},
  [2260] = {.lex_state = 35},
  [2261] = {.lex_state = 35, .external_lex_state = 2},
  [2262] = {.lex_state = 35, .external_lex_state = 2},
  [2263] = {.lex_state = 35, .external_lex_state = 2},
  [2264] = {.lex_state = 35, .external_lex_state = 2},
  [2265] = {.lex_state = 35, .external_lex_state = 2},
  [2266] = {.lex_state = 35},
  [2267] = {.lex_state = 35},
  [2268] = {.lex_state = 35, .external_lex_state = 2},
  [2269] = {.lex_state = 35, .external_lex_state = 2},
  [2270] = {.lex_state = 35, .external_lex_state = 2},
  [2271] = {.lex_state = 35},
  [2272] = {.lex_state = 35},
  [2273] = {.lex_state = 35},
  [2274] = {.lex_state = 35},
  [2275] = {.lex_state = 35},
  [2276] = {.lex_state = 35},
  [2277] = {.lex_state = 35},
  [2278] = {.lex_state = 35},
  [2279] = {.lex_state = 35, .external_lex_state = 2},
  [2280] = {.lex_state = 35},
  [2281] = {.lex_state = 35},
  [2282] = {.lex_state = 35},
  [2283] = {.lex_state = 35},
  [2284] = {.lex_state = 35, .external_lex_state = 2},
  [2285] = {.lex_state = 35, .external_lex_state = 2},
  [2286] = {.lex_state = 35, .external_lex_state = 2},
  [2287] = {.lex_state = 35, .external_lex_state = 2},
  [2288] = {.lex_state = 35, .external_lex_state = 2},
  [2289] = {.lex_state = 35},
  [2290] = {.lex_state = 35},
  [2291] = {.lex_state = 35},
  [2292] = {.lex_state = 35},
  [2293] = {.lex_state = 35, .external_lex_state = 2},
  [2294] = {.lex_state = 35},
  [2295] = {.lex_state = 35, .external_lex_state = 2},
  [2296] = {.lex_state = 35, .external_lex_state = 2},
  [2297] = {.lex_state = 35},
  [2298] = {.lex_state = 35, .external_lex_state = 2},
  [2299] = {.lex_state = 35, .external_lex_state = 2},
  [2300] = {.lex_state = 35, .external_lex_state = 2},
  [2301] = {.lex_state = 35, .external_lex_state = 2},
  [2302] = {.lex_state = 35, .external_lex_state = 2},
  [2303] = {.lex_state = 35, .external_lex_state = 2},
  [2304] = {.lex_state = 35, .external_lex_state = 2},
  [2305] = {.lex_state = 35, .external_lex_state = 2},
  [2306] = {.lex_state = 35},
  [2307] = {.lex_state = 35, .external_lex_state = 2},
  [2308] = {.lex_state = 35, .external_lex_state = 2},
  [2309] = {.lex_state = 35, .external_lex_state = 2},
  [2310] = {.lex_state = 35, .external_lex_state = 2},
  [2311] = {.lex_state = 35},
  [2312] = {.lex_state = 35, .external_lex_state = 2},
  [2313] = {.lex_state = 35, .external_lex_state = 2},
  [2314] = {.lex_state = 35, .external_lex_state = 2},
  [2315] = {.lex_state = 35, .external_lex_state = 2},
  [2316] = {.lex_state = 35, .external_lex_state = 2},
  [2317] = {.lex_state = 35},
  [2318] = {.lex_state = 35, .external_lex_state = 2},
  [2319] = {.lex_state = 35, .external_lex_state = 2},
  [2320] = {.lex_state = 35, .external_lex_state = 2},
  [2321] = {.lex_state = 35},
  [2322] = {.lex_state = 35},
  [2323] = {.lex_state = 35},
  [2324] = {.lex_state = 35, .external_lex_state = 2},
  [2325] = {.lex_state = 35},
  [2326] = {.lex_state = 35},
  [2327] = {.lex_state = 35},
  [2328] = {.lex_state = 35, .external_lex_state = 2},
  [2329] = {.lex_state = 35, .external_lex_state = 2},
  [2330] = {.lex_state = 35, .external_lex_state = 2},
  [2331] = {.lex_state = 35},
  [2332] = {.lex_state = 35, .external_lex_state = 2},
  [2333] = {.lex_state = 35, .external_lex_state = 2},
  [2334] = {.lex_state = 35, .external_lex_state = 2},
  [2335] = {.lex_state = 35, .external_lex_state = 2},
  [2336] = {.lex_state = 35, .external_lex_state = 2},
  [2337] = {.lex_state = 35},
  [2338] = {.lex_state = 35},
  [2339] = {.lex_state = 35},
  [2340] = {.lex_state = 35, .external_lex_state = 2},
  [2341] = {.lex_state = 35, .external_lex_state = 2},
  [2342] = {.lex_state = 35},
  [2343] = {.lex_state = 35, .external_lex_state = 2},
  [2344] = {.lex_state = 35, .external_lex_state = 2},
  [2345] = {.lex_state = 35},
  [2346] = {.lex_state = 35},
  [2347] = {.lex_state = 35},
  [2348] = {.lex_state = 35},
  [2349] = {.lex_state = 35},
  [2350] = {.lex_state = 35, .external_lex_state = 2},
  [2351] = {.lex_state = 35, .external_lex_state = 2},
  [2352] = {.lex_state = 35, .external_lex_state = 2},
  [2353] = {.lex_state = 35},
  [2354] = {.lex_state = 35},
  [2355] = {.lex_state = 35},
  [2356] = {.lex_state = 35},
  [2357] = {.lex_state = 35},
  [2358] = {.lex_state = 35, .external_lex_state = 2},
  [2359] = {.lex_state = 35, .external_lex_state = 2},
  [2360] = {.lex_state = 35, .external_lex_state = 2},
  [2361] = {.lex_state = 35, .external_lex_state = 2},
  [2362] = {.lex_state = 35, .external_lex_state = 2},
  [2363] = {.lex_state = 35, .external_lex_state = 2},
  [2364] = {.lex_state = 35, .external_lex_state = 2},
  [2365] = {.lex_state = 35, .external_lex_state = 2},
  [2366] = {.lex_state = 35, .external_lex_state = 2},
  [2367] = {.lex_state = 35, .external_lex_state = 2},
  [2368] = {.lex_state = 35, .external_lex_state = 2},
  [2369] = {.lex_state = 35, .external_lex_state = 2},
  [2370] = {.lex_state = 35},
  [2371] = {.lex_state = 35},
  [2372] = {.lex_state = 35},
  [2373] = {.lex_state = 35},
  [2374] = {.lex_state = 36},
  [2375] = {.lex_state = 35},
  [2376] = {.lex_state = 35},
  [2377] = {.lex_state = 35},
  [2378] = {.lex_state = 35},
  [2379] = {.lex_state = 36},
  [2380] = {.lex_state = 35},
  [2381] = {.lex_state = 36},
  [2382] = {.lex_state = 36},
  [2383] = {.lex_state = 35},
  [2384] = {.lex_state = 36},
  [2385] = {.lex_state = 35},
  [2386] = {.lex_state = 35},
  [2387] = {.lex_state = 36},
  [2388] = {.lex_state = 36},
  [2389] = {.lex_state = 35, .external_lex_state = 2},
  [2390] = {.lex_state = 35, .external_lex_state = 2},
  [2391] = {.lex_state = 35, .external_lex_state = 2},
  [2392] = {.lex_state = 35, .external_lex_state = 2},
  [2393] = {.lex_state = 35, .external_lex_state = 2},
  [2394] = {.lex_state = 36},
  [2395] = {.lex_state = 35, .external_lex_state = 2},
  [2396] = {.lex_state = 35, .external_lex_state = 2},
  [2397] = {.lex_state = 35, .external_lex_state = 2},
  [2398] = {.lex_state = 35, .external_lex_state = 2},
  [2399] = {.lex_state = 35, .external_lex_state = 2},
  [2400] = {.lex_state = 35, .external_lex_state = 2},
  [2401] = {.lex_state = 36},
  [2402] = {.lex_state = 35},
  [2403] = {.lex_state = 36},
  [2404] = {.lex_state = 36},
  [2405] = {.lex_state = 36},
  [2406] = {.lex_state = 35, .external_lex_state = 2},
  [2407] = {.lex_state = 35, .external_lex_state = 2},
  [2408] = {.lex_state = 35, .external_lex_state = 2},
  [2409] = {.lex_state = 35, .external_lex_state = 2},
  [2410] = {.lex_state = 35, .external_lex_state = 2},
  [2411] = {.lex_state = 35},
  [2412] = {.lex_state = 35, .external_lex_state = 2},
  [2413] = {.lex_state = 35, .external_lex_state = 2},
  [2414] = {.lex_state = 36},
  [2415] = {.lex_state = 35, .external_lex_state = 2},
  [2416] = {.lex_state = 35},
  [2417] = {.lex_state = 35, .external_lex_state = 2},
  [2418] = {.lex_state = 35, .external_lex_state = 2},
  [2419] = {.lex_state = 35},
  [2420] = {.lex_state = 35, .external_lex_state = 2},
  [2421] = {.lex_state = 36},
  [2422] = {.lex_state = 35, .external_lex_state = 2},
  [2423] = {.lex_state = 36},
  [2424] = {.lex_state = 35, .external_lex_state = 2},
  [2425] = {.lex_state = 35, .external_lex_state = 2},
  [2426] = {.lex_state = 35, .external_lex_state = 2},
  [2427] = {.lex_state = 35, .external_lex_state = 2},
  [2428] = {.lex_state = 35, .external_lex_state = 2},
  [2429] = {.lex_state = 35, .external_lex_state = 2},
  [2430] = {.lex_state = 35, .external_lex_state = 2},
  [2431] = {.lex_state = 35, .external_lex_state = 2},
  [2432] = {.lex_state = 35, .external_lex_state = 2},
  [2433] = {.lex_state = 35, .external_lex_state = 2},
  [2434] = {.lex_state = 35, .external_lex_state = 2},
  [2435] = {.lex_state = 35},
  [2436] = {.lex_state = 35},
  [2437] = {.lex_state = 35},
  [2438] = {.lex_state = 35},
  [2439] = {.lex_state = 35, .external_lex_state = 2},
  [2440] = {.lex_state = 35},
  [2441] = {.lex_state = 35, .external_lex_state = 2},
  [2442] = {.lex_state = 35, .external_lex_state = 2},
  [2443] = {.lex_state = 35, .external_lex_state = 2},
  [2444] = {.lex_state = 35},
  [2445] = {.lex_state = 35},
  [2446] = {.lex_state = 35},
  [2447] = {.lex_state = 35},
  [2448] = {.lex_state = 35},
  [2449] = {.lex_state = 35},
  [2450] = {.lex_state = 35, .external_lex_state = 2},
  [2451] = {.lex_state = 35},
  [2452] = {.lex_state = 36},
  [2453] = {.lex_state = 36},
  [2454] = {.lex_state = 36},
  [2455] = {.lex_state = 35},
  [2456] = {.lex_state = 35},
  [2457] = {.lex_state = 35},
  [2458] = {.lex_state = 36},
  [2459] = {.lex_state = 36},
  [2460] = {.lex_state = 35, .external_lex_state = 2},
  [2461] = {.lex_state = 35, .external_lex_state = 2},
  [2462] = {.lex_state = 35, .external_lex_state = 2},
  [2463] = {.lex_state = 35, .external_lex_state = 2},
  [2464] = {.lex_state = 35},
  [2465] = {.lex_state = 35, .external_lex_state = 2},
  [2466] = {.lex_state = 35, .external_lex_state = 2},
  [2467] = {.lex_state = 35, .external_lex_state = 2},
  [2468] = {.lex_state = 35, .external_lex_state = 2},
  [2469] = {.lex_state = 35, .external_lex_state = 2},
  [2470] = {.lex_state = 35, .external_lex_state = 2},
  [2471] = {.lex_state = 35, .external_lex_state = 2},
  [2472] = {.lex_state = 36},
  [2473] = {.lex_state = 36},
  [2474] = {.lex_state = 36},
  [2475] = {.lex_state = 36},
  [2476] = {.lex_state = 36},
  [2477] = {.lex_state = 35},
  [2478] = {.lex_state = 35, .external_lex_state = 2},
  [2479] = {.lex_state = 35, .external_lex_state = 2},
  [2480] = {.lex_state = 35, .external_lex_state = 2},
  [2481] = {.lex_state = 35, .external_lex_state = 2},
  [2482] = {.lex_state = 35, .external_lex_state = 2},
  [2483] = {.lex_state = 35, .external_lex_state = 2},
  [2484] = {.lex_state = 35, .external_lex_state = 2},
  [2485] = {.lex_state = 35},
  [2486] = {.lex_state = 35},
  [2487] = {.lex_state = 36},
  [2488] = {.lex_state = 35, .external_lex_state = 2},
  [2489] = {.lex_state = 35, .external_lex_state = 2},
  [2490] = {.lex_state = 35, .external_lex_state = 2},
  [2491] = {.lex_state = 35, .external_lex_state = 2},
  [2492] = {.lex_state = 35, .external_lex_state = 2},
  [2493] = {.lex_state = 35, .external_lex_state = 2},
  [2494] = {.lex_state = 35, .external_lex_state = 2},
  [2495] = {.lex_state = 35, .external_lex_state = 2},
  [2496] = {.lex_state = 35, .external_lex_state = 2},
  [2497] = {.lex_state = 35, .external_lex_state = 2},
  [2498] = {.lex_state = 35, .external_lex_state = 2},
  [2499] = {.lex_state = 35, .external_lex_state = 2},
  [2500] = {.lex_state = 35},
  [2501] = {.lex_state = 35},
  [2502] = {.lex_state = 36},
  [2503] = {.lex_state = 35},
  [2504] = {.lex_state = 35, .external_lex_state = 2},
  [2505] = {.lex_state = 35, .external_lex_state = 2},
  [2506] = {.lex_state = 35},
  [2507] = {.lex_state = 35, .external_lex_state = 2},
  [2508] = {.lex_state = 35, .external_lex_state = 2},
  [2509] = {.lex_state = 35, .external_lex_state = 2},
  [2510] = {.lex_state = 35, .external_lex_state = 2},
  [2511] = {.lex_state = 35, .external_lex_state = 2},
  [2512] = {.lex_state = 35, .external_lex_state = 2},
  [2513] = {.lex_state = 35, .external_lex_state = 2},
  [2514] = {.lex_state = 35, .external_lex_state = 2},
  [2515] = {.lex_state = 35, .external_lex_state = 2},
  [2516] = {.lex_state = 35, .external_lex_state = 2},
  [2517] = {.lex_state = 35, .external_lex_state = 2},
  [2518] = {.lex_state = 35},
  [2519] = {.lex_state = 35, .external_lex_state = 2},
  [2520] = {.lex_state = 35, .external_lex_state = 2},
  [2521] = {.lex_state = 35, .external_lex_state = 2},
  [2522] = {.lex_state = 35},
  [2523] = {.lex_state = 36},
  [2524] = {.lex_state = 35, .external_lex_state = 2},
  [2525] = {.lex_state = 35, .external_lex_state = 2},
  [2526] = {.lex_state = 35},
  [2527] = {.lex_state = 35, .external_lex_state = 2},
  [2528] = {.lex_state = 35, .external_lex_state = 2},
  [2529] = {.lex_state = 35, .external_lex_state = 2},
  [2530] = {.lex_state = 35, .external_lex_state = 2},
  [2531] = {.lex_state = 35, .external_lex_state = 2},
  [2532] = {.lex_state = 36},
  [2533] = {.lex_state = 36},
  [2534] = {.lex_state = 36},
  [2535] = {.lex_state = 35, .external_lex_state = 2},
  [2536] = {.lex_state = 35, .external_lex_state = 2},
  [2537] = {.lex_state = 36},
  [2538] = {.lex_state = 35, .external_lex_state = 2},
  [2539] = {.lex_state = 35},
  [2540] = {.lex_state = 35},
  [2541] = {.lex_state = 35, .external_lex_state = 2},
  [2542] = {.lex_state = 35},
  [2543] = {.lex_state = 36},
  [2544] = {.lex_state = 35, .external_lex_state = 2},
  [2545] = {.lex_state = 35, .external_lex_state = 2},
  [2546] = {.lex_state = 35},
  [2547] = {.lex_state = 35, .external_lex_state = 2},
  [2548] = {.lex_state = 35, .external_lex_state = 2},
  [2549] = {.lex_state = 35, .external_lex_state = 2},
  [2550] = {.lex_state = 35},
  [2551] = {.lex_state = 35},
  [2552] = {.lex_state = 35},
  [2553] = {.lex_state = 35},
  [2554] = {.lex_state = 35},
  [2555] = {.lex_state = 35},
  [2556] = {.lex_state = 35},
  [2557] = {.lex_state = 36},
  [2558] = {.lex_state = 36},
  [2559] = {.lex_state = 36},
  [2560] = {.lex_state = 35},
  [2561] = {.lex_state = 36},
  [2562] = {.lex_state = 35},
  [2563] = {.lex_state = 35},
  [2564] = {.lex_state = 36},
  [2565] = {.lex_state = 36},
  [2566] = {.lex_state = 36},
  [2567] = {.lex_state = 36},
  [2568] = {.lex_state = 35},
  [2569] = {.lex_state = 35},
  [2570] = {.lex_state = 35},
  [2571] = {.lex_state = 35},
  [2572] = {.lex_state = 35},
  [2573] = {.lex_state = 35},
  [2574] = {.lex_state = 35},
  [2575] = {.lex_state = 35},
  [2576] = {.lex_state = 35},
  [2577] = {.lex_state = 35},
  [2578] = {.lex_state = 35},
  [2579] = {.lex_state = 35},
  [2580] = {.lex_state = 36},
  [2581] = {.lex_state = 35},
  [2582] = {.lex_state = 36},
  [2583] = {.lex_state = 35},
  [2584] = {.lex_state = 36},
  [2585] = {.lex_state = 36},
  [2586] = {.lex_state = 36},
  [2587] = {.lex_state = 36},
  [2588] = {.lex_state = 35},
  [2589] = {.lex_state = 35, .external_lex_state = 2},
  [2590] = {.lex_state = 35},
  [2591] = {.lex_state = 36},
  [2592] = {.lex_state = 35},
  [2593] = {.lex_state = 35},
  [2594] = {.lex_state = 35},
  [2595] = {.lex_state = 35},
  [2596] = {.lex_state = 35},
  [2597] = {.lex_state = 35},
  [2598] = {.lex_state = 36},
  [2599] = {.lex_state = 36},
  [2600] = {.lex_state = 35},
  [2601] = {.lex_state = 35},
  [2602] = {.lex_state = 36},
  [2603] = {.lex_state = 36},
  [2604] = {.lex_state = 35},
  [2605] = {.lex_state = 36},
  [2606] = {.lex_state = 35},
  [2607] = {.lex_state = 36},
  [2608] = {.lex_state = 35},
  [2609] = {.lex_state = 36},
  [2610] = {.lex_state = 36},
  [2611] = {.lex_state = 36},
  [2612] = {.lex_state = 36},
  [2613] = {.lex_state = 35},
  [2614] = {.lex_state = 36},
  [2615] = {.lex_state = 36},
  [2616] = {.lex_state = 35},
  [2617] = {.lex_state = 35},
  [2618] = {.lex_state = 36},
  [2619] = {.lex_state = 35},
  [2620] = {.lex_state = 36},
  [2621] = {.lex_state = 35},
  [2622] = {.lex_state = 36},
  [2623] = {.lex_state = 36},
  [2624] = {.lex_state = 35},
  [2625] = {.lex_state = 35},
  [2626] = {.lex_state = 35, .external_lex_state = 2},
  [2627] = {.lex_state = 35, .external_lex_state = 2},
  [2628] = {.lex_state = 35, .external_lex_state = 2},
  [2629] = {.lex_state = 35, .external_lex_state = 2},
  [2630] = {.lex_state = 35, .external_lex_state = 2},
  [2631] = {.lex_state = 35},
  [2632] = {.lex_state = 35, .external_lex_state = 2},
  [2633] = {.lex_state = 35, .external_lex_state = 2},
  [2634] = {.lex_state = 35, .external_lex_state = 2},
  [2635] = {.lex_state = 35, .external_lex_state = 2},
  [2636] = {.lex_state = 35, .external_lex_state = 2},
  [2637] = {.lex_state = 35, .external_lex_state = 2},
  [2638] = {.lex_state = 35, .external_lex_state = 2},
  [2639] = {.lex_state = 35, .external_lex_state = 2},
  [2640] = {.lex_state = 35, .external_lex_state = 2},
  [2641] = {.lex_state = 35, .external_lex_state = 2},
  [2642] = {.lex_state = 35, .external_lex_state = 2},
  [2643] = {.lex_state = 35, .external_lex_state = 2},
  [2644] = {.lex_state = 35, .external_lex_state = 2},
  [2645] = {.lex_state = 35, .external_lex_state = 2},
  [2646] = {.lex_state = 35, .external_lex_state = 2},
  [2647] = {.lex_state = 35, .external_lex_state = 2},
  [2648] = {.lex_state = 35, .external_lex_state = 2},
  [2649] = {.lex_state = 35, .external_lex_state = 2},
  [2650] = {.lex_state = 35, .external_lex_state = 2},
  [2651] = {.lex_state = 35, .external_lex_state = 2},
  [2652] = {.lex_state = 33},
  [2653] = {.lex_state = 33},
  [2654] = {.lex_state = 35, .external_lex_state = 2},
  [2655] = {.lex_state = 35, .external_lex_state = 2},
  [2656] = {.lex_state = 35},
  [2657] = {.lex_state = 35},
  [2658] = {.lex_state = 35},
  [2659] = {.lex_state = 35, .external_lex_state = 2},
  [2660] = {.lex_state = 35, .external_lex_state = 2},
  [2661] = {.lex_state = 35},
  [2662] = {.lex_state = 35, .external_lex_state = 2},
  [2663] = {.lex_state = 36},
  [2664] = {.lex_state = 35, .external_lex_state = 2},
  [2665] = {.lex_state = 35, .external_lex_state = 2},
  [2666] = {.lex_state = 35},
  [2667] = {.lex_state = 35, .external_lex_state = 2},
  [2668] = {.lex_state = 35, .external_lex_state = 2},
  [2669] = {.lex_state = 35},
  [2670] = {.lex_state = 36},
  [2671] = {.lex_state = 35, .external_lex_state = 2},
  [2672] = {.lex_state = 35, .external_lex_state = 2},
  [2673] = {.lex_state = 35, .external_lex_state = 2},
  [2674] = {.lex_state = 35},
  [2675] = {.lex_state = 35, .external_lex_state = 2},
  [2676] = {.lex_state = 35, .external_lex_state = 2},
  [2677] = {.lex_state = 35},
  [2678] = {.lex_state = 35},
  [2679] = {.lex_state = 35},
  [2680] = {.lex_state = 35},
  [2681] = {.lex_state = 35},
  [2682] = {.lex_state = 35, .external_lex_state = 2},
  [2683] = {.lex_state = 35},
  [2684] = {.lex_state = 33},
  [2685] = {.lex_state = 35},
  [2686] = {.lex_state = 35, .external_lex_state = 2},
  [2687] = {.lex_state = 35},
  [2688] = {.lex_state = 35},
  [2689] = {.lex_state = 35, .external_lex_state = 2},
  [2690] = {.lex_state = 35, .external_lex_state = 2},
  [2691] = {.lex_state = 35, .external_lex_state = 2},
  [2692] = {.lex_state = 35},
  [2693] = {.lex_state = 36},
  [2694] = {.lex_state = 35, .external_lex_state = 2},
  [2695] = {.lex_state = 35, .external_lex_state = 2},
  [2696] = {.lex_state = 35, .external_lex_state = 2},
  [2697] = {.lex_state = 35},
  [2698] = {.lex_state = 35},
  [2699] = {.lex_state = 35},
  [2700] = {.lex_state = 35},
  [2701] = {.lex_state = 35},
  [2702] = {.lex_state = 35},
  [2703] = {.lex_state = 35, .external_lex_state = 2},
  [2704] = {.lex_state = 35, .external_lex_state = 2},
  [2705] = {.lex_state = 35, .external_lex_state = 2},
  [2706] = {.lex_state = 35},
  [2707] = {.lex_state = 35, .external_lex_state = 2},
  [2708] = {.lex_state = 35},
  [2709] = {.lex_state = 35, .external_lex_state = 2},
  [2710] = {.lex_state = 35, .external_lex_state = 2},
  [2711] = {.lex_state = 36},
  [2712] = {.lex_state = 35, .external_lex_state = 2},
  [2713] = {.lex_state = 36},
  [2714] = {.lex_state = 36},
  [2715] = {.lex_state = 35, .external_lex_state = 2},
  [2716] = {.lex_state = 35, .external_lex_state = 2},
  [2717] = {.lex_state = 35, .external_lex_state = 2},
  [2718] = {.lex_state = 35, .external_lex_state = 2},
  [2719] = {.lex_state = 35, .external_lex_state = 2},
  [2720] = {.lex_state = 35, .external_lex_state = 2},
  [2721] = {.lex_state = 35, .external_lex_state = 2},
  [2722] = {.lex_state = 35, .external_lex_state = 2},
  [2723] = {.lex_state = 35, .external_lex_state = 2},
  [2724] = {.lex_state = 35, .external_lex_state = 2},
  [2725] = {.lex_state = 35, .external_lex_state = 2},
  [2726] = {.lex_state = 35, .external_lex_state = 2},
  [2727] = {.lex_state = 35},
  [2728] = {.lex_state = 35, .external_lex_state = 2},
  [2729] = {.lex_state = 35},
  [2730] = {.lex_state = 35, .external_lex_state = 2},
  [2731] = {.lex_state = 35},
  [2732] = {.lex_state = 35, .external_lex_state = 2},
  [2733] = {.lex_state = 35},
  [2734] = {.lex_state = 35, .external_lex_state = 2},
  [2735] = {.lex_state = 35},
  [2736] = {.lex_state = 35},
  [2737] = {.lex_state = 35},
  [2738] = {.lex_state = 35},
  [2739] = {.lex_state = 33},
  [2740] = {.lex_state = 35},
  [2741] = {.lex_state = 35},
  [2742] = {.lex_state = 35},
  [2743] = {.lex_state = 33, .external_lex_state = 2},
  [2744] = {.lex_state = 35},
  [2745] = {.lex_state = 33},
  [2746] = {.lex_state = 35},
  [2747] = {.lex_state = 35, .external_lex_state = 2},
  [2748] = {.lex_state = 35},
  [2749] = {.lex_state = 35, .external_lex_state = 2},
  [2750] = {.lex_state = 35},
  [2751] = {.lex_state = 35, .external_lex_state = 2},
  [2752] = {.lex_state = 33},
  [2753] = {.lex_state = 35},
  [2754] = {.lex_state = 35, .external_lex_state = 2},
  [2755] = {.lex_state = 35, .external_lex_state = 2},
  [2756] = {.lex_state = 35},
  [2757] = {.lex_state = 35},
  [2758] = {.lex_state = 35},
  [2759] = {.lex_state = 35},
  [2760] = {.lex_state = 35},
  [2761] = {.lex_state = 35},
  [2762] = {.lex_state = 35},
  [2763] = {.lex_state = 35},
  [2764] = {.lex_state = 35, .external_lex_state = 2},
  [2765] = {.lex_state = 35},
  [2766] = {.lex_state = 35},
  [2767] = {.lex_state = 35, .external_lex_state = 2},
  [2768] = {.lex_state = 35},
  [2769] = {.lex_state = 35},
  [2770] = {.lex_state = 35},
  [2771] = {.lex_state = 35},
  [2772] = {.lex_state = 35},
  [2773] = {.lex_state = 35},
  [2774] = {.lex_state = 35, .external_lex_state = 2},
  [2775] = {.lex_state = 35, .external_lex_state = 2},
  [2776] = {.lex_state = 35, .external_lex_state = 2},
  [2777] = {.lex_state = 35, .external_lex_state = 2},
  [2778] = {.lex_state = 35, .external_lex_state = 2},
  [2779] = {.lex_state = 35},
  [2780] = {.lex_state = 35, .external_lex_state = 2},
  [2781] = {.lex_state = 35, .external_lex_state = 2},
  [2782] = {.lex_state = 35, .external_lex_state = 2},
  [2783] = {.lex_state = 35},
  [2784] = {.lex_state = 35},
  [2785] = {.lex_state = 35},
  [2786] = {.lex_state = 35},
  [2787] = {.lex_state = 35, .external_lex_state = 2},
  [2788] = {.lex_state = 35},
  [2789] = {.lex_state = 35},
  [2790] = {.lex_state = 35},
  [2791] = {.lex_state = 35},
  [2792] = {.lex_state = 35},
  [2793] = {.lex_state = 35, .external_lex_state = 2},
  [2794] = {.lex_state = 35, .external_lex_state = 2},
  [2795] = {.lex_state = 35, .external_lex_state = 2},
  [2796] = {.lex_state = 35},
  [2797] = {.lex_state = 35},
  [2798] = {.lex_state = 35, .external_lex_state = 2},
  [2799] = {.lex_state = 33},
  [2800] = {.lex_state = 35},
  [2801] = {.lex_state = 35},
  [2802] = {.lex_state = 35, .external_lex_state = 2},
  [2803] = {.lex_state = 35, .external_lex_state = 2},
  [2804] = {.lex_state = 35},
  [2805] = {.lex_state = 35},
  [2806] = {.lex_state = 35, .external_lex_state = 2},
  [2807] = {.lex_state = 35},
  [2808] = {.lex_state = 35},
  [2809] = {.lex_state = 35},
  [2810] = {.lex_state = 35},
  [2811] = {.lex_state = 35},
  [2812] = {.lex_state = 35, .external_lex_state = 2},
  [2813] = {.lex_state = 35, .external_lex_state = 2},
  [2814] = {.lex_state = 35},
  [2815] = {.lex_state = 35},
  [2816] = {.lex_state = 35},
  [2817] = {.lex_state = 35, .external_lex_state = 2},
  [2818] = {.lex_state = 35},
  [2819] = {.lex_state = 35},
  [2820] = {.lex_state = 35},
  [2821] = {.lex_state = 35},
  [2822] = {.lex_state = 35},
  [2823] = {.lex_state = 35},
  [2824] = {.lex_state = 35},
  [2825] = {.lex_state = 35},
  [2826] = {.lex_state = 35, .external_lex_state = 2},
  [2827] = {.lex_state = 35},
  [2828] = {.lex_state = 35},
  [2829] = {.lex_state = 35},
  [2830] = {.lex_state = 35},
  [2831] = {.lex_state = 35, .external_lex_state = 2},
  [2832] = {.lex_state = 35, .external_lex_state = 2},
  [2833] = {.lex_state = 35},
  [2834] = {.lex_state = 35},
  [2835] = {.lex_state = 35},
  [2836] = {.lex_state = 35, .external_lex_state = 2},
  [2837] = {.lex_state = 35},
  [2838] = {.lex_state = 35, .external_lex_state = 2},
  [2839] = {.lex_state = 35, .external_lex_state = 2},
  [2840] = {.lex_state = 35},
  [2841] = {.lex_state = 35, .external_lex_state = 2},
  [2842] = {.lex_state = 35, .external_lex_state = 2},
  [2843] = {.lex_state = 35, .external_lex_state = 2},
  [2844] = {.lex_state = 35, .external_lex_state = 2},
  [2845] = {.lex_state = 35, .external_lex_state = 2},
  [2846] = {.lex_state = 35, .external_lex_state = 2},
  [2847] = {.lex_state = 35},
  [2848] = {.lex_state = 35},
  [2849] = {.lex_state = 35},
  [2850] = {.lex_state = 35, .external_lex_state = 2},
  [2851] = {.lex_state = 35, .external_lex_state = 2},
  [2852] = {.lex_state = 35},
  [2853] = {.lex_state = 35},
  [2854] = {.lex_state = 35, .external_lex_state = 2},
  [2855] = {.lex_state = 35, .external_lex_state = 2},
  [2856] = {.lex_state = 35},
  [2857] = {.lex_state = 35, .external_lex_state = 2},
  [2858] = {.lex_state = 35},
  [2859] = {.lex_state = 35},
  [2860] = {.lex_state = 35},
  [2861] = {.lex_state = 35},
  [2862] = {.lex_state = 35, .external_lex_state = 2},
  [2863] = {.lex_state = 35},
  [2864] = {.lex_state = 35},
  [2865] = {.lex_state = 33},
  [2866] = {.lex_state = 35},
  [2867] = {.lex_state = 35, .external_lex_state = 2},
  [2868] = {.lex_state = 35, .external_lex_state = 2},
  [2869] = {.lex_state = 35},
  [2870] = {.lex_state = 35},
  [2871] = {.lex_state = 35},
  [2872] = {.lex_state = 35},
  [2873] = {.lex_state = 35},
  [2874] = {.lex_state = 35},
  [2875] = {.lex_state = 35},
  [2876] = {.lex_state = 35},
  [2877] = {.lex_state = 35, .external_lex_state = 2},
  [2878] = {.lex_state = 35},
  [2879] = {.lex_state = 35, .external_lex_state = 2},
  [2880] = {.lex_state = 35, .external_lex_state = 2},
  [2881] = {.lex_state = 35, .external_lex_state = 2},
  [2882] = {.lex_state = 35},
  [2883] = {.lex_state = 35},
  [2884] = {.lex_state = 35},
  [2885] = {.lex_state = 35},
  [2886] = {.lex_state = 35},
  [2887] = {.lex_state = 35},
  [2888] = {.lex_state = 35},
  [2889] = {.lex_state = 35},
  [2890] = {.lex_state = 35},
  [2891] = {.lex_state = 35},
  [2892] = {.lex_state = 35},
  [2893] = {.lex_state = 35},
  [2894] = {.lex_state = 35},
  [2895] = {.lex_state = 35},
  [2896] = {.lex_state = 35},
  [2897] = {.lex_state = 35},
  [2898] = {.lex_state = 35},
  [2899] = {.lex_state = 35},
  [2900] = {.lex_state = 35},
  [2901] = {.lex_state = 35},
  [2902] = {.lex_state = 35},
  [2903] = {.lex_state = 35},
  [2904] = {.lex_state = 35},
  [2905] = {.lex_state = 35},
  [2906] = {.lex_state = 35},
  [2907] = {.lex_state = 35},
  [2908] = {.lex_state = 35},
  [2909] = {.lex_state = 35},
  [2910] = {.lex_state = 35},
  [2911] = {.lex_state = 35},
  [2912] = {.lex_state = 35},
  [2913] = {.lex_state = 35},
  [2914] = {.lex_state = 35},
  [2915] = {.lex_state = 35},
  [2916] = {.lex_state = 35},
  [2917] = {.lex_state = 35},
  [2918] = {.lex_state = 35},
  [2919] = {.lex_state = 35},
  [2920] = {.lex_state = 35},
  [2921] = {.lex_state = 35},
  [2922] = {.lex_state = 35},
  [2923] = {.lex_state = 35},
  [2924] = {.lex_state = 35},
  [2925] = {.lex_state = 33},
  [2926] = {.lex_state = 35, .external_lex_state = 2},
  [2927] = {.lex_state = 35, .external_lex_state = 2},
  [2928] = {.lex_state = 35, .external_lex_state = 2},
  [2929] = {.lex_state = 35, .external_lex_state = 2},
  [2930] = {.lex_state = 35, .external_lex_state = 2},
  [2931] = {.lex_state = 35, .external_lex_state = 2},
  [2932] = {.lex_state = 35, .external_lex_state = 2},
  [2933] = {.lex_state = 35, .external_lex_state = 2},
  [2934] = {.lex_state = 35, .external_lex_state = 2},
  [2935] = {.lex_state = 35, .external_lex_state = 2},
  [2936] = {.lex_state = 35, .external_lex_state = 2},
  [2937] = {.lex_state = 35, .external_lex_state = 2},
  [2938] = {.lex_state = 35, .external_lex_state = 2},
  [2939] = {.lex_state = 35, .external_lex_state = 2},
  [2940] = {.lex_state = 33, .external_lex_state = 2},
  [2941] = {.lex_state = 33, .external_lex_state = 2},
  [2942] = {.lex_state = 35, .external_lex_state = 2},
  [2943] = {.lex_state = 35, .external_lex_state = 2},
  [2944] = {.lex_state = 35},
  [2945] = {.lex_state = 35},
  [2946] = {.lex_state = 35},
  [2947] = {.lex_state = 35, .external_lex_state = 2},
  [2948] = {.lex_state = 35, .external_lex_state = 2},
  [2949] = {.lex_state = 35},
  [2950] = {.lex_state = 33, .external_lex_state = 2},
  [2951] = {.lex_state = 35, .external_lex_state = 2},
  [2952] = {.lex_state = 35, .external_lex_state = 2},
  [2953] = {.lex_state = 35},
  [2954] = {.lex_state = 35},
  [2955] = {.lex_state = 35},
  [2956] = {.lex_state = 35},
  [2957] = {.lex_state = 35},
  [2958] = {.lex_state = 35},
  [2959] = {.lex_state = 35},
  [2960] = {.lex_state = 35},
  [2961] = {.lex_state = 35},
  [2962] = {.lex_state = 35},
  [2963] = {.lex_state = 35},
  [2964] = {.lex_state = 35},
  [2965] = {.lex_state = 35},
  [2966] = {.lex_state = 35},
  [2967] = {.lex_state = 35},
  [2968] = {.lex_state = 35},
  [2969] = {.lex_state = 35},
  [2970] = {.lex_state = 35},
  [2971] = {.lex_state = 33},
  [2972] = {.lex_state = 35},
  [2973] = {.lex_state = 35},
  [2974] = {.lex_state = 35, .external_lex_state = 2},
  [2975] = {.lex_state = 35, .external_lex_state = 2},
  [2976] = {.lex_state = 35, .external_lex_state = 2},
  [2977] = {.lex_state = 35},
  [2978] = {.lex_state = 35},
  [2979] = {.lex_state = 35},
  [2980] = {.lex_state = 35, .external_lex_state = 2},
  [2981] = {.lex_state = 35},
  [2982] = {.lex_state = 35},
  [2983] = {.lex_state = 35},
  [2984] = {.lex_state = 35},
  [2985] = {.lex_state = 35},
  [2986] = {.lex_state = 35, .external_lex_state = 2},
  [2987] = {.lex_state = 35, .external_lex_state = 2},
  [2988] = {.lex_state = 35, .external_lex_state = 2},
  [2989] = {.lex_state = 35, .external_lex_state = 2},
  [2990] = {.lex_state = 35, .external_lex_state = 2},
  [2991] = {.lex_state = 35, .external_lex_state = 2},
  [2992] = {.lex_state = 35, .external_lex_state = 2},
  [2993] = {.lex_state = 35},
  [2994] = {.lex_state = 35, .external_lex_state = 2},
  [2995] = {.lex_state = 35, .external_lex_state = 2},
  [2996] = {.lex_state = 35, .external_lex_state = 2},
  [2997] = {.lex_state = 35, .external_lex_state = 2},
  [2998] = {.lex_state = 35, .external_lex_state = 2},
  [2999] = {.lex_state = 35, .external_lex_state = 2},
  [3000] = {.lex_state = 35, .external_lex_state = 2},
  [3001] = {.lex_state = 35, .external_lex_state = 2},
  [3002] = {.lex_state = 35, .external_lex_state = 2},
  [3003] = {.lex_state = 35, .external_lex_state = 2},
  [3004] = {.lex_state = 35, .external_lex_state = 2},
  [3005] = {.lex_state = 35, .external_lex_state = 2},
  [3006] = {.lex_state = 35, .external_lex_state = 2},
  [3007] = {.lex_state = 35, .external_lex_state = 2},
  [3008] = {.lex_state = 35},
  [3009] = {.lex_state = 35, .external_lex_state = 2},
  [3010] = {.lex_state = 35, .external_lex_state = 2},
  [3011] = {.lex_state = 35, .external_lex_state = 2},
  [3012] = {.lex_state = 35, .external_lex_state = 2},
  [3013] = {.lex_state = 35, .external_lex_state = 2},
  [3014] = {.lex_state = 35, .external_lex_state = 2},
  [3015] = {.lex_state = 35, .external_lex_state = 2},
  [3016] = {.lex_state = 35, .external_lex_state = 2},
  [3017] = {.lex_state = 35, .external_lex_state = 2},
  [3018] = {.lex_state = 35, .external_lex_state = 2},
  [3019] = {.lex_state = 35, .external_lex_state = 2},
  [3020] = {.lex_state = 35, .external_lex_state = 2},
  [3021] = {.lex_state = 35, .external_lex_state = 2},
  [3022] = {.lex_state = 35, .external_lex_state = 2},
  [3023] = {.lex_state = 35, .external_lex_state = 2},
  [3024] = {.lex_state = 35, .external_lex_state = 2},
  [3025] = {.lex_state = 35, .external_lex_state = 2},
  [3026] = {.lex_state = 35, .external_lex_state = 2},
  [3027] = {.lex_state = 35, .external_lex_state = 2},
  [3028] = {.lex_state = 35, .external_lex_state = 2},
  [3029] = {.lex_state = 35, .external_lex_state = 2},
  [3030] = {.lex_state = 35},
  [3031] = {.lex_state = 35, .external_lex_state = 2},
  [3032] = {.lex_state = 35},
  [3033] = {.lex_state = 35, .external_lex_state = 2},
  [3034] = {.lex_state = 35},
  [3035] = {.lex_state = 35, .external_lex_state = 2},
  [3036] = {.lex_state = 35, .external_lex_state = 2},
  [3037] = {.lex_state = 35, .external_lex_state = 2},
  [3038] = {.lex_state = 35},
  [3039] = {.lex_state = 35},
  [3040] = {.lex_state = 35, .external_lex_state = 2},
  [3041] = {.lex_state = 35, .external_lex_state = 2},
  [3042] = {.lex_state = 35, .external_lex_state = 2},
  [3043] = {.lex_state = 35, .external_lex_state = 2},
  [3044] = {.lex_state = 35, .external_lex_state = 2},
  [3045] = {.lex_state = 35, .external_lex_state = 2},
  [3046] = {.lex_state = 35, .external_lex_state = 2},
  [3047] = {.lex_state = 35, .external_lex_state = 2},
  [3048] = {.lex_state = 35},
  [3049] = {.lex_state = 35, .external_lex_state = 2},
  [3050] = {.lex_state = 35, .external_lex_state = 2},
  [3051] = {.lex_state = 35, .external_lex_state = 2},
  [3052] = {.lex_state = 35},
  [3053] = {.lex_state = 35, .external_lex_state = 2},
  [3054] = {.lex_state = 35, .external_lex_state = 2},
  [3055] = {.lex_state = 35, .external_lex_state = 2},
  [3056] = {.lex_state = 33},
  [3057] = {.lex_state = 33, .external_lex_state = 2},
  [3058] = {.lex_state = 35},
  [3059] = {.lex_state = 35},
  [3060] = {.lex_state = 35},
  [3061] = {.lex_state = 35},
  [3062] = {.lex_state = 35},
  [3063] = {.lex_state = 35},
  [3064] = {.lex_state = 35},
  [3065] = {.lex_state = 35, .external_lex_state = 2},
  [3066] = {.lex_state = 35, .external_lex_state = 2},
  [3067] = {.lex_state = 35},
  [3068] = {.lex_state = 35, .external_lex_state = 2},
  [3069] = {.lex_state = 35},
  [3070] = {.lex_state = 35},
  [3071] = {.lex_state = 35},
  [3072] = {.lex_state = 35},
  [3073] = {.lex_state = 35},
  [3074] = {.lex_state = 35},
  [3075] = {.lex_state = 33, .external_lex_state = 2},
  [3076] = {.lex_state = 35},
  [3077] = {.lex_state = 35},
  [3078] = {.lex_state = 35},
  [3079] = {.lex_state = 35},
  [3080] = {.lex_state = 35},
  [3081] = {.lex_state = 35},
  [3082] = {.lex_state = 35},
  [3083] = {.lex_state = 35},
  [3084] = {.lex_state = 35},
  [3085] = {.lex_state = 35, .external_lex_state = 2},
  [3086] = {.lex_state = 35, .external_lex_state = 2},
  [3087] = {.lex_state = 35, .external_lex_state = 2},
  [3088] = {.lex_state = 35, .external_lex_state = 2},
  [3089] = {.lex_state = 35},
  [3090] = {.lex_state = 35},
  [3091] = {.lex_state = 35, .external_lex_state = 2},
  [3092] = {.lex_state = 35},
  [3093] = {.lex_state = 35},
  [3094] = {.lex_state = 35},
  [3095] = {.lex_state = 35},
  [3096] = {.lex_state = 35},
  [3097] = {.lex_state = 35},
  [3098] = {.lex_state = 35},
  [3099] = {.lex_state = 35},
  [3100] = {.lex_state = 35},
  [3101] = {.lex_state = 35},
  [3102] = {.lex_state = 35},
  [3103] = {.lex_state = 35},
  [3104] = {.lex_state = 35},
  [3105] = {.lex_state = 35},
  [3106] = {.lex_state = 35, .external_lex_state = 2},
  [3107] = {.lex_state = 35, .external_lex_state = 2},
  [3108] = {.lex_state = 35, .external_lex_state = 2},
  [3109] = {.lex_state = 35},
  [3110] = {.lex_state = 35, .external_lex_state = 2},
  [3111] = {.lex_state = 35, .external_lex_state = 2},
  [3112] = {.lex_state = 35, .external_lex_state = 2},
  [3113] = {.lex_state = 35, .external_lex_state = 2},
  [3114] = {.lex_state = 35, .external_lex_state = 2},
  [3115] = {.lex_state = 35, .external_lex_state = 2},
  [3116] = {.lex_state = 35},
  [3117] = {.lex_state = 35, .external_lex_state = 2},
  [3118] = {.lex_state = 35},
  [3119] = {.lex_state = 35},
  [3120] = {.lex_state = 35},
  [3121] = {.lex_state = 35},
  [3122] = {.lex_state = 35},
  [3123] = {.lex_state = 35},
  [3124] = {.lex_state = 35},
  [3125] = {.lex_state = 35},
  [3126] = {.lex_state = 35},
  [3127] = {.lex_state = 35},
  [3128] = {.lex_state = 35},
  [3129] = {.lex_state = 35},
  [3130] = {.lex_state = 35},
  [3131] = {.lex_state = 35},
  [3132] = {.lex_state = 35},
  [3133] = {.lex_state = 35},
  [3134] = {.lex_state = 35, .external_lex_state = 2},
  [3135] = {.lex_state = 35, .external_lex_state = 2},
  [3136] = {.lex_state = 35, .external_lex_state = 2},
  [3137] = {.lex_state = 35},
  [3138] = {.lex_state = 35},
  [3139] = {.lex_state = 35},
  [3140] = {.lex_state = 33, .external_lex_state = 2},
  [3141] = {.lex_state = 35, .external_lex_state = 2},
  [3142] = {.lex_state = 35, .external_lex_state = 2},
  [3143] = {.lex_state = 33, .external_lex_state = 2},
  [3144] = {.lex_state = 35, .external_lex_state = 2},
  [3145] = {.lex_state = 35, .external_lex_state = 2},
  [3146] = {.lex_state = 35, .external_lex_state = 2},
  [3147] = {.lex_state = 35, .external_lex_state = 2},
  [3148] = {.lex_state = 35, .external_lex_state = 2},
  [3149] = {.lex_state = 35, .external_lex_state = 2},
  [3150] = {.lex_state = 35, .external_lex_state = 2},
  [3151] = {.lex_state = 35, .external_lex_state = 2},
  [3152] = {.lex_state = 35},
  [3153] = {.lex_state = 35, .external_lex_state = 2},
  [3154] = {.lex_state = 35},
  [3155] = {.lex_state = 35},
  [3156] = {.lex_state = 35},
  [3157] = {.lex_state = 35},
  [3158] = {.lex_state = 35},
  [3159] = {.lex_state = 33},
  [3160] = {.lex_state = 35},
  [3161] = {.lex_state = 35},
  [3162] = {.lex_state = 35},
  [3163] = {.lex_state = 35},
  [3164] = {.lex_state = 35},
  [3165] = {.lex_state = 35},
  [3166] = {.lex_state = 35},
  [3167] = {.lex_state = 35},
  [3168] = {.lex_state = 35},
  [3169] = {.lex_state = 35},
  [3170] = {.lex_state = 35},
  [3171] = {.lex_state = 35},
  [3172] = {.lex_state = 35},
  [3173] = {.lex_state = 35},
  [3174] = {.lex_state = 35},
  [3175] = {.lex_state = 35, .external_lex_state = 2},
  [3176] = {.lex_state = 35, .external_lex_state = 2},
  [3177] = {.lex_state = 35},
  [3178] = {.lex_state = 35},
  [3179] = {.lex_state = 35},
  [3180] = {.lex_state = 35},
  [3181] = {.lex_state = 35},
  [3182] = {.lex_state = 35},
  [3183] = {.lex_state = 35},
  [3184] = {.lex_state = 35},
  [3185] = {.lex_state = 35},
  [3186] = {.lex_state = 35},
  [3187] = {.lex_state = 35, .external_lex_state = 2},
  [3188] = {.lex_state = 33, .external_lex_state = 2},
  [3189] = {.lex_state = 35},
  [3190] = {.lex_state = 35},
  [3191] = {.lex_state = 35},
  [3192] = {.lex_state = 35},
  [3193] = {.lex_state = 35},
  [3194] = {.lex_state = 35},
  [3195] = {.lex_state = 35},
  [3196] = {.lex_state = 35},
  [3197] = {.lex_state = 35},
  [3198] = {.lex_state = 33, .external_lex_state = 2},
  [3199] = {.lex_state = 35},
  [3200] = {.lex_state = 35, .external_lex_state = 2},
  [3201] = {.lex_state = 35, .external_lex_state = 2},
  [3202] = {.lex_state = 35},
  [3203] = {.lex_state = 35},
  [3204] = {.lex_state = 35},
  [3205] = {.lex_state = 35},
  [3206] = {.lex_state = 35, .external_lex_state = 2},
  [3207] = {.lex_state = 35},
  [3208] = {.lex_state = 35},
  [3209] = {.lex_state = 35, .external_lex_state = 2},
  [3210] = {.lex_state = 35, .external_lex_state = 2},
  [3211] = {.lex_state = 35},
  [3212] = {.lex_state = 35, .external_lex_state = 2},
  [3213] = {.lex_state = 35},
  [3214] = {.lex_state = 35},
  [3215] = {.lex_state = 35},
  [3216] = {.lex_state = 35},
  [3217] = {.lex_state = 35},
  [3218] = {.lex_state = 35, .external_lex_state = 2},
  [3219] = {.lex_state = 35, .external_lex_state = 2},
  [3220] = {.lex_state = 35, .external_lex_state = 2},
  [3221] = {.lex_state = 35, .external_lex_state = 2},
  [3222] = {.lex_state = 35},
  [3223] = {.lex_state = 35, .external_lex_state = 2},
  [3224] = {.lex_state = 35},
  [3225] = {.lex_state = 35, .external_lex_state = 2},
  [3226] = {.lex_state = 35, .external_lex_state = 2},
  [3227] = {.lex_state = 35},
  [3228] = {.lex_state = 35},
  [3229] = {.lex_state = 35, .external_lex_state = 2},
  [3230] = {.lex_state = 35, .external_lex_state = 2},
  [3231] = {.lex_state = 35, .external_lex_state = 2},
  [3232] = {.lex_state = 35, .external_lex_state = 2},
  [3233] = {.lex_state = 35},
  [3234] = {.lex_state = 35},
  [3235] = {.lex_state = 35},
  [3236] = {.lex_state = 35},
  [3237] = {.lex_state = 35},
  [3238] = {.lex_state = 35},
  [3239] = {.lex_state = 35},
  [3240] = {.lex_state = 35},
  [3241] = {.lex_state = 35},
  [3242] = {.lex_state = 35},
  [3243] = {.lex_state = 35},
  [3244] = {.lex_state = 35},
  [3245] = {.lex_state = 35},
  [3246] = {.lex_state = 35},
  [3247] = {.lex_state = 35},
  [3248] = {.lex_state = 35},
  [3249] = {.lex_state = 35},
  [3250] = {.lex_state = 35, .external_lex_state = 2},
  [3251] = {.lex_state = 35},
  [3252] = {.lex_state = 35},
  [3253] = {.lex_state = 35},
  [3254] = {.lex_state = 35, .external_lex_state = 2},
  [3255] = {.lex_state = 35, .external_lex_state = 2},
  [3256] = {.lex_state = 35},
  [3257] = {.lex_state = 35},
  [3258] = {.lex_state = 35, .external_lex_state = 2},
  [3259] = {.lex_state = 35, .external_lex_state = 2},
  [3260] = {.lex_state = 35},
  [3261] = {.lex_state = 35, .external_lex_state = 2},
  [3262] = {.lex_state = 35, .external_lex_state = 2},
  [3263] = {.lex_state = 35},
  [3264] = {.lex_state = 35, .external_lex_state = 2},
  [3265] = {.lex_state = 35},
  [3266] = {.lex_state = 35, .external_lex_state = 2},
  [3267] = {.lex_state = 35},
  [3268] = {.lex_state = 35},
  [3269] = {.lex_state = 35, .external_lex_state = 2},
  [3270] = {.lex_state = 35, .external_lex_state = 2},
  [3271] = {.lex_state = 35},
  [3272] = {.lex_state = 35, .external_lex_state = 2},
  [3273] = {.lex_state = 35},
  [3274] = {.lex_state = 35},
  [3275] = {.lex_state = 35},
  [3276] = {.lex_state = 35},
  [3277] = {.lex_state = 35, .external_lex_state = 2},
  [3278] = {.lex_state = 35},
  [3279] = {.lex_state = 35},
  [3280] = {.lex_state = 35},
  [3281] = {.lex_state = 35},
  [3282] = {.lex_state = 35, .external_lex_state = 2},
  [3283] = {.lex_state = 35},
  [3284] = {.lex_state = 35, .external_lex_state = 2},
  [3285] = {.lex_state = 35, .external_lex_state = 2},
  [3286] = {.lex_state = 35},
  [3287] = {.lex_state = 35, .external_lex_state = 2},
  [3288] = {.lex_state = 35},
  [3289] = {.lex_state = 35, .external_lex_state = 2},
  [3290] = {.lex_state = 35},
  [3291] = {.lex_state = 35, .external_lex_state = 2},
  [3292] = {.lex_state = 35, .external_lex_state = 2},
  [3293] = {.lex_state = 35, .external_lex_state = 2},
  [3294] = {.lex_state = 35, .external_lex_state = 2},
  [3295] = {.lex_state = 35, .external_lex_state = 2},
  [3296] = {.lex_state = 35},
  [3297] = {.lex_state = 35},
  [3298] = {.lex_state = 35, .external_lex_state = 2},
  [3299] = {.lex_state = 35, .external_lex_state = 2},
  [3300] = {.lex_state = 35},
  [3301] = {.lex_state = 35, .external_lex_state = 2},
  [3302] = {.lex_state = 35},
  [3303] = {.lex_state = 35, .external_lex_state = 2},
  [3304] = {.lex_state = 35, .external_lex_state = 2},
  [3305] = {.lex_state = 35, .external_lex_state = 2},
  [3306] = {.lex_state = 35, .external_lex_state = 2},
  [3307] = {.lex_state = 35, .external_lex_state = 2},
  [3308] = {.lex_state = 35, .external_lex_state = 2},
  [3309] = {.lex_state = 35, .external_lex_state = 2},
  [3310] = {.lex_state = 35},
  [3311] = {.lex_state = 35},
  [3312] = {.lex_state = 35, .external_lex_state = 2},
  [3313] = {.lex_state = 35, .external_lex_state = 2},
  [3314] = {.lex_state = 35, .external_lex_state = 2},
  [3315] = {.lex_state = 35, .external_lex_state = 2},
  [3316] = {.lex_state = 35, .external_lex_state = 2},
  [3317] = {.lex_state = 35, .external_lex_state = 2},
  [3318] = {.lex_state = 35},
  [3319] = {.lex_state = 35},
  [3320] = {.lex_state = 35},
  [3321] = {.lex_state = 35},
  [3322] = {.lex_state = 35},
  [3323] = {.lex_state = 35, .external_lex_state = 2},
  [3324] = {.lex_state = 35},
  [3325] = {.lex_state = 35, .external_lex_state = 2},
  [3326] = {.lex_state = 35},
  [3327] = {.lex_state = 35, .external_lex_state = 2},
  [3328] = {.lex_state = 35},
  [3329] = {.lex_state = 35, .external_lex_state = 2},
  [3330] = {.lex_state = 35, .external_lex_state = 2},
  [3331] = {.lex_state = 35, .external_lex_state = 2},
  [3332] = {.lex_state = 35},
  [3333] = {.lex_state = 35},
  [3334] = {.lex_state = 35},
  [3335] = {.lex_state = 35},
  [3336] = {.lex_state = 35, .external_lex_state = 2},
  [3337] = {.lex_state = 35},
  [3338] = {.lex_state = 35},
  [3339] = {.lex_state = 35},
  [3340] = {.lex_state = 35},
  [3341] = {.lex_state = 35},
  [3342] = {.lex_state = 35, .external_lex_state = 2},
  [3343] = {.lex_state = 35},
  [3344] = {.lex_state = 35, .external_lex_state = 2},
  [3345] = {.lex_state = 35},
  [3346] = {.lex_state = 35},
  [3347] = {.lex_state = 35},
  [3348] = {.lex_state = 35},
  [3349] = {.lex_state = 35},
  [3350] = {.lex_state = 35, .external_lex_state = 2},
  [3351] = {.lex_state = 35},
  [3352] = {.lex_state = 35, .external_lex_state = 2},
  [3353] = {.lex_state = 35},
  [3354] = {.lex_state = 35},
  [3355] = {.lex_state = 35, .external_lex_state = 2},
  [3356] = {.lex_state = 35},
  [3357] = {.lex_state = 35},
  [3358] = {.lex_state = 35},
  [3359] = {.lex_state = 35},
  [3360] = {.lex_state = 35},
  [3361] = {.lex_state = 35, .external_lex_state = 2},
  [3362] = {.lex_state = 35, .external_lex_state = 2},
  [3363] = {.lex_state = 35, .external_lex_state = 2},
  [3364] = {.lex_state = 35},
  [3365] = {.lex_state = 35},
  [3366] = {.lex_state = 35},
  [3367] = {.lex_state = 35},
  [3368] = {.lex_state = 35},
  [3369] = {.lex_state = 35},
  [3370] = {.lex_state = 35, .external_lex_state = 2},
  [3371] = {.lex_state = 35, .external_lex_state = 2},
  [3372] = {.lex_state = 35, .external_lex_state = 2},
  [3373] = {.lex_state = 35, .external_lex_state = 2},
  [3374] = {.lex_state = 35, .external_lex_state = 2},
  [3375] = {.lex_state = 35},
  [3376] = {.lex_state = 35},
  [3377] = {.lex_state = 35},
  [3378] = {.lex_state = 35},
  [3379] = {.lex_state = 35},
  [3380] = {.lex_state = 35},
  [3381] = {.lex_state = 35},
  [3382] = {.lex_state = 35},
  [3383] = {.lex_state = 35, .external_lex_state = 2},
  [3384] = {.lex_state = 35, .external_lex_state = 2},
  [3385] = {.lex_state = 35, .external_lex_state = 2},
  [3386] = {.lex_state = 35, .external_lex_state = 2},
  [3387] = {.lex_state = 35, .external_lex_state = 2},
  [3388] = {.lex_state = 35},
  [3389] = {.lex_state = 35, .external_lex_state = 2},
  [3390] = {.lex_state = 35},
  [3391] = {.lex_state = 35},
  [3392] = {.lex_state = 35},
  [3393] = {.lex_state = 35},
  [3394] = {.lex_state = 35},
  [3395] = {.lex_state = 35},
  [3396] = {.lex_state = 35},
  [3397] = {.lex_state = 35},
  [3398] = {.lex_state = 35},
  [3399] = {.lex_state = 35},
  [3400] = {.lex_state = 35},
  [3401] = {.lex_state = 35, .external_lex_state = 2},
  [3402] = {.lex_state = 35, .external_lex_state = 2},
  [3403] = {.lex_state = 35},
  [3404] = {.lex_state = 35, .external_lex_state = 2},
  [3405] = {.lex_state = 35, .external_lex_state = 2},
  [3406] = {.lex_state = 35},
  [3407] = {.lex_state = 35},
  [3408] = {.lex_state = 35},
  [3409] = {.lex_state = 35},
  [3410] = {.lex_state = 35},
  [3411] = {.lex_state = 35},
  [3412] = {.lex_state = 35},
  [3413] = {.lex_state = 35},
  [3414] = {.lex_state = 35},
  [3415] = {.lex_state = 35},
  [3416] = {.lex_state = 35},
  [3417] = {.lex_state = 35},
  [3418] = {.lex_state = 35},
  [3419] = {.lex_state = 35},
  [3420] = {.lex_state = 35},
  [3421] = {.lex_state = 35},
  [3422] = {.lex_state = 35},
  [3423] = {.lex_state = 35},
  [3424] = {.lex_state = 35},
  [3425] = {.lex_state = 35},
  [3426] = {.lex_state = 35},
  [3427] = {.lex_state = 35},
  [3428] = {.lex_state = 35},
  [3429] = {.lex_state = 35},
  [3430] = {.lex_state = 35, .external_lex_state = 2},
  [3431] = {.lex_state = 35, .external_lex_state = 2},
  [3432] = {.lex_state = 35, .external_lex_state = 2},
  [3433] = {.lex_state = 35, .external_lex_state = 2},
  [3434] = {.lex_state = 35},
  [3435] = {.lex_state = 35},
  [3436] = {.lex_state = 35},
  [3437] = {.lex_state = 35},
  [3438] = {.lex_state = 35},
  [3439] = {.lex_state = 35},
  [3440] = {.lex_state = 35},
  [3441] = {.lex_state = 35, .external_lex_state = 2},
  [3442] = {.lex_state = 35},
  [3443] = {.lex_state = 35, .external_lex_state = 2},
  [3444] = {.lex_state = 35},
  [3445] = {.lex_state = 35, .external_lex_state = 2},
  [3446] = {.lex_state = 35},
  [3447] = {.lex_state = 35, .external_lex_state = 2},
  [3448] = {.lex_state = 35},
  [3449] = {.lex_state = 35},
  [3450] = {.lex_state = 35, .external_lex_state = 2},
  [3451] = {.lex_state = 35},
  [3452] = {.lex_state = 35},
  [3453] = {.lex_state = 35},
  [3454] = {.lex_state = 35},
  [3455] = {.lex_state = 35},
  [3456] = {.lex_state = 35, .external_lex_state = 2},
  [3457] = {.lex_state = 35, .external_lex_state = 2},
  [3458] = {.lex_state = 35, .external_lex_state = 2},
  [3459] = {.lex_state = 35},
  [3460] = {.lex_state = 35, .external_lex_state = 2},
  [3461] = {.lex_state = 35, .external_lex_state = 2},
  [3462] = {.lex_state = 35},
  [3463] = {.lex_state = 35},
  [3464] = {.lex_state = 35},
  [3465] = {.lex_state = 35},
  [3466] = {.lex_state = 35, .external_lex_state = 2},
  [3467] = {.lex_state = 35, .external_lex_state = 2},
  [3468] = {.lex_state = 35, .external_lex_state = 2},
  [3469] = {.lex_state = 35},
  [3470] = {.lex_state = 35},
  [3471] = {.lex_state = 35},
  [3472] = {.lex_state = 35, .external_lex_state = 2},
  [3473] = {.lex_state = 35, .external_lex_state = 2},
  [3474] = {.lex_state = 35, .external_lex_state = 2},
  [3475] = {.lex_state = 35, .external_lex_state = 2},
  [3476] = {.lex_state = 35, .external_lex_state = 2},
  [3477] = {.lex_state = 35},
  [3478] = {.lex_state = 35, .external_lex_state = 2},
  [3479] = {.lex_state = 35},
  [3480] = {.lex_state = 35},
  [3481] = {.lex_state = 35},
  [3482] = {.lex_state = 35, .external_lex_state = 2},
  [3483] = {.lex_state = 35, .external_lex_state = 2},
  [3484] = {.lex_state = 35, .external_lex_state = 2},
  [3485] = {.lex_state = 35},
  [3486] = {.lex_state = 35},
  [3487] = {.lex_state = 35},
  [3488] = {.lex_state = 35},
  [3489] = {.lex_state = 35},
  [3490] = {.lex_state = 35, .external_lex_state = 2},
  [3491] = {.lex_state = 35},
  [3492] = {.lex_state = 35},
  [3493] = {.lex_state = 35, .external_lex_state = 2},
  [3494] = {.lex_state = 35},
  [3495] = {.lex_state = 35, .external_lex_state = 2},
  [3496] = {.lex_state = 35, .external_lex_state = 2},
  [3497] = {.lex_state = 35, .external_lex_state = 2},
  [3498] = {.lex_state = 35, .external_lex_state = 2},
  [3499] = {.lex_state = 35, .external_lex_state = 2},
  [3500] = {.lex_state = 35, .external_lex_state = 2},
  [3501] = {.lex_state = 35},
  [3502] = {.lex_state = 35, .external_lex_state = 2},
  [3503] = {.lex_state = 35, .external_lex_state = 2},
  [3504] = {.lex_state = 35, .external_lex_state = 2},
  [3505] = {.lex_state = 35},
  [3506] = {.lex_state = 35, .external_lex_state = 2},
  [3507] = {.lex_state = 35, .external_lex_state = 2},
  [3508] = {.lex_state = 35},
  [3509] = {.lex_state = 35},
  [3510] = {.lex_state = 35},
  [3511] = {.lex_state = 35, .external_lex_state = 2},
  [3512] = {.lex_state = 35},
  [3513] = {.lex_state = 35, .external_lex_state = 2},
  [3514] = {.lex_state = 35, .external_lex_state = 2},
  [3515] = {.lex_state = 35},
  [3516] = {.lex_state = 35},
  [3517] = {.lex_state = 35},
  [3518] = {.lex_state = 35},
  [3519] = {.lex_state = 35, .external_lex_state = 2},
  [3520] = {.lex_state = 35, .external_lex_state = 2},
  [3521] = {.lex_state = 35},
  [3522] = {.lex_state = 35},
  [3523] = {.lex_state = 35},
  [3524] = {.lex_state = 35},
  [3525] = {.lex_state = 35},
  [3526] = {.lex_state = 35},
  [3527] = {.lex_state = 35},
  [3528] = {.lex_state = 35, .external_lex_state = 2},
  [3529] = {.lex_state = 35},
  [3530] = {.lex_state = 35},
  [3531] = {.lex_state = 35},
  [3532] = {.lex_state = 35},
  [3533] = {.lex_state = 35, .external_lex_state = 2},
  [3534] = {.lex_state = 35, .external_lex_state = 2},
  [3535] = {.lex_state = 35},
  [3536] = {.lex_state = 35},
  [3537] = {.lex_state = 35},
  [3538] = {.lex_state = 35},
  [3539] = {.lex_state = 35},
  [3540] = {.lex_state = 35},
  [3541] = {.lex_state = 35},
  [3542] = {.lex_state = 35},
  [3543] = {.lex_state = 35, .external_lex_state = 2},
  [3544] = {.lex_state = 35, .external_lex_state = 2},
  [3545] = {.lex_state = 35},
  [3546] = {.lex_state = 35},
  [3547] = {.lex_state = 35},
  [3548] = {.lex_state = 35, .external_lex_state = 2},
  [3549] = {.lex_state = 35},
  [3550] = {.lex_state = 35},
  [3551] = {.lex_state = 35},
  [3552] = {.lex_state = 35},
  [3553] = {.lex_state = 35},
  [3554] = {.lex_state = 35},
  [3555] = {.lex_state = 35},
  [3556] = {.lex_state = 35},
  [3557] = {.lex_state = 35, .external_lex_state = 2},
  [3558] = {.lex_state = 35},
  [3559] = {.lex_state = 35},
  [3560] = {.lex_state = 35, .external_lex_state = 2},
  [3561] = {.lex_state = 35, .external_lex_state = 2},
  [3562] = {.lex_state = 35},
  [3563] = {.lex_state = 35, .external_lex_state = 2},
  [3564] = {.lex_state = 35},
  [3565] = {.lex_state = 35, .external_lex_state = 2},
  [3566] = {.lex_state = 35},
  [3567] = {.lex_state = 35, .external_lex_state = 2},
  [3568] = {.lex_state = 33, .external_lex_state = 2},
  [3569] = {.lex_state = 35},
  [3570] = {.lex_state = 35, .external_lex_state = 2},
  [3571] = {.lex_state = 35},
  [3572] = {.lex_state = 35},
  [3573] = {.lex_state = 35, .external_lex_state = 2},
  [3574] = {.lex_state = 35},
  [3575] = {.lex_state = 35},
  [3576] = {.lex_state = 35, .external_lex_state = 2},
  [3577] = {.lex_state = 35},
  [3578] = {.lex_state = 35},
  [3579] = {.lex_state = 35},
  [3580] = {.lex_state = 35},
  [3581] = {.lex_state = 35},
  [3582] = {.lex_state = 35},
  [3583] = {.lex_state = 35},
  [3584] = {.lex_state = 35},
  [3585] = {.lex_state = 35, .external_lex_state = 2},
  [3586] = {.lex_state = 35, .external_lex_state = 2},
  [3587] = {.lex_state = 35},
  [3588] = {.lex_state = 35},
  [3589] = {.lex_state = 35},
  [3590] = {.lex_state = 35},
  [3591] = {.lex_state = 35},
  [3592] = {.lex_state = 35, .external_lex_state = 2},
  [3593] = {.lex_state = 35, .external_lex_state = 2},
  [3594] = {.lex_state = 35},
  [3595] = {.lex_state = 35},
  [3596] = {.lex_state = 35},
  [3597] = {.lex_state = 35, .external_lex_state = 2},
  [3598] = {.lex_state = 35},
  [3599] = {.lex_state = 35},
  [3600] = {.lex_state = 35},
  [3601] = {.lex_state = 35},
  [3602] = {.lex_state = 35},
  [3603] = {.lex_state = 35},
  [3604] = {.lex_state = 35},
  [3605] = {.lex_state = 35},
  [3606] = {.lex_state = 35},
  [3607] = {.lex_state = 35},
  [3608] = {.lex_state = 35},
  [3609] = {.lex_state = 35, .external_lex_state = 2},
  [3610] = {.lex_state = 35},
  [3611] = {.lex_state = 35},
  [3612] = {.lex_state = 35},
  [3613] = {.lex_state = 35},
  [3614] = {.lex_state = 35},
  [3615] = {.lex_state = 35},
  [3616] = {.lex_state = 35},
  [3617] = {.lex_state = 35},
  [3618] = {.lex_state = 35},
  [3619] = {.lex_state = 35},
  [3620] = {.lex_state = 35},
  [3621] = {.lex_state = 35},
  [3622] = {.lex_state = 35},
  [3623] = {.lex_state = 35},
  [3624] = {.lex_state = 35},
  [3625] = {.lex_state = 35},
  [3626] = {.lex_state = 35},
  [3627] = {.lex_state = 35},
  [3628] = {.lex_state = 35},
  [3629] = {.lex_state = 35},
  [3630] = {.lex_state = 35},
  [3631] = {.lex_state = 35, .external_lex_state = 2},
  [3632] = {.lex_state = 35},
  [3633] = {.lex_state = 35},
  [3634] = {.lex_state = 35},
  [3635] = {.lex_state = 35},
  [3636] = {.lex_state = 35},
  [3637] = {.lex_state = 35},
  [3638] = {.lex_state = 35, .external_lex_state = 2},
  [3639] = {.lex_state = 35},
  [3640] = {.lex_state = 35},
  [3641] = {.lex_state = 35},
  [3642] = {.lex_state = 35},
  [3643] = {.lex_state = 35},
  [3644] = {.lex_state = 35, .external_lex_state = 2},
  [3645] = {.lex_state = 35, .external_lex_state = 2},
  [3646] = {.lex_state = 35},
  [3647] = {.lex_state = 35},
  [3648] = {.lex_state = 35},
  [3649] = {.lex_state = 35},
  [3650] = {.lex_state = 35},
  [3651] = {.lex_state = 35},
  [3652] = {.lex_state = 35},
  [3653] = {.lex_state = 35},
  [3654] = {.lex_state = 35},
  [3655] = {.lex_state = 35},
  [3656] = {.lex_state = 35},
  [3657] = {.lex_state = 35},
  [3658] = {.lex_state = 35},
  [3659] = {.lex_state = 35},
  [3660] = {.lex_state = 35},
  [3661] = {.lex_state = 35},
  [3662] = {.lex_state = 33, .external_lex_state = 2},
  [3663] = {.lex_state = 35},
  [3664] = {.lex_state = 35, .external_lex_state = 2},
  [3665] = {.lex_state = 35},
  [3666] = {.lex_state = 35},
  [3667] = {.lex_state = 35},
  [3668] = {.lex_state = 35},
  [3669] = {.lex_state = 35},
  [3670] = {.lex_state = 35, .external_lex_state = 2},
  [3671] = {.lex_state = 35},
  [3672] = {.lex_state = 35, .external_lex_state = 2},
  [3673] = {.lex_state = 35},
  [3674] = {.lex_state = 35},
  [3675] = {.lex_state = 35},
  [3676] = {.lex_state = 35},
  [3677] = {.lex_state = 35, .external_lex_state = 2},
  [3678] = {.lex_state = 35, .external_lex_state = 2},
  [3679] = {.lex_state = 35},
  [3680] = {.lex_state = 35},
  [3681] = {.lex_state = 35},
  [3682] = {.lex_state = 35},
  [3683] = {.lex_state = 35},
  [3684] = {.lex_state = 35, .external_lex_state = 2},
  [3685] = {.lex_state = 35},
  [3686] = {.lex_state = 35},
  [3687] = {.lex_state = 35},
  [3688] = {.lex_state = 35},
  [3689] = {.lex_state = 35},
  [3690] = {.lex_state = 35},
  [3691] = {.lex_state = 35},
  [3692] = {.lex_state = 35},
  [3693] = {.lex_state = 35, .external_lex_state = 2},
  [3694] = {.lex_state = 35},
  [3695] = {.lex_state = 35},
  [3696] = {.lex_state = 35},
  [3697] = {.lex_state = 35},
  [3698] = {.lex_state = 35, .external_lex_state = 2},
  [3699] = {.lex_state = 35},
  [3700] = {.lex_state = 35, .external_lex_state = 2},
  [3701] = {.lex_state = 35},
  [3702] = {.lex_state = 35, .external_lex_state = 2},
  [3703] = {.lex_state = 35},
  [3704] = {.lex_state = 35, .external_lex_state = 2},
  [3705] = {.lex_state = 35},
  [3706] = {.lex_state = 35},
  [3707] = {.lex_state = 35},
  [3708] = {.lex_state = 35},
  [3709] = {.lex_state = 35},
  [3710] = {.lex_state = 33, .external_lex_state = 2},
  [3711] = {.lex_state = 35, .external_lex_state = 2},
  [3712] = {.lex_state = 35, .external_lex_state = 2},
  [3713] = {.lex_state = 35},
  [3714] = {.lex_state = 35},
  [3715] = {.lex_state = 35},
  [3716] = {.lex_state = 35, .external_lex_state = 2},
  [3717] = {.lex_state = 35, .external_lex_state = 2},
  [3718] = {.lex_state = 35, .external_lex_state = 2},
  [3719] = {.lex_state = 35, .external_lex_state = 2},
  [3720] = {.lex_state = 35, .external_lex_state = 2},
  [3721] = {.lex_state = 35, .external_lex_state = 2},
  [3722] = {.lex_state = 35},
  [3723] = {.lex_state = 35},
  [3724] = {.lex_state = 35, .external_lex_state = 2},
  [3725] = {.lex_state = 35, .external_lex_state = 2},
  [3726] = {.lex_state = 35, .external_lex_state = 2},
  [3727] = {.lex_state = 35, .external_lex_state = 2},
  [3728] = {.lex_state = 35, .external_lex_state = 2},
  [3729] = {.lex_state = 35, .external_lex_state = 2},
  [3730] = {.lex_state = 35, .external_lex_state = 2},
  [3731] = {.lex_state = 35, .external_lex_state = 2},
  [3732] = {.lex_state = 35, .external_lex_state = 2},
  [3733] = {.lex_state = 35},
  [3734] = {.lex_state = 35, .external_lex_state = 2},
  [3735] = {.lex_state = 35, .external_lex_state = 2},
  [3736] = {.lex_state = 35, .external_lex_state = 2},
  [3737] = {.lex_state = 35, .external_lex_state = 2},
  [3738] = {.lex_state = 35, .external_lex_state = 2},
  [3739] = {.lex_state = 35, .external_lex_state = 2},
  [3740] = {.lex_state = 35},
  [3741] = {.lex_state = 35},
  [3742] = {.lex_state = 35, .external_lex_state = 2},
  [3743] = {.lex_state = 35, .external_lex_state = 2},
  [3744] = {.lex_state = 35, .external_lex_state = 2},
  [3745] = {.lex_state = 35, .external_lex_state = 2},
  [3746] = {.lex_state = 35, .external_lex_state = 2},
  [3747] = {.lex_state = 35},
  [3748] = {.lex_state = 35, .external_lex_state = 2},
  [3749] = {.lex_state = 35, .external_lex_state = 2},
  [3750] = {.lex_state = 35, .external_lex_state = 2},
  [3751] = {.lex_state = 35, .external_lex_state = 2},
  [3752] = {.lex_state = 35, .external_lex_state = 2},
  [3753] = {.lex_state = 35, .external_lex_state = 2},
  [3754] = {.lex_state = 35},
  [3755] = {.lex_state = 35},
  [3756] = {.lex_state = 35},
  [3757] = {.lex_state = 35},
  [3758] = {.lex_state = 35},
  [3759] = {.lex_state = 35},
  [3760] = {.lex_state = 35},
  [3761] = {.lex_state = 35},
  [3762] = {.lex_state = 35},
  [3763] = {.lex_state = 35},
  [3764] = {.lex_state = 35},
  [3765] = {.lex_state = 35},
  [3766] = {.lex_state = 35},
  [3767] = {.lex_state = 35},
  [3768] = {.lex_state = 35},
  [3769] = {.lex_state = 35},
  [3770] = {.lex_state = 35},
  [3771] = {.lex_state = 35},
  [3772] = {.lex_state = 35, .external_lex_state = 2},
  [3773] = {.lex_state = 35, .external_lex_state = 2},
  [3774] = {.lex_state = 35},
  [3775] = {.lex_state = 35, .external_lex_state = 2},
  [3776] = {.lex_state = 35},
  [3777] = {.lex_state = 35},
  [3778] = {.lex_state = 35},
  [3779] = {.lex_state = 35},
  [3780] = {.lex_state = 35},
  [3781] = {.lex_state = 35},
  [3782] = {.lex_state = 35},
  [3783] = {.lex_state = 35},
  [3784] = {.lex_state = 35},
  [3785] = {.lex_state = 35},
  [3786] = {.lex_state = 35, .external_lex_state = 2},
  [3787] = {.lex_state = 35},
  [3788] = {.lex_state = 35},
  [3789] = {.lex_state = 35},
  [3790] = {.lex_state = 35},
  [3791] = {.lex_state = 35},
  [3792] = {.lex_state = 35, .external_lex_state = 2},
  [3793] = {.lex_state = 35},
  [3794] = {.lex_state = 35},
  [3795] = {.lex_state = 35},
  [3796] = {.lex_state = 35},
  [3797] = {.lex_state = 35, .external_lex_state = 2},
  [3798] = {.lex_state = 35, .external_lex_state = 2},
  [3799] = {.lex_state = 35},
  [3800] = {.lex_state = 35},
  [3801] = {.lex_state = 35},
  [3802] = {.lex_state = 35},
  [3803] = {.lex_state = 35},
  [3804] = {.lex_state = 35},
  [3805] = {.lex_state = 35},
  [3806] = {.lex_state = 35, .external_lex_state = 2},
  [3807] = {.lex_state = 35},
  [3808] = {.lex_state = 35},
  [3809] = {.lex_state = 35, .external_lex_state = 2},
  [3810] = {.lex_state = 35},
  [3811] = {.lex_state = 35, .external_lex_state = 2},
  [3812] = {.lex_state = 35},
  [3813] = {.lex_state = 35},
  [3814] = {.lex_state = 35},
  [3815] = {.lex_state = 35, .external_lex_state = 2},
  [3816] = {.lex_state = 35, .external_lex_state = 2},
  [3817] = {.lex_state = 35, .external_lex_state = 2},
  [3818] = {.lex_state = 35, .external_lex_state = 2},
  [3819] = {.lex_state = 35, .external_lex_state = 2},
  [3820] = {.lex_state = 35, .external_lex_state = 2},
  [3821] = {.lex_state = 35},
  [3822] = {.lex_state = 35},
  [3823] = {.lex_state = 35},
  [3824] = {.lex_state = 35},
  [3825] = {.lex_state = 35},
  [3826] = {.lex_state = 35},
  [3827] = {.lex_state = 35, .external_lex_state = 2},
  [3828] = {.lex_state = 35, .external_lex_state = 2},
  [3829] = {.lex_state = 35},
  [3830] = {.lex_state = 35, .external_lex_state = 2},
  [3831] = {.lex_state = 35, .external_lex_state = 2},
  [3832] = {.lex_state = 35, .external_lex_state = 2},
  [3833] = {.lex_state = 35, .external_lex_state = 2},
  [3834] = {.lex_state = 35},
  [3835] = {.lex_state = 35, .external_lex_state = 2},
  [3836] = {.lex_state = 35, .external_lex_state = 2},
  [3837] = {.lex_state = 35},
  [3838] = {.lex_state = 35, .external_lex_state = 2},
  [3839] = {.lex_state = 35, .external_lex_state = 2},
  [3840] = {.lex_state = 35, .external_lex_state = 2},
  [3841] = {.lex_state = 35, .external_lex_state = 2},
  [3842] = {.lex_state = 35, .external_lex_state = 2},
  [3843] = {.lex_state = 35, .external_lex_state = 2},
  [3844] = {.lex_state = 35, .external_lex_state = 2},
  [3845] = {.lex_state = 35, .external_lex_state = 2},
  [3846] = {.lex_state = 35, .external_lex_state = 2},
  [3847] = {.lex_state = 35},
  [3848] = {.lex_state = 35, .external_lex_state = 2},
  [3849] = {.lex_state = 35, .external_lex_state = 2},
  [3850] = {.lex_state = 35, .external_lex_state = 2},
  [3851] = {.lex_state = 35, .external_lex_state = 2},
  [3852] = {.lex_state = 35, .external_lex_state = 2},
  [3853] = {.lex_state = 35},
  [3854] = {.lex_state = 35},
  [3855] = {.lex_state = 35},
  [3856] = {.lex_state = 35, .external_lex_state = 2},
  [3857] = {.lex_state = 35},
  [3858] = {.lex_state = 35, .external_lex_state = 2},
  [3859] = {.lex_state = 35, .external_lex_state = 2},
  [3860] = {.lex_state = 35, .external_lex_state = 2},
  [3861] = {.lex_state = 35, .external_lex_state = 2},
  [3862] = {.lex_state = 35, .external_lex_state = 2},
  [3863] = {.lex_state = 35},
  [3864] = {.lex_state = 35},
  [3865] = {.lex_state = 35, .external_lex_state = 2},
  [3866] = {.lex_state = 35},
  [3867] = {.lex_state = 35},
  [3868] = {.lex_state = 35},
  [3869] = {.lex_state = 35},
  [3870] = {.lex_state = 35},
  [3871] = {.lex_state = 35, .external_lex_state = 2},
  [3872] = {.lex_state = 35},
  [3873] = {.lex_state = 35, .external_lex_state = 2},
  [3874] = {.lex_state = 35},
  [3875] = {.lex_state = 35, .external_lex_state = 2},
  [3876] = {.lex_state = 35, .external_lex_state = 2},
  [3877] = {.lex_state = 35, .external_lex_state = 2},
  [3878] = {.lex_state = 35, .external_lex_state = 2},
  [3879] = {.lex_state = 35, .external_lex_state = 2},
  [3880] = {.lex_state = 35, .external_lex_state = 2},
  [3881] = {.lex_state = 35, .external_lex_state = 2},
  [3882] = {.lex_state = 35},
  [3883] = {.lex_state = 35},
  [3884] = {.lex_state = 33},
  [3885] = {.lex_state = 35, .external_lex_state = 2},
  [3886] = {.lex_state = 35, .external_lex_state = 2},
  [3887] = {.lex_state = 35, .external_lex_state = 2},
  [3888] = {.lex_state = 35, .external_lex_state = 2},
  [3889] = {.lex_state = 35, .external_lex_state = 2},
  [3890] = {.lex_state = 35},
  [3891] = {.lex_state = 35, .external_lex_state = 2},
  [3892] = {.lex_state = 35, .external_lex_state = 2},
  [3893] = {.lex_state = 35, .external_lex_state = 2},
  [3894] = {.lex_state = 35, .external_lex_state = 2},
  [3895] = {.lex_state = 35, .external_lex_state = 2},
  [3896] = {.lex_state = 35, .external_lex_state = 2},
  [3897] = {.lex_state = 35, .external_lex_state = 2},
  [3898] = {.lex_state = 35, .external_lex_state = 2},
  [3899] = {.lex_state = 35, .external_lex_state = 2},
  [3900] = {.lex_state = 35},
  [3901] = {.lex_state = 35},
  [3902] = {.lex_state = 35, .external_lex_state = 2},
  [3903] = {.lex_state = 35},
  [3904] = {.lex_state = 35, .external_lex_state = 2},
  [3905] = {.lex_state = 35},
  [3906] = {.lex_state = 35, .external_lex_state = 2},
  [3907] = {.lex_state = 35, .external_lex_state = 2},
  [3908] = {.lex_state = 35, .external_lex_state = 2},
  [3909] = {.lex_state = 35, .external_lex_state = 2},
  [3910] = {.lex_state = 35},
  [3911] = {.lex_state = 35, .external_lex_state = 2},
  [3912] = {.lex_state = 35, .external_lex_state = 2},
  [3913] = {.lex_state = 35, .external_lex_state = 2},
  [3914] = {.lex_state = 35, .external_lex_state = 2},
  [3915] = {.lex_state = 35, .external_lex_state = 2},
  [3916] = {.lex_state = 35},
  [3917] = {.lex_state = 35},
  [3918] = {.lex_state = 35},
  [3919] = {.lex_state = 35},
  [3920] = {.lex_state = 35},
  [3921] = {.lex_state = 35},
  [3922] = {.lex_state = 35},
  [3923] = {.lex_state = 35},
  [3924] = {.lex_state = 35},
  [3925] = {.lex_state = 35},
  [3926] = {.lex_state = 35},
  [3927] = {.lex_state = 35},
  [3928] = {.lex_state = 35, .external_lex_state = 2},
  [3929] = {.lex_state = 35, .external_lex_state = 2},
  [3930] = {.lex_state = 35},
  [3931] = {.lex_state = 35, .external_lex_state = 2},
  [3932] = {.lex_state = 35, .external_lex_state = 2},
  [3933] = {.lex_state = 35, .external_lex_state = 2},
  [3934] = {.lex_state = 35},
  [3935] = {.lex_state = 35},
  [3936] = {.lex_state = 35, .external_lex_state = 2},
  [3937] = {.lex_state = 35, .external_lex_state = 2},
  [3938] = {.lex_state = 35},
  [3939] = {.lex_state = 35},
  [3940] = {.lex_state = 35, .external_lex_state = 2},
  [3941] = {.lex_state = 35, .external_lex_state = 2},
  [3942] = {.lex_state = 35, .external_lex_state = 2},
  [3943] = {.lex_state = 35},
  [3944] = {.lex_state = 35},
  [3945] = {.lex_state = 35},
  [3946] = {.lex_state = 35, .external_lex_state = 2},
  [3947] = {.lex_state = 35},
  [3948] = {.lex_state = 35},
  [3949] = {.lex_state = 35},
  [3950] = {.lex_state = 35},
  [3951] = {.lex_state = 35},
  [3952] = {.lex_state = 35},
  [3953] = {.lex_state = 35},
  [3954] = {.lex_state = 35},
  [3955] = {.lex_state = 35},
  [3956] = {.lex_state = 35},
  [3957] = {.lex_state = 35},
  [3958] = {.lex_state = 35},
  [3959] = {.lex_state = 35},
  [3960] = {.lex_state = 35},
  [3961] = {.lex_state = 35},
  [3962] = {.lex_state = 35},
  [3963] = {.lex_state = 35},
  [3964] = {.lex_state = 35, .external_lex_state = 2},
  [3965] = {.lex_state = 35},
  [3966] = {.lex_state = 35},
  [3967] = {.lex_state = 35},
  [3968] = {.lex_state = 35},
  [3969] = {.lex_state = 35},
  [3970] = {.lex_state = 35},
  [3971] = {.lex_state = 35},
  [3972] = {.lex_state = 35},
  [3973] = {.lex_state = 35},
  [3974] = {.lex_state = 35},
  [3975] = {.lex_state = 35},
  [3976] = {.lex_state = 35},
  [3977] = {.lex_state = 35},
  [3978] = {.lex_state = 35},
  [3979] = {.lex_state = 35},
  [3980] = {.lex_state = 35},
  [3981] = {.lex_state = 35},
  [3982] = {.lex_state = 35},
  [3983] = {.lex_state = 35},
  [3984] = {.lex_state = 35},
  [3985] = {.lex_state = 35},
  [3986] = {.lex_state = 35},
  [3987] = {.lex_state = 35, .external_lex_state = 2},
  [3988] = {.lex_state = 35, .external_lex_state = 2},
  [3989] = {.lex_state = 35, .external_lex_state = 2},
  [3990] = {.lex_state = 35, .external_lex_state = 2},
  [3991] = {.lex_state = 35, .external_lex_state = 2},
  [3992] = {.lex_state = 35, .external_lex_state = 2},
  [3993] = {.lex_state = 35},
  [3994] = {.lex_state = 35, .external_lex_state = 2},
  [3995] = {.lex_state = 35},
  [3996] = {.lex_state = 35, .external_lex_state = 2},
  [3997] = {.lex_state = 35},
  [3998] = {.lex_state = 35},
  [3999] = {.lex_state = 35},
  [4000] = {.lex_state = 35},
  [4001] = {.lex_state = 35, .external_lex_state = 2},
  [4002] = {.lex_state = 35},
  [4003] = {.lex_state = 35},
  [4004] = {.lex_state = 35},
  [4005] = {.lex_state = 35},
  [4006] = {.lex_state = 35, .external_lex_state = 2},
  [4007] = {.lex_state = 35, .external_lex_state = 2},
  [4008] = {.lex_state = 35},
  [4009] = {.lex_state = 35},
  [4010] = {.lex_state = 35, .external_lex_state = 2},
  [4011] = {.lex_state = 35},
  [4012] = {.lex_state = 35, .external_lex_state = 2},
  [4013] = {.lex_state = 35},
  [4014] = {.lex_state = 35},
  [4015] = {.lex_state = 35},
  [4016] = {.lex_state = 35},
  [4017] = {.lex_state = 35},
  [4018] = {.lex_state = 35},
  [4019] = {.lex_state = 35},
  [4020] = {.lex_state = 35},
  [4021] = {.lex_state = 35},
  [4022] = {.lex_state = 35},
  [4023] = {.lex_state = 35},
  [4024] = {.lex_state = 35},
  [4025] = {.lex_state = 35},
  [4026] = {.lex_state = 35, .external_lex_state = 2},
  [4027] = {.lex_state = 35},
  [4028] = {.lex_state = 35},
  [4029] = {.lex_state = 35},
  [4030] = {.lex_state = 35, .external_lex_state = 2},
  [4031] = {.lex_state = 35, .external_lex_state = 2},
  [4032] = {.lex_state = 35},
  [4033] = {.lex_state = 35},
  [4034] = {.lex_state = 35},
  [4035] = {.lex_state = 35, .external_lex_state = 2},
  [4036] = {.lex_state = 35, .external_lex_state = 2},
  [4037] = {.lex_state = 35, .external_lex_state = 2},
  [4038] = {.lex_state = 35, .external_lex_state = 2},
  [4039] = {.lex_state = 35},
  [4040] = {.lex_state = 35},
  [4041] = {.lex_state = 35, .external_lex_state = 2},
  [4042] = {.lex_state = 35, .external_lex_state = 2},
  [4043] = {.lex_state = 35, .external_lex_state = 2},
  [4044] = {.lex_state = 35},
  [4045] = {.lex_state = 35},
  [4046] = {.lex_state = 35},
  [4047] = {.lex_state = 35, .external_lex_state = 2},
  [4048] = {.lex_state = 35},
  [4049] = {.lex_state = 35},
  [4050] = {.lex_state = 35},
  [4051] = {.lex_state = 35, .external_lex_state = 2},
  [4052] = {.lex_state = 35},
  [4053] = {.lex_state = 35},
  [4054] = {.lex_state = 35},
  [4055] = {.lex_state = 35},
  [4056] = {.lex_state = 35},
  [4057] = {.lex_state = 35},
  [4058] = {.lex_state = 35},
  [4059] = {.lex_state = 35, .external_lex_state = 2},
  [4060] = {.lex_state = 35, .external_lex_state = 2},
  [4061] = {.lex_state = 35, .external_lex_state = 2},
  [4062] = {.lex_state = 35, .external_lex_state = 2},
  [4063] = {.lex_state = 35, .external_lex_state = 2},
  [4064] = {.lex_state = 35, .external_lex_state = 2},
  [4065] = {.lex_state = 35},
  [4066] = {.lex_state = 35},
  [4067] = {.lex_state = 35},
  [4068] = {.lex_state = 35},
  [4069] = {.lex_state = 35},
  [4070] = {.lex_state = 35},
  [4071] = {.lex_state = 35},
  [4072] = {.lex_state = 35},
  [4073] = {.lex_state = 35, .external_lex_state = 2},
  [4074] = {.lex_state = 35, .external_lex_state = 2},
  [4075] = {.lex_state = 35},
  [4076] = {.lex_state = 35},
  [4077] = {.lex_state = 35},
  [4078] = {.lex_state = 35, .external_lex_state = 2},
  [4079] = {.lex_state = 35},
  [4080] = {.lex_state = 35, .external_lex_state = 2},
  [4081] = {.lex_state = 35, .external_lex_state = 2},
  [4082] = {.lex_state = 35},
  [4083] = {.lex_state = 35, .external_lex_state = 2},
  [4084] = {.lex_state = 35, .external_lex_state = 2},
  [4085] = {.lex_state = 35, .external_lex_state = 2},
  [4086] = {.lex_state = 35, .external_lex_state = 2},
  [4087] = {.lex_state = 35},
  [4088] = {.lex_state = 35, .external_lex_state = 2},
  [4089] = {.lex_state = 35, .external_lex_state = 2},
  [4090] = {.lex_state = 35, .external_lex_state = 2},
  [4091] = {.lex_state = 35},
  [4092] = {.lex_state = 35},
  [4093] = {.lex_state = 35, .external_lex_state = 2},
  [4094] = {.lex_state = 35, .external_lex_state = 2},
  [4095] = {.lex_state = 35, .external_lex_state = 2},
  [4096] = {.lex_state = 35, .external_lex_state = 2},
  [4097] = {.lex_state = 35, .external_lex_state = 2},
  [4098] = {.lex_state = 35, .external_lex_state = 2},
  [4099] = {.lex_state = 35, .external_lex_state = 2},
  [4100] = {.lex_state = 35, .external_lex_state = 2},
  [4101] = {.lex_state = 35},
  [4102] = {.lex_state = 35},
  [4103] = {.lex_state = 35},
  [4104] = {.lex_state = 35, .external_lex_state = 2},
  [4105] = {.lex_state = 35, .external_lex_state = 2},
  [4106] = {.lex_state = 35},
  [4107] = {.lex_state = 35},
  [4108] = {.lex_state = 35, .external_lex_state = 2},
  [4109] = {.lex_state = 35},
  [4110] = {.lex_state = 35},
  [4111] = {.lex_state = 35},
  [4112] = {.lex_state = 35, .external_lex_state = 2},
  [4113] = {.lex_state = 35, .external_lex_state = 2},
  [4114] = {.lex_state = 35},
  [4115] = {.lex_state = 35, .external_lex_state = 2},
  [4116] = {.lex_state = 35},
  [4117] = {.lex_state = 35, .external_lex_state = 2},
  [4118] = {.lex_state = 35, .external_lex_state = 2},
  [4119] = {.lex_state = 35, .external_lex_state = 2},
  [4120] = {.lex_state = 35},
  [4121] = {.lex_state = 35, .external_lex_state = 2},
  [4122] = {.lex_state = 35, .external_lex_state = 2},
  [4123] = {.lex_state = 35, .external_lex_state = 2},
  [4124] = {.lex_state = 35, .external_lex_state = 2},
  [4125] = {.lex_state = 35, .external_lex_state = 2},
  [4126] = {.lex_state = 35, .external_lex_state = 2},
  [4127] = {.lex_state = 35, .external_lex_state = 2},
  [4128] = {.lex_state = 35, .external_lex_state = 2},
  [4129] = {.lex_state = 35, .external_lex_state = 2},
  [4130] = {.lex_state = 35, .external_lex_state = 2},
  [4131] = {.lex_state = 35, .external_lex_state = 2},
  [4132] = {.lex_state = 35, .external_lex_state = 2},
  [4133] = {.lex_state = 35, .external_lex_state = 2},
  [4134] = {.lex_state = 35},
  [4135] = {.lex_state = 35},
  [4136] = {.lex_state = 35, .external_lex_state = 2},
  [4137] = {.lex_state = 35, .external_lex_state = 2},
  [4138] = {.lex_state = 35},
  [4139] = {.lex_state = 35},
  [4140] = {.lex_state = 35},
  [4141] = {.lex_state = 35},
  [4142] = {.lex_state = 35},
  [4143] = {.lex_state = 35, .external_lex_state = 2},
  [4144] = {.lex_state = 35, .external_lex_state = 2},
  [4145] = {.lex_state = 35, .external_lex_state = 2},
  [4146] = {.lex_state = 35, .external_lex_state = 2},
  [4147] = {.lex_state = 35},
  [4148] = {.lex_state = 35},
  [4149] = {.lex_state = 35},
  [4150] = {.lex_state = 35},
  [4151] = {.lex_state = 35},
  [4152] = {.lex_state = 35},
  [4153] = {.lex_state = 35},
  [4154] = {.lex_state = 35},
  [4155] = {.lex_state = 35},
  [4156] = {.lex_state = 35, .external_lex_state = 2},
  [4157] = {.lex_state = 35, .external_lex_state = 2},
  [4158] = {.lex_state = 35, .external_lex_state = 2},
  [4159] = {.lex_state = 35, .external_lex_state = 2},
  [4160] = {.lex_state = 35},
  [4161] = {.lex_state = 35},
  [4162] = {.lex_state = 35, .external_lex_state = 2},
  [4163] = {.lex_state = 35, .external_lex_state = 2},
  [4164] = {.lex_state = 35, .external_lex_state = 2},
  [4165] = {.lex_state = 35, .external_lex_state = 2},
  [4166] = {.lex_state = 35},
  [4167] = {.lex_state = 35, .external_lex_state = 2},
  [4168] = {.lex_state = 35, .external_lex_state = 2},
  [4169] = {.lex_state = 35, .external_lex_state = 2},
  [4170] = {.lex_state = 35, .external_lex_state = 2},
  [4171] = {.lex_state = 35},
  [4172] = {.lex_state = 35},
  [4173] = {.lex_state = 35, .external_lex_state = 2},
  [4174] = {.lex_state = 35, .external_lex_state = 2},
  [4175] = {.lex_state = 35, .external_lex_state = 2},
  [4176] = {.lex_state = 35, .external_lex_state = 2},
  [4177] = {.lex_state = 35, .external_lex_state = 2},
  [4178] = {.lex_state = 35},
  [4179] = {.lex_state = 35, .external_lex_state = 2},
  [4180] = {.lex_state = 35, .external_lex_state = 2},
  [4181] = {.lex_state = 35, .external_lex_state = 2},
  [4182] = {.lex_state = 35, .external_lex_state = 2},
  [4183] = {.lex_state = 35, .external_lex_state = 2},
  [4184] = {.lex_state = 35, .external_lex_state = 2},
  [4185] = {.lex_state = 35, .external_lex_state = 2},
  [4186] = {.lex_state = 35},
  [4187] = {.lex_state = 35},
  [4188] = {.lex_state = 35, .external_lex_state = 2},
  [4189] = {.lex_state = 35, .external_lex_state = 2},
  [4190] = {.lex_state = 35, .external_lex_state = 2},
  [4191] = {.lex_state = 35, .external_lex_state = 2},
  [4192] = {.lex_state = 35},
  [4193] = {.lex_state = 35},
  [4194] = {.lex_state = 35},
  [4195] = {.lex_state = 35, .external_lex_state = 2},
  [4196] = {.lex_state = 35},
  [4197] = {.lex_state = 35},
  [4198] = {.lex_state = 35},
  [4199] = {.lex_state = 35, .external_lex_state = 2},
  [4200] = {.lex_state = 35},
  [4201] = {.lex_state = 35, .external_lex_state = 2},
  [4202] = {.lex_state = 35},
  [4203] = {.lex_state = 35, .external_lex_state = 2},
  [4204] = {.lex_state = 35, .external_lex_state = 2},
  [4205] = {.lex_state = 35},
  [4206] = {.lex_state = 35, .external_lex_state = 2},
  [4207] = {.lex_state = 35},
  [4208] = {.lex_state = 35, .external_lex_state = 2},
  [4209] = {.lex_state = 35},
  [4210] = {.lex_state = 35, .external_lex_state = 2},
  [4211] = {.lex_state = 35, .external_lex_state = 2},
  [4212] = {.lex_state = 35, .external_lex_state = 2},
  [4213] = {.lex_state = 35, .external_lex_state = 2},
  [4214] = {.lex_state = 35, .external_lex_state = 2},
  [4215] = {.lex_state = 35},
  [4216] = {.lex_state = 35, .external_lex_state = 2},
  [4217] = {.lex_state = 35, .external_lex_state = 2},
  [4218] = {.lex_state = 35, .external_lex_state = 2},
  [4219] = {.lex_state = 35, .external_lex_state = 2},
  [4220] = {.lex_state = 35, .external_lex_state = 2},
  [4221] = {.lex_state = 35},
  [4222] = {.lex_state = 35},
  [4223] = {.lex_state = 35, .external_lex_state = 2},
  [4224] = {.lex_state = 35},
  [4225] = {.lex_state = 35},
  [4226] = {.lex_state = 35, .external_lex_state = 2},
  [4227] = {.lex_state = 35},
  [4228] = {.lex_state = 35},
  [4229] = {.lex_state = 35},
  [4230] = {.lex_state = 35},
  [4231] = {.lex_state = 35, .external_lex_state = 2},
  [4232] = {.lex_state = 35},
  [4233] = {.lex_state = 35},
  [4234] = {.lex_state = 35},
  [4235] = {.lex_state = 35},
  [4236] = {.lex_state = 35},
  [4237] = {.lex_state = 35},
  [4238] = {.lex_state = 35},
  [4239] = {.lex_state = 35, .external_lex_state = 2},
  [4240] = {.lex_state = 35, .external_lex_state = 2},
  [4241] = {.lex_state = 35, .external_lex_state = 2},
  [4242] = {.lex_state = 35, .external_lex_state = 2},
  [4243] = {.lex_state = 35},
  [4244] = {.lex_state = 35, .external_lex_state = 2},
  [4245] = {.lex_state = 35, .external_lex_state = 2},
  [4246] = {.lex_state = 35, .external_lex_state = 2},
  [4247] = {.lex_state = 35},
  [4248] = {.lex_state = 35},
  [4249] = {.lex_state = 35},
  [4250] = {.lex_state = 35},
  [4251] = {.lex_state = 35},
  [4252] = {.lex_state = 35},
  [4253] = {.lex_state = 35},
  [4254] = {.lex_state = 35},
  [4255] = {.lex_state = 35},
  [4256] = {.lex_state = 35},
  [4257] = {.lex_state = 35},
  [4258] = {.lex_state = 35},
  [4259] = {.lex_state = 35},
  [4260] = {.lex_state = 35},
  [4261] = {.lex_state = 35},
  [4262] = {.lex_state = 35, .external_lex_state = 2},
  [4263] = {.lex_state = 35, .external_lex_state = 2},
  [4264] = {.lex_state = 35, .external_lex_state = 2},
  [4265] = {.lex_state = 35, .external_lex_state = 2},
  [4266] = {.lex_state = 35, .external_lex_state = 2},
  [4267] = {.lex_state = 35},
  [4268] = {.lex_state = 35},
  [4269] = {.lex_state = 35},
  [4270] = {.lex_state = 35, .external_lex_state = 2},
  [4271] = {.lex_state = 35, .external_lex_state = 2},
  [4272] = {.lex_state = 35},
  [4273] = {.lex_state = 35, .external_lex_state = 2},
  [4274] = {.lex_state = 35, .external_lex_state = 2},
  [4275] = {.lex_state = 35, .external_lex_state = 2},
  [4276] = {.lex_state = 35, .external_lex_state = 2},
  [4277] = {.lex_state = 35, .external_lex_state = 2},
  [4278] = {.lex_state = 35},
  [4279] = {.lex_state = 35, .external_lex_state = 2},
  [4280] = {.lex_state = 35},
  [4281] = {.lex_state = 35, .external_lex_state = 2},
  [4282] = {.lex_state = 35},
  [4283] = {.lex_state = 35},
  [4284] = {.lex_state = 35},
  [4285] = {.lex_state = 35},
  [4286] = {.lex_state = 35},
  [4287] = {.lex_state = 35},
  [4288] = {.lex_state = 35},
  [4289] = {.lex_state = 35},
  [4290] = {.lex_state = 35, .external_lex_state = 2},
  [4291] = {.lex_state = 35},
  [4292] = {.lex_state = 35, .external_lex_state = 2},
  [4293] = {.lex_state = 35, .external_lex_state = 2},
  [4294] = {.lex_state = 35, .external_lex_state = 2},
  [4295] = {.lex_state = 35, .external_lex_state = 2},
  [4296] = {.lex_state = 35, .external_lex_state = 2},
  [4297] = {.lex_state = 35, .external_lex_state = 2},
  [4298] = {.lex_state = 35, .external_lex_state = 2},
  [4299] = {.lex_state = 35, .external_lex_state = 2},
  [4300] = {.lex_state = 35, .external_lex_state = 2},
  [4301] = {.lex_state = 35, .external_lex_state = 2},
  [4302] = {.lex_state = 35, .external_lex_state = 2},
  [4303] = {.lex_state = 35, .external_lex_state = 2},
  [4304] = {.lex_state = 35, .external_lex_state = 2},
  [4305] = {.lex_state = 35, .external_lex_state = 2},
  [4306] = {.lex_state = 35, .external_lex_state = 2},
  [4307] = {.lex_state = 35, .external_lex_state = 2},
  [4308] = {.lex_state = 35, .external_lex_state = 2},
  [4309] = {.lex_state = 35, .external_lex_state = 2},
  [4310] = {.lex_state = 35, .external_lex_state = 2},
  [4311] = {.lex_state = 35, .external_lex_state = 2},
  [4312] = {.lex_state = 35, .external_lex_state = 2},
  [4313] = {.lex_state = 35, .external_lex_state = 2},
  [4314] = {.lex_state = 35, .external_lex_state = 2},
  [4315] = {.lex_state = 35},
  [4316] = {.lex_state = 35, .external_lex_state = 2},
  [4317] = {.lex_state = 35},
  [4318] = {.lex_state = 35, .external_lex_state = 2},
  [4319] = {.lex_state = 35, .external_lex_state = 2},
  [4320] = {.lex_state = 35, .external_lex_state = 2},
  [4321] = {.lex_state = 35, .external_lex_state = 2},
  [4322] = {.lex_state = 35, .external_lex_state = 2},
  [4323] = {.lex_state = 35, .external_lex_state = 2},
  [4324] = {.lex_state = 33, .external_lex_state = 2},
  [4325] = {.lex_state = 35, .external_lex_state = 2},
  [4326] = {.lex_state = 35, .external_lex_state = 2},
  [4327] = {.lex_state = 35, .external_lex_state = 2},
  [4328] = {.lex_state = 35, .external_lex_state = 2},
  [4329] = {.lex_state = 35},
  [4330] = {.lex_state = 35, .external_lex_state = 2},
  [4331] = {.lex_state = 35, .external_lex_state = 2},
  [4332] = {.lex_state = 35, .external_lex_state = 2},
  [4333] = {.lex_state = 35, .external_lex_state = 2},
  [4334] = {.lex_state = 35, .external_lex_state = 2},
  [4335] = {.lex_state = 35},
  [4336] = {.lex_state = 35},
  [4337] = {.lex_state = 35},
  [4338] = {.lex_state = 35, .external_lex_state = 2},
  [4339] = {.lex_state = 35, .external_lex_state = 2},
  [4340] = {.lex_state = 35, .external_lex_state = 2},
  [4341] = {.lex_state = 35, .external_lex_state = 2},
  [4342] = {.lex_state = 35, .external_lex_state = 2},
  [4343] = {.lex_state = 35, .external_lex_state = 2},
  [4344] = {.lex_state = 35, .external_lex_state = 2},
  [4345] = {.lex_state = 35, .external_lex_state = 2},
  [4346] = {.lex_state = 35, .external_lex_state = 2},
  [4347] = {.lex_state = 35, .external_lex_state = 2},
  [4348] = {.lex_state = 35, .external_lex_state = 2},
  [4349] = {.lex_state = 35, .external_lex_state = 2},
  [4350] = {.lex_state = 35, .external_lex_state = 2},
  [4351] = {.lex_state = 35, .external_lex_state = 2},
  [4352] = {.lex_state = 35, .external_lex_state = 2},
  [4353] = {.lex_state = 35, .external_lex_state = 2},
  [4354] = {.lex_state = 35},
  [4355] = {.lex_state = 35},
  [4356] = {.lex_state = 35, .external_lex_state = 2},
  [4357] = {.lex_state = 35},
  [4358] = {.lex_state = 35, .external_lex_state = 2},
  [4359] = {.lex_state = 35, .external_lex_state = 2},
  [4360] = {.lex_state = 35, .external_lex_state = 2},
  [4361] = {.lex_state = 35, .external_lex_state = 2},
  [4362] = {.lex_state = 35},
  [4363] = {.lex_state = 35, .external_lex_state = 2},
  [4364] = {.lex_state = 35, .external_lex_state = 2},
  [4365] = {.lex_state = 35, .external_lex_state = 2},
  [4366] = {.lex_state = 35, .external_lex_state = 2},
  [4367] = {.lex_state = 35, .external_lex_state = 2},
  [4368] = {.lex_state = 35},
  [4369] = {.lex_state = 35},
  [4370] = {.lex_state = 35},
  [4371] = {.lex_state = 35, .external_lex_state = 2},
  [4372] = {.lex_state = 35},
  [4373] = {.lex_state = 35},
  [4374] = {.lex_state = 35, .external_lex_state = 2},
  [4375] = {.lex_state = 35},
  [4376] = {.lex_state = 35},
  [4377] = {.lex_state = 35},
  [4378] = {.lex_state = 35, .external_lex_state = 2},
  [4379] = {.lex_state = 35},
  [4380] = {.lex_state = 35},
  [4381] = {.lex_state = 35, .external_lex_state = 2},
  [4382] = {.lex_state = 35},
  [4383] = {.lex_state = 35, .external_lex_state = 2},
  [4384] = {.lex_state = 35, .external_lex_state = 2},
  [4385] = {.lex_state = 35},
  [4386] = {.lex_state = 35},
  [4387] = {.lex_state = 35},
  [4388] = {.lex_state = 35},
  [4389] = {.lex_state = 35},
  [4390] = {.lex_state = 35},
  [4391] = {.lex_state = 35},
  [4392] = {.lex_state = 35, .external_lex_state = 2},
  [4393] = {.lex_state = 35},
  [4394] = {.lex_state = 35, .external_lex_state = 2},
  [4395] = {.lex_state = 35, .external_lex_state = 2},
  [4396] = {.lex_state = 35, .external_lex_state = 2},
  [4397] = {.lex_state = 35, .external_lex_state = 2},
  [4398] = {.lex_state = 35, .external_lex_state = 2},
  [4399] = {.lex_state = 35},
  [4400] = {.lex_state = 35},
  [4401] = {.lex_state = 35},
  [4402] = {.lex_state = 35},
  [4403] = {.lex_state = 35, .external_lex_state = 2},
  [4404] = {.lex_state = 35, .external_lex_state = 2},
  [4405] = {.lex_state = 35},
  [4406] = {.lex_state = 35, .external_lex_state = 2},
  [4407] = {.lex_state = 35, .external_lex_state = 2},
  [4408] = {.lex_state = 35, .external_lex_state = 2},
  [4409] = {.lex_state = 35, .external_lex_state = 2},
  [4410] = {.lex_state = 35, .external_lex_state = 2},
  [4411] = {.lex_state = 35, .external_lex_state = 2},
  [4412] = {.lex_state = 35, .external_lex_state = 2},
  [4413] = {.lex_state = 35},
  [4414] = {.lex_state = 35},
  [4415] = {.lex_state = 35, .external_lex_state = 2},
  [4416] = {.lex_state = 35},
  [4417] = {.lex_state = 35, .external_lex_state = 2},
  [4418] = {.lex_state = 35, .external_lex_state = 2},
  [4419] = {.lex_state = 35, .external_lex_state = 2},
  [4420] = {.lex_state = 35},
  [4421] = {.lex_state = 35, .external_lex_state = 2},
  [4422] = {.lex_state = 35, .external_lex_state = 2},
  [4423] = {.lex_state = 35},
  [4424] = {.lex_state = 35},
  [4425] = {.lex_state = 35, .external_lex_state = 2},
  [4426] = {.lex_state = 35, .external_lex_state = 2},
  [4427] = {.lex_state = 35, .external_lex_state = 2},
  [4428] = {.lex_state = 35, .external_lex_state = 2},
  [4429] = {.lex_state = 35, .external_lex_state = 2},
  [4430] = {.lex_state = 35, .external_lex_state = 2},
  [4431] = {.lex_state = 35, .external_lex_state = 2},
  [4432] = {.lex_state = 35, .external_lex_state = 2},
  [4433] = {.lex_state = 35, .external_lex_state = 2},
  [4434] = {.lex_state = 35, .external_lex_state = 2},
  [4435] = {.lex_state = 35, .external_lex_state = 2},
  [4436] = {.lex_state = 35, .external_lex_state = 2},
  [4437] = {.lex_state = 35, .external_lex_state = 2},
  [4438] = {.lex_state = 35, .external_lex_state = 2},
  [4439] = {.lex_state = 35, .external_lex_state = 2},
  [4440] = {.lex_state = 35},
  [4441] = {.lex_state = 35, .external_lex_state = 2},
  [4442] = {.lex_state = 35, .external_lex_state = 2},
  [4443] = {.lex_state = 35},
  [4444] = {.lex_state = 35, .external_lex_state = 2},
  [4445] = {.lex_state = 35, .external_lex_state = 2},
  [4446] = {.lex_state = 35, .external_lex_state = 2},
  [4447] = {.lex_state = 35, .external_lex_state = 2},
  [4448] = {.lex_state = 35, .external_lex_state = 2},
  [4449] = {.lex_state = 35, .external_lex_state = 2},
  [4450] = {.lex_state = 35},
  [4451] = {.lex_state = 35, .external_lex_state = 2},
  [4452] = {.lex_state = 35, .external_lex_state = 2},
  [4453] = {.lex_state = 35, .external_lex_state = 2},
  [4454] = {.lex_state = 35, .external_lex_state = 2},
  [4455] = {.lex_state = 35, .external_lex_state = 2},
  [4456] = {.lex_state = 35, .external_lex_state = 2},
  [4457] = {.lex_state = 35, .external_lex_state = 2},
  [4458] = {.lex_state = 35, .external_lex_state = 2},
  [4459] = {.lex_state = 35, .external_lex_state = 2},
  [4460] = {.lex_state = 35, .external_lex_state = 2},
  [4461] = {.lex_state = 35, .external_lex_state = 2},
  [4462] = {.lex_state = 35, .external_lex_state = 2},
  [4463] = {.lex_state = 35, .external_lex_state = 2},
  [4464] = {.lex_state = 35},
  [4465] = {.lex_state = 35, .external_lex_state = 2},
  [4466] = {.lex_state = 35, .external_lex_state = 2},
  [4467] = {.lex_state = 35, .external_lex_state = 2},
  [4468] = {.lex_state = 35, .external_lex_state = 2},
  [4469] = {.lex_state = 35, .external_lex_state = 2},
  [4470] = {.lex_state = 35, .external_lex_state = 2},
  [4471] = {.lex_state = 35, .external_lex_state = 2},
  [4472] = {.lex_state = 35, .external_lex_state = 2},
  [4473] = {.lex_state = 35},
  [4474] = {.lex_state = 35, .external_lex_state = 2},
  [4475] = {.lex_state = 35, .external_lex_state = 2},
  [4476] = {.lex_state = 35},
  [4477] = {.lex_state = 35, .external_lex_state = 2},
  [4478] = {.lex_state = 35, .external_lex_state = 2},
  [4479] = {.lex_state = 35},
  [4480] = {.lex_state = 35, .external_lex_state = 2},
  [4481] = {.lex_state = 35, .external_lex_state = 2},
  [4482] = {.lex_state = 35},
  [4483] = {.lex_state = 35, .external_lex_state = 2},
  [4484] = {.lex_state = 35},
  [4485] = {.lex_state = 35, .external_lex_state = 2},
  [4486] = {.lex_state = 35, .external_lex_state = 2},
  [4487] = {.lex_state = 35, .external_lex_state = 2},
  [4488] = {.lex_state = 35, .external_lex_state = 2},
  [4489] = {.lex_state = 35, .external_lex_state = 2},
  [4490] = {.lex_state = 35, .external_lex_state = 2},
  [4491] = {.lex_state = 35, .external_lex_state = 2},
  [4492] = {.lex_state = 35, .external_lex_state = 2},
  [4493] = {.lex_state = 35, .external_lex_state = 2},
  [4494] = {.lex_state = 35, .external_lex_state = 2},
  [4495] = {.lex_state = 35, .external_lex_state = 2},
  [4496] = {.lex_state = 35, .external_lex_state = 2},
  [4497] = {.lex_state = 35, .external_lex_state = 2},
  [4498] = {.lex_state = 35, .external_lex_state = 2},
  [4499] = {.lex_state = 35, .external_lex_state = 2},
  [4500] = {.lex_state = 35, .external_lex_state = 2},
  [4501] = {.lex_state = 35, .external_lex_state = 2},
  [4502] = {.lex_state = 35, .external_lex_state = 2},
  [4503] = {.lex_state = 35, .external_lex_state = 2},
  [4504] = {.lex_state = 35, .external_lex_state = 2},
  [4505] = {.lex_state = 35, .external_lex_state = 2},
  [4506] = {.lex_state = 35, .external_lex_state = 2},
  [4507] = {.lex_state = 35, .external_lex_state = 2},
  [4508] = {.lex_state = 35, .external_lex_state = 2},
  [4509] = {.lex_state = 35, .external_lex_state = 2},
  [4510] = {.lex_state = 35, .external_lex_state = 2},
  [4511] = {.lex_state = 35, .external_lex_state = 2},
  [4512] = {.lex_state = 35, .external_lex_state = 2},
  [4513] = {.lex_state = 35, .external_lex_state = 2},
  [4514] = {.lex_state = 35, .external_lex_state = 2},
  [4515] = {.lex_state = 35, .external_lex_state = 2},
  [4516] = {.lex_state = 35, .external_lex_state = 2},
  [4517] = {.lex_state = 35, .external_lex_state = 2},
  [4518] = {.lex_state = 35, .external_lex_state = 2},
  [4519] = {.lex_state = 35, .external_lex_state = 2},
  [4520] = {.lex_state = 35},
  [4521] = {.lex_state = 35},
  [4522] = {.lex_state = 35, .external_lex_state = 2},
  [4523] = {.lex_state = 35, .external_lex_state = 2},
  [4524] = {.lex_state = 35, .external_lex_state = 2},
  [4525] = {.lex_state = 35},
  [4526] = {.lex_state = 35},
  [4527] = {.lex_state = 35, .external_lex_state = 2},
  [4528] = {.lex_state = 35, .external_lex_state = 2},
  [4529] = {.lex_state = 35, .external_lex_state = 2},
  [4530] = {.lex_state = 35},
  [4531] = {.lex_state = 35, .external_lex_state = 2},
  [4532] = {.lex_state = 35, .external_lex_state = 2},
  [4533] = {.lex_state = 35, .external_lex_state = 2},
  [4534] = {.lex_state = 35, .external_lex_state = 2},
  [4535] = {.lex_state = 35},
  [4536] = {.lex_state = 35},
  [4537] = {.lex_state = 35},
  [4538] = {.lex_state = 35},
  [4539] = {.lex_state = 35},
  [4540] = {.lex_state = 35},
  [4541] = {.lex_state = 35},
  [4542] = {.lex_state = 35},
  [4543] = {.lex_state = 35},
  [4544] = {.lex_state = 35, .external_lex_state = 2},
  [4545] = {.lex_state = 35},
  [4546] = {.lex_state = 35},
  [4547] = {.lex_state = 35, .external_lex_state = 2},
  [4548] = {.lex_state = 35, .external_lex_state = 2},
  [4549] = {.lex_state = 35},
  [4550] = {.lex_state = 35, .external_lex_state = 2},
  [4551] = {.lex_state = 35, .external_lex_state = 2},
  [4552] = {.lex_state = 35, .external_lex_state = 2},
  [4553] = {.lex_state = 35},
  [4554] = {.lex_state = 35, .external_lex_state = 2},
  [4555] = {.lex_state = 35, .external_lex_state = 2},
  [4556] = {.lex_state = 35, .external_lex_state = 2},
  [4557] = {.lex_state = 35},
  [4558] = {.lex_state = 35, .external_lex_state = 2},
  [4559] = {.lex_state = 35, .external_lex_state = 2},
  [4560] = {.lex_state = 35, .external_lex_state = 2},
  [4561] = {.lex_state = 35, .external_lex_state = 2},
  [4562] = {.lex_state = 35},
  [4563] = {.lex_state = 35, .external_lex_state = 2},
  [4564] = {.lex_state = 35},
  [4565] = {.lex_state = 35},
  [4566] = {.lex_state = 35},
  [4567] = {.lex_state = 35, .external_lex_state = 2},
  [4568] = {.lex_state = 35, .external_lex_state = 2},
  [4569] = {.lex_state = 35, .external_lex_state = 2},
  [4570] = {.lex_state = 35, .external_lex_state = 2},
  [4571] = {.lex_state = 35, .external_lex_state = 2},
  [4572] = {.lex_state = 35, .external_lex_state = 2},
  [4573] = {.lex_state = 35, .external_lex_state = 2},
  [4574] = {.lex_state = 35, .external_lex_state = 2},
  [4575] = {.lex_state = 35, .external_lex_state = 2},
  [4576] = {.lex_state = 35},
  [4577] = {.lex_state = 35, .external_lex_state = 2},
  [4578] = {.lex_state = 35, .external_lex_state = 2},
  [4579] = {.lex_state = 35},
  [4580] = {.lex_state = 35, .external_lex_state = 2},
  [4581] = {.lex_state = 35, .external_lex_state = 2},
  [4582] = {.lex_state = 35, .external_lex_state = 2},
  [4583] = {.lex_state = 35, .external_lex_state = 2},
  [4584] = {.lex_state = 35, .external_lex_state = 2},
  [4585] = {.lex_state = 35, .external_lex_state = 2},
  [4586] = {.lex_state = 35},
  [4587] = {.lex_state = 35, .external_lex_state = 2},
  [4588] = {.lex_state = 35, .external_lex_state = 2},
  [4589] = {.lex_state = 35, .external_lex_state = 2},
  [4590] = {.lex_state = 35, .external_lex_state = 2},
  [4591] = {.lex_state = 35, .external_lex_state = 2},
  [4592] = {.lex_state = 35, .external_lex_state = 2},
  [4593] = {.lex_state = 35, .external_lex_state = 2},
  [4594] = {.lex_state = 35},
  [4595] = {.lex_state = 35},
  [4596] = {.lex_state = 35, .external_lex_state = 2},
  [4597] = {.lex_state = 35, .external_lex_state = 2},
  [4598] = {.lex_state = 35, .external_lex_state = 2},
  [4599] = {.lex_state = 35, .external_lex_state = 2},
  [4600] = {.lex_state = 35, .external_lex_state = 2},
  [4601] = {.lex_state = 35, .external_lex_state = 2},
  [4602] = {.lex_state = 35, .external_lex_state = 2},
  [4603] = {.lex_state = 35, .external_lex_state = 2},
  [4604] = {.lex_state = 35, .external_lex_state = 2},
  [4605] = {.lex_state = 35},
  [4606] = {.lex_state = 35, .external_lex_state = 2},
  [4607] = {.lex_state = 35, .external_lex_state = 2},
  [4608] = {.lex_state = 35, .external_lex_state = 2},
  [4609] = {.lex_state = 35, .external_lex_state = 2},
  [4610] = {.lex_state = 35, .external_lex_state = 2},
  [4611] = {.lex_state = 35, .external_lex_state = 2},
  [4612] = {.lex_state = 35, .external_lex_state = 2},
  [4613] = {.lex_state = 35, .external_lex_state = 2},
  [4614] = {.lex_state = 35, .external_lex_state = 2},
  [4615] = {.lex_state = 35, .external_lex_state = 2},
  [4616] = {.lex_state = 35, .external_lex_state = 2},
  [4617] = {.lex_state = 35, .external_lex_state = 2},
  [4618] = {.lex_state = 35, .external_lex_state = 2},
  [4619] = {.lex_state = 35, .external_lex_state = 2},
  [4620] = {.lex_state = 35, .external_lex_state = 2},
  [4621] = {.lex_state = 35, .external_lex_state = 2},
  [4622] = {.lex_state = 35, .external_lex_state = 2},
  [4623] = {.lex_state = 35, .external_lex_state = 2},
  [4624] = {.lex_state = 35, .external_lex_state = 2},
  [4625] = {.lex_state = 35},
  [4626] = {.lex_state = 35, .external_lex_state = 2},
  [4627] = {.lex_state = 35, .external_lex_state = 2},
  [4628] = {.lex_state = 35},
  [4629] = {.lex_state = 35, .external_lex_state = 2},
  [4630] = {.lex_state = 35},
  [4631] = {.lex_state = 35, .external_lex_state = 2},
  [4632] = {.lex_state = 35},
  [4633] = {.lex_state = 35, .external_lex_state = 2},
  [4634] = {.lex_state = 35, .external_lex_state = 2},
  [4635] = {.lex_state = 35, .external_lex_state = 2},
  [4636] = {.lex_state = 35, .external_lex_state = 2},
  [4637] = {.lex_state = 35, .external_lex_state = 2},
  [4638] = {.lex_state = 35, .external_lex_state = 2},
  [4639] = {.lex_state = 35, .external_lex_state = 2},
  [4640] = {.lex_state = 35},
  [4641] = {.lex_state = 35},
  [4642] = {.lex_state = 35, .external_lex_state = 2},
  [4643] = {.lex_state = 35},
  [4644] = {.lex_state = 35, .external_lex_state = 2},
  [4645] = {.lex_state = 35},
  [4646] = {.lex_state = 35},
  [4647] = {.lex_state = 35, .external_lex_state = 2},
  [4648] = {.lex_state = 35, .external_lex_state = 2},
  [4649] = {.lex_state = 35},
  [4650] = {.lex_state = 35, .external_lex_state = 2},
  [4651] = {.lex_state = 35, .external_lex_state = 2},
  [4652] = {.lex_state = 35, .external_lex_state = 2},
  [4653] = {.lex_state = 35, .external_lex_state = 2},
  [4654] = {.lex_state = 35},
  [4655] = {.lex_state = 35, .external_lex_state = 2},
  [4656] = {.lex_state = 35},
  [4657] = {.lex_state = 33},
  [4658] = {.lex_state = 35, .external_lex_state = 2},
  [4659] = {.lex_state = 35, .external_lex_state = 2},
  [4660] = {.lex_state = 35},
  [4661] = {.lex_state = 35, .external_lex_state = 2},
  [4662] = {.lex_state = 35, .external_lex_state = 2},
  [4663] = {.lex_state = 35, .external_lex_state = 2},
  [4664] = {.lex_state = 35, .external_lex_state = 2},
  [4665] = {.lex_state = 35, .external_lex_state = 2},
  [4666] = {.lex_state = 35},
  [4667] = {.lex_state = 35, .external_lex_state = 2},
  [4668] = {.lex_state = 35, .external_lex_state = 2},
  [4669] = {.lex_state = 35, .external_lex_state = 2},
  [4670] = {.lex_state = 35, .external_lex_state = 2},
  [4671] = {.lex_state = 35},
  [4672] = {.lex_state = 35, .external_lex_state = 2},
  [4673] = {.lex_state = 35, .external_lex_state = 2},
  [4674] = {.lex_state = 35, .external_lex_state = 2},
  [4675] = {.lex_state = 35},
  [4676] = {.lex_state = 35, .external_lex_state = 2},
  [4677] = {.lex_state = 35, .external_lex_state = 2},
  [4678] = {.lex_state = 35, .external_lex_state = 2},
  [4679] = {.lex_state = 35, .external_lex_state = 2},
  [4680] = {.lex_state = 35, .external_lex_state = 2},
  [4681] = {.lex_state = 35, .external_lex_state = 2},
  [4682] = {.lex_state = 35, .external_lex_state = 2},
  [4683] = {.lex_state = 35, .external_lex_state = 2},
  [4684] = {.lex_state = 35},
  [4685] = {.lex_state = 35, .external_lex_state = 2},
  [4686] = {.lex_state = 35, .external_lex_state = 2},
  [4687] = {.lex_state = 35, .external_lex_state = 2},
  [4688] = {.lex_state = 35, .external_lex_state = 2},
  [4689] = {.lex_state = 35, .external_lex_state = 2},
  [4690] = {.lex_state = 35, .external_lex_state = 2},
  [4691] = {.lex_state = 35, .external_lex_state = 2},
  [4692] = {.lex_state = 35},
  [4693] = {.lex_state = 35, .external_lex_state = 2},
  [4694] = {.lex_state = 35, .external_lex_state = 2},
  [4695] = {.lex_state = 35, .external_lex_state = 2},
  [4696] = {.lex_state = 35, .external_lex_state = 2},
  [4697] = {.lex_state = 35},
  [4698] = {.lex_state = 35, .external_lex_state = 2},
  [4699] = {.lex_state = 35, .external_lex_state = 2},
  [4700] = {.lex_state = 35, .external_lex_state = 2},
  [4701] = {.lex_state = 35, .external_lex_state = 2},
  [4702] = {.lex_state = 35, .external_lex_state = 2},
  [4703] = {.lex_state = 35, .external_lex_state = 2},
  [4704] = {.lex_state = 35, .external_lex_state = 2},
  [4705] = {.lex_state = 35},
  [4706] = {.lex_state = 35, .external_lex_state = 2},
  [4707] = {.lex_state = 35, .external_lex_state = 2},
  [4708] = {.lex_state = 35, .external_lex_state = 2},
  [4709] = {.lex_state = 35, .external_lex_state = 2},
  [4710] = {.lex_state = 35, .external_lex_state = 2},
  [4711] = {.lex_state = 35, .external_lex_state = 2},
  [4712] = {.lex_state = 35, .external_lex_state = 2},
  [4713] = {.lex_state = 35},
  [4714] = {.lex_state = 35, .external_lex_state = 2},
  [4715] = {.lex_state = 35, .external_lex_state = 2},
  [4716] = {.lex_state = 35},
  [4717] = {.lex_state = 35},
  [4718] = {.lex_state = 35, .external_lex_state = 2},
  [4719] = {.lex_state = 35, .external_lex_state = 2},
  [4720] = {.lex_state = 35, .external_lex_state = 2},
  [4721] = {.lex_state = 35},
  [4722] = {.lex_state = 35, .external_lex_state = 2},
  [4723] = {.lex_state = 35},
  [4724] = {.lex_state = 35},
  [4725] = {.lex_state = 35},
  [4726] = {.lex_state = 35, .external_lex_state = 2},
  [4727] = {.lex_state = 35, .external_lex_state = 2},
  [4728] = {.lex_state = 35, .external_lex_state = 2},
  [4729] = {.lex_state = 35},
  [4730] = {.lex_state = 35, .external_lex_state = 2},
  [4731] = {.lex_state = 35, .external_lex_state = 2},
  [4732] = {.lex_state = 35, .external_lex_state = 2},
  [4733] = {.lex_state = 35, .external_lex_state = 2},
  [4734] = {.lex_state = 35, .external_lex_state = 2},
  [4735] = {.lex_state = 35, .external_lex_state = 2},
  [4736] = {.lex_state = 35},
  [4737] = {.lex_state = 35},
  [4738] = {.lex_state = 35, .external_lex_state = 2},
  [4739] = {.lex_state = 35},
  [4740] = {.lex_state = 35, .external_lex_state = 2},
  [4741] = {.lex_state = 35, .external_lex_state = 2},
  [4742] = {.lex_state = 35},
  [4743] = {.lex_state = 35, .external_lex_state = 2},
  [4744] = {.lex_state = 35, .external_lex_state = 2},
  [4745] = {.lex_state = 35, .external_lex_state = 2},
  [4746] = {.lex_state = 35},
  [4747] = {.lex_state = 35, .external_lex_state = 2},
  [4748] = {.lex_state = 35, .external_lex_state = 2},
  [4749] = {.lex_state = 35, .external_lex_state = 2},
  [4750] = {.lex_state = 35, .external_lex_state = 2},
  [4751] = {.lex_state = 35, .external_lex_state = 2},
  [4752] = {.lex_state = 35},
  [4753] = {.lex_state = 35, .external_lex_state = 2},
  [4754] = {.lex_state = 35, .external_lex_state = 2},
  [4755] = {.lex_state = 35, .external_lex_state = 2},
  [4756] = {.lex_state = 35, .external_lex_state = 2},
  [4757] = {.lex_state = 35, .external_lex_state = 2},
  [4758] = {.lex_state = 35},
  [4759] = {.lex_state = 35, .external_lex_state = 2},
  [4760] = {.lex_state = 35},
  [4761] = {.lex_state = 35, .external_lex_state = 2},
  [4762] = {.lex_state = 35, .external_lex_state = 2},
  [4763] = {.lex_state = 35},
  [4764] = {.lex_state = 35, .external_lex_state = 2},
  [4765] = {.lex_state = 35, .external_lex_state = 2},
  [4766] = {.lex_state = 35, .external_lex_state = 2},
  [4767] = {.lex_state = 35, .external_lex_state = 2},
  [4768] = {.lex_state = 35, .external_lex_state = 2},
  [4769] = {.lex_state = 35, .external_lex_state = 2},
  [4770] = {.lex_state = 35},
  [4771] = {.lex_state = 35, .external_lex_state = 2},
  [4772] = {.lex_state = 35},
  [4773] = {.lex_state = 35, .external_lex_state = 2},
  [4774] = {.lex_state = 35, .external_lex_state = 2},
  [4775] = {.lex_state = 35, .external_lex_state = 2},
  [4776] = {.lex_state = 35, .external_lex_state = 2},
  [4777] = {.lex_state = 35},
  [4778] = {.lex_state = 35},
  [4779] = {.lex_state = 35, .external_lex_state = 2},
  [4780] = {.lex_state = 35, .external_lex_state = 2},
  [4781] = {.lex_state = 35},
  [4782] = {.lex_state = 35, .external_lex_state = 2},
  [4783] = {.lex_state = 35, .external_lex_state = 2},
  [4784] = {.lex_state = 35, .external_lex_state = 2},
  [4785] = {.lex_state = 35, .external_lex_state = 2},
  [4786] = {.lex_state = 35},
  [4787] = {.lex_state = 35, .external_lex_state = 2},
  [4788] = {.lex_state = 35, .external_lex_state = 2},
  [4789] = {.lex_state = 35, .external_lex_state = 2},
  [4790] = {.lex_state = 35, .external_lex_state = 2},
  [4791] = {.lex_state = 35, .external_lex_state = 2},
  [4792] = {.lex_state = 35, .external_lex_state = 2},
  [4793] = {.lex_state = 35, .external_lex_state = 2},
  [4794] = {.lex_state = 35, .external_lex_state = 2},
  [4795] = {.lex_state = 35, .external_lex_state = 2},
  [4796] = {.lex_state = 35, .external_lex_state = 2},
  [4797] = {.lex_state = 35},
  [4798] = {.lex_state = 35},
  [4799] = {.lex_state = 35, .external_lex_state = 2},
  [4800] = {.lex_state = 35, .external_lex_state = 2},
  [4801] = {.lex_state = 35, .external_lex_state = 2},
  [4802] = {.lex_state = 35, .external_lex_state = 2},
  [4803] = {.lex_state = 35, .external_lex_state = 2},
  [4804] = {.lex_state = 35, .external_lex_state = 2},
  [4805] = {.lex_state = 35, .external_lex_state = 2},
  [4806] = {.lex_state = 35, .external_lex_state = 2},
  [4807] = {.lex_state = 35, .external_lex_state = 2},
  [4808] = {.lex_state = 35, .external_lex_state = 2},
  [4809] = {.lex_state = 35, .external_lex_state = 2},
  [4810] = {.lex_state = 35, .external_lex_state = 2},
  [4811] = {.lex_state = 35, .external_lex_state = 2},
  [4812] = {.lex_state = 35, .external_lex_state = 2},
  [4813] = {.lex_state = 35, .external_lex_state = 2},
  [4814] = {.lex_state = 35, .external_lex_state = 2},
  [4815] = {.lex_state = 35, .external_lex_state = 2},
  [4816] = {.lex_state = 35, .external_lex_state = 2},
  [4817] = {.lex_state = 35, .external_lex_state = 2},
  [4818] = {.lex_state = 35, .external_lex_state = 2},
  [4819] = {.lex_state = 35},
  [4820] = {.lex_state = 35, .external_lex_state = 2},
  [4821] = {.lex_state = 35, .external_lex_state = 2},
  [4822] = {.lex_state = 35, .external_lex_state = 2},
  [4823] = {.lex_state = 35, .external_lex_state = 2},
  [4824] = {.lex_state = 35, .external_lex_state = 2},
  [4825] = {.lex_state = 35},
  [4826] = {.lex_state = 35},
  [4827] = {.lex_state = 35, .external_lex_state = 2},
  [4828] = {.lex_state = 35},
  [4829] = {.lex_state = 35, .external_lex_state = 2},
  [4830] = {.lex_state = 35, .external_lex_state = 2},
  [4831] = {.lex_state = 35, .external_lex_state = 2},
  [4832] = {.lex_state = 35, .external_lex_state = 2},
  [4833] = {.lex_state = 35, .external_lex_state = 2},
  [4834] = {.lex_state = 35, .external_lex_state = 2},
  [4835] = {.lex_state = 33, .external_lex_state = 2},
  [4836] = {.lex_state = 35, .external_lex_state = 2},
  [4837] = {.lex_state = 35, .external_lex_state = 2},
  [4838] = {.lex_state = 35, .external_lex_state = 2},
  [4839] = {.lex_state = 35},
  [4840] = {.lex_state = 35},
  [4841] = {.lex_state = 35},
  [4842] = {.lex_state = 35},
  [4843] = {.lex_state = 35},
  [4844] = {.lex_state = 35},
  [4845] = {.lex_state = 35},
  [4846] = {.lex_state = 35},
  [4847] = {.lex_state = 35},
  [4848] = {.lex_state = 35},
  [4849] = {.lex_state = 35},
  [4850] = {.lex_state = 35},
  [4851] = {.lex_state = 35},
  [4852] = {.lex_state = 35},
  [4853] = {.lex_state = 35},
  [4854] = {.lex_state = 35},
  [4855] = {.lex_state = 35, .external_lex_state = 2},
  [4856] = {.lex_state = 35, .external_lex_state = 2},
  [4857] = {.lex_state = 35},
  [4858] = {.lex_state = 35, .external_lex_state = 2},
  [4859] = {.lex_state = 35, .external_lex_state = 2},
  [4860] = {.lex_state = 35, .external_lex_state = 2},
  [4861] = {.lex_state = 35, .external_lex_state = 2},
  [4862] = {.lex_state = 35, .external_lex_state = 2},
  [4863] = {.lex_state = 35, .external_lex_state = 2},
  [4864] = {.lex_state = 35},
  [4865] = {.lex_state = 35, .external_lex_state = 2},
  [4866] = {.lex_state = 35, .external_lex_state = 2},
  [4867] = {.lex_state = 35},
  [4868] = {.lex_state = 35, .external_lex_state = 2},
  [4869] = {.lex_state = 35},
  [4870] = {.lex_state = 35, .external_lex_state = 2},
  [4871] = {.lex_state = 35, .external_lex_state = 2},
  [4872] = {.lex_state = 35},
  [4873] = {.lex_state = 35, .external_lex_state = 2},
  [4874] = {.lex_state = 35},
  [4875] = {.lex_state = 35, .external_lex_state = 2},
  [4876] = {.lex_state = 35},
  [4877] = {.lex_state = 35, .external_lex_state = 2},
  [4878] = {.lex_state = 35, .external_lex_state = 2},
  [4879] = {.lex_state = 35, .external_lex_state = 2},
  [4880] = {.lex_state = 35, .external_lex_state = 2},
  [4881] = {.lex_state = 35},
  [4882] = {.lex_state = 35, .external_lex_state = 2},
  [4883] = {.lex_state = 35},
  [4884] = {.lex_state = 35},
  [4885] = {.lex_state = 35},
  [4886] = {.lex_state = 35},
  [4887] = {.lex_state = 35},
  [4888] = {.lex_state = 35, .external_lex_state = 2},
  [4889] = {.lex_state = 35, .external_lex_state = 2},
  [4890] = {.lex_state = 35, .external_lex_state = 2},
  [4891] = {.lex_state = 35},
  [4892] = {.lex_state = 35, .external_lex_state = 2},
  [4893] = {.lex_state = 35, .external_lex_state = 2},
  [4894] = {.lex_state = 35, .external_lex_state = 2},
  [4895] = {.lex_state = 35, .external_lex_state = 2},
  [4896] = {.lex_state = 33},
  [4897] = {.lex_state = 35, .external_lex_state = 2},
  [4898] = {.lex_state = 35},
  [4899] = {.lex_state = 35},
  [4900] = {.lex_state = 35, .external_lex_state = 2},
  [4901] = {.lex_state = 35},
  [4902] = {.lex_state = 35, .external_lex_state = 2},
  [4903] = {.lex_state = 35, .external_lex_state = 2},
  [4904] = {.lex_state = 35},
  [4905] = {.lex_state = 35},
  [4906] = {.lex_state = 35},
  [4907] = {.lex_state = 35},
  [4908] = {.lex_state = 35},
  [4909] = {.lex_state = 35},
  [4910] = {.lex_state = 35},
  [4911] = {.lex_state = 35},
  [4912] = {.lex_state = 35, .external_lex_state = 2},
  [4913] = {.lex_state = 35},
  [4914] = {.lex_state = 35, .external_lex_state = 2},
  [4915] = {.lex_state = 35},
  [4916] = {.lex_state = 35},
  [4917] = {.lex_state = 35, .external_lex_state = 2},
  [4918] = {.lex_state = 35},
  [4919] = {.lex_state = 35, .external_lex_state = 2},
  [4920] = {.lex_state = 35, .external_lex_state = 2},
  [4921] = {.lex_state = 35},
  [4922] = {.lex_state = 35, .external_lex_state = 2},
  [4923] = {.lex_state = 35},
  [4924] = {.lex_state = 35, .external_lex_state = 2},
  [4925] = {.lex_state = 35},
  [4926] = {.lex_state = 35, .external_lex_state = 2},
  [4927] = {.lex_state = 35, .external_lex_state = 2},
  [4928] = {.lex_state = 35, .external_lex_state = 2},
  [4929] = {.lex_state = 35, .external_lex_state = 2},
  [4930] = {.lex_state = 33, .external_lex_state = 2},
  [4931] = {.lex_state = 35},
  [4932] = {.lex_state = 35},
  [4933] = {.lex_state = 35},
  [4934] = {.lex_state = 35, .external_lex_state = 2},
  [4935] = {.lex_state = 35, .external_lex_state = 2},
  [4936] = {.lex_state = 35, .external_lex_state = 2},
  [4937] = {.lex_state = 35},
  [4938] = {.lex_state = 33, .external_lex_state = 2},
  [4939] = {.lex_state = 35, .external_lex_state = 2},
  [4940] = {.lex_state = 35, .external_lex_state = 2},
  [4941] = {.lex_state = 35, .external_lex_state = 2},
  [4942] = {.lex_state = 35, .external_lex_state = 2},
  [4943] = {.lex_state = 35, .external_lex_state = 2},
  [4944] = {.lex_state = 35, .external_lex_state = 2},
  [4945] = {.lex_state = 35},
  [4946] = {.lex_state = 35, .external_lex_state = 2},
  [4947] = {.lex_state = 35},
  [4948] = {.lex_state = 35, .external_lex_state = 2},
  [4949] = {.lex_state = 35, .external_lex_state = 2},
  [4950] = {.lex_state = 35, .external_lex_state = 2},
  [4951] = {.lex_state = 35, .external_lex_state = 2},
  [4952] = {.lex_state = 35, .external_lex_state = 2},
  [4953] = {.lex_state = 35},
  [4954] = {.lex_state = 35},
  [4955] = {.lex_state = 35},
  [4956] = {.lex_state = 35, .external_lex_state = 2},
  [4957] = {.lex_state = 35},
  [4958] = {.lex_state = 35},
  [4959] = {.lex_state = 35},
  [4960] = {.lex_state = 35},
  [4961] = {.lex_state = 35, .external_lex_state = 2},
  [4962] = {.lex_state = 35},
  [4963] = {.lex_state = 35},
  [4964] = {.lex_state = 35},
  [4965] = {.lex_state = 35, .external_lex_state = 2},
  [4966] = {.lex_state = 35},
  [4967] = {.lex_state = 35, .external_lex_state = 2},
  [4968] = {.lex_state = 35},
  [4969] = {.lex_state = 35},
  [4970] = {.lex_state = 35, .external_lex_state = 2},
  [4971] = {.lex_state = 35, .external_lex_state = 2},
  [4972] = {.lex_state = 35, .external_lex_state = 2},
  [4973] = {.lex_state = 35, .external_lex_state = 2},
  [4974] = {.lex_state = 35, .external_lex_state = 2},
  [4975] = {.lex_state = 35},
  [4976] = {.lex_state = 35, .external_lex_state = 2},
  [4977] = {.lex_state = 35, .external_lex_state = 2},
  [4978] = {.lex_state = 35, .external_lex_state = 2},
  [4979] = {.lex_state = 35, .external_lex_state = 2},
  [4980] = {.lex_state = 35, .external_lex_state = 2},
  [4981] = {.lex_state = 35, .external_lex_state = 2},
  [4982] = {.lex_state = 35},
  [4983] = {.lex_state = 35, .external_lex_state = 2},
  [4984] = {.lex_state = 35, .external_lex_state = 2},
  [4985] = {.lex_state = 35},
  [4986] = {.lex_state = 35},
  [4987] = {.lex_state = 35, .external_lex_state = 2},
  [4988] = {.lex_state = 35},
  [4989] = {.lex_state = 35},
  [4990] = {.lex_state = 35},
  [4991] = {.lex_state = 35},
  [4992] = {.lex_state = 35},
  [4993] = {.lex_state = 35, .external_lex_state = 2},
  [4994] = {.lex_state = 35},
  [4995] = {.lex_state = 35, .external_lex_state = 2},
  [4996] = {.lex_state = 35, .external_lex_state = 2},
  [4997] = {.lex_state = 35},
  [4998] = {.lex_state = 35},
  [4999] = {.lex_state = 35, .external_lex_state = 2},
  [5000] = {.lex_state = 35, .external_lex_state = 2},
  [5001] = {.lex_state = 35},
  [5002] = {.lex_state = 35},
  [5003] = {.lex_state = 35, .external_lex_state = 2},
  [5004] = {.lex_state = 35},
  [5005] = {.lex_state = 35},
  [5006] = {.lex_state = 35},
  [5007] = {.lex_state = 35, .external_lex_state = 2},
  [5008] = {.lex_state = 35, .external_lex_state = 2},
  [5009] = {.lex_state = 35},
  [5010] = {.lex_state = 35, .external_lex_state = 2},
  [5011] = {.lex_state = 35},
  [5012] = {.lex_state = 35, .external_lex_state = 2},
  [5013] = {.lex_state = 35, .external_lex_state = 2},
  [5014] = {.lex_state = 35, .external_lex_state = 2},
  [5015] = {.lex_state = 35, .external_lex_state = 2},
  [5016] = {.lex_state = 35},
  [5017] = {.lex_state = 35},
  [5018] = {.lex_state = 35},
  [5019] = {.lex_state = 35},
  [5020] = {.lex_state = 35},
  [5021] = {.lex_state = 35, .external_lex_state = 2},
  [5022] = {.lex_state = 35},
  [5023] = {.lex_state = 35},
  [5024] = {.lex_state = 35},
  [5025] = {.lex_state = 35},
  [5026] = {.lex_state = 35},
  [5027] = {.lex_state = 35},
  [5028] = {.lex_state = 35},
  [5029] = {.lex_state = 35},
  [5030] = {.lex_state = 35},
  [5031] = {.lex_state = 35},
  [5032] = {.lex_state = 35},
  [5033] = {.lex_state = 35},
  [5034] = {.lex_state = 35},
  [5035] = {.lex_state = 35, .external_lex_state = 2},
  [5036] = {.lex_state = 35, .external_lex_state = 2},
  [5037] = {.lex_state = 35},
  [5038] = {.lex_state = 35},
  [5039] = {.lex_state = 35, .external_lex_state = 2},
  [5040] = {.lex_state = 35},
  [5041] = {.lex_state = 35, .external_lex_state = 2},
  [5042] = {.lex_state = 35},
  [5043] = {.lex_state = 35},
  [5044] = {.lex_state = 35},
  [5045] = {.lex_state = 35},
  [5046] = {.lex_state = 35},
  [5047] = {.lex_state = 35},
  [5048] = {.lex_state = 35},
  [5049] = {.lex_state = 35, .external_lex_state = 2},
  [5050] = {.lex_state = 35},
  [5051] = {.lex_state = 35},
  [5052] = {.lex_state = 35},
  [5053] = {.lex_state = 35},
  [5054] = {.lex_state = 33},
  [5055] = {.lex_state = 35, .external_lex_state = 2},
  [5056] = {.lex_state = 35, .external_lex_state = 2},
  [5057] = {.lex_state = 35, .external_lex_state = 2},
  [5058] = {.lex_state = 35},
  [5059] = {.lex_state = 35},
  [5060] = {.lex_state = 35},
  [5061] = {.lex_state = 35},
  [5062] = {.lex_state = 35},
  [5063] = {.lex_state = 35},
  [5064] = {.lex_state = 35, .external_lex_state = 2},
  [5065] = {.lex_state = 35, .external_lex_state = 2},
  [5066] = {.lex_state = 35, .external_lex_state = 2},
  [5067] = {.lex_state = 35},
  [5068] = {.lex_state = 35},
  [5069] = {.lex_state = 35},
  [5070] = {.lex_state = 35},
  [5071] = {.lex_state = 35},
  [5072] = {.lex_state = 35, .external_lex_state = 2},
  [5073] = {.lex_state = 35, .external_lex_state = 2},
  [5074] = {.lex_state = 35, .external_lex_state = 2},
  [5075] = {.lex_state = 35},
  [5076] = {.lex_state = 35},
  [5077] = {.lex_state = 35, .external_lex_state = 2},
  [5078] = {.lex_state = 35, .external_lex_state = 2},
  [5079] = {.lex_state = 35},
  [5080] = {.lex_state = 35, .external_lex_state = 2},
  [5081] = {.lex_state = 35},
  [5082] = {.lex_state = 35},
  [5083] = {.lex_state = 35},
  [5084] = {.lex_state = 33},
  [5085] = {.lex_state = 35, .external_lex_state = 2},
  [5086] = {.lex_state = 35, .external_lex_state = 2},
  [5087] = {.lex_state = 35, .external_lex_state = 2},
  [5088] = {.lex_state = 35, .external_lex_state = 2},
  [5089] = {.lex_state = 35, .external_lex_state = 2},
  [5090] = {.lex_state = 35},
  [5091] = {.lex_state = 35, .external_lex_state = 2},
  [5092] = {.lex_state = 35},
  [5093] = {.lex_state = 35},
  [5094] = {.lex_state = 35, .external_lex_state = 2},
  [5095] = {.lex_state = 35},
  [5096] = {.lex_state = 35, .external_lex_state = 2},
  [5097] = {.lex_state = 35},
  [5098] = {.lex_state = 35, .external_lex_state = 2},
  [5099] = {.lex_state = 35, .external_lex_state = 2},
  [5100] = {.lex_state = 35},
  [5101] = {.lex_state = 35},
  [5102] = {.lex_state = 35, .external_lex_state = 2},
  [5103] = {.lex_state = 35},
  [5104] = {.lex_state = 35},
  [5105] = {.lex_state = 35},
  [5106] = {.lex_state = 35},
  [5107] = {.lex_state = 35},
  [5108] = {.lex_state = 35},
  [5109] = {.lex_state = 35},
  [5110] = {.lex_state = 35},
  [5111] = {.lex_state = 35},
  [5112] = {.lex_state = 35},
  [5113] = {.lex_state = 35},
  [5114] = {.lex_state = 35},
  [5115] = {.lex_state = 35},
  [5116] = {.lex_state = 35},
  [5117] = {.lex_state = 35},
  [5118] = {.lex_state = 35},
  [5119] = {.lex_state = 35, .external_lex_state = 2},
  [5120] = {.lex_state = 35, .external_lex_state = 2},
  [5121] = {.lex_state = 35},
  [5122] = {.lex_state = 35, .external_lex_state = 2},
  [5123] = {.lex_state = 35},
  [5124] = {.lex_state = 35},
  [5125] = {.lex_state = 35},
  [5126] = {.lex_state = 35},
  [5127] = {.lex_state = 35},
  [5128] = {.lex_state = 35},
  [5129] = {.lex_state = 35},
  [5130] = {.lex_state = 35},
  [5131] = {.lex_state = 35},
  [5132] = {.lex_state = 35},
  [5133] = {.lex_state = 35, .external_lex_state = 2},
  [5134] = {.lex_state = 35, .external_lex_state = 2},
  [5135] = {.lex_state = 35, .external_lex_state = 2},
  [5136] = {.lex_state = 35, .external_lex_state = 2},
  [5137] = {.lex_state = 35, .external_lex_state = 2},
  [5138] = {.lex_state = 35, .external_lex_state = 2},
  [5139] = {.lex_state = 35, .external_lex_state = 2},
  [5140] = {.lex_state = 35, .external_lex_state = 2},
  [5141] = {.lex_state = 35, .external_lex_state = 2},
  [5142] = {.lex_state = 35, .external_lex_state = 2},
  [5143] = {.lex_state = 35, .external_lex_state = 2},
  [5144] = {.lex_state = 35},
  [5145] = {.lex_state = 35, .external_lex_state = 2},
  [5146] = {.lex_state = 35, .external_lex_state = 2},
  [5147] = {.lex_state = 35, .external_lex_state = 2},
  [5148] = {.lex_state = 35, .external_lex_state = 2},
  [5149] = {.lex_state = 35, .external_lex_state = 2},
  [5150] = {.lex_state = 35, .external_lex_state = 2},
  [5151] = {.lex_state = 35, .external_lex_state = 2},
  [5152] = {.lex_state = 35, .external_lex_state = 2},
  [5153] = {.lex_state = 35, .external_lex_state = 2},
  [5154] = {.lex_state = 35, .external_lex_state = 2},
  [5155] = {.lex_state = 35, .external_lex_state = 2},
  [5156] = {.lex_state = 35, .external_lex_state = 2},
  [5157] = {.lex_state = 35, .external_lex_state = 2},
  [5158] = {.lex_state = 35, .external_lex_state = 2},
  [5159] = {.lex_state = 35, .external_lex_state = 2},
  [5160] = {.lex_state = 35, .external_lex_state = 2},
  [5161] = {.lex_state = 35, .external_lex_state = 2},
  [5162] = {.lex_state = 35, .external_lex_state = 2},
  [5163] = {.lex_state = 35, .external_lex_state = 2},
  [5164] = {.lex_state = 35, .external_lex_state = 2},
  [5165] = {.lex_state = 35, .external_lex_state = 2},
  [5166] = {.lex_state = 35},
  [5167] = {.lex_state = 35},
  [5168] = {.lex_state = 35},
  [5169] = {.lex_state = 35},
  [5170] = {.lex_state = 35, .external_lex_state = 2},
  [5171] = {.lex_state = 35},
  [5172] = {.lex_state = 35, .external_lex_state = 2},
  [5173] = {.lex_state = 35},
  [5174] = {.lex_state = 35, .external_lex_state = 2},
  [5175] = {.lex_state = 35},
  [5176] = {.lex_state = 35},
  [5177] = {.lex_state = 35},
  [5178] = {.lex_state = 35},
  [5179] = {.lex_state = 35},
  [5180] = {.lex_state = 35},
  [5181] = {.lex_state = 35},
  [5182] = {.lex_state = 35},
  [5183] = {.lex_state = 35},
  [5184] = {.lex_state = 35},
  [5185] = {.lex_state = 35},
  [5186] = {.lex_state = 35},
  [5187] = {.lex_state = 35},
  [5188] = {.lex_state = 35},
  [5189] = {.lex_state = 35},
  [5190] = {.lex_state = 35},
  [5191] = {.lex_state = 35},
  [5192] = {.lex_state = 35},
  [5193] = {.lex_state = 35},
  [5194] = {.lex_state = 35},
  [5195] = {.lex_state = 35},
  [5196] = {.lex_state = 35},
  [5197] = {.lex_state = 35},
  [5198] = {.lex_state = 35},
  [5199] = {.lex_state = 35},
  [5200] = {.lex_state = 35},
  [5201] = {.lex_state = 35},
  [5202] = {.lex_state = 35},
  [5203] = {.lex_state = 35},
  [5204] = {.lex_state = 35},
  [5205] = {.lex_state = 35},
  [5206] = {.lex_state = 35},
  [5207] = {.lex_state = 35},
  [5208] = {.lex_state = 35},
  [5209] = {.lex_state = 35},
  [5210] = {.lex_state = 35},
  [5211] = {.lex_state = 35},
  [5212] = {.lex_state = 35},
  [5213] = {.lex_state = 35},
  [5214] = {.lex_state = 35},
  [5215] = {.lex_state = 35},
  [5216] = {.lex_state = 35},
  [5217] = {.lex_state = 35},
  [5218] = {.lex_state = 35},
  [5219] = {.lex_state = 35},
  [5220] = {.lex_state = 35},
  [5221] = {.lex_state = 35},
  [5222] = {.lex_state = 35},
  [5223] = {.lex_state = 35},
  [5224] = {.lex_state = 35},
  [5225] = {.lex_state = 35},
  [5226] = {.lex_state = 35},
  [5227] = {.lex_state = 35},
  [5228] = {.lex_state = 35},
  [5229] = {.lex_state = 35},
  [5230] = {.lex_state = 35},
  [5231] = {.lex_state = 35},
  [5232] = {.lex_state = 35},
  [5233] = {.lex_state = 35},
  [5234] = {.lex_state = 35},
  [5235] = {.lex_state = 35},
  [5236] = {.lex_state = 35},
  [5237] = {.lex_state = 35},
  [5238] = {.lex_state = 35},
  [5239] = {.lex_state = 35},
  [5240] = {.lex_state = 35},
  [5241] = {.lex_state = 35},
  [5242] = {.lex_state = 35},
  [5243] = {.lex_state = 35},
  [5244] = {.lex_state = 35},
  [5245] = {.lex_state = 35},
  [5246] = {.lex_state = 35},
  [5247] = {.lex_state = 35},
  [5248] = {.lex_state = 35},
  [5249] = {.lex_state = 35},
  [5250] = {.lex_state = 35},
  [5251] = {.lex_state = 35},
  [5252] = {.lex_state = 35},
  [5253] = {.lex_state = 35},
  [5254] = {.lex_state = 35},
  [5255] = {.lex_state = 35},
  [5256] = {.lex_state = 35},
  [5257] = {.lex_state = 35},
  [5258] = {.lex_state = 35},
  [5259] = {.lex_state = 35},
  [5260] = {.lex_state = 35},
  [5261] = {.lex_state = 35},
  [5262] = {.lex_state = 35},
  [5263] = {.lex_state = 35},
  [5264] = {.lex_state = 35},
  [5265] = {.lex_state = 35},
  [5266] = {.lex_state = 35},
  [5267] = {.lex_state = 35},
  [5268] = {.lex_state = 35},
  [5269] = {.lex_state = 35},
  [5270] = {.lex_state = 35},
  [5271] = {.lex_state = 35},
  [5272] = {.lex_state = 35},
  [5273] = {.lex_state = 35},
  [5274] = {.lex_state = 35},
  [5275] = {.lex_state = 35},
  [5276] = {.lex_state = 35},
  [5277] = {.lex_state = 35},
  [5278] = {.lex_state = 35},
  [5279] = {.lex_state = 35},
  [5280] = {.lex_state = 35},
  [5281] = {.lex_state = 35},
  [5282] = {.lex_state = 35},
  [5283] = {.lex_state = 35},
  [5284] = {.lex_state = 35},
  [5285] = {.lex_state = 35},
  [5286] = {.lex_state = 35},
  [5287] = {.lex_state = 35},
  [5288] = {.lex_state = 35},
  [5289] = {.lex_state = 35},
  [5290] = {.lex_state = 35},
  [5291] = {.lex_state = 35},
  [5292] = {.lex_state = 35},
  [5293] = {.lex_state = 35},
  [5294] = {.lex_state = 35, .external_lex_state = 2},
  [5295] = {.lex_state = 35, .external_lex_state = 2},
  [5296] = {.lex_state = 35, .external_lex_state = 2},
  [5297] = {.lex_state = 35, .external_lex_state = 2},
  [5298] = {.lex_state = 35, .external_lex_state = 2},
  [5299] = {.lex_state = 35},
  [5300] = {.lex_state = 35, .external_lex_state = 2},
  [5301] = {.lex_state = 35, .external_lex_state = 2},
  [5302] = {.lex_state = 35, .external_lex_state = 2},
  [5303] = {.lex_state = 35, .external_lex_state = 2},
  [5304] = {.lex_state = 35, .external_lex_state = 2},
  [5305] = {.lex_state = 35},
  [5306] = {.lex_state = 35, .external_lex_state = 2},
  [5307] = {.lex_state = 35, .external_lex_state = 2},
  [5308] = {.lex_state = 35, .external_lex_state = 2},
  [5309] = {.lex_state = 35, .external_lex_state = 2},
  [5310] = {.lex_state = 35, .external_lex_state = 2},
  [5311] = {.lex_state = 35, .external_lex_state = 2},
  [5312] = {.lex_state = 35, .external_lex_state = 2},
  [5313] = {.lex_state = 35, .external_lex_state = 2},
  [5314] = {.lex_state = 35, .external_lex_state = 2},
  [5315] = {.lex_state = 35, .external_lex_state = 2},
  [5316] = {.lex_state = 35},
  [5317] = {.lex_state = 35, .external_lex_state = 2},
  [5318] = {.lex_state = 35, .external_lex_state = 2},
  [5319] = {.lex_state = 35, .external_lex_state = 2},
  [5320] = {.lex_state = 35, .external_lex_state = 2},
  [5321] = {.lex_state = 35, .external_lex_state = 2},
  [5322] = {.lex_state = 35, .external_lex_state = 2},
  [5323] = {.lex_state = 35, .external_lex_state = 2},
  [5324] = {.lex_state = 35, .external_lex_state = 2},
  [5325] = {.lex_state = 35, .external_lex_state = 2},
  [5326] = {.lex_state = 35, .external_lex_state = 2},
  [5327] = {.lex_state = 35, .external_lex_state = 2},
  [5328] = {.lex_state = 35, .external_lex_state = 2},
  [5329] = {.lex_state = 35, .external_lex_state = 2},
  [5330] = {.lex_state = 35, .external_lex_state = 2},
  [5331] = {.lex_state = 35, .external_lex_state = 2},
  [5332] = {.lex_state = 35, .external_lex_state = 2},
  [5333] = {.lex_state = 35, .external_lex_state = 2},
  [5334] = {.lex_state = 35, .external_lex_state = 2},
  [5335] = {.lex_state = 35, .external_lex_state = 2},
  [5336] = {.lex_state = 35},
  [5337] = {.lex_state = 35},
  [5338] = {.lex_state = 35},
  [5339] = {.lex_state = 35, .external_lex_state = 2},
  [5340] = {.lex_state = 35, .external_lex_state = 2},
  [5341] = {.lex_state = 35},
  [5342] = {.lex_state = 35},
  [5343] = {.lex_state = 35},
  [5344] = {.lex_state = 35},
  [5345] = {.lex_state = 35},
  [5346] = {.lex_state = 35},
  [5347] = {.lex_state = 35},
  [5348] = {.lex_state = 35},
  [5349] = {.lex_state = 35},
  [5350] = {.lex_state = 35, .external_lex_state = 2},
  [5351] = {.lex_state = 35},
  [5352] = {.lex_state = 35},
  [5353] = {.lex_state = 35},
  [5354] = {.lex_state = 35, .external_lex_state = 2},
  [5355] = {.lex_state = 35},
  [5356] = {.lex_state = 35},
  [5357] = {.lex_state = 35},
  [5358] = {.lex_state = 35},
  [5359] = {.lex_state = 35},
  [5360] = {.lex_state = 35},
  [5361] = {.lex_state = 35},
  [5362] = {.lex_state = 35},
  [5363] = {.lex_state = 35},
  [5364] = {.lex_state = 35},
  [5365] = {.lex_state = 35, .external_lex_state = 2},
  [5366] = {.lex_state = 35, .external_lex_state = 2},
  [5367] = {.lex_state = 35},
  [5368] = {.lex_state = 35},
  [5369] = {.lex_state = 35},
  [5370] = {.lex_state = 35},
  [5371] = {.lex_state = 35},
  [5372] = {.lex_state = 35},
  [5373] = {.lex_state = 35},
  [5374] = {.lex_state = 35, .external_lex_state = 2},
  [5375] = {.lex_state = 35},
  [5376] = {.lex_state = 35},
  [5377] = {.lex_state = 35},
  [5378] = {.lex_state = 35, .external_lex_state = 2},
  [5379] = {.lex_state = 35, .external_lex_state = 2},
  [5380] = {.lex_state = 35, .external_lex_state = 2},
  [5381] = {.lex_state = 35},
  [5382] = {.lex_state = 35},
  [5383] = {.lex_state = 35},
  [5384] = {.lex_state = 35},
  [5385] = {.lex_state = 35},
  [5386] = {.lex_state = 35},
  [5387] = {.lex_state = 35},
  [5388] = {.lex_state = 35, .external_lex_state = 2},
  [5389] = {.lex_state = 35, .external_lex_state = 2},
  [5390] = {.lex_state = 35, .external_lex_state = 2},
  [5391] = {.lex_state = 35, .external_lex_state = 2},
  [5392] = {.lex_state = 35, .external_lex_state = 2},
  [5393] = {.lex_state = 35, .external_lex_state = 2},
  [5394] = {.lex_state = 35},
  [5395] = {.lex_state = 35},
  [5396] = {.lex_state = 35},
  [5397] = {.lex_state = 35, .external_lex_state = 2},
  [5398] = {.lex_state = 35, .external_lex_state = 2},
  [5399] = {.lex_state = 35, .external_lex_state = 2},
  [5400] = {.lex_state = 35, .external_lex_state = 2},
  [5401] = {.lex_state = 35, .external_lex_state = 2},
  [5402] = {.lex_state = 35},
  [5403] = {.lex_state = 35},
  [5404] = {.lex_state = 35},
  [5405] = {.lex_state = 35, .external_lex_state = 2},
  [5406] = {.lex_state = 35, .external_lex_state = 2},
  [5407] = {.lex_state = 35, .external_lex_state = 2},
  [5408] = {.lex_state = 35},
  [5409] = {.lex_state = 35, .external_lex_state = 2},
  [5410] = {.lex_state = 35},
  [5411] = {.lex_state = 35},
  [5412] = {.lex_state = 35},
  [5413] = {.lex_state = 35},
  [5414] = {.lex_state = 35},
  [5415] = {.lex_state = 35},
  [5416] = {.lex_state = 35},
  [5417] = {.lex_state = 35},
  [5418] = {.lex_state = 35},
  [5419] = {.lex_state = 35},
  [5420] = {.lex_state = 35, .external_lex_state = 2},
  [5421] = {.lex_state = 35},
  [5422] = {.lex_state = 35},
  [5423] = {.lex_state = 35},
  [5424] = {.lex_state = 35},
  [5425] = {.lex_state = 35},
  [5426] = {.lex_state = 35},
  [5427] = {.lex_state = 35},
  [5428] = {.lex_state = 35},
  [5429] = {.lex_state = 35},
  [5430] = {.lex_state = 35},
  [5431] = {.lex_state = 35},
  [5432] = {.lex_state = 35},
  [5433] = {.lex_state = 35},
  [5434] = {.lex_state = 35},
  [5435] = {.lex_state = 35},
  [5436] = {.lex_state = 35},
  [5437] = {.lex_state = 35},
  [5438] = {.lex_state = 35},
  [5439] = {.lex_state = 35, .external_lex_state = 2},
  [5440] = {.lex_state = 35},
  [5441] = {.lex_state = 35},
  [5442] = {.lex_state = 35},
  [5443] = {.lex_state = 35},
  [5444] = {.lex_state = 35},
  [5445] = {.lex_state = 35},
  [5446] = {.lex_state = 35},
  [5447] = {.lex_state = 33},
  [5448] = {.lex_state = 35},
  [5449] = {.lex_state = 35},
  [5450] = {.lex_state = 35},
  [5451] = {.lex_state = 35},
  [5452] = {.lex_state = 35},
  [5453] = {.lex_state = 35},
  [5454] = {.lex_state = 35},
  [5455] = {.lex_state = 35},
  [5456] = {.lex_state = 35},
  [5457] = {.lex_state = 35},
  [5458] = {.lex_state = 35},
  [5459] = {.lex_state = 35},
  [5460] = {.lex_state = 35},
  [5461] = {.lex_state = 35},
  [5462] = {.lex_state = 35},
  [5463] = {.lex_state = 35},
  [5464] = {.lex_state = 35},
  [5465] = {.lex_state = 35},
  [5466] = {.lex_state = 35, .external_lex_state = 2},
  [5467] = {.lex_state = 35, .external_lex_state = 2},
  [5468] = {.lex_state = 35, .external_lex_state = 2},
  [5469] = {.lex_state = 35, .external_lex_state = 2},
  [5470] = {.lex_state = 35},
  [5471] = {.lex_state = 35},
  [5472] = {.lex_state = 35},
  [5473] = {.lex_state = 35},
  [5474] = {.lex_state = 35},
  [5475] = {.lex_state = 35},
  [5476] = {.lex_state = 35},
  [5477] = {.lex_state = 35},
  [5478] = {.lex_state = 35},
  [5479] = {.lex_state = 35},
  [5480] = {.lex_state = 35},
  [5481] = {.lex_state = 35},
  [5482] = {.lex_state = 35},
  [5483] = {.lex_state = 35},
  [5484] = {.lex_state = 35, .external_lex_state = 2},
  [5485] = {.lex_state = 35, .external_lex_state = 2},
  [5486] = {.lex_state = 35, .external_lex_state = 2},
  [5487] = {.lex_state = 35, .external_lex_state = 2},
  [5488] = {.lex_state = 35, .external_lex_state = 2},
  [5489] = {.lex_state = 35, .external_lex_state = 2},
  [5490] = {.lex_state = 35, .external_lex_state = 2},
  [5491] = {.lex_state = 35, .external_lex_state = 2},
  [5492] = {.lex_state = 35, .external_lex_state = 2},
  [5493] = {.lex_state = 35, .external_lex_state = 2},
  [5494] = {.lex_state = 35, .external_lex_state = 2},
  [5495] = {.lex_state = 35, .external_lex_state = 2},
  [5496] = {.lex_state = 35, .external_lex_state = 2},
  [5497] = {.lex_state = 35, .external_lex_state = 2},
  [5498] = {.lex_state = 35, .external_lex_state = 2},
  [5499] = {.lex_state = 35, .external_lex_state = 2},
  [5500] = {.lex_state = 35, .external_lex_state = 2},
  [5501] = {.lex_state = 35, .external_lex_state = 2},
  [5502] = {.lex_state = 35},
  [5503] = {.lex_state = 35},
  [5504] = {.lex_state = 35},
  [5505] = {.lex_state = 35},
  [5506] = {.lex_state = 35},
  [5507] = {.lex_state = 35},
  [5508] = {.lex_state = 35, .external_lex_state = 2},
  [5509] = {.lex_state = 35, .external_lex_state = 2},
  [5510] = {.lex_state = 35, .external_lex_state = 2},
  [5511] = {.lex_state = 35, .external_lex_state = 2},
  [5512] = {.lex_state = 35, .external_lex_state = 2},
  [5513] = {.lex_state = 35, .external_lex_state = 2},
  [5514] = {.lex_state = 35, .external_lex_state = 2},
  [5515] = {.lex_state = 35, .external_lex_state = 2},
  [5516] = {.lex_state = 35, .external_lex_state = 2},
  [5517] = {.lex_state = 35, .external_lex_state = 2},
  [5518] = {.lex_state = 35},
  [5519] = {.lex_state = 35, .external_lex_state = 2},
  [5520] = {.lex_state = 35},
  [5521] = {.lex_state = 35},
  [5522] = {.lex_state = 35},
  [5523] = {.lex_state = 35},
  [5524] = {.lex_state = 35},
  [5525] = {.lex_state = 35},
  [5526] = {.lex_state = 35},
  [5527] = {.lex_state = 35},
  [5528] = {.lex_state = 35},
  [5529] = {.lex_state = 35},
  [5530] = {.lex_state = 35},
  [5531] = {.lex_state = 35},
  [5532] = {.lex_state = 35},
  [5533] = {.lex_state = 35},
  [5534] = {.lex_state = 35},
  [5535] = {.lex_state = 35},
  [5536] = {.lex_state = 35},
  [5537] = {.lex_state = 35},
  [5538] = {.lex_state = 35},
  [5539] = {.lex_state = 35},
  [5540] = {.lex_state = 35},
  [5541] = {.lex_state = 35},
  [5542] = {.lex_state = 35},
  [5543] = {.lex_state = 35},
  [5544] = {.lex_state = 35},
  [5545] = {.lex_state = 35},
  [5546] = {.lex_state = 35},
  [5547] = {.lex_state = 35},
  [5548] = {.lex_state = 35},
  [5549] = {.lex_state = 35, .external_lex_state = 2},
  [5550] = {.lex_state = 35},
  [5551] = {.lex_state = 35},
  [5552] = {.lex_state = 35},
  [5553] = {.lex_state = 35},
  [5554] = {.lex_state = 35},
  [5555] = {.lex_state = 35},
  [5556] = {.lex_state = 35},
  [5557] = {.lex_state = 35},
  [5558] = {.lex_state = 35, .external_lex_state = 2},
  [5559] = {.lex_state = 35},
  [5560] = {.lex_state = 35},
  [5561] = {.lex_state = 35},
  [5562] = {.lex_state = 35},
  [5563] = {.lex_state = 35},
  [5564] = {.lex_state = 35},
  [5565] = {.lex_state = 35},
  [5566] = {.lex_state = 35},
  [5567] = {.lex_state = 35},
  [5568] = {.lex_state = 35},
  [5569] = {.lex_state = 35},
  [5570] = {.lex_state = 35},
  [5571] = {.lex_state = 35},
  [5572] = {.lex_state = 35},
  [5573] = {.lex_state = 35},
  [5574] = {.lex_state = 35},
  [5575] = {.lex_state = 35},
  [5576] = {.lex_state = 35},
  [5577] = {.lex_state = 35},
  [5578] = {.lex_state = 35},
  [5579] = {.lex_state = 35},
  [5580] = {.lex_state = 35},
  [5581] = {.lex_state = 35},
  [5582] = {.lex_state = 35},
  [5583] = {.lex_state = 35},
  [5584] = {.lex_state = 35},
  [5585] = {.lex_state = 35},
  [5586] = {.lex_state = 35},
  [5587] = {.lex_state = 35},
  [5588] = {.lex_state = 35},
  [5589] = {.lex_state = 35},
  [5590] = {.lex_state = 35},
  [5591] = {.lex_state = 35},
  [5592] = {.lex_state = 35},
  [5593] = {.lex_state = 35},
  [5594] = {.lex_state = 35},
  [5595] = {.lex_state = 35},
  [5596] = {.lex_state = 35},
  [5597] = {.lex_state = 35},
  [5598] = {.lex_state = 35},
  [5599] = {.lex_state = 35},
  [5600] = {.lex_state = 35},
  [5601] = {.lex_state = 35},
  [5602] = {.lex_state = 35},
  [5603] = {.lex_state = 35},
  [5604] = {.lex_state = 35},
  [5605] = {.lex_state = 35},
  [5606] = {.lex_state = 35},
  [5607] = {.lex_state = 35},
  [5608] = {.lex_state = 35},
  [5609] = {.lex_state = 35},
  [5610] = {.lex_state = 35},
  [5611] = {.lex_state = 35},
  [5612] = {.lex_state = 35},
  [5613] = {.lex_state = 35},
  [5614] = {.lex_state = 35},
  [5615] = {.lex_state = 35, .external_lex_state = 2},
  [5616] = {.lex_state = 35, .external_lex_state = 2},
  [5617] = {.lex_state = 35, .external_lex_state = 2},
  [5618] = {.lex_state = 35},
  [5619] = {.lex_state = 35},
  [5620] = {.lex_state = 35},
  [5621] = {.lex_state = 35},
  [5622] = {.lex_state = 35},
  [5623] = {.lex_state = 35},
  [5624] = {.lex_state = 35},
  [5625] = {.lex_state = 35},
  [5626] = {.lex_state = 35},
  [5627] = {.lex_state = 35},
  [5628] = {.lex_state = 35},
  [5629] = {.lex_state = 35, .external_lex_state = 2},
  [5630] = {.lex_state = 35, .external_lex_state = 2},
  [5631] = {.lex_state = 35},
  [5632] = {.lex_state = 35},
  [5633] = {.lex_state = 35, .external_lex_state = 2},
  [5634] = {.lex_state = 35},
  [5635] = {.lex_state = 35},
  [5636] = {.lex_state = 35, .external_lex_state = 2},
  [5637] = {.lex_state = 35, .external_lex_state = 2},
  [5638] = {.lex_state = 35},
  [5639] = {.lex_state = 35},
  [5640] = {.lex_state = 35},
  [5641] = {.lex_state = 35},
  [5642] = {.lex_state = 35, .external_lex_state = 2},
  [5643] = {.lex_state = 35, .external_lex_state = 2},
  [5644] = {.lex_state = 35},
  [5645] = {.lex_state = 35, .external_lex_state = 2},
  [5646] = {.lex_state = 35, .external_lex_state = 2},
  [5647] = {.lex_state = 35},
  [5648] = {.lex_state = 35, .external_lex_state = 2},
  [5649] = {.lex_state = 35},
  [5650] = {.lex_state = 35},
  [5651] = {.lex_state = 35},
  [5652] = {.lex_state = 33},
  [5653] = {.lex_state = 35},
  [5654] = {.lex_state = 35},
  [5655] = {.lex_state = 35},
  [5656] = {.lex_state = 35},
  [5657] = {.lex_state = 35},
  [5658] = {.lex_state = 35, .external_lex_state = 2},
  [5659] = {.lex_state = 35, .external_lex_state = 2},
  [5660] = {.lex_state = 35, .external_lex_state = 2},
  [5661] = {.lex_state = 35, .external_lex_state = 2},
  [5662] = {.lex_state = 35},
  [5663] = {.lex_state = 35, .external_lex_state = 2},
  [5664] = {.lex_state = 35, .external_lex_state = 2},
  [5665] = {.lex_state = 35, .external_lex_state = 2},
  [5666] = {.lex_state = 35, .external_lex_state = 2},
  [5667] = {.lex_state = 35, .external_lex_state = 2},
  [5668] = {.lex_state = 35, .external_lex_state = 2},
  [5669] = {.lex_state = 35, .external_lex_state = 2},
  [5670] = {.lex_state = 35},
  [5671] = {.lex_state = 35},
  [5672] = {.lex_state = 35, .external_lex_state = 2},
  [5673] = {.lex_state = 35},
  [5674] = {.lex_state = 35},
  [5675] = {.lex_state = 35, .external_lex_state = 2},
  [5676] = {.lex_state = 35},
  [5677] = {.lex_state = 35, .external_lex_state = 2},
  [5678] = {.lex_state = 35, .external_lex_state = 2},
  [5679] = {.lex_state = 35, .external_lex_state = 2},
  [5680] = {.lex_state = 35},
  [5681] = {.lex_state = 35, .external_lex_state = 2},
  [5682] = {.lex_state = 35, .external_lex_state = 2},
  [5683] = {.lex_state = 35, .external_lex_state = 2},
  [5684] = {.lex_state = 35, .external_lex_state = 2},
  [5685] = {.lex_state = 35, .external_lex_state = 2},
  [5686] = {.lex_state = 35, .external_lex_state = 2},
  [5687] = {.lex_state = 35, .external_lex_state = 2},
  [5688] = {.lex_state = 35, .external_lex_state = 2},
  [5689] = {.lex_state = 35, .external_lex_state = 2},
  [5690] = {.lex_state = 35, .external_lex_state = 2},
  [5691] = {.lex_state = 35, .external_lex_state = 2},
  [5692] = {.lex_state = 35, .external_lex_state = 2},
  [5693] = {.lex_state = 35, .external_lex_state = 2},
  [5694] = {.lex_state = 35},
  [5695] = {.lex_state = 35, .external_lex_state = 2},
  [5696] = {.lex_state = 35},
  [5697] = {.lex_state = 35},
  [5698] = {.lex_state = 35, .external_lex_state = 2},
  [5699] = {.lex_state = 35, .external_lex_state = 2},
  [5700] = {.lex_state = 36},
  [5701] = {.lex_state = 35},
  [5702] = {.lex_state = 35},
  [5703] = {.lex_state = 35, .external_lex_state = 2},
  [5704] = {.lex_state = 35},
  [5705] = {.lex_state = 35, .external_lex_state = 2},
  [5706] = {.lex_state = 35, .external_lex_state = 2},
  [5707] = {.lex_state = 35, .external_lex_state = 2},
  [5708] = {.lex_state = 35, .external_lex_state = 2},
  [5709] = {.lex_state = 35, .external_lex_state = 2},
  [5710] = {.lex_state = 35, .external_lex_state = 2},
  [5711] = {.lex_state = 35, .external_lex_state = 2},
  [5712] = {.lex_state = 35, .external_lex_state = 2},
  [5713] = {.lex_state = 35, .external_lex_state = 2},
  [5714] = {.lex_state = 35, .external_lex_state = 2},
  [5715] = {.lex_state = 35, .external_lex_state = 2},
  [5716] = {.lex_state = 35, .external_lex_state = 2},
  [5717] = {.lex_state = 35, .external_lex_state = 2},
  [5718] = {.lex_state = 35, .external_lex_state = 2},
  [5719] = {.lex_state = 35, .external_lex_state = 2},
  [5720] = {.lex_state = 35, .external_lex_state = 2},
  [5721] = {.lex_state = 35, .external_lex_state = 2},
  [5722] = {.lex_state = 35, .external_lex_state = 2},
  [5723] = {.lex_state = 35, .external_lex_state = 2},
  [5724] = {.lex_state = 35},
  [5725] = {.lex_state = 35, .external_lex_state = 2},
  [5726] = {.lex_state = 35, .external_lex_state = 2},
  [5727] = {.lex_state = 35, .external_lex_state = 2},
  [5728] = {.lex_state = 35},
  [5729] = {.lex_state = 35},
  [5730] = {.lex_state = 35, .external_lex_state = 2},
  [5731] = {.lex_state = 35, .external_lex_state = 2},
  [5732] = {.lex_state = 35, .external_lex_state = 2},
  [5733] = {.lex_state = 35, .external_lex_state = 2},
  [5734] = {.lex_state = 35, .external_lex_state = 2},
  [5735] = {.lex_state = 35, .external_lex_state = 2},
  [5736] = {.lex_state = 35, .external_lex_state = 2},
  [5737] = {.lex_state = 35, .external_lex_state = 2},
  [5738] = {.lex_state = 35},
  [5739] = {.lex_state = 35, .external_lex_state = 2},
  [5740] = {.lex_state = 35, .external_lex_state = 2},
  [5741] = {.lex_state = 35, .external_lex_state = 2},
  [5742] = {.lex_state = 35, .external_lex_state = 2},
  [5743] = {.lex_state = 35, .external_lex_state = 2},
  [5744] = {.lex_state = 35, .external_lex_state = 2},
  [5745] = {.lex_state = 35, .external_lex_state = 2},
  [5746] = {.lex_state = 35},
  [5747] = {.lex_state = 35, .external_lex_state = 2},
  [5748] = {.lex_state = 35, .external_lex_state = 2},
  [5749] = {.lex_state = 35},
  [5750] = {.lex_state = 35, .external_lex_state = 2},
  [5751] = {.lex_state = 35},
  [5752] = {.lex_state = 35, .external_lex_state = 2},
  [5753] = {.lex_state = 35},
  [5754] = {.lex_state = 35, .external_lex_state = 2},
  [5755] = {.lex_state = 35},
  [5756] = {.lex_state = 35, .external_lex_state = 2},
  [5757] = {.lex_state = 35, .external_lex_state = 2},
  [5758] = {.lex_state = 35},
  [5759] = {.lex_state = 35},
  [5760] = {.lex_state = 35},
  [5761] = {.lex_state = 35, .external_lex_state = 2},
  [5762] = {.lex_state = 35, .external_lex_state = 2},
  [5763] = {.lex_state = 35, .external_lex_state = 2},
  [5764] = {.lex_state = 35, .external_lex_state = 2},
  [5765] = {.lex_state = 35},
  [5766] = {.lex_state = 35, .external_lex_state = 2},
  [5767] = {.lex_state = 35, .external_lex_state = 2},
  [5768] = {.lex_state = 35, .external_lex_state = 2},
  [5769] = {.lex_state = 35, .external_lex_state = 2},
  [5770] = {.lex_state = 35, .external_lex_state = 2},
  [5771] = {.lex_state = 35},
  [5772] = {.lex_state = 35},
  [5773] = {.lex_state = 35},
  [5774] = {.lex_state = 35},
  [5775] = {.lex_state = 35},
  [5776] = {.lex_state = 35, .external_lex_state = 2},
  [5777] = {.lex_state = 35, .external_lex_state = 2},
  [5778] = {.lex_state = 35, .external_lex_state = 2},
  [5779] = {.lex_state = 35},
  [5780] = {.lex_state = 35, .external_lex_state = 2},
  [5781] = {.lex_state = 35},
  [5782] = {.lex_state = 35, .external_lex_state = 2},
  [5783] = {.lex_state = 35, .external_lex_state = 2},
  [5784] = {.lex_state = 35, .external_lex_state = 2},
  [5785] = {.lex_state = 35},
  [5786] = {.lex_state = 35},
  [5787] = {.lex_state = 35},
  [5788] = {.lex_state = 35, .external_lex_state = 2},
  [5789] = {.lex_state = 35, .external_lex_state = 2},
  [5790] = {.lex_state = 35, .external_lex_state = 2},
  [5791] = {.lex_state = 35},
  [5792] = {.lex_state = 35},
  [5793] = {.lex_state = 35},
  [5794] = {.lex_state = 35},
  [5795] = {.lex_state = 35, .external_lex_state = 2},
  [5796] = {.lex_state = 35},
  [5797] = {.lex_state = 35},
  [5798] = {.lex_state = 35},
  [5799] = {.lex_state = 35},
  [5800] = {.lex_state = 35},
  [5801] = {.lex_state = 35},
  [5802] = {.lex_state = 35},
  [5803] = {.lex_state = 35},
  [5804] = {.lex_state = 35},
  [5805] = {.lex_state = 35},
  [5806] = {.lex_state = 35},
  [5807] = {.lex_state = 35},
  [5808] = {.lex_state = 35},
  [5809] = {.lex_state = 35},
  [5810] = {.lex_state = 35},
  [5811] = {.lex_state = 35},
  [5812] = {.lex_state = 35},
  [5813] = {.lex_state = 35},
  [5814] = {.lex_state = 35},
  [5815] = {.lex_state = 35},
  [5816] = {.lex_state = 35},
  [5817] = {.lex_state = 35},
  [5818] = {.lex_state = 35},
  [5819] = {.lex_state = 35},
  [5820] = {.lex_state = 35},
  [5821] = {.lex_state = 35},
  [5822] = {.lex_state = 35},
  [5823] = {.lex_state = 35},
  [5824] = {.lex_state = 35},
  [5825] = {.lex_state = 35},
  [5826] = {.lex_state = 35},
  [5827] = {.lex_state = 35},
  [5828] = {.lex_state = 35},
  [5829] = {.lex_state = 35},
  [5830] = {.lex_state = 35},
  [5831] = {.lex_state = 35},
  [5832] = {.lex_state = 35},
  [5833] = {.lex_state = 35},
  [5834] = {.lex_state = 35},
  [5835] = {.lex_state = 35},
  [5836] = {.lex_state = 35},
  [5837] = {.lex_state = 35},
  [5838] = {.lex_state = 35},
  [5839] = {.lex_state = 35},
  [5840] = {.lex_state = 35},
  [5841] = {.lex_state = 35},
  [5842] = {.lex_state = 35},
  [5843] = {.lex_state = 35},
  [5844] = {.lex_state = 35},
  [5845] = {.lex_state = 35},
  [5846] = {.lex_state = 35},
  [5847] = {.lex_state = 35},
  [5848] = {.lex_state = 35},
  [5849] = {.lex_state = 35},
  [5850] = {.lex_state = 35},
  [5851] = {.lex_state = 35},
  [5852] = {.lex_state = 35},
  [5853] = {.lex_state = 35},
  [5854] = {.lex_state = 33, .external_lex_state = 3},
  [5855] = {.lex_state = 35},
  [5856] = {.lex_state = 35},
  [5857] = {.lex_state = 35},
  [5858] = {.lex_state = 35},
  [5859] = {.lex_state = 35},
  [5860] = {.lex_state = 35},
  [5861] = {.lex_state = 35},
  [5862] = {.lex_state = 35},
  [5863] = {.lex_state = 35},
  [5864] = {.lex_state = 35},
  [5865] = {.lex_state = 35},
  [5866] = {.lex_state = 35},
  [5867] = {.lex_state = 35},
  [5868] = {.lex_state = 35},
  [5869] = {.lex_state = 35},
  [5870] = {.lex_state = 35},
  [5871] = {.lex_state = 35},
  [5872] = {.lex_state = 35},
  [5873] = {.lex_state = 35},
  [5874] = {.lex_state = 35},
  [5875] = {.lex_state = 35},
  [5876] = {.lex_state = 35},
  [5877] = {.lex_state = 35},
  [5878] = {.lex_state = 35},
  [5879] = {.lex_state = 35},
  [5880] = {.lex_state = 35},
  [5881] = {.lex_state = 35},
  [5882] = {.lex_state = 35},
  [5883] = {.lex_state = 35},
  [5884] = {.lex_state = 35},
  [5885] = {.lex_state = 35, .external_lex_state = 2},
  [5886] = {.lex_state = 35, .external_lex_state = 2},
  [5887] = {.lex_state = 35},
  [5888] = {.lex_state = 35},
  [5889] = {.lex_state = 35},
  [5890] = {.lex_state = 35},
  [5891] = {.lex_state = 35},
  [5892] = {.lex_state = 35},
  [5893] = {.lex_state = 35},
  [5894] = {.lex_state = 35},
  [5895] = {.lex_state = 35},
  [5896] = {.lex_state = 35},
  [5897] = {.lex_state = 35},
  [5898] = {.lex_state = 35},
  [5899] = {.lex_state = 35},
  [5900] = {.lex_state = 35},
  [5901] = {.lex_state = 35},
  [5902] = {.lex_state = 35},
  [5903] = {.lex_state = 35},
  [5904] = {.lex_state = 35},
  [5905] = {.lex_state = 35},
  [5906] = {.lex_state = 35},
  [5907] = {.lex_state = 35},
  [5908] = {.lex_state = 35},
  [5909] = {.lex_state = 35},
  [5910] = {.lex_state = 35},
  [5911] = {.lex_state = 35},
  [5912] = {.lex_state = 35, .external_lex_state = 2},
  [5913] = {.lex_state = 35},
  [5914] = {.lex_state = 35, .external_lex_state = 2},
  [5915] = {.lex_state = 35},
  [5916] = {.lex_state = 35},
  [5917] = {.lex_state = 35},
  [5918] = {.lex_state = 35},
  [5919] = {.lex_state = 35, .external_lex_state = 2},
  [5920] = {.lex_state = 35},
  [5921] = {.lex_state = 35},
  [5922] = {.lex_state = 35},
  [5923] = {.lex_state = 35},
  [5924] = {.lex_state = 35},
  [5925] = {.lex_state = 35},
  [5926] = {.lex_state = 35},
  [5927] = {.lex_state = 35},
  [5928] = {.lex_state = 35},
  [5929] = {.lex_state = 35},
  [5930] = {.lex_state = 35},
  [5931] = {.lex_state = 35},
  [5932] = {.lex_state = 35},
  [5933] = {.lex_state = 35},
  [5934] = {.lex_state = 35},
  [5935] = {.lex_state = 35},
  [5936] = {.lex_state = 35},
  [5937] = {.lex_state = 35, .external_lex_state = 2},
  [5938] = {.lex_state = 35},
  [5939] = {.lex_state = 35},
  [5940] = {.lex_state = 35},
  [5941] = {.lex_state = 35},
  [5942] = {.lex_state = 35},
  [5943] = {.lex_state = 35},
  [5944] = {.lex_state = 35},
  [5945] = {.lex_state = 35},
  [5946] = {.lex_state = 35},
  [5947] = {.lex_state = 35},
  [5948] = {.lex_state = 35},
  [5949] = {.lex_state = 35},
  [5950] = {.lex_state = 35},
  [5951] = {.lex_state = 35},
  [5952] = {.lex_state = 35},
  [5953] = {.lex_state = 35},
  [5954] = {.lex_state = 35},
  [5955] = {.lex_state = 35},
  [5956] = {.lex_state = 35},
  [5957] = {.lex_state = 35},
  [5958] = {.lex_state = 35},
  [5959] = {.lex_state = 35},
  [5960] = {.lex_state = 35},
  [5961] = {.lex_state = 33, .external_lex_state = 3},
  [5962] = {.lex_state = 35},
  [5963] = {.lex_state = 35},
  [5964] = {.lex_state = 35},
  [5965] = {.lex_state = 35},
  [5966] = {.lex_state = 35},
  [5967] = {.lex_state = 35},
  [5968] = {.lex_state = 35},
  [5969] = {.lex_state = 35},
  [5970] = {.lex_state = 35},
  [5971] = {.lex_state = 35},
  [5972] = {.lex_state = 35},
  [5973] = {.lex_state = 35},
  [5974] = {.lex_state = 35},
  [5975] = {.lex_state = 35},
  [5976] = {.lex_state = 35},
  [5977] = {.lex_state = 35},
  [5978] = {.lex_state = 35},
  [5979] = {.lex_state = 35},
  [5980] = {.lex_state = 35},
  [5981] = {.lex_state = 35},
  [5982] = {.lex_state = 35},
  [5983] = {.lex_state = 35},
  [5984] = {.lex_state = 35},
  [5985] = {.lex_state = 35},
  [5986] = {.lex_state = 35},
  [5987] = {.lex_state = 35},
  [5988] = {.lex_state = 35},
  [5989] = {.lex_state = 35},
  [5990] = {.lex_state = 35},
  [5991] = {.lex_state = 35},
  [5992] = {.lex_state = 35},
  [5993] = {.lex_state = 35},
  [5994] = {.lex_state = 35},
  [5995] = {.lex_state = 35},
  [5996] = {.lex_state = 35},
  [5997] = {.lex_state = 35},
  [5998] = {.lex_state = 35},
  [5999] = {.lex_state = 35},
  [6000] = {.lex_state = 35},
  [6001] = {.lex_state = 35},
  [6002] = {.lex_state = 35},
  [6003] = {.lex_state = 35},
  [6004] = {.lex_state = 35},
  [6005] = {.lex_state = 35},
  [6006] = {.lex_state = 35},
  [6007] = {.lex_state = 35},
  [6008] = {.lex_state = 35},
  [6009] = {.lex_state = 35},
  [6010] = {.lex_state = 35},
  [6011] = {.lex_state = 35},
  [6012] = {.lex_state = 35},
  [6013] = {.lex_state = 35},
  [6014] = {.lex_state = 35},
  [6015] = {.lex_state = 35},
  [6016] = {.lex_state = 35},
  [6017] = {.lex_state = 35},
  [6018] = {.lex_state = 35},
  [6019] = {.lex_state = 35},
  [6020] = {.lex_state = 35},
  [6021] = {.lex_state = 35},
  [6022] = {.lex_state = 35},
  [6023] = {.lex_state = 35},
  [6024] = {.lex_state = 35},
  [6025] = {.lex_state = 35},
  [6026] = {.lex_state = 35},
  [6027] = {.lex_state = 35},
  [6028] = {.lex_state = 35},
  [6029] = {.lex_state = 35},
  [6030] = {.lex_state = 35},
  [6031] = {.lex_state = 35},
  [6032] = {.lex_state = 35},
  [6033] = {.lex_state = 35},
  [6034] = {.lex_state = 35},
  [6035] = {.lex_state = 35},
  [6036] = {.lex_state = 35},
  [6037] = {.lex_state = 35},
  [6038] = {.lex_state = 35},
  [6039] = {.lex_state = 35},
  [6040] = {.lex_state = 35},
  [6041] = {.lex_state = 35},
  [6042] = {.lex_state = 35},
  [6043] = {.lex_state = 35},
  [6044] = {.lex_state = 35},
  [6045] = {.lex_state = 35},
  [6046] = {.lex_state = 35},
  [6047] = {.lex_state = 35},
  [6048] = {.lex_state = 35},
  [6049] = {.lex_state = 35},
  [6050] = {.lex_state = 35},
  [6051] = {.lex_state = 35},
  [6052] = {.lex_state = 35},
  [6053] = {.lex_state = 35},
  [6054] = {.lex_state = 35},
  [6055] = {.lex_state = 35},
  [6056] = {.lex_state = 35},
  [6057] = {.lex_state = 35},
  [6058] = {.lex_state = 35},
  [6059] = {.lex_state = 35},
  [6060] = {.lex_state = 35},
  [6061] = {.lex_state = 35},
  [6062] = {.lex_state = 35},
  [6063] = {.lex_state = 35},
  [6064] = {.lex_state = 35},
  [6065] = {.lex_state = 35},
  [6066] = {.lex_state = 35},
  [6067] = {.lex_state = 35},
  [6068] = {.lex_state = 35},
  [6069] = {.lex_state = 35},
  [6070] = {.lex_state = 35},
  [6071] = {.lex_state = 35},
  [6072] = {.lex_state = 35},
  [6073] = {.lex_state = 35},
  [6074] = {.lex_state = 35},
  [6075] = {.lex_state = 35},
  [6076] = {.lex_state = 35},
  [6077] = {.lex_state = 35},
  [6078] = {.lex_state = 35},
  [6079] = {.lex_state = 35},
  [6080] = {.lex_state = 35},
  [6081] = {.lex_state = 35},
  [6082] = {.lex_state = 35},
  [6083] = {.lex_state = 35},
  [6084] = {.lex_state = 35},
  [6085] = {.lex_state = 35},
  [6086] = {.lex_state = 35},
  [6087] = {.lex_state = 35},
  [6088] = {.lex_state = 35},
  [6089] = {.lex_state = 35},
  [6090] = {.lex_state = 35},
  [6091] = {.lex_state = 35},
  [6092] = {.lex_state = 35},
  [6093] = {.lex_state = 35},
  [6094] = {.lex_state = 35},
  [6095] = {.lex_state = 35},
  [6096] = {.lex_state = 35},
  [6097] = {.lex_state = 35},
  [6098] = {.lex_state = 35},
  [6099] = {.lex_state = 35},
  [6100] = {.lex_state = 35},
  [6101] = {.lex_state = 35},
  [6102] = {.lex_state = 35},
  [6103] = {.lex_state = 35},
  [6104] = {.lex_state = 35},
  [6105] = {.lex_state = 35},
  [6106] = {.lex_state = 35},
  [6107] = {.lex_state = 35},
  [6108] = {.lex_state = 35},
  [6109] = {.lex_state = 35},
  [6110] = {.lex_state = 35},
  [6111] = {.lex_state = 35},
  [6112] = {.lex_state = 35},
  [6113] = {.lex_state = 35},
  [6114] = {.lex_state = 35},
  [6115] = {.lex_state = 35},
  [6116] = {.lex_state = 35},
  [6117] = {.lex_state = 35},
  [6118] = {.lex_state = 35},
  [6119] = {.lex_state = 35},
  [6120] = {.lex_state = 35},
  [6121] = {.lex_state = 35},
  [6122] = {.lex_state = 35},
  [6123] = {.lex_state = 35},
  [6124] = {.lex_state = 35},
  [6125] = {.lex_state = 35},
  [6126] = {.lex_state = 35},
  [6127] = {.lex_state = 35},
  [6128] = {.lex_state = 35},
  [6129] = {.lex_state = 35},
  [6130] = {.lex_state = 35},
  [6131] = {.lex_state = 35},
  [6132] = {.lex_state = 35},
  [6133] = {.lex_state = 35},
  [6134] = {.lex_state = 35},
  [6135] = {.lex_state = 35},
  [6136] = {.lex_state = 35},
  [6137] = {.lex_state = 35},
  [6138] = {.lex_state = 35},
  [6139] = {.lex_state = 35},
  [6140] = {.lex_state = 35},
  [6141] = {.lex_state = 35},
  [6142] = {.lex_state = 35},
  [6143] = {.lex_state = 35},
  [6144] = {.lex_state = 35},
  [6145] = {.lex_state = 35},
  [6146] = {.lex_state = 35},
  [6147] = {.lex_state = 35},
  [6148] = {.lex_state = 35},
  [6149] = {.lex_state = 35},
  [6150] = {.lex_state = 35},
  [6151] = {.lex_state = 35},
  [6152] = {.lex_state = 35},
  [6153] = {.lex_state = 35},
  [6154] = {.lex_state = 35},
  [6155] = {.lex_state = 35},
  [6156] = {.lex_state = 35},
  [6157] = {.lex_state = 35},
  [6158] = {.lex_state = 35},
  [6159] = {.lex_state = 35},
  [6160] = {.lex_state = 35},
  [6161] = {.lex_state = 35},
  [6162] = {.lex_state = 35},
  [6163] = {.lex_state = 35},
  [6164] = {.lex_state = 35},
  [6165] = {.lex_state = 35},
  [6166] = {.lex_state = 35},
  [6167] = {.lex_state = 35},
  [6168] = {.lex_state = 35},
  [6169] = {.lex_state = 33, .external_lex_state = 3},
  [6170] = {.lex_state = 35},
  [6171] = {.lex_state = 35},
  [6172] = {.lex_state = 35},
  [6173] = {.lex_state = 35},
  [6174] = {.lex_state = 33, .external_lex_state = 3},
  [6175] = {.lex_state = 35},
  [6176] = {.lex_state = 35},
  [6177] = {.lex_state = 35},
  [6178] = {.lex_state = 35},
  [6179] = {.lex_state = 35},
  [6180] = {.lex_state = 35},
  [6181] = {.lex_state = 35},
  [6182] = {.lex_state = 35},
  [6183] = {.lex_state = 35},
  [6184] = {.lex_state = 35},
  [6185] = {.lex_state = 35},
  [6186] = {.lex_state = 35},
  [6187] = {.lex_state = 35},
  [6188] = {.lex_state = 33, .external_lex_state = 3},
  [6189] = {.lex_state = 35},
  [6190] = {.lex_state = 35},
  [6191] = {.lex_state = 35},
  [6192] = {.lex_state = 35},
  [6193] = {.lex_state = 35},
  [6194] = {.lex_state = 35},
  [6195] = {.lex_state = 35},
  [6196] = {.lex_state = 33, .external_lex_state = 4},
  [6197] = {.lex_state = 35},
  [6198] = {.lex_state = 35},
  [6199] = {.lex_state = 35},
  [6200] = {.lex_state = 35},
  [6201] = {.lex_state = 35},
  [6202] = {.lex_state = 35},
  [6203] = {.lex_state = 35},
  [6204] = {.lex_state = 35},
  [6205] = {.lex_state = 35},
  [6206] = {.lex_state = 35},
  [6207] = {.lex_state = 35},
  [6208] = {.lex_state = 35},
  [6209] = {.lex_state = 35},
  [6210] = {.lex_state = 35},
  [6211] = {.lex_state = 35},
  [6212] = {.lex_state = 35},
  [6213] = {.lex_state = 35},
  [6214] = {.lex_state = 35},
  [6215] = {.lex_state = 33, .external_lex_state = 3},
  [6216] = {.lex_state = 35},
  [6217] = {.lex_state = 33, .external_lex_state = 4},
  [6218] = {.lex_state = 35},
  [6219] = {.lex_state = 35},
  [6220] = {.lex_state = 35},
  [6221] = {.lex_state = 35},
  [6222] = {.lex_state = 35},
  [6223] = {.lex_state = 35, .external_lex_state = 2},
  [6224] = {.lex_state = 35},
  [6225] = {.lex_state = 35},
  [6226] = {.lex_state = 33, .external_lex_state = 3},
  [6227] = {.lex_state = 35},
  [6228] = {.lex_state = 35},
  [6229] = {.lex_state = 35},
  [6230] = {.lex_state = 33, .external_lex_state = 3},
  [6231] = {.lex_state = 35},
  [6232] = {.lex_state = 35},
  [6233] = {.lex_state = 35},
  [6234] = {.lex_state = 35},
  [6235] = {.lex_state = 33, .external_lex_state = 4},
  [6236] = {.lex_state = 35},
  [6237] = {.lex_state = 35},
  [6238] = {.lex_state = 35},
  [6239] = {.lex_state = 35},
  [6240] = {.lex_state = 35},
  [6241] = {.lex_state = 35},
  [6242] = {.lex_state = 33, .external_lex_state = 4},
  [6243] = {.lex_state = 35},
  [6244] = {.lex_state = 35},
  [6245] = {.lex_state = 35},
  [6246] = {.lex_state = 35},
  [6247] = {.lex_state = 35},
  [6248] = {.lex_state = 35},
  [6249] = {.lex_state = 35},
  [6250] = {.lex_state = 35},
  [6251] = {.lex_state = 35},
  [6252] = {.lex_state = 35},
  [6253] = {.lex_state = 35},
  [6254] = {.lex_state = 33, .external_lex_state = 3},
  [6255] = {.lex_state = 35},
  [6256] = {.lex_state = 35},
  [6257] = {.lex_state = 35},
  [6258] = {.lex_state = 35},
  [6259] = {.lex_state = 33, .external_lex_state = 3},
  [6260] = {.lex_state = 35},
  [6261] = {.lex_state = 35},
  [6262] = {.lex_state = 35},
  [6263] = {.lex_state = 35},
  [6264] = {.lex_state = 33, .external_lex_state = 4},
  [6265] = {.lex_state = 35},
  [6266] = {.lex_state = 35, .external_lex_state = 2},
  [6267] = {.lex_state = 35},
  [6268] = {.lex_state = 35},
  [6269] = {.lex_state = 35},
  [6270] = {.lex_state = 35, .external_lex_state = 2},
  [6271] = {.lex_state = 35},
  [6272] = {.lex_state = 35},
  [6273] = {.lex_state = 35},
  [6274] = {.lex_state = 35},
  [6275] = {.lex_state = 33, .external_lex_state = 3},
  [6276] = {.lex_state = 35},
  [6277] = {.lex_state = 35},
  [6278] = {.lex_state = 35},
  [6279] = {.lex_state = 33, .external_lex_state = 3},
  [6280] = {.lex_state = 35},
  [6281] = {.lex_state = 35},
  [6282] = {.lex_state = 35},
  [6283] = {.lex_state = 35},
  [6284] = {.lex_state = 35},
  [6285] = {.lex_state = 35},
  [6286] = {.lex_state = 35},
  [6287] = {.lex_state = 35},
  [6288] = {.lex_state = 35},
  [6289] = {.lex_state = 35},
  [6290] = {.lex_state = 35},
  [6291] = {.lex_state = 35},
  [6292] = {.lex_state = 35},
  [6293] = {.lex_state = 35},
  [6294] = {.lex_state = 35},
  [6295] = {.lex_state = 35},
  [6296] = {.lex_state = 35},
  [6297] = {.lex_state = 35},
  [6298] = {.lex_state = 35},
  [6299] = {.lex_state = 35},
  [6300] = {.lex_state = 33, .external_lex_state = 3},
  [6301] = {.lex_state = 33, .external_lex_state = 3},
  [6302] = {.lex_state = 35},
  [6303] = {.lex_state = 35},
  [6304] = {.lex_state = 35},
  [6305] = {.lex_state = 35},
  [6306] = {.lex_state = 35},
  [6307] = {.lex_state = 35},
  [6308] = {.lex_state = 35},
  [6309] = {.lex_state = 35},
  [6310] = {.lex_state = 35},
  [6311] = {.lex_state = 35},
  [6312] = {.lex_state = 35},
  [6313] = {.lex_state = 35},
  [6314] = {.lex_state = 35},
  [6315] = {.lex_state = 35},
  [6316] = {.lex_state = 35},
  [6317] = {.lex_state = 35},
  [6318] = {.lex_state = 35},
  [6319] = {.lex_state = 33, .external_lex_state = 3},
  [6320] = {.lex_state = 35},
  [6321] = {.lex_state = 35},
  [6322] = {.lex_state = 35},
  [6323] = {.lex_state = 35},
  [6324] = {.lex_state = 35},
  [6325] = {.lex_state = 33, .external_lex_state = 3},
  [6326] = {.lex_state = 35},
  [6327] = {.lex_state = 35},
  [6328] = {.lex_state = 35},
  [6329] = {.lex_state = 35},
  [6330] = {.lex_state = 35},
  [6331] = {.lex_state = 35},
  [6332] = {.lex_state = 35},
  [6333] = {.lex_state = 35},
  [6334] = {.lex_state = 35},
  [6335] = {.lex_state = 35},
  [6336] = {.lex_state = 35},
  [6337] = {.lex_state = 35},
  [6338] = {.lex_state = 35},
  [6339] = {.lex_state = 35},
  [6340] = {.lex_state = 35},
  [6341] = {.lex_state = 35},
  [6342] = {.lex_state = 35},
  [6343] = {.lex_state = 35},
  [6344] = {.lex_state = 35},
  [6345] = {.lex_state = 35},
  [6346] = {.lex_state = 33, .external_lex_state = 3},
  [6347] = {.lex_state = 33, .external_lex_state = 3},
  [6348] = {.lex_state = 35},
  [6349] = {.lex_state = 35},
  [6350] = {.lex_state = 35},
  [6351] = {.lex_state = 35},
  [6352] = {.lex_state = 35},
  [6353] = {.lex_state = 35},
  [6354] = {.lex_state = 35},
  [6355] = {.lex_state = 35},
  [6356] = {.lex_state = 35},
  [6357] = {.lex_state = 35},
  [6358] = {.lex_state = 33, .external_lex_state = 4},
  [6359] = {.lex_state = 35},
  [6360] = {.lex_state = 35},
  [6361] = {.lex_state = 33, .external_lex_state = 4},
  [6362] = {.lex_state = 35},
  [6363] = {.lex_state = 33, .external_lex_state = 3},
  [6364] = {.lex_state = 35},
  [6365] = {.lex_state = 35},
  [6366] = {.lex_state = 35},
  [6367] = {.lex_state = 35},
  [6368] = {.lex_state = 35},
  [6369] = {.lex_state = 35},
  [6370] = {.lex_state = 35},
  [6371] = {.lex_state = 33, .external_lex_state = 3},
  [6372] = {.lex_state = 35},
  [6373] = {.lex_state = 35},
  [6374] = {.lex_state = 35},
  [6375] = {.lex_state = 35},
  [6376] = {.lex_state = 35},
  [6377] = {.lex_state = 35},
  [6378] = {.lex_state = 35},
  [6379] = {.lex_state = 35},
  [6380] = {.lex_state = 35},
  [6381] = {.lex_state = 35},
  [6382] = {.lex_state = 35},
  [6383] = {.lex_state = 35},
  [6384] = {.lex_state = 35},
  [6385] = {.lex_state = 35},
  [6386] = {.lex_state = 35},
  [6387] = {.lex_state = 35},
  [6388] = {.lex_state = 35},
  [6389] = {.lex_state = 35},
  [6390] = {.lex_state = 35},
  [6391] = {.lex_state = 35},
  [6392] = {.lex_state = 35},
  [6393] = {.lex_state = 33, .external_lex_state = 3},
  [6394] = {.lex_state = 33, .external_lex_state = 3},
  [6395] = {.lex_state = 35},
  [6396] = {.lex_state = 35},
  [6397] = {.lex_state = 35},
  [6398] = {.lex_state = 35},
  [6399] = {.lex_state = 33, .external_lex_state = 3},
  [6400] = {.lex_state = 35},
  [6401] = {.lex_state = 35},
  [6402] = {.lex_state = 35},
  [6403] = {.lex_state = 35},
  [6404] = {.lex_state = 35},
  [6405] = {.lex_state = 33, .external_lex_state = 3},
  [6406] = {.lex_state = 35},
  [6407] = {.lex_state = 35},
  [6408] = {.lex_state = 35, .external_lex_state = 2},
  [6409] = {.lex_state = 35, .external_lex_state = 2},
  [6410] = {.lex_state = 35, .external_lex_state = 2},
  [6411] = {.lex_state = 35, .external_lex_state = 2},
  [6412] = {.lex_state = 35},
  [6413] = {.lex_state = 35},
  [6414] = {.lex_state = 35},
  [6415] = {.lex_state = 35},
  [6416] = {.lex_state = 35},
  [6417] = {.lex_state = 35},
  [6418] = {.lex_state = 35},
  [6419] = {.lex_state = 35},
  [6420] = {.lex_state = 35},
  [6421] = {.lex_state = 35},
  [6422] = {.lex_state = 35},
  [6423] = {.lex_state = 35},
  [6424] = {.lex_state = 35},
  [6425] = {.lex_state = 35},
  [6426] = {.lex_state = 35},
  [6427] = {.lex_state = 35},
  [6428] = {.lex_state = 35},
  [6429] = {.lex_state = 35},
  [6430] = {.lex_state = 35},
  [6431] = {.lex_state = 35},
  [6432] = {.lex_state = 35},
  [6433] = {.lex_state = 35, .external_lex_state = 2},
  [6434] = {.lex_state = 35},
  [6435] = {.lex_state = 35},
  [6436] = {.lex_state = 35},
  [6437] = {.lex_state = 35},
  [6438] = {.lex_state = 35},
  [6439] = {.lex_state = 35},
  [6440] = {.lex_state = 35},
  [6441] = {.lex_state = 35},
  [6442] = {.lex_state = 35},
  [6443] = {.lex_state = 33, .external_lex_state = 3},
  [6444] = {.lex_state = 33, .external_lex_state = 3},
  [6445] = {.lex_state = 33, .external_lex_state = 3},
  [6446] = {.lex_state = 35},
  [6447] = {.lex_state = 33, .external_lex_state = 3},
  [6448] = {.lex_state = 33, .external_lex_state = 3},
  [6449] = {.lex_state = 33, .external_lex_state = 3},
  [6450] = {.lex_state = 35},
  [6451] = {.lex_state = 35},
  [6452] = {.lex_state = 35},
  [6453] = {.lex_state = 35},
  [6454] = {.lex_state = 35},
  [6455] = {.lex_state = 35},
  [6456] = {.lex_state = 35},
  [6457] = {.lex_state = 35, .external_lex_state = 2},
  [6458] = {.lex_state = 35, .external_lex_state = 2},
  [6459] = {.lex_state = 35, .external_lex_state = 2},
  [6460] = {.lex_state = 35},
  [6461] = {.lex_state = 33, .external_lex_state = 3},
  [6462] = {.lex_state = 33, .external_lex_state = 3},
  [6463] = {.lex_state = 33, .external_lex_state = 3},
  [6464] = {.lex_state = 33, .external_lex_state = 3},
  [6465] = {.lex_state = 33, .external_lex_state = 3},
  [6466] = {.lex_state = 35},
  [6467] = {.lex_state = 35, .external_lex_state = 2},
  [6468] = {.lex_state = 35, .external_lex_state = 2},
  [6469] = {.lex_state = 35, .external_lex_state = 2},
  [6470] = {.lex_state = 35, .external_lex_state = 2},
  [6471] = {.lex_state = 35},
  [6472] = {.lex_state = 35, .external_lex_state = 2},
  [6473] = {.lex_state = 35, .external_lex_state = 2},
  [6474] = {.lex_state = 35},
  [6475] = {.lex_state = 35},
  [6476] = {.lex_state = 33},
  [6477] = {.lex_state = 35, .external_lex_state = 2},
  [6478] = {.lex_state = 35},
  [6479] = {.lex_state = 35},
  [6480] = {.lex_state = 35},
  [6481] = {.lex_state = 35},
  [6482] = {.lex_state = 33, .external_lex_state = 3},
  [6483] = {.lex_state = 35},
  [6484] = {.lex_state = 33, .external_lex_state = 3},
  [6485] = {.lex_state = 35},
  [6486] = {.lex_state = 33, .external_lex_state = 3},
  [6487] = {.lex_state = 33, .external_lex_state = 3},
  [6488] = {.lex_state = 35},
  [6489] = {.lex_state = 35},
  [6490] = {.lex_state = 35},
  [6491] = {.lex_state = 35},
  [6492] = {.lex_state = 35},
  [6493] = {.lex_state = 35},
  [6494] = {.lex_state = 33, .external_lex_state = 3},
  [6495] = {.lex_state = 35},
  [6496] = {.lex_state = 35},
  [6497] = {.lex_state = 35},
  [6498] = {.lex_state = 35},
  [6499] = {.lex_state = 35},
  [6500] = {.lex_state = 35},
  [6501] = {.lex_state = 35},
  [6502] = {.lex_state = 35},
  [6503] = {.lex_state = 35},
  [6504] = {.lex_state = 35},
  [6505] = {.lex_state = 35},
  [6506] = {.lex_state = 35},
  [6507] = {.lex_state = 35},
  [6508] = {.lex_state = 35},
  [6509] = {.lex_state = 35},
  [6510] = {.lex_state = 35},
  [6511] = {.lex_state = 35},
  [6512] = {.lex_state = 35},
  [6513] = {.lex_state = 33, .external_lex_state = 3},
  [6514] = {.lex_state = 35},
  [6515] = {.lex_state = 35},
  [6516] = {.lex_state = 33, .external_lex_state = 3},
  [6517] = {.lex_state = 35},
  [6518] = {.lex_state = 35},
  [6519] = {.lex_state = 35},
  [6520] = {.lex_state = 35},
  [6521] = {.lex_state = 33, .external_lex_state = 3},
  [6522] = {.lex_state = 33, .external_lex_state = 3},
  [6523] = {.lex_state = 33, .external_lex_state = 3},
  [6524] = {.lex_state = 35},
  [6525] = {.lex_state = 35},
  [6526] = {.lex_state = 35},
  [6527] = {.lex_state = 35},
  [6528] = {.lex_state = 35},
  [6529] = {.lex_state = 35},
  [6530] = {.lex_state = 35},
  [6531] = {.lex_state = 35},
  [6532] = {.lex_state = 35},
  [6533] = {.lex_state = 35, .external_lex_state = 2},
  [6534] = {.lex_state = 35},
  [6535] = {.lex_state = 35},
  [6536] = {.lex_state = 35},
  [6537] = {.lex_state = 35},
  [6538] = {.lex_state = 35},
  [6539] = {.lex_state = 35},
  [6540] = {.lex_state = 35},
  [6541] = {.lex_state = 35},
  [6542] = {.lex_state = 35},
  [6543] = {.lex_state = 35},
  [6544] = {.lex_state = 33, .external_lex_state = 3},
  [6545] = {.lex_state = 35},
  [6546] = {.lex_state = 35},
  [6547] = {.lex_state = 35},
  [6548] = {.lex_state = 35},
  [6549] = {.lex_state = 35},
  [6550] = {.lex_state = 33},
  [6551] = {.lex_state = 35, .external_lex_state = 2},
  [6552] = {.lex_state = 35},
  [6553] = {.lex_state = 35},
  [6554] = {.lex_state = 35},
  [6555] = {.lex_state = 35},
  [6556] = {.lex_state = 35},
  [6557] = {.lex_state = 35, .external_lex_state = 2},
  [6558] = {.lex_state = 35, .external_lex_state = 2},
  [6559] = {.lex_state = 35, .external_lex_state = 2},
  [6560] = {.lex_state = 35, .external_lex_state = 2},
  [6561] = {.lex_state = 35, .external_lex_state = 2},
  [6562] = {.lex_state = 35, .external_lex_state = 2},
  [6563] = {.lex_state = 35, .external_lex_state = 2},
  [6564] = {.lex_state = 35},
  [6565] = {.lex_state = 35, .external_lex_state = 2},
  [6566] = {.lex_state = 35},
  [6567] = {.lex_state = 35},
  [6568] = {.lex_state = 35},
  [6569] = {.lex_state = 35},
  [6570] = {.lex_state = 35},
  [6571] = {.lex_state = 35},
  [6572] = {.lex_state = 35},
  [6573] = {.lex_state = 35, .external_lex_state = 2},
  [6574] = {.lex_state = 35},
  [6575] = {.lex_state = 35, .external_lex_state = 2},
  [6576] = {.lex_state = 35, .external_lex_state = 2},
  [6577] = {.lex_state = 35, .external_lex_state = 2},
  [6578] = {.lex_state = 35, .external_lex_state = 2},
  [6579] = {.lex_state = 35, .external_lex_state = 2},
  [6580] = {.lex_state = 35, .external_lex_state = 2},
  [6581] = {.lex_state = 35, .external_lex_state = 2},
  [6582] = {.lex_state = 35, .external_lex_state = 2},
  [6583] = {.lex_state = 35, .external_lex_state = 2},
  [6584] = {.lex_state = 35, .external_lex_state = 2},
  [6585] = {.lex_state = 35},
  [6586] = {.lex_state = 35, .external_lex_state = 2},
  [6587] = {.lex_state = 35, .external_lex_state = 2},
  [6588] = {.lex_state = 35},
  [6589] = {.lex_state = 35, .external_lex_state = 2},
  [6590] = {.lex_state = 35},
  [6591] = {.lex_state = 35},
  [6592] = {.lex_state = 35},
  [6593] = {.lex_state = 35},
  [6594] = {.lex_state = 35},
  [6595] = {.lex_state = 35},
  [6596] = {.lex_state = 35},
  [6597] = {.lex_state = 35, .external_lex_state = 2},
  [6598] = {.lex_state = 35, .external_lex_state = 2},
  [6599] = {.lex_state = 35, .external_lex_state = 2},
  [6600] = {.lex_state = 35, .external_lex_state = 2},
  [6601] = {.lex_state = 35, .external_lex_state = 2},
  [6602] = {.lex_state = 33, .external_lex_state = 3},
  [6603] = {.lex_state = 35, .external_lex_state = 2},
  [6604] = {.lex_state = 35},
  [6605] = {.lex_state = 35, .external_lex_state = 2},
  [6606] = {.lex_state = 35, .external_lex_state = 2},
  [6607] = {.lex_state = 35, .external_lex_state = 2},
  [6608] = {.lex_state = 35, .external_lex_state = 2},
  [6609] = {.lex_state = 35, .external_lex_state = 2},
  [6610] = {.lex_state = 35, .external_lex_state = 2},
  [6611] = {.lex_state = 35, .external_lex_state = 2},
  [6612] = {.lex_state = 35},
  [6613] = {.lex_state = 35, .external_lex_state = 2},
  [6614] = {.lex_state = 35},
  [6615] = {.lex_state = 35, .external_lex_state = 2},
  [6616] = {.lex_state = 35},
  [6617] = {.lex_state = 35},
  [6618] = {.lex_state = 35},
  [6619] = {.lex_state = 35},
  [6620] = {.lex_state = 35},
  [6621] = {.lex_state = 35},
  [6622] = {.lex_state = 35},
  [6623] = {.lex_state = 35},
  [6624] = {.lex_state = 33, .external_lex_state = 3},
  [6625] = {.lex_state = 35, .external_lex_state = 2},
  [6626] = {.lex_state = 33, .external_lex_state = 3},
  [6627] = {.lex_state = 35},
  [6628] = {.lex_state = 35},
  [6629] = {.lex_state = 35, .external_lex_state = 2},
  [6630] = {.lex_state = 33, .external_lex_state = 4},
  [6631] = {.lex_state = 35},
  [6632] = {.lex_state = 35},
  [6633] = {.lex_state = 35},
  [6634] = {.lex_state = 35},
  [6635] = {.lex_state = 35},
  [6636] = {.lex_state = 35, .external_lex_state = 2},
  [6637] = {.lex_state = 33, .external_lex_state = 4},
  [6638] = {.lex_state = 35},
  [6639] = {.lex_state = 35},
  [6640] = {.lex_state = 35},
  [6641] = {.lex_state = 35},
  [6642] = {.lex_state = 35},
  [6643] = {.lex_state = 35},
  [6644] = {.lex_state = 33, .external_lex_state = 4},
  [6645] = {.lex_state = 35, .external_lex_state = 2},
  [6646] = {.lex_state = 35},
  [6647] = {.lex_state = 35, .external_lex_state = 2},
  [6648] = {.lex_state = 1, .external_lex_state = 3},
  [6649] = {.lex_state = 35, .external_lex_state = 2},
  [6650] = {.lex_state = 35, .external_lex_state = 2},
  [6651] = {.lex_state = 35, .external_lex_state = 2},
  [6652] = {.lex_state = 35, .external_lex_state = 2},
  [6653] = {.lex_state = 35, .external_lex_state = 2},
  [6654] = {.lex_state = 35, .external_lex_state = 2},
  [6655] = {.lex_state = 1, .external_lex_state = 3},
  [6656] = {.lex_state = 35, .external_lex_state = 2},
  [6657] = {.lex_state = 35, .external_lex_state = 2},
  [6658] = {.lex_state = 35, .external_lex_state = 2},
  [6659] = {.lex_state = 35, .external_lex_state = 2},
  [6660] = {.lex_state = 1, .external_lex_state = 3},
  [6661] = {.lex_state = 1, .external_lex_state = 3},
  [6662] = {.lex_state = 35},
  [6663] = {.lex_state = 33, .external_lex_state = 3},
  [6664] = {.lex_state = 35},
  [6665] = {.lex_state = 35},
  [6666] = {.lex_state = 35, .external_lex_state = 2},
  [6667] = {.lex_state = 35},
  [6668] = {.lex_state = 35, .external_lex_state = 2},
  [6669] = {.lex_state = 35},
  [6670] = {.lex_state = 35, .external_lex_state = 2},
  [6671] = {.lex_state = 1, .external_lex_state = 3},
  [6672] = {.lex_state = 1, .external_lex_state = 3},
  [6673] = {.lex_state = 35, .external_lex_state = 2},
  [6674] = {.lex_state = 35},
  [6675] = {.lex_state = 35},
  [6676] = {.lex_state = 35},
  [6677] = {.lex_state = 35},
  [6678] = {.lex_state = 35},
  [6679] = {.lex_state = 35},
  [6680] = {.lex_state = 35},
  [6681] = {.lex_state = 35},
  [6682] = {.lex_state = 35},
  [6683] = {.lex_state = 35},
  [6684] = {.lex_state = 35},
  [6685] = {.lex_state = 35},
  [6686] = {.lex_state = 35},
  [6687] = {.lex_state = 35},
  [6688] = {.lex_state = 35},
  [6689] = {.lex_state = 35},
  [6690] = {.lex_state = 35},
  [6691] = {.lex_state = 35},
  [6692] = {.lex_state = 35},
  [6693] = {.lex_state = 35},
  [6694] = {.lex_state = 35},
  [6695] = {.lex_state = 35},
  [6696] = {.lex_state = 35},
  [6697] = {.lex_state = 35},
  [6698] = {.lex_state = 35},
  [6699] = {.lex_state = 35},
  [6700] = {.lex_state = 35},
  [6701] = {.lex_state = 33, .external_lex_state = 4},
  [6702] = {.lex_state = 35},
  [6703] = {.lex_state = 1, .external_lex_state = 3},
  [6704] = {.lex_state = 35},
  [6705] = {.lex_state = 35},
  [6706] = {.lex_state = 35},
  [6707] = {.lex_state = 1, .external_lex_state = 3},
  [6708] = {.lex_state = 1, .external_lex_state = 3},
  [6709] = {.lex_state = 35},
  [6710] = {.lex_state = 35},
  [6711] = {.lex_state = 33, .external_lex_state = 3},
  [6712] = {.lex_state = 33, .external_lex_state = 3},
  [6713] = {.lex_state = 35},
  [6714] = {.lex_state = 35},
  [6715] = {.lex_state = 35, .external_lex_state = 2},
  [6716] = {.lex_state = 35, .external_lex_state = 2},
  [6717] = {.lex_state = 35, .external_lex_state = 2},
  [6718] = {.lex_state = 1, .external_lex_state = 3},
  [6719] = {.lex_state = 33, .external_lex_state = 3},
  [6720] = {.lex_state = 35},
  [6721] = {.lex_state = 35, .external_lex_state = 2},
  [6722] = {.lex_state = 33, .external_lex_state = 4},
  [6723] = {.lex_state = 33, .external_lex_state = 3},
  [6724] = {.lex_state = 1, .external_lex_state = 3},
  [6725] = {.lex_state = 35},
  [6726] = {.lex_state = 35},
  [6727] = {.lex_state = 35},
  [6728] = {.lex_state = 35},
  [6729] = {.lex_state = 35},
  [6730] = {.lex_state = 33, .external_lex_state = 3},
  [6731] = {.lex_state = 33, .external_lex_state = 3},
  [6732] = {.lex_state = 35, .external_lex_state = 2},
  [6733] = {.lex_state = 35},
  [6734] = {.lex_state = 35},
  [6735] = {.lex_state = 33, .external_lex_state = 4},
  [6736] = {.lex_state = 33, .external_lex_state = 4},
  [6737] = {.lex_state = 35, .external_lex_state = 2},
  [6738] = {.lex_state = 35, .external_lex_state = 2},
  [6739] = {.lex_state = 1, .external_lex_state = 3},
  [6740] = {.lex_state = 35, .external_lex_state = 2},
  [6741] = {.lex_state = 35, .external_lex_state = 2},
  [6742] = {.lex_state = 1, .external_lex_state = 3},
  [6743] = {.lex_state = 33, .external_lex_state = 3},
  [6744] = {.lex_state = 1, .external_lex_state = 3},
  [6745] = {.lex_state = 35},
  [6746] = {.lex_state = 35, .external_lex_state = 2},
  [6747] = {.lex_state = 35, .external_lex_state = 2},
  [6748] = {.lex_state = 35},
  [6749] = {.lex_state = 35},
  [6750] = {.lex_state = 35},
  [6751] = {.lex_state = 33, .external_lex_state = 3},
  [6752] = {.lex_state = 35, .external_lex_state = 2},
  [6753] = {.lex_state = 35},
  [6754] = {.lex_state = 33, .external_lex_state = 3},
  [6755] = {.lex_state = 35},
  [6756] = {.lex_state = 35, .external_lex_state = 2},
  [6757] = {.lex_state = 33, .external_lex_state = 3},
  [6758] = {.lex_state = 35, .external_lex_state = 2},
  [6759] = {.lex_state = 1, .external_lex_state = 3},
  [6760] = {.lex_state = 33, .external_lex_state = 3},
  [6761] = {.lex_state = 1, .external_lex_state = 3},
  [6762] = {.lex_state = 1, .external_lex_state = 3},
  [6763] = {.lex_state = 33, .external_lex_state = 3},
  [6764] = {.lex_state = 35, .external_lex_state = 2},
  [6765] = {.lex_state = 33, .external_lex_state = 3},
  [6766] = {.lex_state = 33, .external_lex_state = 3},
  [6767] = {.lex_state = 35},
  [6768] = {.lex_state = 1, .external_lex_state = 3},
  [6769] = {.lex_state = 33, .external_lex_state = 3},
  [6770] = {.lex_state = 33, .external_lex_state = 3},
  [6771] = {.lex_state = 35},
  [6772] = {.lex_state = 35, .external_lex_state = 2},
  [6773] = {.lex_state = 33, .external_lex_state = 3},
  [6774] = {.lex_state = 33, .external_lex_state = 3},
  [6775] = {.lex_state = 35, .external_lex_state = 2},
  [6776] = {.lex_state = 33, .external_lex_state = 3},
  [6777] = {.lex_state = 35},
  [6778] = {.lex_state = 35},
  [6779] = {.lex_state = 1, .external_lex_state = 3},
  [6780] = {.lex_state = 33, .external_lex_state = 3},
  [6781] = {.lex_state = 35},
  [6782] = {.lex_state = 35},
  [6783] = {.lex_state = 33, .external_lex_state = 3},
  [6784] = {.lex_state = 35},
  [6785] = {.lex_state = 35},
  [6786] = {.lex_state = 33, .external_lex_state = 3},
  [6787] = {.lex_state = 35, .external_lex_state = 2},
  [6788] = {.lex_state = 33, .external_lex_state = 3},
  [6789] = {.lex_state = 35},
  [6790] = {.lex_state = 35},
  [6791] = {.lex_state = 35},
  [6792] = {.lex_state = 35},
  [6793] = {.lex_state = 35},
  [6794] = {.lex_state = 33, .external_lex_state = 3},
  [6795] = {.lex_state = 35},
  [6796] = {.lex_state = 35, .external_lex_state = 2},
  [6797] = {.lex_state = 33, .external_lex_state = 3},
  [6798] = {.lex_state = 35, .external_lex_state = 2},
  [6799] = {.lex_state = 35},
  [6800] = {.lex_state = 35, .external_lex_state = 2},
  [6801] = {.lex_state = 33, .external_lex_state = 3},
  [6802] = {.lex_state = 33, .external_lex_state = 3},
  [6803] = {.lex_state = 33, .external_lex_state = 3},
  [6804] = {.lex_state = 33, .external_lex_state = 3},
  [6805] = {.lex_state = 33, .external_lex_state = 3},
  [6806] = {.lex_state = 1, .external_lex_state = 3},
  [6807] = {.lex_state = 33, .external_lex_state = 3},
  [6808] = {.lex_state = 35},
  [6809] = {.lex_state = 35, .external_lex_state = 2},
  [6810] = {.lex_state = 1, .external_lex_state = 3},
  [6811] = {.lex_state = 1, .external_lex_state = 3},
  [6812] = {.lex_state = 33, .external_lex_state = 3},
  [6813] = {.lex_state = 33, .external_lex_state = 3},
  [6814] = {.lex_state = 33, .external_lex_state = 3},
  [6815] = {.lex_state = 35},
  [6816] = {.lex_state = 33, .external_lex_state = 4},
  [6817] = {.lex_state = 33, .external_lex_state = 3},
  [6818] = {.lex_state = 1, .external_lex_state = 3},
  [6819] = {.lex_state = 1, .external_lex_state = 3},
  [6820] = {.lex_state = 1, .external_lex_state = 3},
  [6821] = {.lex_state = 35, .external_lex_state = 2},
  [6822] = {.lex_state = 33, .external_lex_state = 3},
  [6823] = {.lex_state = 33, .external_lex_state = 3},
  [6824] = {.lex_state = 33, .external_lex_state = 3},
  [6825] = {.lex_state = 33, .external_lex_state = 3},
  [6826] = {.lex_state = 33, .external_lex_state = 4},
  [6827] = {.lex_state = 33, .external_lex_state = 3},
  [6828] = {.lex_state = 35, .external_lex_state = 2},
  [6829] = {.lex_state = 1, .external_lex_state = 3},
  [6830] = {.lex_state = 33, .external_lex_state = 3},
  [6831] = {.lex_state = 35},
  [6832] = {.lex_state = 35},
  [6833] = {.lex_state = 35, .external_lex_state = 2},
  [6834] = {.lex_state = 33, .external_lex_state = 4},
  [6835] = {.lex_state = 35, .external_lex_state = 2},
  [6836] = {.lex_state = 35, .external_lex_state = 2},
  [6837] = {.lex_state = 35, .external_lex_state = 2},
  [6838] = {.lex_state = 35},
  [6839] = {.lex_state = 35, .external_lex_state = 2},
  [6840] = {.lex_state = 1, .external_lex_state = 3},
  [6841] = {.lex_state = 1, .external_lex_state = 3},
  [6842] = {.lex_state = 35},
  [6843] = {.lex_state = 35},
  [6844] = {.lex_state = 33, .external_lex_state = 4},
  [6845] = {.lex_state = 33, .external_lex_state = 4},
  [6846] = {.lex_state = 33, .external_lex_state = 4},
  [6847] = {.lex_state = 35},
  [6848] = {.lex_state = 33, .external_lex_state = 4},
  [6849] = {.lex_state = 1, .external_lex_state = 3},
  [6850] = {.lex_state = 1, .external_lex_state = 3},
  [6851] = {.lex_state = 1, .external_lex_state = 3},
  [6852] = {.lex_state = 1, .external_lex_state = 3},
  [6853] = {.lex_state = 1, .external_lex_state = 3},
  [6854] = {.lex_state = 33, .external_lex_state = 4},
  [6855] = {.lex_state = 35},
  [6856] = {.lex_state = 35},
  [6857] = {.lex_state = 1, .external_lex_state = 3},
  [6858] = {.lex_state = 33, .external_lex_state = 4},
  [6859] = {.lex_state = 35},
  [6860] = {.lex_state = 33, .external_lex_state = 4},
  [6861] = {.lex_state = 35},
  [6862] = {.lex_state = 33, .external_lex_state = 4},
  [6863] = {.lex_state = 1, .external_lex_state = 3},
  [6864] = {.lex_state = 33, .external_lex_state = 4},
  [6865] = {.lex_state = 35},
  [6866] = {.lex_state = 33, .external_lex_state = 4},
  [6867] = {.lex_state = 33, .external_lex_state = 4},
  [6868] = {.lex_state = 33, .external_lex_state = 4},
  [6869] = {.lex_state = 33, .external_lex_state = 4},
  [6870] = {.lex_state = 33, .external_lex_state = 4},
  [6871] = {.lex_state = 33, .external_lex_state = 4},
  [6872] = {.lex_state = 33, .external_lex_state = 4},
  [6873] = {.lex_state = 1, .external_lex_state = 3},
  [6874] = {.lex_state = 33, .external_lex_state = 4},
  [6875] = {.lex_state = 33, .external_lex_state = 4},
  [6876] = {.lex_state = 33, .external_lex_state = 4},
  [6877] = {.lex_state = 35, .external_lex_state = 2},
  [6878] = {.lex_state = 1, .external_lex_state = 3},
  [6879] = {.lex_state = 1, .external_lex_state = 3},
  [6880] = {.lex_state = 1, .external_lex_state = 3},
  [6881] = {.lex_state = 35},
  [6882] = {.lex_state = 1, .external_lex_state = 3},
  [6883] = {.lex_state = 1, .external_lex_state = 3},
  [6884] = {.lex_state = 35},
  [6885] = {.lex_state = 33, .external_lex_state = 4},
  [6886] = {.lex_state = 1, .external_lex_state = 3},
  [6887] = {.lex_state = 35},
  [6888] = {.lex_state = 35, .external_lex_state = 2},
  [6889] = {.lex_state = 35},
  [6890] = {.lex_state = 33, .external_lex_state = 4},
  [6891] = {.lex_state = 33, .external_lex_state = 4},
  [6892] = {.lex_state = 33, .external_lex_state = 4},
  [6893] = {.lex_state = 1, .external_lex_state = 3},
  [6894] = {.lex_state = 35},
  [6895] = {.lex_state = 33, .external_lex_state = 4},
  [6896] = {.lex_state = 1, .external_lex_state = 3},
  [6897] = {.lex_state = 35},
  [6898] = {.lex_state = 33, .external_lex_state = 4},
  [6899] = {.lex_state = 1, .external_lex_state = 3},
  [6900] = {.lex_state = 33, .external_lex_state = 4},
  [6901] = {.lex_state = 33, .external_lex_state = 4},
  [6902] = {.lex_state = 1, .external_lex_state = 3},
  [6903] = {.lex_state = 35, .external_lex_state = 2},
  [6904] = {.lex_state = 33, .external_lex_state = 4},
  [6905] = {.lex_state = 35, .external_lex_state = 2},
  [6906] = {.lex_state = 35, .external_lex_state = 2},
  [6907] = {.lex_state = 33, .external_lex_state = 4},
  [6908] = {.lex_state = 35, .external_lex_state = 2},
  [6909] = {.lex_state = 1, .external_lex_state = 3},
  [6910] = {.lex_state = 1, .external_lex_state = 3},
  [6911] = {.lex_state = 35, .external_lex_state = 2},
  [6912] = {.lex_state = 1, .external_lex_state = 3},
  [6913] = {.lex_state = 35},
  [6914] = {.lex_state = 35, .external_lex_state = 2},
  [6915] = {.lex_state = 33, .external_lex_state = 4},
  [6916] = {.lex_state = 35, .external_lex_state = 2},
  [6917] = {.lex_state = 1, .external_lex_state = 3},
  [6918] = {.lex_state = 1, .external_lex_state = 3},
  [6919] = {.lex_state = 35},
  [6920] = {.lex_state = 35},
  [6921] = {.lex_state = 35},
  [6922] = {.lex_state = 1, .external_lex_state = 3},
  [6923] = {.lex_state = 1, .external_lex_state = 3},
  [6924] = {.lex_state = 1, .external_lex_state = 3},
  [6925] = {.lex_state = 35},
  [6926] = {.lex_state = 35},
  [6927] = {.lex_state = 35},
  [6928] = {.lex_state = 33, .external_lex_state = 4},
  [6929] = {.lex_state = 1, .external_lex_state = 3},
  [6930] = {.lex_state = 1, .external_lex_state = 3},
  [6931] = {.lex_state = 33, .external_lex_state = 4},
  [6932] = {.lex_state = 35},
  [6933] = {.lex_state = 35},
  [6934] = {.lex_state = 33, .external_lex_state = 4},
  [6935] = {.lex_state = 33, .external_lex_state = 4},
  [6936] = {.lex_state = 35},
  [6937] = {.lex_state = 1, .external_lex_state = 3},
  [6938] = {.lex_state = 33, .external_lex_state = 4},
  [6939] = {.lex_state = 35},
  [6940] = {.lex_state = 35},
  [6941] = {.lex_state = 35},
  [6942] = {.lex_state = 35},
  [6943] = {.lex_state = 35},
  [6944] = {.lex_state = 35},
  [6945] = {.lex_state = 35, .external_lex_state = 2},
  [6946] = {.lex_state = 35},
  [6947] = {.lex_state = 35},
  [6948] = {.lex_state = 35},
  [6949] = {.lex_state = 35, .external_lex_state = 2},
  [6950] = {.lex_state = 35, .external_lex_state = 2},
  [6951] = {.lex_state = 35, .external_lex_state = 2},
  [6952] = {.lex_state = 35},
  [6953] = {.lex_state = 35},
  [6954] = {.lex_state = 35},
  [6955] = {.lex_state = 35},
  [6956] = {.lex_state = 35},
  [6957] = {.lex_state = 35},
  [6958] = {.lex_state = 35},
  [6959] = {.lex_state = 35},
  [6960] = {.lex_state = 35},
  [6961] = {.lex_state = 35},
  [6962] = {.lex_state = 35},
  [6963] = {.lex_state = 35},
  [6964] = {.lex_state = 35},
  [6965] = {.lex_state = 35},
  [6966] = {.lex_state = 35},
  [6967] = {.lex_state = 35},
  [6968] = {.lex_state = 35},
  [6969] = {.lex_state = 35},
  [6970] = {.lex_state = 35},
  [6971] = {.lex_state = 35},
  [6972] = {.lex_state = 35, .external_lex_state = 2},
  [6973] = {.lex_state = 35, .external_lex_state = 2},
  [6974] = {.lex_state = 35, .external_lex_state = 2},
  [6975] = {.lex_state = 35},
  [6976] = {.lex_state = 35, .external_lex_state = 2},
  [6977] = {.lex_state = 35, .external_lex_state = 2},
  [6978] = {.lex_state = 35, .external_lex_state = 2},
  [6979] = {.lex_state = 35, .external_lex_state = 2},
  [6980] = {.lex_state = 35},
  [6981] = {.lex_state = 35, .external_lex_state = 2},
  [6982] = {.lex_state = 35, .external_lex_state = 2},
  [6983] = {.lex_state = 35, .external_lex_state = 2},
  [6984] = {.lex_state = 35, .external_lex_state = 2},
  [6985] = {.lex_state = 35, .external_lex_state = 2},
  [6986] = {.lex_state = 35, .external_lex_state = 2},
  [6987] = {.lex_state = 35, .external_lex_state = 2},
  [6988] = {.lex_state = 35},
  [6989] = {.lex_state = 35, .external_lex_state = 2},
  [6990] = {.lex_state = 35, .external_lex_state = 2},
  [6991] = {.lex_state = 35, .external_lex_state = 2},
  [6992] = {.lex_state = 35},
  [6993] = {.lex_state = 35, .external_lex_state = 2},
  [6994] = {.lex_state = 35},
  [6995] = {.lex_state = 35, .external_lex_state = 2},
  [6996] = {.lex_state = 35},
  [6997] = {.lex_state = 35, .external_lex_state = 2},
  [6998] = {.lex_state = 35, .external_lex_state = 2},
  [6999] = {.lex_state = 35, .external_lex_state = 2},
  [7000] = {.lex_state = 35, .external_lex_state = 2},
  [7001] = {.lex_state = 35, .external_lex_state = 2},
  [7002] = {.lex_state = 35, .external_lex_state = 2},
  [7003] = {.lex_state = 35, .external_lex_state = 2},
  [7004] = {.lex_state = 35, .external_lex_state = 2},
  [7005] = {.lex_state = 35, .external_lex_state = 2},
  [7006] = {.lex_state = 35, .external_lex_state = 2},
  [7007] = {.lex_state = 35, .external_lex_state = 2},
  [7008] = {.lex_state = 35, .external_lex_state = 2},
  [7009] = {.lex_state = 35, .external_lex_state = 2},
  [7010] = {.lex_state = 35, .external_lex_state = 2},
  [7011] = {.lex_state = 35, .external_lex_state = 2},
  [7012] = {.lex_state = 35, .external_lex_state = 2},
  [7013] = {.lex_state = 35, .external_lex_state = 2},
  [7014] = {.lex_state = 33, .external_lex_state = 3},
  [7015] = {.lex_state = 35},
  [7016] = {.lex_state = 35, .external_lex_state = 2},
  [7017] = {.lex_state = 35, .external_lex_state = 2},
  [7018] = {.lex_state = 35, .external_lex_state = 2},
  [7019] = {.lex_state = 35, .external_lex_state = 2},
  [7020] = {.lex_state = 33, .external_lex_state = 3},
  [7021] = {.lex_state = 35},
  [7022] = {.lex_state = 35, .external_lex_state = 2},
  [7023] = {.lex_state = 35, .external_lex_state = 2},
  [7024] = {.lex_state = 33, .external_lex_state = 3},
  [7025] = {.lex_state = 35, .external_lex_state = 2},
  [7026] = {.lex_state = 35, .external_lex_state = 2},
  [7027] = {.lex_state = 35, .external_lex_state = 2},
  [7028] = {.lex_state = 35, .external_lex_state = 2},
  [7029] = {.lex_state = 35, .external_lex_state = 2},
  [7030] = {.lex_state = 35},
  [7031] = {.lex_state = 35, .external_lex_state = 2},
  [7032] = {.lex_state = 35, .external_lex_state = 2},
  [7033] = {.lex_state = 35},
  [7034] = {.lex_state = 35, .external_lex_state = 2},
  [7035] = {.lex_state = 35, .external_lex_state = 2},
  [7036] = {.lex_state = 35},
  [7037] = {.lex_state = 35},
  [7038] = {.lex_state = 35},
  [7039] = {.lex_state = 35, .external_lex_state = 2},
  [7040] = {.lex_state = 35, .external_lex_state = 2},
  [7041] = {.lex_state = 35, .external_lex_state = 2},
  [7042] = {.lex_state = 35, .external_lex_state = 2},
  [7043] = {.lex_state = 35, .external_lex_state = 2},
  [7044] = {.lex_state = 35},
  [7045] = {.lex_state = 35, .external_lex_state = 2},
  [7046] = {.lex_state = 35},
  [7047] = {.lex_state = 35, .external_lex_state = 2},
  [7048] = {.lex_state = 35, .external_lex_state = 2},
  [7049] = {.lex_state = 35},
  [7050] = {.lex_state = 35, .external_lex_state = 2},
  [7051] = {.lex_state = 35},
  [7052] = {.lex_state = 35},
  [7053] = {.lex_state = 35},
  [7054] = {.lex_state = 35, .external_lex_state = 2},
  [7055] = {.lex_state = 35, .external_lex_state = 2},
  [7056] = {.lex_state = 35, .external_lex_state = 2},
  [7057] = {.lex_state = 35},
  [7058] = {.lex_state = 35, .external_lex_state = 2},
  [7059] = {.lex_state = 35},
  [7060] = {.lex_state = 35, .external_lex_state = 2},
  [7061] = {.lex_state = 35, .external_lex_state = 2},
  [7062] = {.lex_state = 35},
  [7063] = {.lex_state = 35, .external_lex_state = 2},
  [7064] = {.lex_state = 35},
  [7065] = {.lex_state = 35, .external_lex_state = 2},
  [7066] = {.lex_state = 35, .external_lex_state = 2},
  [7067] = {.lex_state = 35},
  [7068] = {.lex_state = 35},
  [7069] = {.lex_state = 35, .external_lex_state = 2},
  [7070] = {.lex_state = 35},
  [7071] = {.lex_state = 35, .external_lex_state = 2},
  [7072] = {.lex_state = 35, .external_lex_state = 2},
  [7073] = {.lex_state = 35, .external_lex_state = 2},
  [7074] = {.lex_state = 35, .external_lex_state = 2},
  [7075] = {.lex_state = 35, .external_lex_state = 2},
  [7076] = {.lex_state = 35, .external_lex_state = 2},
  [7077] = {.lex_state = 35, .external_lex_state = 2},
  [7078] = {.lex_state = 35, .external_lex_state = 2},
  [7079] = {.lex_state = 35, .external_lex_state = 2},
  [7080] = {.lex_state = 35},
  [7081] = {.lex_state = 35, .external_lex_state = 2},
  [7082] = {.lex_state = 35, .external_lex_state = 2},
  [7083] = {.lex_state = 35},
  [7084] = {.lex_state = 35, .external_lex_state = 2},
  [7085] = {.lex_state = 35, .external_lex_state = 2},
  [7086] = {.lex_state = 35, .external_lex_state = 2},
  [7087] = {.lex_state = 35, .external_lex_state = 2},
  [7088] = {.lex_state = 35, .external_lex_state = 2},
  [7089] = {.lex_state = 35},
  [7090] = {.lex_state = 35, .external_lex_state = 2},
  [7091] = {.lex_state = 35},
  [7092] = {.lex_state = 35},
  [7093] = {.lex_state = 35, .external_lex_state = 2},
  [7094] = {.lex_state = 35, .external_lex_state = 2},
  [7095] = {.lex_state = 35},
  [7096] = {.lex_state = 35, .external_lex_state = 2},
  [7097] = {.lex_state = 35},
  [7098] = {.lex_state = 35},
  [7099] = {.lex_state = 35},
  [7100] = {.lex_state = 35, .external_lex_state = 2},
  [7101] = {.lex_state = 35},
  [7102] = {.lex_state = 35},
  [7103] = {.lex_state = 35, .external_lex_state = 2},
  [7104] = {.lex_state = 35, .external_lex_state = 2},
  [7105] = {.lex_state = 35, .external_lex_state = 2},
  [7106] = {.lex_state = 35, .external_lex_state = 2},
  [7107] = {.lex_state = 35},
  [7108] = {.lex_state = 35, .external_lex_state = 2},
  [7109] = {.lex_state = 35, .external_lex_state = 2},
  [7110] = {.lex_state = 35},
  [7111] = {.lex_state = 35},
  [7112] = {.lex_state = 35, .external_lex_state = 2},
  [7113] = {.lex_state = 35, .external_lex_state = 2},
  [7114] = {.lex_state = 35},
  [7115] = {.lex_state = 35, .external_lex_state = 2},
  [7116] = {.lex_state = 35, .external_lex_state = 2},
  [7117] = {.lex_state = 35},
  [7118] = {.lex_state = 35, .external_lex_state = 2},
  [7119] = {.lex_state = 35},
  [7120] = {.lex_state = 35, .external_lex_state = 2},
  [7121] = {.lex_state = 35},
  [7122] = {.lex_state = 35},
  [7123] = {.lex_state = 35},
  [7124] = {.lex_state = 35, .external_lex_state = 2},
  [7125] = {.lex_state = 35, .external_lex_state = 2},
  [7126] = {.lex_state = 35},
  [7127] = {.lex_state = 35},
  [7128] = {.lex_state = 35, .external_lex_state = 2},
  [7129] = {.lex_state = 35, .external_lex_state = 2},
  [7130] = {.lex_state = 35, .external_lex_state = 2},
  [7131] = {.lex_state = 35},
  [7132] = {.lex_state = 35},
  [7133] = {.lex_state = 35},
  [7134] = {.lex_state = 35},
  [7135] = {.lex_state = 35},
  [7136] = {.lex_state = 35},
  [7137] = {.lex_state = 35, .external_lex_state = 2},
  [7138] = {.lex_state = 35},
  [7139] = {.lex_state = 35, .external_lex_state = 2},
  [7140] = {.lex_state = 35},
  [7141] = {.lex_state = 35, .external_lex_state = 2},
  [7142] = {.lex_state = 35, .external_lex_state = 2},
  [7143] = {.lex_state = 35, .external_lex_state = 2},
  [7144] = {.lex_state = 35, .external_lex_state = 2},
  [7145] = {.lex_state = 35},
  [7146] = {.lex_state = 35},
  [7147] = {.lex_state = 35},
  [7148] = {.lex_state = 35, .external_lex_state = 2},
  [7149] = {.lex_state = 35, .external_lex_state = 2},
  [7150] = {.lex_state = 35, .external_lex_state = 2},
  [7151] = {.lex_state = 35, .external_lex_state = 2},
  [7152] = {.lex_state = 35, .external_lex_state = 2},
  [7153] = {.lex_state = 35, .external_lex_state = 2},
  [7154] = {.lex_state = 35, .external_lex_state = 2},
  [7155] = {.lex_state = 33},
  [7156] = {.lex_state = 35},
  [7157] = {.lex_state = 35},
  [7158] = {.lex_state = 35, .external_lex_state = 2},
  [7159] = {.lex_state = 35},
  [7160] = {.lex_state = 35},
  [7161] = {.lex_state = 35, .external_lex_state = 2},
  [7162] = {.lex_state = 35, .external_lex_state = 2},
  [7163] = {.lex_state = 35, .external_lex_state = 2},
  [7164] = {.lex_state = 35},
  [7165] = {.lex_state = 35, .external_lex_state = 2},
  [7166] = {.lex_state = 35, .external_lex_state = 2},
  [7167] = {.lex_state = 35, .external_lex_state = 2},
  [7168] = {.lex_state = 35},
  [7169] = {.lex_state = 35},
  [7170] = {.lex_state = 35, .external_lex_state = 2},
  [7171] = {.lex_state = 35, .external_lex_state = 2},
  [7172] = {.lex_state = 35, .external_lex_state = 2},
  [7173] = {.lex_state = 35, .external_lex_state = 2},
  [7174] = {.lex_state = 35},
  [7175] = {.lex_state = 35, .external_lex_state = 2},
  [7176] = {.lex_state = 35, .external_lex_state = 2},
  [7177] = {.lex_state = 35, .external_lex_state = 2},
  [7178] = {.lex_state = 35, .external_lex_state = 2},
  [7179] = {.lex_state = 35, .external_lex_state = 2},
  [7180] = {.lex_state = 35, .external_lex_state = 2},
  [7181] = {.lex_state = 35, .external_lex_state = 2},
  [7182] = {.lex_state = 35, .external_lex_state = 2},
  [7183] = {.lex_state = 35, .external_lex_state = 2},
  [7184] = {.lex_state = 35, .external_lex_state = 2},
  [7185] = {.lex_state = 35, .external_lex_state = 2},
  [7186] = {.lex_state = 35, .external_lex_state = 2},
  [7187] = {.lex_state = 35, .external_lex_state = 2},
  [7188] = {.lex_state = 35, .external_lex_state = 2},
  [7189] = {.lex_state = 35, .external_lex_state = 2},
  [7190] = {.lex_state = 35, .external_lex_state = 2},
  [7191] = {.lex_state = 35},
  [7192] = {.lex_state = 35},
  [7193] = {.lex_state = 35},
  [7194] = {.lex_state = 35, .external_lex_state = 2},
  [7195] = {.lex_state = 35},
  [7196] = {.lex_state = 35, .external_lex_state = 2},
  [7197] = {.lex_state = 35, .external_lex_state = 2},
  [7198] = {.lex_state = 35},
  [7199] = {.lex_state = 35, .external_lex_state = 2},
  [7200] = {.lex_state = 35, .external_lex_state = 2},
  [7201] = {.lex_state = 35},
  [7202] = {.lex_state = 35},
  [7203] = {.lex_state = 35, .external_lex_state = 2},
  [7204] = {.lex_state = 35},
  [7205] = {.lex_state = 35, .external_lex_state = 2},
  [7206] = {.lex_state = 35, .external_lex_state = 2},
  [7207] = {.lex_state = 35, .external_lex_state = 2},
  [7208] = {.lex_state = 35, .external_lex_state = 2},
  [7209] = {.lex_state = 35, .external_lex_state = 2},
  [7210] = {.lex_state = 35, .external_lex_state = 2},
  [7211] = {.lex_state = 35},
  [7212] = {.lex_state = 35, .external_lex_state = 2},
  [7213] = {.lex_state = 35, .external_lex_state = 2},
  [7214] = {.lex_state = 35, .external_lex_state = 2},
  [7215] = {.lex_state = 35, .external_lex_state = 2},
  [7216] = {.lex_state = 35, .external_lex_state = 2},
  [7217] = {.lex_state = 35, .external_lex_state = 2},
  [7218] = {.lex_state = 35, .external_lex_state = 2},
  [7219] = {.lex_state = 35, .external_lex_state = 2},
  [7220] = {.lex_state = 35, .external_lex_state = 2},
  [7221] = {.lex_state = 35, .external_lex_state = 2},
  [7222] = {.lex_state = 35, .external_lex_state = 2},
  [7223] = {.lex_state = 35, .external_lex_state = 2},
  [7224] = {.lex_state = 35, .external_lex_state = 2},
  [7225] = {.lex_state = 35, .external_lex_state = 2},
  [7226] = {.lex_state = 35, .external_lex_state = 2},
  [7227] = {.lex_state = 35, .external_lex_state = 2},
  [7228] = {.lex_state = 35, .external_lex_state = 2},
  [7229] = {.lex_state = 36},
  [7230] = {.lex_state = 35, .external_lex_state = 2},
  [7231] = {.lex_state = 35},
  [7232] = {.lex_state = 36},
  [7233] = {.lex_state = 35, .external_lex_state = 2},
  [7234] = {.lex_state = 35, .external_lex_state = 2},
  [7235] = {.lex_state = 35, .external_lex_state = 2},
  [7236] = {.lex_state = 35, .external_lex_state = 2},
  [7237] = {.lex_state = 35, .external_lex_state = 2},
  [7238] = {.lex_state = 35},
  [7239] = {.lex_state = 35},
  [7240] = {.lex_state = 35},
  [7241] = {.lex_state = 35},
  [7242] = {.lex_state = 35, .external_lex_state = 2},
  [7243] = {.lex_state = 35, .external_lex_state = 2},
  [7244] = {.lex_state = 35, .external_lex_state = 2},
  [7245] = {.lex_state = 35, .external_lex_state = 2},
  [7246] = {.lex_state = 35, .external_lex_state = 2},
  [7247] = {.lex_state = 35},
  [7248] = {.lex_state = 35, .external_lex_state = 2},
  [7249] = {.lex_state = 35, .external_lex_state = 2},
  [7250] = {.lex_state = 35, .external_lex_state = 2},
  [7251] = {.lex_state = 35, .external_lex_state = 2},
  [7252] = {.lex_state = 35},
  [7253] = {.lex_state = 35, .external_lex_state = 2},
  [7254] = {.lex_state = 35, .external_lex_state = 2},
  [7255] = {.lex_state = 35, .external_lex_state = 2},
  [7256] = {.lex_state = 35, .external_lex_state = 2},
  [7257] = {.lex_state = 35},
  [7258] = {.lex_state = 35},
  [7259] = {.lex_state = 35},
  [7260] = {.lex_state = 35},
  [7261] = {.lex_state = 35},
  [7262] = {.lex_state = 35},
  [7263] = {.lex_state = 33, .external_lex_state = 3},
  [7264] = {.lex_state = 35, .external_lex_state = 2},
  [7265] = {.lex_state = 35},
  [7266] = {.lex_state = 35},
  [7267] = {.lex_state = 35},
  [7268] = {.lex_state = 35},
  [7269] = {.lex_state = 35},
  [7270] = {.lex_state = 35},
  [7271] = {.lex_state = 33, .external_lex_state = 2},
  [7272] = {.lex_state = 35},
  [7273] = {.lex_state = 35, .external_lex_state = 2},
  [7274] = {.lex_state = 35},
  [7275] = {.lex_state = 35},
  [7276] = {.lex_state = 35},
  [7277] = {.lex_state = 35},
  [7278] = {.lex_state = 35, .external_lex_state = 2},
  [7279] = {.lex_state = 35},
  [7280] = {.lex_state = 35},
  [7281] = {.lex_state = 35},
  [7282] = {.lex_state = 35},
  [7283] = {.lex_state = 35},
  [7284] = {.lex_state = 35, .external_lex_state = 2},
  [7285] = {.lex_state = 35},
  [7286] = {.lex_state = 35},
  [7287] = {.lex_state = 33, .external_lex_state = 3},
  [7288] = {.lex_state = 35},
  [7289] = {.lex_state = 35},
  [7290] = {.lex_state = 35},
  [7291] = {.lex_state = 35},
  [7292] = {.lex_state = 35},
  [7293] = {.lex_state = 33, .external_lex_state = 3},
  [7294] = {.lex_state = 35},
  [7295] = {.lex_state = 35},
  [7296] = {.lex_state = 35},
  [7297] = {.lex_state = 35},
  [7298] = {.lex_state = 35},
  [7299] = {.lex_state = 35},
  [7300] = {.lex_state = 35, .external_lex_state = 2},
  [7301] = {.lex_state = 33, .external_lex_state = 3},
  [7302] = {.lex_state = 35},
  [7303] = {.lex_state = 35, .external_lex_state = 2},
  [7304] = {.lex_state = 35},
  [7305] = {.lex_state = 35},
  [7306] = {.lex_state = 35},
  [7307] = {.lex_state = 35, .external_lex_state = 2},
  [7308] = {.lex_state = 35},
  [7309] = {.lex_state = 35},
  [7310] = {.lex_state = 35},
  [7311] = {.lex_state = 35, .external_lex_state = 2},
  [7312] = {.lex_state = 35, .external_lex_state = 2},
  [7313] = {.lex_state = 35},
  [7314] = {.lex_state = 35},
  [7315] = {.lex_state = 35},
  [7316] = {.lex_state = 35},
  [7317] = {.lex_state = 35, .external_lex_state = 2},
  [7318] = {.lex_state = 35, .external_lex_state = 2},
  [7319] = {.lex_state = 35},
  [7320] = {.lex_state = 35},
  [7321] = {.lex_state = 35},
  [7322] = {.lex_state = 35},
  [7323] = {.lex_state = 35},
  [7324] = {.lex_state = 35, .external_lex_state = 2},
  [7325] = {.lex_state = 35, .external_lex_state = 2},
  [7326] = {.lex_state = 35},
  [7327] = {.lex_state = 35},
  [7328] = {.lex_state = 35},
  [7329] = {.lex_state = 35},
  [7330] = {.lex_state = 35},
  [7331] = {.lex_state = 35, .external_lex_state = 2},
  [7332] = {.lex_state = 35},
  [7333] = {.lex_state = 35},
  [7334] = {.lex_state = 35},
  [7335] = {.lex_state = 35},
  [7336] = {.lex_state = 35, .external_lex_state = 2},
  [7337] = {.lex_state = 35},
  [7338] = {.lex_state = 35},
  [7339] = {.lex_state = 35},
  [7340] = {.lex_state = 35},
  [7341] = {.lex_state = 33, .external_lex_state = 3},
  [7342] = {.lex_state = 35},
  [7343] = {.lex_state = 35, .external_lex_state = 2},
  [7344] = {.lex_state = 35, .external_lex_state = 2},
  [7345] = {.lex_state = 35},
  [7346] = {.lex_state = 35},
  [7347] = {.lex_state = 35},
  [7348] = {.lex_state = 35},
  [7349] = {.lex_state = 35},
  [7350] = {.lex_state = 35},
  [7351] = {.lex_state = 35},
  [7352] = {.lex_state = 35},
  [7353] = {.lex_state = 35},
  [7354] = {.lex_state = 35},
  [7355] = {.lex_state = 35, .external_lex_state = 2},
  [7356] = {.lex_state = 35, .external_lex_state = 2},
  [7357] = {.lex_state = 35, .external_lex_state = 2},
  [7358] = {.lex_state = 35, .external_lex_state = 2},
  [7359] = {.lex_state = 35},
  [7360] = {.lex_state = 35, .external_lex_state = 2},
  [7361] = {.lex_state = 33, .external_lex_state = 3},
  [7362] = {.lex_state = 35},
  [7363] = {.lex_state = 35},
  [7364] = {.lex_state = 35},
  [7365] = {.lex_state = 35},
  [7366] = {.lex_state = 35, .external_lex_state = 2},
  [7367] = {.lex_state = 33, .external_lex_state = 3},
  [7368] = {.lex_state = 35},
  [7369] = {.lex_state = 35},
  [7370] = {.lex_state = 35},
  [7371] = {.lex_state = 35, .external_lex_state = 2},
  [7372] = {.lex_state = 35},
  [7373] = {.lex_state = 35, .external_lex_state = 2},
  [7374] = {.lex_state = 35, .external_lex_state = 2},
  [7375] = {.lex_state = 35, .external_lex_state = 2},
  [7376] = {.lex_state = 35, .external_lex_state = 2},
  [7377] = {.lex_state = 35},
  [7378] = {.lex_state = 35, .external_lex_state = 2},
  [7379] = {.lex_state = 35},
  [7380] = {.lex_state = 35, .external_lex_state = 2},
  [7381] = {.lex_state = 35},
  [7382] = {.lex_state = 35},
  [7383] = {.lex_state = 35},
  [7384] = {.lex_state = 35},
  [7385] = {.lex_state = 35},
  [7386] = {.lex_state = 35},
  [7387] = {.lex_state = 35},
  [7388] = {.lex_state = 35},
  [7389] = {.lex_state = 35},
  [7390] = {.lex_state = 35},
  [7391] = {.lex_state = 35},
  [7392] = {.lex_state = 35, .external_lex_state = 2},
  [7393] = {.lex_state = 35},
  [7394] = {.lex_state = 35},
  [7395] = {.lex_state = 35},
  [7396] = {.lex_state = 35},
  [7397] = {.lex_state = 35},
  [7398] = {.lex_state = 35},
  [7399] = {.lex_state = 35},
  [7400] = {.lex_state = 35, .external_lex_state = 2},
  [7401] = {.lex_state = 35},
  [7402] = {.lex_state = 35},
  [7403] = {.lex_state = 35},
  [7404] = {.lex_state = 35},
  [7405] = {.lex_state = 36},
  [7406] = {.lex_state = 35, .external_lex_state = 2},
  [7407] = {.lex_state = 35, .external_lex_state = 2},
  [7408] = {.lex_state = 35},
  [7409] = {.lex_state = 35, .external_lex_state = 2},
  [7410] = {.lex_state = 35},
  [7411] = {.lex_state = 35},
  [7412] = {.lex_state = 35},
  [7413] = {.lex_state = 35, .external_lex_state = 2},
  [7414] = {.lex_state = 35},
  [7415] = {.lex_state = 35, .external_lex_state = 2},
  [7416] = {.lex_state = 35},
  [7417] = {.lex_state = 35},
  [7418] = {.lex_state = 33, .external_lex_state = 3},
  [7419] = {.lex_state = 35},
  [7420] = {.lex_state = 35},
  [7421] = {.lex_state = 33, .external_lex_state = 3},
  [7422] = {.lex_state = 35},
  [7423] = {.lex_state = 35},
  [7424] = {.lex_state = 35},
  [7425] = {.lex_state = 35},
  [7426] = {.lex_state = 35},
  [7427] = {.lex_state = 35},
  [7428] = {.lex_state = 35},
  [7429] = {.lex_state = 35, .external_lex_state = 2},
  [7430] = {.lex_state = 33, .external_lex_state = 3},
  [7431] = {.lex_state = 35},
  [7432] = {.lex_state = 35},
  [7433] = {.lex_state = 35},
  [7434] = {.lex_state = 35},
  [7435] = {.lex_state = 35},
  [7436] = {.lex_state = 35},
  [7437] = {.lex_state = 35},
  [7438] = {.lex_state = 35},
  [7439] = {.lex_state = 35},
  [7440] = {.lex_state = 35},
  [7441] = {.lex_state = 35, .external_lex_state = 2},
  [7442] = {.lex_state = 35},
  [7443] = {.lex_state = 35},
  [7444] = {.lex_state = 35, .external_lex_state = 2},
  [7445] = {.lex_state = 35},
  [7446] = {.lex_state = 35},
  [7447] = {.lex_state = 35, .external_lex_state = 2},
  [7448] = {.lex_state = 35},
  [7449] = {.lex_state = 35},
  [7450] = {.lex_state = 35},
  [7451] = {.lex_state = 35},
  [7452] = {.lex_state = 35, .external_lex_state = 2},
  [7453] = {.lex_state = 35},
  [7454] = {.lex_state = 33, .external_lex_state = 3},
  [7455] = {.lex_state = 35},
  [7456] = {.lex_state = 35},
  [7457] = {.lex_state = 35, .external_lex_state = 2},
  [7458] = {.lex_state = 35},
  [7459] = {.lex_state = 35, .external_lex_state = 2},
  [7460] = {.lex_state = 33, .external_lex_state = 3},
  [7461] = {.lex_state = 35},
  [7462] = {.lex_state = 35},
  [7463] = {.lex_state = 35, .external_lex_state = 2},
  [7464] = {.lex_state = 35},
  [7465] = {.lex_state = 35},
  [7466] = {.lex_state = 35},
  [7467] = {.lex_state = 35},
  [7468] = {.lex_state = 35},
  [7469] = {.lex_state = 35},
  [7470] = {.lex_state = 33, .external_lex_state = 3},
  [7471] = {.lex_state = 35},
  [7472] = {.lex_state = 35},
  [7473] = {.lex_state = 35},
  [7474] = {.lex_state = 35, .external_lex_state = 2},
  [7475] = {.lex_state = 35},
  [7476] = {.lex_state = 35},
  [7477] = {.lex_state = 35},
  [7478] = {.lex_state = 35},
  [7479] = {.lex_state = 35},
  [7480] = {.lex_state = 35},
  [7481] = {.lex_state = 35},
  [7482] = {.lex_state = 35},
  [7483] = {.lex_state = 35, .external_lex_state = 2},
  [7484] = {.lex_state = 35},
  [7485] = {.lex_state = 35},
  [7486] = {.lex_state = 35, .external_lex_state = 2},
  [7487] = {.lex_state = 35},
  [7488] = {.lex_state = 35},
  [7489] = {.lex_state = 35, .external_lex_state = 2},
  [7490] = {.lex_state = 35, .external_lex_state = 2},
  [7491] = {.lex_state = 35},
  [7492] = {.lex_state = 33, .external_lex_state = 3},
  [7493] = {.lex_state = 33, .external_lex_state = 3},
  [7494] = {.lex_state = 35},
  [7495] = {.lex_state = 35, .external_lex_state = 2},
  [7496] = {.lex_state = 35, .external_lex_state = 2},
  [7497] = {.lex_state = 35, .external_lex_state = 2},
  [7498] = {.lex_state = 33, .external_lex_state = 3},
  [7499] = {.lex_state = 35, .external_lex_state = 2},
  [7500] = {.lex_state = 35},
  [7501] = {.lex_state = 35},
  [7502] = {.lex_state = 33, .external_lex_state = 3},
  [7503] = {.lex_state = 35, .external_lex_state = 2},
  [7504] = {.lex_state = 33, .external_lex_state = 3},
  [7505] = {.lex_state = 35},
  [7506] = {.lex_state = 35, .external_lex_state = 2},
  [7507] = {.lex_state = 35, .external_lex_state = 2},
  [7508] = {.lex_state = 35, .external_lex_state = 2},
  [7509] = {.lex_state = 35},
  [7510] = {.lex_state = 35, .external_lex_state = 2},
  [7511] = {.lex_state = 35},
  [7512] = {.lex_state = 35},
  [7513] = {.lex_state = 35, .external_lex_state = 2},
  [7514] = {.lex_state = 35},
  [7515] = {.lex_state = 35},
  [7516] = {.lex_state = 33, .external_lex_state = 3},
  [7517] = {.lex_state = 35, .external_lex_state = 2},
  [7518] = {.lex_state = 35},
  [7519] = {.lex_state = 35},
  [7520] = {.lex_state = 35},
  [7521] = {.lex_state = 35, .external_lex_state = 2},
  [7522] = {.lex_state = 35, .external_lex_state = 2},
  [7523] = {.lex_state = 35, .external_lex_state = 2},
  [7524] = {.lex_state = 35},
  [7525] = {.lex_state = 35, .external_lex_state = 2},
  [7526] = {.lex_state = 35, .external_lex_state = 2},
  [7527] = {.lex_state = 36},
  [7528] = {.lex_state = 33, .external_lex_state = 3},
  [7529] = {.lex_state = 35},
  [7530] = {.lex_state = 35},
  [7531] = {.lex_state = 35, .external_lex_state = 2},
  [7532] = {.lex_state = 35, .external_lex_state = 2},
  [7533] = {.lex_state = 35, .external_lex_state = 2},
  [7534] = {.lex_state = 35, .external_lex_state = 2},
  [7535] = {.lex_state = 35, .external_lex_state = 2},
  [7536] = {.lex_state = 33, .external_lex_state = 3},
  [7537] = {.lex_state = 35, .external_lex_state = 2},
  [7538] = {.lex_state = 35, .external_lex_state = 2},
  [7539] = {.lex_state = 35, .external_lex_state = 2},
  [7540] = {.lex_state = 35, .external_lex_state = 2},
  [7541] = {.lex_state = 35, .external_lex_state = 2},
  [7542] = {.lex_state = 35},
  [7543] = {.lex_state = 35, .external_lex_state = 2},
  [7544] = {.lex_state = 35, .external_lex_state = 2},
  [7545] = {.lex_state = 35},
  [7546] = {.lex_state = 33, .external_lex_state = 3},
  [7547] = {.lex_state = 35, .external_lex_state = 2},
  [7548] = {.lex_state = 35, .external_lex_state = 2},
  [7549] = {.lex_state = 35},
  [7550] = {.lex_state = 35},
  [7551] = {.lex_state = 33, .external_lex_state = 3},
  [7552] = {.lex_state = 33, .external_lex_state = 3},
  [7553] = {.lex_state = 35},
  [7554] = {.lex_state = 35},
  [7555] = {.lex_state = 33, .external_lex_state = 3},
  [7556] = {.lex_state = 35, .external_lex_state = 2},
  [7557] = {.lex_state = 35},
  [7558] = {.lex_state = 35},
  [7559] = {.lex_state = 33, .external_lex_state = 3},
  [7560] = {.lex_state = 35, .external_lex_state = 2},
  [7561] = {.lex_state = 33, .external_lex_state = 3},
  [7562] = {.lex_state = 33, .external_lex_state = 3},
  [7563] = {.lex_state = 35},
  [7564] = {.lex_state = 35, .external_lex_state = 2},
  [7565] = {.lex_state = 35, .external_lex_state = 2},
  [7566] = {.lex_state = 35, .external_lex_state = 2},
  [7567] = {.lex_state = 35, .external_lex_state = 2},
  [7568] = {.lex_state = 35, .external_lex_state = 2},
  [7569] = {.lex_state = 33, .external_lex_state = 3},
  [7570] = {.lex_state = 33, .external_lex_state = 3},
  [7571] = {.lex_state = 35, .external_lex_state = 2},
  [7572] = {.lex_state = 35},
  [7573] = {.lex_state = 35, .external_lex_state = 2},
  [7574] = {.lex_state = 33, .external_lex_state = 3},
  [7575] = {.lex_state = 35, .external_lex_state = 2},
  [7576] = {.lex_state = 33, .external_lex_state = 3},
  [7577] = {.lex_state = 33, .external_lex_state = 3},
  [7578] = {.lex_state = 35, .external_lex_state = 2},
  [7579] = {.lex_state = 35, .external_lex_state = 2},
  [7580] = {.lex_state = 33, .external_lex_state = 3},
  [7581] = {.lex_state = 35},
  [7582] = {.lex_state = 33, .external_lex_state = 3},
  [7583] = {.lex_state = 35},
  [7584] = {.lex_state = 35},
  [7585] = {.lex_state = 35, .external_lex_state = 2},
  [7586] = {.lex_state = 35},
  [7587] = {.lex_state = 33, .external_lex_state = 3},
  [7588] = {.lex_state = 35},
  [7589] = {.lex_state = 35, .external_lex_state = 2},
  [7590] = {.lex_state = 33, .external_lex_state = 3},
  [7591] = {.lex_state = 35, .external_lex_state = 2},
  [7592] = {.lex_state = 35},
  [7593] = {.lex_state = 35},
  [7594] = {.lex_state = 35},
  [7595] = {.lex_state = 35},
  [7596] = {.lex_state = 35, .external_lex_state = 2},
  [7597] = {.lex_state = 35, .external_lex_state = 2},
  [7598] = {.lex_state = 35},
  [7599] = {.lex_state = 33, .external_lex_state = 3},
  [7600] = {.lex_state = 35, .external_lex_state = 2},
  [7601] = {.lex_state = 35},
  [7602] = {.lex_state = 33, .external_lex_state = 3},
  [7603] = {.lex_state = 35, .external_lex_state = 2},
  [7604] = {.lex_state = 35},
  [7605] = {.lex_state = 35},
  [7606] = {.lex_state = 35},
  [7607] = {.lex_state = 35, .external_lex_state = 2},
  [7608] = {.lex_state = 35},
  [7609] = {.lex_state = 35},
  [7610] = {.lex_state = 35},
  [7611] = {.lex_state = 35},
  [7612] = {.lex_state = 35, .external_lex_state = 2},
  [7613] = {.lex_state = 35, .external_lex_state = 2},
  [7614] = {.lex_state = 35},
  [7615] = {.lex_state = 35, .external_lex_state = 2},
  [7616] = {.lex_state = 35},
  [7617] = {.lex_state = 35},
  [7618] = {.lex_state = 35, .external_lex_state = 2},
  [7619] = {.lex_state = 35},
  [7620] = {.lex_state = 35},
  [7621] = {.lex_state = 35, .external_lex_state = 2},
  [7622] = {.lex_state = 35},
  [7623] = {.lex_state = 35},
  [7624] = {.lex_state = 35, .external_lex_state = 2},
  [7625] = {.lex_state = 35},
  [7626] = {.lex_state = 35, .external_lex_state = 2},
  [7627] = {.lex_state = 35},
  [7628] = {.lex_state = 35},
  [7629] = {.lex_state = 35},
  [7630] = {.lex_state = 35},
  [7631] = {.lex_state = 35},
  [7632] = {.lex_state = 35, .external_lex_state = 2},
  [7633] = {.lex_state = 35},
  [7634] = {.lex_state = 35},
  [7635] = {.lex_state = 35},
  [7636] = {.lex_state = 35},
  [7637] = {.lex_state = 35},
  [7638] = {.lex_state = 35},
  [7639] = {.lex_state = 35},
  [7640] = {.lex_state = 35},
  [7641] = {.lex_state = 35},
  [7642] = {.lex_state = 35},
  [7643] = {.lex_state = 35},
  [7644] = {.lex_state = 35},
  [7645] = {.lex_state = 35},
  [7646] = {.lex_state = 35},
  [7647] = {.lex_state = 35},
  [7648] = {.lex_state = 35},
  [7649] = {.lex_state = 35},
  [7650] = {.lex_state = 35},
  [7651] = {.lex_state = 35},
  [7652] = {.lex_state = 35},
  [7653] = {.lex_state = 35},
  [7654] = {.lex_state = 35},
  [7655] = {.lex_state = 35},
  [7656] = {.lex_state = 35},
  [7657] = {.lex_state = 35},
  [7658] = {.lex_state = 35},
  [7659] = {.lex_state = 35},
  [7660] = {.lex_state = 35},
  [7661] = {.lex_state = 35},
  [7662] = {.lex_state = 35},
  [7663] = {.lex_state = 35},
  [7664] = {.lex_state = 35},
  [7665] = {.lex_state = 35},
  [7666] = {.lex_state = 35},
  [7667] = {.lex_state = 35},
  [7668] = {.lex_state = 35},
  [7669] = {.lex_state = 35},
  [7670] = {.lex_state = 35},
  [7671] = {.lex_state = 35},
  [7672] = {.lex_state = 35},
  [7673] = {.lex_state = 35},
  [7674] = {.lex_state = 35},
  [7675] = {.lex_state = 35},
  [7676] = {.lex_state = 35},
  [7677] = {.lex_state = 35},
  [7678] = {.lex_state = 35},
  [7679] = {.lex_state = 35},
  [7680] = {.lex_state = 35},
  [7681] = {.lex_state = 35},
  [7682] = {.lex_state = 35},
  [7683] = {.lex_state = 35},
  [7684] = {.lex_state = 35, .external_lex_state = 2},
  [7685] = {.lex_state = 35},
  [7686] = {.lex_state = 35},
  [7687] = {.lex_state = 35},
  [7688] = {.lex_state = 35},
  [7689] = {.lex_state = 35},
  [7690] = {.lex_state = 35},
  [7691] = {.lex_state = 35},
  [7692] = {.lex_state = 35},
  [7693] = {.lex_state = 35},
  [7694] = {.lex_state = 35},
  [7695] = {.lex_state = 35},
  [7696] = {.lex_state = 35},
  [7697] = {.lex_state = 35},
  [7698] = {.lex_state = 35},
  [7699] = {.lex_state = 35},
  [7700] = {.lex_state = 35},
  [7701] = {.lex_state = 35},
  [7702] = {.lex_state = 35},
  [7703] = {.lex_state = 35},
  [7704] = {.lex_state = 35},
  [7705] = {.lex_state = 35},
  [7706] = {.lex_state = 35},
  [7707] = {.lex_state = 35},
  [7708] = {.lex_state = 35},
  [7709] = {.lex_state = 35},
  [7710] = {.lex_state = 35},
  [7711] = {.lex_state = 35},
  [7712] = {.lex_state = 35},
  [7713] = {.lex_state = 35},
  [7714] = {.lex_state = 35},
  [7715] = {.lex_state = 35, .external_lex_state = 2},
  [7716] = {.lex_state = 35},
  [7717] = {.lex_state = 35},
  [7718] = {.lex_state = 35},
  [7719] = {.lex_state = 35},
  [7720] = {.lex_state = 35},
  [7721] = {.lex_state = 35},
  [7722] = {.lex_state = 35},
  [7723] = {.lex_state = 35},
  [7724] = {.lex_state = 35, .external_lex_state = 2},
  [7725] = {.lex_state = 35},
  [7726] = {.lex_state = 35},
  [7727] = {.lex_state = 35},
  [7728] = {.lex_state = 35},
  [7729] = {.lex_state = 35},
  [7730] = {.lex_state = 35},
  [7731] = {.lex_state = 35},
  [7732] = {.lex_state = 35},
  [7733] = {.lex_state = 35},
  [7734] = {.lex_state = 35},
  [7735] = {.lex_state = 35},
  [7736] = {.lex_state = 35},
  [7737] = {.lex_state = 35, .external_lex_state = 2},
  [7738] = {.lex_state = 35},
  [7739] = {.lex_state = 35},
  [7740] = {.lex_state = 35},
  [7741] = {.lex_state = 35},
  [7742] = {.lex_state = 35},
  [7743] = {.lex_state = 35},
  [7744] = {.lex_state = 35, .external_lex_state = 2},
  [7745] = {.lex_state = 35},
  [7746] = {.lex_state = 35},
  [7747] = {.lex_state = 35},
  [7748] = {.lex_state = 35},
  [7749] = {.lex_state = 35},
  [7750] = {.lex_state = 33, .external_lex_state = 3},
  [7751] = {.lex_state = 35},
  [7752] = {.lex_state = 35, .external_lex_state = 2},
  [7753] = {.lex_state = 35},
  [7754] = {.lex_state = 35},
  [7755] = {.lex_state = 35},
  [7756] = {.lex_state = 35},
  [7757] = {.lex_state = 35},
  [7758] = {.lex_state = 35, .external_lex_state = 2},
  [7759] = {.lex_state = 35},
  [7760] = {.lex_state = 35},
  [7761] = {.lex_state = 35},
  [7762] = {.lex_state = 35},
  [7763] = {.lex_state = 35},
  [7764] = {.lex_state = 35},
  [7765] = {.lex_state = 35},
  [7766] = {.lex_state = 35},
  [7767] = {.lex_state = 35},
  [7768] = {.lex_state = 35},
  [7769] = {.lex_state = 35, .external_lex_state = 2},
  [7770] = {.lex_state = 35},
  [7771] = {.lex_state = 35},
  [7772] = {.lex_state = 35, .external_lex_state = 2},
  [7773] = {.lex_state = 33, .external_lex_state = 3},
  [7774] = {.lex_state = 35},
  [7775] = {.lex_state = 35},
  [7776] = {.lex_state = 33, .external_lex_state = 3},
  [7777] = {.lex_state = 35},
  [7778] = {.lex_state = 33, .external_lex_state = 3},
  [7779] = {.lex_state = 35},
  [7780] = {.lex_state = 35},
  [7781] = {.lex_state = 35},
  [7782] = {.lex_state = 35},
  [7783] = {.lex_state = 35, .external_lex_state = 2},
  [7784] = {.lex_state = 33, .external_lex_state = 3},
  [7785] = {.lex_state = 35, .external_lex_state = 2},
  [7786] = {.lex_state = 35},
  [7787] = {.lex_state = 35},
  [7788] = {.lex_state = 35, .external_lex_state = 2},
  [7789] = {.lex_state = 35},
  [7790] = {.lex_state = 35},
  [7791] = {.lex_state = 35},
  [7792] = {.lex_state = 35},
  [7793] = {.lex_state = 35, .external_lex_state = 2},
  [7794] = {.lex_state = 35},
  [7795] = {.lex_state = 35},
  [7796] = {.lex_state = 35, .external_lex_state = 2},
  [7797] = {.lex_state = 35},
  [7798] = {.lex_state = 35, .external_lex_state = 2},
  [7799] = {.lex_state = 35, .external_lex_state = 2},
  [7800] = {.lex_state = 33, .external_lex_state = 3},
  [7801] = {.lex_state = 33, .external_lex_state = 3},
  [7802] = {.lex_state = 35, .external_lex_state = 2},
  [7803] = {.lex_state = 33, .external_lex_state = 3},
  [7804] = {.lex_state = 35},
  [7805] = {.lex_state = 35, .external_lex_state = 2},
  [7806] = {.lex_state = 35},
  [7807] = {.lex_state = 35, .external_lex_state = 2},
  [7808] = {.lex_state = 35},
  [7809] = {.lex_state = 35, .external_lex_state = 2},
  [7810] = {.lex_state = 35},
  [7811] = {.lex_state = 33, .external_lex_state = 3},
  [7812] = {.lex_state = 33, .external_lex_state = 3},
  [7813] = {.lex_state = 35},
  [7814] = {.lex_state = 35},
  [7815] = {.lex_state = 33, .external_lex_state = 3},
  [7816] = {.lex_state = 33, .external_lex_state = 3},
  [7817] = {.lex_state = 35, .external_lex_state = 2},
  [7818] = {.lex_state = 35},
  [7819] = {.lex_state = 35},
  [7820] = {.lex_state = 35},
  [7821] = {.lex_state = 35},
  [7822] = {.lex_state = 35},
  [7823] = {.lex_state = 35},
  [7824] = {.lex_state = 35},
  [7825] = {.lex_state = 35},
  [7826] = {.lex_state = 33, .external_lex_state = 3},
  [7827] = {.lex_state = 35},
  [7828] = {.lex_state = 35, .external_lex_state = 2},
  [7829] = {.lex_state = 35},
  [7830] = {.lex_state = 35},
  [7831] = {.lex_state = 35, .external_lex_state = 2},
  [7832] = {.lex_state = 35},
  [7833] = {.lex_state = 33, .external_lex_state = 3},
  [7834] = {.lex_state = 35},
  [7835] = {.lex_state = 33, .external_lex_state = 3},
  [7836] = {.lex_state = 35},
  [7837] = {.lex_state = 35},
  [7838] = {.lex_state = 35},
  [7839] = {.lex_state = 33, .external_lex_state = 3},
  [7840] = {.lex_state = 35},
  [7841] = {.lex_state = 35},
  [7842] = {.lex_state = 35, .external_lex_state = 2},
  [7843] = {.lex_state = 35},
  [7844] = {.lex_state = 33, .external_lex_state = 3},
  [7845] = {.lex_state = 35},
  [7846] = {.lex_state = 35},
  [7847] = {.lex_state = 35},
  [7848] = {.lex_state = 35},
  [7849] = {.lex_state = 35},
  [7850] = {.lex_state = 35},
  [7851] = {.lex_state = 35},
  [7852] = {.lex_state = 35},
  [7853] = {.lex_state = 35},
  [7854] = {.lex_state = 35},
  [7855] = {.lex_state = 35},
  [7856] = {.lex_state = 35},
  [7857] = {.lex_state = 35, .external_lex_state = 2},
  [7858] = {.lex_state = 35, .external_lex_state = 2},
  [7859] = {.lex_state = 35},
  [7860] = {.lex_state = 33, .external_lex_state = 3},
  [7861] = {.lex_state = 35},
  [7862] = {.lex_state = 35},
  [7863] = {.lex_state = 35, .external_lex_state = 2},
  [7864] = {.lex_state = 33, .external_lex_state = 3},
  [7865] = {.lex_state = 33, .external_lex_state = 3},
  [7866] = {.lex_state = 33, .external_lex_state = 3},
  [7867] = {.lex_state = 35},
  [7868] = {.lex_state = 35},
  [7869] = {.lex_state = 35, .external_lex_state = 2},
  [7870] = {.lex_state = 35, .external_lex_state = 2},
  [7871] = {.lex_state = 33, .external_lex_state = 3},
  [7872] = {.lex_state = 35, .external_lex_state = 2},
  [7873] = {.lex_state = 35},
  [7874] = {.lex_state = 35, .external_lex_state = 2},
  [7875] = {.lex_state = 35},
  [7876] = {.lex_state = 35},
  [7877] = {.lex_state = 35},
  [7878] = {.lex_state = 35},
  [7879] = {.lex_state = 35},
  [7880] = {.lex_state = 35, .external_lex_state = 2},
  [7881] = {.lex_state = 35},
  [7882] = {.lex_state = 35, .external_lex_state = 2},
  [7883] = {.lex_state = 33, .external_lex_state = 3},
  [7884] = {.lex_state = 35, .external_lex_state = 2},
  [7885] = {.lex_state = 35, .external_lex_state = 2},
  [7886] = {.lex_state = 35},
  [7887] = {.lex_state = 35, .external_lex_state = 2},
  [7888] = {.lex_state = 35},
  [7889] = {.lex_state = 35, .external_lex_state = 2},
  [7890] = {.lex_state = 35},
  [7891] = {.lex_state = 35},
  [7892] = {.lex_state = 35, .external_lex_state = 2},
  [7893] = {.lex_state = 35, .external_lex_state = 2},
  [7894] = {.lex_state = 35},
  [7895] = {.lex_state = 35},
  [7896] = {.lex_state = 35, .external_lex_state = 2},
  [7897] = {.lex_state = 35, .external_lex_state = 2},
  [7898] = {.lex_state = 35, .external_lex_state = 2},
  [7899] = {.lex_state = 35},
  [7900] = {.lex_state = 35},
  [7901] = {.lex_state = 35},
  [7902] = {.lex_state = 35, .external_lex_state = 2},
  [7903] = {.lex_state = 35, .external_lex_state = 2},
  [7904] = {.lex_state = 35},
  [7905] = {.lex_state = 35},
  [7906] = {.lex_state = 35},
  [7907] = {.lex_state = 35},
  [7908] = {.lex_state = 33, .external_lex_state = 3},
  [7909] = {.lex_state = 35},
  [7910] = {.lex_state = 35},
  [7911] = {.lex_state = 35},
  [7912] = {.lex_state = 35},
  [7913] = {.lex_state = 35},
  [7914] = {.lex_state = 35},
  [7915] = {.lex_state = 35},
  [7916] = {.lex_state = 35},
  [7917] = {.lex_state = 35},
  [7918] = {.lex_state = 35},
  [7919] = {.lex_state = 35},
  [7920] = {.lex_state = 33, .external_lex_state = 3},
  [7921] = {.lex_state = 33, .external_lex_state = 3},
  [7922] = {.lex_state = 35},
  [7923] = {.lex_state = 35},
  [7924] = {.lex_state = 35},
  [7925] = {.lex_state = 35},
  [7926] = {.lex_state = 35},
  [7927] = {.lex_state = 35, .external_lex_state = 2},
  [7928] = {.lex_state = 35},
  [7929] = {.lex_state = 35},
  [7930] = {.lex_state = 35},
  [7931] = {.lex_state = 35},
  [7932] = {.lex_state = 33, .external_lex_state = 3},
  [7933] = {.lex_state = 35},
  [7934] = {.lex_state = 35},
  [7935] = {.lex_state = 35},
  [7936] = {.lex_state = 35},
  [7937] = {.lex_state = 35},
  [7938] = {.lex_state = 35},
  [7939] = {.lex_state = 35},
  [7940] = {.lex_state = 35},
  [7941] = {.lex_state = 35},
  [7942] = {.lex_state = 35},
  [7943] = {.lex_state = 35},
  [7944] = {.lex_state = 35},
  [7945] = {.lex_state = 35},
  [7946] = {.lex_state = 35, .external_lex_state = 2},
  [7947] = {.lex_state = 35},
  [7948] = {.lex_state = 35},
  [7949] = {.lex_state = 35},
  [7950] = {.lex_state = 35},
  [7951] = {.lex_state = 35},
  [7952] = {.lex_state = 35},
  [7953] = {.lex_state = 33, .external_lex_state = 3},
  [7954] = {.lex_state = 35},
  [7955] = {.lex_state = 35, .external_lex_state = 2},
  [7956] = {.lex_state = 35},
  [7957] = {.lex_state = 35},
  [7958] = {.lex_state = 35},
  [7959] = {.lex_state = 35},
  [7960] = {.lex_state = 35},
  [7961] = {.lex_state = 35, .external_lex_state = 2},
  [7962] = {.lex_state = 35},
  [7963] = {.lex_state = 35, .external_lex_state = 2},
  [7964] = {.lex_state = 35},
  [7965] = {.lex_state = 35},
  [7966] = {.lex_state = 35},
  [7967] = {.lex_state = 35},
  [7968] = {.lex_state = 35},
  [7969] = {.lex_state = 35, .external_lex_state = 2},
  [7970] = {.lex_state = 35, .external_lex_state = 2},
  [7971] = {.lex_state = 35},
  [7972] = {.lex_state = 35},
  [7973] = {.lex_state = 35, .external_lex_state = 2},
  [7974] = {.lex_state = 35},
  [7975] = {.lex_state = 35},
  [7976] = {.lex_state = 35},
  [7977] = {.lex_state = 35},
  [7978] = {.lex_state = 35, .external_lex_state = 2},
  [7979] = {.lex_state = 35},
  [7980] = {.lex_state = 35},
  [7981] = {.lex_state = 35},
  [7982] = {.lex_state = 35},
  [7983] = {.lex_state = 35},
  [7984] = {.lex_state = 35},
  [7985] = {.lex_state = 35, .external_lex_state = 2},
  [7986] = {.lex_state = 35},
  [7987] = {.lex_state = 35},
  [7988] = {.lex_state = 35},
  [7989] = {.lex_state = 33, .external_lex_state = 3},
  [7990] = {.lex_state = 35},
  [7991] = {.lex_state = 35},
  [7992] = {.lex_state = 35},
  [7993] = {.lex_state = 35},
  [7994] = {.lex_state = 35},
  [7995] = {.lex_state = 35},
  [7996] = {.lex_state = 35},
  [7997] = {.lex_state = 35},
  [7998] = {.lex_state = 35},
  [7999] = {.lex_state = 35},
  [8000] = {.lex_state = 35},
  [8001] = {.lex_state = 35},
  [8002] = {.lex_state = 35},
  [8003] = {.lex_state = 35},
  [8004] = {.lex_state = 35},
  [8005] = {.lex_state = 35},
  [8006] = {.lex_state = 35},
  [8007] = {.lex_state = 35},
  [8008] = {.lex_state = 35},
  [8009] = {.lex_state = 35},
  [8010] = {.lex_state = 35},
  [8011] = {.lex_state = 35},
  [8012] = {.lex_state = 35},
  [8013] = {.lex_state = 35},
  [8014] = {.lex_state = 35},
  [8015] = {.lex_state = 35},
  [8016] = {.lex_state = 35},
  [8017] = {.lex_state = 35},
  [8018] = {.lex_state = 35},
  [8019] = {.lex_state = 35},
  [8020] = {.lex_state = 35},
  [8021] = {.lex_state = 35},
  [8022] = {.lex_state = 35},
  [8023] = {.lex_state = 35},
  [8024] = {.lex_state = 35},
  [8025] = {.lex_state = 35},
  [8026] = {.lex_state = 35},
  [8027] = {.lex_state = 35},
  [8028] = {.lex_state = 35},
  [8029] = {.lex_state = 35},
  [8030] = {.lex_state = 35},
  [8031] = {.lex_state = 35},
  [8032] = {.lex_state = 35},
  [8033] = {.lex_state = 35},
  [8034] = {.lex_state = 35},
  [8035] = {.lex_state = 35},
  [8036] = {.lex_state = 35},
  [8037] = {.lex_state = 35},
  [8038] = {.lex_state = 35},
  [8039] = {.lex_state = 35},
  [8040] = {.lex_state = 35},
  [8041] = {.lex_state = 35},
  [8042] = {.lex_state = 35},
  [8043] = {.lex_state = 35},
  [8044] = {.lex_state = 35},
  [8045] = {.lex_state = 35},
  [8046] = {.lex_state = 35},
  [8047] = {.lex_state = 33, .external_lex_state = 3},
  [8048] = {.lex_state = 35},
  [8049] = {.lex_state = 35, .external_lex_state = 2},
  [8050] = {.lex_state = 33, .external_lex_state = 3},
  [8051] = {.lex_state = 35, .external_lex_state = 2},
  [8052] = {.lex_state = 35},
  [8053] = {.lex_state = 33, .external_lex_state = 3},
  [8054] = {.lex_state = 35},
  [8055] = {.lex_state = 35},
  [8056] = {.lex_state = 35},
  [8057] = {.lex_state = 35},
  [8058] = {.lex_state = 35, .external_lex_state = 2},
  [8059] = {.lex_state = 35},
  [8060] = {.lex_state = 35, .external_lex_state = 2},
  [8061] = {.lex_state = 35},
  [8062] = {.lex_state = 35},
  [8063] = {.lex_state = 35},
  [8064] = {.lex_state = 35},
  [8065] = {.lex_state = 33, .external_lex_state = 3},
  [8066] = {.lex_state = 35},
  [8067] = {.lex_state = 35},
  [8068] = {.lex_state = 35},
  [8069] = {.lex_state = 35},
  [8070] = {.lex_state = 35},
  [8071] = {.lex_state = 33, .external_lex_state = 3},
  [8072] = {.lex_state = 33, .external_lex_state = 3},
  [8073] = {.lex_state = 33, .external_lex_state = 3},
  [8074] = {.lex_state = 35},
  [8075] = {.lex_state = 35},
  [8076] = {.lex_state = 35},
  [8077] = {.lex_state = 35},
  [8078] = {.lex_state = 35},
  [8079] = {.lex_state = 35},
  [8080] = {.lex_state = 35},
  [8081] = {.lex_state = 35},
  [8082] = {.lex_state = 35},
  [8083] = {.lex_state = 35},
  [8084] = {.lex_state = 35},
  [8085] = {.lex_state = 35},
  [8086] = {.lex_state = 35},
  [8087] = {.lex_state = 35},
  [8088] = {.lex_state = 35},
  [8089] = {.lex_state = 35},
  [8090] = {.lex_state = 35},
  [8091] = {.lex_state = 35},
  [8092] = {.lex_state = 35},
  [8093] = {.lex_state = 35},
  [8094] = {.lex_state = 35},
  [8095] = {.lex_state = 35, .external_lex_state = 2},
  [8096] = {.lex_state = 35},
  [8097] = {.lex_state = 35},
  [8098] = {.lex_state = 35, .external_lex_state = 2},
  [8099] = {.lex_state = 35},
  [8100] = {.lex_state = 35},
  [8101] = {.lex_state = 35},
  [8102] = {.lex_state = 35},
  [8103] = {.lex_state = 35},
  [8104] = {.lex_state = 35},
  [8105] = {.lex_state = 33, .external_lex_state = 3},
  [8106] = {.lex_state = 35},
  [8107] = {.lex_state = 35},
  [8108] = {.lex_state = 35},
  [8109] = {.lex_state = 35},
  [8110] = {.lex_state = 35},
  [8111] = {.lex_state = 35},
  [8112] = {.lex_state = 35},
  [8113] = {.lex_state = 35},
  [8114] = {.lex_state = 35},
  [8115] = {.lex_state = 35},
  [8116] = {.lex_state = 35},
  [8117] = {.lex_state = 35, .external_lex_state = 2},
  [8118] = {.lex_state = 35},
  [8119] = {.lex_state = 35},
  [8120] = {.lex_state = 35},
  [8121] = {.lex_state = 35},
  [8122] = {.lex_state = 35},
  [8123] = {.lex_state = 35},
  [8124] = {.lex_state = 35},
  [8125] = {.lex_state = 35},
  [8126] = {.lex_state = 35},
  [8127] = {.lex_state = 35},
  [8128] = {.lex_state = 35},
  [8129] = {.lex_state = 35},
  [8130] = {.lex_state = 35},
  [8131] = {.lex_state = 33, .external_lex_state = 3},
  [8132] = {.lex_state = 33, .external_lex_state = 3},
  [8133] = {.lex_state = 35},
  [8134] = {.lex_state = 35},
  [8135] = {.lex_state = 35},
  [8136] = {.lex_state = 33, .external_lex_state = 3},
  [8137] = {.lex_state = 35},
  [8138] = {.lex_state = 33, .external_lex_state = 3},
  [8139] = {.lex_state = 35},
  [8140] = {.lex_state = 35, .external_lex_state = 2},
  [8141] = {.lex_state = 35},
  [8142] = {.lex_state = 35},
  [8143] = {.lex_state = 35},
  [8144] = {.lex_state = 35},
  [8145] = {.lex_state = 35},
  [8146] = {.lex_state = 35},
  [8147] = {.lex_state = 35},
  [8148] = {.lex_state = 35},
  [8149] = {.lex_state = 35},
  [8150] = {.lex_state = 35},
  [8151] = {.lex_state = 35},
  [8152] = {.lex_state = 35},
  [8153] = {.lex_state = 35},
  [8154] = {.lex_state = 35},
  [8155] = {.lex_state = 35},
  [8156] = {.lex_state = 35},
  [8157] = {.lex_state = 35},
  [8158] = {.lex_state = 35, .external_lex_state = 2},
  [8159] = {.lex_state = 35, .external_lex_state = 2},
  [8160] = {.lex_state = 35},
  [8161] = {.lex_state = 35},
  [8162] = {.lex_state = 35},
  [8163] = {.lex_state = 35, .external_lex_state = 2},
  [8164] = {.lex_state = 35},
  [8165] = {.lex_state = 35, .external_lex_state = 2},
  [8166] = {.lex_state = 35},
  [8167] = {.lex_state = 35},
  [8168] = {.lex_state = 35, .external_lex_state = 2},
  [8169] = {.lex_state = 35, .external_lex_state = 2},
  [8170] = {.lex_state = 35, .external_lex_state = 2},
  [8171] = {.lex_state = 35, .external_lex_state = 2},
  [8172] = {.lex_state = 35, .external_lex_state = 2},
  [8173] = {.lex_state = 35},
  [8174] = {.lex_state = 35},
  [8175] = {.lex_state = 35},
  [8176] = {.lex_state = 35},
  [8177] = {.lex_state = 35},
  [8178] = {.lex_state = 35},
  [8179] = {.lex_state = 35},
  [8180] = {.lex_state = 35},
  [8181] = {.lex_state = 35},
  [8182] = {.lex_state = 35},
  [8183] = {.lex_state = 35},
  [8184] = {.lex_state = 35},
  [8185] = {.lex_state = 35},
  [8186] = {.lex_state = 35},
  [8187] = {.lex_state = 35},
  [8188] = {.lex_state = 35},
  [8189] = {.lex_state = 35},
  [8190] = {.lex_state = 35},
  [8191] = {.lex_state = 35},
  [8192] = {.lex_state = 35},
  [8193] = {.lex_state = 35},
  [8194] = {.lex_state = 35},
  [8195] = {.lex_state = 35},
  [8196] = {.lex_state = 35},
  [8197] = {.lex_state = 35},
  [8198] = {.lex_state = 35, .external_lex_state = 2},
  [8199] = {.lex_state = 35},
  [8200] = {.lex_state = 35},
  [8201] = {.lex_state = 35},
  [8202] = {.lex_state = 33, .external_lex_state = 3},
  [8203] = {.lex_state = 35},
  [8204] = {.lex_state = 35},
  [8205] = {.lex_state = 35},
  [8206] = {.lex_state = 35},
  [8207] = {.lex_state = 35},
  [8208] = {.lex_state = 35},
  [8209] = {.lex_state = 35, .external_lex_state = 2},
  [8210] = {.lex_state = 35},
  [8211] = {.lex_state = 35},
  [8212] = {.lex_state = 33, .external_lex_state = 3},
  [8213] = {.lex_state = 35},
  [8214] = {.lex_state = 35},
  [8215] = {.lex_state = 35},
  [8216] = {.lex_state = 35},
  [8217] = {.lex_state = 35},
  [8218] = {.lex_state = 35},
  [8219] = {.lex_state = 35},
  [8220] = {.lex_state = 35},
  [8221] = {.lex_state = 35},
  [8222] = {.lex_state = 35},
  [8223] = {.lex_state = 33, .external_lex_state = 3},
  [8224] = {.lex_state = 35},
  [8225] = {.lex_state = 35},
  [8226] = {.lex_state = 35},
  [8227] = {.lex_state = 35},
  [8228] = {.lex_state = 35},
  [8229] = {.lex_state = 35, .external_lex_state = 2},
  [8230] = {.lex_state = 35, .external_lex_state = 2},
  [8231] = {.lex_state = 35, .external_lex_state = 2},
  [8232] = {.lex_state = 35, .external_lex_state = 2},
  [8233] = {.lex_state = 35, .external_lex_state = 2},
  [8234] = {.lex_state = 35},
  [8235] = {.lex_state = 33, .external_lex_state = 3},
  [8236] = {.lex_state = 35},
  [8237] = {.lex_state = 35, .external_lex_state = 2},
  [8238] = {.lex_state = 35},
  [8239] = {.lex_state = 33, .external_lex_state = 3},
  [8240] = {.lex_state = 35},
  [8241] = {.lex_state = 35},
  [8242] = {.lex_state = 35},
  [8243] = {.lex_state = 35},
  [8244] = {.lex_state = 35},
  [8245] = {.lex_state = 33, .external_lex_state = 3},
  [8246] = {.lex_state = 35},
  [8247] = {.lex_state = 35},
  [8248] = {.lex_state = 35},
  [8249] = {.lex_state = 35},
  [8250] = {.lex_state = 33, .external_lex_state = 3},
  [8251] = {.lex_state = 35},
  [8252] = {.lex_state = 35},
  [8253] = {.lex_state = 35},
  [8254] = {.lex_state = 35},
  [8255] = {.lex_state = 35},
  [8256] = {.lex_state = 35},
  [8257] = {.lex_state = 35},
  [8258] = {.lex_state = 35},
  [8259] = {.lex_state = 35},
  [8260] = {.lex_state = 35},
  [8261] = {.lex_state = 35},
  [8262] = {.lex_state = 35},
  [8263] = {.lex_state = 33, .external_lex_state = 3},
  [8264] = {.lex_state = 35},
  [8265] = {.lex_state = 35},
  [8266] = {.lex_state = 35},
  [8267] = {.lex_state = 35},
  [8268] = {.lex_state = 35},
  [8269] = {.lex_state = 35},
  [8270] = {.lex_state = 33},
  [8271] = {.lex_state = 33, .external_lex_state = 3},
  [8272] = {.lex_state = 35},
  [8273] = {.lex_state = 35},
  [8274] = {.lex_state = 35},
  [8275] = {.lex_state = 35},
  [8276] = {.lex_state = 35},
  [8277] = {.lex_state = 35},
  [8278] = {.lex_state = 35},
  [8279] = {.lex_state = 35},
  [8280] = {.lex_state = 35},
  [8281] = {.lex_state = 35},
  [8282] = {.lex_state = 35},
  [8283] = {.lex_state = 35},
  [8284] = {.lex_state = 35},
  [8285] = {.lex_state = 35},
  [8286] = {.lex_state = 35},
  [8287] = {.lex_state = 35},
  [8288] = {.lex_state = 35},
  [8289] = {.lex_state = 35},
  [8290] = {.lex_state = 35},
  [8291] = {.lex_state = 35},
  [8292] = {.lex_state = 35, .external_lex_state = 2},
  [8293] = {.lex_state = 35},
  [8294] = {.lex_state = 35},
  [8295] = {.lex_state = 35, .external_lex_state = 2},
  [8296] = {.lex_state = 35},
  [8297] = {.lex_state = 35, .external_lex_state = 2},
  [8298] = {.lex_state = 35},
  [8299] = {.lex_state = 35, .external_lex_state = 2},
  [8300] = {.lex_state = 35, .external_lex_state = 2},
  [8301] = {.lex_state = 35},
  [8302] = {.lex_state = 35},
  [8303] = {.lex_state = 35},
  [8304] = {.lex_state = 35},
  [8305] = {.lex_state = 35},
  [8306] = {.lex_state = 35},
  [8307] = {.lex_state = 35, .external_lex_state = 2},
  [8308] = {.lex_state = 35},
  [8309] = {.lex_state = 35},
  [8310] = {.lex_state = 35},
  [8311] = {.lex_state = 35},
  [8312] = {.lex_state = 35},
  [8313] = {.lex_state = 35},
  [8314] = {.lex_state = 35, .external_lex_state = 2},
  [8315] = {.lex_state = 35},
  [8316] = {.lex_state = 35},
  [8317] = {.lex_state = 35, .external_lex_state = 2},
  [8318] = {.lex_state = 35},
  [8319] = {.lex_state = 35, .external_lex_state = 2},
  [8320] = {.lex_state = 35, .external_lex_state = 2},
  [8321] = {.lex_state = 35},
  [8322] = {.lex_state = 35},
  [8323] = {.lex_state = 35},
  [8324] = {.lex_state = 33},
  [8325] = {.lex_state = 35},
  [8326] = {.lex_state = 35},
  [8327] = {.lex_state = 35},
  [8328] = {.lex_state = 35},
  [8329] = {.lex_state = 35},
  [8330] = {.lex_state = 35},
  [8331] = {.lex_state = 35},
  [8332] = {.lex_state = 35},
  [8333] = {.lex_state = 35},
  [8334] = {.lex_state = 35},
  [8335] = {.lex_state = 35},
  [8336] = {.lex_state = 35},
  [8337] = {.lex_state = 35},
  [8338] = {.lex_state = 35},
  [8339] = {.lex_state = 35},
  [8340] = {.lex_state = 35},
  [8341] = {.lex_state = 33},
  [8342] = {.lex_state = 35},
  [8343] = {.lex_state = 35},
  [8344] = {.lex_state = 35},
  [8345] = {.lex_state = 35},
  [8346] = {.lex_state = 35},
  [8347] = {.lex_state = 35},
  [8348] = {.lex_state = 35, .external_lex_state = 2},
  [8349] = {.lex_state = 35},
  [8350] = {.lex_state = 35},
  [8351] = {.lex_state = 35},
  [8352] = {.lex_state = 35},
  [8353] = {.lex_state = 35},
  [8354] = {.lex_state = 35, .external_lex_state = 2},
  [8355] = {.lex_state = 35},
  [8356] = {.lex_state = 35},
  [8357] = {.lex_state = 35},
  [8358] = {.lex_state = 35},
  [8359] = {.lex_state = 35},
  [8360] = {.lex_state = 35},
  [8361] = {.lex_state = 35},
  [8362] = {.lex_state = 35},
  [8363] = {.lex_state = 35},
  [8364] = {.lex_state = 35, .external_lex_state = 2},
  [8365] = {.lex_state = 35},
  [8366] = {.lex_state = 35, .external_lex_state = 2},
  [8367] = {.lex_state = 35},
  [8368] = {.lex_state = 35, .external_lex_state = 2},
  [8369] = {.lex_state = 35, .external_lex_state = 2},
  [8370] = {.lex_state = 35, .external_lex_state = 2},
  [8371] = {.lex_state = 35},
  [8372] = {.lex_state = 35},
  [8373] = {.lex_state = 35, .external_lex_state = 2},
  [8374] = {.lex_state = 35},
  [8375] = {.lex_state = 35, .external_lex_state = 2},
  [8376] = {.lex_state = 35},
  [8377] = {.lex_state = 35},
  [8378] = {.lex_state = 35},
  [8379] = {.lex_state = 35},
  [8380] = {.lex_state = 35},
  [8381] = {.lex_state = 35},
  [8382] = {.lex_state = 35},
  [8383] = {.lex_state = 35},
  [8384] = {.lex_state = 35},
  [8385] = {.lex_state = 35, .external_lex_state = 2},
  [8386] = {.lex_state = 35},
  [8387] = {.lex_state = 35},
  [8388] = {.lex_state = 35},
  [8389] = {.lex_state = 35},
  [8390] = {.lex_state = 35},
  [8391] = {.lex_state = 35},
  [8392] = {.lex_state = 35},
  [8393] = {.lex_state = 35},
  [8394] = {.lex_state = 35, .external_lex_state = 2},
  [8395] = {.lex_state = 35},
  [8396] = {.lex_state = 35},
  [8397] = {.lex_state = 35},
  [8398] = {.lex_state = 35, .external_lex_state = 2},
  [8399] = {.lex_state = 35},
  [8400] = {.lex_state = 35},
  [8401] = {.lex_state = 35},
  [8402] = {.lex_state = 35},
  [8403] = {.lex_state = 35, .external_lex_state = 2},
  [8404] = {.lex_state = 35},
  [8405] = {.lex_state = 35},
  [8406] = {.lex_state = 35},
  [8407] = {.lex_state = 35},
  [8408] = {.lex_state = 35},
  [8409] = {.lex_state = 35},
  [8410] = {.lex_state = 35},
  [8411] = {.lex_state = 35},
  [8412] = {.lex_state = 35},
  [8413] = {.lex_state = 35},
  [8414] = {.lex_state = 35},
  [8415] = {.lex_state = 35},
  [8416] = {.lex_state = 35},
  [8417] = {.lex_state = 33, .external_lex_state = 3},
  [8418] = {.lex_state = 35, .external_lex_state = 2},
  [8419] = {.lex_state = 35},
  [8420] = {.lex_state = 35, .external_lex_state = 2},
  [8421] = {.lex_state = 35},
  [8422] = {.lex_state = 35},
  [8423] = {.lex_state = 35},
  [8424] = {.lex_state = 35, .external_lex_state = 2},
  [8425] = {.lex_state = 35},
  [8426] = {.lex_state = 35},
  [8427] = {.lex_state = 35},
  [8428] = {.lex_state = 35},
  [8429] = {.lex_state = 35},
  [8430] = {.lex_state = 35},
  [8431] = {.lex_state = 35},
  [8432] = {.lex_state = 35},
  [8433] = {.lex_state = 35},
  [8434] = {.lex_state = 35},
  [8435] = {.lex_state = 35},
  [8436] = {.lex_state = 35, .external_lex_state = 2},
  [8437] = {.lex_state = 35},
  [8438] = {.lex_state = 35, .external_lex_state = 2},
  [8439] = {.lex_state = 35, .external_lex_state = 2},
  [8440] = {.lex_state = 35},
  [8441] = {.lex_state = 35},
  [8442] = {.lex_state = 35},
  [8443] = {.lex_state = 35},
  [8444] = {.lex_state = 35},
  [8445] = {.lex_state = 35, .external_lex_state = 2},
  [8446] = {.lex_state = 35, .external_lex_state = 2},
  [8447] = {.lex_state = 35, .external_lex_state = 2},
  [8448] = {.lex_state = 35},
  [8449] = {.lex_state = 35},
  [8450] = {.lex_state = 35},
  [8451] = {.lex_state = 33},
  [8452] = {.lex_state = 35},
  [8453] = {.lex_state = 35},
  [8454] = {.lex_state = 35},
  [8455] = {.lex_state = 35},
  [8456] = {.lex_state = 35},
  [8457] = {.lex_state = 35},
  [8458] = {.lex_state = 35},
  [8459] = {.lex_state = 35},
  [8460] = {.lex_state = 35},
  [8461] = {.lex_state = 35},
  [8462] = {.lex_state = 35},
  [8463] = {.lex_state = 35},
  [8464] = {.lex_state = 35},
  [8465] = {.lex_state = 35},
  [8466] = {.lex_state = 35},
  [8467] = {.lex_state = 33},
  [8468] = {.lex_state = 33, .external_lex_state = 3},
  [8469] = {.lex_state = 35, .external_lex_state = 2},
  [8470] = {.lex_state = 35},
  [8471] = {.lex_state = 35},
  [8472] = {.lex_state = 35},
  [8473] = {.lex_state = 35},
  [8474] = {.lex_state = 35},
  [8475] = {.lex_state = 35},
  [8476] = {.lex_state = 35},
  [8477] = {.lex_state = 35},
  [8478] = {.lex_state = 35},
  [8479] = {.lex_state = 35, .external_lex_state = 2},
  [8480] = {.lex_state = 35},
  [8481] = {.lex_state = 35},
  [8482] = {.lex_state = 35},
  [8483] = {.lex_state = 35},
  [8484] = {.lex_state = 35},
  [8485] = {.lex_state = 35},
  [8486] = {.lex_state = 35},
  [8487] = {.lex_state = 35},
  [8488] = {.lex_state = 35},
  [8489] = {.lex_state = 35},
  [8490] = {.lex_state = 35},
  [8491] = {.lex_state = 35, .external_lex_state = 2},
  [8492] = {.lex_state = 35},
  [8493] = {.lex_state = 35},
  [8494] = {.lex_state = 35},
  [8495] = {.lex_state = 35},
  [8496] = {.lex_state = 35},
  [8497] = {.lex_state = 35},
  [8498] = {.lex_state = 35},
  [8499] = {.lex_state = 35},
  [8500] = {.lex_state = 35},
  [8501] = {.lex_state = 35},
  [8502] = {.lex_state = 35},
  [8503] = {.lex_state = 35},
  [8504] = {.lex_state = 35},
  [8505] = {.lex_state = 35},
  [8506] = {.lex_state = 35},
  [8507] = {.lex_state = 35},
  [8508] = {.lex_state = 35},
  [8509] = {.lex_state = 35, .external_lex_state = 2},
  [8510] = {.lex_state = 35},
  [8511] = {.lex_state = 35},
  [8512] = {.lex_state = 35},
  [8513] = {.lex_state = 35},
  [8514] = {.lex_state = 35},
  [8515] = {.lex_state = 35, .external_lex_state = 2},
  [8516] = {.lex_state = 35, .external_lex_state = 2},
  [8517] = {.lex_state = 35, .external_lex_state = 2},
  [8518] = {.lex_state = 35},
  [8519] = {.lex_state = 35},
  [8520] = {.lex_state = 35},
  [8521] = {.lex_state = 35},
  [8522] = {.lex_state = 35},
  [8523] = {.lex_state = 35},
  [8524] = {.lex_state = 35},
  [8525] = {.lex_state = 35},
  [8526] = {.lex_state = 35},
  [8527] = {.lex_state = 35},
  [8528] = {.lex_state = 35},
  [8529] = {.lex_state = 35},
  [8530] = {.lex_state = 35},
  [8531] = {.lex_state = 35},
  [8532] = {.lex_state = 35},
  [8533] = {.lex_state = 35},
  [8534] = {.lex_state = 35},
  [8535] = {.lex_state = 35},
  [8536] = {.lex_state = 35},
  [8537] = {.lex_state = 35},
  [8538] = {.lex_state = 35},
  [8539] = {.lex_state = 35},
  [8540] = {.lex_state = 35},
  [8541] = {.lex_state = 35},
  [8542] = {.lex_state = 35},
  [8543] = {.lex_state = 35},
  [8544] = {.lex_state = 35},
  [8545] = {.lex_state = 35, .external_lex_state = 2},
  [8546] = {.lex_state = 35},
  [8547] = {.lex_state = 35, .external_lex_state = 2},
  [8548] = {.lex_state = 35, .external_lex_state = 2},
  [8549] = {.lex_state = 35},
  [8550] = {.lex_state = 35},
  [8551] = {.lex_state = 35},
  [8552] = {.lex_state = 33},
  [8553] = {.lex_state = 35, .external_lex_state = 2},
  [8554] = {.lex_state = 35, .external_lex_state = 2},
  [8555] = {.lex_state = 35, .external_lex_state = 2},
  [8556] = {.lex_state = 35},
  [8557] = {.lex_state = 35},
  [8558] = {.lex_state = 35},
  [8559] = {.lex_state = 35},
  [8560] = {.lex_state = 35},
  [8561] = {.lex_state = 35, .external_lex_state = 2},
  [8562] = {.lex_state = 33, .external_lex_state = 3},
  [8563] = {.lex_state = 35},
  [8564] = {.lex_state = 35},
  [8565] = {.lex_state = 35},
  [8566] = {.lex_state = 35},
  [8567] = {.lex_state = 35},
  [8568] = {.lex_state = 35},
  [8569] = {.lex_state = 35, .external_lex_state = 2},
  [8570] = {.lex_state = 35},
  [8571] = {.lex_state = 35},
  [8572] = {.lex_state = 35},
  [8573] = {.lex_state = 35},
  [8574] = {.lex_state = 33, .external_lex_state = 3},
  [8575] = {.lex_state = 35},
  [8576] = {.lex_state = 35},
  [8577] = {.lex_state = 35},
  [8578] = {.lex_state = 35},
  [8579] = {.lex_state = 35},
  [8580] = {.lex_state = 35},
  [8581] = {.lex_state = 35, .external_lex_state = 2},
  [8582] = {.lex_state = 33, .external_lex_state = 3},
  [8583] = {.lex_state = 35},
  [8584] = {.lex_state = 35},
  [8585] = {.lex_state = 35},
  [8586] = {.lex_state = 35},
  [8587] = {.lex_state = 35, .external_lex_state = 2},
  [8588] = {.lex_state = 35},
  [8589] = {.lex_state = 35},
  [8590] = {.lex_state = 35},
  [8591] = {.lex_state = 35},
  [8592] = {.lex_state = 35},
  [8593] = {.lex_state = 35},
  [8594] = {.lex_state = 35},
  [8595] = {.lex_state = 35},
  [8596] = {.lex_state = 35},
  [8597] = {.lex_state = 35},
  [8598] = {.lex_state = 35},
  [8599] = {.lex_state = 35},
  [8600] = {.lex_state = 35},
  [8601] = {.lex_state = 35},
  [8602] = {.lex_state = 35},
  [8603] = {.lex_state = 35},
  [8604] = {.lex_state = 35},
  [8605] = {.lex_state = 35},
  [8606] = {.lex_state = 35, .external_lex_state = 2},
  [8607] = {.lex_state = 35, .external_lex_state = 2},
  [8608] = {.lex_state = 35},
  [8609] = {.lex_state = 35},
  [8610] = {.lex_state = 35},
  [8611] = {.lex_state = 35},
  [8612] = {.lex_state = 35},
  [8613] = {.lex_state = 35},
  [8614] = {.lex_state = 35},
  [8615] = {.lex_state = 35},
  [8616] = {.lex_state = 35},
  [8617] = {.lex_state = 35},
  [8618] = {.lex_state = 35},
  [8619] = {.lex_state = 35},
  [8620] = {.lex_state = 35},
  [8621] = {.lex_state = 35},
  [8622] = {.lex_state = 35},
  [8623] = {.lex_state = 33, .external_lex_state = 3},
  [8624] = {.lex_state = 35},
  [8625] = {.lex_state = 35, .external_lex_state = 2},
  [8626] = {.lex_state = 35},
  [8627] = {.lex_state = 35},
  [8628] = {.lex_state = 35},
  [8629] = {.lex_state = 35},
  [8630] = {.lex_state = 35},
  [8631] = {.lex_state = 35},
  [8632] = {.lex_state = 35},
  [8633] = {.lex_state = 35, .external_lex_state = 2},
  [8634] = {.lex_state = 35},
  [8635] = {.lex_state = 35},
  [8636] = {.lex_state = 35},
  [8637] = {.lex_state = 35},
  [8638] = {.lex_state = 35, .external_lex_state = 2},
  [8639] = {.lex_state = 35},
  [8640] = {.lex_state = 35},
  [8641] = {.lex_state = 35},
  [8642] = {.lex_state = 35},
  [8643] = {.lex_state = 35},
  [8644] = {.lex_state = 35},
  [8645] = {.lex_state = 35},
  [8646] = {.lex_state = 35},
  [8647] = {.lex_state = 35},
  [8648] = {.lex_state = 35},
  [8649] = {.lex_state = 35},
  [8650] = {.lex_state = 35},
  [8651] = {.lex_state = 35},
  [8652] = {.lex_state = 35},
  [8653] = {.lex_state = 35},
  [8654] = {.lex_state = 35},
  [8655] = {.lex_state = 35},
  [8656] = {.lex_state = 35, .external_lex_state = 2},
  [8657] = {.lex_state = 35},
  [8658] = {.lex_state = 35},
  [8659] = {.lex_state = 35},
  [8660] = {.lex_state = 35, .external_lex_state = 2},
  [8661] = {.lex_state = 35},
  [8662] = {.lex_state = 35},
  [8663] = {.lex_state = 35},
  [8664] = {.lex_state = 35},
  [8665] = {.lex_state = 35},
  [8666] = {.lex_state = 35},
  [8667] = {.lex_state = 35},
  [8668] = {.lex_state = 35},
  [8669] = {.lex_state = 35},
  [8670] = {.lex_state = 35},
  [8671] = {.lex_state = 35},
  [8672] = {.lex_state = 35},
  [8673] = {.lex_state = 35},
  [8674] = {.lex_state = 33, .external_lex_state = 3},
  [8675] = {.lex_state = 35},
  [8676] = {.lex_state = 35},
  [8677] = {.lex_state = 35},
  [8678] = {.lex_state = 35},
  [8679] = {.lex_state = 35},
  [8680] = {.lex_state = 35},
  [8681] = {.lex_state = 35},
  [8682] = {.lex_state = 35},
  [8683] = {.lex_state = 35},
  [8684] = {.lex_state = 35},
  [8685] = {.lex_state = 35},
  [8686] = {.lex_state = 35},
  [8687] = {.lex_state = 35, .external_lex_state = 2},
  [8688] = {.lex_state = 35},
  [8689] = {.lex_state = 35},
  [8690] = {.lex_state = 35, .external_lex_state = 2},
  [8691] = {.lex_state = 35},
  [8692] = {.lex_state = 35},
  [8693] = {.lex_state = 35, .external_lex_state = 2},
  [8694] = {.lex_state = 35, .external_lex_state = 2},
  [8695] = {.lex_state = 35},
  [8696] = {.lex_state = 35},
  [8697] = {.lex_state = 35},
  [8698] = {.lex_state = 35},
  [8699] = {.lex_state = 35},
  [8700] = {.lex_state = 35},
  [8701] = {.lex_state = 35},
  [8702] = {.lex_state = 35},
  [8703] = {.lex_state = 33},
  [8704] = {.lex_state = 35},
  [8705] = {.lex_state = 35},
  [8706] = {.lex_state = 35},
  [8707] = {.lex_state = 35, .external_lex_state = 2},
  [8708] = {.lex_state = 35, .external_lex_state = 2},
  [8709] = {.lex_state = 35},
  [8710] = {.lex_state = 35},
  [8711] = {.lex_state = 35},
  [8712] = {.lex_state = 35},
  [8713] = {.lex_state = 35},
  [8714] = {.lex_state = 35, .external_lex_state = 2},
  [8715] = {.lex_state = 35},
  [8716] = {.lex_state = 35},
  [8717] = {.lex_state = 35},
  [8718] = {.lex_state = 35},
  [8719] = {.lex_state = 35},
  [8720] = {.lex_state = 35},
  [8721] = {.lex_state = 35},
  [8722] = {.lex_state = 35},
  [8723] = {.lex_state = 35},
  [8724] = {.lex_state = 35},
  [8725] = {.lex_state = 35},
  [8726] = {.lex_state = 35},
  [8727] = {.lex_state = 35},
  [8728] = {.lex_state = 35},
  [8729] = {.lex_state = 35},
  [8730] = {.lex_state = 35},
  [8731] = {.lex_state = 35, .external_lex_state = 2},
  [8732] = {.lex_state = 35, .external_lex_state = 2},
  [8733] = {.lex_state = 35, .external_lex_state = 2},
  [8734] = {.lex_state = 35, .external_lex_state = 2},
  [8735] = {.lex_state = 35},
  [8736] = {.lex_state = 35, .external_lex_state = 2},
  [8737] = {.lex_state = 35},
  [8738] = {.lex_state = 35},
  [8739] = {.lex_state = 35},
  [8740] = {.lex_state = 35},
  [8741] = {.lex_state = 0, .external_lex_state = 3},
  [8742] = {.lex_state = 35},
  [8743] = {.lex_state = 35},
  [8744] = {.lex_state = 35},
  [8745] = {.lex_state = 35},
  [8746] = {.lex_state = 35},
  [8747] = {.lex_state = 35},
  [8748] = {.lex_state = 35},
  [8749] = {.lex_state = 35},
  [8750] = {.lex_state = 35},
  [8751] = {.lex_state = 35},
  [8752] = {.lex_state = 35},
  [8753] = {.lex_state = 35, .external_lex_state = 2},
  [8754] = {.lex_state = 35},
  [8755] = {.lex_state = 35},
  [8756] = {.lex_state = 35},
  [8757] = {.lex_state = 35},
  [8758] = {.lex_state = 35},
  [8759] = {.lex_state = 35},
  [8760] = {.lex_state = 35},
  [8761] = {.lex_state = 35},
  [8762] = {.lex_state = 33},
  [8763] = {.lex_state = 35},
  [8764] = {.lex_state = 35},
  [8765] = {.lex_state = 35},
  [8766] = {.lex_state = 35},
  [8767] = {.lex_state = 35},
  [8768] = {.lex_state = 35},
  [8769] = {.lex_state = 35},
  [8770] = {.lex_state = 35},
  [8771] = {.lex_state = 35},
  [8772] = {.lex_state = 35},
  [8773] = {.lex_state = 35},
  [8774] = {.lex_state = 35, .external_lex_state = 2},
  [8775] = {.lex_state = 35},
  [8776] = {.lex_state = 35},
  [8777] = {.lex_state = 35},
  [8778] = {.lex_state = 35},
  [8779] = {.lex_state = 35},
  [8780] = {.lex_state = 35},
  [8781] = {.lex_state = 35},
  [8782] = {.lex_state = 35},
  [8783] = {.lex_state = 35},
  [8784] = {.lex_state = 35},
  [8785] = {.lex_state = 35, .external_lex_state = 2},
  [8786] = {.lex_state = 35},
  [8787] = {.lex_state = 35},
  [8788] = {.lex_state = 35, .external_lex_state = 2},
  [8789] = {.lex_state = 35},
  [8790] = {.lex_state = 35, .external_lex_state = 2},
  [8791] = {.lex_state = 33, .external_lex_state = 3},
  [8792] = {.lex_state = 35},
  [8793] = {.lex_state = 35},
  [8794] = {.lex_state = 35},
  [8795] = {.lex_state = 35},
  [8796] = {.lex_state = 35},
  [8797] = {.lex_state = 35},
  [8798] = {.lex_state = 35},
  [8799] = {.lex_state = 35, .external_lex_state = 2},
  [8800] = {.lex_state = 35},
  [8801] = {.lex_state = 35, .external_lex_state = 2},
  [8802] = {.lex_state = 35},
  [8803] = {.lex_state = 33, .external_lex_state = 3},
  [8804] = {.lex_state = 35, .external_lex_state = 2},
  [8805] = {.lex_state = 35},
  [8806] = {.lex_state = 0, .external_lex_state = 3},
  [8807] = {.lex_state = 35},
  [8808] = {.lex_state = 35, .external_lex_state = 2},
  [8809] = {.lex_state = 35},
  [8810] = {.lex_state = 35},
  [8811] = {.lex_state = 35},
  [8812] = {.lex_state = 35},
  [8813] = {.lex_state = 35, .external_lex_state = 2},
  [8814] = {.lex_state = 35, .external_lex_state = 2},
  [8815] = {.lex_state = 35},
  [8816] = {.lex_state = 35},
  [8817] = {.lex_state = 35},
  [8818] = {.lex_state = 35},
  [8819] = {.lex_state = 35},
  [8820] = {.lex_state = 35, .external_lex_state = 2},
  [8821] = {.lex_state = 35, .external_lex_state = 2},
  [8822] = {.lex_state = 35},
  [8823] = {.lex_state = 35},
  [8824] = {.lex_state = 35},
  [8825] = {.lex_state = 35},
  [8826] = {.lex_state = 35},
  [8827] = {.lex_state = 35},
  [8828] = {.lex_state = 35},
  [8829] = {.lex_state = 33, .external_lex_state = 3},
  [8830] = {.lex_state = 35},
  [8831] = {.lex_state = 35, .external_lex_state = 2},
  [8832] = {.lex_state = 35, .external_lex_state = 2},
  [8833] = {.lex_state = 35},
  [8834] = {.lex_state = 35},
  [8835] = {.lex_state = 35},
  [8836] = {.lex_state = 35, .external_lex_state = 2},
  [8837] = {.lex_state = 35, .external_lex_state = 2},
  [8838] = {.lex_state = 35},
  [8839] = {.lex_state = 33, .external_lex_state = 3},
  [8840] = {.lex_state = 35},
  [8841] = {.lex_state = 35},
  [8842] = {.lex_state = 33, .external_lex_state = 3},
  [8843] = {.lex_state = 35},
  [8844] = {.lex_state = 35},
  [8845] = {.lex_state = 35},
  [8846] = {.lex_state = 35},
  [8847] = {.lex_state = 35},
  [8848] = {.lex_state = 35, .external_lex_state = 2},
  [8849] = {.lex_state = 35, .external_lex_state = 2},
  [8850] = {.lex_state = 35},
  [8851] = {.lex_state = 35},
  [8852] = {.lex_state = 35},
  [8853] = {.lex_state = 35},
  [8854] = {.lex_state = 35, .external_lex_state = 2},
  [8855] = {.lex_state = 35},
  [8856] = {.lex_state = 35},
  [8857] = {.lex_state = 35},
  [8858] = {.lex_state = 35},
  [8859] = {.lex_state = 35, .external_lex_state = 2},
  [8860] = {.lex_state = 35},
  [8861] = {.lex_state = 35, .external_lex_state = 2},
  [8862] = {.lex_state = 35},
  [8863] = {.lex_state = 35},
  [8864] = {.lex_state = 35},
  [8865] = {.lex_state = 35},
  [8866] = {.lex_state = 35},
  [8867] = {.lex_state = 35, .external_lex_state = 2},
  [8868] = {.lex_state = 35},
  [8869] = {.lex_state = 35, .external_lex_state = 2},
  [8870] = {.lex_state = 35},
  [8871] = {.lex_state = 35},
  [8872] = {.lex_state = 35},
  [8873] = {.lex_state = 35},
  [8874] = {.lex_state = 35},
  [8875] = {.lex_state = 35},
  [8876] = {.lex_state = 35},
  [8877] = {.lex_state = 35},
  [8878] = {.lex_state = 35},
  [8879] = {.lex_state = 35},
  [8880] = {.lex_state = 35},
  [8881] = {.lex_state = 35},
  [8882] = {.lex_state = 35},
  [8883] = {.lex_state = 35, .external_lex_state = 2},
  [8884] = {.lex_state = 35},
  [8885] = {.lex_state = 35},
  [8886] = {.lex_state = 35},
  [8887] = {.lex_state = 35, .external_lex_state = 2},
  [8888] = {.lex_state = 35},
  [8889] = {.lex_state = 35, .external_lex_state = 2},
  [8890] = {.lex_state = 35},
  [8891] = {.lex_state = 35},
  [8892] = {.lex_state = 35},
  [8893] = {.lex_state = 35},
  [8894] = {.lex_state = 35},
  [8895] = {.lex_state = 35},
  [8896] = {.lex_state = 35, .external_lex_state = 2},
  [8897] = {.lex_state = 35},
  [8898] = {.lex_state = 35},
  [8899] = {.lex_state = 35},
  [8900] = {.lex_state = 0, .external_lex_state = 3},
  [8901] = {.lex_state = 35, .external_lex_state = 2},
  [8902] = {.lex_state = 35},
  [8903] = {.lex_state = 35},
  [8904] = {.lex_state = 35},
  [8905] = {.lex_state = 35, .external_lex_state = 2},
  [8906] = {.lex_state = 35, .external_lex_state = 2},
  [8907] = {.lex_state = 35, .external_lex_state = 2},
  [8908] = {.lex_state = 35, .external_lex_state = 2},
  [8909] = {.lex_state = 35},
  [8910] = {.lex_state = 35, .external_lex_state = 2},
  [8911] = {.lex_state = 35, .external_lex_state = 2},
  [8912] = {.lex_state = 35},
  [8913] = {.lex_state = 35},
  [8914] = {.lex_state = 35, .external_lex_state = 2},
  [8915] = {.lex_state = 35, .external_lex_state = 2},
  [8916] = {.lex_state = 35},
  [8917] = {.lex_state = 35, .external_lex_state = 2},
  [8918] = {.lex_state = 35},
  [8919] = {.lex_state = 35},
  [8920] = {.lex_state = 35},
  [8921] = {.lex_state = 35},
  [8922] = {.lex_state = 35},
  [8923] = {.lex_state = 35},
  [8924] = {.lex_state = 35},
  [8925] = {.lex_state = 35},
  [8926] = {.lex_state = 35, .external_lex_state = 2},
  [8927] = {.lex_state = 35, .external_lex_state = 2},
  [8928] = {.lex_state = 0, .external_lex_state = 3},
  [8929] = {.lex_state = 10},
  [8930] = {.lex_state = 10},
  [8931] = {.lex_state = 35},
  [8932] = {.lex_state = 35},
  [8933] = {.lex_state = 35},
  [8934] = {.lex_state = 35},
  [8935] = {.lex_state = 35},
  [8936] = {.lex_state = 10},
  [8937] = {.lex_state = 10},
  [8938] = {.lex_state = 35},
  [8939] = {.lex_state = 35},
  [8940] = {.lex_state = 1},
  [8941] = {.lex_state = 35},
  [8942] = {.lex_state = 35},
  [8943] = {.lex_state = 35, .external_lex_state = 2},
  [8944] = {.lex_state = 35, .external_lex_state = 2},
  [8945] = {.lex_state = 35, .external_lex_state = 2},
  [8946] = {.lex_state = 0, .external_lex_state = 3},
  [8947] = {.lex_state = 35, .external_lex_state = 2},
  [8948] = {.lex_state = 35, .external_lex_state = 2},
  [8949] = {.lex_state = 35, .external_lex_state = 2},
  [8950] = {.lex_state = 35, .external_lex_state = 2},
  [8951] = {.lex_state = 35},
  [8952] = {.lex_state = 35},
  [8953] = {.lex_state = 35},
  [8954] = {.lex_state = 35},
  [8955] = {.lex_state = 35},
  [8956] = {.lex_state = 35, .external_lex_state = 2},
  [8957] = {.lex_state = 35},
  [8958] = {.lex_state = 0, .external_lex_state = 3},
  [8959] = {.lex_state = 35},
  [8960] = {.lex_state = 35},
  [8961] = {.lex_state = 35},
  [8962] = {.lex_state = 0, .external_lex_state = 3},
  [8963] = {.lex_state = 0, .external_lex_state = 3},
  [8964] = {.lex_state = 35},
  [8965] = {.lex_state = 35, .external_lex_state = 2},
  [8966] = {.lex_state = 35, .external_lex_state = 2},
  [8967] = {.lex_state = 35},
  [8968] = {.lex_state = 35, .external_lex_state = 2},
  [8969] = {.lex_state = 35, .external_lex_state = 2},
  [8970] = {.lex_state = 35, .external_lex_state = 2},
  [8971] = {.lex_state = 35},
  [8972] = {.lex_state = 35},
  [8973] = {.lex_state = 35},
  [8974] = {.lex_state = 35},
  [8975] = {.lex_state = 35, .external_lex_state = 2},
  [8976] = {.lex_state = 0, .external_lex_state = 3},
  [8977] = {.lex_state = 0, .external_lex_state = 3},
  [8978] = {.lex_state = 35, .external_lex_state = 2},
  [8979] = {.lex_state = 35, .external_lex_state = 2},
  [8980] = {.lex_state = 35},
  [8981] = {.lex_state = 35, .external_lex_state = 2},
  [8982] = {.lex_state = 35},
  [8983] = {.lex_state = 35},
  [8984] = {.lex_state = 35, .external_lex_state = 2},
  [8985] = {.lex_state = 35},
  [8986] = {.lex_state = 35},
  [8987] = {.lex_state = 0, .external_lex_state = 3},
  [8988] = {.lex_state = 35, .external_lex_state = 2},
  [8989] = {.lex_state = 35, .external_lex_state = 2},
  [8990] = {.lex_state = 0, .external_lex_state = 3},
  [8991] = {.lex_state = 35, .external_lex_state = 2},
  [8992] = {.lex_state = 0, .external_lex_state = 3},
  [8993] = {.lex_state = 35},
  [8994] = {.lex_state = 35, .external_lex_state = 2},
  [8995] = {.lex_state = 35, .external_lex_state = 2},
  [8996] = {.lex_state = 35, .external_lex_state = 2},
  [8997] = {.lex_state = 35},
  [8998] = {.lex_state = 35, .external_lex_state = 2},
  [8999] = {.lex_state = 35, .external_lex_state = 2},
  [9000] = {.lex_state = 35},
  [9001] = {.lex_state = 35, .external_lex_state = 2},
  [9002] = {.lex_state = 35, .external_lex_state = 2},
  [9003] = {.lex_state = 35, .external_lex_state = 2},
  [9004] = {.lex_state = 35, .external_lex_state = 2},
  [9005] = {.lex_state = 35, .external_lex_state = 2},
  [9006] = {.lex_state = 35, .external_lex_state = 2},
  [9007] = {.lex_state = 35, .external_lex_state = 2},
  [9008] = {.lex_state = 35, .external_lex_state = 2},
  [9009] = {.lex_state = 35, .external_lex_state = 2},
  [9010] = {.lex_state = 35, .external_lex_state = 2},
  [9011] = {.lex_state = 35, .external_lex_state = 2},
  [9012] = {.lex_state = 35, .external_lex_state = 2},
  [9013] = {.lex_state = 0, .external_lex_state = 3},
  [9014] = {.lex_state = 35, .external_lex_state = 2},
  [9015] = {.lex_state = 35, .external_lex_state = 2},
  [9016] = {.lex_state = 35, .external_lex_state = 2},
  [9017] = {.lex_state = 35, .external_lex_state = 2},
  [9018] = {.lex_state = 35, .external_lex_state = 2},
  [9019] = {.lex_state = 35},
  [9020] = {.lex_state = 35},
  [9021] = {.lex_state = 35},
  [9022] = {.lex_state = 35},
  [9023] = {.lex_state = 0, .external_lex_state = 3},
  [9024] = {.lex_state = 35},
  [9025] = {.lex_state = 0, .external_lex_state = 3},
  [9026] = {.lex_state = 35},
  [9027] = {.lex_state = 35},
  [9028] = {.lex_state = 35},
  [9029] = {.lex_state = 1},
  [9030] = {.lex_state = 35},
  [9031] = {.lex_state = 35},
  [9032] = {.lex_state = 35},
  [9033] = {.lex_state = 0, .external_lex_state = 3},
  [9034] = {.lex_state = 35},
  [9035] = {.lex_state = 35},
  [9036] = {.lex_state = 0, .external_lex_state = 3},
  [9037] = {.lex_state = 35},
  [9038] = {.lex_state = 35},
  [9039] = {.lex_state = 35},
  [9040] = {.lex_state = 35},
  [9041] = {.lex_state = 35},
  [9042] = {.lex_state = 35},
  [9043] = {.lex_state = 35},
  [9044] = {.lex_state = 35},
  [9045] = {.lex_state = 35},
  [9046] = {.lex_state = 35},
  [9047] = {.lex_state = 35},
  [9048] = {.lex_state = 1},
  [9049] = {.lex_state = 35},
  [9050] = {.lex_state = 35},
  [9051] = {.lex_state = 35},
  [9052] = {.lex_state = 35},
  [9053] = {.lex_state = 35},
  [9054] = {.lex_state = 35},
  [9055] = {.lex_state = 35},
  [9056] = {.lex_state = 0, .external_lex_state = 3},
  [9057] = {.lex_state = 35},
  [9058] = {.lex_state = 35},
  [9059] = {.lex_state = 35},
  [9060] = {.lex_state = 0},
  [9061] = {.lex_state = 0},
  [9062] = {.lex_state = 35},
  [9063] = {.lex_state = 35},
  [9064] = {.lex_state = 0},
  [9065] = {.lex_state = 35},
  [9066] = {.lex_state = 1},
  [9067] = {.lex_state = 35},
  [9068] = {.lex_state = 35},
  [9069] = {.lex_state = 35},
  [9070] = {.lex_state = 0, .external_lex_state = 3},
  [9071] = {.lex_state = 35},
  [9072] = {.lex_state = 0},
  [9073] = {.lex_state = 35},
  [9074] = {.lex_state = 1},
  [9075] = {.lex_state = 35},
  [9076] = {.lex_state = 35},
  [9077] = {.lex_state = 0, .external_lex_state = 3},
  [9078] = {.lex_state = 35},
  [9079] = {.lex_state = 35},
  [9080] = {.lex_state = 35},
  [9081] = {.lex_state = 35},
  [9082] = {.lex_state = 35},
  [9083] = {.lex_state = 35},
  [9084] = {.lex_state = 35},
  [9085] = {.lex_state = 35},
  [9086] = {.lex_state = 35},
  [9087] = {.lex_state = 0, .external_lex_state = 3},
  [9088] = {.lex_state = 0, .external_lex_state = 3},
  [9089] = {.lex_state = 1},
  [9090] = {.lex_state = 35},
  [9091] = {.lex_state = 35},
  [9092] = {.lex_state = 0, .external_lex_state = 3},
  [9093] = {.lex_state = 35},
  [9094] = {.lex_state = 35},
  [9095] = {.lex_state = 35},
  [9096] = {.lex_state = 35},
  [9097] = {.lex_state = 35},
  [9098] = {.lex_state = 35},
  [9099] = {.lex_state = 1},
  [9100] = {.lex_state = 35},
  [9101] = {.lex_state = 35},
  [9102] = {.lex_state = 35},
  [9103] = {.lex_state = 0, .external_lex_state = 3},
  [9104] = {.lex_state = 35},
  [9105] = {.lex_state = 35},
  [9106] = {.lex_state = 35},
  [9107] = {.lex_state = 35},
  [9108] = {.lex_state = 35},
  [9109] = {.lex_state = 0, .external_lex_state = 3},
  [9110] = {.lex_state = 35},
  [9111] = {.lex_state = 35},
  [9112] = {.lex_state = 35},
  [9113] = {.lex_state = 1},
  [9114] = {.lex_state = 35},
  [9115] = {.lex_state = 35},
  [9116] = {.lex_state = 0, .external_lex_state = 3},
  [9117] = {.lex_state = 35},
  [9118] = {.lex_state = 35},
  [9119] = {.lex_state = 35},
  [9120] = {.lex_state = 35},
  [9121] = {.lex_state = 35},
  [9122] = {.lex_state = 35},
  [9123] = {.lex_state = 35},
  [9124] = {.lex_state = 1},
  [9125] = {.lex_state = 35},
  [9126] = {.lex_state = 35},
  [9127] = {.lex_state = 0, .external_lex_state = 3},
  [9128] = {.lex_state = 0},
  [9129] = {.lex_state = 35},
  [9130] = {.lex_state = 0},
  [9131] = {.lex_state = 0, .external_lex_state = 3},
  [9132] = {.lex_state = 35},
  [9133] = {.lex_state = 1},
  [9134] = {.lex_state = 35},
  [9135] = {.lex_state = 0},
  [9136] = {.lex_state = 0, .external_lex_state = 3},
  [9137] = {.lex_state = 35},
  [9138] = {.lex_state = 35},
  [9139] = {.lex_state = 0, .external_lex_state = 3},
  [9140] = {.lex_state = 35},
  [9141] = {.lex_state = 35},
  [9142] = {.lex_state = 35},
  [9143] = {.lex_state = 35},
  [9144] = {.lex_state = 10},
  [9145] = {.lex_state = 35},
  [9146] = {.lex_state = 1},
  [9147] = {.lex_state = 35},
  [9148] = {.lex_state = 35},
  [9149] = {.lex_state = 10},
  [9150] = {.lex_state = 35},
  [9151] = {.lex_state = 0, .external_lex_state = 3},
  [9152] = {.lex_state = 35},
  [9153] = {.lex_state = 35},
  [9154] = {.lex_state = 0, .external_lex_state = 3},
  [9155] = {.lex_state = 35},
  [9156] = {.lex_state = 35},
  [9157] = {.lex_state = 1},
  [9158] = {.lex_state = 35},
  [9159] = {.lex_state = 35},
  [9160] = {.lex_state = 35},
  [9161] = {.lex_state = 0, .external_lex_state = 3},
  [9162] = {.lex_state = 35},
  [9163] = {.lex_state = 35},
  [9164] = {.lex_state = 35},
  [9165] = {.lex_state = 1},
  [9166] = {.lex_state = 35},
  [9167] = {.lex_state = 35},
  [9168] = {.lex_state = 35},
  [9169] = {.lex_state = 35},
  [9170] = {.lex_state = 0, .external_lex_state = 3},
  [9171] = {.lex_state = 35},
  [9172] = {.lex_state = 35},
  [9173] = {.lex_state = 0, .external_lex_state = 3},
  [9174] = {.lex_state = 35},
  [9175] = {.lex_state = 1},
  [9176] = {.lex_state = 35},
  [9177] = {.lex_state = 35},
  [9178] = {.lex_state = 0, .external_lex_state = 3},
  [9179] = {.lex_state = 35},
  [9180] = {.lex_state = 35},
  [9181] = {.lex_state = 35},
  [9182] = {.lex_state = 1},
  [9183] = {.lex_state = 35},
  [9184] = {.lex_state = 35},
  [9185] = {.lex_state = 35},
  [9186] = {.lex_state = 35},
  [9187] = {.lex_state = 35},
  [9188] = {.lex_state = 35},
  [9189] = {.lex_state = 1},
  [9190] = {.lex_state = 35},
  [9191] = {.lex_state = 35},
  [9192] = {.lex_state = 35},
  [9193] = {.lex_state = 35},
  [9194] = {.lex_state = 35},
  [9195] = {.lex_state = 35},
  [9196] = {.lex_state = 35},
  [9197] = {.lex_state = 35},
  [9198] = {.lex_state = 1},
  [9199] = {.lex_state = 35},
  [9200] = {.lex_state = 35},
  [9201] = {.lex_state = 35},
  [9202] = {.lex_state = 35},
  [9203] = {.lex_state = 35},
  [9204] = {.lex_state = 1},
  [9205] = {.lex_state = 1},
  [9206] = {.lex_state = 35},
  [9207] = {.lex_state = 35},
  [9208] = {.lex_state = 35},
  [9209] = {.lex_state = 35},
  [9210] = {.lex_state = 35},
  [9211] = {.lex_state = 35},
  [9212] = {.lex_state = 35},
  [9213] = {.lex_state = 35},
  [9214] = {.lex_state = 35},
  [9215] = {.lex_state = 35},
  [9216] = {.lex_state = 35},
  [9217] = {.lex_state = 35},
  [9218] = {.lex_state = 35},
  [9219] = {.lex_state = 35},
  [9220] = {.lex_state = 35},
  [9221] = {.lex_state = 35},
  [9222] = {.lex_state = 35},
  [9223] = {.lex_state = 35},
  [9224] = {.lex_state = 35},
  [9225] = {.lex_state = 35},
  [9226] = {.lex_state = 35},
  [9227] = {.lex_state = 35},
  [9228] = {.lex_state = 35},
  [9229] = {.lex_state = 35},
  [9230] = {.lex_state = 35},
  [9231] = {.lex_state = 35},
  [9232] = {.lex_state = 0, .external_lex_state = 3},
  [9233] = {.lex_state = 35},
  [9234] = {.lex_state = 0, .external_lex_state = 3},
  [9235] = {.lex_state = 35},
  [9236] = {.lex_state = 35},
  [9237] = {.lex_state = 35},
  [9238] = {.lex_state = 0, .external_lex_state = 3},
  [9239] = {.lex_state = 35},
  [9240] = {.lex_state = 0, .external_lex_state = 3},
  [9241] = {.lex_state = 35},
  [9242] = {.lex_state = 0, .external_lex_state = 3},
  [9243] = {.lex_state = 35},
  [9244] = {.lex_state = 35},
  [9245] = {.lex_state = 35},
  [9246] = {.lex_state = 35},
  [9247] = {.lex_state = 0, .external_lex_state = 3},
  [9248] = {.lex_state = 35},
  [9249] = {.lex_state = 35},
  [9250] = {.lex_state = 35},
  [9251] = {.lex_state = 35},
  [9252] = {.lex_state = 35},
  [9253] = {.lex_state = 35},
  [9254] = {.lex_state = 35},
  [9255] = {.lex_state = 35},
  [9256] = {.lex_state = 35},
  [9257] = {.lex_state = 35},
  [9258] = {.lex_state = 35},
  [9259] = {.lex_state = 35},
  [9260] = {.lex_state = 35},
  [9261] = {.lex_state = 35},
  [9262] = {.lex_state = 35},
  [9263] = {.lex_state = 0, .external_lex_state = 3},
  [9264] = {.lex_state = 0, .external_lex_state = 3},
  [9265] = {.lex_state = 35},
  [9266] = {.lex_state = 35},
  [9267] = {.lex_state = 35},
  [9268] = {.lex_state = 35},
  [9269] = {.lex_state = 35},
  [9270] = {.lex_state = 35},
  [9271] = {.lex_state = 35},
  [9272] = {.lex_state = 35},
  [9273] = {.lex_state = 35},
  [9274] = {.lex_state = 35},
  [9275] = {.lex_state = 35},
  [9276] = {.lex_state = 10},
  [9277] = {.lex_state = 10},
  [9278] = {.lex_state = 0, .external_lex_state = 3},
  [9279] = {.lex_state = 35},
  [9280] = {.lex_state = 35},
  [9281] = {.lex_state = 35},
  [9282] = {.lex_state = 35},
  [9283] = {.lex_state = 35},
  [9284] = {.lex_state = 35},
  [9285] = {.lex_state = 35},
  [9286] = {.lex_state = 35},
  [9287] = {.lex_state = 35},
  [9288] = {.lex_state = 35},
  [9289] = {.lex_state = 35},
  [9290] = {.lex_state = 35},
  [9291] = {.lex_state = 0, .external_lex_state = 3},
  [9292] = {.lex_state = 35},
  [9293] = {.lex_state = 0, .external_lex_state = 3},
  [9294] = {.lex_state = 35},
  [9295] = {.lex_state = 0, .external_lex_state = 3},
  [9296] = {.lex_state = 35},
  [9297] = {.lex_state = 0, .external_lex_state = 3},
  [9298] = {.lex_state = 0, .external_lex_state = 3},
  [9299] = {.lex_state = 35},
  [9300] = {.lex_state = 0, .external_lex_state = 3},
  [9301] = {.lex_state = 35},
  [9302] = {.lex_state = 35},
  [9303] = {.lex_state = 35},
  [9304] = {.lex_state = 35},
  [9305] = {.lex_state = 35},
  [9306] = {.lex_state = 35},
  [9307] = {.lex_state = 35},
  [9308] = {.lex_state = 35},
  [9309] = {.lex_state = 0, .external_lex_state = 3},
  [9310] = {.lex_state = 0, .external_lex_state = 3},
  [9311] = {.lex_state = 35},
  [9312] = {.lex_state = 35},
  [9313] = {.lex_state = 0, .external_lex_state = 3},
  [9314] = {.lex_state = 35},
  [9315] = {.lex_state = 0, .external_lex_state = 3},
  [9316] = {.lex_state = 0, .external_lex_state = 3},
  [9317] = {.lex_state = 35},
  [9318] = {.lex_state = 0, .external_lex_state = 3},
  [9319] = {.lex_state = 0, .external_lex_state = 3},
  [9320] = {.lex_state = 35},
  [9321] = {.lex_state = 0, .external_lex_state = 3},
  [9322] = {.lex_state = 0, .external_lex_state = 3},
  [9323] = {.lex_state = 0, .external_lex_state = 3},
  [9324] = {.lex_state = 35},
  [9325] = {.lex_state = 35, .external_lex_state = 2},
  [9326] = {.lex_state = 35},
  [9327] = {.lex_state = 35},
  [9328] = {.lex_state = 35},
  [9329] = {.lex_state = 0, .external_lex_state = 3},
  [9330] = {.lex_state = 0, .external_lex_state = 3},
  [9331] = {.lex_state = 0, .external_lex_state = 3},
  [9332] = {.lex_state = 35},
  [9333] = {.lex_state = 0, .external_lex_state = 3},
  [9334] = {.lex_state = 35},
  [9335] = {.lex_state = 0, .external_lex_state = 3},
  [9336] = {.lex_state = 35, .external_lex_state = 2},
  [9337] = {.lex_state = 35},
  [9338] = {.lex_state = 35},
  [9339] = {.lex_state = 0, .external_lex_state = 3},
  [9340] = {.lex_state = 0, .external_lex_state = 3},
  [9341] = {.lex_state = 35},
  [9342] = {.lex_state = 35, .external_lex_state = 2},
  [9343] = {.lex_state = 35},
  [9344] = {.lex_state = 0, .external_lex_state = 3},
  [9345] = {.lex_state = 35, .external_lex_state = 2},
  [9346] = {.lex_state = 0, .external_lex_state = 3},
  [9347] = {.lex_state = 35},
  [9348] = {.lex_state = 35, .external_lex_state = 2},
  [9349] = {.lex_state = 0},
  [9350] = {.lex_state = 0, .external_lex_state = 3},
  [9351] = {.lex_state = 35},
  [9352] = {.lex_state = 35, .external_lex_state = 2},
  [9353] = {.lex_state = 35, .external_lex_state = 2},
  [9354] = {.lex_state = 35, .external_lex_state = 2},
  [9355] = {.lex_state = 35},
  [9356] = {.lex_state = 35},
  [9357] = {.lex_state = 0, .external_lex_state = 3},
  [9358] = {.lex_state = 0, .external_lex_state = 3},
  [9359] = {.lex_state = 0, .external_lex_state = 3},
  [9360] = {.lex_state = 0, .external_lex_state = 3},
  [9361] = {.lex_state = 0, .external_lex_state = 3},
  [9362] = {.lex_state = 35},
  [9363] = {.lex_state = 35},
  [9364] = {.lex_state = 0, .external_lex_state = 3},
  [9365] = {.lex_state = 0, .external_lex_state = 3},
  [9366] = {.lex_state = 0, .external_lex_state = 3},
  [9367] = {.lex_state = 0, .external_lex_state = 3},
  [9368] = {.lex_state = 0, .external_lex_state = 3},
  [9369] = {.lex_state = 35},
  [9370] = {.lex_state = 0, .external_lex_state = 3},
  [9371] = {.lex_state = 35},
  [9372] = {.lex_state = 35},
  [9373] = {.lex_state = 0, .external_lex_state = 3},
  [9374] = {.lex_state = 35},
  [9375] = {.lex_state = 0, .external_lex_state = 3},
  [9376] = {.lex_state = 0, .external_lex_state = 3},
  [9377] = {.lex_state = 0, .external_lex_state = 3},
  [9378] = {.lex_state = 0, .external_lex_state = 3},
  [9379] = {.lex_state = 35},
  [9380] = {.lex_state = 0, .external_lex_state = 3},
  [9381] = {.lex_state = 35},
  [9382] = {.lex_state = 0, .external_lex_state = 3},
  [9383] = {.lex_state = 0, .external_lex_state = 3},
  [9384] = {.lex_state = 0, .external_lex_state = 3},
  [9385] = {.lex_state = 0, .external_lex_state = 3},
  [9386] = {.lex_state = 35},
  [9387] = {.lex_state = 0},
  [9388] = {.lex_state = 0, .external_lex_state = 3},
  [9389] = {.lex_state = 0, .external_lex_state = 3},
  [9390] = {.lex_state = 35},
  [9391] = {.lex_state = 0, .external_lex_state = 3},
  [9392] = {.lex_state = 0, .external_lex_state = 3},
  [9393] = {.lex_state = 0, .external_lex_state = 3},
  [9394] = {.lex_state = 35, .external_lex_state = 2},
  [9395] = {.lex_state = 0},
  [9396] = {.lex_state = 35},
  [9397] = {.lex_state = 35, .external_lex_state = 2},
  [9398] = {.lex_state = 0, .external_lex_state = 3},
  [9399] = {.lex_state = 0, .external_lex_state = 3},
  [9400] = {.lex_state = 0, .external_lex_state = 3},
  [9401] = {.lex_state = 35},
  [9402] = {.lex_state = 0, .external_lex_state = 3},
  [9403] = {.lex_state = 35, .external_lex_state = 2},
  [9404] = {.lex_state = 0, .external_lex_state = 3},
  [9405] = {.lex_state = 35},
  [9406] = {.lex_state = 35},
  [9407] = {.lex_state = 35},
  [9408] = {.lex_state = 0, .external_lex_state = 3},
  [9409] = {.lex_state = 0, .external_lex_state = 3},
  [9410] = {.lex_state = 0, .external_lex_state = 3},
  [9411] = {.lex_state = 0},
  [9412] = {.lex_state = 0, .external_lex_state = 3},
  [9413] = {.lex_state = 0, .external_lex_state = 3},
  [9414] = {.lex_state = 0},
  [9415] = {.lex_state = 35},
  [9416] = {.lex_state = 35},
  [9417] = {.lex_state = 0, .external_lex_state = 3},
  [9418] = {.lex_state = 0, .external_lex_state = 3},
  [9419] = {.lex_state = 0, .external_lex_state = 3},
  [9420] = {.lex_state = 0, .external_lex_state = 3},
  [9421] = {.lex_state = 0, .external_lex_state = 3},
  [9422] = {.lex_state = 35},
  [9423] = {.lex_state = 33, .external_lex_state = 3},
  [9424] = {.lex_state = 35},
  [9425] = {.lex_state = 0, .external_lex_state = 3},
  [9426] = {.lex_state = 0, .external_lex_state = 3},
  [9427] = {.lex_state = 35},
  [9428] = {.lex_state = 0, .external_lex_state = 3},
  [9429] = {.lex_state = 0, .external_lex_state = 3},
  [9430] = {.lex_state = 0, .external_lex_state = 3},
  [9431] = {.lex_state = 35, .external_lex_state = 2},
  [9432] = {.lex_state = 35, .external_lex_state = 2},
  [9433] = {.lex_state = 35, .external_lex_state = 2},
  [9434] = {.lex_state = 35},
  [9435] = {.lex_state = 0, .external_lex_state = 3},
  [9436] = {.lex_state = 0, .external_lex_state = 3},
  [9437] = {.lex_state = 35, .external_lex_state = 2},
  [9438] = {.lex_state = 0, .external_lex_state = 3},
  [9439] = {.lex_state = 0, .external_lex_state = 3},
  [9440] = {.lex_state = 0, .external_lex_state = 3},
  [9441] = {.lex_state = 35, .external_lex_state = 2},
  [9442] = {.lex_state = 35},
  [9443] = {.lex_state = 35, .external_lex_state = 2},
  [9444] = {.lex_state = 0, .external_lex_state = 3},
  [9445] = {.lex_state = 0, .external_lex_state = 3},
  [9446] = {.lex_state = 0, .external_lex_state = 3},
  [9447] = {.lex_state = 0, .external_lex_state = 3},
  [9448] = {.lex_state = 0, .external_lex_state = 3},
  [9449] = {.lex_state = 0, .external_lex_state = 3},
  [9450] = {.lex_state = 0, .external_lex_state = 3},
  [9451] = {.lex_state = 0, .external_lex_state = 3},
  [9452] = {.lex_state = 35},
  [9453] = {.lex_state = 35, .external_lex_state = 2},
  [9454] = {.lex_state = 35},
  [9455] = {.lex_state = 35},
  [9456] = {.lex_state = 35},
  [9457] = {.lex_state = 35},
  [9458] = {.lex_state = 35},
  [9459] = {.lex_state = 0, .external_lex_state = 3},
  [9460] = {.lex_state = 35},
  [9461] = {.lex_state = 35},
  [9462] = {.lex_state = 35},
  [9463] = {.lex_state = 35},
  [9464] = {.lex_state = 0, .external_lex_state = 3},
  [9465] = {.lex_state = 0, .external_lex_state = 3},
  [9466] = {.lex_state = 35},
  [9467] = {.lex_state = 35},
  [9468] = {.lex_state = 35},
  [9469] = {.lex_state = 35, .external_lex_state = 2},
  [9470] = {.lex_state = 35},
  [9471] = {.lex_state = 35},
  [9472] = {.lex_state = 35},
  [9473] = {.lex_state = 0, .external_lex_state = 3},
  [9474] = {.lex_state = 35},
  [9475] = {.lex_state = 33, .external_lex_state = 3},
  [9476] = {.lex_state = 35},
  [9477] = {.lex_state = 35},
  [9478] = {.lex_state = 35},
  [9479] = {.lex_state = 35},
  [9480] = {.lex_state = 35},
  [9481] = {.lex_state = 35},
  [9482] = {.lex_state = 35, .external_lex_state = 2},
  [9483] = {.lex_state = 35},
  [9484] = {.lex_state = 35},
  [9485] = {.lex_state = 35, .external_lex_state = 2},
  [9486] = {.lex_state = 35},
  [9487] = {.lex_state = 35},
  [9488] = {.lex_state = 35},
  [9489] = {.lex_state = 35},
  [9490] = {.lex_state = 35},
  [9491] = {.lex_state = 35},
  [9492] = {.lex_state = 35},
  [9493] = {.lex_state = 35},
  [9494] = {.lex_state = 35},
  [9495] = {.lex_state = 35},
  [9496] = {.lex_state = 1},
  [9497] = {.lex_state = 35},
  [9498] = {.lex_state = 35},
  [9499] = {.lex_state = 35},
  [9500] = {.lex_state = 35},
  [9501] = {.lex_state = 35},
  [9502] = {.lex_state = 35, .external_lex_state = 2},
  [9503] = {.lex_state = 35},
  [9504] = {.lex_state = 35, .external_lex_state = 2},
  [9505] = {.lex_state = 35},
  [9506] = {.lex_state = 35},
  [9507] = {.lex_state = 35},
  [9508] = {.lex_state = 35},
  [9509] = {.lex_state = 35, .external_lex_state = 2},
  [9510] = {.lex_state = 0, .external_lex_state = 3},
  [9511] = {.lex_state = 35},
  [9512] = {.lex_state = 35},
  [9513] = {.lex_state = 35},
  [9514] = {.lex_state = 35},
  [9515] = {.lex_state = 35},
  [9516] = {.lex_state = 35},
  [9517] = {.lex_state = 35},
  [9518] = {.lex_state = 35},
  [9519] = {.lex_state = 35},
  [9520] = {.lex_state = 35},
  [9521] = {.lex_state = 35},
  [9522] = {.lex_state = 35},
  [9523] = {.lex_state = 35, .external_lex_state = 2},
  [9524] = {.lex_state = 35, .external_lex_state = 2},
  [9525] = {.lex_state = 0, .external_lex_state = 3},
  [9526] = {.lex_state = 35, .external_lex_state = 2},
  [9527] = {.lex_state = 35},
  [9528] = {.lex_state = 35},
  [9529] = {.lex_state = 35, .external_lex_state = 2},
  [9530] = {.lex_state = 35},
  [9531] = {.lex_state = 35},
  [9532] = {.lex_state = 35},
  [9533] = {.lex_state = 35},
  [9534] = {.lex_state = 35},
  [9535] = {.lex_state = 35, .external_lex_state = 2},
  [9536] = {.lex_state = 0, .external_lex_state = 3},
  [9537] = {.lex_state = 35},
  [9538] = {.lex_state = 35},
  [9539] = {.lex_state = 35},
  [9540] = {.lex_state = 35},
  [9541] = {.lex_state = 35},
  [9542] = {.lex_state = 35},
  [9543] = {.lex_state = 0},
  [9544] = {.lex_state = 35},
  [9545] = {.lex_state = 35},
  [9546] = {.lex_state = 35},
  [9547] = {.lex_state = 35},
  [9548] = {.lex_state = 35},
  [9549] = {.lex_state = 35, .external_lex_state = 2},
  [9550] = {.lex_state = 35, .external_lex_state = 2},
  [9551] = {.lex_state = 35, .external_lex_state = 2},
  [9552] = {.lex_state = 35},
  [9553] = {.lex_state = 35},
  [9554] = {.lex_state = 35, .external_lex_state = 2},
  [9555] = {.lex_state = 35},
  [9556] = {.lex_state = 35},
  [9557] = {.lex_state = 0, .external_lex_state = 3},
  [9558] = {.lex_state = 35},
  [9559] = {.lex_state = 35},
  [9560] = {.lex_state = 35},
  [9561] = {.lex_state = 35},
  [9562] = {.lex_state = 0, .external_lex_state = 3},
  [9563] = {.lex_state = 35},
  [9564] = {.lex_state = 35},
  [9565] = {.lex_state = 35},
  [9566] = {.lex_state = 35},
  [9567] = {.lex_state = 35},
  [9568] = {.lex_state = 35},
  [9569] = {.lex_state = 35},
  [9570] = {.lex_state = 35},
  [9571] = {.lex_state = 35},
  [9572] = {.lex_state = 35},
  [9573] = {.lex_state = 35},
  [9574] = {.lex_state = 35},
  [9575] = {.lex_state = 35},
  [9576] = {.lex_state = 35},
  [9577] = {.lex_state = 35},
  [9578] = {.lex_state = 35},
  [9579] = {.lex_state = 35},
  [9580] = {.lex_state = 35},
  [9581] = {.lex_state = 35},
  [9582] = {.lex_state = 35},
  [9583] = {.lex_state = 35},
  [9584] = {.lex_state = 35},
  [9585] = {.lex_state = 35},
  [9586] = {.lex_state = 0},
  [9587] = {.lex_state = 35},
  [9588] = {.lex_state = 0},
  [9589] = {.lex_state = 35},
  [9590] = {.lex_state = 0},
  [9591] = {.lex_state = 0},
  [9592] = {.lex_state = 35},
  [9593] = {.lex_state = 0, .external_lex_state = 3},
  [9594] = {.lex_state = 35},
  [9595] = {.lex_state = 35},
  [9596] = {.lex_state = 35, .external_lex_state = 2},
  [9597] = {.lex_state = 35, .external_lex_state = 2},
  [9598] = {.lex_state = 35, .external_lex_state = 2},
  [9599] = {.lex_state = 35},
  [9600] = {.lex_state = 35},
  [9601] = {.lex_state = 35},
  [9602] = {.lex_state = 35},
  [9603] = {.lex_state = 35},
  [9604] = {.lex_state = 35},
  [9605] = {.lex_state = 35},
  [9606] = {.lex_state = 35},
  [9607] = {.lex_state = 35},
  [9608] = {.lex_state = 35},
  [9609] = {.lex_state = 35},
  [9610] = {.lex_state = 35},
  [9611] = {.lex_state = 35},
  [9612] = {.lex_state = 35},
  [9613] = {.lex_state = 0, .external_lex_state = 3},
  [9614] = {.lex_state = 35},
  [9615] = {.lex_state = 35},
  [9616] = {.lex_state = 35},
  [9617] = {.lex_state = 35},
  [9618] = {.lex_state = 35},
  [9619] = {.lex_state = 35, .external_lex_state = 2},
  [9620] = {.lex_state = 35},
  [9621] = {.lex_state = 35},
  [9622] = {.lex_state = 35, .external_lex_state = 2},
  [9623] = {.lex_state = 35},
  [9624] = {.lex_state = 35},
  [9625] = {.lex_state = 35},
  [9626] = {.lex_state = 35},
  [9627] = {.lex_state = 35, .external_lex_state = 2},
  [9628] = {.lex_state = 35},
  [9629] = {.lex_state = 35},
  [9630] = {.lex_state = 35},
  [9631] = {.lex_state = 35, .external_lex_state = 2},
  [9632] = {.lex_state = 35},
  [9633] = {.lex_state = 35},
  [9634] = {.lex_state = 35},
  [9635] = {.lex_state = 35},
  [9636] = {.lex_state = 35},
  [9637] = {.lex_state = 35},
  [9638] = {.lex_state = 35},
  [9639] = {.lex_state = 35, .external_lex_state = 2},
  [9640] = {.lex_state = 35},
  [9641] = {.lex_state = 35},
  [9642] = {.lex_state = 35},
  [9643] = {.lex_state = 35},
  [9644] = {.lex_state = 35},
  [9645] = {.lex_state = 35},
  [9646] = {.lex_state = 35},
  [9647] = {.lex_state = 35},
  [9648] = {.lex_state = 35},
  [9649] = {.lex_state = 35},
  [9650] = {.lex_state = 35},
  [9651] = {.lex_state = 35},
  [9652] = {.lex_state = 35},
  [9653] = {.lex_state = 35},
  [9654] = {.lex_state = 35},
  [9655] = {.lex_state = 35},
  [9656] = {.lex_state = 35},
  [9657] = {.lex_state = 35},
  [9658] = {.lex_state = 35},
  [9659] = {.lex_state = 35},
  [9660] = {.lex_state = 35},
  [9661] = {.lex_state = 35},
  [9662] = {.lex_state = 35},
  [9663] = {.lex_state = 35},
  [9664] = {.lex_state = 35},
  [9665] = {.lex_state = 35},
  [9666] = {.lex_state = 35},
  [9667] = {.lex_state = 35},
  [9668] = {.lex_state = 35},
  [9669] = {.lex_state = 35},
  [9670] = {.lex_state = 35},
  [9671] = {.lex_state = 35},
  [9672] = {.lex_state = 35},
  [9673] = {.lex_state = 35},
  [9674] = {.lex_state = 35},
  [9675] = {.lex_state = 35},
  [9676] = {.lex_state = 0},
  [9677] = {.lex_state = 35},
  [9678] = {.lex_state = 35},
  [9679] = {.lex_state = 35},
  [9680] = {.lex_state = 35},
  [9681] = {.lex_state = 35},
  [9682] = {.lex_state = 35},
  [9683] = {.lex_state = 35},
  [9684] = {.lex_state = 0},
  [9685] = {.lex_state = 35},
  [9686] = {.lex_state = 35},
  [9687] = {.lex_state = 35},
  [9688] = {.lex_state = 35},
  [9689] = {.lex_state = 35},
  [9690] = {.lex_state = 35},
  [9691] = {.lex_state = 35},
  [9692] = {.lex_state = 35},
  [9693] = {.lex_state = 35, .external_lex_state = 2},
  [9694] = {.lex_state = 35, .external_lex_state = 2},
  [9695] = {.lex_state = 35},
  [9696] = {.lex_state = 35},
  [9697] = {.lex_state = 35},
  [9698] = {.lex_state = 35},
  [9699] = {.lex_state = 35},
  [9700] = {.lex_state = 35},
  [9701] = {.lex_state = 35},
  [9702] = {.lex_state = 35, .external_lex_state = 2},
  [9703] = {.lex_state = 35},
  [9704] = {.lex_state = 0},
  [9705] = {.lex_state = 35},
  [9706] = {.lex_state = 35},
  [9707] = {.lex_state = 35},
  [9708] = {.lex_state = 35},
  [9709] = {.lex_state = 35},
  [9710] = {.lex_state = 35},
  [9711] = {.lex_state = 35},
  [9712] = {.lex_state = 35},
  [9713] = {.lex_state = 35},
  [9714] = {.lex_state = 35},
  [9715] = {.lex_state = 35},
  [9716] = {.lex_state = 35},
  [9717] = {.lex_state = 35},
  [9718] = {.lex_state = 35},
  [9719] = {.lex_state = 35},
  [9720] = {.lex_state = 35},
  [9721] = {.lex_state = 35, .external_lex_state = 2},
  [9722] = {.lex_state = 35},
  [9723] = {.lex_state = 35},
  [9724] = {.lex_state = 35, .external_lex_state = 2},
  [9725] = {.lex_state = 35},
  [9726] = {.lex_state = 35},
  [9727] = {.lex_state = 35},
  [9728] = {.lex_state = 35},
  [9729] = {.lex_state = 0},
  [9730] = {.lex_state = 0},
  [9731] = {.lex_state = 0},
  [9732] = {.lex_state = 0},
  [9733] = {.lex_state = 0},
  [9734] = {.lex_state = 35},
  [9735] = {.lex_state = 0},
  [9736] = {.lex_state = 35},
  [9737] = {.lex_state = 35},
  [9738] = {.lex_state = 0},
  [9739] = {.lex_state = 35},
  [9740] = {.lex_state = 35},
  [9741] = {.lex_state = 35},
  [9742] = {.lex_state = 35},
  [9743] = {.lex_state = 35},
  [9744] = {.lex_state = 35},
  [9745] = {.lex_state = 35},
  [9746] = {.lex_state = 35},
  [9747] = {.lex_state = 35},
  [9748] = {.lex_state = 35},
  [9749] = {.lex_state = 0},
  [9750] = {.lex_state = 35},
  [9751] = {.lex_state = 35},
  [9752] = {.lex_state = 35},
  [9753] = {.lex_state = 35},
  [9754] = {.lex_state = 35},
  [9755] = {.lex_state = 35},
  [9756] = {.lex_state = 35},
  [9757] = {.lex_state = 35},
  [9758] = {.lex_state = 35},
  [9759] = {.lex_state = 35},
  [9760] = {.lex_state = 35},
  [9761] = {.lex_state = 35},
  [9762] = {.lex_state = 35},
  [9763] = {.lex_state = 35},
  [9764] = {.lex_state = 35},
  [9765] = {.lex_state = 35},
  [9766] = {.lex_state = 35},
  [9767] = {.lex_state = 35},
  [9768] = {.lex_state = 35},
  [9769] = {.lex_state = 35},
  [9770] = {.lex_state = 35},
  [9771] = {.lex_state = 35},
  [9772] = {.lex_state = 35},
  [9773] = {.lex_state = 35},
  [9774] = {.lex_state = 35},
  [9775] = {.lex_state = 1},
  [9776] = {.lex_state = 35},
  [9777] = {.lex_state = 35},
  [9778] = {.lex_state = 35},
  [9779] = {.lex_state = 35},
  [9780] = {.lex_state = 35},
  [9781] = {.lex_state = 35, .external_lex_state = 2},
  [9782] = {.lex_state = 35},
  [9783] = {.lex_state = 35},
  [9784] = {.lex_state = 35},
  [9785] = {.lex_state = 35},
  [9786] = {.lex_state = 35},
  [9787] = {.lex_state = 35},
  [9788] = {.lex_state = 35},
  [9789] = {.lex_state = 35},
  [9790] = {.lex_state = 35},
  [9791] = {.lex_state = 35, .external_lex_state = 2},
  [9792] = {.lex_state = 35},
  [9793] = {.lex_state = 35},
  [9794] = {.lex_state = 35},
  [9795] = {.lex_state = 35},
  [9796] = {.lex_state = 35},
  [9797] = {.lex_state = 35},
  [9798] = {.lex_state = 35},
  [9799] = {.lex_state = 35},
  [9800] = {.lex_state = 35},
  [9801] = {.lex_state = 35},
  [9802] = {.lex_state = 35, .external_lex_state = 2},
  [9803] = {.lex_state = 35},
  [9804] = {.lex_state = 35},
  [9805] = {.lex_state = 35},
  [9806] = {.lex_state = 35},
  [9807] = {.lex_state = 35, .external_lex_state = 2},
  [9808] = {.lex_state = 35, .external_lex_state = 2},
  [9809] = {.lex_state = 35},
  [9810] = {.lex_state = 35},
  [9811] = {.lex_state = 35},
  [9812] = {.lex_state = 0},
  [9813] = {.lex_state = 35},
  [9814] = {.lex_state = 0},
  [9815] = {.lex_state = 35},
  [9816] = {.lex_state = 0},
  [9817] = {.lex_state = 0},
  [9818] = {.lex_state = 35, .external_lex_state = 2},
  [9819] = {.lex_state = 35},
  [9820] = {.lex_state = 35},
  [9821] = {.lex_state = 35},
  [9822] = {.lex_state = 35},
  [9823] = {.lex_state = 35},
  [9824] = {.lex_state = 35},
  [9825] = {.lex_state = 35},
  [9826] = {.lex_state = 35},
  [9827] = {.lex_state = 35},
  [9828] = {.lex_state = 35},
  [9829] = {.lex_state = 35},
  [9830] = {.lex_state = 35},
  [9831] = {.lex_state = 35, .external_lex_state = 2},
  [9832] = {.lex_state = 35},
  [9833] = {.lex_state = 35},
  [9834] = {.lex_state = 35},
  [9835] = {.lex_state = 35},
  [9836] = {.lex_state = 35},
  [9837] = {.lex_state = 35},
  [9838] = {.lex_state = 35},
  [9839] = {.lex_state = 35},
  [9840] = {.lex_state = 35},
  [9841] = {.lex_state = 35},
  [9842] = {.lex_state = 35},
  [9843] = {.lex_state = 35},
  [9844] = {.lex_state = 35},
  [9845] = {.lex_state = 35},
  [9846] = {.lex_state = 35},
  [9847] = {.lex_state = 35},
  [9848] = {.lex_state = 35},
  [9849] = {.lex_state = 35},
  [9850] = {.lex_state = 35},
  [9851] = {.lex_state = 35},
  [9852] = {.lex_state = 35},
  [9853] = {.lex_state = 35},
  [9854] = {.lex_state = 35},
  [9855] = {.lex_state = 35, .external_lex_state = 2},
  [9856] = {.lex_state = 35},
  [9857] = {.lex_state = 35},
  [9858] = {.lex_state = 35},
  [9859] = {.lex_state = 35},
  [9860] = {.lex_state = 35},
  [9861] = {.lex_state = 35},
  [9862] = {.lex_state = 35},
  [9863] = {.lex_state = 35},
  [9864] = {.lex_state = 35},
  [9865] = {.lex_state = 35},
  [9866] = {.lex_state = 35},
  [9867] = {.lex_state = 35},
  [9868] = {.lex_state = 35},
  [9869] = {.lex_state = 35},
  [9870] = {.lex_state = 35},
  [9871] = {.lex_state = 35},
  [9872] = {.lex_state = 35},
  [9873] = {.lex_state = 35},
  [9874] = {.lex_state = 35},
  [9875] = {.lex_state = 35},
  [9876] = {.lex_state = 35},
  [9877] = {.lex_state = 35},
  [9878] = {.lex_state = 35},
  [9879] = {.lex_state = 35},
  [9880] = {.lex_state = 35},
  [9881] = {.lex_state = 35},
  [9882] = {.lex_state = 35},
  [9883] = {.lex_state = 35},
  [9884] = {.lex_state = 35},
  [9885] = {.lex_state = 35},
  [9886] = {.lex_state = 35},
  [9887] = {.lex_state = 35},
  [9888] = {.lex_state = 35},
  [9889] = {.lex_state = 35},
  [9890] = {.lex_state = 35},
  [9891] = {.lex_state = 35},
  [9892] = {.lex_state = 0},
  [9893] = {.lex_state = 35},
  [9894] = {.lex_state = 35},
  [9895] = {.lex_state = 35},
  [9896] = {.lex_state = 35},
  [9897] = {.lex_state = 35},
  [9898] = {.lex_state = 35},
  [9899] = {.lex_state = 35},
  [9900] = {.lex_state = 35},
  [9901] = {.lex_state = 35},
  [9902] = {.lex_state = 35},
  [9903] = {.lex_state = 35},
  [9904] = {.lex_state = 35},
  [9905] = {.lex_state = 35},
  [9906] = {.lex_state = 35},
  [9907] = {.lex_state = 35},
  [9908] = {.lex_state = 35},
  [9909] = {.lex_state = 35},
  [9910] = {.lex_state = 35},
  [9911] = {.lex_state = 35},
  [9912] = {.lex_state = 35},
  [9913] = {.lex_state = 35},
  [9914] = {.lex_state = 35},
  [9915] = {.lex_state = 35},
  [9916] = {.lex_state = 35},
  [9917] = {.lex_state = 35},
  [9918] = {.lex_state = 35},
  [9919] = {.lex_state = 35},
  [9920] = {.lex_state = 35},
  [9921] = {.lex_state = 35},
  [9922] = {.lex_state = 35},
  [9923] = {.lex_state = 35},
  [9924] = {.lex_state = 35},
  [9925] = {.lex_state = 35},
  [9926] = {.lex_state = 35},
  [9927] = {.lex_state = 35},
  [9928] = {.lex_state = 35},
  [9929] = {.lex_state = 35},
  [9930] = {.lex_state = 35},
  [9931] = {.lex_state = 35},
  [9932] = {.lex_state = 35, .external_lex_state = 2},
  [9933] = {.lex_state = 35},
  [9934] = {.lex_state = 35},
  [9935] = {.lex_state = 35},
  [9936] = {.lex_state = 35},
  [9937] = {.lex_state = 35},
  [9938] = {.lex_state = 35},
  [9939] = {.lex_state = 35},
  [9940] = {.lex_state = 35},
  [9941] = {.lex_state = 35},
  [9942] = {.lex_state = 35},
  [9943] = {.lex_state = 35},
  [9944] = {.lex_state = 35},
  [9945] = {.lex_state = 35},
  [9946] = {.lex_state = 35},
  [9947] = {.lex_state = 35},
  [9948] = {.lex_state = 35},
  [9949] = {.lex_state = 35},
  [9950] = {.lex_state = 35},
  [9951] = {.lex_state = 35},
  [9952] = {.lex_state = 35},
  [9953] = {.lex_state = 35},
  [9954] = {.lex_state = 35},
  [9955] = {.lex_state = 35},
  [9956] = {.lex_state = 35},
  [9957] = {.lex_state = 35},
  [9958] = {.lex_state = 35},
  [9959] = {.lex_state = 35},
  [9960] = {.lex_state = 35},
  [9961] = {.lex_state = 35},
  [9962] = {.lex_state = 0},
  [9963] = {.lex_state = 35},
  [9964] = {.lex_state = 35},
  [9965] = {.lex_state = 35},
  [9966] = {.lex_state = 35},
  [9967] = {.lex_state = 35},
  [9968] = {.lex_state = 35},
  [9969] = {.lex_state = 35},
  [9970] = {.lex_state = 35},
  [9971] = {.lex_state = 35},
  [9972] = {.lex_state = 35},
  [9973] = {.lex_state = 35},
  [9974] = {.lex_state = 35},
  [9975] = {.lex_state = 35},
  [9976] = {.lex_state = 35},
  [9977] = {.lex_state = 35},
  [9978] = {.lex_state = 35},
  [9979] = {.lex_state = 35},
  [9980] = {.lex_state = 35},
  [9981] = {.lex_state = 35},
  [9982] = {.lex_state = 35},
  [9983] = {.lex_state = 35},
  [9984] = {.lex_state = 35},
  [9985] = {.lex_state = 35},
  [9986] = {.lex_state = 35},
  [9987] = {.lex_state = 35},
  [9988] = {.lex_state = 35},
  [9989] = {.lex_state = 35},
  [9990] = {.lex_state = 35},
  [9991] = {.lex_state = 35},
  [9992] = {.lex_state = 35},
  [9993] = {.lex_state = 35},
  [9994] = {.lex_state = 35},
  [9995] = {.lex_state = 35},
  [9996] = {.lex_state = 0},
  [9997] = {.lex_state = 35},
  [9998] = {.lex_state = 35},
  [9999] = {.lex_state = 35},
  [10000] = {.lex_state = 35},
  [10001] = {.lex_state = 35},
  [10002] = {.lex_state = 35},
  [10003] = {.lex_state = 35},
  [10004] = {.lex_state = 35},
  [10005] = {.lex_state = 0, .external_lex_state = 2},
  [10006] = {.lex_state = 35},
  [10007] = {.lex_state = 35},
  [10008] = {.lex_state = 35},
  [10009] = {.lex_state = 35},
  [10010] = {.lex_state = 35},
  [10011] = {.lex_state = 35},
  [10012] = {.lex_state = 35},
  [10013] = {.lex_state = 35},
  [10014] = {.lex_state = 35},
  [10015] = {.lex_state = 35},
  [10016] = {.lex_state = 35},
  [10017] = {.lex_state = 35},
  [10018] = {.lex_state = 35, .external_lex_state = 2},
  [10019] = {.lex_state = 35},
  [10020] = {.lex_state = 1},
  [10021] = {.lex_state = 35},
  [10022] = {.lex_state = 0},
  [10023] = {.lex_state = 35},
  [10024] = {.lex_state = 35},
  [10025] = {.lex_state = 35},
  [10026] = {.lex_state = 35},
  [10027] = {.lex_state = 35},
  [10028] = {.lex_state = 35},
  [10029] = {.lex_state = 35},
  [10030] = {.lex_state = 35},
  [10031] = {.lex_state = 35},
  [10032] = {.lex_state = 35},
  [10033] = {.lex_state = 35},
  [10034] = {.lex_state = 35},
  [10035] = {.lex_state = 35},
  [10036] = {.lex_state = 1},
  [10037] = {.lex_state = 35},
  [10038] = {.lex_state = 35},
  [10039] = {.lex_state = 35},
  [10040] = {.lex_state = 35},
  [10041] = {.lex_state = 35},
  [10042] = {.lex_state = 35},
  [10043] = {.lex_state = 35, .external_lex_state = 2},
  [10044] = {.lex_state = 35},
  [10045] = {.lex_state = 35},
  [10046] = {.lex_state = 35},
  [10047] = {.lex_state = 35},
  [10048] = {.lex_state = 35},
  [10049] = {.lex_state = 35},
  [10050] = {.lex_state = 35, .external_lex_state = 2},
  [10051] = {.lex_state = 35, .external_lex_state = 2},
  [10052] = {.lex_state = 35},
  [10053] = {.lex_state = 35},
  [10054] = {.lex_state = 35},
  [10055] = {.lex_state = 35},
  [10056] = {.lex_state = 35},
  [10057] = {.lex_state = 35},
  [10058] = {.lex_state = 35},
  [10059] = {.lex_state = 35},
  [10060] = {.lex_state = 35},
  [10061] = {.lex_state = 35},
  [10062] = {.lex_state = 35},
  [10063] = {.lex_state = 1},
  [10064] = {.lex_state = 35},
  [10065] = {.lex_state = 35, .external_lex_state = 2},
  [10066] = {.lex_state = 35},
  [10067] = {.lex_state = 35},
  [10068] = {.lex_state = 35},
  [10069] = {.lex_state = 35},
  [10070] = {.lex_state = 35},
  [10071] = {.lex_state = 35},
  [10072] = {.lex_state = 0},
  [10073] = {.lex_state = 0},
  [10074] = {.lex_state = 0},
  [10075] = {.lex_state = 0},
  [10076] = {.lex_state = 35},
  [10077] = {.lex_state = 35},
  [10078] = {.lex_state = 35},
  [10079] = {.lex_state = 0},
  [10080] = {.lex_state = 0},
  [10081] = {.lex_state = 35},
  [10082] = {.lex_state = 0},
  [10083] = {.lex_state = 35},
  [10084] = {.lex_state = 35},
  [10085] = {.lex_state = 35},
  [10086] = {.lex_state = 0},
  [10087] = {.lex_state = 35},
  [10088] = {.lex_state = 35},
  [10089] = {.lex_state = 35, .external_lex_state = 2},
  [10090] = {.lex_state = 35},
  [10091] = {.lex_state = 35},
  [10092] = {.lex_state = 35},
  [10093] = {.lex_state = 35},
  [10094] = {.lex_state = 35, .external_lex_state = 2},
  [10095] = {.lex_state = 35, .external_lex_state = 2},
  [10096] = {.lex_state = 35},
  [10097] = {.lex_state = 35},
  [10098] = {.lex_state = 35},
  [10099] = {.lex_state = 35},
  [10100] = {.lex_state = 35, .external_lex_state = 2},
  [10101] = {.lex_state = 35},
  [10102] = {.lex_state = 35},
  [10103] = {.lex_state = 35},
  [10104] = {.lex_state = 35},
  [10105] = {.lex_state = 0, .external_lex_state = 2},
  [10106] = {.lex_state = 35},
  [10107] = {.lex_state = 0},
  [10108] = {.lex_state = 0},
  [10109] = {.lex_state = 0},
  [10110] = {.lex_state = 0},
  [10111] = {.lex_state = 35},
  [10112] = {.lex_state = 0},
  [10113] = {.lex_state = 35},
  [10114] = {.lex_state = 35},
  [10115] = {.lex_state = 0},
  [10116] = {.lex_state = 0},
  [10117] = {.lex_state = 0},
  [10118] = {.lex_state = 35},
  [10119] = {.lex_state = 35},
  [10120] = {.lex_state = 1},
  [10121] = {.lex_state = 35},
  [10122] = {.lex_state = 35},
  [10123] = {.lex_state = 35},
  [10124] = {.lex_state = 35},
  [10125] = {.lex_state = 35},
  [10126] = {.lex_state = 35},
  [10127] = {.lex_state = 35},
  [10128] = {.lex_state = 35},
  [10129] = {.lex_state = 35},
  [10130] = {.lex_state = 35},
  [10131] = {.lex_state = 35},
  [10132] = {.lex_state = 0, .external_lex_state = 2},
  [10133] = {.lex_state = 35},
  [10134] = {.lex_state = 35},
  [10135] = {.lex_state = 35},
  [10136] = {.lex_state = 35},
  [10137] = {.lex_state = 35},
  [10138] = {.lex_state = 35},
  [10139] = {.lex_state = 35},
  [10140] = {.lex_state = 35, .external_lex_state = 2},
  [10141] = {.lex_state = 35},
  [10142] = {.lex_state = 35},
  [10143] = {.lex_state = 35},
  [10144] = {.lex_state = 35},
  [10145] = {.lex_state = 35},
  [10146] = {.lex_state = 35},
  [10147] = {.lex_state = 0, .external_lex_state = 2},
  [10148] = {.lex_state = 35},
  [10149] = {.lex_state = 1},
  [10150] = {.lex_state = 35},
  [10151] = {.lex_state = 35},
  [10152] = {.lex_state = 35},
  [10153] = {.lex_state = 35},
  [10154] = {.lex_state = 35},
  [10155] = {.lex_state = 35},
  [10156] = {.lex_state = 0},
  [10157] = {.lex_state = 35},
  [10158] = {.lex_state = 35, .external_lex_state = 2},
  [10159] = {.lex_state = 35, .external_lex_state = 2},
  [10160] = {.lex_state = 35},
  [10161] = {.lex_state = 35},
  [10162] = {.lex_state = 1},
  [10163] = {.lex_state = 0, .external_lex_state = 2},
  [10164] = {.lex_state = 0, .external_lex_state = 2},
  [10165] = {.lex_state = 35},
  [10166] = {.lex_state = 0},
  [10167] = {.lex_state = 35},
  [10168] = {.lex_state = 35},
  [10169] = {.lex_state = 35},
  [10170] = {.lex_state = 35},
  [10171] = {.lex_state = 0},
  [10172] = {.lex_state = 35},
  [10173] = {.lex_state = 35},
  [10174] = {.lex_state = 35},
  [10175] = {.lex_state = 35},
  [10176] = {.lex_state = 35},
  [10177] = {.lex_state = 35},
  [10178] = {.lex_state = 35},
  [10179] = {.lex_state = 35},
  [10180] = {.lex_state = 35},
  [10181] = {.lex_state = 35},
  [10182] = {.lex_state = 35},
  [10183] = {.lex_state = 35},
  [10184] = {.lex_state = 35},
  [10185] = {.lex_state = 35},
  [10186] = {.lex_state = 35},
  [10187] = {.lex_state = 35},
  [10188] = {.lex_state = 35},
  [10189] = {.lex_state = 35, .external_lex_state = 2},
  [10190] = {.lex_state = 35},
  [10191] = {.lex_state = 0, .external_lex_state = 2},
  [10192] = {.lex_state = 35},
  [10193] = {.lex_state = 35},
  [10194] = {.lex_state = 35},
  [10195] = {.lex_state = 35},
  [10196] = {.lex_state = 35},
  [10197] = {.lex_state = 1},
  [10198] = {.lex_state = 35},
  [10199] = {.lex_state = 35},
  [10200] = {.lex_state = 35, .external_lex_state = 2},
  [10201] = {.lex_state = 35},
  [10202] = {.lex_state = 35},
  [10203] = {.lex_state = 35},
  [10204] = {.lex_state = 35},
  [10205] = {.lex_state = 35},
  [10206] = {.lex_state = 35},
  [10207] = {.lex_state = 35},
  [10208] = {.lex_state = 35},
  [10209] = {.lex_state = 35},
  [10210] = {.lex_state = 35, .external_lex_state = 2},
  [10211] = {.lex_state = 35},
  [10212] = {.lex_state = 35},
  [10213] = {.lex_state = 35},
  [10214] = {.lex_state = 35, .external_lex_state = 2},
  [10215] = {.lex_state = 35},
  [10216] = {.lex_state = 35},
  [10217] = {.lex_state = 35},
  [10218] = {.lex_state = 35},
  [10219] = {.lex_state = 35},
  [10220] = {.lex_state = 35},
  [10221] = {.lex_state = 35},
  [10222] = {.lex_state = 35, .external_lex_state = 2},
  [10223] = {.lex_state = 35, .external_lex_state = 2},
  [10224] = {.lex_state = 35},
  [10225] = {.lex_state = 0, .external_lex_state = 2},
  [10226] = {.lex_state = 35},
  [10227] = {.lex_state = 35},
  [10228] = {.lex_state = 35},
  [10229] = {.lex_state = 35},
  [10230] = {.lex_state = 35},
  [10231] = {.lex_state = 35},
  [10232] = {.lex_state = 35},
  [10233] = {.lex_state = 35},
  [10234] = {.lex_state = 35},
  [10235] = {.lex_state = 0, .external_lex_state = 2},
  [10236] = {.lex_state = 35},
  [10237] = {.lex_state = 35},
  [10238] = {.lex_state = 35},
  [10239] = {.lex_state = 35},
  [10240] = {.lex_state = 35},
  [10241] = {.lex_state = 35},
  [10242] = {.lex_state = 35},
  [10243] = {.lex_state = 35},
  [10244] = {.lex_state = 35},
  [10245] = {.lex_state = 35},
  [10246] = {.lex_state = 35},
  [10247] = {.lex_state = 35},
  [10248] = {.lex_state = 35},
  [10249] = {.lex_state = 35},
  [10250] = {.lex_state = 35},
  [10251] = {.lex_state = 35},
  [10252] = {.lex_state = 33},
  [10253] = {.lex_state = 1},
  [10254] = {.lex_state = 35},
  [10255] = {.lex_state = 35},
  [10256] = {.lex_state = 35},
  [10257] = {.lex_state = 1},
  [10258] = {.lex_state = 35},
  [10259] = {.lex_state = 0, .external_lex_state = 2},
  [10260] = {.lex_state = 0, .external_lex_state = 2},
  [10261] = {.lex_state = 35},
  [10262] = {.lex_state = 35},
  [10263] = {.lex_state = 0},
  [10264] = {.lex_state = 35},
  [10265] = {.lex_state = 0},
  [10266] = {.lex_state = 0},
  [10267] = {.lex_state = 35},
  [10268] = {.lex_state = 35},
  [10269] = {.lex_state = 35},
  [10270] = {.lex_state = 35},
  [10271] = {.lex_state = 0},
  [10272] = {.lex_state = 35},
  [10273] = {.lex_state = 35},
  [10274] = {.lex_state = 0},
  [10275] = {.lex_state = 1},
  [10276] = {.lex_state = 35},
  [10277] = {.lex_state = 35},
  [10278] = {.lex_state = 35},
  [10279] = {.lex_state = 35},
  [10280] = {.lex_state = 35},
  [10281] = {.lex_state = 35},
  [10282] = {.lex_state = 35},
  [10283] = {.lex_state = 35, .external_lex_state = 2},
  [10284] = {.lex_state = 0},
  [10285] = {.lex_state = 35},
  [10286] = {.lex_state = 35},
  [10287] = {.lex_state = 35},
  [10288] = {.lex_state = 35},
  [10289] = {.lex_state = 35, .external_lex_state = 2},
  [10290] = {.lex_state = 35, .external_lex_state = 2},
  [10291] = {.lex_state = 35},
  [10292] = {.lex_state = 0},
  [10293] = {.lex_state = 35, .external_lex_state = 2},
  [10294] = {.lex_state = 0},
  [10295] = {.lex_state = 35},
  [10296] = {.lex_state = 0},
  [10297] = {.lex_state = 35},
  [10298] = {.lex_state = 35},
  [10299] = {.lex_state = 35},
  [10300] = {.lex_state = 35},
  [10301] = {.lex_state = 0},
  [10302] = {.lex_state = 35, .external_lex_state = 2},
  [10303] = {.lex_state = 35, .external_lex_state = 2},
  [10304] = {.lex_state = 0, .external_lex_state = 2},
  [10305] = {.lex_state = 0, .external_lex_state = 2},
  [10306] = {.lex_state = 1},
  [10307] = {.lex_state = 35},
  [10308] = {.lex_state = 35},
  [10309] = {.lex_state = 35},
  [10310] = {.lex_state = 35},
  [10311] = {.lex_state = 35},
  [10312] = {.lex_state = 35},
  [10313] = {.lex_state = 35},
  [10314] = {.lex_state = 35},
  [10315] = {.lex_state = 0, .external_lex_state = 2},
  [10316] = {.lex_state = 35},
  [10317] = {.lex_state = 35},
  [10318] = {.lex_state = 35},
  [10319] = {.lex_state = 35},
  [10320] = {.lex_state = 35, .external_lex_state = 2},
  [10321] = {.lex_state = 35},
  [10322] = {.lex_state = 0, .external_lex_state = 2},
  [10323] = {.lex_state = 0, .external_lex_state = 2},
  [10324] = {.lex_state = 35, .external_lex_state = 2},
  [10325] = {.lex_state = 35},
  [10326] = {.lex_state = 0},
  [10327] = {.lex_state = 0},
  [10328] = {.lex_state = 0, .external_lex_state = 5},
  [10329] = {.lex_state = 35},
  [10330] = {.lex_state = 35},
  [10331] = {.lex_state = 35},
  [10332] = {.lex_state = 0},
  [10333] = {.lex_state = 35},
  [10334] = {.lex_state = 0},
  [10335] = {.lex_state = 0},
  [10336] = {.lex_state = 1},
  [10337] = {.lex_state = 0},
  [10338] = {.lex_state = 0},
  [10339] = {.lex_state = 0},
  [10340] = {.lex_state = 0},
  [10341] = {.lex_state = 0},
  [10342] = {.lex_state = 35},
  [10343] = {.lex_state = 35, .external_lex_state = 2},
  [10344] = {.lex_state = 35, .external_lex_state = 2},
  [10345] = {.lex_state = 35, .external_lex_state = 2},
  [10346] = {.lex_state = 35},
  [10347] = {.lex_state = 35},
  [10348] = {.lex_state = 35},
  [10349] = {.lex_state = 35, .external_lex_state = 2},
  [10350] = {.lex_state = 35, .external_lex_state = 2},
  [10351] = {.lex_state = 0},
  [10352] = {.lex_state = 0, .external_lex_state = 5},
  [10353] = {.lex_state = 35},
  [10354] = {.lex_state = 35},
  [10355] = {.lex_state = 35},
  [10356] = {.lex_state = 35},
  [10357] = {.lex_state = 0},
  [10358] = {.lex_state = 0},
  [10359] = {.lex_state = 35},
  [10360] = {.lex_state = 35},
  [10361] = {.lex_state = 35},
  [10362] = {.lex_state = 35},
  [10363] = {.lex_state = 0, .external_lex_state = 2},
  [10364] = {.lex_state = 35},
  [10365] = {.lex_state = 0, .external_lex_state = 2},
  [10366] = {.lex_state = 35},
  [10367] = {.lex_state = 1},
  [10368] = {.lex_state = 35},
  [10369] = {.lex_state = 35},
  [10370] = {.lex_state = 35},
  [10371] = {.lex_state = 0},
  [10372] = {.lex_state = 35},
  [10373] = {.lex_state = 35, .external_lex_state = 2},
  [10374] = {.lex_state = 35},
  [10375] = {.lex_state = 0},
  [10376] = {.lex_state = 35},
  [10377] = {.lex_state = 35},
  [10378] = {.lex_state = 35},
  [10379] = {.lex_state = 35, .external_lex_state = 2},
  [10380] = {.lex_state = 35},
  [10381] = {.lex_state = 35},
  [10382] = {.lex_state = 35, .external_lex_state = 2},
  [10383] = {.lex_state = 0, .external_lex_state = 2},
  [10384] = {.lex_state = 0, .external_lex_state = 2},
  [10385] = {.lex_state = 0, .external_lex_state = 2},
  [10386] = {.lex_state = 0, .external_lex_state = 2},
  [10387] = {.lex_state = 35},
  [10388] = {.lex_state = 0},
  [10389] = {.lex_state = 35},
  [10390] = {.lex_state = 35},
  [10391] = {.lex_state = 35},
  [10392] = {.lex_state = 35},
  [10393] = {.lex_state = 35},
  [10394] = {.lex_state = 0},
  [10395] = {.lex_state = 1},
  [10396] = {.lex_state = 0},
  [10397] = {.lex_state = 35},
  [10398] = {.lex_state = 35},
  [10399] = {.lex_state = 35},
  [10400] = {.lex_state = 35},
  [10401] = {.lex_state = 35},
  [10402] = {.lex_state = 1},
  [10403] = {.lex_state = 35},
  [10404] = {.lex_state = 35},
  [10405] = {.lex_state = 35},
  [10406] = {.lex_state = 35},
  [10407] = {.lex_state = 35},
  [10408] = {.lex_state = 35},
  [10409] = {.lex_state = 35, .external_lex_state = 2},
  [10410] = {.lex_state = 35},
  [10411] = {.lex_state = 35},
  [10412] = {.lex_state = 35},
  [10413] = {.lex_state = 0},
  [10414] = {.lex_state = 35},
  [10415] = {.lex_state = 35},
  [10416] = {.lex_state = 35},
  [10417] = {.lex_state = 35},
  [10418] = {.lex_state = 35, .external_lex_state = 2},
  [10419] = {.lex_state = 35},
  [10420] = {.lex_state = 0},
  [10421] = {.lex_state = 35},
  [10422] = {.lex_state = 0},
  [10423] = {.lex_state = 35},
  [10424] = {.lex_state = 35},
  [10425] = {.lex_state = 0},
  [10426] = {.lex_state = 35},
  [10427] = {.lex_state = 35},
  [10428] = {.lex_state = 35, .external_lex_state = 2},
  [10429] = {.lex_state = 35, .external_lex_state = 2},
  [10430] = {.lex_state = 35},
  [10431] = {.lex_state = 35},
  [10432] = {.lex_state = 35},
  [10433] = {.lex_state = 35},
  [10434] = {.lex_state = 35},
  [10435] = {.lex_state = 35, .external_lex_state = 2},
  [10436] = {.lex_state = 35},
  [10437] = {.lex_state = 0},
  [10438] = {.lex_state = 35},
  [10439] = {.lex_state = 1},
  [10440] = {.lex_state = 35, .external_lex_state = 2},
  [10441] = {.lex_state = 35, .external_lex_state = 2},
  [10442] = {.lex_state = 35},
  [10443] = {.lex_state = 35},
  [10444] = {.lex_state = 35},
  [10445] = {.lex_state = 35},
  [10446] = {.lex_state = 35, .external_lex_state = 2},
  [10447] = {.lex_state = 0, .external_lex_state = 2},
  [10448] = {.lex_state = 35},
  [10449] = {.lex_state = 0, .external_lex_state = 2},
  [10450] = {.lex_state = 0, .external_lex_state = 2},
  [10451] = {.lex_state = 35, .external_lex_state = 2},
  [10452] = {.lex_state = 35, .external_lex_state = 2},
  [10453] = {.lex_state = 35},
  [10454] = {.lex_state = 1},
  [10455] = {.lex_state = 35},
  [10456] = {.lex_state = 1},
  [10457] = {.lex_state = 35},
  [10458] = {.lex_state = 35},
  [10459] = {.lex_state = 35},
  [10460] = {.lex_state = 35},
  [10461] = {.lex_state = 35},
  [10462] = {.lex_state = 1},
  [10463] = {.lex_state = 35},
  [10464] = {.lex_state = 35},
  [10465] = {.lex_state = 35},
  [10466] = {.lex_state = 35},
  [10467] = {.lex_state = 35},
  [10468] = {.lex_state = 35},
  [10469] = {.lex_state = 35},
  [10470] = {.lex_state = 35},
  [10471] = {.lex_state = 35},
  [10472] = {.lex_state = 35},
  [10473] = {.lex_state = 33},
  [10474] = {.lex_state = 35},
  [10475] = {.lex_state = 35},
  [10476] = {.lex_state = 35},
  [10477] = {.lex_state = 35},
  [10478] = {.lex_state = 0},
  [10479] = {.lex_state = 0},
  [10480] = {.lex_state = 0},
  [10481] = {.lex_state = 0},
  [10482] = {.lex_state = 0},
  [10483] = {.lex_state = 35, .external_lex_state = 2},
  [10484] = {.lex_state = 0},
  [10485] = {.lex_state = 0},
  [10486] = {.lex_state = 0, .external_lex_state = 2},
  [10487] = {.lex_state = 0},
  [10488] = {.lex_state = 0},
  [10489] = {.lex_state = 0},
  [10490] = {.lex_state = 0},
  [10491] = {.lex_state = 0},
  [10492] = {.lex_state = 35},
  [10493] = {.lex_state = 0},
  [10494] = {.lex_state = 0},
  [10495] = {.lex_state = 0},
  [10496] = {.lex_state = 0},
  [10497] = {.lex_state = 0},
  [10498] = {.lex_state = 35},
  [10499] = {.lex_state = 0},
  [10500] = {.lex_state = 0},
  [10501] = {.lex_state = 0},
  [10502] = {.lex_state = 0},
  [10503] = {.lex_state = 0},
  [10504] = {.lex_state = 35},
  [10505] = {.lex_state = 0},
  [10506] = {.lex_state = 0},
  [10507] = {.lex_state = 0},
  [10508] = {.lex_state = 35},
  [10509] = {.lex_state = 0},
  [10510] = {.lex_state = 0},
  [10511] = {.lex_state = 0},
  [10512] = {.lex_state = 35},
  [10513] = {.lex_state = 35},
  [10514] = {.lex_state = 35},
  [10515] = {.lex_state = 35},
  [10516] = {.lex_state = 0},
  [10517] = {.lex_state = 0},
  [10518] = {.lex_state = 0},
  [10519] = {.lex_state = 0},
  [10520] = {.lex_state = 35},
  [10521] = {.lex_state = 0},
  [10522] = {.lex_state = 0},
  [10523] = {.lex_state = 35},
  [10524] = {.lex_state = 35},
  [10525] = {.lex_state = 35},
  [10526] = {.lex_state = 35},
  [10527] = {.lex_state = 0},
  [10528] = {.lex_state = 0},
  [10529] = {.lex_state = 0},
  [10530] = {.lex_state = 0},
  [10531] = {.lex_state = 0},
  [10532] = {.lex_state = 0},
  [10533] = {.lex_state = 0},
  [10534] = {.lex_state = 0},
  [10535] = {.lex_state = 0},
  [10536] = {.lex_state = 0},
  [10537] = {.lex_state = 0},
  [10538] = {.lex_state = 35, .external_lex_state = 2},
  [10539] = {.lex_state = 0},
  [10540] = {.lex_state = 35},
  [10541] = {.lex_state = 0},
  [10542] = {.lex_state = 0},
  [10543] = {.lex_state = 0},
  [10544] = {.lex_state = 0},
  [10545] = {.lex_state = 0},
  [10546] = {.lex_state = 0},
  [10547] = {.lex_state = 0},
  [10548] = {.lex_state = 0},
  [10549] = {.lex_state = 0},
  [10550] = {.lex_state = 0},
  [10551] = {.lex_state = 0},
  [10552] = {.lex_state = 0},
  [10553] = {.lex_state = 0},
  [10554] = {.lex_state = 0},
  [10555] = {.lex_state = 35, .external_lex_state = 2},
  [10556] = {.lex_state = 0},
  [10557] = {.lex_state = 0},
  [10558] = {.lex_state = 0},
  [10559] = {.lex_state = 0, .external_lex_state = 2},
  [10560] = {.lex_state = 35, .external_lex_state = 2},
  [10561] = {.lex_state = 0},
  [10562] = {.lex_state = 0},
  [10563] = {.lex_state = 0},
  [10564] = {.lex_state = 35, .external_lex_state = 2},
  [10565] = {.lex_state = 35},
  [10566] = {.lex_state = 0},
  [10567] = {.lex_state = 0},
  [10568] = {.lex_state = 0},
  [10569] = {.lex_state = 0},
  [10570] = {.lex_state = 0},
  [10571] = {.lex_state = 0},
  [10572] = {.lex_state = 0},
  [10573] = {.lex_state = 35, .external_lex_state = 2},
  [10574] = {.lex_state = 0},
  [10575] = {.lex_state = 0},
  [10576] = {.lex_state = 35},
  [10577] = {.lex_state = 0},
  [10578] = {.lex_state = 0},
  [10579] = {.lex_state = 0},
  [10580] = {.lex_state = 0},
  [10581] = {.lex_state = 0},
  [10582] = {.lex_state = 0},
  [10583] = {.lex_state = 35},
  [10584] = {.lex_state = 35},
  [10585] = {.lex_state = 0},
  [10586] = {.lex_state = 0},
  [10587] = {.lex_state = 0},
  [10588] = {.lex_state = 0},
  [10589] = {.lex_state = 0},
  [10590] = {.lex_state = 0},
  [10591] = {.lex_state = 0},
  [10592] = {.lex_state = 0},
  [10593] = {.lex_state = 35},
  [10594] = {.lex_state = 35, .external_lex_state = 2},
  [10595] = {.lex_state = 35},
  [10596] = {.lex_state = 0, .external_lex_state = 2},
  [10597] = {.lex_state = 0},
  [10598] = {.lex_state = 0},
  [10599] = {.lex_state = 0},
  [10600] = {.lex_state = 35, .external_lex_state = 2},
  [10601] = {.lex_state = 0},
  [10602] = {.lex_state = 0},
  [10603] = {.lex_state = 0},
  [10604] = {.lex_state = 35},
  [10605] = {.lex_state = 0},
  [10606] = {.lex_state = 35, .external_lex_state = 2},
  [10607] = {.lex_state = 0},
  [10608] = {.lex_state = 0},
  [10609] = {.lex_state = 0},
  [10610] = {.lex_state = 0},
  [10611] = {.lex_state = 35, .external_lex_state = 2},
  [10612] = {.lex_state = 0},
  [10613] = {.lex_state = 0},
  [10614] = {.lex_state = 0},
  [10615] = {.lex_state = 35, .external_lex_state = 2},
  [10616] = {.lex_state = 0},
  [10617] = {.lex_state = 0},
  [10618] = {.lex_state = 0},
  [10619] = {.lex_state = 0},
  [10620] = {.lex_state = 35},
  [10621] = {.lex_state = 0},
  [10622] = {.lex_state = 0},
  [10623] = {.lex_state = 35},
  [10624] = {.lex_state = 0},
  [10625] = {.lex_state = 0},
  [10626] = {.lex_state = 0},
  [10627] = {.lex_state = 35},
  [10628] = {.lex_state = 35},
  [10629] = {.lex_state = 0},
  [10630] = {.lex_state = 0},
  [10631] = {.lex_state = 35, .external_lex_state = 2},
  [10632] = {.lex_state = 35},
  [10633] = {.lex_state = 35, .external_lex_state = 2},
  [10634] = {.lex_state = 0},
  [10635] = {.lex_state = 35},
  [10636] = {.lex_state = 35, .external_lex_state = 2},
  [10637] = {.lex_state = 35, .external_lex_state = 2},
  [10638] = {.lex_state = 35, .external_lex_state = 2},
  [10639] = {.lex_state = 35, .external_lex_state = 2},
  [10640] = {.lex_state = 35, .external_lex_state = 2},
  [10641] = {.lex_state = 0},
  [10642] = {.lex_state = 0},
  [10643] = {.lex_state = 35, .external_lex_state = 2},
  [10644] = {.lex_state = 0},
  [10645] = {.lex_state = 0},
  [10646] = {.lex_state = 0},
  [10647] = {.lex_state = 0},
  [10648] = {.lex_state = 0},
  [10649] = {.lex_state = 0},
  [10650] = {.lex_state = 0, .external_lex_state = 2},
  [10651] = {.lex_state = 0},
  [10652] = {.lex_state = 35},
  [10653] = {.lex_state = 0},
  [10654] = {.lex_state = 35, .external_lex_state = 2},
  [10655] = {.lex_state = 35},
  [10656] = {.lex_state = 35, .external_lex_state = 2},
  [10657] = {.lex_state = 0},
  [10658] = {.lex_state = 0},
  [10659] = {.lex_state = 35},
  [10660] = {.lex_state = 35, .external_lex_state = 2},
  [10661] = {.lex_state = 0},
  [10662] = {.lex_state = 35, .external_lex_state = 2},
  [10663] = {.lex_state = 0, .external_lex_state = 2},
  [10664] = {.lex_state = 0},
  [10665] = {.lex_state = 0},
  [10666] = {.lex_state = 0},
  [10667] = {.lex_state = 0},
  [10668] = {.lex_state = 35},
  [10669] = {.lex_state = 35, .external_lex_state = 2},
  [10670] = {.lex_state = 35, .external_lex_state = 2},
  [10671] = {.lex_state = 35, .external_lex_state = 2},
  [10672] = {.lex_state = 0},
  [10673] = {.lex_state = 0},
  [10674] = {.lex_state = 35, .external_lex_state = 2},
  [10675] = {.lex_state = 0},
  [10676] = {.lex_state = 35, .external_lex_state = 2},
  [10677] = {.lex_state = 0},
  [10678] = {.lex_state = 35, .external_lex_state = 2},
  [10679] = {.lex_state = 35},
  [10680] = {.lex_state = 0},
  [10681] = {.lex_state = 0},
  [10682] = {.lex_state = 0},
  [10683] = {.lex_state = 35, .external_lex_state = 2},
  [10684] = {.lex_state = 0},
  [10685] = {.lex_state = 35},
  [10686] = {.lex_state = 0},
  [10687] = {.lex_state = 0},
  [10688] = {.lex_state = 0},
  [10689] = {.lex_state = 35},
  [10690] = {.lex_state = 35, .external_lex_state = 2},
  [10691] = {.lex_state = 35, .external_lex_state = 2},
  [10692] = {.lex_state = 35},
  [10693] = {.lex_state = 35, .external_lex_state = 2},
  [10694] = {.lex_state = 0},
  [10695] = {.lex_state = 35, .external_lex_state = 2},
  [10696] = {.lex_state = 35},
  [10697] = {.lex_state = 0},
  [10698] = {.lex_state = 0},
  [10699] = {.lex_state = 0},
  [10700] = {.lex_state = 0},
  [10701] = {.lex_state = 0},
  [10702] = {.lex_state = 0},
  [10703] = {.lex_state = 0},
  [10704] = {.lex_state = 0},
  [10705] = {.lex_state = 35, .external_lex_state = 2},
  [10706] = {.lex_state = 0},
  [10707] = {.lex_state = 0},
  [10708] = {.lex_state = 0},
  [10709] = {.lex_state = 35},
  [10710] = {.lex_state = 0},
  [10711] = {.lex_state = 0},
  [10712] = {.lex_state = 0},
  [10713] = {.lex_state = 35, .external_lex_state = 2},
  [10714] = {.lex_state = 35, .external_lex_state = 2},
  [10715] = {.lex_state = 0},
  [10716] = {.lex_state = 35},
  [10717] = {.lex_state = 0},
  [10718] = {.lex_state = 35, .external_lex_state = 2},
  [10719] = {.lex_state = 0},
  [10720] = {.lex_state = 35},
  [10721] = {.lex_state = 35, .external_lex_state = 2},
  [10722] = {.lex_state = 35, .external_lex_state = 2},
  [10723] = {.lex_state = 0},
  [10724] = {.lex_state = 35, .external_lex_state = 2},
  [10725] = {.lex_state = 35, .external_lex_state = 2},
  [10726] = {.lex_state = 35, .external_lex_state = 2},
  [10727] = {.lex_state = 35, .external_lex_state = 2},
  [10728] = {.lex_state = 35, .external_lex_state = 2},
  [10729] = {.lex_state = 35, .external_lex_state = 2},
  [10730] = {.lex_state = 35, .external_lex_state = 2},
  [10731] = {.lex_state = 35, .external_lex_state = 2},
  [10732] = {.lex_state = 0},
  [10733] = {.lex_state = 0},
  [10734] = {.lex_state = 35, .external_lex_state = 2},
  [10735] = {.lex_state = 35, .external_lex_state = 2},
  [10736] = {.lex_state = 35, .external_lex_state = 2},
  [10737] = {.lex_state = 0},
  [10738] = {.lex_state = 35, .external_lex_state = 2},
  [10739] = {.lex_state = 35, .external_lex_state = 2},
  [10740] = {.lex_state = 35, .external_lex_state = 2},
  [10741] = {.lex_state = 35, .external_lex_state = 2},
  [10742] = {.lex_state = 35, .external_lex_state = 2},
  [10743] = {.lex_state = 35, .external_lex_state = 2},
  [10744] = {.lex_state = 0},
  [10745] = {.lex_state = 35, .external_lex_state = 2},
  [10746] = {.lex_state = 0},
  [10747] = {.lex_state = 35},
  [10748] = {.lex_state = 0},
  [10749] = {.lex_state = 0},
  [10750] = {.lex_state = 0},
  [10751] = {.lex_state = 35},
  [10752] = {.lex_state = 0},
  [10753] = {.lex_state = 0},
  [10754] = {.lex_state = 0},
  [10755] = {.lex_state = 0},
  [10756] = {.lex_state = 0},
  [10757] = {.lex_state = 35},
  [10758] = {.lex_state = 0},
  [10759] = {.lex_state = 0},
  [10760] = {.lex_state = 0},
  [10761] = {.lex_state = 0},
  [10762] = {.lex_state = 0},
  [10763] = {.lex_state = 0},
  [10764] = {.lex_state = 0},
  [10765] = {.lex_state = 35},
  [10766] = {.lex_state = 0},
  [10767] = {.lex_state = 35, .external_lex_state = 2},
  [10768] = {.lex_state = 0},
  [10769] = {.lex_state = 35},
  [10770] = {.lex_state = 35},
  [10771] = {.lex_state = 0},
  [10772] = {.lex_state = 35, .external_lex_state = 2},
  [10773] = {.lex_state = 0},
  [10774] = {.lex_state = 0},
  [10775] = {.lex_state = 35},
  [10776] = {.lex_state = 35, .external_lex_state = 2},
  [10777] = {.lex_state = 0},
  [10778] = {.lex_state = 0},
  [10779] = {.lex_state = 0},
  [10780] = {.lex_state = 0},
  [10781] = {.lex_state = 35},
  [10782] = {.lex_state = 0},
  [10783] = {.lex_state = 0},
  [10784] = {.lex_state = 0},
  [10785] = {.lex_state = 0},
  [10786] = {.lex_state = 35},
  [10787] = {.lex_state = 0},
  [10788] = {.lex_state = 0},
  [10789] = {.lex_state = 35},
  [10790] = {.lex_state = 0},
  [10791] = {.lex_state = 0},
  [10792] = {.lex_state = 35, .external_lex_state = 2},
  [10793] = {.lex_state = 0},
  [10794] = {.lex_state = 35},
  [10795] = {.lex_state = 0},
  [10796] = {.lex_state = 35, .external_lex_state = 2},
  [10797] = {.lex_state = 35},
  [10798] = {.lex_state = 35, .external_lex_state = 2},
  [10799] = {.lex_state = 35, .external_lex_state = 2},
  [10800] = {.lex_state = 35},
  [10801] = {.lex_state = 0},
  [10802] = {.lex_state = 35},
  [10803] = {.lex_state = 35, .external_lex_state = 2},
  [10804] = {.lex_state = 0},
  [10805] = {.lex_state = 0},
  [10806] = {.lex_state = 0},
  [10807] = {.lex_state = 35},
  [10808] = {.lex_state = 35},
  [10809] = {.lex_state = 35},
  [10810] = {.lex_state = 0},
  [10811] = {.lex_state = 0},
  [10812] = {.lex_state = 35},
  [10813] = {.lex_state = 35},
  [10814] = {.lex_state = 0},
  [10815] = {.lex_state = 35},
  [10816] = {.lex_state = 35},
  [10817] = {.lex_state = 35},
  [10818] = {.lex_state = 0},
  [10819] = {.lex_state = 0},
  [10820] = {.lex_state = 0},
  [10821] = {.lex_state = 0},
  [10822] = {.lex_state = 0},
  [10823] = {.lex_state = 0},
  [10824] = {.lex_state = 0},
  [10825] = {.lex_state = 0},
  [10826] = {.lex_state = 0},
  [10827] = {.lex_state = 35, .external_lex_state = 2},
  [10828] = {.lex_state = 35},
  [10829] = {.lex_state = 0},
  [10830] = {.lex_state = 0},
  [10831] = {.lex_state = 35},
  [10832] = {.lex_state = 0},
  [10833] = {.lex_state = 0},
  [10834] = {.lex_state = 0},
  [10835] = {.lex_state = 0},
  [10836] = {.lex_state = 0},
  [10837] = {.lex_state = 0},
  [10838] = {.lex_state = 0},
  [10839] = {.lex_state = 0},
  [10840] = {.lex_state = 0},
  [10841] = {.lex_state = 0},
  [10842] = {.lex_state = 35},
  [10843] = {.lex_state = 35},
  [10844] = {.lex_state = 35},
  [10845] = {.lex_state = 0},
  [10846] = {.lex_state = 35},
  [10847] = {.lex_state = 35},
  [10848] = {.lex_state = 35},
  [10849] = {.lex_state = 0},
  [10850] = {.lex_state = 35},
  [10851] = {.lex_state = 0},
  [10852] = {.lex_state = 0},
  [10853] = {.lex_state = 0},
  [10854] = {.lex_state = 0},
  [10855] = {.lex_state = 0},
  [10856] = {.lex_state = 0},
  [10857] = {.lex_state = 0},
  [10858] = {.lex_state = 35},
  [10859] = {.lex_state = 0},
  [10860] = {.lex_state = 0},
  [10861] = {.lex_state = 0},
  [10862] = {.lex_state = 35},
  [10863] = {.lex_state = 0},
  [10864] = {.lex_state = 0},
  [10865] = {.lex_state = 0},
  [10866] = {.lex_state = 35, .external_lex_state = 2},
  [10867] = {.lex_state = 0},
  [10868] = {.lex_state = 35, .external_lex_state = 2},
  [10869] = {.lex_state = 35, .external_lex_state = 2},
  [10870] = {.lex_state = 0},
  [10871] = {.lex_state = 0},
  [10872] = {.lex_state = 0},
  [10873] = {.lex_state = 0},
  [10874] = {.lex_state = 0},
  [10875] = {.lex_state = 35, .external_lex_state = 2},
  [10876] = {.lex_state = 35, .external_lex_state = 2},
  [10877] = {.lex_state = 0},
  [10878] = {.lex_state = 0},
  [10879] = {.lex_state = 0},
  [10880] = {.lex_state = 0},
  [10881] = {.lex_state = 35, .external_lex_state = 2},
  [10882] = {.lex_state = 0},
  [10883] = {.lex_state = 35},
  [10884] = {.lex_state = 0},
  [10885] = {.lex_state = 0},
  [10886] = {.lex_state = 35},
  [10887] = {.lex_state = 0},
  [10888] = {.lex_state = 0},
  [10889] = {.lex_state = 0},
  [10890] = {.lex_state = 35},
  [10891] = {.lex_state = 0},
  [10892] = {.lex_state = 35},
  [10893] = {.lex_state = 35},
  [10894] = {.lex_state = 35},
  [10895] = {.lex_state = 35},
  [10896] = {.lex_state = 0},
  [10897] = {.lex_state = 35},
  [10898] = {.lex_state = 0},
  [10899] = {.lex_state = 35, .external_lex_state = 2},
  [10900] = {.lex_state = 0},
  [10901] = {.lex_state = 0},
  [10902] = {.lex_state = 35},
  [10903] = {.lex_state = 0},
  [10904] = {.lex_state = 0},
  [10905] = {.lex_state = 35, .external_lex_state = 2},
  [10906] = {.lex_state = 0},
  [10907] = {.lex_state = 0, .external_lex_state = 2},
  [10908] = {.lex_state = 35},
  [10909] = {.lex_state = 35},
  [10910] = {.lex_state = 0, .external_lex_state = 2},
  [10911] = {.lex_state = 0},
  [10912] = {.lex_state = 0},
  [10913] = {.lex_state = 35, .external_lex_state = 2},
  [10914] = {.lex_state = 0},
  [10915] = {.lex_state = 0},
  [10916] = {.lex_state = 35, .external_lex_state = 2},
  [10917] = {.lex_state = 0},
  [10918] = {.lex_state = 0},
  [10919] = {.lex_state = 35},
  [10920] = {.lex_state = 35},
  [10921] = {.lex_state = 35, .external_lex_state = 2},
  [10922] = {.lex_state = 35},
  [10923] = {.lex_state = 0},
  [10924] = {.lex_state = 0},
  [10925] = {.lex_state = 0},
  [10926] = {.lex_state = 0},
  [10927] = {.lex_state = 0},
  [10928] = {.lex_state = 0},
  [10929] = {.lex_state = 35, .external_lex_state = 2},
  [10930] = {.lex_state = 35, .external_lex_state = 2},
  [10931] = {.lex_state = 0},
  [10932] = {.lex_state = 0},
  [10933] = {.lex_state = 35},
  [10934] = {.lex_state = 0},
  [10935] = {.lex_state = 35},
  [10936] = {.lex_state = 0},
  [10937] = {.lex_state = 0},
  [10938] = {.lex_state = 0},
  [10939] = {.lex_state = 0},
  [10940] = {.lex_state = 0},
  [10941] = {.lex_state = 0},
  [10942] = {.lex_state = 35, .external_lex_state = 2},
  [10943] = {.lex_state = 0},
  [10944] = {.lex_state = 0},
  [10945] = {.lex_state = 35},
  [10946] = {.lex_state = 0},
  [10947] = {.lex_state = 35},
  [10948] = {.lex_state = 35},
  [10949] = {.lex_state = 0},
  [10950] = {.lex_state = 35},
  [10951] = {.lex_state = 0},
  [10952] = {.lex_state = 0},
  [10953] = {.lex_state = 35},
  [10954] = {.lex_state = 0, .external_lex_state = 2},
  [10955] = {.lex_state = 35},
  [10956] = {.lex_state = 0},
  [10957] = {.lex_state = 0},
  [10958] = {.lex_state = 0},
  [10959] = {.lex_state = 0},
  [10960] = {.lex_state = 0},
  [10961] = {.lex_state = 0, .external_lex_state = 2},
  [10962] = {.lex_state = 0, .external_lex_state = 2},
  [10963] = {.lex_state = 0},
  [10964] = {.lex_state = 35},
  [10965] = {.lex_state = 35},
  [10966] = {.lex_state = 0, .external_lex_state = 2},
  [10967] = {.lex_state = 35},
  [10968] = {.lex_state = 0},
  [10969] = {.lex_state = 0},
  [10970] = {.lex_state = 0},
  [10971] = {.lex_state = 35},
  [10972] = {.lex_state = 0},
  [10973] = {.lex_state = 0},
  [10974] = {.lex_state = 35},
  [10975] = {.lex_state = 0},
  [10976] = {.lex_state = 35},
  [10977] = {.lex_state = 0},
  [10978] = {.lex_state = 0},
  [10979] = {.lex_state = 0},
  [10980] = {.lex_state = 35},
  [10981] = {.lex_state = 0},
  [10982] = {.lex_state = 0},
  [10983] = {.lex_state = 0},
  [10984] = {.lex_state = 0},
  [10985] = {.lex_state = 35, .external_lex_state = 2},
  [10986] = {.lex_state = 35, .external_lex_state = 2},
  [10987] = {.lex_state = 0},
  [10988] = {.lex_state = 0},
  [10989] = {.lex_state = 0},
  [10990] = {.lex_state = 0},
  [10991] = {.lex_state = 0},
  [10992] = {.lex_state = 0},
  [10993] = {.lex_state = 0},
  [10994] = {.lex_state = 0},
  [10995] = {.lex_state = 0},
  [10996] = {.lex_state = 0},
  [10997] = {.lex_state = 35, .external_lex_state = 2},
  [10998] = {.lex_state = 35, .external_lex_state = 2},
  [10999] = {.lex_state = 35, .external_lex_state = 2},
  [11000] = {.lex_state = 35},
  [11001] = {.lex_state = 0},
  [11002] = {.lex_state = 0},
  [11003] = {.lex_state = 35},
  [11004] = {.lex_state = 0},
  [11005] = {.lex_state = 35},
  [11006] = {.lex_state = 0},
  [11007] = {.lex_state = 0},
  [11008] = {.lex_state = 0},
  [11009] = {.lex_state = 35, .external_lex_state = 2},
  [11010] = {.lex_state = 0},
  [11011] = {.lex_state = 35},
  [11012] = {.lex_state = 0},
  [11013] = {.lex_state = 0},
  [11014] = {.lex_state = 0},
  [11015] = {.lex_state = 35},
  [11016] = {.lex_state = 0},
  [11017] = {.lex_state = 0},
  [11018] = {.lex_state = 35, .external_lex_state = 2},
  [11019] = {.lex_state = 35},
  [11020] = {.lex_state = 0},
  [11021] = {.lex_state = 35},
  [11022] = {.lex_state = 0},
  [11023] = {.lex_state = 0},
  [11024] = {.lex_state = 35},
  [11025] = {.lex_state = 0},
  [11026] = {.lex_state = 35},
  [11027] = {.lex_state = 0},
  [11028] = {.lex_state = 35},
  [11029] = {.lex_state = 35, .external_lex_state = 2},
  [11030] = {.lex_state = 0},
  [11031] = {.lex_state = 35, .external_lex_state = 2},
  [11032] = {.lex_state = 35, .external_lex_state = 2},
  [11033] = {.lex_state = 35, .external_lex_state = 2},
  [11034] = {.lex_state = 35, .external_lex_state = 2},
  [11035] = {.lex_state = 0},
  [11036] = {.lex_state = 0},
  [11037] = {.lex_state = 35, .external_lex_state = 2},
  [11038] = {.lex_state = 35},
  [11039] = {.lex_state = 35},
  [11040] = {.lex_state = 35, .external_lex_state = 2},
  [11041] = {.lex_state = 35, .external_lex_state = 2},
  [11042] = {.lex_state = 35, .external_lex_state = 2},
  [11043] = {.lex_state = 35},
  [11044] = {.lex_state = 35},
  [11045] = {.lex_state = 0},
  [11046] = {.lex_state = 0},
  [11047] = {.lex_state = 35},
  [11048] = {.lex_state = 35},
  [11049] = {.lex_state = 35, .external_lex_state = 2},
  [11050] = {.lex_state = 35},
  [11051] = {.lex_state = 35},
  [11052] = {.lex_state = 0},
  [11053] = {.lex_state = 0},
  [11054] = {.lex_state = 35},
  [11055] = {.lex_state = 35, .external_lex_state = 2},
  [11056] = {.lex_state = 35, .external_lex_state = 2},
  [11057] = {.lex_state = 35},
  [11058] = {.lex_state = 0},
  [11059] = {.lex_state = 35, .external_lex_state = 2},
  [11060] = {.lex_state = 0},
  [11061] = {.lex_state = 35},
  [11062] = {.lex_state = 35},
  [11063] = {.lex_state = 0},
  [11064] = {.lex_state = 0},
  [11065] = {.lex_state = 0, .external_lex_state = 2},
  [11066] = {.lex_state = 0},
  [11067] = {.lex_state = 35, .external_lex_state = 2},
  [11068] = {.lex_state = 0},
  [11069] = {.lex_state = 35, .external_lex_state = 2},
  [11070] = {.lex_state = 0},
  [11071] = {.lex_state = 35, .external_lex_state = 2},
  [11072] = {.lex_state = 0},
  [11073] = {.lex_state = 35, .external_lex_state = 2},
  [11074] = {.lex_state = 35},
  [11075] = {.lex_state = 35},
  [11076] = {.lex_state = 35},
  [11077] = {.lex_state = 0},
  [11078] = {.lex_state = 35},
  [11079] = {.lex_state = 0},
  [11080] = {.lex_state = 35, .external_lex_state = 2},
  [11081] = {.lex_state = 0},
  [11082] = {.lex_state = 0},
  [11083] = {.lex_state = 0},
  [11084] = {.lex_state = 35},
  [11085] = {.lex_state = 0},
  [11086] = {.lex_state = 35, .external_lex_state = 2},
  [11087] = {.lex_state = 0, .external_lex_state = 2},
  [11088] = {.lex_state = 0},
  [11089] = {.lex_state = 0},
  [11090] = {.lex_state = 0, .external_lex_state = 2},
  [11091] = {.lex_state = 0},
  [11092] = {.lex_state = 0},
  [11093] = {.lex_state = 0},
  [11094] = {.lex_state = 0, .external_lex_state = 2},
  [11095] = {.lex_state = 35},
  [11096] = {.lex_state = 35, .external_lex_state = 2},
  [11097] = {.lex_state = 35},
  [11098] = {.lex_state = 0},
  [11099] = {.lex_state = 0},
  [11100] = {.lex_state = 0, .external_lex_state = 2},
  [11101] = {.lex_state = 35},
  [11102] = {.lex_state = 35},
  [11103] = {.lex_state = 0, .external_lex_state = 2},
  [11104] = {.lex_state = 0, .external_lex_state = 2},
  [11105] = {.lex_state = 0, .external_lex_state = 2},
  [11106] = {.lex_state = 0, .external_lex_state = 2},
  [11107] = {.lex_state = 0, .external_lex_state = 2},
  [11108] = {.lex_state = 35},
  [11109] = {.lex_state = 0, .external_lex_state = 2},
  [11110] = {.lex_state = 0, .external_lex_state = 2},
  [11111] = {.lex_state = 35},
  [11112] = {.lex_state = 35},
  [11113] = {.lex_state = 0},
  [11114] = {.lex_state = 0, .external_lex_state = 2},
  [11115] = {.lex_state = 0},
  [11116] = {.lex_state = 35},
  [11117] = {.lex_state = 35},
  [11118] = {.lex_state = 35},
  [11119] = {.lex_state = 0},
  [11120] = {.lex_state = 0},
  [11121] = {.lex_state = 35},
  [11122] = {.lex_state = 35},
  [11123] = {.lex_state = 0},
  [11124] = {.lex_state = 0},
  [11125] = {.lex_state = 35, .external_lex_state = 2},
  [11126] = {.lex_state = 35},
  [11127] = {.lex_state = 0},
  [11128] = {.lex_state = 0},
  [11129] = {.lex_state = 0},
  [11130] = {.lex_state = 0},
  [11131] = {.lex_state = 0},
  [11132] = {.lex_state = 0},
  [11133] = {.lex_state = 0},
  [11134] = {.lex_state = 0},
  [11135] = {.lex_state = 0},
  [11136] = {.lex_state = 0},
  [11137] = {.lex_state = 0},
  [11138] = {.lex_state = 0},
  [11139] = {.lex_state = 0},
  [11140] = {.lex_state = 0},
  [11141] = {.lex_state = 35, .external_lex_state = 2},
  [11142] = {.lex_state = 35, .external_lex_state = 2},
  [11143] = {.lex_state = 35},
  [11144] = {.lex_state = 0},
  [11145] = {.lex_state = 0},
  [11146] = {.lex_state = 35},
  [11147] = {.lex_state = 0},
  [11148] = {.lex_state = 0},
  [11149] = {.lex_state = 35},
  [11150] = {.lex_state = 0},
  [11151] = {.lex_state = 35},
  [11152] = {.lex_state = 0},
  [11153] = {.lex_state = 0},
  [11154] = {.lex_state = 35},
  [11155] = {.lex_state = 0},
  [11156] = {.lex_state = 0},
  [11157] = {.lex_state = 0},
  [11158] = {.lex_state = 0},
  [11159] = {.lex_state = 35},
  [11160] = {.lex_state = 0},
  [11161] = {.lex_state = 0},
  [11162] = {.lex_state = 35, .external_lex_state = 2},
  [11163] = {.lex_state = 35, .external_lex_state = 2},
  [11164] = {.lex_state = 35, .external_lex_state = 2},
  [11165] = {.lex_state = 0},
  [11166] = {.lex_state = 35, .external_lex_state = 2},
  [11167] = {.lex_state = 35, .external_lex_state = 2},
  [11168] = {.lex_state = 35, .external_lex_state = 2},
  [11169] = {.lex_state = 0},
  [11170] = {.lex_state = 35, .external_lex_state = 2},
  [11171] = {.lex_state = 35, .external_lex_state = 2},
  [11172] = {.lex_state = 0},
  [11173] = {.lex_state = 0},
  [11174] = {.lex_state = 35},
  [11175] = {.lex_state = 0},
  [11176] = {.lex_state = 0},
  [11177] = {.lex_state = 35, .external_lex_state = 2},
  [11178] = {.lex_state = 0},
  [11179] = {.lex_state = 0},
  [11180] = {.lex_state = 35},
  [11181] = {.lex_state = 0},
  [11182] = {.lex_state = 35, .external_lex_state = 2},
  [11183] = {.lex_state = 0},
  [11184] = {.lex_state = 35, .external_lex_state = 2},
  [11185] = {.lex_state = 35, .external_lex_state = 2},
  [11186] = {.lex_state = 35, .external_lex_state = 2},
  [11187] = {.lex_state = 35},
  [11188] = {.lex_state = 0},
  [11189] = {.lex_state = 35, .external_lex_state = 2},
  [11190] = {.lex_state = 35, .external_lex_state = 2},
  [11191] = {.lex_state = 35, .external_lex_state = 2},
  [11192] = {.lex_state = 0},
  [11193] = {.lex_state = 35},
  [11194] = {.lex_state = 35, .external_lex_state = 2},
  [11195] = {.lex_state = 35, .external_lex_state = 2},
  [11196] = {.lex_state = 35, .external_lex_state = 2},
  [11197] = {.lex_state = 35, .external_lex_state = 2},
  [11198] = {.lex_state = 0},
  [11199] = {.lex_state = 0, .external_lex_state = 2},
  [11200] = {.lex_state = 35, .external_lex_state = 2},
  [11201] = {.lex_state = 35},
  [11202] = {.lex_state = 0},
  [11203] = {.lex_state = 35},
  [11204] = {.lex_state = 35, .external_lex_state = 2},
  [11205] = {.lex_state = 35, .external_lex_state = 2},
  [11206] = {.lex_state = 0},
  [11207] = {.lex_state = 35},
  [11208] = {.lex_state = 35, .external_lex_state = 2},
  [11209] = {.lex_state = 35, .external_lex_state = 2},
  [11210] = {.lex_state = 0},
  [11211] = {.lex_state = 0},
  [11212] = {.lex_state = 35},
  [11213] = {.lex_state = 0},
  [11214] = {.lex_state = 0},
  [11215] = {.lex_state = 35},
  [11216] = {.lex_state = 0},
  [11217] = {.lex_state = 35},
  [11218] = {.lex_state = 0},
  [11219] = {.lex_state = 35},
  [11220] = {.lex_state = 35},
  [11221] = {.lex_state = 0},
  [11222] = {.lex_state = 0},
  [11223] = {.lex_state = 0},
  [11224] = {.lex_state = 35},
  [11225] = {.lex_state = 0},
  [11226] = {.lex_state = 35},
  [11227] = {.lex_state = 0},
  [11228] = {.lex_state = 0},
  [11229] = {.lex_state = 0},
  [11230] = {.lex_state = 35},
  [11231] = {.lex_state = 0},
  [11232] = {.lex_state = 35},
  [11233] = {.lex_state = 0, .external_lex_state = 2},
  [11234] = {.lex_state = 0, .external_lex_state = 2},
  [11235] = {.lex_state = 0},
  [11236] = {.lex_state = 0, .external_lex_state = 2},
  [11237] = {.lex_state = 0},
  [11238] = {.lex_state = 0},
  [11239] = {.lex_state = 0},
  [11240] = {.lex_state = 0},
  [11241] = {.lex_state = 35, .external_lex_state = 2},
  [11242] = {.lex_state = 0, .external_lex_state = 2},
  [11243] = {.lex_state = 0, .external_lex_state = 2},
  [11244] = {.lex_state = 35},
  [11245] = {.lex_state = 35},
  [11246] = {.lex_state = 0, .external_lex_state = 2},
  [11247] = {.lex_state = 0},
  [11248] = {.lex_state = 0, .external_lex_state = 2},
  [11249] = {.lex_state = 0, .external_lex_state = 2},
  [11250] = {.lex_state = 0},
  [11251] = {.lex_state = 0},
  [11252] = {.lex_state = 0},
  [11253] = {.lex_state = 0, .external_lex_state = 2},
  [11254] = {.lex_state = 35},
  [11255] = {.lex_state = 0, .external_lex_state = 2},
  [11256] = {.lex_state = 35},
  [11257] = {.lex_state = 35},
  [11258] = {.lex_state = 0},
  [11259] = {.lex_state = 0},
  [11260] = {.lex_state = 0},
  [11261] = {.lex_state = 0},
  [11262] = {.lex_state = 0},
  [11263] = {.lex_state = 35},
  [11264] = {.lex_state = 0},
  [11265] = {.lex_state = 35, .external_lex_state = 2},
  [11266] = {.lex_state = 35},
  [11267] = {.lex_state = 35},
  [11268] = {.lex_state = 0},
  [11269] = {.lex_state = 0},
  [11270] = {.lex_state = 35, .external_lex_state = 2},
  [11271] = {.lex_state = 0},
  [11272] = {.lex_state = 0},
  [11273] = {.lex_state = 0},
  [11274] = {.lex_state = 0, .external_lex_state = 2},
  [11275] = {.lex_state = 0, .external_lex_state = 2},
  [11276] = {.lex_state = 0},
  [11277] = {.lex_state = 0},
  [11278] = {.lex_state = 35},
  [11279] = {.lex_state = 0},
  [11280] = {.lex_state = 0},
  [11281] = {.lex_state = 0},
  [11282] = {.lex_state = 0},
  [11283] = {.lex_state = 35, .external_lex_state = 2},
  [11284] = {.lex_state = 0},
  [11285] = {.lex_state = 0},
  [11286] = {.lex_state = 0},
  [11287] = {.lex_state = 35, .external_lex_state = 2},
  [11288] = {.lex_state = 0},
  [11289] = {.lex_state = 35, .external_lex_state = 2},
  [11290] = {.lex_state = 0},
  [11291] = {.lex_state = 0},
  [11292] = {.lex_state = 0},
  [11293] = {.lex_state = 0},
  [11294] = {.lex_state = 35},
  [11295] = {.lex_state = 0},
  [11296] = {.lex_state = 0},
  [11297] = {.lex_state = 0},
  [11298] = {.lex_state = 0},
  [11299] = {.lex_state = 0},
  [11300] = {.lex_state = 0},
  [11301] = {.lex_state = 0},
  [11302] = {.lex_state = 35, .external_lex_state = 2},
  [11303] = {.lex_state = 0},
  [11304] = {.lex_state = 0},
  [11305] = {.lex_state = 35},
  [11306] = {.lex_state = 0},
  [11307] = {.lex_state = 0},
  [11308] = {.lex_state = 35},
  [11309] = {.lex_state = 0},
  [11310] = {.lex_state = 0},
  [11311] = {.lex_state = 0},
  [11312] = {.lex_state = 35, .external_lex_state = 2},
  [11313] = {.lex_state = 35, .external_lex_state = 2},
  [11314] = {.lex_state = 35, .external_lex_state = 2},
  [11315] = {.lex_state = 0},
  [11316] = {.lex_state = 0},
  [11317] = {.lex_state = 35, .external_lex_state = 2},
  [11318] = {.lex_state = 0},
  [11319] = {.lex_state = 35, .external_lex_state = 2},
  [11320] = {.lex_state = 35, .external_lex_state = 2},
  [11321] = {.lex_state = 0},
  [11322] = {.lex_state = 35, .external_lex_state = 2},
  [11323] = {.lex_state = 35},
  [11324] = {.lex_state = 35},
  [11325] = {.lex_state = 0},
  [11326] = {.lex_state = 35},
  [11327] = {.lex_state = 35},
  [11328] = {.lex_state = 35},
  [11329] = {.lex_state = 0},
  [11330] = {.lex_state = 0},
  [11331] = {.lex_state = 0, .external_lex_state = 2},
  [11332] = {.lex_state = 35},
  [11333] = {.lex_state = 35, .external_lex_state = 2},
  [11334] = {.lex_state = 35},
  [11335] = {.lex_state = 35},
  [11336] = {.lex_state = 0},
  [11337] = {.lex_state = 0},
  [11338] = {.lex_state = 0},
  [11339] = {.lex_state = 35, .external_lex_state = 2},
  [11340] = {.lex_state = 0},
  [11341] = {.lex_state = 35, .external_lex_state = 2},
  [11342] = {.lex_state = 35},
  [11343] = {.lex_state = 35},
  [11344] = {.lex_state = 35},
  [11345] = {.lex_state = 0},
  [11346] = {.lex_state = 35, .external_lex_state = 2},
  [11347] = {.lex_state = 0},
  [11348] = {.lex_state = 0},
  [11349] = {.lex_state = 35},
  [11350] = {.lex_state = 0},
  [11351] = {.lex_state = 35, .external_lex_state = 2},
  [11352] = {.lex_state = 35, .external_lex_state = 2},
  [11353] = {.lex_state = 0},
  [11354] = {.lex_state = 0},
  [11355] = {.lex_state = 0},
  [11356] = {.lex_state = 35},
  [11357] = {.lex_state = 0},
  [11358] = {.lex_state = 35, .external_lex_state = 2},
  [11359] = {.lex_state = 0},
  [11360] = {.lex_state = 35, .external_lex_state = 2},
  [11361] = {.lex_state = 0},
  [11362] = {.lex_state = 0},
  [11363] = {.lex_state = 0},
  [11364] = {.lex_state = 35},
  [11365] = {.lex_state = 35, .external_lex_state = 2},
  [11366] = {.lex_state = 0},
  [11367] = {.lex_state = 35, .external_lex_state = 2},
  [11368] = {.lex_state = 0},
  [11369] = {.lex_state = 0},
  [11370] = {.lex_state = 35},
  [11371] = {.lex_state = 0},
  [11372] = {.lex_state = 0},
  [11373] = {.lex_state = 35, .external_lex_state = 2},
  [11374] = {.lex_state = 35},
  [11375] = {.lex_state = 35, .external_lex_state = 2},
  [11376] = {.lex_state = 0},
  [11377] = {.lex_state = 0},
  [11378] = {.lex_state = 0},
  [11379] = {.lex_state = 35, .external_lex_state = 2},
  [11380] = {.lex_state = 0},
  [11381] = {.lex_state = 0},
  [11382] = {.lex_state = 35, .external_lex_state = 2},
  [11383] = {.lex_state = 0},
  [11384] = {.lex_state = 35},
  [11385] = {.lex_state = 0},
  [11386] = {.lex_state = 0},
  [11387] = {.lex_state = 35},
  [11388] = {.lex_state = 35, .external_lex_state = 2},
  [11389] = {.lex_state = 35, .external_lex_state = 2},
  [11390] = {.lex_state = 35, .external_lex_state = 2},
  [11391] = {.lex_state = 0},
  [11392] = {.lex_state = 35, .external_lex_state = 2},
  [11393] = {.lex_state = 0},
  [11394] = {.lex_state = 0},
  [11395] = {.lex_state = 0},
  [11396] = {.lex_state = 35, .external_lex_state = 2},
  [11397] = {.lex_state = 0},
  [11398] = {.lex_state = 0},
  [11399] = {.lex_state = 0},
  [11400] = {.lex_state = 0},
  [11401] = {.lex_state = 35, .external_lex_state = 2},
  [11402] = {.lex_state = 0},
  [11403] = {.lex_state = 0},
  [11404] = {.lex_state = 0},
  [11405] = {.lex_state = 35},
  [11406] = {.lex_state = 0},
  [11407] = {.lex_state = 0},
  [11408] = {.lex_state = 0},
  [11409] = {.lex_state = 0},
  [11410] = {.lex_state = 0},
  [11411] = {.lex_state = 35},
  [11412] = {.lex_state = 0, .external_lex_state = 2},
  [11413] = {.lex_state = 0, .external_lex_state = 2},
  [11414] = {.lex_state = 0, .external_lex_state = 2},
  [11415] = {.lex_state = 0},
  [11416] = {.lex_state = 0, .external_lex_state = 2},
  [11417] = {.lex_state = 0, .external_lex_state = 2},
  [11418] = {.lex_state = 0, .external_lex_state = 2},
  [11419] = {.lex_state = 0, .external_lex_state = 2},
  [11420] = {.lex_state = 0, .external_lex_state = 2},
  [11421] = {.lex_state = 0, .external_lex_state = 2},
  [11422] = {.lex_state = 0},
  [11423] = {.lex_state = 0},
  [11424] = {.lex_state = 0, .external_lex_state = 2},
  [11425] = {.lex_state = 0, .external_lex_state = 2},
  [11426] = {.lex_state = 0},
  [11427] = {.lex_state = 35},
  [11428] = {.lex_state = 0},
  [11429] = {.lex_state = 35},
  [11430] = {.lex_state = 0},
  [11431] = {.lex_state = 35},
  [11432] = {.lex_state = 35},
  [11433] = {.lex_state = 0},
  [11434] = {.lex_state = 35},
  [11435] = {.lex_state = 35},
  [11436] = {.lex_state = 0},
  [11437] = {.lex_state = 35, .external_lex_state = 2},
  [11438] = {.lex_state = 35, .external_lex_state = 2},
  [11439] = {.lex_state = 0},
  [11440] = {.lex_state = 0},
  [11441] = {.lex_state = 0},
  [11442] = {.lex_state = 0},
  [11443] = {.lex_state = 35},
  [11444] = {.lex_state = 0},
  [11445] = {.lex_state = 0},
  [11446] = {.lex_state = 0},
  [11447] = {.lex_state = 35},
  [11448] = {.lex_state = 0},
  [11449] = {.lex_state = 0},
  [11450] = {.lex_state = 0},
  [11451] = {.lex_state = 0, .external_lex_state = 2},
  [11452] = {.lex_state = 0},
  [11453] = {.lex_state = 35},
  [11454] = {.lex_state = 0},
  [11455] = {.lex_state = 0},
  [11456] = {.lex_state = 0},
  [11457] = {.lex_state = 0},
  [11458] = {.lex_state = 0},
  [11459] = {.lex_state = 35},
  [11460] = {.lex_state = 35},
  [11461] = {.lex_state = 35},
  [11462] = {.lex_state = 35},
  [11463] = {.lex_state = 35},
  [11464] = {.lex_state = 35},
  [11465] = {.lex_state = 35},
  [11466] = {.lex_state = 35},
  [11467] = {.lex_state = 35},
  [11468] = {.lex_state = 35},
  [11469] = {.lex_state = 35},
  [11470] = {.lex_state = 35},
  [11471] = {.lex_state = 35},
  [11472] = {.lex_state = 35},
  [11473] = {.lex_state = 35},
  [11474] = {.lex_state = 35},
  [11475] = {.lex_state = 35},
  [11476] = {.lex_state = 35},
  [11477] = {.lex_state = 0},
  [11478] = {.lex_state = 35, .external_lex_state = 2},
  [11479] = {.lex_state = 0},
  [11480] = {.lex_state = 0},
  [11481] = {.lex_state = 0},
  [11482] = {.lex_state = 0},
  [11483] = {.lex_state = 0},
  [11484] = {.lex_state = 0},
  [11485] = {.lex_state = 35},
  [11486] = {.lex_state = 35},
  [11487] = {.lex_state = 0},
  [11488] = {.lex_state = 35},
  [11489] = {.lex_state = 35},
  [11490] = {.lex_state = 35},
  [11491] = {.lex_state = 35},
  [11492] = {.lex_state = 35},
  [11493] = {.lex_state = 35},
  [11494] = {.lex_state = 35},
  [11495] = {.lex_state = 35},
  [11496] = {.lex_state = 35, .external_lex_state = 2},
  [11497] = {.lex_state = 0},
  [11498] = {.lex_state = 0},
  [11499] = {.lex_state = 35},
  [11500] = {.lex_state = 0},
  [11501] = {.lex_state = 0},
  [11502] = {.lex_state = 0},
  [11503] = {.lex_state = 0, .external_lex_state = 2},
  [11504] = {.lex_state = 35},
  [11505] = {.lex_state = 35},
  [11506] = {.lex_state = 0},
  [11507] = {.lex_state = 0},
  [11508] = {.lex_state = 0},
  [11509] = {.lex_state = 0},
  [11510] = {.lex_state = 0},
  [11511] = {.lex_state = 0},
  [11512] = {.lex_state = 0},
  [11513] = {.lex_state = 0},
  [11514] = {.lex_state = 0},
  [11515] = {.lex_state = 0},
  [11516] = {.lex_state = 35},
  [11517] = {.lex_state = 35},
  [11518] = {.lex_state = 35},
  [11519] = {.lex_state = 1},
  [11520] = {.lex_state = 0},
  [11521] = {.lex_state = 0},
  [11522] = {.lex_state = 0},
  [11523] = {.lex_state = 0},
  [11524] = {.lex_state = 0},
  [11525] = {.lex_state = 0, .external_lex_state = 2},
  [11526] = {.lex_state = 0},
  [11527] = {.lex_state = 0, .external_lex_state = 2},
  [11528] = {.lex_state = 1},
  [11529] = {.lex_state = 0},
  [11530] = {.lex_state = 0, .external_lex_state = 2},
  [11531] = {.lex_state = 0},
  [11532] = {.lex_state = 0},
  [11533] = {.lex_state = 0},
  [11534] = {.lex_state = 35},
  [11535] = {.lex_state = 35},
  [11536] = {.lex_state = 0},
  [11537] = {.lex_state = 35},
  [11538] = {.lex_state = 35},
  [11539] = {.lex_state = 0},
  [11540] = {.lex_state = 0},
  [11541] = {.lex_state = 35},
  [11542] = {.lex_state = 0},
  [11543] = {.lex_state = 35},
  [11544] = {.lex_state = 0},
  [11545] = {.lex_state = 0},
  [11546] = {.lex_state = 0},
  [11547] = {.lex_state = 35},
  [11548] = {.lex_state = 0},
  [11549] = {.lex_state = 0},
  [11550] = {.lex_state = 0},
  [11551] = {.lex_state = 0},
  [11552] = {.lex_state = 0},
  [11553] = {.lex_state = 35},
  [11554] = {.lex_state = 0},
  [11555] = {.lex_state = 0},
  [11556] = {.lex_state = 0},
  [11557] = {.lex_state = 0},
  [11558] = {.lex_state = 35},
  [11559] = {.lex_state = 0},
  [11560] = {.lex_state = 0},
  [11561] = {.lex_state = 35},
  [11562] = {.lex_state = 0},
  [11563] = {.lex_state = 0},
  [11564] = {.lex_state = 0, .external_lex_state = 2},
  [11565] = {.lex_state = 33},
  [11566] = {.lex_state = 0, .external_lex_state = 2},
  [11567] = {.lex_state = 35},
  [11568] = {.lex_state = 35},
  [11569] = {.lex_state = 0},
  [11570] = {.lex_state = 35},
  [11571] = {.lex_state = 35},
  [11572] = {.lex_state = 0},
  [11573] = {.lex_state = 35},
  [11574] = {.lex_state = 35},
  [11575] = {.lex_state = 35},
  [11576] = {.lex_state = 35},
  [11577] = {.lex_state = 35},
  [11578] = {.lex_state = 0},
  [11579] = {.lex_state = 35},
  [11580] = {.lex_state = 0},
  [11581] = {.lex_state = 35},
  [11582] = {.lex_state = 0},
  [11583] = {.lex_state = 0, .external_lex_state = 2},
  [11584] = {.lex_state = 0},
  [11585] = {.lex_state = 35},
  [11586] = {.lex_state = 35},
  [11587] = {.lex_state = 0},
  [11588] = {.lex_state = 35},
  [11589] = {.lex_state = 0},
  [11590] = {.lex_state = 35},
  [11591] = {.lex_state = 0, .external_lex_state = 2},
  [11592] = {.lex_state = 0},
  [11593] = {.lex_state = 0},
  [11594] = {.lex_state = 35},
  [11595] = {.lex_state = 35},
  [11596] = {.lex_state = 0},
  [11597] = {.lex_state = 0},
  [11598] = {.lex_state = 35},
  [11599] = {.lex_state = 1},
  [11600] = {.lex_state = 35},
  [11601] = {.lex_state = 0},
  [11602] = {.lex_state = 0, .external_lex_state = 2},
  [11603] = {.lex_state = 35},
  [11604] = {.lex_state = 35},
  [11605] = {.lex_state = 35},
  [11606] = {.lex_state = 0},
  [11607] = {.lex_state = 35},
  [11608] = {.lex_state = 35},
  [11609] = {.lex_state = 0},
  [11610] = {.lex_state = 35},
  [11611] = {.lex_state = 0},
  [11612] = {.lex_state = 0},
  [11613] = {.lex_state = 35},
  [11614] = {.lex_state = 35},
  [11615] = {.lex_state = 0},
  [11616] = {.lex_state = 0},
  [11617] = {.lex_state = 0},
  [11618] = {.lex_state = 0},
  [11619] = {.lex_state = 0},
  [11620] = {.lex_state = 0},
  [11621] = {.lex_state = 0},
  [11622] = {.lex_state = 0},
  [11623] = {.lex_state = 35},
  [11624] = {.lex_state = 0},
  [11625] = {.lex_state = 35},
  [11626] = {.lex_state = 35},
  [11627] = {.lex_state = 35},
  [11628] = {.lex_state = 0},
  [11629] = {.lex_state = 0},
  [11630] = {.lex_state = 0},
  [11631] = {.lex_state = 0},
  [11632] = {.lex_state = 35},
  [11633] = {.lex_state = 35},
  [11634] = {.lex_state = 0},
  [11635] = {.lex_state = 0},
  [11636] = {.lex_state = 0},
  [11637] = {.lex_state = 0},
  [11638] = {.lex_state = 35},
  [11639] = {.lex_state = 35},
  [11640] = {.lex_state = 0},
  [11641] = {.lex_state = 0, .external_lex_state = 2},
  [11642] = {.lex_state = 35},
  [11643] = {.lex_state = 0},
  [11644] = {.lex_state = 0},
  [11645] = {.lex_state = 0},
  [11646] = {.lex_state = 35},
  [11647] = {.lex_state = 35},
  [11648] = {.lex_state = 35},
  [11649] = {.lex_state = 35},
  [11650] = {.lex_state = 0},
  [11651] = {.lex_state = 0},
  [11652] = {.lex_state = 0},
  [11653] = {.lex_state = 35},
  [11654] = {.lex_state = 0},
  [11655] = {.lex_state = 0},
  [11656] = {.lex_state = 0},
  [11657] = {.lex_state = 35},
  [11658] = {.lex_state = 0, .external_lex_state = 2},
  [11659] = {.lex_state = 35},
  [11660] = {.lex_state = 0},
  [11661] = {.lex_state = 0},
  [11662] = {.lex_state = 35},
  [11663] = {.lex_state = 35},
  [11664] = {.lex_state = 0},
  [11665] = {.lex_state = 0},
  [11666] = {.lex_state = 35},
  [11667] = {.lex_state = 35},
  [11668] = {.lex_state = 35},
  [11669] = {.lex_state = 35},
  [11670] = {.lex_state = 35},
  [11671] = {.lex_state = 0, .external_lex_state = 2},
  [11672] = {.lex_state = 35},
  [11673] = {.lex_state = 0},
  [11674] = {.lex_state = 35},
  [11675] = {.lex_state = 0},
  [11676] = {.lex_state = 35},
  [11677] = {.lex_state = 1},
  [11678] = {.lex_state = 35},
  [11679] = {.lex_state = 1},
  [11680] = {.lex_state = 35},
  [11681] = {.lex_state = 0},
  [11682] = {.lex_state = 0},
  [11683] = {.lex_state = 35},
  [11684] = {.lex_state = 0},
  [11685] = {.lex_state = 35},
  [11686] = {.lex_state = 35},
  [11687] = {.lex_state = 0},
  [11688] = {.lex_state = 0},
  [11689] = {.lex_state = 0},
  [11690] = {.lex_state = 35},
  [11691] = {.lex_state = 0},
  [11692] = {.lex_state = 0},
  [11693] = {.lex_state = 35},
  [11694] = {.lex_state = 0},
  [11695] = {.lex_state = 35},
  [11696] = {.lex_state = 0},
  [11697] = {.lex_state = 0},
  [11698] = {.lex_state = 35},
  [11699] = {.lex_state = 0},
  [11700] = {.lex_state = 0},
  [11701] = {.lex_state = 35},
  [11702] = {.lex_state = 0},
  [11703] = {.lex_state = 0},
  [11704] = {.lex_state = 0},
  [11705] = {.lex_state = 35},
  [11706] = {.lex_state = 35},
  [11707] = {.lex_state = 35},
  [11708] = {.lex_state = 0},
  [11709] = {.lex_state = 0},
  [11710] = {.lex_state = 0},
  [11711] = {.lex_state = 35},
  [11712] = {.lex_state = 35},
  [11713] = {.lex_state = 35},
  [11714] = {.lex_state = 0},
  [11715] = {.lex_state = 35},
  [11716] = {.lex_state = 35},
  [11717] = {.lex_state = 35},
  [11718] = {.lex_state = 35},
  [11719] = {.lex_state = 35},
  [11720] = {.lex_state = 35},
  [11721] = {.lex_state = 35},
  [11722] = {.lex_state = 0},
  [11723] = {.lex_state = 0},
  [11724] = {.lex_state = 0},
  [11725] = {.lex_state = 0},
  [11726] = {.lex_state = 0},
  [11727] = {.lex_state = 0},
  [11728] = {.lex_state = 0, .external_lex_state = 2},
  [11729] = {.lex_state = 35},
  [11730] = {.lex_state = 0},
  [11731] = {.lex_state = 35},
  [11732] = {.lex_state = 1},
  [11733] = {.lex_state = 35},
  [11734] = {.lex_state = 35},
  [11735] = {.lex_state = 0},
  [11736] = {.lex_state = 0, .external_lex_state = 2},
  [11737] = {.lex_state = 0},
  [11738] = {.lex_state = 0, .external_lex_state = 2},
  [11739] = {.lex_state = 0, .external_lex_state = 2},
  [11740] = {.lex_state = 0},
  [11741] = {.lex_state = 0, .external_lex_state = 2},
  [11742] = {.lex_state = 0, .external_lex_state = 2},
  [11743] = {.lex_state = 0, .external_lex_state = 2},
  [11744] = {.lex_state = 0, .external_lex_state = 2},
  [11745] = {.lex_state = 0},
  [11746] = {.lex_state = 0},
  [11747] = {.lex_state = 0},
  [11748] = {.lex_state = 35},
  [11749] = {.lex_state = 0, .external_lex_state = 2},
  [11750] = {.lex_state = 35},
  [11751] = {.lex_state = 35},
  [11752] = {.lex_state = 35},
  [11753] = {.lex_state = 35},
  [11754] = {.lex_state = 35},
  [11755] = {.lex_state = 35},
  [11756] = {.lex_state = 35},
  [11757] = {.lex_state = 0},
  [11758] = {.lex_state = 35},
  [11759] = {.lex_state = 35},
  [11760] = {.lex_state = 0, .external_lex_state = 2},
  [11761] = {.lex_state = 35},
  [11762] = {.lex_state = 35},
  [11763] = {.lex_state = 35},
  [11764] = {.lex_state = 0, .external_lex_state = 2},
  [11765] = {.lex_state = 0},
  [11766] = {.lex_state = 0},
  [11767] = {.lex_state = 0},
  [11768] = {.lex_state = 0, .external_lex_state = 2},
  [11769] = {.lex_state = 0, .external_lex_state = 2},
  [11770] = {.lex_state = 0},
  [11771] = {.lex_state = 0},
  [11772] = {.lex_state = 0},
  [11773] = {.lex_state = 0},
  [11774] = {.lex_state = 0, .external_lex_state = 2},
  [11775] = {.lex_state = 35},
  [11776] = {.lex_state = 35},
  [11777] = {.lex_state = 35},
  [11778] = {.lex_state = 0},
  [11779] = {.lex_state = 0, .external_lex_state = 2},
  [11780] = {.lex_state = 0},
  [11781] = {.lex_state = 35},
  [11782] = {.lex_state = 35},
  [11783] = {.lex_state = 0, .external_lex_state = 2},
  [11784] = {.lex_state = 0, .external_lex_state = 2},
  [11785] = {.lex_state = 35},
  [11786] = {.lex_state = 0},
  [11787] = {.lex_state = 0},
  [11788] = {.lex_state = 35},
  [11789] = {.lex_state = 0},
  [11790] = {.lex_state = 0},
  [11791] = {.lex_state = 0},
  [11792] = {.lex_state = 35},
  [11793] = {.lex_state = 35},
  [11794] = {.lex_state = 35},
  [11795] = {.lex_state = 35},
  [11796] = {.lex_state = 35},
  [11797] = {.lex_state = 35},
  [11798] = {.lex_state = 35},
  [11799] = {.lex_state = 35},
  [11800] = {.lex_state = 35},
  [11801] = {.lex_state = 35},
  [11802] = {.lex_state = 0},
  [11803] = {.lex_state = 0},
  [11804] = {.lex_state = 0, .external_lex_state = 2},
  [11805] = {.lex_state = 0, .external_lex_state = 2},
  [11806] = {.lex_state = 0, .external_lex_state = 2},
  [11807] = {.lex_state = 0},
  [11808] = {.lex_state = 35},
  [11809] = {.lex_state = 0, .external_lex_state = 2},
  [11810] = {.lex_state = 35},
  [11811] = {.lex_state = 0},
  [11812] = {.lex_state = 1},
  [11813] = {.lex_state = 35},
  [11814] = {.lex_state = 0},
  [11815] = {.lex_state = 0},
  [11816] = {.lex_state = 35},
  [11817] = {.lex_state = 0},
  [11818] = {.lex_state = 35},
  [11819] = {.lex_state = 35},
  [11820] = {.lex_state = 0},
  [11821] = {.lex_state = 0},
  [11822] = {.lex_state = 0, .external_lex_state = 2},
  [11823] = {.lex_state = 0, .external_lex_state = 2},
  [11824] = {.lex_state = 0, .external_lex_state = 2},
  [11825] = {.lex_state = 0, .external_lex_state = 2},
  [11826] = {.lex_state = 0, .external_lex_state = 2},
  [11827] = {.lex_state = 0, .external_lex_state = 2},
  [11828] = {.lex_state = 0, .external_lex_state = 2},
  [11829] = {.lex_state = 35},
  [11830] = {.lex_state = 35},
  [11831] = {.lex_state = 35},
  [11832] = {.lex_state = 0},
  [11833] = {.lex_state = 35},
  [11834] = {.lex_state = 0, .external_lex_state = 2},
  [11835] = {.lex_state = 35},
  [11836] = {.lex_state = 35},
  [11837] = {.lex_state = 0},
  [11838] = {.lex_state = 0},
  [11839] = {.lex_state = 0, .external_lex_state = 2},
  [11840] = {.lex_state = 35},
  [11841] = {.lex_state = 0},
  [11842] = {.lex_state = 0},
  [11843] = {.lex_state = 0, .external_lex_state = 2},
  [11844] = {.lex_state = 0},
  [11845] = {.lex_state = 35},
  [11846] = {.lex_state = 35},
  [11847] = {.lex_state = 0},
  [11848] = {.lex_state = 0},
  [11849] = {.lex_state = 35},
  [11850] = {.lex_state = 0, .external_lex_state = 2},
  [11851] = {.lex_state = 0},
  [11852] = {.lex_state = 0, .external_lex_state = 2},
  [11853] = {.lex_state = 35},
  [11854] = {.lex_state = 35},
  [11855] = {.lex_state = 35},
  [11856] = {.lex_state = 0},
  [11857] = {.lex_state = 0},
  [11858] = {.lex_state = 35},
  [11859] = {.lex_state = 35},
  [11860] = {.lex_state = 0},
  [11861] = {.lex_state = 0},
  [11862] = {.lex_state = 35},
  [11863] = {.lex_state = 0},
  [11864] = {.lex_state = 35},
  [11865] = {.lex_state = 0},
  [11866] = {.lex_state = 0},
  [11867] = {.lex_state = 35},
  [11868] = {.lex_state = 35},
  [11869] = {.lex_state = 0},
  [11870] = {.lex_state = 0},
  [11871] = {.lex_state = 0},
  [11872] = {.lex_state = 35},
  [11873] = {.lex_state = 0},
  [11874] = {.lex_state = 0},
  [11875] = {.lex_state = 0},
  [11876] = {.lex_state = 1},
  [11877] = {.lex_state = 0},
  [11878] = {.lex_state = 0},
  [11879] = {.lex_state = 0},
  [11880] = {.lex_state = 35},
  [11881] = {.lex_state = 35},
  [11882] = {.lex_state = 0, .external_lex_state = 2},
  [11883] = {.lex_state = 35},
  [11884] = {.lex_state = 0},
  [11885] = {.lex_state = 35},
  [11886] = {.lex_state = 35},
  [11887] = {.lex_state = 0},
  [11888] = {.lex_state = 0},
  [11889] = {.lex_state = 0},
  [11890] = {.lex_state = 0, .external_lex_state = 2},
  [11891] = {.lex_state = 35},
  [11892] = {.lex_state = 0},
  [11893] = {.lex_state = 0},
  [11894] = {.lex_state = 35},
  [11895] = {.lex_state = 35},
  [11896] = {.lex_state = 35},
  [11897] = {.lex_state = 0},
  [11898] = {.lex_state = 0},
  [11899] = {.lex_state = 0},
  [11900] = {.lex_state = 0},
  [11901] = {.lex_state = 0},
  [11902] = {.lex_state = 35},
  [11903] = {.lex_state = 0},
  [11904] = {.lex_state = 0},
  [11905] = {.lex_state = 35},
  [11906] = {.lex_state = 0},
  [11907] = {.lex_state = 0, .external_lex_state = 2},
  [11908] = {.lex_state = 0},
  [11909] = {.lex_state = 0},
  [11910] = {.lex_state = 35},
  [11911] = {.lex_state = 0, .external_lex_state = 2},
  [11912] = {.lex_state = 0, .external_lex_state = 2},
  [11913] = {.lex_state = 0, .external_lex_state = 2},
  [11914] = {.lex_state = 0, .external_lex_state = 2},
  [11915] = {.lex_state = 35},
  [11916] = {.lex_state = 0, .external_lex_state = 2},
  [11917] = {.lex_state = 0, .external_lex_state = 2},
  [11918] = {.lex_state = 0, .external_lex_state = 2},
  [11919] = {.lex_state = 0, .external_lex_state = 2},
  [11920] = {.lex_state = 0, .external_lex_state = 2},
  [11921] = {.lex_state = 0, .external_lex_state = 2},
  [11922] = {.lex_state = 0},
  [11923] = {.lex_state = 0},
  [11924] = {.lex_state = 0, .external_lex_state = 2},
  [11925] = {.lex_state = 0, .external_lex_state = 2},
  [11926] = {.lex_state = 0},
  [11927] = {.lex_state = 0, .external_lex_state = 2},
  [11928] = {.lex_state = 0},
  [11929] = {.lex_state = 1},
  [11930] = {.lex_state = 35},
  [11931] = {.lex_state = 0, .external_lex_state = 2},
  [11932] = {.lex_state = 0, .external_lex_state = 2},
  [11933] = {.lex_state = 0, .external_lex_state = 2},
  [11934] = {.lex_state = 35},
  [11935] = {.lex_state = 0},
  [11936] = {.lex_state = 0},
  [11937] = {.lex_state = 35},
  [11938] = {.lex_state = 0, .external_lex_state = 2},
  [11939] = {.lex_state = 0, .external_lex_state = 2},
  [11940] = {.lex_state = 0, .external_lex_state = 2},
  [11941] = {.lex_state = 35},
  [11942] = {.lex_state = 0},
  [11943] = {.lex_state = 0},
  [11944] = {.lex_state = 0},
  [11945] = {.lex_state = 0},
  [11946] = {.lex_state = 35},
  [11947] = {.lex_state = 0},
  [11948] = {.lex_state = 0},
  [11949] = {.lex_state = 0},
  [11950] = {.lex_state = 35},
  [11951] = {.lex_state = 35},
  [11952] = {.lex_state = 0},
  [11953] = {.lex_state = 35},
  [11954] = {.lex_state = 0},
  [11955] = {.lex_state = 0},
  [11956] = {.lex_state = 35},
  [11957] = {.lex_state = 1},
  [11958] = {.lex_state = 35},
  [11959] = {.lex_state = 0},
  [11960] = {.lex_state = 35},
  [11961] = {.lex_state = 35},
  [11962] = {.lex_state = 0},
  [11963] = {.lex_state = 35},
  [11964] = {.lex_state = 35},
  [11965] = {.lex_state = 0},
  [11966] = {.lex_state = 0},
  [11967] = {.lex_state = 35},
  [11968] = {.lex_state = 0},
  [11969] = {.lex_state = 35},
  [11970] = {.lex_state = 0},
  [11971] = {.lex_state = 0},
  [11972] = {.lex_state = 35},
  [11973] = {.lex_state = 0, .external_lex_state = 2},
  [11974] = {.lex_state = 35},
  [11975] = {.lex_state = 35},
  [11976] = {.lex_state = 0, .external_lex_state = 2},
  [11977] = {.lex_state = 1},
  [11978] = {.lex_state = 0},
  [11979] = {.lex_state = 0},
  [11980] = {.lex_state = 0},
  [11981] = {.lex_state = 35},
  [11982] = {.lex_state = 35},
  [11983] = {.lex_state = 0},
  [11984] = {.lex_state = 35},
  [11985] = {.lex_state = 35},
  [11986] = {.lex_state = 35},
  [11987] = {.lex_state = 35},
  [11988] = {.lex_state = 35},
  [11989] = {.lex_state = 0},
  [11990] = {.lex_state = 0},
  [11991] = {.lex_state = 0},
  [11992] = {.lex_state = 0},
  [11993] = {.lex_state = 35},
  [11994] = {.lex_state = 0, .external_lex_state = 2},
  [11995] = {.lex_state = 35},
  [11996] = {.lex_state = 0, .external_lex_state = 2},
  [11997] = {.lex_state = 0},
  [11998] = {.lex_state = 1},
  [11999] = {.lex_state = 0},
  [12000] = {.lex_state = 35},
  [12001] = {.lex_state = 0},
  [12002] = {.lex_state = 0},
  [12003] = {.lex_state = 0},
  [12004] = {.lex_state = 35},
  [12005] = {.lex_state = 0},
  [12006] = {.lex_state = 0, .external_lex_state = 2},
  [12007] = {.lex_state = 35},
  [12008] = {.lex_state = 0, .external_lex_state = 2},
  [12009] = {.lex_state = 0, .external_lex_state = 2},
  [12010] = {.lex_state = 35},
  [12011] = {.lex_state = 35},
  [12012] = {.lex_state = 0},
  [12013] = {.lex_state = 0},
  [12014] = {.lex_state = 35},
  [12015] = {.lex_state = 35},
  [12016] = {.lex_state = 0, .external_lex_state = 2},
  [12017] = {.lex_state = 35},
  [12018] = {.lex_state = 0},
  [12019] = {.lex_state = 35},
  [12020] = {.lex_state = 35},
  [12021] = {.lex_state = 35},
  [12022] = {.lex_state = 0},
  [12023] = {.lex_state = 0},
  [12024] = {.lex_state = 0},
  [12025] = {.lex_state = 0, .external_lex_state = 2},
  [12026] = {.lex_state = 0, .external_lex_state = 2},
  [12027] = {.lex_state = 0, .external_lex_state = 2},
  [12028] = {.lex_state = 0, .external_lex_state = 2},
  [12029] = {.lex_state = 0, .external_lex_state = 2},
  [12030] = {.lex_state = 0, .external_lex_state = 2},
  [12031] = {.lex_state = 0, .external_lex_state = 2},
  [12032] = {.lex_state = 0, .external_lex_state = 2},
  [12033] = {.lex_state = 0, .external_lex_state = 2},
  [12034] = {.lex_state = 0, .external_lex_state = 2},
  [12035] = {.lex_state = 0, .external_lex_state = 2},
  [12036] = {.lex_state = 35},
  [12037] = {.lex_state = 0, .external_lex_state = 2},
  [12038] = {.lex_state = 0, .external_lex_state = 2},
  [12039] = {.lex_state = 0, .external_lex_state = 2},
  [12040] = {.lex_state = 0, .external_lex_state = 2},
  [12041] = {.lex_state = 35},
  [12042] = {.lex_state = 35},
  [12043] = {.lex_state = 35},
  [12044] = {.lex_state = 0},
  [12045] = {.lex_state = 35},
  [12046] = {.lex_state = 35},
  [12047] = {.lex_state = 0},
  [12048] = {.lex_state = 0},
  [12049] = {.lex_state = 35},
  [12050] = {.lex_state = 35},
  [12051] = {.lex_state = 35},
  [12052] = {.lex_state = 0},
  [12053] = {.lex_state = 35},
  [12054] = {.lex_state = 0},
  [12055] = {.lex_state = 1},
  [12056] = {.lex_state = 35},
  [12057] = {.lex_state = 35},
  [12058] = {.lex_state = 0},
  [12059] = {.lex_state = 35},
  [12060] = {.lex_state = 0},
  [12061] = {.lex_state = 0},
  [12062] = {.lex_state = 0, .external_lex_state = 2},
  [12063] = {.lex_state = 0, .external_lex_state = 2},
  [12064] = {.lex_state = 0},
  [12065] = {.lex_state = 0},
  [12066] = {.lex_state = 0},
  [12067] = {.lex_state = 35},
  [12068] = {.lex_state = 35},
  [12069] = {.lex_state = 0},
  [12070] = {.lex_state = 0, .external_lex_state = 2},
  [12071] = {.lex_state = 0},
  [12072] = {.lex_state = 0},
  [12073] = {.lex_state = 0},
  [12074] = {.lex_state = 0},
  [12075] = {.lex_state = 0},
  [12076] = {.lex_state = 0},
  [12077] = {.lex_state = 0},
  [12078] = {.lex_state = 0},
  [12079] = {.lex_state = 0},
  [12080] = {.lex_state = 35},
  [12081] = {.lex_state = 35},
  [12082] = {.lex_state = 0, .external_lex_state = 2},
  [12083] = {.lex_state = 35},
  [12084] = {.lex_state = 0},
  [12085] = {.lex_state = 0, .external_lex_state = 2},
  [12086] = {.lex_state = 0},
  [12087] = {.lex_state = 0},
  [12088] = {.lex_state = 0, .external_lex_state = 2},
  [12089] = {.lex_state = 0},
  [12090] = {.lex_state = 0, .external_lex_state = 2},
  [12091] = {.lex_state = 0, .external_lex_state = 2},
  [12092] = {.lex_state = 0, .external_lex_state = 2},
  [12093] = {.lex_state = 0, .external_lex_state = 2},
  [12094] = {.lex_state = 0, .external_lex_state = 2},
  [12095] = {.lex_state = 0, .external_lex_state = 2},
  [12096] = {.lex_state = 0, .external_lex_state = 2},
  [12097] = {.lex_state = 0, .external_lex_state = 2},
  [12098] = {.lex_state = 0, .external_lex_state = 2},
  [12099] = {.lex_state = 0, .external_lex_state = 2},
  [12100] = {.lex_state = 0, .external_lex_state = 2},
  [12101] = {.lex_state = 0},
  [12102] = {.lex_state = 0},
  [12103] = {.lex_state = 35},
  [12104] = {.lex_state = 35},
  [12105] = {.lex_state = 0},
  [12106] = {.lex_state = 0},
  [12107] = {.lex_state = 1},
  [12108] = {.lex_state = 35},
  [12109] = {.lex_state = 0},
  [12110] = {.lex_state = 35},
  [12111] = {.lex_state = 0, .external_lex_state = 2},
  [12112] = {.lex_state = 0},
  [12113] = {.lex_state = 0, .external_lex_state = 2},
  [12114] = {.lex_state = 0},
  [12115] = {.lex_state = 35},
  [12116] = {.lex_state = 0, .external_lex_state = 2},
  [12117] = {.lex_state = 0},
  [12118] = {.lex_state = 35},
  [12119] = {.lex_state = 35},
  [12120] = {.lex_state = 0},
  [12121] = {.lex_state = 0, .external_lex_state = 2},
  [12122] = {.lex_state = 0},
  [12123] = {.lex_state = 35},
  [12124] = {.lex_state = 1},
  [12125] = {.lex_state = 35},
  [12126] = {.lex_state = 35},
  [12127] = {.lex_state = 0, .external_lex_state = 2},
  [12128] = {.lex_state = 35},
  [12129] = {.lex_state = 0},
  [12130] = {.lex_state = 1},
  [12131] = {.lex_state = 0, .external_lex_state = 2},
  [12132] = {.lex_state = 0},
  [12133] = {.lex_state = 0},
  [12134] = {.lex_state = 0},
  [12135] = {.lex_state = 0},
  [12136] = {.lex_state = 35},
  [12137] = {.lex_state = 35},
  [12138] = {.lex_state = 0},
  [12139] = {.lex_state = 35},
  [12140] = {.lex_state = 35},
  [12141] = {.lex_state = 35},
  [12142] = {.lex_state = 35},
  [12143] = {.lex_state = 0},
  [12144] = {.lex_state = 0, .external_lex_state = 2},
  [12145] = {.lex_state = 35},
  [12146] = {.lex_state = 35},
  [12147] = {.lex_state = 35},
  [12148] = {.lex_state = 35},
  [12149] = {.lex_state = 35},
  [12150] = {.lex_state = 35},
  [12151] = {.lex_state = 0, .external_lex_state = 2},
  [12152] = {.lex_state = 0},
  [12153] = {.lex_state = 35},
  [12154] = {.lex_state = 0},
  [12155] = {.lex_state = 35},
  [12156] = {.lex_state = 1},
  [12157] = {.lex_state = 0},
  [12158] = {.lex_state = 35},
  [12159] = {.lex_state = 35},
  [12160] = {.lex_state = 35},
  [12161] = {.lex_state = 0},
  [12162] = {.lex_state = 35},
  [12163] = {.lex_state = 35},
  [12164] = {.lex_state = 0},
  [12165] = {.lex_state = 35},
  [12166] = {.lex_state = 0, .external_lex_state = 2},
  [12167] = {.lex_state = 0, .external_lex_state = 2},
  [12168] = {.lex_state = 35},
  [12169] = {.lex_state = 0, .external_lex_state = 2},
  [12170] = {.lex_state = 0, .external_lex_state = 2},
  [12171] = {.lex_state = 0},
  [12172] = {.lex_state = 35},
  [12173] = {.lex_state = 35},
  [12174] = {.lex_state = 35},
  [12175] = {.lex_state = 35},
  [12176] = {.lex_state = 35},
  [12177] = {.lex_state = 35},
  [12178] = {.lex_state = 35},
  [12179] = {.lex_state = 35},
  [12180] = {.lex_state = 35},
  [12181] = {.lex_state = 0, .external_lex_state = 2},
  [12182] = {.lex_state = 0, .external_lex_state = 2},
  [12183] = {.lex_state = 0, .external_lex_state = 2},
  [12184] = {.lex_state = 0, .external_lex_state = 2},
  [12185] = {.lex_state = 0, .external_lex_state = 2},
  [12186] = {.lex_state = 0},
  [12187] = {.lex_state = 0, .external_lex_state = 2},
  [12188] = {.lex_state = 35},
  [12189] = {.lex_state = 0},
  [12190] = {.lex_state = 0, .external_lex_state = 2},
  [12191] = {.lex_state = 35},
  [12192] = {.lex_state = 35},
  [12193] = {.lex_state = 0},
  [12194] = {.lex_state = 0},
  [12195] = {.lex_state = 35},
  [12196] = {.lex_state = 35},
  [12197] = {.lex_state = 35},
  [12198] = {.lex_state = 35},
  [12199] = {.lex_state = 35},
  [12200] = {.lex_state = 35},
  [12201] = {.lex_state = 0},
  [12202] = {.lex_state = 0},
  [12203] = {.lex_state = 35},
  [12204] = {.lex_state = 0},
  [12205] = {.lex_state = 35},
  [12206] = {.lex_state = 35},
  [12207] = {.lex_state = 0},
  [12208] = {.lex_state = 35},
  [12209] = {.lex_state = 35},
  [12210] = {.lex_state = 35},
  [12211] = {.lex_state = 35},
  [12212] = {.lex_state = 0},
  [12213] = {.lex_state = 0},
  [12214] = {.lex_state = 35},
  [12215] = {.lex_state = 35},
  [12216] = {.lex_state = 0},
  [12217] = {.lex_state = 0, .external_lex_state = 2},
  [12218] = {.lex_state = 35},
  [12219] = {.lex_state = 0},
  [12220] = {.lex_state = 1},
  [12221] = {.lex_state = 35},
  [12222] = {.lex_state = 35},
  [12223] = {.lex_state = 35},
  [12224] = {.lex_state = 35},
  [12225] = {.lex_state = 0, .external_lex_state = 2},
  [12226] = {.lex_state = 0},
  [12227] = {.lex_state = 0},
  [12228] = {.lex_state = 0},
  [12229] = {.lex_state = 35},
  [12230] = {.lex_state = 35},
  [12231] = {.lex_state = 0},
  [12232] = {.lex_state = 35},
  [12233] = {.lex_state = 0, .external_lex_state = 2},
  [12234] = {.lex_state = 0, .external_lex_state = 2},
  [12235] = {.lex_state = 35},
  [12236] = {.lex_state = 35},
  [12237] = {.lex_state = 0, .external_lex_state = 2},
  [12238] = {.lex_state = 0, .external_lex_state = 2},
  [12239] = {.lex_state = 0, .external_lex_state = 2},
  [12240] = {.lex_state = 0},
  [12241] = {.lex_state = 0, .external_lex_state = 2},
  [12242] = {.lex_state = 0, .external_lex_state = 2},
  [12243] = {.lex_state = 0, .external_lex_state = 2},
  [12244] = {.lex_state = 35},
  [12245] = {.lex_state = 0},
  [12246] = {.lex_state = 0, .external_lex_state = 2},
  [12247] = {.lex_state = 0},
  [12248] = {.lex_state = 1},
  [12249] = {.lex_state = 35},
  [12250] = {.lex_state = 35},
  [12251] = {.lex_state = 0, .external_lex_state = 2},
  [12252] = {.lex_state = 35},
  [12253] = {.lex_state = 0},
  [12254] = {.lex_state = 0},
  [12255] = {.lex_state = 35},
  [12256] = {.lex_state = 0},
  [12257] = {.lex_state = 35},
  [12258] = {.lex_state = 35},
  [12259] = {.lex_state = 0},
  [12260] = {.lex_state = 0},
  [12261] = {.lex_state = 0},
  [12262] = {.lex_state = 0},
  [12263] = {.lex_state = 1},
  [12264] = {.lex_state = 35},
  [12265] = {.lex_state = 0, .external_lex_state = 2},
  [12266] = {.lex_state = 0},
  [12267] = {.lex_state = 35},
  [12268] = {.lex_state = 35},
  [12269] = {.lex_state = 0},
  [12270] = {.lex_state = 35},
  [12271] = {.lex_state = 35},
  [12272] = {.lex_state = 0},
  [12273] = {.lex_state = 35},
  [12274] = {.lex_state = 0},
  [12275] = {.lex_state = 35},
  [12276] = {.lex_state = 35},
  [12277] = {.lex_state = 35},
  [12278] = {.lex_state = 35},
  [12279] = {.lex_state = 0},
  [12280] = {.lex_state = 0},
  [12281] = {.lex_state = 0},
  [12282] = {.lex_state = 0},
  [12283] = {.lex_state = 0},
  [12284] = {.lex_state = 0},
  [12285] = {.lex_state = 0},
  [12286] = {.lex_state = 35},
  [12287] = {.lex_state = 35},
  [12288] = {.lex_state = 35},
  [12289] = {.lex_state = 35},
  [12290] = {.lex_state = 35},
  [12291] = {.lex_state = 35},
  [12292] = {.lex_state = 0},
  [12293] = {.lex_state = 0},
  [12294] = {.lex_state = 35},
  [12295] = {.lex_state = 35},
  [12296] = {.lex_state = 0},
  [12297] = {.lex_state = 0},
  [12298] = {.lex_state = 0},
  [12299] = {.lex_state = 0},
  [12300] = {.lex_state = 0},
  [12301] = {.lex_state = 0},
  [12302] = {.lex_state = 0},
  [12303] = {.lex_state = 0},
  [12304] = {.lex_state = 0},
  [12305] = {.lex_state = 0},
  [12306] = {.lex_state = 35},
  [12307] = {.lex_state = 0},
  [12308] = {.lex_state = 0},
  [12309] = {.lex_state = 0},
  [12310] = {.lex_state = 0},
  [12311] = {.lex_state = 0},
  [12312] = {.lex_state = 0},
  [12313] = {.lex_state = 0},
  [12314] = {.lex_state = 0},
  [12315] = {.lex_state = 0},
  [12316] = {.lex_state = 0},
  [12317] = {.lex_state = 35},
  [12318] = {.lex_state = 35},
  [12319] = {.lex_state = 0},
  [12320] = {.lex_state = 35},
  [12321] = {.lex_state = 0},
  [12322] = {.lex_state = 0},
  [12323] = {.lex_state = 0},
  [12324] = {.lex_state = 0},
  [12325] = {.lex_state = 0},
  [12326] = {.lex_state = 0},
  [12327] = {.lex_state = 0},
  [12328] = {.lex_state = 0},
  [12329] = {.lex_state = 0},
  [12330] = {.lex_state = 0},
  [12331] = {.lex_state = 0},
  [12332] = {.lex_state = 0},
  [12333] = {.lex_state = 0},
  [12334] = {.lex_state = 0},
  [12335] = {.lex_state = 0},
  [12336] = {.lex_state = 35},
  [12337] = {.lex_state = 0},
  [12338] = {.lex_state = 0},
  [12339] = {.lex_state = 0},
  [12340] = {.lex_state = 0},
  [12341] = {.lex_state = 0},
  [12342] = {.lex_state = 0},
  [12343] = {.lex_state = 0},
  [12344] = {.lex_state = 35},
  [12345] = {.lex_state = 0},
  [12346] = {.lex_state = 0},
  [12347] = {.lex_state = 35},
  [12348] = {.lex_state = 35},
  [12349] = {.lex_state = 0},
  [12350] = {.lex_state = 0},
  [12351] = {.lex_state = 0},
  [12352] = {.lex_state = 0},
  [12353] = {.lex_state = 0},
  [12354] = {.lex_state = 35},
  [12355] = {.lex_state = 0},
  [12356] = {.lex_state = 0},
  [12357] = {.lex_state = 35},
  [12358] = {.lex_state = 0},
  [12359] = {.lex_state = 0},
  [12360] = {.lex_state = 0},
  [12361] = {.lex_state = 35},
  [12362] = {.lex_state = 35},
  [12363] = {.lex_state = 35},
  [12364] = {.lex_state = 0},
  [12365] = {.lex_state = 0},
  [12366] = {.lex_state = 35},
  [12367] = {.lex_state = 0},
  [12368] = {.lex_state = 35},
  [12369] = {.lex_state = 0},
  [12370] = {.lex_state = 35},
  [12371] = {.lex_state = 35},
  [12372] = {.lex_state = 0},
  [12373] = {.lex_state = 35},
  [12374] = {.lex_state = 0},
  [12375] = {.lex_state = 0},
  [12376] = {.lex_state = 0},
  [12377] = {.lex_state = 0},
  [12378] = {.lex_state = 0},
  [12379] = {.lex_state = 0},
  [12380] = {.lex_state = 35},
  [12381] = {.lex_state = 35},
  [12382] = {.lex_state = 0},
  [12383] = {.lex_state = 35},
  [12384] = {.lex_state = 0},
  [12385] = {.lex_state = 35},
  [12386] = {.lex_state = 0},
  [12387] = {.lex_state = 0},
  [12388] = {.lex_state = 0},
  [12389] = {.lex_state = 0},
  [12390] = {.lex_state = 0},
  [12391] = {.lex_state = 0},
  [12392] = {.lex_state = 0},
  [12393] = {.lex_state = 0},
  [12394] = {.lex_state = 0},
  [12395] = {.lex_state = 0},
  [12396] = {.lex_state = 35},
  [12397] = {.lex_state = 0},
  [12398] = {.lex_state = 0},
  [12399] = {.lex_state = 0},
  [12400] = {.lex_state = 0},
  [12401] = {.lex_state = 0},
  [12402] = {.lex_state = 0},
  [12403] = {.lex_state = 0},
  [12404] = {.lex_state = 0},
  [12405] = {.lex_state = 0},
  [12406] = {.lex_state = 0},
  [12407] = {.lex_state = 0},
  [12408] = {.lex_state = 35},
  [12409] = {.lex_state = 0},
  [12410] = {.lex_state = 0},
  [12411] = {.lex_state = 35},
  [12412] = {.lex_state = 0},
  [12413] = {.lex_state = 0},
  [12414] = {.lex_state = 0},
  [12415] = {.lex_state = 0},
  [12416] = {.lex_state = 0},
  [12417] = {.lex_state = 0},
  [12418] = {.lex_state = 0},
  [12419] = {.lex_state = 0},
  [12420] = {.lex_state = 0},
  [12421] = {.lex_state = 0},
  [12422] = {.lex_state = 0},
  [12423] = {.lex_state = 0},
  [12424] = {.lex_state = 0},
  [12425] = {.lex_state = 0},
  [12426] = {.lex_state = 0},
  [12427] = {.lex_state = 0},
  [12428] = {.lex_state = 0},
  [12429] = {.lex_state = 0},
  [12430] = {.lex_state = 0},
  [12431] = {.lex_state = 0},
  [12432] = {.lex_state = 0},
  [12433] = {.lex_state = 0},
  [12434] = {.lex_state = 0},
  [12435] = {.lex_state = 0},
  [12436] = {.lex_state = 0},
  [12437] = {.lex_state = 35},
  [12438] = {.lex_state = 0},
  [12439] = {.lex_state = 0},
  [12440] = {.lex_state = 0},
  [12441] = {.lex_state = 0},
  [12442] = {.lex_state = 0},
  [12443] = {.lex_state = 0},
  [12444] = {.lex_state = 0},
  [12445] = {.lex_state = 0},
  [12446] = {.lex_state = 35},
  [12447] = {.lex_state = 0},
  [12448] = {.lex_state = 0},
  [12449] = {.lex_state = 0},
  [12450] = {.lex_state = 35},
  [12451] = {.lex_state = 35},
  [12452] = {.lex_state = 0},
  [12453] = {.lex_state = 35},
  [12454] = {.lex_state = 0},
  [12455] = {.lex_state = 0},
  [12456] = {.lex_state = 0},
  [12457] = {.lex_state = 0},
  [12458] = {.lex_state = 0},
  [12459] = {.lex_state = 0},
  [12460] = {.lex_state = 35},
  [12461] = {.lex_state = 0},
  [12462] = {.lex_state = 35},
  [12463] = {.lex_state = 35},
  [12464] = {.lex_state = 35},
  [12465] = {.lex_state = 35},
  [12466] = {.lex_state = 0},
  [12467] = {.lex_state = 0},
  [12468] = {.lex_state = 0},
  [12469] = {.lex_state = 0},
  [12470] = {.lex_state = 0},
  [12471] = {.lex_state = 0},
  [12472] = {.lex_state = 0},
  [12473] = {.lex_state = 0},
  [12474] = {.lex_state = 0},
  [12475] = {.lex_state = 0},
  [12476] = {.lex_state = 0},
  [12477] = {.lex_state = 35},
  [12478] = {.lex_state = 0},
  [12479] = {.lex_state = 35},
  [12480] = {.lex_state = 0},
  [12481] = {.lex_state = 0},
  [12482] = {.lex_state = 0},
  [12483] = {.lex_state = 0},
  [12484] = {.lex_state = 0},
  [12485] = {.lex_state = 0},
  [12486] = {.lex_state = 0},
  [12487] = {.lex_state = 0},
  [12488] = {.lex_state = 0},
  [12489] = {.lex_state = 35},
  [12490] = {.lex_state = 0},
  [12491] = {.lex_state = 0},
  [12492] = {.lex_state = 35},
  [12493] = {.lex_state = 0},
  [12494] = {.lex_state = 0},
  [12495] = {.lex_state = 0},
  [12496] = {.lex_state = 0},
  [12497] = {.lex_state = 0},
  [12498] = {.lex_state = 0},
  [12499] = {.lex_state = 0},
  [12500] = {.lex_state = 0},
  [12501] = {.lex_state = 0},
  [12502] = {.lex_state = 0},
  [12503] = {.lex_state = 0},
  [12504] = {.lex_state = 0},
  [12505] = {.lex_state = 0},
  [12506] = {.lex_state = 0},
  [12507] = {.lex_state = 0},
  [12508] = {.lex_state = 0},
  [12509] = {.lex_state = 0},
  [12510] = {.lex_state = 0},
  [12511] = {.lex_state = 0},
  [12512] = {.lex_state = 0},
  [12513] = {.lex_state = 0},
  [12514] = {.lex_state = 0},
  [12515] = {.lex_state = 0},
  [12516] = {.lex_state = 0},
  [12517] = {.lex_state = 0},
  [12518] = {.lex_state = 0},
  [12519] = {.lex_state = 35},
  [12520] = {.lex_state = 0},
  [12521] = {.lex_state = 0},
  [12522] = {.lex_state = 0},
  [12523] = {.lex_state = 0},
  [12524] = {.lex_state = 0},
  [12525] = {.lex_state = 0},
  [12526] = {.lex_state = 0},
  [12527] = {.lex_state = 0},
  [12528] = {.lex_state = 35},
  [12529] = {.lex_state = 0},
  [12530] = {.lex_state = 0},
  [12531] = {.lex_state = 0},
  [12532] = {.lex_state = 35},
  [12533] = {.lex_state = 35},
  [12534] = {.lex_state = 0},
  [12535] = {.lex_state = 0},
  [12536] = {.lex_state = 0},
  [12537] = {.lex_state = 0},
  [12538] = {.lex_state = 0},
  [12539] = {.lex_state = 35},
  [12540] = {.lex_state = 0},
  [12541] = {.lex_state = 0},
  [12542] = {.lex_state = 0},
  [12543] = {.lex_state = 0},
  [12544] = {.lex_state = 0},
  [12545] = {.lex_state = 35},
  [12546] = {.lex_state = 0},
  [12547] = {.lex_state = 0},
  [12548] = {.lex_state = 0},
  [12549] = {.lex_state = 0},
  [12550] = {.lex_state = 0},
  [12551] = {.lex_state = 0},
  [12552] = {.lex_state = 0},
  [12553] = {.lex_state = 0},
  [12554] = {.lex_state = 0},
  [12555] = {.lex_state = 0},
  [12556] = {.lex_state = 35},
  [12557] = {.lex_state = 0},
  [12558] = {.lex_state = 35},
  [12559] = {.lex_state = 0},
  [12560] = {.lex_state = 0},
  [12561] = {.lex_state = 0},
  [12562] = {.lex_state = 0},
  [12563] = {.lex_state = 0},
  [12564] = {.lex_state = 0},
  [12565] = {.lex_state = 0},
  [12566] = {.lex_state = 0},
  [12567] = {.lex_state = 0},
  [12568] = {.lex_state = 0},
  [12569] = {.lex_state = 0},
  [12570] = {.lex_state = 0},
  [12571] = {.lex_state = 0},
  [12572] = {.lex_state = 0},
  [12573] = {.lex_state = 0},
  [12574] = {.lex_state = 0},
  [12575] = {.lex_state = 35},
  [12576] = {.lex_state = 0},
  [12577] = {.lex_state = 0},
  [12578] = {.lex_state = 0},
  [12579] = {.lex_state = 0},
  [12580] = {.lex_state = 0},
  [12581] = {.lex_state = 0},
  [12582] = {.lex_state = 0},
  [12583] = {.lex_state = 0},
  [12584] = {.lex_state = 35},
  [12585] = {.lex_state = 0},
  [12586] = {.lex_state = 35},
  [12587] = {.lex_state = 0},
  [12588] = {.lex_state = 35},
  [12589] = {.lex_state = 0},
  [12590] = {.lex_state = 0},
  [12591] = {.lex_state = 0},
  [12592] = {.lex_state = 0},
  [12593] = {.lex_state = 35},
  [12594] = {.lex_state = 35},
  [12595] = {.lex_state = 35},
  [12596] = {.lex_state = 35},
  [12597] = {.lex_state = 0},
  [12598] = {.lex_state = 0},
  [12599] = {.lex_state = 0},
  [12600] = {.lex_state = 0},
  [12601] = {.lex_state = 0},
  [12602] = {.lex_state = 35},
  [12603] = {.lex_state = 0},
  [12604] = {.lex_state = 0},
  [12605] = {.lex_state = 0},
  [12606] = {.lex_state = 0},
  [12607] = {.lex_state = 35},
  [12608] = {.lex_state = 35},
  [12609] = {.lex_state = 0},
  [12610] = {.lex_state = 0},
  [12611] = {.lex_state = 0},
  [12612] = {.lex_state = 0},
  [12613] = {.lex_state = 0},
  [12614] = {.lex_state = 0},
  [12615] = {.lex_state = 0},
  [12616] = {.lex_state = 0},
  [12617] = {.lex_state = 0},
  [12618] = {.lex_state = 35},
  [12619] = {.lex_state = 0},
  [12620] = {.lex_state = 0},
  [12621] = {.lex_state = 0},
  [12622] = {.lex_state = 0},
  [12623] = {.lex_state = 0},
  [12624] = {.lex_state = 0},
  [12625] = {.lex_state = 0},
  [12626] = {.lex_state = 0},
  [12627] = {.lex_state = 0},
  [12628] = {.lex_state = 0},
  [12629] = {.lex_state = 0},
  [12630] = {.lex_state = 35},
  [12631] = {.lex_state = 0},
  [12632] = {.lex_state = 0},
  [12633] = {.lex_state = 0},
  [12634] = {.lex_state = 0},
  [12635] = {.lex_state = 0},
  [12636] = {.lex_state = 0},
  [12637] = {.lex_state = 0},
  [12638] = {.lex_state = 0},
  [12639] = {.lex_state = 0},
  [12640] = {.lex_state = 0},
  [12641] = {.lex_state = 0},
  [12642] = {.lex_state = 35},
  [12643] = {.lex_state = 35},
  [12644] = {.lex_state = 0},
  [12645] = {.lex_state = 0},
  [12646] = {.lex_state = 0},
  [12647] = {.lex_state = 0},
  [12648] = {.lex_state = 0},
  [12649] = {.lex_state = 0},
  [12650] = {.lex_state = 0},
  [12651] = {.lex_state = 0},
  [12652] = {.lex_state = 0},
  [12653] = {.lex_state = 0},
  [12654] = {.lex_state = 0},
  [12655] = {.lex_state = 0},
  [12656] = {.lex_state = 0},
  [12657] = {.lex_state = 0},
  [12658] = {.lex_state = 0},
  [12659] = {.lex_state = 0},
  [12660] = {.lex_state = 35},
  [12661] = {.lex_state = 0},
  [12662] = {.lex_state = 0},
  [12663] = {.lex_state = 0},
  [12664] = {.lex_state = 0},
  [12665] = {.lex_state = 35},
  [12666] = {.lex_state = 0},
  [12667] = {.lex_state = 0},
  [12668] = {.lex_state = 35},
  [12669] = {.lex_state = 0},
  [12670] = {.lex_state = 0},
  [12671] = {.lex_state = 0},
  [12672] = {.lex_state = 0},
  [12673] = {.lex_state = 0},
  [12674] = {.lex_state = 0},
  [12675] = {.lex_state = 0},
  [12676] = {.lex_state = 0},
  [12677] = {.lex_state = 0},
  [12678] = {.lex_state = 0},
  [12679] = {.lex_state = 0},
  [12680] = {.lex_state = 0},
  [12681] = {.lex_state = 0},
  [12682] = {.lex_state = 0},
  [12683] = {.lex_state = 0},
  [12684] = {.lex_state = 0},
  [12685] = {.lex_state = 35},
  [12686] = {.lex_state = 35},
  [12687] = {.lex_state = 0},
  [12688] = {.lex_state = 35},
  [12689] = {.lex_state = 0},
  [12690] = {.lex_state = 0},
  [12691] = {.lex_state = 0},
  [12692] = {.lex_state = 0},
  [12693] = {.lex_state = 0},
  [12694] = {.lex_state = 0},
  [12695] = {.lex_state = 0},
  [12696] = {.lex_state = 0},
  [12697] = {.lex_state = 0},
  [12698] = {.lex_state = 0},
  [12699] = {.lex_state = 0},
  [12700] = {.lex_state = 0},
  [12701] = {.lex_state = 0},
  [12702] = {.lex_state = 35},
  [12703] = {.lex_state = 0},
  [12704] = {.lex_state = 0},
  [12705] = {.lex_state = 0},
  [12706] = {.lex_state = 0},
  [12707] = {.lex_state = 0},
  [12708] = {.lex_state = 0},
  [12709] = {.lex_state = 0},
  [12710] = {.lex_state = 0},
  [12711] = {.lex_state = 0},
  [12712] = {.lex_state = 35},
  [12713] = {.lex_state = 0},
  [12714] = {.lex_state = 0},
  [12715] = {.lex_state = 0},
  [12716] = {.lex_state = 0},
  [12717] = {.lex_state = 35},
  [12718] = {.lex_state = 0},
  [12719] = {.lex_state = 35},
  [12720] = {.lex_state = 0},
  [12721] = {.lex_state = 0},
  [12722] = {.lex_state = 0},
  [12723] = {.lex_state = 0},
  [12724] = {.lex_state = 0},
  [12725] = {.lex_state = 0},
  [12726] = {.lex_state = 35},
  [12727] = {.lex_state = 35},
  [12728] = {.lex_state = 0},
  [12729] = {.lex_state = 0},
  [12730] = {.lex_state = 0},
  [12731] = {.lex_state = 0},
  [12732] = {.lex_state = 0},
  [12733] = {.lex_state = 0},
  [12734] = {.lex_state = 0},
  [12735] = {.lex_state = 0},
  [12736] = {.lex_state = 0},
  [12737] = {.lex_state = 0},
  [12738] = {.lex_state = 35},
  [12739] = {.lex_state = 35},
  [12740] = {.lex_state = 0},
  [12741] = {.lex_state = 35},
  [12742] = {.lex_state = 0},
  [12743] = {.lex_state = 0},
  [12744] = {.lex_state = 0},
  [12745] = {.lex_state = 0},
  [12746] = {.lex_state = 0},
  [12747] = {.lex_state = 35},
  [12748] = {.lex_state = 0},
  [12749] = {.lex_state = 0},
  [12750] = {.lex_state = 0},
  [12751] = {.lex_state = 0},
  [12752] = {.lex_state = 35},
  [12753] = {.lex_state = 35},
  [12754] = {.lex_state = 35},
  [12755] = {.lex_state = 0},
  [12756] = {.lex_state = 0},
  [12757] = {.lex_state = 0},
  [12758] = {.lex_state = 35},
  [12759] = {.lex_state = 0},
  [12760] = {.lex_state = 0},
  [12761] = {.lex_state = 0},
  [12762] = {.lex_state = 0},
  [12763] = {.lex_state = 0},
  [12764] = {.lex_state = 0},
  [12765] = {.lex_state = 0},
  [12766] = {.lex_state = 0},
  [12767] = {.lex_state = 0},
  [12768] = {.lex_state = 0},
  [12769] = {.lex_state = 0},
  [12770] = {.lex_state = 0},
  [12771] = {.lex_state = 0},
  [12772] = {.lex_state = 0},
  [12773] = {.lex_state = 35},
  [12774] = {.lex_state = 0},
  [12775] = {.lex_state = 0},
  [12776] = {.lex_state = 0},
  [12777] = {.lex_state = 0},
  [12778] = {.lex_state = 0},
  [12779] = {.lex_state = 0},
  [12780] = {.lex_state = 0},
  [12781] = {.lex_state = 0},
  [12782] = {.lex_state = 0},
  [12783] = {.lex_state = 0},
  [12784] = {.lex_state = 0},
  [12785] = {.lex_state = 0},
  [12786] = {.lex_state = 35},
  [12787] = {.lex_state = 0},
  [12788] = {.lex_state = 0},
  [12789] = {.lex_state = 0},
  [12790] = {.lex_state = 0},
  [12791] = {.lex_state = 0},
  [12792] = {.lex_state = 0},
  [12793] = {.lex_state = 0},
  [12794] = {.lex_state = 0},
  [12795] = {.lex_state = 0},
  [12796] = {.lex_state = 0},
  [12797] = {.lex_state = 0},
  [12798] = {.lex_state = 0},
  [12799] = {.lex_state = 0},
  [12800] = {.lex_state = 0},
  [12801] = {.lex_state = 0},
  [12802] = {.lex_state = 0},
  [12803] = {.lex_state = 35},
  [12804] = {.lex_state = 0},
  [12805] = {.lex_state = 0},
  [12806] = {.lex_state = 0},
  [12807] = {.lex_state = 0},
  [12808] = {.lex_state = 0},
  [12809] = {.lex_state = 0},
  [12810] = {.lex_state = 0},
  [12811] = {.lex_state = 0},
  [12812] = {.lex_state = 0},
  [12813] = {.lex_state = 35},
  [12814] = {.lex_state = 0},
  [12815] = {.lex_state = 0},
  [12816] = {.lex_state = 0},
  [12817] = {.lex_state = 0},
  [12818] = {.lex_state = 0},
  [12819] = {.lex_state = 35},
  [12820] = {.lex_state = 0},
  [12821] = {.lex_state = 0},
  [12822] = {.lex_state = 0},
  [12823] = {.lex_state = 0},
  [12824] = {.lex_state = 0},
  [12825] = {.lex_state = 0},
  [12826] = {.lex_state = 0},
  [12827] = {.lex_state = 0},
  [12828] = {.lex_state = 0},
  [12829] = {.lex_state = 0},
  [12830] = {.lex_state = 0},
  [12831] = {.lex_state = 0},
  [12832] = {.lex_state = 35},
  [12833] = {.lex_state = 0},
  [12834] = {.lex_state = 0},
  [12835] = {.lex_state = 0},
  [12836] = {.lex_state = 0},
  [12837] = {.lex_state = 0},
  [12838] = {.lex_state = 0},
  [12839] = {.lex_state = 0},
  [12840] = {.lex_state = 0},
  [12841] = {.lex_state = 0},
  [12842] = {.lex_state = 35},
  [12843] = {.lex_state = 0},
  [12844] = {.lex_state = 35},
  [12845] = {.lex_state = 35},
  [12846] = {.lex_state = 0},
  [12847] = {.lex_state = 0},
  [12848] = {.lex_state = 0},
  [12849] = {.lex_state = 0},
  [12850] = {.lex_state = 0},
  [12851] = {.lex_state = 0},
  [12852] = {.lex_state = 0},
  [12853] = {.lex_state = 35},
  [12854] = {.lex_state = 0},
  [12855] = {.lex_state = 0},
  [12856] = {.lex_state = 0},
  [12857] = {.lex_state = 0},
  [12858] = {.lex_state = 0},
  [12859] = {.lex_state = 0},
  [12860] = {.lex_state = 0},
  [12861] = {.lex_state = 0},
  [12862] = {.lex_state = 0},
  [12863] = {.lex_state = 0},
  [12864] = {.lex_state = 0},
  [12865] = {.lex_state = 0},
  [12866] = {.lex_state = 0},
  [12867] = {.lex_state = 0},
  [12868] = {.lex_state = 35},
  [12869] = {.lex_state = 0},
  [12870] = {.lex_state = 35},
  [12871] = {.lex_state = 35},
  [12872] = {.lex_state = 0},
  [12873] = {.lex_state = 0},
  [12874] = {.lex_state = 0},
  [12875] = {.lex_state = 0},
  [12876] = {.lex_state = 0},
  [12877] = {.lex_state = 0},
  [12878] = {.lex_state = 0},
  [12879] = {.lex_state = 0},
  [12880] = {.lex_state = 0},
  [12881] = {.lex_state = 0},
  [12882] = {.lex_state = 0},
  [12883] = {.lex_state = 0},
  [12884] = {.lex_state = 0},
  [12885] = {.lex_state = 0},
  [12886] = {.lex_state = 0},
  [12887] = {.lex_state = 0},
  [12888] = {.lex_state = 0},
  [12889] = {.lex_state = 0},
  [12890] = {.lex_state = 0},
  [12891] = {.lex_state = 35},
  [12892] = {.lex_state = 0},
  [12893] = {.lex_state = 0},
  [12894] = {.lex_state = 0},
  [12895] = {.lex_state = 0},
  [12896] = {.lex_state = 0},
  [12897] = {.lex_state = 0},
  [12898] = {.lex_state = 0},
  [12899] = {.lex_state = 0},
  [12900] = {.lex_state = 0},
  [12901] = {.lex_state = 0},
  [12902] = {.lex_state = 0},
  [12903] = {.lex_state = 0},
  [12904] = {.lex_state = 0},
  [12905] = {.lex_state = 0},
  [12906] = {.lex_state = 0},
  [12907] = {.lex_state = 0},
  [12908] = {.lex_state = 0},
  [12909] = {.lex_state = 0},
  [12910] = {.lex_state = 0},
  [12911] = {.lex_state = 0},
  [12912] = {.lex_state = 0},
  [12913] = {.lex_state = 0},
  [12914] = {.lex_state = 0},
  [12915] = {.lex_state = 0},
  [12916] = {.lex_state = 0},
  [12917] = {.lex_state = 0},
  [12918] = {.lex_state = 0},
  [12919] = {.lex_state = 0},
  [12920] = {.lex_state = 0},
  [12921] = {.lex_state = 0},
  [12922] = {.lex_state = 0},
  [12923] = {.lex_state = 0},
  [12924] = {.lex_state = 0},
  [12925] = {.lex_state = 0},
  [12926] = {.lex_state = 0},
  [12927] = {.lex_state = 0},
  [12928] = {.lex_state = 0},
  [12929] = {.lex_state = 0},
  [12930] = {.lex_state = 35},
  [12931] = {.lex_state = 35},
  [12932] = {.lex_state = 35},
  [12933] = {.lex_state = 0},
  [12934] = {.lex_state = 35},
  [12935] = {.lex_state = 35},
  [12936] = {.lex_state = 0},
  [12937] = {.lex_state = 0},
  [12938] = {.lex_state = 0},
  [12939] = {.lex_state = 35},
  [12940] = {.lex_state = 0},
  [12941] = {.lex_state = 0},
  [12942] = {.lex_state = 0},
  [12943] = {.lex_state = 0},
  [12944] = {.lex_state = 0},
  [12945] = {.lex_state = 0},
  [12946] = {.lex_state = 0},
  [12947] = {.lex_state = 0},
  [12948] = {.lex_state = 0},
  [12949] = {.lex_state = 0},
  [12950] = {.lex_state = 35},
  [12951] = {.lex_state = 0},
  [12952] = {.lex_state = 0},
  [12953] = {.lex_state = 0},
  [12954] = {.lex_state = 0},
  [12955] = {.lex_state = 0},
  [12956] = {.lex_state = 0},
  [12957] = {.lex_state = 0},
  [12958] = {.lex_state = 0},
  [12959] = {.lex_state = 0},
  [12960] = {.lex_state = 0},
  [12961] = {.lex_state = 35},
  [12962] = {.lex_state = 35},
  [12963] = {.lex_state = 35},
  [12964] = {.lex_state = 35},
  [12965] = {.lex_state = 0},
  [12966] = {.lex_state = 0},
  [12967] = {.lex_state = 0},
  [12968] = {.lex_state = 0},
  [12969] = {.lex_state = 0},
  [12970] = {.lex_state = 0},
  [12971] = {.lex_state = 0},
  [12972] = {.lex_state = 0},
  [12973] = {.lex_state = 0},
  [12974] = {.lex_state = 35},
  [12975] = {.lex_state = 0},
  [12976] = {.lex_state = 0},
  [12977] = {.lex_state = 0},
  [12978] = {.lex_state = 0},
  [12979] = {.lex_state = 33},
  [12980] = {.lex_state = 0},
  [12981] = {.lex_state = 0},
  [12982] = {.lex_state = 0},
  [12983] = {.lex_state = 0},
  [12984] = {.lex_state = 0},
  [12985] = {.lex_state = 0},
  [12986] = {.lex_state = 0},
  [12987] = {.lex_state = 35},
  [12988] = {.lex_state = 0},
  [12989] = {.lex_state = 0},
  [12990] = {.lex_state = 0},
  [12991] = {.lex_state = 0},
  [12992] = {.lex_state = 0},
  [12993] = {.lex_state = 0},
  [12994] = {.lex_state = 35},
  [12995] = {.lex_state = 0},
  [12996] = {.lex_state = 35},
  [12997] = {.lex_state = 0},
  [12998] = {.lex_state = 35},
  [12999] = {.lex_state = 0},
  [13000] = {.lex_state = 0},
  [13001] = {.lex_state = 0},
  [13002] = {.lex_state = 0},
  [13003] = {.lex_state = 0},
  [13004] = {.lex_state = 0},
  [13005] = {.lex_state = 0},
  [13006] = {.lex_state = 0},
  [13007] = {.lex_state = 0},
  [13008] = {.lex_state = 0},
  [13009] = {.lex_state = 35},
  [13010] = {.lex_state = 0},
  [13011] = {.lex_state = 0},
  [13012] = {.lex_state = 0},
  [13013] = {.lex_state = 0},
  [13014] = {.lex_state = 0},
  [13015] = {.lex_state = 0},
  [13016] = {.lex_state = 0},
  [13017] = {.lex_state = 0},
  [13018] = {.lex_state = 0},
  [13019] = {.lex_state = 0},
  [13020] = {.lex_state = 0},
  [13021] = {.lex_state = 0},
  [13022] = {.lex_state = 0},
  [13023] = {.lex_state = 35},
  [13024] = {.lex_state = 0},
  [13025] = {.lex_state = 0},
  [13026] = {.lex_state = 0},
  [13027] = {.lex_state = 0},
  [13028] = {.lex_state = 0},
  [13029] = {.lex_state = 0},
  [13030] = {.lex_state = 0},
  [13031] = {.lex_state = 0},
  [13032] = {.lex_state = 0},
  [13033] = {.lex_state = 0},
  [13034] = {.lex_state = 0},
  [13035] = {.lex_state = 0},
  [13036] = {.lex_state = 0},
  [13037] = {.lex_state = 0},
  [13038] = {.lex_state = 0},
  [13039] = {.lex_state = 0},
  [13040] = {.lex_state = 0},
  [13041] = {.lex_state = 0},
  [13042] = {.lex_state = 0},
  [13043] = {.lex_state = 35},
  [13044] = {.lex_state = 0},
  [13045] = {.lex_state = 35},
  [13046] = {.lex_state = 35},
  [13047] = {.lex_state = 0},
  [13048] = {.lex_state = 35},
  [13049] = {.lex_state = 0},
  [13050] = {.lex_state = 35},
  [13051] = {.lex_state = 0},
  [13052] = {.lex_state = 35},
  [13053] = {.lex_state = 0},
  [13054] = {.lex_state = 0},
  [13055] = {.lex_state = 0},
  [13056] = {.lex_state = 0},
  [13057] = {.lex_state = 35},
  [13058] = {.lex_state = 0},
  [13059] = {.lex_state = 0},
  [13060] = {.lex_state = 0},
  [13061] = {.lex_state = 0},
  [13062] = {.lex_state = 0},
  [13063] = {.lex_state = 0},
  [13064] = {.lex_state = 0},
  [13065] = {.lex_state = 0},
  [13066] = {.lex_state = 0},
  [13067] = {.lex_state = 0},
  [13068] = {.lex_state = 35},
  [13069] = {.lex_state = 0},
  [13070] = {.lex_state = 0},
  [13071] = {.lex_state = 0},
  [13072] = {.lex_state = 0},
  [13073] = {.lex_state = 0},
  [13074] = {.lex_state = 0},
  [13075] = {.lex_state = 0},
  [13076] = {.lex_state = 0},
  [13077] = {.lex_state = 0},
  [13078] = {.lex_state = 0},
  [13079] = {.lex_state = 35},
  [13080] = {.lex_state = 0},
  [13081] = {.lex_state = 0},
  [13082] = {.lex_state = 35},
  [13083] = {.lex_state = 0},
  [13084] = {.lex_state = 0},
  [13085] = {.lex_state = 0},
  [13086] = {.lex_state = 0},
  [13087] = {.lex_state = 0},
  [13088] = {.lex_state = 0},
  [13089] = {.lex_state = 0},
  [13090] = {.lex_state = 35},
  [13091] = {.lex_state = 35},
  [13092] = {.lex_state = 0},
  [13093] = {.lex_state = 0},
  [13094] = {.lex_state = 0},
  [13095] = {.lex_state = 0},
  [13096] = {.lex_state = 0},
  [13097] = {.lex_state = 35},
  [13098] = {.lex_state = 35},
  [13099] = {.lex_state = 0},
  [13100] = {.lex_state = 0},
  [13101] = {.lex_state = 0},
  [13102] = {.lex_state = 35},
  [13103] = {.lex_state = 0},
  [13104] = {.lex_state = 0},
  [13105] = {.lex_state = 0},
  [13106] = {.lex_state = 0},
  [13107] = {.lex_state = 35},
  [13108] = {.lex_state = 0},
  [13109] = {.lex_state = 0},
  [13110] = {.lex_state = 0},
  [13111] = {.lex_state = 0},
  [13112] = {.lex_state = 0},
  [13113] = {.lex_state = 0},
  [13114] = {.lex_state = 0},
  [13115] = {.lex_state = 0},
  [13116] = {.lex_state = 0},
  [13117] = {.lex_state = 0},
  [13118] = {.lex_state = 0},
  [13119] = {.lex_state = 0},
  [13120] = {.lex_state = 0},
  [13121] = {.lex_state = 0},
  [13122] = {.lex_state = 0},
  [13123] = {.lex_state = 0},
  [13124] = {.lex_state = 0},
  [13125] = {.lex_state = 0},
  [13126] = {.lex_state = 0},
  [13127] = {.lex_state = 35},
  [13128] = {.lex_state = 0},
  [13129] = {.lex_state = 0},
  [13130] = {.lex_state = 0},
  [13131] = {.lex_state = 0},
  [13132] = {.lex_state = 0},
  [13133] = {.lex_state = 0},
  [13134] = {.lex_state = 0},
  [13135] = {.lex_state = 0},
  [13136] = {.lex_state = 0},
  [13137] = {.lex_state = 35},
  [13138] = {.lex_state = 0},
  [13139] = {.lex_state = 0},
  [13140] = {.lex_state = 0},
  [13141] = {.lex_state = 0},
  [13142] = {.lex_state = 0},
  [13143] = {.lex_state = 0},
  [13144] = {.lex_state = 0},
  [13145] = {.lex_state = 0},
  [13146] = {.lex_state = 0},
  [13147] = {.lex_state = 0},
  [13148] = {.lex_state = 0},
  [13149] = {.lex_state = 0},
  [13150] = {.lex_state = 35},
  [13151] = {.lex_state = 0},
  [13152] = {.lex_state = 0},
  [13153] = {.lex_state = 0},
  [13154] = {.lex_state = 0},
  [13155] = {.lex_state = 0},
  [13156] = {.lex_state = 0},
  [13157] = {.lex_state = 0},
  [13158] = {.lex_state = 0},
  [13159] = {.lex_state = 0},
  [13160] = {.lex_state = 0},
  [13161] = {.lex_state = 0},
  [13162] = {.lex_state = 0},
  [13163] = {.lex_state = 0},
  [13164] = {.lex_state = 0},
  [13165] = {.lex_state = 0},
  [13166] = {.lex_state = 0},
  [13167] = {.lex_state = 0},
  [13168] = {.lex_state = 35},
  [13169] = {.lex_state = 0},
  [13170] = {.lex_state = 0},
  [13171] = {.lex_state = 0},
  [13172] = {.lex_state = 0},
  [13173] = {.lex_state = 0},
  [13174] = {.lex_state = 0},
  [13175] = {.lex_state = 35},
  [13176] = {.lex_state = 0},
  [13177] = {.lex_state = 0},
  [13178] = {.lex_state = 0},
  [13179] = {.lex_state = 0},
  [13180] = {.lex_state = 0},
  [13181] = {.lex_state = 0},
  [13182] = {.lex_state = 0},
  [13183] = {.lex_state = 0},
  [13184] = {.lex_state = 0},
  [13185] = {.lex_state = 0},
  [13186] = {.lex_state = 35},
  [13187] = {.lex_state = 0},
  [13188] = {.lex_state = 0},
  [13189] = {.lex_state = 0},
  [13190] = {.lex_state = 0},
  [13191] = {.lex_state = 0},
  [13192] = {.lex_state = 0},
  [13193] = {.lex_state = 0},
  [13194] = {.lex_state = 0},
  [13195] = {.lex_state = 0},
  [13196] = {.lex_state = 0},
  [13197] = {.lex_state = 0},
  [13198] = {.lex_state = 0},
  [13199] = {.lex_state = 0},
  [13200] = {.lex_state = 0},
  [13201] = {.lex_state = 0},
  [13202] = {.lex_state = 0},
  [13203] = {.lex_state = 0},
  [13204] = {.lex_state = 0},
  [13205] = {.lex_state = 0},
  [13206] = {.lex_state = 0},
  [13207] = {.lex_state = 35},
  [13208] = {.lex_state = 0},
  [13209] = {.lex_state = 0},
  [13210] = {.lex_state = 0},
  [13211] = {.lex_state = 0},
  [13212] = {.lex_state = 0},
  [13213] = {.lex_state = 0},
  [13214] = {.lex_state = 0},
  [13215] = {.lex_state = 0, .external_lex_state = 2},
  [13216] = {.lex_state = 35},
  [13217] = {.lex_state = 0},
  [13218] = {.lex_state = 0},
  [13219] = {.lex_state = 0},
  [13220] = {.lex_state = 0},
  [13221] = {.lex_state = 0},
  [13222] = {.lex_state = 35},
  [13223] = {.lex_state = 0},
  [13224] = {.lex_state = 0},
  [13225] = {.lex_state = 0},
  [13226] = {.lex_state = 0},
  [13227] = {.lex_state = 35},
  [13228] = {.lex_state = 0},
  [13229] = {.lex_state = 0},
  [13230] = {.lex_state = 35},
  [13231] = {.lex_state = 35},
  [13232] = {.lex_state = 0},
  [13233] = {.lex_state = 0},
  [13234] = {.lex_state = 0},
  [13235] = {.lex_state = 0},
  [13236] = {.lex_state = 0},
  [13237] = {.lex_state = 0},
  [13238] = {.lex_state = 0},
  [13239] = {.lex_state = 0},
  [13240] = {.lex_state = 0},
  [13241] = {.lex_state = 0},
  [13242] = {.lex_state = 0},
  [13243] = {.lex_state = 0},
  [13244] = {.lex_state = 0},
  [13245] = {.lex_state = 35},
  [13246] = {.lex_state = 0},
  [13247] = {.lex_state = 0},
  [13248] = {.lex_state = 0},
  [13249] = {.lex_state = 0},
  [13250] = {.lex_state = 0},
  [13251] = {.lex_state = 0},
  [13252] = {.lex_state = 0},
  [13253] = {.lex_state = 0},
  [13254] = {.lex_state = 0},
  [13255] = {.lex_state = 0},
  [13256] = {.lex_state = 0},
  [13257] = {.lex_state = 0},
  [13258] = {.lex_state = 0},
  [13259] = {.lex_state = 0},
  [13260] = {.lex_state = 0},
  [13261] = {.lex_state = 0},
  [13262] = {.lex_state = 0},
  [13263] = {.lex_state = 0},
  [13264] = {.lex_state = 0},
  [13265] = {.lex_state = 0},
  [13266] = {.lex_state = 0},
  [13267] = {.lex_state = 0},
  [13268] = {.lex_state = 0},
  [13269] = {.lex_state = 0},
  [13270] = {.lex_state = 0},
  [13271] = {.lex_state = 0},
  [13272] = {.lex_state = 0},
  [13273] = {.lex_state = 0},
  [13274] = {.lex_state = 0},
  [13275] = {.lex_state = 35},
  [13276] = {.lex_state = 0},
  [13277] = {.lex_state = 0},
  [13278] = {.lex_state = 0},
  [13279] = {.lex_state = 0},
  [13280] = {.lex_state = 0},
  [13281] = {.lex_state = 35},
  [13282] = {.lex_state = 0},
  [13283] = {.lex_state = 35},
  [13284] = {.lex_state = 0},
  [13285] = {.lex_state = 0},
  [13286] = {.lex_state = 0},
  [13287] = {.lex_state = 0},
  [13288] = {.lex_state = 0},
  [13289] = {.lex_state = 0},
  [13290] = {.lex_state = 35},
  [13291] = {.lex_state = 0},
  [13292] = {.lex_state = 0},
  [13293] = {.lex_state = 35},
  [13294] = {.lex_state = 0},
  [13295] = {.lex_state = 0},
  [13296] = {.lex_state = 0},
  [13297] = {.lex_state = 0},
  [13298] = {.lex_state = 0},
  [13299] = {.lex_state = 0},
  [13300] = {.lex_state = 0},
  [13301] = {.lex_state = 0},
  [13302] = {.lex_state = 0},
  [13303] = {.lex_state = 0},
  [13304] = {.lex_state = 35},
  [13305] = {.lex_state = 0},
  [13306] = {.lex_state = 0},
  [13307] = {.lex_state = 0},
  [13308] = {.lex_state = 0},
  [13309] = {.lex_state = 0},
  [13310] = {.lex_state = 0},
  [13311] = {.lex_state = 0},
  [13312] = {.lex_state = 0},
  [13313] = {.lex_state = 0},
  [13314] = {.lex_state = 0},
  [13315] = {.lex_state = 0},
  [13316] = {.lex_state = 35},
  [13317] = {.lex_state = 35},
  [13318] = {.lex_state = 0},
  [13319] = {.lex_state = 0},
  [13320] = {.lex_state = 0},
  [13321] = {.lex_state = 0},
  [13322] = {.lex_state = 0},
  [13323] = {.lex_state = 0},
  [13324] = {.lex_state = 0},
  [13325] = {.lex_state = 0},
  [13326] = {.lex_state = 35},
  [13327] = {.lex_state = 0},
  [13328] = {.lex_state = 0},
  [13329] = {.lex_state = 0},
  [13330] = {.lex_state = 0},
  [13331] = {.lex_state = 0},
  [13332] = {.lex_state = 0},
  [13333] = {.lex_state = 35},
  [13334] = {.lex_state = 35},
  [13335] = {.lex_state = 0},
  [13336] = {.lex_state = 0},
  [13337] = {.lex_state = 0},
  [13338] = {.lex_state = 0},
  [13339] = {.lex_state = 0},
  [13340] = {.lex_state = 0},
  [13341] = {.lex_state = 0},
  [13342] = {.lex_state = 0},
  [13343] = {.lex_state = 0},
  [13344] = {.lex_state = 0},
  [13345] = {.lex_state = 0},
  [13346] = {.lex_state = 0},
  [13347] = {.lex_state = 0},
  [13348] = {.lex_state = 0},
  [13349] = {.lex_state = 0},
  [13350] = {.lex_state = 0},
  [13351] = {.lex_state = 0},
  [13352] = {.lex_state = 0},
  [13353] = {.lex_state = 0},
  [13354] = {.lex_state = 35},
  [13355] = {.lex_state = 0},
  [13356] = {.lex_state = 0},
  [13357] = {.lex_state = 0},
  [13358] = {.lex_state = 0},
  [13359] = {.lex_state = 0},
  [13360] = {.lex_state = 0},
  [13361] = {.lex_state = 0},
  [13362] = {.lex_state = 0},
  [13363] = {.lex_state = 0},
  [13364] = {.lex_state = 0},
  [13365] = {.lex_state = 0},
  [13366] = {.lex_state = 0},
  [13367] = {.lex_state = 0},
  [13368] = {.lex_state = 0},
  [13369] = {.lex_state = 0},
  [13370] = {.lex_state = 0},
  [13371] = {.lex_state = 0},
  [13372] = {.lex_state = 0},
  [13373] = {.lex_state = 0},
  [13374] = {.lex_state = 0},
  [13375] = {.lex_state = 0},
  [13376] = {.lex_state = 0},
  [13377] = {.lex_state = 0},
  [13378] = {.lex_state = 35},
  [13379] = {.lex_state = 35},
  [13380] = {.lex_state = 0},
  [13381] = {.lex_state = 0},
  [13382] = {.lex_state = 0},
  [13383] = {.lex_state = 0},
  [13384] = {.lex_state = 0},
  [13385] = {.lex_state = 0},
  [13386] = {.lex_state = 0},
  [13387] = {.lex_state = 0},
  [13388] = {.lex_state = 0},
  [13389] = {.lex_state = 0},
  [13390] = {.lex_state = 35},
  [13391] = {.lex_state = 0},
  [13392] = {.lex_state = 35},
  [13393] = {.lex_state = 0},
  [13394] = {.lex_state = 0},
  [13395] = {.lex_state = 0},
  [13396] = {.lex_state = 0},
  [13397] = {.lex_state = 0},
  [13398] = {.lex_state = 0},
  [13399] = {.lex_state = 0},
  [13400] = {.lex_state = 0},
  [13401] = {.lex_state = 0},
  [13402] = {.lex_state = 0},
  [13403] = {.lex_state = 0},
  [13404] = {.lex_state = 0},
  [13405] = {.lex_state = 0},
  [13406] = {.lex_state = 0},
  [13407] = {.lex_state = 0},
  [13408] = {.lex_state = 0},
  [13409] = {.lex_state = 0},
  [13410] = {.lex_state = 0},
  [13411] = {.lex_state = 0},
  [13412] = {.lex_state = 0},
  [13413] = {.lex_state = 0},
  [13414] = {.lex_state = 0},
  [13415] = {.lex_state = 0},
  [13416] = {.lex_state = 35},
  [13417] = {.lex_state = 0},
  [13418] = {.lex_state = 0},
  [13419] = {.lex_state = 0},
  [13420] = {.lex_state = 0},
  [13421] = {.lex_state = 0},
  [13422] = {.lex_state = 0},
  [13423] = {.lex_state = 0},
  [13424] = {.lex_state = 0},
  [13425] = {.lex_state = 0},
  [13426] = {.lex_state = 0},
  [13427] = {.lex_state = 0},
  [13428] = {.lex_state = 0},
  [13429] = {.lex_state = 0},
  [13430] = {.lex_state = 0},
  [13431] = {.lex_state = 0},
  [13432] = {.lex_state = 0},
  [13433] = {.lex_state = 0},
  [13434] = {.lex_state = 0},
  [13435] = {.lex_state = 0},
  [13436] = {.lex_state = 0},
  [13437] = {.lex_state = 0},
  [13438] = {.lex_state = 0},
  [13439] = {.lex_state = 0},
  [13440] = {.lex_state = 0},
  [13441] = {.lex_state = 0},
  [13442] = {.lex_state = 0},
  [13443] = {.lex_state = 0},
  [13444] = {.lex_state = 0},
  [13445] = {.lex_state = 0},
  [13446] = {.lex_state = 0},
  [13447] = {.lex_state = 0},
  [13448] = {.lex_state = 35},
  [13449] = {.lex_state = 35},
  [13450] = {.lex_state = 0},
  [13451] = {.lex_state = 35},
  [13452] = {.lex_state = 35},
  [13453] = {.lex_state = 0},
  [13454] = {.lex_state = 0},
  [13455] = {.lex_state = 35},
  [13456] = {.lex_state = 0},
  [13457] = {.lex_state = 0},
  [13458] = {.lex_state = 0},
  [13459] = {.lex_state = 35},
  [13460] = {.lex_state = 35},
  [13461] = {.lex_state = 0},
  [13462] = {.lex_state = 0},
  [13463] = {.lex_state = 0},
  [13464] = {.lex_state = 0},
  [13465] = {.lex_state = 35},
  [13466] = {.lex_state = 0},
  [13467] = {.lex_state = 0},
  [13468] = {.lex_state = 35},
  [13469] = {.lex_state = 0},
  [13470] = {.lex_state = 35},
  [13471] = {.lex_state = 35},
  [13472] = {.lex_state = 0},
  [13473] = {.lex_state = 0},
  [13474] = {.lex_state = 0},
  [13475] = {.lex_state = 0},
  [13476] = {.lex_state = 0},
  [13477] = {.lex_state = 35},
  [13478] = {.lex_state = 0},
  [13479] = {.lex_state = 35},
  [13480] = {.lex_state = 0},
  [13481] = {.lex_state = 35},
  [13482] = {.lex_state = 0},
  [13483] = {.lex_state = 0},
  [13484] = {.lex_state = 35},
  [13485] = {.lex_state = 35},
  [13486] = {.lex_state = 0},
  [13487] = {.lex_state = 35},
  [13488] = {.lex_state = 0},
  [13489] = {.lex_state = 35},
  [13490] = {.lex_state = 0},
  [13491] = {.lex_state = 0},
  [13492] = {.lex_state = 0},
  [13493] = {.lex_state = 0},
  [13494] = {.lex_state = 0},
  [13495] = {.lex_state = 0},
  [13496] = {.lex_state = 0},
  [13497] = {.lex_state = 0},
  [13498] = {.lex_state = 35},
  [13499] = {.lex_state = 0},
  [13500] = {.lex_state = 0},
  [13501] = {.lex_state = 0},
  [13502] = {.lex_state = 0},
  [13503] = {.lex_state = 0},
  [13504] = {.lex_state = 0},
  [13505] = {.lex_state = 35},
  [13506] = {.lex_state = 0},
  [13507] = {.lex_state = 35},
  [13508] = {.lex_state = 0},
  [13509] = {.lex_state = 0},
  [13510] = {.lex_state = 0},
  [13511] = {.lex_state = 35},
  [13512] = {.lex_state = 35},
  [13513] = {.lex_state = 0},
  [13514] = {.lex_state = 35},
  [13515] = {.lex_state = 35},
  [13516] = {.lex_state = 0},
  [13517] = {.lex_state = 0},
  [13518] = {.lex_state = 0},
  [13519] = {.lex_state = 35},
  [13520] = {.lex_state = 35},
  [13521] = {.lex_state = 0},
  [13522] = {.lex_state = 35},
  [13523] = {.lex_state = 0},
  [13524] = {.lex_state = 0},
  [13525] = {.lex_state = 0},
  [13526] = {.lex_state = 0},
  [13527] = {.lex_state = 0},
  [13528] = {.lex_state = 0},
  [13529] = {.lex_state = 0},
  [13530] = {.lex_state = 0},
  [13531] = {.lex_state = 0},
  [13532] = {.lex_state = 0},
  [13533] = {.lex_state = 0},
  [13534] = {.lex_state = 0},
  [13535] = {.lex_state = 35},
  [13536] = {.lex_state = 0},
  [13537] = {.lex_state = 35},
  [13538] = {.lex_state = 0},
  [13539] = {.lex_state = 0},
  [13540] = {.lex_state = 0},
  [13541] = {.lex_state = 35},
  [13542] = {.lex_state = 0},
  [13543] = {.lex_state = 35},
  [13544] = {.lex_state = 0},
  [13545] = {.lex_state = 35},
  [13546] = {.lex_state = 0},
  [13547] = {.lex_state = 0},
  [13548] = {.lex_state = 0},
  [13549] = {.lex_state = 0},
  [13550] = {.lex_state = 0},
  [13551] = {.lex_state = 0},
  [13552] = {.lex_state = 35},
  [13553] = {.lex_state = 0},
  [13554] = {.lex_state = 33},
  [13555] = {.lex_state = 35},
  [13556] = {.lex_state = 0},
  [13557] = {.lex_state = 0},
  [13558] = {.lex_state = 35},
  [13559] = {.lex_state = 0},
  [13560] = {.lex_state = 35},
  [13561] = {.lex_state = 35},
  [13562] = {.lex_state = 35},
  [13563] = {.lex_state = 35},
  [13564] = {.lex_state = 0},
  [13565] = {.lex_state = 0},
  [13566] = {.lex_state = 0},
  [13567] = {.lex_state = 0},
  [13568] = {.lex_state = 0},
  [13569] = {.lex_state = 0},
  [13570] = {.lex_state = 35},
  [13571] = {.lex_state = 0},
  [13572] = {.lex_state = 0},
  [13573] = {.lex_state = 0},
  [13574] = {.lex_state = 0},
  [13575] = {.lex_state = 0},
  [13576] = {.lex_state = 0},
  [13577] = {.lex_state = 35},
  [13578] = {.lex_state = 0},
  [13579] = {.lex_state = 35},
  [13580] = {.lex_state = 35},
  [13581] = {.lex_state = 0},
  [13582] = {.lex_state = 35},
  [13583] = {.lex_state = 35},
  [13584] = {.lex_state = 0},
  [13585] = {.lex_state = 0},
  [13586] = {.lex_state = 0},
  [13587] = {.lex_state = 0},
  [13588] = {.lex_state = 0},
  [13589] = {.lex_state = 0},
  [13590] = {.lex_state = 0},
  [13591] = {.lex_state = 0},
  [13592] = {.lex_state = 0},
  [13593] = {.lex_state = 0},
  [13594] = {.lex_state = 0},
  [13595] = {.lex_state = 0},
  [13596] = {.lex_state = 35},
  [13597] = {.lex_state = 0},
  [13598] = {.lex_state = 0},
  [13599] = {.lex_state = 0},
  [13600] = {.lex_state = 0},
  [13601] = {.lex_state = 35},
  [13602] = {.lex_state = 35},
  [13603] = {.lex_state = 0},
  [13604] = {.lex_state = 0},
  [13605] = {.lex_state = 0},
  [13606] = {.lex_state = 0},
  [13607] = {.lex_state = 0},
  [13608] = {.lex_state = 0},
  [13609] = {.lex_state = 0},
  [13610] = {.lex_state = 33},
  [13611] = {.lex_state = 0},
  [13612] = {.lex_state = 35},
  [13613] = {.lex_state = 0},
  [13614] = {.lex_state = 35},
  [13615] = {.lex_state = 0},
  [13616] = {.lex_state = 0},
  [13617] = {.lex_state = 0},
  [13618] = {.lex_state = 0},
  [13619] = {.lex_state = 0},
  [13620] = {.lex_state = 35},
  [13621] = {.lex_state = 35},
  [13622] = {.lex_state = 35},
  [13623] = {.lex_state = 35},
  [13624] = {.lex_state = 0},
  [13625] = {.lex_state = 0},
  [13626] = {.lex_state = 0},
  [13627] = {.lex_state = 0},
  [13628] = {.lex_state = 35},
  [13629] = {.lex_state = 35},
  [13630] = {.lex_state = 0},
  [13631] = {.lex_state = 0},
  [13632] = {.lex_state = 0},
  [13633] = {.lex_state = 0},
  [13634] = {.lex_state = 35},
  [13635] = {.lex_state = 35},
  [13636] = {.lex_state = 0},
  [13637] = {.lex_state = 35},
  [13638] = {.lex_state = 0},
  [13639] = {.lex_state = 0},
  [13640] = {.lex_state = 35},
  [13641] = {.lex_state = 0},
  [13642] = {.lex_state = 0},
  [13643] = {.lex_state = 0},
  [13644] = {.lex_state = 0},
  [13645] = {.lex_state = 0},
  [13646] = {.lex_state = 0},
  [13647] = {.lex_state = 0},
  [13648] = {.lex_state = 0},
  [13649] = {.lex_state = 0},
  [13650] = {.lex_state = 0},
  [13651] = {.lex_state = 0},
  [13652] = {.lex_state = 0},
  [13653] = {.lex_state = 0},
  [13654] = {.lex_state = 0},
  [13655] = {.lex_state = 0},
  [13656] = {.lex_state = 0},
  [13657] = {.lex_state = 35},
  [13658] = {.lex_state = 35},
  [13659] = {.lex_state = 0},
  [13660] = {.lex_state = 35},
  [13661] = {.lex_state = 0},
  [13662] = {.lex_state = 0},
  [13663] = {.lex_state = 0},
  [13664] = {.lex_state = 0},
  [13665] = {.lex_state = 0},
  [13666] = {.lex_state = 35},
  [13667] = {.lex_state = 35},
  [13668] = {.lex_state = 0},
  [13669] = {.lex_state = 0},
  [13670] = {.lex_state = 0},
  [13671] = {.lex_state = 0},
  [13672] = {.lex_state = 35},
  [13673] = {.lex_state = 0},
  [13674] = {.lex_state = 35},
  [13675] = {.lex_state = 35},
  [13676] = {.lex_state = 0},
  [13677] = {.lex_state = 0},
  [13678] = {.lex_state = 35},
  [13679] = {.lex_state = 35},
  [13680] = {.lex_state = 0},
  [13681] = {.lex_state = 0},
  [13682] = {.lex_state = 35},
  [13683] = {.lex_state = 0},
  [13684] = {.lex_state = 35},
  [13685] = {.lex_state = 0},
  [13686] = {.lex_state = 35},
  [13687] = {.lex_state = 0},
  [13688] = {.lex_state = 0},
  [13689] = {.lex_state = 35},
  [13690] = {.lex_state = 0},
  [13691] = {.lex_state = 35},
  [13692] = {.lex_state = 0},
  [13693] = {.lex_state = 0},
  [13694] = {.lex_state = 0},
  [13695] = {.lex_state = 35},
  [13696] = {.lex_state = 0},
  [13697] = {.lex_state = 0},
  [13698] = {.lex_state = 0},
  [13699] = {.lex_state = 0},
  [13700] = {.lex_state = 0},
  [13701] = {.lex_state = 0},
  [13702] = {.lex_state = 0},
  [13703] = {.lex_state = 0},
  [13704] = {.lex_state = 0},
  [13705] = {.lex_state = 0},
  [13706] = {.lex_state = 0},
  [13707] = {.lex_state = 0},
  [13708] = {.lex_state = 0},
  [13709] = {.lex_state = 0},
  [13710] = {.lex_state = 35},
  [13711] = {.lex_state = 0},
  [13712] = {.lex_state = 0},
  [13713] = {.lex_state = 0},
  [13714] = {.lex_state = 35},
  [13715] = {.lex_state = 0},
  [13716] = {.lex_state = 0},
  [13717] = {.lex_state = 0},
  [13718] = {.lex_state = 0},
  [13719] = {.lex_state = 0},
  [13720] = {.lex_state = 0},
  [13721] = {.lex_state = 35},
  [13722] = {.lex_state = 0},
  [13723] = {.lex_state = 0},
  [13724] = {.lex_state = 0, .external_lex_state = 2},
  [13725] = {.lex_state = 0},
  [13726] = {.lex_state = 35},
  [13727] = {.lex_state = 0},
  [13728] = {.lex_state = 0},
  [13729] = {.lex_state = 0},
  [13730] = {.lex_state = 0},
  [13731] = {.lex_state = 0},
  [13732] = {.lex_state = 0},
  [13733] = {.lex_state = 35},
  [13734] = {.lex_state = 0},
  [13735] = {.lex_state = 35},
  [13736] = {.lex_state = 0},
  [13737] = {.lex_state = 0},
  [13738] = {.lex_state = 0},
  [13739] = {.lex_state = 0},
  [13740] = {.lex_state = 0},
  [13741] = {.lex_state = 0},
  [13742] = {.lex_state = 35},
  [13743] = {.lex_state = 35},
  [13744] = {.lex_state = 0},
  [13745] = {.lex_state = 0},
  [13746] = {.lex_state = 0},
  [13747] = {.lex_state = 0},
  [13748] = {.lex_state = 0},
  [13749] = {.lex_state = 0},
  [13750] = {.lex_state = 0},
  [13751] = {.lex_state = 35},
  [13752] = {.lex_state = 0},
  [13753] = {.lex_state = 35},
  [13754] = {.lex_state = 0},
  [13755] = {.lex_state = 35},
  [13756] = {.lex_state = 0},
  [13757] = {.lex_state = 35},
  [13758] = {.lex_state = 0},
  [13759] = {.lex_state = 0},
  [13760] = {.lex_state = 0},
  [13761] = {.lex_state = 0},
  [13762] = {.lex_state = 0},
  [13763] = {.lex_state = 0},
  [13764] = {.lex_state = 0},
  [13765] = {.lex_state = 35},
  [13766] = {.lex_state = 0},
  [13767] = {.lex_state = 0},
  [13768] = {.lex_state = 0},
  [13769] = {.lex_state = 0},
  [13770] = {.lex_state = 0},
  [13771] = {.lex_state = 0},
  [13772] = {.lex_state = 0},
  [13773] = {.lex_state = 0},
  [13774] = {.lex_state = 0},
  [13775] = {.lex_state = 0},
  [13776] = {.lex_state = 35},
  [13777] = {.lex_state = 0},
  [13778] = {.lex_state = 35},
  [13779] = {.lex_state = 0},
  [13780] = {.lex_state = 0},
  [13781] = {.lex_state = 35},
  [13782] = {.lex_state = 0},
  [13783] = {.lex_state = 0},
  [13784] = {.lex_state = 0},
  [13785] = {.lex_state = 0},
  [13786] = {.lex_state = 0},
  [13787] = {.lex_state = 35},
  [13788] = {.lex_state = 0},
  [13789] = {.lex_state = 35},
  [13790] = {.lex_state = 35},
  [13791] = {.lex_state = 0},
  [13792] = {.lex_state = 0},
  [13793] = {.lex_state = 0},
  [13794] = {.lex_state = 0},
  [13795] = {.lex_state = 0},
  [13796] = {.lex_state = 0},
  [13797] = {.lex_state = 0},
  [13798] = {.lex_state = 35},
  [13799] = {.lex_state = 0},
  [13800] = {.lex_state = 0},
  [13801] = {.lex_state = 35},
  [13802] = {.lex_state = 0},
  [13803] = {.lex_state = 0},
  [13804] = {.lex_state = 0},
  [13805] = {.lex_state = 35},
  [13806] = {.lex_state = 0},
  [13807] = {.lex_state = 0},
  [13808] = {.lex_state = 0},
  [13809] = {.lex_state = 0},
  [13810] = {.lex_state = 0},
  [13811] = {.lex_state = 0},
  [13812] = {.lex_state = 0},
  [13813] = {.lex_state = 0},
  [13814] = {.lex_state = 35},
  [13815] = {.lex_state = 0},
  [13816] = {.lex_state = 0},
  [13817] = {.lex_state = 0},
  [13818] = {.lex_state = 0},
  [13819] = {.lex_state = 0},
  [13820] = {.lex_state = 35},
  [13821] = {.lex_state = 0},
  [13822] = {.lex_state = 0},
  [13823] = {.lex_state = 0},
  [13824] = {.lex_state = 0},
  [13825] = {.lex_state = 35},
  [13826] = {.lex_state = 0},
  [13827] = {.lex_state = 0},
  [13828] = {.lex_state = 0},
  [13829] = {.lex_state = 35},
  [13830] = {.lex_state = 0},
  [13831] = {.lex_state = 0},
  [13832] = {.lex_state = 0},
  [13833] = {.lex_state = 35},
  [13834] = {.lex_state = 0},
  [13835] = {.lex_state = 0},
  [13836] = {.lex_state = 0},
  [13837] = {.lex_state = 0},
  [13838] = {.lex_state = 0},
  [13839] = {.lex_state = 0},
  [13840] = {.lex_state = 35},
  [13841] = {.lex_state = 35},
  [13842] = {.lex_state = 35},
  [13843] = {.lex_state = 0},
  [13844] = {.lex_state = 0},
  [13845] = {.lex_state = 0},
  [13846] = {.lex_state = 0},
  [13847] = {.lex_state = 0},
  [13848] = {.lex_state = 0},
  [13849] = {.lex_state = 0},
  [13850] = {.lex_state = 0},
  [13851] = {.lex_state = 35},
  [13852] = {.lex_state = 35},
  [13853] = {.lex_state = 0},
  [13854] = {.lex_state = 35},
  [13855] = {.lex_state = 0},
  [13856] = {.lex_state = 0},
  [13857] = {.lex_state = 0},
  [13858] = {.lex_state = 0},
  [13859] = {.lex_state = 0},
  [13860] = {.lex_state = 0},
  [13861] = {.lex_state = 0},
  [13862] = {.lex_state = 0},
  [13863] = {.lex_state = 0},
  [13864] = {.lex_state = 0},
  [13865] = {.lex_state = 0},
  [13866] = {.lex_state = 0},
  [13867] = {.lex_state = 0},
  [13868] = {.lex_state = 35},
  [13869] = {.lex_state = 35},
  [13870] = {.lex_state = 35},
  [13871] = {.lex_state = 0},
  [13872] = {.lex_state = 0},
  [13873] = {.lex_state = 35},
  [13874] = {.lex_state = 0},
  [13875] = {.lex_state = 0},
  [13876] = {.lex_state = 0},
  [13877] = {.lex_state = 0},
  [13878] = {.lex_state = 0},
  [13879] = {.lex_state = 0},
  [13880] = {.lex_state = 0},
  [13881] = {.lex_state = 0},
  [13882] = {.lex_state = 0},
  [13883] = {.lex_state = 0},
  [13884] = {.lex_state = 0},
  [13885] = {.lex_state = 0},
  [13886] = {.lex_state = 0},
  [13887] = {.lex_state = 0},
  [13888] = {.lex_state = 0},
  [13889] = {.lex_state = 0},
  [13890] = {.lex_state = 35},
  [13891] = {.lex_state = 0},
  [13892] = {.lex_state = 0},
  [13893] = {.lex_state = 0},
  [13894] = {.lex_state = 0},
  [13895] = {.lex_state = 35},
  [13896] = {.lex_state = 0},
  [13897] = {.lex_state = 0},
  [13898] = {.lex_state = 0},
  [13899] = {.lex_state = 0},
  [13900] = {.lex_state = 0},
  [13901] = {.lex_state = 0},
  [13902] = {.lex_state = 0},
  [13903] = {.lex_state = 0},
  [13904] = {.lex_state = 0},
  [13905] = {.lex_state = 0},
  [13906] = {.lex_state = 0},
  [13907] = {.lex_state = 0},
  [13908] = {.lex_state = 0},
  [13909] = {.lex_state = 0},
  [13910] = {.lex_state = 0},
  [13911] = {.lex_state = 0},
  [13912] = {.lex_state = 0},
  [13913] = {.lex_state = 0},
  [13914] = {.lex_state = 0},
  [13915] = {.lex_state = 0},
  [13916] = {.lex_state = 0},
  [13917] = {.lex_state = 0},
  [13918] = {.lex_state = 35},
  [13919] = {.lex_state = 0},
  [13920] = {.lex_state = 0},
  [13921] = {.lex_state = 0},
  [13922] = {.lex_state = 0},
  [13923] = {.lex_state = 0},
  [13924] = {.lex_state = 0},
  [13925] = {.lex_state = 0},
  [13926] = {.lex_state = 0},
  [13927] = {.lex_state = 0},
  [13928] = {.lex_state = 0},
  [13929] = {.lex_state = 0},
  [13930] = {.lex_state = 0},
  [13931] = {.lex_state = 35},
  [13932] = {.lex_state = 0},
  [13933] = {.lex_state = 0},
  [13934] = {.lex_state = 0},
  [13935] = {.lex_state = 0},
  [13936] = {.lex_state = 0},
  [13937] = {.lex_state = 0},
  [13938] = {.lex_state = 0},
  [13939] = {.lex_state = 0},
  [13940] = {.lex_state = 0},
  [13941] = {.lex_state = 0},
  [13942] = {.lex_state = 0},
  [13943] = {.lex_state = 0},
  [13944] = {.lex_state = 0},
  [13945] = {.lex_state = 0},
  [13946] = {.lex_state = 0},
  [13947] = {.lex_state = 0},
  [13948] = {.lex_state = 0},
  [13949] = {.lex_state = 0},
  [13950] = {.lex_state = 0},
  [13951] = {.lex_state = 0},
  [13952] = {.lex_state = 0},
  [13953] = {.lex_state = 0},
  [13954] = {.lex_state = 0},
  [13955] = {.lex_state = 0},
  [13956] = {.lex_state = 35},
  [13957] = {.lex_state = 0},
  [13958] = {.lex_state = 0},
  [13959] = {.lex_state = 35},
  [13960] = {.lex_state = 0},
  [13961] = {.lex_state = 0},
  [13962] = {.lex_state = 0},
  [13963] = {.lex_state = 35},
  [13964] = {.lex_state = 0},
  [13965] = {.lex_state = 0},
  [13966] = {.lex_state = 0},
  [13967] = {.lex_state = 0},
  [13968] = {.lex_state = 0},
  [13969] = {.lex_state = 0},
  [13970] = {.lex_state = 0},
  [13971] = {.lex_state = 0},
  [13972] = {.lex_state = 0},
  [13973] = {.lex_state = 0},
  [13974] = {.lex_state = 0},
  [13975] = {.lex_state = 0},
  [13976] = {.lex_state = 0},
  [13977] = {.lex_state = 0},
  [13978] = {.lex_state = 0},
  [13979] = {.lex_state = 0},
  [13980] = {.lex_state = 35},
  [13981] = {.lex_state = 0},
  [13982] = {.lex_state = 0},
  [13983] = {.lex_state = 0},
  [13984] = {.lex_state = 0},
  [13985] = {.lex_state = 0},
  [13986] = {.lex_state = 0},
  [13987] = {.lex_state = 0},
  [13988] = {.lex_state = 0},
  [13989] = {.lex_state = 0},
  [13990] = {.lex_state = 0},
  [13991] = {.lex_state = 0},
  [13992] = {.lex_state = 0},
  [13993] = {.lex_state = 0},
  [13994] = {.lex_state = 0},
  [13995] = {.lex_state = 35},
  [13996] = {.lex_state = 0},
  [13997] = {.lex_state = 0},
  [13998] = {.lex_state = 0},
  [13999] = {.lex_state = 0},
  [14000] = {.lex_state = 0},
  [14001] = {.lex_state = 0},
  [14002] = {.lex_state = 0},
  [14003] = {.lex_state = 0},
  [14004] = {.lex_state = 0},
  [14005] = {.lex_state = 0},
  [14006] = {.lex_state = 0},
  [14007] = {.lex_state = 0},
  [14008] = {.lex_state = 0},
  [14009] = {.lex_state = 0},
  [14010] = {.lex_state = 0},
  [14011] = {.lex_state = 0},
  [14012] = {.lex_state = 0},
  [14013] = {.lex_state = 0},
  [14014] = {.lex_state = 0},
  [14015] = {.lex_state = 0},
  [14016] = {.lex_state = 0},
  [14017] = {.lex_state = 0},
  [14018] = {.lex_state = 0},
  [14019] = {.lex_state = 0},
  [14020] = {.lex_state = 0},
  [14021] = {.lex_state = 0},
  [14022] = {.lex_state = 0},
  [14023] = {.lex_state = 35},
  [14024] = {.lex_state = 0},
  [14025] = {.lex_state = 0},
  [14026] = {.lex_state = 0},
  [14027] = {.lex_state = 0},
  [14028] = {.lex_state = 35},
  [14029] = {.lex_state = 35},
  [14030] = {.lex_state = 0},
  [14031] = {.lex_state = 0},
  [14032] = {.lex_state = 0},
  [14033] = {.lex_state = 0},
  [14034] = {.lex_state = 0},
  [14035] = {.lex_state = 0},
  [14036] = {.lex_state = 0},
  [14037] = {.lex_state = 35},
  [14038] = {.lex_state = 0},
  [14039] = {.lex_state = 0},
  [14040] = {.lex_state = 0},
  [14041] = {.lex_state = 35},
  [14042] = {.lex_state = 0},
  [14043] = {.lex_state = 0},
  [14044] = {.lex_state = 0},
  [14045] = {.lex_state = 35},
  [14046] = {.lex_state = 0},
  [14047] = {.lex_state = 35},
  [14048] = {.lex_state = 0},
  [14049] = {.lex_state = 0},
  [14050] = {.lex_state = 0},
  [14051] = {.lex_state = 0},
  [14052] = {.lex_state = 35},
  [14053] = {.lex_state = 35},
  [14054] = {.lex_state = 0},
  [14055] = {.lex_state = 0},
  [14056] = {.lex_state = 0},
  [14057] = {.lex_state = 0},
  [14058] = {.lex_state = 0},
  [14059] = {.lex_state = 0},
  [14060] = {.lex_state = 35},
  [14061] = {.lex_state = 0},
  [14062] = {.lex_state = 0},
  [14063] = {.lex_state = 0},
  [14064] = {.lex_state = 0},
  [14065] = {.lex_state = 0},
  [14066] = {.lex_state = 0},
  [14067] = {.lex_state = 0},
  [14068] = {.lex_state = 0},
  [14069] = {.lex_state = 0, .external_lex_state = 2},
  [14070] = {.lex_state = 0},
  [14071] = {.lex_state = 0},
  [14072] = {.lex_state = 0},
  [14073] = {.lex_state = 0},
  [14074] = {.lex_state = 0},
  [14075] = {.lex_state = 0},
  [14076] = {.lex_state = 0},
  [14077] = {.lex_state = 0},
  [14078] = {.lex_state = 0},
  [14079] = {.lex_state = 35},
  [14080] = {.lex_state = 0},
  [14081] = {.lex_state = 0},
  [14082] = {.lex_state = 0},
  [14083] = {.lex_state = 0},
  [14084] = {.lex_state = 0},
  [14085] = {.lex_state = 35},
  [14086] = {.lex_state = 0},
  [14087] = {.lex_state = 0},
  [14088] = {.lex_state = 0},
  [14089] = {.lex_state = 0},
  [14090] = {.lex_state = 0},
  [14091] = {.lex_state = 35},
  [14092] = {.lex_state = 0},
  [14093] = {.lex_state = 35},
  [14094] = {.lex_state = 0},
  [14095] = {.lex_state = 0},
  [14096] = {.lex_state = 0},
  [14097] = {.lex_state = 0},
  [14098] = {.lex_state = 0},
  [14099] = {.lex_state = 0},
  [14100] = {.lex_state = 35},
  [14101] = {.lex_state = 35},
  [14102] = {.lex_state = 0},
  [14103] = {.lex_state = 0},
  [14104] = {.lex_state = 0},
  [14105] = {.lex_state = 0},
  [14106] = {.lex_state = 0},
  [14107] = {.lex_state = 35},
  [14108] = {.lex_state = 0},
  [14109] = {.lex_state = 35},
  [14110] = {.lex_state = 0},
  [14111] = {.lex_state = 35},
  [14112] = {.lex_state = 0},
  [14113] = {.lex_state = 0},
  [14114] = {.lex_state = 0},
  [14115] = {.lex_state = 0},
  [14116] = {.lex_state = 0, .external_lex_state = 2},
  [14117] = {.lex_state = 0},
  [14118] = {.lex_state = 0},
  [14119] = {.lex_state = 0},
  [14120] = {.lex_state = 0},
  [14121] = {.lex_state = 35},
  [14122] = {.lex_state = 0},
  [14123] = {.lex_state = 0},
  [14124] = {.lex_state = 35},
  [14125] = {.lex_state = 0},
  [14126] = {.lex_state = 0},
  [14127] = {.lex_state = 35},
  [14128] = {.lex_state = 0},
  [14129] = {.lex_state = 0},
  [14130] = {.lex_state = 0},
  [14131] = {.lex_state = 0},
  [14132] = {.lex_state = 35},
  [14133] = {.lex_state = 0},
  [14134] = {.lex_state = 35},
  [14135] = {.lex_state = 35},
  [14136] = {.lex_state = 0},
  [14137] = {.lex_state = 0},
  [14138] = {.lex_state = 0},
  [14139] = {.lex_state = 0},
  [14140] = {.lex_state = 0},
  [14141] = {.lex_state = 0},
  [14142] = {.lex_state = 0},
  [14143] = {.lex_state = 0},
  [14144] = {.lex_state = 0},
  [14145] = {.lex_state = 0},
  [14146] = {.lex_state = 0},
  [14147] = {.lex_state = 0},
  [14148] = {.lex_state = 0},
  [14149] = {.lex_state = 0},
  [14150] = {.lex_state = 0},
  [14151] = {.lex_state = 0},
  [14152] = {.lex_state = 0},
  [14153] = {.lex_state = 0},
  [14154] = {.lex_state = 0},
  [14155] = {.lex_state = 0},
  [14156] = {.lex_state = 0},
  [14157] = {.lex_state = 0},
  [14158] = {.lex_state = 0},
  [14159] = {.lex_state = 0},
  [14160] = {.lex_state = 0},
  [14161] = {.lex_state = 0},
  [14162] = {.lex_state = 0},
  [14163] = {.lex_state = 0},
  [14164] = {.lex_state = 0},
  [14165] = {.lex_state = 35},
  [14166] = {.lex_state = 0},
  [14167] = {.lex_state = 0},
  [14168] = {.lex_state = 0},
  [14169] = {.lex_state = 0},
  [14170] = {.lex_state = 35},
  [14171] = {.lex_state = 0},
  [14172] = {.lex_state = 0},
  [14173] = {.lex_state = 35},
  [14174] = {.lex_state = 35},
  [14175] = {.lex_state = 0},
  [14176] = {.lex_state = 0},
  [14177] = {.lex_state = 0},
  [14178] = {.lex_state = 0},
  [14179] = {.lex_state = 35},
  [14180] = {.lex_state = 0},
  [14181] = {.lex_state = 35},
  [14182] = {.lex_state = 35},
  [14183] = {.lex_state = 35},
  [14184] = {.lex_state = 35},
  [14185] = {.lex_state = 0},
  [14186] = {.lex_state = 0},
  [14187] = {.lex_state = 0},
  [14188] = {.lex_state = 0},
  [14189] = {.lex_state = 0},
  [14190] = {.lex_state = 0},
  [14191] = {.lex_state = 0},
  [14192] = {.lex_state = 0},
  [14193] = {.lex_state = 0},
  [14194] = {.lex_state = 35},
  [14195] = {.lex_state = 0},
  [14196] = {.lex_state = 35},
  [14197] = {.lex_state = 35},
  [14198] = {.lex_state = 0, .external_lex_state = 2},
  [14199] = {.lex_state = 0},
  [14200] = {.lex_state = 35},
  [14201] = {.lex_state = 0},
  [14202] = {.lex_state = 0},
  [14203] = {.lex_state = 35},
  [14204] = {.lex_state = 35},
  [14205] = {.lex_state = 0},
  [14206] = {.lex_state = 0},
  [14207] = {.lex_state = 0},
  [14208] = {.lex_state = 35},
  [14209] = {.lex_state = 0},
  [14210] = {.lex_state = 0},
  [14211] = {.lex_state = 0},
  [14212] = {.lex_state = 35},
  [14213] = {.lex_state = 0},
  [14214] = {.lex_state = 0},
  [14215] = {.lex_state = 35},
  [14216] = {.lex_state = 0},
  [14217] = {.lex_state = 0},
  [14218] = {.lex_state = 0},
  [14219] = {.lex_state = 0},
  [14220] = {.lex_state = 0},
  [14221] = {.lex_state = 35},
  [14222] = {.lex_state = 0},
  [14223] = {.lex_state = 0},
  [14224] = {.lex_state = 35},
  [14225] = {.lex_state = 35},
  [14226] = {.lex_state = 35},
  [14227] = {.lex_state = 0},
  [14228] = {.lex_state = 35},
  [14229] = {.lex_state = 0},
  [14230] = {.lex_state = 0},
  [14231] = {.lex_state = 35},
  [14232] = {.lex_state = 35},
  [14233] = {.lex_state = 0},
  [14234] = {.lex_state = 35},
  [14235] = {.lex_state = 35},
  [14236] = {.lex_state = 35},
  [14237] = {.lex_state = 0},
  [14238] = {.lex_state = 0},
  [14239] = {.lex_state = 0},
  [14240] = {.lex_state = 35},
  [14241] = {.lex_state = 0},
  [14242] = {.lex_state = 0},
  [14243] = {.lex_state = 35},
  [14244] = {.lex_state = 35},
  [14245] = {.lex_state = 35},
  [14246] = {.lex_state = 0},
  [14247] = {.lex_state = 35},
  [14248] = {.lex_state = 35},
  [14249] = {.lex_state = 0},
  [14250] = {.lex_state = 35},
  [14251] = {.lex_state = 35},
  [14252] = {.lex_state = 35},
  [14253] = {.lex_state = 0},
  [14254] = {.lex_state = 35},
  [14255] = {.lex_state = 0},
  [14256] = {.lex_state = 0},
  [14257] = {.lex_state = 0},
  [14258] = {.lex_state = 0},
  [14259] = {.lex_state = 0},
  [14260] = {.lex_state = 0},
  [14261] = {.lex_state = 0},
  [14262] = {.lex_state = 0},
  [14263] = {.lex_state = 35},
  [14264] = {.lex_state = 35},
  [14265] = {.lex_state = 0},
  [14266] = {.lex_state = 35},
  [14267] = {.lex_state = 35},
  [14268] = {.lex_state = 35},
  [14269] = {.lex_state = 0},
  [14270] = {.lex_state = 0},
  [14271] = {.lex_state = 0},
  [14272] = {.lex_state = 0},
  [14273] = {.lex_state = 35},
  [14274] = {.lex_state = 0},
  [14275] = {.lex_state = 35},
  [14276] = {.lex_state = 35},
  [14277] = {.lex_state = 35},
  [14278] = {.lex_state = 0},
  [14279] = {.lex_state = 0},
  [14280] = {.lex_state = 0},
  [14281] = {.lex_state = 35},
  [14282] = {.lex_state = 0},
  [14283] = {.lex_state = 0},
  [14284] = {.lex_state = 0},
  [14285] = {.lex_state = 0},
  [14286] = {.lex_state = 0},
  [14287] = {.lex_state = 0},
  [14288] = {.lex_state = 35},
  [14289] = {.lex_state = 35},
  [14290] = {.lex_state = 0},
  [14291] = {.lex_state = 0},
  [14292] = {.lex_state = 35},
  [14293] = {.lex_state = 0},
  [14294] = {.lex_state = 35},
  [14295] = {.lex_state = 0},
  [14296] = {.lex_state = 35},
  [14297] = {.lex_state = 35},
  [14298] = {.lex_state = 0},
  [14299] = {.lex_state = 0},
  [14300] = {.lex_state = 35},
  [14301] = {.lex_state = 0},
  [14302] = {.lex_state = 0},
  [14303] = {.lex_state = 33},
  [14304] = {.lex_state = 35},
  [14305] = {.lex_state = 0},
  [14306] = {.lex_state = 35},
  [14307] = {.lex_state = 35},
  [14308] = {.lex_state = 35},
  [14309] = {.lex_state = 35},
  [14310] = {.lex_state = 0},
  [14311] = {.lex_state = 0},
  [14312] = {.lex_state = 0},
  [14313] = {.lex_state = 35},
  [14314] = {.lex_state = 35},
  [14315] = {.lex_state = 35},
  [14316] = {.lex_state = 35},
  [14317] = {.lex_state = 0},
  [14318] = {.lex_state = 0},
  [14319] = {.lex_state = 35},
  [14320] = {.lex_state = 0},
  [14321] = {.lex_state = 0},
  [14322] = {.lex_state = 35},
  [14323] = {.lex_state = 0},
  [14324] = {.lex_state = 35},
  [14325] = {.lex_state = 0},
  [14326] = {.lex_state = 0},
  [14327] = {.lex_state = 0},
  [14328] = {.lex_state = 35},
  [14329] = {.lex_state = 0},
  [14330] = {.lex_state = 35},
  [14331] = {.lex_state = 0},
  [14332] = {.lex_state = 0},
  [14333] = {.lex_state = 0},
  [14334] = {.lex_state = 35},
  [14335] = {.lex_state = 0},
  [14336] = {.lex_state = 0},
  [14337] = {.lex_state = 0},
  [14338] = {.lex_state = 35},
  [14339] = {.lex_state = 0},
  [14340] = {.lex_state = 0},
  [14341] = {.lex_state = 0},
  [14342] = {.lex_state = 35},
  [14343] = {.lex_state = 0},
  [14344] = {.lex_state = 0},
  [14345] = {.lex_state = 0},
  [14346] = {.lex_state = 0},
  [14347] = {.lex_state = 0},
  [14348] = {.lex_state = 35},
  [14349] = {.lex_state = 35},
  [14350] = {.lex_state = 35},
  [14351] = {.lex_state = 0},
  [14352] = {.lex_state = 0},
  [14353] = {.lex_state = 0},
  [14354] = {.lex_state = 35},
  [14355] = {.lex_state = 0},
  [14356] = {.lex_state = 0},
  [14357] = {.lex_state = 0},
  [14358] = {.lex_state = 0},
  [14359] = {.lex_state = 0},
  [14360] = {.lex_state = 0},
  [14361] = {.lex_state = 0},
  [14362] = {.lex_state = 0},
  [14363] = {.lex_state = 0},
  [14364] = {.lex_state = 35},
  [14365] = {.lex_state = 0},
  [14366] = {.lex_state = 0},
  [14367] = {.lex_state = 0},
  [14368] = {.lex_state = 35},
  [14369] = {.lex_state = 0},
  [14370] = {.lex_state = 0},
  [14371] = {.lex_state = 35},
  [14372] = {.lex_state = 0},
  [14373] = {.lex_state = 35},
  [14374] = {.lex_state = 35},
  [14375] = {.lex_state = 0},
  [14376] = {.lex_state = 0},
  [14377] = {.lex_state = 0},
  [14378] = {.lex_state = 0},
  [14379] = {.lex_state = 35},
  [14380] = {.lex_state = 0},
  [14381] = {.lex_state = 0},
  [14382] = {.lex_state = 0},
  [14383] = {.lex_state = 0},
  [14384] = {.lex_state = 0},
  [14385] = {.lex_state = 0},
  [14386] = {.lex_state = 35},
  [14387] = {.lex_state = 0},
  [14388] = {.lex_state = 0},
  [14389] = {.lex_state = 35},
  [14390] = {.lex_state = 0},
  [14391] = {.lex_state = 35},
  [14392] = {.lex_state = 35},
  [14393] = {.lex_state = 0},
  [14394] = {.lex_state = 0},
  [14395] = {.lex_state = 0},
  [14396] = {.lex_state = 0},
  [14397] = {.lex_state = 0},
  [14398] = {.lex_state = 35},
  [14399] = {.lex_state = 35},
  [14400] = {.lex_state = 0},
  [14401] = {.lex_state = 35},
  [14402] = {.lex_state = 35},
  [14403] = {.lex_state = 35},
  [14404] = {.lex_state = 0},
  [14405] = {.lex_state = 35},
  [14406] = {.lex_state = 0},
  [14407] = {.lex_state = 35},
  [14408] = {.lex_state = 35},
  [14409] = {.lex_state = 0},
  [14410] = {.lex_state = 0},
  [14411] = {.lex_state = 0},
  [14412] = {.lex_state = 0},
  [14413] = {.lex_state = 0},
  [14414] = {.lex_state = 0},
  [14415] = {.lex_state = 0},
  [14416] = {.lex_state = 35},
  [14417] = {.lex_state = 0},
  [14418] = {.lex_state = 35},
  [14419] = {.lex_state = 0},
  [14420] = {.lex_state = 0},
  [14421] = {.lex_state = 35},
  [14422] = {.lex_state = 0},
  [14423] = {.lex_state = 35},
  [14424] = {.lex_state = 35},
  [14425] = {.lex_state = 0},
  [14426] = {.lex_state = 0},
  [14427] = {.lex_state = 0},
  [14428] = {.lex_state = 0},
  [14429] = {.lex_state = 0},
  [14430] = {.lex_state = 35},
  [14431] = {.lex_state = 0},
  [14432] = {.lex_state = 0},
  [14433] = {.lex_state = 0},
  [14434] = {.lex_state = 35},
  [14435] = {.lex_state = 0},
  [14436] = {.lex_state = 0},
  [14437] = {.lex_state = 35},
  [14438] = {.lex_state = 0},
  [14439] = {.lex_state = 0},
  [14440] = {.lex_state = 0},
  [14441] = {.lex_state = 0},
  [14442] = {.lex_state = 0},
  [14443] = {.lex_state = 0},
  [14444] = {.lex_state = 35},
  [14445] = {.lex_state = 35},
  [14446] = {.lex_state = 0},
  [14447] = {.lex_state = 35},
  [14448] = {.lex_state = 0},
  [14449] = {.lex_state = 0},
  [14450] = {.lex_state = 35},
  [14451] = {.lex_state = 0},
  [14452] = {.lex_state = 0},
  [14453] = {.lex_state = 0},
  [14454] = {.lex_state = 0},
  [14455] = {.lex_state = 0},
  [14456] = {.lex_state = 0},
  [14457] = {.lex_state = 0},
  [14458] = {.lex_state = 0},
  [14459] = {.lex_state = 0},
  [14460] = {.lex_state = 0},
  [14461] = {.lex_state = 0},
  [14462] = {.lex_state = 0},
  [14463] = {.lex_state = 35},
  [14464] = {.lex_state = 0},
  [14465] = {.lex_state = 0},
  [14466] = {.lex_state = 0},
  [14467] = {.lex_state = 0},
  [14468] = {.lex_state = 0},
  [14469] = {.lex_state = 0},
  [14470] = {.lex_state = 0},
  [14471] = {.lex_state = 0},
  [14472] = {.lex_state = 0},
  [14473] = {.lex_state = 0},
  [14474] = {.lex_state = 0},
  [14475] = {.lex_state = 0},
  [14476] = {.lex_state = 0},
  [14477] = {.lex_state = 0},
  [14478] = {.lex_state = 0},
  [14479] = {.lex_state = 35},
  [14480] = {.lex_state = 35},
  [14481] = {.lex_state = 0},
  [14482] = {.lex_state = 0},
  [14483] = {.lex_state = 0},
  [14484] = {.lex_state = 0},
  [14485] = {.lex_state = 0},
  [14486] = {.lex_state = 0},
  [14487] = {.lex_state = 0},
  [14488] = {.lex_state = 0},
  [14489] = {.lex_state = 35},
  [14490] = {.lex_state = 0},
  [14491] = {.lex_state = 0},
  [14492] = {.lex_state = 0},
  [14493] = {.lex_state = 0},
  [14494] = {.lex_state = 0},
  [14495] = {.lex_state = 0},
  [14496] = {.lex_state = 0},
  [14497] = {.lex_state = 0},
  [14498] = {.lex_state = 0},
  [14499] = {.lex_state = 0},
  [14500] = {.lex_state = 0},
  [14501] = {.lex_state = 0},
  [14502] = {.lex_state = 0},
  [14503] = {.lex_state = 0},
  [14504] = {.lex_state = 0},
  [14505] = {.lex_state = 0},
  [14506] = {.lex_state = 0},
  [14507] = {.lex_state = 0},
  [14508] = {.lex_state = 0},
  [14509] = {.lex_state = 0},
  [14510] = {.lex_state = 0},
  [14511] = {.lex_state = 0},
  [14512] = {.lex_state = 35},
  [14513] = {.lex_state = 0},
  [14514] = {.lex_state = 0},
  [14515] = {.lex_state = 0},
  [14516] = {.lex_state = 0},
  [14517] = {.lex_state = 0},
  [14518] = {.lex_state = 0},
  [14519] = {.lex_state = 0},
  [14520] = {.lex_state = 0},
  [14521] = {.lex_state = 0},
  [14522] = {.lex_state = 0},
  [14523] = {.lex_state = 0},
  [14524] = {.lex_state = 0},
  [14525] = {.lex_state = 0},
  [14526] = {.lex_state = 0},
  [14527] = {.lex_state = 35},
  [14528] = {.lex_state = 0},
  [14529] = {.lex_state = 35},
  [14530] = {.lex_state = 0},
  [14531] = {.lex_state = 0},
  [14532] = {.lex_state = 0},
  [14533] = {.lex_state = 0},
  [14534] = {.lex_state = 0},
  [14535] = {.lex_state = 0},
  [14536] = {.lex_state = 0},
  [14537] = {.lex_state = 0},
  [14538] = {.lex_state = 0},
  [14539] = {.lex_state = 0},
  [14540] = {.lex_state = 0},
  [14541] = {.lex_state = 0},
  [14542] = {.lex_state = 0},
  [14543] = {.lex_state = 0},
  [14544] = {.lex_state = 0},
  [14545] = {.lex_state = 0},
  [14546] = {.lex_state = 0},
  [14547] = {.lex_state = 0},
  [14548] = {.lex_state = 0},
  [14549] = {.lex_state = 0},
  [14550] = {.lex_state = 0},
  [14551] = {.lex_state = 0},
  [14552] = {.lex_state = 0},
  [14553] = {.lex_state = 0},
  [14554] = {.lex_state = 35},
  [14555] = {.lex_state = 0},
  [14556] = {.lex_state = 0},
  [14557] = {.lex_state = 35},
  [14558] = {.lex_state = 0},
  [14559] = {.lex_state = 35},
  [14560] = {.lex_state = 0},
  [14561] = {.lex_state = 0},
  [14562] = {.lex_state = 0},
  [14563] = {.lex_state = 0},
  [14564] = {.lex_state = 35},
  [14565] = {.lex_state = 0},
  [14566] = {.lex_state = 0},
  [14567] = {.lex_state = 0},
  [14568] = {.lex_state = 0},
  [14569] = {.lex_state = 0},
  [14570] = {.lex_state = 0},
  [14571] = {.lex_state = 0},
  [14572] = {.lex_state = 35},
  [14573] = {.lex_state = 0},
  [14574] = {.lex_state = 0},
  [14575] = {.lex_state = 0},
  [14576] = {.lex_state = 35},
  [14577] = {.lex_state = 0},
  [14578] = {.lex_state = 0},
  [14579] = {.lex_state = 0},
  [14580] = {.lex_state = 0},
  [14581] = {.lex_state = 0},
  [14582] = {.lex_state = 0},
  [14583] = {.lex_state = 0},
  [14584] = {.lex_state = 35},
  [14585] = {.lex_state = 0},
  [14586] = {.lex_state = 0},
  [14587] = {.lex_state = 35},
  [14588] = {.lex_state = 0},
  [14589] = {.lex_state = 0},
  [14590] = {.lex_state = 35},
  [14591] = {.lex_state = 0},
  [14592] = {.lex_state = 0},
  [14593] = {.lex_state = 35},
  [14594] = {.lex_state = 35},
  [14595] = {.lex_state = 0},
  [14596] = {.lex_state = 0},
  [14597] = {.lex_state = 0},
  [14598] = {.lex_state = 35},
  [14599] = {.lex_state = 0},
  [14600] = {.lex_state = 0},
  [14601] = {.lex_state = 35},
  [14602] = {.lex_state = 0},
  [14603] = {.lex_state = 0},
  [14604] = {.lex_state = 0},
  [14605] = {.lex_state = 0},
  [14606] = {.lex_state = 0},
  [14607] = {.lex_state = 0},
  [14608] = {.lex_state = 35},
  [14609] = {.lex_state = 0},
  [14610] = {.lex_state = 0},
  [14611] = {.lex_state = 0},
  [14612] = {.lex_state = 0},
  [14613] = {.lex_state = 0},
  [14614] = {.lex_state = 0},
  [14615] = {.lex_state = 0},
  [14616] = {.lex_state = 0},
  [14617] = {.lex_state = 0},
  [14618] = {.lex_state = 35},
  [14619] = {.lex_state = 0},
  [14620] = {.lex_state = 0},
  [14621] = {.lex_state = 35},
  [14622] = {.lex_state = 35},
  [14623] = {.lex_state = 35},
  [14624] = {.lex_state = 0},
  [14625] = {.lex_state = 35},
  [14626] = {.lex_state = 0},
  [14627] = {.lex_state = 0},
  [14628] = {.lex_state = 0},
  [14629] = {.lex_state = 0},
  [14630] = {.lex_state = 0},
  [14631] = {.lex_state = 0},
  [14632] = {.lex_state = 0},
  [14633] = {.lex_state = 0},
  [14634] = {.lex_state = 0},
  [14635] = {.lex_state = 0},
  [14636] = {.lex_state = 0},
  [14637] = {.lex_state = 0},
  [14638] = {.lex_state = 0},
  [14639] = {.lex_state = 0},
  [14640] = {.lex_state = 35},
  [14641] = {.lex_state = 0},
  [14642] = {.lex_state = 35},
  [14643] = {.lex_state = 0},
  [14644] = {.lex_state = 0},
  [14645] = {.lex_state = 0},
  [14646] = {.lex_state = 0},
  [14647] = {.lex_state = 0},
  [14648] = {.lex_state = 0},
  [14649] = {.lex_state = 0},
  [14650] = {.lex_state = 0},
  [14651] = {.lex_state = 0},
  [14652] = {.lex_state = 0},
  [14653] = {.lex_state = 0},
  [14654] = {.lex_state = 0},
  [14655] = {.lex_state = 0},
  [14656] = {.lex_state = 0},
  [14657] = {.lex_state = 0},
  [14658] = {.lex_state = 35},
  [14659] = {.lex_state = 0},
  [14660] = {.lex_state = 35},
  [14661] = {.lex_state = 0},
  [14662] = {.lex_state = 35},
  [14663] = {.lex_state = 35},
  [14664] = {.lex_state = 35},
  [14665] = {.lex_state = 0, .external_lex_state = 2},
  [14666] = {.lex_state = 35},
  [14667] = {.lex_state = 0},
  [14668] = {.lex_state = 0},
  [14669] = {.lex_state = 0},
  [14670] = {.lex_state = 0},
  [14671] = {.lex_state = 0},
  [14672] = {.lex_state = 0},
  [14673] = {.lex_state = 0},
  [14674] = {.lex_state = 0},
  [14675] = {.lex_state = 35},
  [14676] = {.lex_state = 0},
  [14677] = {.lex_state = 0},
  [14678] = {.lex_state = 0},
  [14679] = {.lex_state = 0},
  [14680] = {.lex_state = 0},
  [14681] = {.lex_state = 0},
  [14682] = {.lex_state = 0},
  [14683] = {.lex_state = 0},
  [14684] = {.lex_state = 0},
  [14685] = {.lex_state = 0},
  [14686] = {.lex_state = 0},
  [14687] = {.lex_state = 0},
  [14688] = {.lex_state = 0},
  [14689] = {.lex_state = 0},
  [14690] = {.lex_state = 35},
  [14691] = {.lex_state = 0},
  [14692] = {.lex_state = 0},
  [14693] = {.lex_state = 0},
  [14694] = {.lex_state = 0},
  [14695] = {.lex_state = 0},
  [14696] = {.lex_state = 0},
  [14697] = {.lex_state = 0},
  [14698] = {.lex_state = 0},
  [14699] = {.lex_state = 0},
  [14700] = {.lex_state = 0},
  [14701] = {.lex_state = 0},
  [14702] = {.lex_state = 0},
  [14703] = {.lex_state = 0},
  [14704] = {.lex_state = 0},
  [14705] = {.lex_state = 35},
  [14706] = {.lex_state = 0},
  [14707] = {.lex_state = 0},
  [14708] = {.lex_state = 0},
  [14709] = {.lex_state = 0},
  [14710] = {.lex_state = 0},
  [14711] = {.lex_state = 33},
  [14712] = {.lex_state = 0},
  [14713] = {.lex_state = 35},
  [14714] = {.lex_state = 35},
  [14715] = {.lex_state = 0},
  [14716] = {.lex_state = 0},
  [14717] = {.lex_state = 0},
  [14718] = {.lex_state = 0},
  [14719] = {.lex_state = 0},
  [14720] = {.lex_state = 35},
  [14721] = {.lex_state = 0},
  [14722] = {.lex_state = 35},
  [14723] = {.lex_state = 35},
  [14724] = {.lex_state = 0},
  [14725] = {.lex_state = 35},
  [14726] = {.lex_state = 0},
  [14727] = {.lex_state = 0},
  [14728] = {.lex_state = 0},
  [14729] = {.lex_state = 0},
  [14730] = {.lex_state = 35},
  [14731] = {.lex_state = 35},
  [14732] = {.lex_state = 0},
  [14733] = {.lex_state = 0},
  [14734] = {.lex_state = 0},
  [14735] = {.lex_state = 35},
  [14736] = {.lex_state = 0},
  [14737] = {.lex_state = 0},
  [14738] = {.lex_state = 35},
  [14739] = {.lex_state = 35},
  [14740] = {.lex_state = 35},
  [14741] = {.lex_state = 0},
  [14742] = {.lex_state = 35},
  [14743] = {.lex_state = 0},
  [14744] = {.lex_state = 35},
  [14745] = {.lex_state = 0},
  [14746] = {.lex_state = 0},
  [14747] = {.lex_state = 0},
  [14748] = {.lex_state = 0},
  [14749] = {.lex_state = 35},
  [14750] = {.lex_state = 0},
  [14751] = {.lex_state = 0},
  [14752] = {.lex_state = 0},
  [14753] = {.lex_state = 0},
  [14754] = {.lex_state = 0},
  [14755] = {.lex_state = 0},
  [14756] = {.lex_state = 0},
  [14757] = {.lex_state = 35},
  [14758] = {.lex_state = 0},
  [14759] = {.lex_state = 0},
  [14760] = {.lex_state = 0},
  [14761] = {.lex_state = 35},
  [14762] = {.lex_state = 35},
  [14763] = {.lex_state = 0},
  [14764] = {.lex_state = 0},
  [14765] = {.lex_state = 0},
  [14766] = {.lex_state = 35},
  [14767] = {.lex_state = 0},
  [14768] = {.lex_state = 35},
  [14769] = {.lex_state = 0},
  [14770] = {.lex_state = 0},
  [14771] = {.lex_state = 35},
  [14772] = {.lex_state = 0},
  [14773] = {.lex_state = 0},
  [14774] = {.lex_state = 0},
  [14775] = {.lex_state = 0},
  [14776] = {.lex_state = 0},
  [14777] = {.lex_state = 0},
  [14778] = {.lex_state = 0},
  [14779] = {.lex_state = 0},
  [14780] = {.lex_state = 0},
  [14781] = {.lex_state = 0},
  [14782] = {.lex_state = 35},
  [14783] = {.lex_state = 35},
  [14784] = {.lex_state = 35},
  [14785] = {.lex_state = 35},
  [14786] = {.lex_state = 0},
  [14787] = {.lex_state = 0},
  [14788] = {.lex_state = 0},
  [14789] = {.lex_state = 0},
  [14790] = {.lex_state = 35},
  [14791] = {.lex_state = 0},
  [14792] = {.lex_state = 0},
  [14793] = {.lex_state = 0},
  [14794] = {.lex_state = 0},
  [14795] = {.lex_state = 35},
  [14796] = {.lex_state = 0},
  [14797] = {.lex_state = 35},
  [14798] = {.lex_state = 35},
  [14799] = {.lex_state = 0},
  [14800] = {.lex_state = 35},
  [14801] = {.lex_state = 0},
  [14802] = {.lex_state = 0},
  [14803] = {.lex_state = 35},
  [14804] = {.lex_state = 35},
  [14805] = {.lex_state = 0},
  [14806] = {.lex_state = 35},
  [14807] = {.lex_state = 35},
  [14808] = {.lex_state = 35},
  [14809] = {.lex_state = 35},
  [14810] = {.lex_state = 35},
  [14811] = {.lex_state = 0},
  [14812] = {.lex_state = 0},
  [14813] = {.lex_state = 0},
  [14814] = {.lex_state = 0},
  [14815] = {.lex_state = 0},
  [14816] = {.lex_state = 0},
  [14817] = {.lex_state = 0},
  [14818] = {.lex_state = 0},
  [14819] = {.lex_state = 0},
  [14820] = {.lex_state = 0},
  [14821] = {.lex_state = 0},
  [14822] = {.lex_state = 0},
  [14823] = {.lex_state = 0},
  [14824] = {.lex_state = 0},
  [14825] = {.lex_state = 35},
  [14826] = {.lex_state = 0},
  [14827] = {.lex_state = 0},
  [14828] = {.lex_state = 35},
  [14829] = {.lex_state = 33},
  [14830] = {.lex_state = 35},
  [14831] = {.lex_state = 0},
  [14832] = {.lex_state = 35},
  [14833] = {.lex_state = 0},
  [14834] = {.lex_state = 35},
  [14835] = {.lex_state = 0},
  [14836] = {.lex_state = 0},
  [14837] = {.lex_state = 0},
  [14838] = {.lex_state = 0},
  [14839] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [sym_keyword_select] = ACTIONS(1),
    [sym_keyword_delete] = ACTIONS(1),
    [sym_keyword_insert] = ACTIONS(1),
    [sym_keyword_replace] = ACTIONS(1),
    [sym_keyword_update] = ACTIONS(1),
    [sym_keyword_truncate] = ACTIONS(1),
    [sym_keyword_merge] = ACTIONS(1),
    [sym_keyword_show] = ACTIONS(1),
    [sym_keyword_into] = ACTIONS(1),
    [sym_keyword_overwrite] = ACTIONS(1),
    [sym_keyword_values] = ACTIONS(1),
    [sym_keyword_value] = ACTIONS(1),
    [sym_keyword_matched] = ACTIONS(1),
    [sym_keyword_set] = ACTIONS(1),
    [sym_keyword_from] = ACTIONS(1),
    [sym_keyword_left] = ACTIONS(1),
    [sym_keyword_right] = ACTIONS(1),
    [sym_keyword_inner] = ACTIONS(1),
    [sym_keyword_full] = ACTIONS(1),
    [sym_keyword_outer] = ACTIONS(1),
    [sym_keyword_cross] = ACTIONS(1),
    [sym_keyword_join] = ACTIONS(1),
    [sym_keyword_lateral] = ACTIONS(1),
    [sym_keyword_natural] = ACTIONS(1),
    [sym_keyword_on] = ACTIONS(1),
    [sym_keyword_off] = ACTIONS(1),
    [sym_keyword_where] = ACTIONS(1),
    [sym_keyword_order] = ACTIONS(1),
    [sym_keyword_group] = ACTIONS(1),
    [sym_keyword_partition] = ACTIONS(1),
    [sym_keyword_by] = ACTIONS(1),
    [sym_keyword_having] = ACTIONS(1),
    [sym_keyword_desc] = ACTIONS(1),
    [sym_keyword_asc] = ACTIONS(1),
    [sym_keyword_limit] = ACTIONS(1),
    [sym_keyword_offset] = ACTIONS(1),
    [sym_keyword_primary] = ACTIONS(1),
    [sym_keyword_create] = ACTIONS(1),
    [sym_keyword_alter] = ACTIONS(1),
    [sym_keyword_change] = ACTIONS(1),
    [sym_keyword_analyze] = ACTIONS(1),
    [sym_keyword_explain] = ACTIONS(1),
    [sym_keyword_verbose] = ACTIONS(1),
    [sym_keyword_modify] = ACTIONS(1),
    [sym_keyword_drop] = ACTIONS(1),
    [sym_keyword_add] = ACTIONS(1),
    [sym_keyword_table] = ACTIONS(1),
    [sym_keyword_tables] = ACTIONS(1),
    [sym_keyword_view] = ACTIONS(1),
    [sym_keyword_column] = ACTIONS(1),
    [sym_keyword_columns] = ACTIONS(1),
    [sym_keyword_materialized] = ACTIONS(1),
    [sym_keyword_tablespace] = ACTIONS(1),
    [sym_keyword_sequence] = ACTIONS(1),
    [sym_keyword_increment] = ACTIONS(1),
    [sym_keyword_minvalue] = ACTIONS(1),
    [sym_keyword_maxvalue] = ACTIONS(1),
    [sym_keyword_none] = ACTIONS(1),
    [sym_keyword_owned] = ACTIONS(1),
    [sym_keyword_start] = ACTIONS(1),
    [sym_keyword_restart] = ACTIONS(1),
    [sym_keyword_key] = ACTIONS(1),
    [sym_keyword_duplicate] = ACTIONS(1),
    [sym_keyword_as] = ACTIONS(1),
    [sym_keyword_distinct] = ACTIONS(1),
    [sym_keyword_constraint] = ACTIONS(1),
    [sym_keyword_filter] = ACTIONS(1),
    [sym_keyword_cast] = ACTIONS(1),
    [sym_keyword_separator] = ACTIONS(1),
    [sym_keyword_case] = ACTIONS(1),
    [sym_keyword_when] = ACTIONS(1),
    [sym_keyword_then] = ACTIONS(1),
    [sym_keyword_else] = ACTIONS(1),
    [sym_keyword_end] = ACTIONS(1),
    [sym_keyword_in] = ACTIONS(1),
    [sym_keyword_and] = ACTIONS(1),
    [sym_keyword_or] = ACTIONS(1),
    [sym_keyword_is] = ACTIONS(1),
    [sym_keyword_not] = ACTIONS(1),
    [sym_keyword_force] = ACTIONS(1),
    [sym_keyword_ignore] = ACTIONS(1),
    [sym_keyword_using] = ACTIONS(1),
    [sym_keyword_use] = ACTIONS(1),
    [sym_keyword_index] = ACTIONS(1),
    [sym_keyword_for] = ACTIONS(1),
    [sym_keyword_if] = ACTIONS(1),
    [sym_keyword_exists] = ACTIONS(1),
    [sym_keyword_auto_increment] = ACTIONS(1),
    [sym_keyword_generated] = ACTIONS(1),
    [sym_keyword_always] = ACTIONS(1),
    [sym_keyword_collate] = ACTIONS(1),
    [aux_sym_keyword_character_token1] = ACTIONS(1),
    [sym_keyword_engine] = ACTIONS(1),
    [sym_keyword_default] = ACTIONS(1),
    [sym_keyword_cascade] = ACTIONS(1),
    [sym_keyword_restrict] = ACTIONS(1),
    [sym_keyword_with] = ACTIONS(1),
    [sym_keyword_without] = ACTIONS(1),
    [sym_keyword_no] = ACTIONS(1),
    [sym_keyword_data] = ACTIONS(1),
    [sym_keyword_type] = ACTIONS(1),
    [sym_keyword_rename] = ACTIONS(1),
    [sym_keyword_to] = ACTIONS(1),
    [sym_keyword_database] = ACTIONS(1),
    [sym_keyword_schema] = ACTIONS(1),
    [sym_keyword_owner] = ACTIONS(1),
    [sym_keyword_user] = ACTIONS(1),
    [sym_keyword_admin] = ACTIONS(1),
    [sym_keyword_password] = ACTIONS(1),
    [sym_keyword_encrypted] = ACTIONS(1),
    [sym_keyword_valid] = ACTIONS(1),
    [sym_keyword_until] = ACTIONS(1),
    [sym_keyword_connection] = ACTIONS(1),
    [sym_keyword_role] = ACTIONS(1),
    [sym_keyword_reset] = ACTIONS(1),
    [sym_keyword_temp] = ACTIONS(1),
    [sym_keyword_temporary] = ACTIONS(1),
    [sym_keyword_unlogged] = ACTIONS(1),
    [sym_keyword_logged] = ACTIONS(1),
    [sym_keyword_cycle] = ACTIONS(1),
    [sym_keyword_union] = ACTIONS(1),
    [sym_keyword_all] = ACTIONS(1),
    [sym_keyword_any] = ACTIONS(1),
    [sym_keyword_some] = ACTIONS(1),
    [sym_keyword_except] = ACTIONS(1),
    [sym_keyword_intersect] = ACTIONS(1),
    [sym_keyword_returning] = ACTIONS(1),
    [sym_keyword_begin] = ACTIONS(1),
    [sym_keyword_commit] = ACTIONS(1),
    [sym_keyword_rollback] = ACTIONS(1),
    [sym_keyword_transaction] = ACTIONS(1),
    [sym_keyword_over] = ACTIONS(1),
    [sym_keyword_nulls] = ACTIONS(1),
    [sym_keyword_first] = ACTIONS(1),
    [sym_keyword_after] = ACTIONS(1),
    [sym_keyword_before] = ACTIONS(1),
    [sym_keyword_last] = ACTIONS(1),
    [sym_keyword_window] = ACTIONS(1),
    [sym_keyword_range] = ACTIONS(1),
    [sym_keyword_rows] = ACTIONS(1),
    [sym_keyword_groups] = ACTIONS(1),
    [sym_keyword_between] = ACTIONS(1),
    [sym_keyword_unbounded] = ACTIONS(1),
    [sym_keyword_preceding] = ACTIONS(1),
    [sym_keyword_following] = ACTIONS(1),
    [sym_keyword_exclude] = ACTIONS(1),
    [sym_keyword_current] = ACTIONS(1),
    [sym_keyword_row] = ACTIONS(1),
    [sym_keyword_ties] = ACTIONS(1),
    [sym_keyword_others] = ACTIONS(1),
    [sym_keyword_only] = ACTIONS(1),
    [sym_keyword_unique] = ACTIONS(1),
    [sym_keyword_foreign] = ACTIONS(1),
    [sym_keyword_references] = ACTIONS(1),
    [sym_keyword_concurrently] = ACTIONS(1),
    [sym_keyword_btree] = ACTIONS(1),
    [sym_keyword_hash] = ACTIONS(1),
    [sym_keyword_gist] = ACTIONS(1),
    [sym_keyword_spgist] = ACTIONS(1),
    [sym_keyword_gin] = ACTIONS(1),
    [sym_keyword_brin] = ACTIONS(1),
    [aux_sym_keyword_like_token1] = ACTIONS(1),
    [aux_sym_keyword_like_token2] = ACTIONS(1),
    [sym_keyword_similar] = ACTIONS(1),
    [sym_keyword_unsigned] = ACTIONS(1),
    [sym_keyword_zerofill] = ACTIONS(1),
    [sym_keyword_conflict] = ACTIONS(1),
    [sym_keyword_do] = ACTIONS(1),
    [sym_keyword_nothing] = ACTIONS(1),
    [sym_keyword_high_priority] = ACTIONS(1),
    [sym_keyword_low_priority] = ACTIONS(1),
    [sym_keyword_delayed] = ACTIONS(1),
    [sym_keyword_recursive] = ACTIONS(1),
    [sym_keyword_cascaded] = ACTIONS(1),
    [sym_keyword_local] = ACTIONS(1),
    [sym_keyword_current_timestamp] = ACTIONS(1),
    [sym_keyword_check] = ACTIONS(1),
    [sym_keyword_option] = ACTIONS(1),
    [sym_keyword_vacuum] = ACTIONS(1),
    [sym_keyword_wait] = ACTIONS(1),
    [sym_keyword_nowait] = ACTIONS(1),
    [sym_keyword_attribute] = ACTIONS(1),
    [sym_keyword_authorization] = ACTIONS(1),
    [sym_keyword_action] = ACTIONS(1),
    [sym_keyword_extension] = ACTIONS(1),
    [sym_keyword_copy] = ACTIONS(1),
    [sym_keyword_stdin] = ACTIONS(1),
    [sym_keyword_freeze] = ACTIONS(1),
    [sym_keyword_escape] = ACTIONS(1),
    [sym_keyword_encoding] = ACTIONS(1),
    [sym_keyword_force_quote] = ACTIONS(1),
    [sym_keyword_quote] = ACTIONS(1),
    [sym_keyword_force_null] = ACTIONS(1),
    [sym_keyword_force_not_null] = ACTIONS(1),
    [sym_keyword_header] = ACTIONS(1),
    [sym_keyword_match] = ACTIONS(1),
    [sym_keyword_program] = ACTIONS(1),
    [sym_keyword_plain] = ACTIONS(1),
    [sym_keyword_extended] = ACTIONS(1),
    [sym_keyword_main] = ACTIONS(1),
    [sym_keyword_storage] = ACTIONS(1),
    [sym_keyword_compression] = ACTIONS(1),
    [sym_keyword_trigger] = ACTIONS(1),
    [sym_keyword_function] = ACTIONS(1),
    [sym_keyword_returns] = ACTIONS(1),
    [sym_keyword_return] = ACTIONS(1),
    [sym_keyword_setof] = ACTIONS(1),
    [sym_keyword_atomic] = ACTIONS(1),
    [sym_keyword_declare] = ACTIONS(1),
    [sym_keyword_language] = ACTIONS(1),
    [sym_keyword_immutable] = ACTIONS(1),
    [sym_keyword_stable] = ACTIONS(1),
    [sym_keyword_volatile] = ACTIONS(1),
    [sym_keyword_leakproof] = ACTIONS(1),
    [sym_keyword_parallel] = ACTIONS(1),
    [sym_keyword_safe] = ACTIONS(1),
    [sym_keyword_unsafe] = ACTIONS(1),
    [sym_keyword_restricted] = ACTIONS(1),
    [sym_keyword_called] = ACTIONS(1),
    [sym_keyword_input] = ACTIONS(1),
    [sym_keyword_strict] = ACTIONS(1),
    [sym_keyword_cost] = ACTIONS(1),
    [sym_keyword_support] = ACTIONS(1),
    [sym_keyword_definer] = ACTIONS(1),
    [sym_keyword_invoker] = ACTIONS(1),
    [sym_keyword_security] = ACTIONS(1),
    [sym_keyword_version] = ACTIONS(1),
    [sym_keyword_out] = ACTIONS(1),
    [sym_keyword_inout] = ACTIONS(1),
    [sym_keyword_variadic] = ACTIONS(1),
    [sym_keyword_ordinality] = ACTIONS(1),
    [sym_keyword_session] = ACTIONS(1),
    [sym_keyword_isolation] = ACTIONS(1),
    [sym_keyword_level] = ACTIONS(1),
    [sym_keyword_serializable] = ACTIONS(1),
    [sym_keyword_repeatable] = ACTIONS(1),
    [sym_keyword_read] = ACTIONS(1),
    [sym_keyword_write] = ACTIONS(1),
    [sym_keyword_committed] = ACTIONS(1),
    [sym_keyword_uncommitted] = ACTIONS(1),
    [sym_keyword_deferrable] = ACTIONS(1),
    [sym_keyword_names] = ACTIONS(1),
    [sym_keyword_zone] = ACTIONS(1),
    [sym_keyword_immediate] = ACTIONS(1),
    [sym_keyword_deferred] = ACTIONS(1),
    [sym_keyword_constraints] = ACTIONS(1),
    [sym_keyword_snapshot] = ACTIONS(1),
    [sym_keyword_characteristics] = ACTIONS(1),
    [sym_keyword_follows] = ACTIONS(1),
    [sym_keyword_precedes] = ACTIONS(1),
    [sym_keyword_each] = ACTIONS(1),
    [sym_keyword_instead] = ACTIONS(1),
    [sym_keyword_of] = ACTIONS(1),
    [sym_keyword_initially] = ACTIONS(1),
    [sym_keyword_old] = ACTIONS(1),
    [sym_keyword_new] = ACTIONS(1),
    [sym_keyword_referencing] = ACTIONS(1),
    [sym_keyword_statement] = ACTIONS(1),
    [sym_keyword_execute] = ACTIONS(1),
    [sym_keyword_procedure] = ACTIONS(1),
    [sym_keyword_external] = ACTIONS(1),
    [sym_keyword_stored] = ACTIONS(1),
    [sym_keyword_virtual] = ACTIONS(1),
    [sym_keyword_cached] = ACTIONS(1),
    [sym_keyword_uncached] = ACTIONS(1),
    [sym_keyword_replication] = ACTIONS(1),
    [sym_keyword_tblproperties] = ACTIONS(1),
    [sym_keyword_compute] = ACTIONS(1),
    [sym_keyword_stats] = ACTIONS(1),
    [sym_keyword_statistics] = ACTIONS(1),
    [sym_keyword_optimize] = ACTIONS(1),
    [sym_keyword_rewrite] = ACTIONS(1),
    [sym_keyword_bin_pack] = ACTIONS(1),
    [sym_keyword_incremental] = ACTIONS(1),
    [sym_keyword_location] = ACTIONS(1),
    [sym_keyword_partitioned] = ACTIONS(1),
    [sym_keyword_comment] = ACTIONS(1),
    [sym_keyword_sort] = ACTIONS(1),
    [sym_keyword_format] = ACTIONS(1),
    [sym_keyword_delimited] = ACTIONS(1),
    [sym_keyword_delimiter] = ACTIONS(1),
    [sym_keyword_fields] = ACTIONS(1),
    [sym_keyword_terminated] = ACTIONS(1),
    [sym_keyword_escaped] = ACTIONS(1),
    [sym_keyword_lines] = ACTIONS(1),
    [sym_keyword_cache] = ACTIONS(1),
    [sym_keyword_metadata] = ACTIONS(1),
    [sym_keyword_noscan] = ACTIONS(1),
    [sym_keyword_parquet] = ACTIONS(1),
    [sym_keyword_rcfile] = ACTIONS(1),
    [sym_keyword_csv] = ACTIONS(1),
    [sym_keyword_textfile] = ACTIONS(1),
    [sym_keyword_avro] = ACTIONS(1),
    [sym_keyword_sequencefile] = ACTIONS(1),
    [sym_keyword_orc] = ACTIONS(1),
    [sym_keyword_jsonfile] = ACTIONS(1),
    [sym_keyword_null] = ACTIONS(1),
    [sym_keyword_true] = ACTIONS(1),
    [sym_keyword_false] = ACTIONS(1),
    [sym_keyword_boolean] = ACTIONS(1),
    [sym_keyword_bit] = ACTIONS(1),
    [sym_keyword_binary] = ACTIONS(1),
    [sym_keyword_varbinary] = ACTIONS(1),
    [sym_keyword_image] = ACTIONS(1),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1),
    [aux_sym_keyword_serial_token1] = ACTIONS(1),
    [aux_sym_keyword_serial_token2] = ACTIONS(1),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1),
    [aux_sym_keyword_int_token1] = ACTIONS(1),
    [aux_sym_keyword_int_token2] = ACTIONS(1),
    [aux_sym_keyword_int_token3] = ACTIONS(1),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1),
    [sym_keyword_decimal] = ACTIONS(1),
    [sym_keyword_numeric] = ACTIONS(1),
    [aux_sym_keyword_real_token1] = ACTIONS(1),
    [aux_sym_keyword_real_token2] = ACTIONS(1),
    [sym_keyword_float] = ACTIONS(1),
    [sym_keyword_double] = ACTIONS(1),
    [sym_keyword_precision] = ACTIONS(1),
    [sym_keyword_inet] = ACTIONS(1),
    [sym_keyword_money] = ACTIONS(1),
    [sym_keyword_smallmoney] = ACTIONS(1),
    [sym_keyword_varying] = ACTIONS(1),
    [aux_sym_keyword_char_token1] = ACTIONS(1),
    [sym_keyword_nchar] = ACTIONS(1),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1),
    [sym_keyword_nvarchar] = ACTIONS(1),
    [sym_keyword_text] = ACTIONS(1),
    [sym_keyword_string] = ACTIONS(1),
    [sym_keyword_uuid] = ACTIONS(1),
    [sym_keyword_json] = ACTIONS(1),
    [sym_keyword_jsonb] = ACTIONS(1),
    [sym_keyword_xml] = ACTIONS(1),
    [sym_keyword_bytea] = ACTIONS(1),
    [sym_keyword_enum] = ACTIONS(1),
    [sym_keyword_date] = ACTIONS(1),
    [sym_keyword_datetime] = ACTIONS(1),
    [sym_keyword_datetime2] = ACTIONS(1),
    [sym_keyword_smalldatetime] = ACTIONS(1),
    [sym_keyword_datetimeoffset] = ACTIONS(1),
    [sym_keyword_time] = ACTIONS(1),
    [sym_keyword_timestamp] = ACTIONS(1),
    [sym_keyword_timestamptz] = ACTIONS(1),
    [sym_keyword_interval] = ACTIONS(1),
    [sym_keyword_geometry] = ACTIONS(1),
    [sym_keyword_geography] = ACTIONS(1),
    [sym_keyword_box2d] = ACTIONS(1),
    [sym_keyword_box3d] = ACTIONS(1),
    [sym_keyword_oid] = ACTIONS(1),
    [sym_keyword_oids] = ACTIONS(1),
    [sym_keyword_name] = ACTIONS(1),
    [sym_keyword_regclass] = ACTIONS(1),
    [sym_keyword_regnamespace] = ACTIONS(1),
    [sym_keyword_regproc] = ACTIONS(1),
    [sym_keyword_regtype] = ACTIONS(1),
    [sym_keyword_array] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [aux_sym_double_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [sym_parameter] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [sym_op_unary_other] = ACTIONS(1),
    [sym__double_quote_string] = ACTIONS(1),
    [aux_sym__single_quote_string_token1] = ACTIONS(1),
    [aux_sym__single_quote_string_token2] = ACTIONS(1),
    [sym__natural_number] = ACTIONS(1),
    [aux_sym__bit_string_token1] = ACTIONS(1),
    [sym_bang] = ACTIONS(1),
    [aux_sym_identifier_token1] = ACTIONS(1),
    [sym__dollar_quoted_string_start_tag] = ACTIONS(1),
    [sym__dollar_quoted_string_end_tag] = ACTIONS(1),
    [sym__dollar_quoted_string] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(12349),
    [sym_transaction] = STATE(13325),
    [sym_block] = STATE(13325),
    [sym_statement] = STATE(11942),
    [sym__ddl_statement] = STATE(10852),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10873),
    [sym__dml_read] = STATE(10914),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10852),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10852),
    [sym_create_table] = STATE(10852),
    [sym_reset_statement] = STATE(10852),
    [sym_set_statement] = STATE(10852),
    [sym_create_view] = STATE(10852),
    [sym_create_materialized_view] = STATE(10852),
    [sym_create_function] = STATE(10852),
    [sym_create_index] = STATE(10852),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10852),
    [sym_create_role] = STATE(10852),
    [sym_create_sequence] = STATE(10852),
    [sym_create_extension] = STATE(10852),
    [sym_create_trigger] = STATE(10852),
    [sym_create_type] = STATE(10852),
    [sym__alter_statement] = STATE(10852),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10852),
    [sym_alter_view] = STATE(10852),
    [sym_alter_schema] = STATE(10852),
    [sym_alter_database] = STATE(10852),
    [sym_alter_role] = STATE(10852),
    [sym_alter_index] = STATE(10852),
    [sym_alter_sequence] = STATE(10852),
    [sym_alter_type] = STATE(10852),
    [sym__drop_statement] = STATE(10852),
    [sym_drop_table] = STATE(10852),
    [sym_drop_view] = STATE(10852),
    [sym_drop_schema] = STATE(10852),
    [sym_drop_database] = STATE(10852),
    [sym_drop_role] = STATE(10852),
    [sym_drop_type] = STATE(10852),
    [sym_drop_sequence] = STATE(10852),
    [sym_drop_index] = STATE(10852),
    [sym_drop_extension] = STATE(10852),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10852),
    [sym__compute_stats] = STATE(10852),
    [sym__optimize_table] = STATE(10852),
    [sym__vacuum_table] = STATE(10852),
    [sym_update] = STATE(9692),
    [aux_sym_program_repeat1] = STATE(110),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_begin] = ACTIONS(39),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [2] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(10066),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_default] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [sym_keyword_array] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RPAREN] = ACTIONS(111),
    [anon_sym_COMMA] = ACTIONS(111),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(115),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [3] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(10251),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym__argmode] = STATE(11),
    [sym_function_argument] = STATE(10993),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(2),
    [sym__identifier] = ACTIONS(119),
    [sym_keyword_in] = ACTIONS(121),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_out] = ACTIONS(123),
    [sym_keyword_inout] = ACTIONS(123),
    [sym_keyword_variadic] = ACTIONS(123),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [anon_sym_RPAREN] = ACTIONS(125),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [4] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(10325),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_default] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [sym_keyword_array] = ACTIONS(57),
    [anon_sym_LBRACK] = ACTIONS(111),
    [anon_sym_RPAREN] = ACTIONS(111),
    [anon_sym_COMMA] = ACTIONS(111),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(111),
    [anon_sym_DOT] = ACTIONS(115),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [5] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(10251),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym__argmode] = STATE(11),
    [sym_function_argument] = STATE(12102),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(2),
    [sym__identifier] = ACTIONS(119),
    [sym_keyword_in] = ACTIONS(121),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_out] = ACTIONS(123),
    [sym_keyword_inout] = ACTIONS(123),
    [sym_keyword_variadic] = ACTIONS(123),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [6] = {
    [sym_keyword_smallserial] = STATE(5235),
    [sym_keyword_serial] = STATE(5235),
    [sym_keyword_bigserial] = STATE(5235),
    [sym_keyword_tinyint] = STATE(5258),
    [sym_keyword_smallint] = STATE(5259),
    [sym_keyword_mediumint] = STATE(5260),
    [sym_keyword_int] = STATE(5261),
    [sym_keyword_bigint] = STATE(5262),
    [sym_keyword_real] = STATE(5263),
    [sym_keyword_char] = STATE(5956),
    [sym_keyword_varchar] = STATE(5957),
    [sym__type] = STATE(6527),
    [sym_tinyint] = STATE(5235),
    [sym_smallint] = STATE(5235),
    [sym_mediumint] = STATE(5235),
    [sym_int] = STATE(5235),
    [sym_bigint] = STATE(5235),
    [sym_bit] = STATE(5235),
    [sym_binary] = STATE(5235),
    [sym_varbinary] = STATE(5235),
    [sym_float] = STATE(5235),
    [sym_double] = STATE(5235),
    [sym_decimal] = STATE(5235),
    [sym_numeric] = STATE(5235),
    [sym_char] = STATE(5235),
    [sym_varchar] = STATE(5235),
    [sym_nchar] = STATE(5235),
    [sym_nvarchar] = STATE(5235),
    [sym_datetimeoffset] = STATE(5235),
    [sym_time] = STATE(5235),
    [sym_timestamp] = STATE(5235),
    [sym_enum] = STATE(5235),
    [sym_object_reference] = STATE(5274),
    [sym_identifier] = STATE(6889),
    [sym__identifier] = ACTIONS(129),
    [sym_keyword_table] = ACTIONS(131),
    [aux_sym_keyword_character_token1] = ACTIONS(133),
    [sym_keyword_unsigned] = ACTIONS(135),
    [sym_keyword_trigger] = ACTIONS(137),
    [sym_keyword_setof] = ACTIONS(139),
    [sym_keyword_boolean] = ACTIONS(141),
    [sym_keyword_bit] = ACTIONS(143),
    [sym_keyword_binary] = ACTIONS(145),
    [sym_keyword_varbinary] = ACTIONS(147),
    [sym_keyword_image] = ACTIONS(141),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(149),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(149),
    [aux_sym_keyword_serial_token1] = ACTIONS(151),
    [aux_sym_keyword_serial_token2] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(153),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(155),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(155),
    [aux_sym_keyword_smallint_token1] = ACTIONS(157),
    [aux_sym_keyword_smallint_token2] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(159),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token1] = ACTIONS(161),
    [aux_sym_keyword_int_token2] = ACTIONS(161),
    [aux_sym_keyword_int_token3] = ACTIONS(161),
    [aux_sym_keyword_bigint_token1] = ACTIONS(163),
    [aux_sym_keyword_bigint_token2] = ACTIONS(163),
    [sym_keyword_decimal] = ACTIONS(165),
    [sym_keyword_numeric] = ACTIONS(167),
    [aux_sym_keyword_real_token1] = ACTIONS(169),
    [aux_sym_keyword_real_token2] = ACTIONS(169),
    [sym_keyword_float] = ACTIONS(171),
    [sym_keyword_double] = ACTIONS(173),
    [sym_keyword_inet] = ACTIONS(141),
    [sym_keyword_money] = ACTIONS(141),
    [sym_keyword_smallmoney] = ACTIONS(141),
    [aux_sym_keyword_char_token1] = ACTIONS(175),
    [sym_keyword_nchar] = ACTIONS(177),
    [aux_sym_keyword_varchar_token1] = ACTIONS(179),
    [sym_keyword_nvarchar] = ACTIONS(181),
    [sym_keyword_text] = ACTIONS(141),
    [sym_keyword_string] = ACTIONS(141),
    [sym_keyword_uuid] = ACTIONS(141),
    [sym_keyword_json] = ACTIONS(141),
    [sym_keyword_jsonb] = ACTIONS(141),
    [sym_keyword_xml] = ACTIONS(141),
    [sym_keyword_bytea] = ACTIONS(141),
    [sym_keyword_enum] = ACTIONS(183),
    [sym_keyword_date] = ACTIONS(141),
    [sym_keyword_datetime] = ACTIONS(141),
    [sym_keyword_datetime2] = ACTIONS(141),
    [sym_keyword_smalldatetime] = ACTIONS(141),
    [sym_keyword_datetimeoffset] = ACTIONS(185),
    [sym_keyword_time] = ACTIONS(187),
    [sym_keyword_timestamp] = ACTIONS(189),
    [sym_keyword_timestamptz] = ACTIONS(141),
    [sym_keyword_interval] = ACTIONS(141),
    [sym_keyword_geometry] = ACTIONS(141),
    [sym_keyword_geography] = ACTIONS(141),
    [sym_keyword_box2d] = ACTIONS(141),
    [sym_keyword_box3d] = ACTIONS(141),
    [sym_keyword_oid] = ACTIONS(141),
    [sym_keyword_name] = ACTIONS(141),
    [sym_keyword_regclass] = ACTIONS(141),
    [sym_keyword_regnamespace] = ACTIONS(141),
    [sym_keyword_regproc] = ACTIONS(141),
    [sym_keyword_regtype] = ACTIONS(141),
    [aux_sym_double_token1] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(193),
    [aux_sym_identifier_token1] = ACTIONS(193),
  },
  [7] = {
    [sym_keyword_smallserial] = STATE(5235),
    [sym_keyword_serial] = STATE(5235),
    [sym_keyword_bigserial] = STATE(5235),
    [sym_keyword_tinyint] = STATE(5258),
    [sym_keyword_smallint] = STATE(5259),
    [sym_keyword_mediumint] = STATE(5260),
    [sym_keyword_int] = STATE(5261),
    [sym_keyword_bigint] = STATE(5262),
    [sym_keyword_real] = STATE(5263),
    [sym_keyword_char] = STATE(5956),
    [sym_keyword_varchar] = STATE(5957),
    [sym__type] = STATE(6512),
    [sym_tinyint] = STATE(5235),
    [sym_smallint] = STATE(5235),
    [sym_mediumint] = STATE(5235),
    [sym_int] = STATE(5235),
    [sym_bigint] = STATE(5235),
    [sym_bit] = STATE(5235),
    [sym_binary] = STATE(5235),
    [sym_varbinary] = STATE(5235),
    [sym_float] = STATE(5235),
    [sym_double] = STATE(5235),
    [sym_decimal] = STATE(5235),
    [sym_numeric] = STATE(5235),
    [sym_char] = STATE(5235),
    [sym_varchar] = STATE(5235),
    [sym_nchar] = STATE(5235),
    [sym_nvarchar] = STATE(5235),
    [sym_datetimeoffset] = STATE(5235),
    [sym_time] = STATE(5235),
    [sym_timestamp] = STATE(5235),
    [sym_enum] = STATE(5235),
    [sym_object_reference] = STATE(5274),
    [sym_identifier] = STATE(6889),
    [sym__identifier] = ACTIONS(129),
    [sym_keyword_table] = ACTIONS(195),
    [aux_sym_keyword_character_token1] = ACTIONS(133),
    [sym_keyword_unsigned] = ACTIONS(135),
    [sym_keyword_trigger] = ACTIONS(197),
    [sym_keyword_setof] = ACTIONS(199),
    [sym_keyword_boolean] = ACTIONS(141),
    [sym_keyword_bit] = ACTIONS(143),
    [sym_keyword_binary] = ACTIONS(145),
    [sym_keyword_varbinary] = ACTIONS(147),
    [sym_keyword_image] = ACTIONS(141),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(149),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(149),
    [aux_sym_keyword_serial_token1] = ACTIONS(151),
    [aux_sym_keyword_serial_token2] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(153),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(155),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(155),
    [aux_sym_keyword_smallint_token1] = ACTIONS(157),
    [aux_sym_keyword_smallint_token2] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(159),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token1] = ACTIONS(161),
    [aux_sym_keyword_int_token2] = ACTIONS(161),
    [aux_sym_keyword_int_token3] = ACTIONS(161),
    [aux_sym_keyword_bigint_token1] = ACTIONS(163),
    [aux_sym_keyword_bigint_token2] = ACTIONS(163),
    [sym_keyword_decimal] = ACTIONS(165),
    [sym_keyword_numeric] = ACTIONS(167),
    [aux_sym_keyword_real_token1] = ACTIONS(169),
    [aux_sym_keyword_real_token2] = ACTIONS(169),
    [sym_keyword_float] = ACTIONS(171),
    [sym_keyword_double] = ACTIONS(173),
    [sym_keyword_inet] = ACTIONS(141),
    [sym_keyword_money] = ACTIONS(141),
    [sym_keyword_smallmoney] = ACTIONS(141),
    [aux_sym_keyword_char_token1] = ACTIONS(175),
    [sym_keyword_nchar] = ACTIONS(177),
    [aux_sym_keyword_varchar_token1] = ACTIONS(179),
    [sym_keyword_nvarchar] = ACTIONS(181),
    [sym_keyword_text] = ACTIONS(141),
    [sym_keyword_string] = ACTIONS(141),
    [sym_keyword_uuid] = ACTIONS(141),
    [sym_keyword_json] = ACTIONS(141),
    [sym_keyword_jsonb] = ACTIONS(141),
    [sym_keyword_xml] = ACTIONS(141),
    [sym_keyword_bytea] = ACTIONS(141),
    [sym_keyword_enum] = ACTIONS(183),
    [sym_keyword_date] = ACTIONS(141),
    [sym_keyword_datetime] = ACTIONS(141),
    [sym_keyword_datetime2] = ACTIONS(141),
    [sym_keyword_smalldatetime] = ACTIONS(141),
    [sym_keyword_datetimeoffset] = ACTIONS(185),
    [sym_keyword_time] = ACTIONS(187),
    [sym_keyword_timestamp] = ACTIONS(189),
    [sym_keyword_timestamptz] = ACTIONS(141),
    [sym_keyword_interval] = ACTIONS(141),
    [sym_keyword_geometry] = ACTIONS(141),
    [sym_keyword_geography] = ACTIONS(141),
    [sym_keyword_box2d] = ACTIONS(141),
    [sym_keyword_box3d] = ACTIONS(141),
    [sym_keyword_oid] = ACTIONS(141),
    [sym_keyword_name] = ACTIONS(141),
    [sym_keyword_regclass] = ACTIONS(141),
    [sym_keyword_regnamespace] = ACTIONS(141),
    [sym_keyword_regproc] = ACTIONS(141),
    [sym_keyword_regtype] = ACTIONS(141),
    [aux_sym_double_token1] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(193),
    [aux_sym_identifier_token1] = ACTIONS(193),
  },
  [8] = {
    [sym_keyword_smallserial] = STATE(5235),
    [sym_keyword_serial] = STATE(5235),
    [sym_keyword_bigserial] = STATE(5235),
    [sym_keyword_tinyint] = STATE(5258),
    [sym_keyword_smallint] = STATE(5259),
    [sym_keyword_mediumint] = STATE(5260),
    [sym_keyword_int] = STATE(5261),
    [sym_keyword_bigint] = STATE(5262),
    [sym_keyword_real] = STATE(5263),
    [sym_keyword_char] = STATE(5956),
    [sym_keyword_varchar] = STATE(5957),
    [sym__type] = STATE(6515),
    [sym_tinyint] = STATE(5235),
    [sym_smallint] = STATE(5235),
    [sym_mediumint] = STATE(5235),
    [sym_int] = STATE(5235),
    [sym_bigint] = STATE(5235),
    [sym_bit] = STATE(5235),
    [sym_binary] = STATE(5235),
    [sym_varbinary] = STATE(5235),
    [sym_float] = STATE(5235),
    [sym_double] = STATE(5235),
    [sym_decimal] = STATE(5235),
    [sym_numeric] = STATE(5235),
    [sym_char] = STATE(5235),
    [sym_varchar] = STATE(5235),
    [sym_nchar] = STATE(5235),
    [sym_nvarchar] = STATE(5235),
    [sym_datetimeoffset] = STATE(5235),
    [sym_time] = STATE(5235),
    [sym_timestamp] = STATE(5235),
    [sym_enum] = STATE(5235),
    [sym_object_reference] = STATE(5274),
    [sym_identifier] = STATE(6889),
    [sym__identifier] = ACTIONS(129),
    [sym_keyword_table] = ACTIONS(201),
    [aux_sym_keyword_character_token1] = ACTIONS(133),
    [sym_keyword_unsigned] = ACTIONS(135),
    [sym_keyword_trigger] = ACTIONS(203),
    [sym_keyword_setof] = ACTIONS(205),
    [sym_keyword_boolean] = ACTIONS(141),
    [sym_keyword_bit] = ACTIONS(143),
    [sym_keyword_binary] = ACTIONS(145),
    [sym_keyword_varbinary] = ACTIONS(147),
    [sym_keyword_image] = ACTIONS(141),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(149),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(149),
    [aux_sym_keyword_serial_token1] = ACTIONS(151),
    [aux_sym_keyword_serial_token2] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(153),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(155),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(155),
    [aux_sym_keyword_smallint_token1] = ACTIONS(157),
    [aux_sym_keyword_smallint_token2] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(159),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token1] = ACTIONS(161),
    [aux_sym_keyword_int_token2] = ACTIONS(161),
    [aux_sym_keyword_int_token3] = ACTIONS(161),
    [aux_sym_keyword_bigint_token1] = ACTIONS(163),
    [aux_sym_keyword_bigint_token2] = ACTIONS(163),
    [sym_keyword_decimal] = ACTIONS(165),
    [sym_keyword_numeric] = ACTIONS(167),
    [aux_sym_keyword_real_token1] = ACTIONS(169),
    [aux_sym_keyword_real_token2] = ACTIONS(169),
    [sym_keyword_float] = ACTIONS(171),
    [sym_keyword_double] = ACTIONS(173),
    [sym_keyword_inet] = ACTIONS(141),
    [sym_keyword_money] = ACTIONS(141),
    [sym_keyword_smallmoney] = ACTIONS(141),
    [aux_sym_keyword_char_token1] = ACTIONS(175),
    [sym_keyword_nchar] = ACTIONS(177),
    [aux_sym_keyword_varchar_token1] = ACTIONS(179),
    [sym_keyword_nvarchar] = ACTIONS(181),
    [sym_keyword_text] = ACTIONS(141),
    [sym_keyword_string] = ACTIONS(141),
    [sym_keyword_uuid] = ACTIONS(141),
    [sym_keyword_json] = ACTIONS(141),
    [sym_keyword_jsonb] = ACTIONS(141),
    [sym_keyword_xml] = ACTIONS(141),
    [sym_keyword_bytea] = ACTIONS(141),
    [sym_keyword_enum] = ACTIONS(183),
    [sym_keyword_date] = ACTIONS(141),
    [sym_keyword_datetime] = ACTIONS(141),
    [sym_keyword_datetime2] = ACTIONS(141),
    [sym_keyword_smalldatetime] = ACTIONS(141),
    [sym_keyword_datetimeoffset] = ACTIONS(185),
    [sym_keyword_time] = ACTIONS(187),
    [sym_keyword_timestamp] = ACTIONS(189),
    [sym_keyword_timestamptz] = ACTIONS(141),
    [sym_keyword_interval] = ACTIONS(141),
    [sym_keyword_geometry] = ACTIONS(141),
    [sym_keyword_geography] = ACTIONS(141),
    [sym_keyword_box2d] = ACTIONS(141),
    [sym_keyword_box3d] = ACTIONS(141),
    [sym_keyword_oid] = ACTIONS(141),
    [sym_keyword_name] = ACTIONS(141),
    [sym_keyword_regclass] = ACTIONS(141),
    [sym_keyword_regnamespace] = ACTIONS(141),
    [sym_keyword_regproc] = ACTIONS(141),
    [sym_keyword_regtype] = ACTIONS(141),
    [aux_sym_double_token1] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(193),
    [aux_sym_identifier_token1] = ACTIONS(193),
  },
  [9] = {
    [sym_keyword_smallserial] = STATE(5235),
    [sym_keyword_serial] = STATE(5235),
    [sym_keyword_bigserial] = STATE(5235),
    [sym_keyword_tinyint] = STATE(5258),
    [sym_keyword_smallint] = STATE(5259),
    [sym_keyword_mediumint] = STATE(5260),
    [sym_keyword_int] = STATE(5261),
    [sym_keyword_bigint] = STATE(5262),
    [sym_keyword_real] = STATE(5263),
    [sym_keyword_char] = STATE(5956),
    [sym_keyword_varchar] = STATE(5957),
    [sym__type] = STATE(6520),
    [sym_tinyint] = STATE(5235),
    [sym_smallint] = STATE(5235),
    [sym_mediumint] = STATE(5235),
    [sym_int] = STATE(5235),
    [sym_bigint] = STATE(5235),
    [sym_bit] = STATE(5235),
    [sym_binary] = STATE(5235),
    [sym_varbinary] = STATE(5235),
    [sym_float] = STATE(5235),
    [sym_double] = STATE(5235),
    [sym_decimal] = STATE(5235),
    [sym_numeric] = STATE(5235),
    [sym_char] = STATE(5235),
    [sym_varchar] = STATE(5235),
    [sym_nchar] = STATE(5235),
    [sym_nvarchar] = STATE(5235),
    [sym_datetimeoffset] = STATE(5235),
    [sym_time] = STATE(5235),
    [sym_timestamp] = STATE(5235),
    [sym_enum] = STATE(5235),
    [sym_object_reference] = STATE(5274),
    [sym_identifier] = STATE(6889),
    [sym__identifier] = ACTIONS(129),
    [sym_keyword_table] = ACTIONS(207),
    [aux_sym_keyword_character_token1] = ACTIONS(133),
    [sym_keyword_unsigned] = ACTIONS(135),
    [sym_keyword_trigger] = ACTIONS(209),
    [sym_keyword_setof] = ACTIONS(211),
    [sym_keyword_boolean] = ACTIONS(141),
    [sym_keyword_bit] = ACTIONS(143),
    [sym_keyword_binary] = ACTIONS(145),
    [sym_keyword_varbinary] = ACTIONS(147),
    [sym_keyword_image] = ACTIONS(141),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(149),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(149),
    [aux_sym_keyword_serial_token1] = ACTIONS(151),
    [aux_sym_keyword_serial_token2] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(153),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(155),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(155),
    [aux_sym_keyword_smallint_token1] = ACTIONS(157),
    [aux_sym_keyword_smallint_token2] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(159),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token1] = ACTIONS(161),
    [aux_sym_keyword_int_token2] = ACTIONS(161),
    [aux_sym_keyword_int_token3] = ACTIONS(161),
    [aux_sym_keyword_bigint_token1] = ACTIONS(163),
    [aux_sym_keyword_bigint_token2] = ACTIONS(163),
    [sym_keyword_decimal] = ACTIONS(165),
    [sym_keyword_numeric] = ACTIONS(167),
    [aux_sym_keyword_real_token1] = ACTIONS(169),
    [aux_sym_keyword_real_token2] = ACTIONS(169),
    [sym_keyword_float] = ACTIONS(171),
    [sym_keyword_double] = ACTIONS(173),
    [sym_keyword_inet] = ACTIONS(141),
    [sym_keyword_money] = ACTIONS(141),
    [sym_keyword_smallmoney] = ACTIONS(141),
    [aux_sym_keyword_char_token1] = ACTIONS(175),
    [sym_keyword_nchar] = ACTIONS(177),
    [aux_sym_keyword_varchar_token1] = ACTIONS(179),
    [sym_keyword_nvarchar] = ACTIONS(181),
    [sym_keyword_text] = ACTIONS(141),
    [sym_keyword_string] = ACTIONS(141),
    [sym_keyword_uuid] = ACTIONS(141),
    [sym_keyword_json] = ACTIONS(141),
    [sym_keyword_jsonb] = ACTIONS(141),
    [sym_keyword_xml] = ACTIONS(141),
    [sym_keyword_bytea] = ACTIONS(141),
    [sym_keyword_enum] = ACTIONS(183),
    [sym_keyword_date] = ACTIONS(141),
    [sym_keyword_datetime] = ACTIONS(141),
    [sym_keyword_datetime2] = ACTIONS(141),
    [sym_keyword_smalldatetime] = ACTIONS(141),
    [sym_keyword_datetimeoffset] = ACTIONS(185),
    [sym_keyword_time] = ACTIONS(187),
    [sym_keyword_timestamp] = ACTIONS(189),
    [sym_keyword_timestamptz] = ACTIONS(141),
    [sym_keyword_interval] = ACTIONS(141),
    [sym_keyword_geometry] = ACTIONS(141),
    [sym_keyword_geography] = ACTIONS(141),
    [sym_keyword_box2d] = ACTIONS(141),
    [sym_keyword_box3d] = ACTIONS(141),
    [sym_keyword_oid] = ACTIONS(141),
    [sym_keyword_name] = ACTIONS(141),
    [sym_keyword_regclass] = ACTIONS(141),
    [sym_keyword_regnamespace] = ACTIONS(141),
    [sym_keyword_regproc] = ACTIONS(141),
    [sym_keyword_regtype] = ACTIONS(141),
    [aux_sym_double_token1] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(193),
    [aux_sym_identifier_token1] = ACTIONS(193),
  },
  [10] = {
    [sym_keyword_smallserial] = STATE(2800),
    [sym_keyword_serial] = STATE(2800),
    [sym_keyword_bigserial] = STATE(2800),
    [sym_keyword_tinyint] = STATE(2816),
    [sym_keyword_smallint] = STATE(2818),
    [sym_keyword_mediumint] = STATE(2834),
    [sym_keyword_int] = STATE(2837),
    [sym_keyword_bigint] = STATE(2765),
    [sym_keyword_real] = STATE(2805),
    [sym_keyword_char] = STATE(3297),
    [sym_keyword_varchar] = STATE(3300),
    [sym__type] = STATE(4362),
    [sym_tinyint] = STATE(2800),
    [sym_smallint] = STATE(2800),
    [sym_mediumint] = STATE(2800),
    [sym_int] = STATE(2800),
    [sym_bigint] = STATE(2800),
    [sym_bit] = STATE(2800),
    [sym_binary] = STATE(2800),
    [sym_varbinary] = STATE(2800),
    [sym_float] = STATE(2800),
    [sym_double] = STATE(2800),
    [sym_decimal] = STATE(2800),
    [sym_numeric] = STATE(2800),
    [sym_char] = STATE(2800),
    [sym_varchar] = STATE(2800),
    [sym_nchar] = STATE(2800),
    [sym_nvarchar] = STATE(2800),
    [sym_datetimeoffset] = STATE(2800),
    [sym_time] = STATE(2800),
    [sym_timestamp] = STATE(2800),
    [sym_enum] = STATE(2800),
    [sym_object_reference] = STATE(2801),
    [sym_identifier] = STATE(3256),
    [sym__identifier] = ACTIONS(213),
    [aux_sym_keyword_character_token1] = ACTIONS(215),
    [sym_keyword_unsigned] = ACTIONS(217),
    [sym_keyword_boolean] = ACTIONS(219),
    [sym_keyword_bit] = ACTIONS(221),
    [sym_keyword_binary] = ACTIONS(223),
    [sym_keyword_varbinary] = ACTIONS(225),
    [sym_keyword_image] = ACTIONS(219),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(227),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(227),
    [aux_sym_keyword_serial_token1] = ACTIONS(229),
    [aux_sym_keyword_serial_token2] = ACTIONS(229),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(231),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(231),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(233),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(233),
    [aux_sym_keyword_smallint_token1] = ACTIONS(235),
    [aux_sym_keyword_smallint_token2] = ACTIONS(235),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(237),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(237),
    [aux_sym_keyword_int_token1] = ACTIONS(239),
    [aux_sym_keyword_int_token2] = ACTIONS(239),
    [aux_sym_keyword_int_token3] = ACTIONS(239),
    [aux_sym_keyword_bigint_token1] = ACTIONS(241),
    [aux_sym_keyword_bigint_token2] = ACTIONS(241),
    [sym_keyword_decimal] = ACTIONS(243),
    [sym_keyword_numeric] = ACTIONS(245),
    [aux_sym_keyword_real_token1] = ACTIONS(247),
    [aux_sym_keyword_real_token2] = ACTIONS(247),
    [sym_keyword_float] = ACTIONS(249),
    [sym_keyword_double] = ACTIONS(251),
    [sym_keyword_inet] = ACTIONS(219),
    [sym_keyword_money] = ACTIONS(219),
    [sym_keyword_smallmoney] = ACTIONS(219),
    [aux_sym_keyword_char_token1] = ACTIONS(253),
    [sym_keyword_nchar] = ACTIONS(255),
    [aux_sym_keyword_varchar_token1] = ACTIONS(257),
    [sym_keyword_nvarchar] = ACTIONS(259),
    [sym_keyword_text] = ACTIONS(219),
    [sym_keyword_string] = ACTIONS(219),
    [sym_keyword_uuid] = ACTIONS(219),
    [sym_keyword_json] = ACTIONS(219),
    [sym_keyword_jsonb] = ACTIONS(219),
    [sym_keyword_xml] = ACTIONS(219),
    [sym_keyword_bytea] = ACTIONS(219),
    [sym_keyword_enum] = ACTIONS(261),
    [sym_keyword_date] = ACTIONS(219),
    [sym_keyword_datetime] = ACTIONS(219),
    [sym_keyword_datetime2] = ACTIONS(219),
    [sym_keyword_smalldatetime] = ACTIONS(219),
    [sym_keyword_datetimeoffset] = ACTIONS(263),
    [sym_keyword_time] = ACTIONS(265),
    [sym_keyword_timestamp] = ACTIONS(267),
    [sym_keyword_timestamptz] = ACTIONS(219),
    [sym_keyword_interval] = ACTIONS(219),
    [sym_keyword_geometry] = ACTIONS(219),
    [sym_keyword_geography] = ACTIONS(219),
    [sym_keyword_box2d] = ACTIONS(219),
    [sym_keyword_box3d] = ACTIONS(219),
    [sym_keyword_oid] = ACTIONS(219),
    [sym_keyword_name] = ACTIONS(219),
    [sym_keyword_regclass] = ACTIONS(219),
    [sym_keyword_regnamespace] = ACTIONS(219),
    [sym_keyword_regproc] = ACTIONS(219),
    [sym_keyword_regtype] = ACTIONS(219),
    [aux_sym_double_token1] = ACTIONS(269),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(271),
    [aux_sym_identifier_token1] = ACTIONS(271),
  },
  [11] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(10064),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(4),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [12] = {
    [sym_keyword_smallserial] = STATE(2786),
    [sym_keyword_serial] = STATE(2786),
    [sym_keyword_bigserial] = STATE(2786),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(4416),
    [sym_tinyint] = STATE(2786),
    [sym_smallint] = STATE(2786),
    [sym_mediumint] = STATE(2786),
    [sym_int] = STATE(2786),
    [sym_bigint] = STATE(2786),
    [sym_bit] = STATE(2786),
    [sym_binary] = STATE(2786),
    [sym_varbinary] = STATE(2786),
    [sym_float] = STATE(2786),
    [sym_double] = STATE(2786),
    [sym_decimal] = STATE(2786),
    [sym_numeric] = STATE(2786),
    [sym_char] = STATE(2786),
    [sym_varchar] = STATE(2786),
    [sym_nchar] = STATE(2786),
    [sym_nvarchar] = STATE(2786),
    [sym_datetimeoffset] = STATE(2786),
    [sym_time] = STATE(2786),
    [sym_timestamp] = STATE(2786),
    [sym_enum] = STATE(2786),
    [sym_object_reference] = STATE(2797),
    [sym_identifier] = STATE(3154),
    [sym__identifier] = ACTIONS(273),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(275),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(275),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(275),
    [sym_keyword_money] = ACTIONS(275),
    [sym_keyword_smallmoney] = ACTIONS(275),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(275),
    [sym_keyword_string] = ACTIONS(275),
    [sym_keyword_uuid] = ACTIONS(275),
    [sym_keyword_json] = ACTIONS(275),
    [sym_keyword_jsonb] = ACTIONS(275),
    [sym_keyword_xml] = ACTIONS(275),
    [sym_keyword_bytea] = ACTIONS(275),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(275),
    [sym_keyword_datetime] = ACTIONS(275),
    [sym_keyword_datetime2] = ACTIONS(275),
    [sym_keyword_smalldatetime] = ACTIONS(275),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(275),
    [sym_keyword_interval] = ACTIONS(275),
    [sym_keyword_geometry] = ACTIONS(275),
    [sym_keyword_geography] = ACTIONS(275),
    [sym_keyword_box2d] = ACTIONS(275),
    [sym_keyword_box3d] = ACTIONS(275),
    [sym_keyword_oid] = ACTIONS(275),
    [sym_keyword_name] = ACTIONS(275),
    [sym_keyword_regclass] = ACTIONS(275),
    [sym_keyword_regnamespace] = ACTIONS(275),
    [sym_keyword_regproc] = ACTIONS(275),
    [sym_keyword_regtype] = ACTIONS(275),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(277),
    [aux_sym_identifier_token1] = ACTIONS(277),
  },
  [13] = {
    [sym_keyword_smallserial] = STATE(5235),
    [sym_keyword_serial] = STATE(5235),
    [sym_keyword_bigserial] = STATE(5235),
    [sym_keyword_tinyint] = STATE(5258),
    [sym_keyword_smallint] = STATE(5259),
    [sym_keyword_mediumint] = STATE(5260),
    [sym_keyword_int] = STATE(5261),
    [sym_keyword_bigint] = STATE(5262),
    [sym_keyword_real] = STATE(5263),
    [sym_keyword_char] = STATE(5956),
    [sym_keyword_varchar] = STATE(5957),
    [sym__type] = STATE(7432),
    [sym_tinyint] = STATE(5235),
    [sym_smallint] = STATE(5235),
    [sym_mediumint] = STATE(5235),
    [sym_int] = STATE(5235),
    [sym_bigint] = STATE(5235),
    [sym_bit] = STATE(5235),
    [sym_binary] = STATE(5235),
    [sym_varbinary] = STATE(5235),
    [sym_float] = STATE(5235),
    [sym_double] = STATE(5235),
    [sym_decimal] = STATE(5235),
    [sym_numeric] = STATE(5235),
    [sym_char] = STATE(5235),
    [sym_varchar] = STATE(5235),
    [sym_nchar] = STATE(5235),
    [sym_nvarchar] = STATE(5235),
    [sym_datetimeoffset] = STATE(5235),
    [sym_time] = STATE(5235),
    [sym_timestamp] = STATE(5235),
    [sym_enum] = STATE(5235),
    [sym_object_reference] = STATE(5274),
    [sym_identifier] = STATE(1860),
    [sym__identifier] = ACTIONS(279),
    [aux_sym_keyword_character_token1] = ACTIONS(133),
    [sym_keyword_unsigned] = ACTIONS(135),
    [sym_keyword_boolean] = ACTIONS(141),
    [sym_keyword_bit] = ACTIONS(143),
    [sym_keyword_binary] = ACTIONS(145),
    [sym_keyword_varbinary] = ACTIONS(147),
    [sym_keyword_image] = ACTIONS(141),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(149),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(149),
    [aux_sym_keyword_serial_token1] = ACTIONS(151),
    [aux_sym_keyword_serial_token2] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(153),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(155),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(155),
    [aux_sym_keyword_smallint_token1] = ACTIONS(157),
    [aux_sym_keyword_smallint_token2] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(159),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token1] = ACTIONS(161),
    [aux_sym_keyword_int_token2] = ACTIONS(161),
    [aux_sym_keyword_int_token3] = ACTIONS(161),
    [aux_sym_keyword_bigint_token1] = ACTIONS(163),
    [aux_sym_keyword_bigint_token2] = ACTIONS(163),
    [sym_keyword_decimal] = ACTIONS(165),
    [sym_keyword_numeric] = ACTIONS(167),
    [aux_sym_keyword_real_token1] = ACTIONS(169),
    [aux_sym_keyword_real_token2] = ACTIONS(169),
    [sym_keyword_float] = ACTIONS(171),
    [sym_keyword_double] = ACTIONS(173),
    [sym_keyword_inet] = ACTIONS(141),
    [sym_keyword_money] = ACTIONS(141),
    [sym_keyword_smallmoney] = ACTIONS(141),
    [aux_sym_keyword_char_token1] = ACTIONS(175),
    [sym_keyword_nchar] = ACTIONS(177),
    [aux_sym_keyword_varchar_token1] = ACTIONS(179),
    [sym_keyword_nvarchar] = ACTIONS(181),
    [sym_keyword_text] = ACTIONS(141),
    [sym_keyword_string] = ACTIONS(141),
    [sym_keyword_uuid] = ACTIONS(141),
    [sym_keyword_json] = ACTIONS(141),
    [sym_keyword_jsonb] = ACTIONS(141),
    [sym_keyword_xml] = ACTIONS(141),
    [sym_keyword_bytea] = ACTIONS(141),
    [sym_keyword_enum] = ACTIONS(183),
    [sym_keyword_date] = ACTIONS(141),
    [sym_keyword_datetime] = ACTIONS(141),
    [sym_keyword_datetime2] = ACTIONS(141),
    [sym_keyword_smalldatetime] = ACTIONS(141),
    [sym_keyword_datetimeoffset] = ACTIONS(185),
    [sym_keyword_time] = ACTIONS(187),
    [sym_keyword_timestamp] = ACTIONS(189),
    [sym_keyword_timestamptz] = ACTIONS(141),
    [sym_keyword_interval] = ACTIONS(141),
    [sym_keyword_geometry] = ACTIONS(141),
    [sym_keyword_geography] = ACTIONS(141),
    [sym_keyword_box2d] = ACTIONS(141),
    [sym_keyword_box3d] = ACTIONS(141),
    [sym_keyword_oid] = ACTIONS(141),
    [sym_keyword_name] = ACTIONS(141),
    [sym_keyword_regclass] = ACTIONS(141),
    [sym_keyword_regnamespace] = ACTIONS(141),
    [sym_keyword_regproc] = ACTIONS(141),
    [sym_keyword_regtype] = ACTIONS(141),
    [aux_sym_double_token1] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(281),
    [aux_sym_identifier_token1] = ACTIONS(281),
  },
  [14] = {
    [sym_keyword_smallserial] = STATE(5235),
    [sym_keyword_serial] = STATE(5235),
    [sym_keyword_bigserial] = STATE(5235),
    [sym_keyword_tinyint] = STATE(5258),
    [sym_keyword_smallint] = STATE(5259),
    [sym_keyword_mediumint] = STATE(5260),
    [sym_keyword_int] = STATE(5261),
    [sym_keyword_bigint] = STATE(5262),
    [sym_keyword_real] = STATE(5263),
    [sym_keyword_char] = STATE(5956),
    [sym_keyword_varchar] = STATE(5957),
    [sym__type] = STATE(6481),
    [sym_tinyint] = STATE(5235),
    [sym_smallint] = STATE(5235),
    [sym_mediumint] = STATE(5235),
    [sym_int] = STATE(5235),
    [sym_bigint] = STATE(5235),
    [sym_bit] = STATE(5235),
    [sym_binary] = STATE(5235),
    [sym_varbinary] = STATE(5235),
    [sym_float] = STATE(5235),
    [sym_double] = STATE(5235),
    [sym_decimal] = STATE(5235),
    [sym_numeric] = STATE(5235),
    [sym_char] = STATE(5235),
    [sym_varchar] = STATE(5235),
    [sym_nchar] = STATE(5235),
    [sym_nvarchar] = STATE(5235),
    [sym_datetimeoffset] = STATE(5235),
    [sym_time] = STATE(5235),
    [sym_timestamp] = STATE(5235),
    [sym_enum] = STATE(5235),
    [sym_object_reference] = STATE(5274),
    [sym_identifier] = STATE(6889),
    [sym__identifier] = ACTIONS(129),
    [aux_sym_keyword_character_token1] = ACTIONS(133),
    [sym_keyword_unsigned] = ACTIONS(135),
    [sym_keyword_boolean] = ACTIONS(141),
    [sym_keyword_bit] = ACTIONS(143),
    [sym_keyword_binary] = ACTIONS(145),
    [sym_keyword_varbinary] = ACTIONS(147),
    [sym_keyword_image] = ACTIONS(141),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(149),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(149),
    [aux_sym_keyword_serial_token1] = ACTIONS(151),
    [aux_sym_keyword_serial_token2] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(153),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(155),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(155),
    [aux_sym_keyword_smallint_token1] = ACTIONS(157),
    [aux_sym_keyword_smallint_token2] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(159),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token1] = ACTIONS(161),
    [aux_sym_keyword_int_token2] = ACTIONS(161),
    [aux_sym_keyword_int_token3] = ACTIONS(161),
    [aux_sym_keyword_bigint_token1] = ACTIONS(163),
    [aux_sym_keyword_bigint_token2] = ACTIONS(163),
    [sym_keyword_decimal] = ACTIONS(165),
    [sym_keyword_numeric] = ACTIONS(167),
    [aux_sym_keyword_real_token1] = ACTIONS(169),
    [aux_sym_keyword_real_token2] = ACTIONS(169),
    [sym_keyword_float] = ACTIONS(171),
    [sym_keyword_double] = ACTIONS(173),
    [sym_keyword_inet] = ACTIONS(141),
    [sym_keyword_money] = ACTIONS(141),
    [sym_keyword_smallmoney] = ACTIONS(141),
    [aux_sym_keyword_char_token1] = ACTIONS(175),
    [sym_keyword_nchar] = ACTIONS(177),
    [aux_sym_keyword_varchar_token1] = ACTIONS(179),
    [sym_keyword_nvarchar] = ACTIONS(181),
    [sym_keyword_text] = ACTIONS(141),
    [sym_keyword_string] = ACTIONS(141),
    [sym_keyword_uuid] = ACTIONS(141),
    [sym_keyword_json] = ACTIONS(141),
    [sym_keyword_jsonb] = ACTIONS(141),
    [sym_keyword_xml] = ACTIONS(141),
    [sym_keyword_bytea] = ACTIONS(141),
    [sym_keyword_enum] = ACTIONS(183),
    [sym_keyword_date] = ACTIONS(141),
    [sym_keyword_datetime] = ACTIONS(141),
    [sym_keyword_datetime2] = ACTIONS(141),
    [sym_keyword_smalldatetime] = ACTIONS(141),
    [sym_keyword_datetimeoffset] = ACTIONS(185),
    [sym_keyword_time] = ACTIONS(187),
    [sym_keyword_timestamp] = ACTIONS(189),
    [sym_keyword_timestamptz] = ACTIONS(141),
    [sym_keyword_interval] = ACTIONS(141),
    [sym_keyword_geometry] = ACTIONS(141),
    [sym_keyword_geography] = ACTIONS(141),
    [sym_keyword_box2d] = ACTIONS(141),
    [sym_keyword_box3d] = ACTIONS(141),
    [sym_keyword_oid] = ACTIONS(141),
    [sym_keyword_name] = ACTIONS(141),
    [sym_keyword_regclass] = ACTIONS(141),
    [sym_keyword_regnamespace] = ACTIONS(141),
    [sym_keyword_regproc] = ACTIONS(141),
    [sym_keyword_regtype] = ACTIONS(141),
    [aux_sym_double_token1] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(193),
    [aux_sym_identifier_token1] = ACTIONS(193),
  },
  [15] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(10338),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [16] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(8275),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [17] = {
    [sym_keyword_smallserial] = STATE(5235),
    [sym_keyword_serial] = STATE(5235),
    [sym_keyword_bigserial] = STATE(5235),
    [sym_keyword_tinyint] = STATE(5258),
    [sym_keyword_smallint] = STATE(5259),
    [sym_keyword_mediumint] = STATE(5260),
    [sym_keyword_int] = STATE(5261),
    [sym_keyword_bigint] = STATE(5262),
    [sym_keyword_real] = STATE(5263),
    [sym_keyword_char] = STATE(5956),
    [sym_keyword_varchar] = STATE(5957),
    [sym__type] = STATE(6499),
    [sym_tinyint] = STATE(5235),
    [sym_smallint] = STATE(5235),
    [sym_mediumint] = STATE(5235),
    [sym_int] = STATE(5235),
    [sym_bigint] = STATE(5235),
    [sym_bit] = STATE(5235),
    [sym_binary] = STATE(5235),
    [sym_varbinary] = STATE(5235),
    [sym_float] = STATE(5235),
    [sym_double] = STATE(5235),
    [sym_decimal] = STATE(5235),
    [sym_numeric] = STATE(5235),
    [sym_char] = STATE(5235),
    [sym_varchar] = STATE(5235),
    [sym_nchar] = STATE(5235),
    [sym_nvarchar] = STATE(5235),
    [sym_datetimeoffset] = STATE(5235),
    [sym_time] = STATE(5235),
    [sym_timestamp] = STATE(5235),
    [sym_enum] = STATE(5235),
    [sym_object_reference] = STATE(5274),
    [sym_identifier] = STATE(6889),
    [sym__identifier] = ACTIONS(129),
    [aux_sym_keyword_character_token1] = ACTIONS(133),
    [sym_keyword_unsigned] = ACTIONS(135),
    [sym_keyword_boolean] = ACTIONS(141),
    [sym_keyword_bit] = ACTIONS(143),
    [sym_keyword_binary] = ACTIONS(145),
    [sym_keyword_varbinary] = ACTIONS(147),
    [sym_keyword_image] = ACTIONS(141),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(149),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(149),
    [aux_sym_keyword_serial_token1] = ACTIONS(151),
    [aux_sym_keyword_serial_token2] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(153),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(155),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(155),
    [aux_sym_keyword_smallint_token1] = ACTIONS(157),
    [aux_sym_keyword_smallint_token2] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(159),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token1] = ACTIONS(161),
    [aux_sym_keyword_int_token2] = ACTIONS(161),
    [aux_sym_keyword_int_token3] = ACTIONS(161),
    [aux_sym_keyword_bigint_token1] = ACTIONS(163),
    [aux_sym_keyword_bigint_token2] = ACTIONS(163),
    [sym_keyword_decimal] = ACTIONS(165),
    [sym_keyword_numeric] = ACTIONS(167),
    [aux_sym_keyword_real_token1] = ACTIONS(169),
    [aux_sym_keyword_real_token2] = ACTIONS(169),
    [sym_keyword_float] = ACTIONS(171),
    [sym_keyword_double] = ACTIONS(173),
    [sym_keyword_inet] = ACTIONS(141),
    [sym_keyword_money] = ACTIONS(141),
    [sym_keyword_smallmoney] = ACTIONS(141),
    [aux_sym_keyword_char_token1] = ACTIONS(175),
    [sym_keyword_nchar] = ACTIONS(177),
    [aux_sym_keyword_varchar_token1] = ACTIONS(179),
    [sym_keyword_nvarchar] = ACTIONS(181),
    [sym_keyword_text] = ACTIONS(141),
    [sym_keyword_string] = ACTIONS(141),
    [sym_keyword_uuid] = ACTIONS(141),
    [sym_keyword_json] = ACTIONS(141),
    [sym_keyword_jsonb] = ACTIONS(141),
    [sym_keyword_xml] = ACTIONS(141),
    [sym_keyword_bytea] = ACTIONS(141),
    [sym_keyword_enum] = ACTIONS(183),
    [sym_keyword_date] = ACTIONS(141),
    [sym_keyword_datetime] = ACTIONS(141),
    [sym_keyword_datetime2] = ACTIONS(141),
    [sym_keyword_smalldatetime] = ACTIONS(141),
    [sym_keyword_datetimeoffset] = ACTIONS(185),
    [sym_keyword_time] = ACTIONS(187),
    [sym_keyword_timestamp] = ACTIONS(189),
    [sym_keyword_timestamptz] = ACTIONS(141),
    [sym_keyword_interval] = ACTIONS(141),
    [sym_keyword_geometry] = ACTIONS(141),
    [sym_keyword_geography] = ACTIONS(141),
    [sym_keyword_box2d] = ACTIONS(141),
    [sym_keyword_box3d] = ACTIONS(141),
    [sym_keyword_oid] = ACTIONS(141),
    [sym_keyword_name] = ACTIONS(141),
    [sym_keyword_regclass] = ACTIONS(141),
    [sym_keyword_regnamespace] = ACTIONS(141),
    [sym_keyword_regproc] = ACTIONS(141),
    [sym_keyword_regtype] = ACTIONS(141),
    [aux_sym_double_token1] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(193),
    [aux_sym_identifier_token1] = ACTIONS(193),
  },
  [18] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(10265),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [19] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(8442),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [20] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(9732),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [21] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(9814),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [22] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(8476),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [23] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(11565),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [24] = {
    [sym_keyword_smallserial] = STATE(7724),
    [sym_keyword_serial] = STATE(7724),
    [sym_keyword_bigserial] = STATE(7724),
    [sym_keyword_tinyint] = STATE(2406),
    [sym_keyword_smallint] = STATE(2407),
    [sym_keyword_mediumint] = STATE(2408),
    [sym_keyword_int] = STATE(2409),
    [sym_keyword_bigint] = STATE(2410),
    [sym_keyword_real] = STATE(2413),
    [sym_keyword_char] = STATE(2730),
    [sym_keyword_varchar] = STATE(2732),
    [sym__type] = STATE(11234),
    [sym_tinyint] = STATE(7724),
    [sym_smallint] = STATE(7724),
    [sym_mediumint] = STATE(7724),
    [sym_int] = STATE(7724),
    [sym_bigint] = STATE(7724),
    [sym_bit] = STATE(7724),
    [sym_binary] = STATE(7724),
    [sym_varbinary] = STATE(7724),
    [sym_float] = STATE(7724),
    [sym_double] = STATE(7724),
    [sym_decimal] = STATE(7724),
    [sym_numeric] = STATE(7724),
    [sym_char] = STATE(7724),
    [sym_varchar] = STATE(7724),
    [sym_nchar] = STATE(7724),
    [sym_nvarchar] = STATE(7724),
    [sym_datetimeoffset] = STATE(7724),
    [sym_time] = STATE(7724),
    [sym_timestamp] = STATE(7724),
    [sym_enum] = STATE(7724),
    [sym_object_reference] = STATE(7737),
    [sym_identifier] = STATE(7034),
    [sym__identifier] = ACTIONS(283),
    [aux_sym_keyword_character_token1] = ACTIONS(285),
    [sym_keyword_unsigned] = ACTIONS(287),
    [sym_keyword_boolean] = ACTIONS(289),
    [sym_keyword_bit] = ACTIONS(291),
    [sym_keyword_binary] = ACTIONS(293),
    [sym_keyword_varbinary] = ACTIONS(295),
    [sym_keyword_image] = ACTIONS(289),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(297),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(297),
    [aux_sym_keyword_serial_token1] = ACTIONS(299),
    [aux_sym_keyword_serial_token2] = ACTIONS(299),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(301),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(301),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(303),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(303),
    [aux_sym_keyword_smallint_token1] = ACTIONS(305),
    [aux_sym_keyword_smallint_token2] = ACTIONS(305),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(307),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(307),
    [aux_sym_keyword_int_token1] = ACTIONS(309),
    [aux_sym_keyword_int_token2] = ACTIONS(309),
    [aux_sym_keyword_int_token3] = ACTIONS(309),
    [aux_sym_keyword_bigint_token1] = ACTIONS(311),
    [aux_sym_keyword_bigint_token2] = ACTIONS(311),
    [sym_keyword_decimal] = ACTIONS(313),
    [sym_keyword_numeric] = ACTIONS(315),
    [aux_sym_keyword_real_token1] = ACTIONS(317),
    [aux_sym_keyword_real_token2] = ACTIONS(317),
    [sym_keyword_float] = ACTIONS(319),
    [sym_keyword_double] = ACTIONS(321),
    [sym_keyword_inet] = ACTIONS(289),
    [sym_keyword_money] = ACTIONS(289),
    [sym_keyword_smallmoney] = ACTIONS(289),
    [aux_sym_keyword_char_token1] = ACTIONS(323),
    [sym_keyword_nchar] = ACTIONS(325),
    [aux_sym_keyword_varchar_token1] = ACTIONS(327),
    [sym_keyword_nvarchar] = ACTIONS(329),
    [sym_keyword_text] = ACTIONS(289),
    [sym_keyword_string] = ACTIONS(289),
    [sym_keyword_uuid] = ACTIONS(289),
    [sym_keyword_json] = ACTIONS(289),
    [sym_keyword_jsonb] = ACTIONS(289),
    [sym_keyword_xml] = ACTIONS(289),
    [sym_keyword_bytea] = ACTIONS(289),
    [sym_keyword_enum] = ACTIONS(331),
    [sym_keyword_date] = ACTIONS(289),
    [sym_keyword_datetime] = ACTIONS(289),
    [sym_keyword_datetime2] = ACTIONS(289),
    [sym_keyword_smalldatetime] = ACTIONS(289),
    [sym_keyword_datetimeoffset] = ACTIONS(333),
    [sym_keyword_time] = ACTIONS(335),
    [sym_keyword_timestamp] = ACTIONS(337),
    [sym_keyword_timestamptz] = ACTIONS(289),
    [sym_keyword_interval] = ACTIONS(289),
    [sym_keyword_geometry] = ACTIONS(289),
    [sym_keyword_geography] = ACTIONS(289),
    [sym_keyword_box2d] = ACTIONS(289),
    [sym_keyword_box3d] = ACTIONS(289),
    [sym_keyword_oid] = ACTIONS(289),
    [sym_keyword_name] = ACTIONS(289),
    [sym_keyword_regclass] = ACTIONS(289),
    [sym_keyword_regnamespace] = ACTIONS(289),
    [sym_keyword_regproc] = ACTIONS(289),
    [sym_keyword_regtype] = ACTIONS(289),
    [aux_sym_double_token1] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(341),
    [aux_sym_identifier_token1] = ACTIONS(341),
  },
  [25] = {
    [sym_keyword_smallserial] = STATE(7724),
    [sym_keyword_serial] = STATE(7724),
    [sym_keyword_bigserial] = STATE(7724),
    [sym_keyword_tinyint] = STATE(2406),
    [sym_keyword_smallint] = STATE(2407),
    [sym_keyword_mediumint] = STATE(2408),
    [sym_keyword_int] = STATE(2409),
    [sym_keyword_bigint] = STATE(2410),
    [sym_keyword_real] = STATE(2413),
    [sym_keyword_char] = STATE(2730),
    [sym_keyword_varchar] = STATE(2732),
    [sym__type] = STATE(8561),
    [sym_tinyint] = STATE(7724),
    [sym_smallint] = STATE(7724),
    [sym_mediumint] = STATE(7724),
    [sym_int] = STATE(7724),
    [sym_bigint] = STATE(7724),
    [sym_bit] = STATE(7724),
    [sym_binary] = STATE(7724),
    [sym_varbinary] = STATE(7724),
    [sym_float] = STATE(7724),
    [sym_double] = STATE(7724),
    [sym_decimal] = STATE(7724),
    [sym_numeric] = STATE(7724),
    [sym_char] = STATE(7724),
    [sym_varchar] = STATE(7724),
    [sym_nchar] = STATE(7724),
    [sym_nvarchar] = STATE(7724),
    [sym_datetimeoffset] = STATE(7724),
    [sym_time] = STATE(7724),
    [sym_timestamp] = STATE(7724),
    [sym_enum] = STATE(7724),
    [sym_object_reference] = STATE(7737),
    [sym_identifier] = STATE(7034),
    [sym__identifier] = ACTIONS(283),
    [aux_sym_keyword_character_token1] = ACTIONS(285),
    [sym_keyword_unsigned] = ACTIONS(287),
    [sym_keyword_boolean] = ACTIONS(289),
    [sym_keyword_bit] = ACTIONS(291),
    [sym_keyword_binary] = ACTIONS(293),
    [sym_keyword_varbinary] = ACTIONS(295),
    [sym_keyword_image] = ACTIONS(289),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(297),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(297),
    [aux_sym_keyword_serial_token1] = ACTIONS(299),
    [aux_sym_keyword_serial_token2] = ACTIONS(299),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(301),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(301),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(303),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(303),
    [aux_sym_keyword_smallint_token1] = ACTIONS(305),
    [aux_sym_keyword_smallint_token2] = ACTIONS(305),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(307),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(307),
    [aux_sym_keyword_int_token1] = ACTIONS(309),
    [aux_sym_keyword_int_token2] = ACTIONS(309),
    [aux_sym_keyword_int_token3] = ACTIONS(309),
    [aux_sym_keyword_bigint_token1] = ACTIONS(311),
    [aux_sym_keyword_bigint_token2] = ACTIONS(311),
    [sym_keyword_decimal] = ACTIONS(313),
    [sym_keyword_numeric] = ACTIONS(315),
    [aux_sym_keyword_real_token1] = ACTIONS(317),
    [aux_sym_keyword_real_token2] = ACTIONS(317),
    [sym_keyword_float] = ACTIONS(319),
    [sym_keyword_double] = ACTIONS(321),
    [sym_keyword_inet] = ACTIONS(289),
    [sym_keyword_money] = ACTIONS(289),
    [sym_keyword_smallmoney] = ACTIONS(289),
    [aux_sym_keyword_char_token1] = ACTIONS(323),
    [sym_keyword_nchar] = ACTIONS(325),
    [aux_sym_keyword_varchar_token1] = ACTIONS(327),
    [sym_keyword_nvarchar] = ACTIONS(329),
    [sym_keyword_text] = ACTIONS(289),
    [sym_keyword_string] = ACTIONS(289),
    [sym_keyword_uuid] = ACTIONS(289),
    [sym_keyword_json] = ACTIONS(289),
    [sym_keyword_jsonb] = ACTIONS(289),
    [sym_keyword_xml] = ACTIONS(289),
    [sym_keyword_bytea] = ACTIONS(289),
    [sym_keyword_enum] = ACTIONS(331),
    [sym_keyword_date] = ACTIONS(289),
    [sym_keyword_datetime] = ACTIONS(289),
    [sym_keyword_datetime2] = ACTIONS(289),
    [sym_keyword_smalldatetime] = ACTIONS(289),
    [sym_keyword_datetimeoffset] = ACTIONS(333),
    [sym_keyword_time] = ACTIONS(335),
    [sym_keyword_timestamp] = ACTIONS(337),
    [sym_keyword_timestamptz] = ACTIONS(289),
    [sym_keyword_interval] = ACTIONS(289),
    [sym_keyword_geometry] = ACTIONS(289),
    [sym_keyword_geography] = ACTIONS(289),
    [sym_keyword_box2d] = ACTIONS(289),
    [sym_keyword_box3d] = ACTIONS(289),
    [sym_keyword_oid] = ACTIONS(289),
    [sym_keyword_name] = ACTIONS(289),
    [sym_keyword_regclass] = ACTIONS(289),
    [sym_keyword_regnamespace] = ACTIONS(289),
    [sym_keyword_regproc] = ACTIONS(289),
    [sym_keyword_regtype] = ACTIONS(289),
    [aux_sym_double_token1] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(341),
    [aux_sym_identifier_token1] = ACTIONS(341),
  },
  [26] = {
    [sym_keyword_smallserial] = STATE(7724),
    [sym_keyword_serial] = STATE(7724),
    [sym_keyword_bigserial] = STATE(7724),
    [sym_keyword_tinyint] = STATE(2406),
    [sym_keyword_smallint] = STATE(2407),
    [sym_keyword_mediumint] = STATE(2408),
    [sym_keyword_int] = STATE(2409),
    [sym_keyword_bigint] = STATE(2410),
    [sym_keyword_real] = STATE(2413),
    [sym_keyword_char] = STATE(2730),
    [sym_keyword_varchar] = STATE(2732),
    [sym__type] = STATE(11413),
    [sym_tinyint] = STATE(7724),
    [sym_smallint] = STATE(7724),
    [sym_mediumint] = STATE(7724),
    [sym_int] = STATE(7724),
    [sym_bigint] = STATE(7724),
    [sym_bit] = STATE(7724),
    [sym_binary] = STATE(7724),
    [sym_varbinary] = STATE(7724),
    [sym_float] = STATE(7724),
    [sym_double] = STATE(7724),
    [sym_decimal] = STATE(7724),
    [sym_numeric] = STATE(7724),
    [sym_char] = STATE(7724),
    [sym_varchar] = STATE(7724),
    [sym_nchar] = STATE(7724),
    [sym_nvarchar] = STATE(7724),
    [sym_datetimeoffset] = STATE(7724),
    [sym_time] = STATE(7724),
    [sym_timestamp] = STATE(7724),
    [sym_enum] = STATE(7724),
    [sym_object_reference] = STATE(7737),
    [sym_identifier] = STATE(7034),
    [sym__identifier] = ACTIONS(283),
    [aux_sym_keyword_character_token1] = ACTIONS(285),
    [sym_keyword_unsigned] = ACTIONS(287),
    [sym_keyword_boolean] = ACTIONS(289),
    [sym_keyword_bit] = ACTIONS(291),
    [sym_keyword_binary] = ACTIONS(293),
    [sym_keyword_varbinary] = ACTIONS(295),
    [sym_keyword_image] = ACTIONS(289),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(297),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(297),
    [aux_sym_keyword_serial_token1] = ACTIONS(299),
    [aux_sym_keyword_serial_token2] = ACTIONS(299),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(301),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(301),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(303),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(303),
    [aux_sym_keyword_smallint_token1] = ACTIONS(305),
    [aux_sym_keyword_smallint_token2] = ACTIONS(305),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(307),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(307),
    [aux_sym_keyword_int_token1] = ACTIONS(309),
    [aux_sym_keyword_int_token2] = ACTIONS(309),
    [aux_sym_keyword_int_token3] = ACTIONS(309),
    [aux_sym_keyword_bigint_token1] = ACTIONS(311),
    [aux_sym_keyword_bigint_token2] = ACTIONS(311),
    [sym_keyword_decimal] = ACTIONS(313),
    [sym_keyword_numeric] = ACTIONS(315),
    [aux_sym_keyword_real_token1] = ACTIONS(317),
    [aux_sym_keyword_real_token2] = ACTIONS(317),
    [sym_keyword_float] = ACTIONS(319),
    [sym_keyword_double] = ACTIONS(321),
    [sym_keyword_inet] = ACTIONS(289),
    [sym_keyword_money] = ACTIONS(289),
    [sym_keyword_smallmoney] = ACTIONS(289),
    [aux_sym_keyword_char_token1] = ACTIONS(323),
    [sym_keyword_nchar] = ACTIONS(325),
    [aux_sym_keyword_varchar_token1] = ACTIONS(327),
    [sym_keyword_nvarchar] = ACTIONS(329),
    [sym_keyword_text] = ACTIONS(289),
    [sym_keyword_string] = ACTIONS(289),
    [sym_keyword_uuid] = ACTIONS(289),
    [sym_keyword_json] = ACTIONS(289),
    [sym_keyword_jsonb] = ACTIONS(289),
    [sym_keyword_xml] = ACTIONS(289),
    [sym_keyword_bytea] = ACTIONS(289),
    [sym_keyword_enum] = ACTIONS(331),
    [sym_keyword_date] = ACTIONS(289),
    [sym_keyword_datetime] = ACTIONS(289),
    [sym_keyword_datetime2] = ACTIONS(289),
    [sym_keyword_smalldatetime] = ACTIONS(289),
    [sym_keyword_datetimeoffset] = ACTIONS(333),
    [sym_keyword_time] = ACTIONS(335),
    [sym_keyword_timestamp] = ACTIONS(337),
    [sym_keyword_timestamptz] = ACTIONS(289),
    [sym_keyword_interval] = ACTIONS(289),
    [sym_keyword_geometry] = ACTIONS(289),
    [sym_keyword_geography] = ACTIONS(289),
    [sym_keyword_box2d] = ACTIONS(289),
    [sym_keyword_box3d] = ACTIONS(289),
    [sym_keyword_oid] = ACTIONS(289),
    [sym_keyword_name] = ACTIONS(289),
    [sym_keyword_regclass] = ACTIONS(289),
    [sym_keyword_regnamespace] = ACTIONS(289),
    [sym_keyword_regproc] = ACTIONS(289),
    [sym_keyword_regtype] = ACTIONS(289),
    [aux_sym_double_token1] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(341),
    [aux_sym_identifier_token1] = ACTIONS(341),
  },
  [27] = {
    [sym_keyword_smallserial] = STATE(7724),
    [sym_keyword_serial] = STATE(7724),
    [sym_keyword_bigserial] = STATE(7724),
    [sym_keyword_tinyint] = STATE(2406),
    [sym_keyword_smallint] = STATE(2407),
    [sym_keyword_mediumint] = STATE(2408),
    [sym_keyword_int] = STATE(2409),
    [sym_keyword_bigint] = STATE(2410),
    [sym_keyword_real] = STATE(2413),
    [sym_keyword_char] = STATE(2730),
    [sym_keyword_varchar] = STATE(2732),
    [sym__type] = STATE(8831),
    [sym_tinyint] = STATE(7724),
    [sym_smallint] = STATE(7724),
    [sym_mediumint] = STATE(7724),
    [sym_int] = STATE(7724),
    [sym_bigint] = STATE(7724),
    [sym_bit] = STATE(7724),
    [sym_binary] = STATE(7724),
    [sym_varbinary] = STATE(7724),
    [sym_float] = STATE(7724),
    [sym_double] = STATE(7724),
    [sym_decimal] = STATE(7724),
    [sym_numeric] = STATE(7724),
    [sym_char] = STATE(7724),
    [sym_varchar] = STATE(7724),
    [sym_nchar] = STATE(7724),
    [sym_nvarchar] = STATE(7724),
    [sym_datetimeoffset] = STATE(7724),
    [sym_time] = STATE(7724),
    [sym_timestamp] = STATE(7724),
    [sym_enum] = STATE(7724),
    [sym_object_reference] = STATE(7737),
    [sym_identifier] = STATE(7034),
    [sym__identifier] = ACTIONS(283),
    [aux_sym_keyword_character_token1] = ACTIONS(285),
    [sym_keyword_unsigned] = ACTIONS(287),
    [sym_keyword_boolean] = ACTIONS(289),
    [sym_keyword_bit] = ACTIONS(291),
    [sym_keyword_binary] = ACTIONS(293),
    [sym_keyword_varbinary] = ACTIONS(295),
    [sym_keyword_image] = ACTIONS(289),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(297),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(297),
    [aux_sym_keyword_serial_token1] = ACTIONS(299),
    [aux_sym_keyword_serial_token2] = ACTIONS(299),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(301),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(301),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(303),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(303),
    [aux_sym_keyword_smallint_token1] = ACTIONS(305),
    [aux_sym_keyword_smallint_token2] = ACTIONS(305),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(307),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(307),
    [aux_sym_keyword_int_token1] = ACTIONS(309),
    [aux_sym_keyword_int_token2] = ACTIONS(309),
    [aux_sym_keyword_int_token3] = ACTIONS(309),
    [aux_sym_keyword_bigint_token1] = ACTIONS(311),
    [aux_sym_keyword_bigint_token2] = ACTIONS(311),
    [sym_keyword_decimal] = ACTIONS(313),
    [sym_keyword_numeric] = ACTIONS(315),
    [aux_sym_keyword_real_token1] = ACTIONS(317),
    [aux_sym_keyword_real_token2] = ACTIONS(317),
    [sym_keyword_float] = ACTIONS(319),
    [sym_keyword_double] = ACTIONS(321),
    [sym_keyword_inet] = ACTIONS(289),
    [sym_keyword_money] = ACTIONS(289),
    [sym_keyword_smallmoney] = ACTIONS(289),
    [aux_sym_keyword_char_token1] = ACTIONS(323),
    [sym_keyword_nchar] = ACTIONS(325),
    [aux_sym_keyword_varchar_token1] = ACTIONS(327),
    [sym_keyword_nvarchar] = ACTIONS(329),
    [sym_keyword_text] = ACTIONS(289),
    [sym_keyword_string] = ACTIONS(289),
    [sym_keyword_uuid] = ACTIONS(289),
    [sym_keyword_json] = ACTIONS(289),
    [sym_keyword_jsonb] = ACTIONS(289),
    [sym_keyword_xml] = ACTIONS(289),
    [sym_keyword_bytea] = ACTIONS(289),
    [sym_keyword_enum] = ACTIONS(331),
    [sym_keyword_date] = ACTIONS(289),
    [sym_keyword_datetime] = ACTIONS(289),
    [sym_keyword_datetime2] = ACTIONS(289),
    [sym_keyword_smalldatetime] = ACTIONS(289),
    [sym_keyword_datetimeoffset] = ACTIONS(333),
    [sym_keyword_time] = ACTIONS(335),
    [sym_keyword_timestamp] = ACTIONS(337),
    [sym_keyword_timestamptz] = ACTIONS(289),
    [sym_keyword_interval] = ACTIONS(289),
    [sym_keyword_geometry] = ACTIONS(289),
    [sym_keyword_geography] = ACTIONS(289),
    [sym_keyword_box2d] = ACTIONS(289),
    [sym_keyword_box3d] = ACTIONS(289),
    [sym_keyword_oid] = ACTIONS(289),
    [sym_keyword_name] = ACTIONS(289),
    [sym_keyword_regclass] = ACTIONS(289),
    [sym_keyword_regnamespace] = ACTIONS(289),
    [sym_keyword_regproc] = ACTIONS(289),
    [sym_keyword_regtype] = ACTIONS(289),
    [aux_sym_double_token1] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(341),
    [aux_sym_identifier_token1] = ACTIONS(341),
  },
  [28] = {
    [sym_keyword_smallserial] = STATE(7724),
    [sym_keyword_serial] = STATE(7724),
    [sym_keyword_bigserial] = STATE(7724),
    [sym_keyword_tinyint] = STATE(2406),
    [sym_keyword_smallint] = STATE(2407),
    [sym_keyword_mediumint] = STATE(2408),
    [sym_keyword_int] = STATE(2409),
    [sym_keyword_bigint] = STATE(2410),
    [sym_keyword_real] = STATE(2413),
    [sym_keyword_char] = STATE(2730),
    [sym_keyword_varchar] = STATE(2732),
    [sym__type] = STATE(11451),
    [sym_tinyint] = STATE(7724),
    [sym_smallint] = STATE(7724),
    [sym_mediumint] = STATE(7724),
    [sym_int] = STATE(7724),
    [sym_bigint] = STATE(7724),
    [sym_bit] = STATE(7724),
    [sym_binary] = STATE(7724),
    [sym_varbinary] = STATE(7724),
    [sym_float] = STATE(7724),
    [sym_double] = STATE(7724),
    [sym_decimal] = STATE(7724),
    [sym_numeric] = STATE(7724),
    [sym_char] = STATE(7724),
    [sym_varchar] = STATE(7724),
    [sym_nchar] = STATE(7724),
    [sym_nvarchar] = STATE(7724),
    [sym_datetimeoffset] = STATE(7724),
    [sym_time] = STATE(7724),
    [sym_timestamp] = STATE(7724),
    [sym_enum] = STATE(7724),
    [sym_object_reference] = STATE(7737),
    [sym_identifier] = STATE(7034),
    [sym__identifier] = ACTIONS(283),
    [aux_sym_keyword_character_token1] = ACTIONS(285),
    [sym_keyword_unsigned] = ACTIONS(287),
    [sym_keyword_boolean] = ACTIONS(289),
    [sym_keyword_bit] = ACTIONS(291),
    [sym_keyword_binary] = ACTIONS(293),
    [sym_keyword_varbinary] = ACTIONS(295),
    [sym_keyword_image] = ACTIONS(289),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(297),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(297),
    [aux_sym_keyword_serial_token1] = ACTIONS(299),
    [aux_sym_keyword_serial_token2] = ACTIONS(299),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(301),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(301),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(303),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(303),
    [aux_sym_keyword_smallint_token1] = ACTIONS(305),
    [aux_sym_keyword_smallint_token2] = ACTIONS(305),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(307),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(307),
    [aux_sym_keyword_int_token1] = ACTIONS(309),
    [aux_sym_keyword_int_token2] = ACTIONS(309),
    [aux_sym_keyword_int_token3] = ACTIONS(309),
    [aux_sym_keyword_bigint_token1] = ACTIONS(311),
    [aux_sym_keyword_bigint_token2] = ACTIONS(311),
    [sym_keyword_decimal] = ACTIONS(313),
    [sym_keyword_numeric] = ACTIONS(315),
    [aux_sym_keyword_real_token1] = ACTIONS(317),
    [aux_sym_keyword_real_token2] = ACTIONS(317),
    [sym_keyword_float] = ACTIONS(319),
    [sym_keyword_double] = ACTIONS(321),
    [sym_keyword_inet] = ACTIONS(289),
    [sym_keyword_money] = ACTIONS(289),
    [sym_keyword_smallmoney] = ACTIONS(289),
    [aux_sym_keyword_char_token1] = ACTIONS(323),
    [sym_keyword_nchar] = ACTIONS(325),
    [aux_sym_keyword_varchar_token1] = ACTIONS(327),
    [sym_keyword_nvarchar] = ACTIONS(329),
    [sym_keyword_text] = ACTIONS(289),
    [sym_keyword_string] = ACTIONS(289),
    [sym_keyword_uuid] = ACTIONS(289),
    [sym_keyword_json] = ACTIONS(289),
    [sym_keyword_jsonb] = ACTIONS(289),
    [sym_keyword_xml] = ACTIONS(289),
    [sym_keyword_bytea] = ACTIONS(289),
    [sym_keyword_enum] = ACTIONS(331),
    [sym_keyword_date] = ACTIONS(289),
    [sym_keyword_datetime] = ACTIONS(289),
    [sym_keyword_datetime2] = ACTIONS(289),
    [sym_keyword_smalldatetime] = ACTIONS(289),
    [sym_keyword_datetimeoffset] = ACTIONS(333),
    [sym_keyword_time] = ACTIONS(335),
    [sym_keyword_timestamp] = ACTIONS(337),
    [sym_keyword_timestamptz] = ACTIONS(289),
    [sym_keyword_interval] = ACTIONS(289),
    [sym_keyword_geometry] = ACTIONS(289),
    [sym_keyword_geography] = ACTIONS(289),
    [sym_keyword_box2d] = ACTIONS(289),
    [sym_keyword_box3d] = ACTIONS(289),
    [sym_keyword_oid] = ACTIONS(289),
    [sym_keyword_name] = ACTIONS(289),
    [sym_keyword_regclass] = ACTIONS(289),
    [sym_keyword_regnamespace] = ACTIONS(289),
    [sym_keyword_regproc] = ACTIONS(289),
    [sym_keyword_regtype] = ACTIONS(289),
    [aux_sym_double_token1] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(341),
    [aux_sym_identifier_token1] = ACTIONS(341),
  },
  [29] = {
    [sym_keyword_smallserial] = STATE(7724),
    [sym_keyword_serial] = STATE(7724),
    [sym_keyword_bigserial] = STATE(7724),
    [sym_keyword_tinyint] = STATE(2406),
    [sym_keyword_smallint] = STATE(2407),
    [sym_keyword_mediumint] = STATE(2408),
    [sym_keyword_int] = STATE(2409),
    [sym_keyword_bigint] = STATE(2410),
    [sym_keyword_real] = STATE(2413),
    [sym_keyword_char] = STATE(2730),
    [sym_keyword_varchar] = STATE(2732),
    [sym__type] = STATE(10907),
    [sym_tinyint] = STATE(7724),
    [sym_smallint] = STATE(7724),
    [sym_mediumint] = STATE(7724),
    [sym_int] = STATE(7724),
    [sym_bigint] = STATE(7724),
    [sym_bit] = STATE(7724),
    [sym_binary] = STATE(7724),
    [sym_varbinary] = STATE(7724),
    [sym_float] = STATE(7724),
    [sym_double] = STATE(7724),
    [sym_decimal] = STATE(7724),
    [sym_numeric] = STATE(7724),
    [sym_char] = STATE(7724),
    [sym_varchar] = STATE(7724),
    [sym_nchar] = STATE(7724),
    [sym_nvarchar] = STATE(7724),
    [sym_datetimeoffset] = STATE(7724),
    [sym_time] = STATE(7724),
    [sym_timestamp] = STATE(7724),
    [sym_enum] = STATE(7724),
    [sym_object_reference] = STATE(7737),
    [sym_identifier] = STATE(7034),
    [sym__identifier] = ACTIONS(283),
    [aux_sym_keyword_character_token1] = ACTIONS(285),
    [sym_keyword_unsigned] = ACTIONS(287),
    [sym_keyword_boolean] = ACTIONS(289),
    [sym_keyword_bit] = ACTIONS(291),
    [sym_keyword_binary] = ACTIONS(293),
    [sym_keyword_varbinary] = ACTIONS(295),
    [sym_keyword_image] = ACTIONS(289),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(297),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(297),
    [aux_sym_keyword_serial_token1] = ACTIONS(299),
    [aux_sym_keyword_serial_token2] = ACTIONS(299),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(301),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(301),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(303),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(303),
    [aux_sym_keyword_smallint_token1] = ACTIONS(305),
    [aux_sym_keyword_smallint_token2] = ACTIONS(305),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(307),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(307),
    [aux_sym_keyword_int_token1] = ACTIONS(309),
    [aux_sym_keyword_int_token2] = ACTIONS(309),
    [aux_sym_keyword_int_token3] = ACTIONS(309),
    [aux_sym_keyword_bigint_token1] = ACTIONS(311),
    [aux_sym_keyword_bigint_token2] = ACTIONS(311),
    [sym_keyword_decimal] = ACTIONS(313),
    [sym_keyword_numeric] = ACTIONS(315),
    [aux_sym_keyword_real_token1] = ACTIONS(317),
    [aux_sym_keyword_real_token2] = ACTIONS(317),
    [sym_keyword_float] = ACTIONS(319),
    [sym_keyword_double] = ACTIONS(321),
    [sym_keyword_inet] = ACTIONS(289),
    [sym_keyword_money] = ACTIONS(289),
    [sym_keyword_smallmoney] = ACTIONS(289),
    [aux_sym_keyword_char_token1] = ACTIONS(323),
    [sym_keyword_nchar] = ACTIONS(325),
    [aux_sym_keyword_varchar_token1] = ACTIONS(327),
    [sym_keyword_nvarchar] = ACTIONS(329),
    [sym_keyword_text] = ACTIONS(289),
    [sym_keyword_string] = ACTIONS(289),
    [sym_keyword_uuid] = ACTIONS(289),
    [sym_keyword_json] = ACTIONS(289),
    [sym_keyword_jsonb] = ACTIONS(289),
    [sym_keyword_xml] = ACTIONS(289),
    [sym_keyword_bytea] = ACTIONS(289),
    [sym_keyword_enum] = ACTIONS(331),
    [sym_keyword_date] = ACTIONS(289),
    [sym_keyword_datetime] = ACTIONS(289),
    [sym_keyword_datetime2] = ACTIONS(289),
    [sym_keyword_smalldatetime] = ACTIONS(289),
    [sym_keyword_datetimeoffset] = ACTIONS(333),
    [sym_keyword_time] = ACTIONS(335),
    [sym_keyword_timestamp] = ACTIONS(337),
    [sym_keyword_timestamptz] = ACTIONS(289),
    [sym_keyword_interval] = ACTIONS(289),
    [sym_keyword_geometry] = ACTIONS(289),
    [sym_keyword_geography] = ACTIONS(289),
    [sym_keyword_box2d] = ACTIONS(289),
    [sym_keyword_box3d] = ACTIONS(289),
    [sym_keyword_oid] = ACTIONS(289),
    [sym_keyword_name] = ACTIONS(289),
    [sym_keyword_regclass] = ACTIONS(289),
    [sym_keyword_regnamespace] = ACTIONS(289),
    [sym_keyword_regproc] = ACTIONS(289),
    [sym_keyword_regtype] = ACTIONS(289),
    [aux_sym_double_token1] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(341),
    [aux_sym_identifier_token1] = ACTIONS(341),
  },
  [30] = {
    [sym_keyword_smallserial] = STATE(7724),
    [sym_keyword_serial] = STATE(7724),
    [sym_keyword_bigserial] = STATE(7724),
    [sym_keyword_tinyint] = STATE(2406),
    [sym_keyword_smallint] = STATE(2407),
    [sym_keyword_mediumint] = STATE(2408),
    [sym_keyword_int] = STATE(2409),
    [sym_keyword_bigint] = STATE(2410),
    [sym_keyword_real] = STATE(2413),
    [sym_keyword_char] = STATE(2730),
    [sym_keyword_varchar] = STATE(2732),
    [sym__type] = STATE(8799),
    [sym_tinyint] = STATE(7724),
    [sym_smallint] = STATE(7724),
    [sym_mediumint] = STATE(7724),
    [sym_int] = STATE(7724),
    [sym_bigint] = STATE(7724),
    [sym_bit] = STATE(7724),
    [sym_binary] = STATE(7724),
    [sym_varbinary] = STATE(7724),
    [sym_float] = STATE(7724),
    [sym_double] = STATE(7724),
    [sym_decimal] = STATE(7724),
    [sym_numeric] = STATE(7724),
    [sym_char] = STATE(7724),
    [sym_varchar] = STATE(7724),
    [sym_nchar] = STATE(7724),
    [sym_nvarchar] = STATE(7724),
    [sym_datetimeoffset] = STATE(7724),
    [sym_time] = STATE(7724),
    [sym_timestamp] = STATE(7724),
    [sym_enum] = STATE(7724),
    [sym_object_reference] = STATE(7737),
    [sym_identifier] = STATE(7034),
    [sym__identifier] = ACTIONS(283),
    [aux_sym_keyword_character_token1] = ACTIONS(285),
    [sym_keyword_unsigned] = ACTIONS(287),
    [sym_keyword_boolean] = ACTIONS(289),
    [sym_keyword_bit] = ACTIONS(291),
    [sym_keyword_binary] = ACTIONS(293),
    [sym_keyword_varbinary] = ACTIONS(295),
    [sym_keyword_image] = ACTIONS(289),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(297),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(297),
    [aux_sym_keyword_serial_token1] = ACTIONS(299),
    [aux_sym_keyword_serial_token2] = ACTIONS(299),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(301),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(301),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(303),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(303),
    [aux_sym_keyword_smallint_token1] = ACTIONS(305),
    [aux_sym_keyword_smallint_token2] = ACTIONS(305),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(307),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(307),
    [aux_sym_keyword_int_token1] = ACTIONS(309),
    [aux_sym_keyword_int_token2] = ACTIONS(309),
    [aux_sym_keyword_int_token3] = ACTIONS(309),
    [aux_sym_keyword_bigint_token1] = ACTIONS(311),
    [aux_sym_keyword_bigint_token2] = ACTIONS(311),
    [sym_keyword_decimal] = ACTIONS(313),
    [sym_keyword_numeric] = ACTIONS(315),
    [aux_sym_keyword_real_token1] = ACTIONS(317),
    [aux_sym_keyword_real_token2] = ACTIONS(317),
    [sym_keyword_float] = ACTIONS(319),
    [sym_keyword_double] = ACTIONS(321),
    [sym_keyword_inet] = ACTIONS(289),
    [sym_keyword_money] = ACTIONS(289),
    [sym_keyword_smallmoney] = ACTIONS(289),
    [aux_sym_keyword_char_token1] = ACTIONS(323),
    [sym_keyword_nchar] = ACTIONS(325),
    [aux_sym_keyword_varchar_token1] = ACTIONS(327),
    [sym_keyword_nvarchar] = ACTIONS(329),
    [sym_keyword_text] = ACTIONS(289),
    [sym_keyword_string] = ACTIONS(289),
    [sym_keyword_uuid] = ACTIONS(289),
    [sym_keyword_json] = ACTIONS(289),
    [sym_keyword_jsonb] = ACTIONS(289),
    [sym_keyword_xml] = ACTIONS(289),
    [sym_keyword_bytea] = ACTIONS(289),
    [sym_keyword_enum] = ACTIONS(331),
    [sym_keyword_date] = ACTIONS(289),
    [sym_keyword_datetime] = ACTIONS(289),
    [sym_keyword_datetime2] = ACTIONS(289),
    [sym_keyword_smalldatetime] = ACTIONS(289),
    [sym_keyword_datetimeoffset] = ACTIONS(333),
    [sym_keyword_time] = ACTIONS(335),
    [sym_keyword_timestamp] = ACTIONS(337),
    [sym_keyword_timestamptz] = ACTIONS(289),
    [sym_keyword_interval] = ACTIONS(289),
    [sym_keyword_geometry] = ACTIONS(289),
    [sym_keyword_geography] = ACTIONS(289),
    [sym_keyword_box2d] = ACTIONS(289),
    [sym_keyword_box3d] = ACTIONS(289),
    [sym_keyword_oid] = ACTIONS(289),
    [sym_keyword_name] = ACTIONS(289),
    [sym_keyword_regclass] = ACTIONS(289),
    [sym_keyword_regnamespace] = ACTIONS(289),
    [sym_keyword_regproc] = ACTIONS(289),
    [sym_keyword_regtype] = ACTIONS(289),
    [aux_sym_double_token1] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(341),
    [aux_sym_identifier_token1] = ACTIONS(341),
  },
  [31] = {
    [sym_keyword_smallserial] = STATE(6635),
    [sym_keyword_serial] = STATE(6635),
    [sym_keyword_bigserial] = STATE(6635),
    [sym_keyword_tinyint] = STATE(159),
    [sym_keyword_smallint] = STATE(150),
    [sym_keyword_mediumint] = STATE(165),
    [sym_keyword_int] = STATE(163),
    [sym_keyword_bigint] = STATE(164),
    [sym_keyword_real] = STATE(160),
    [sym_keyword_char] = STATE(215),
    [sym_keyword_varchar] = STATE(216),
    [sym__type] = STATE(6524),
    [sym_tinyint] = STATE(6635),
    [sym_smallint] = STATE(6635),
    [sym_mediumint] = STATE(6635),
    [sym_int] = STATE(6635),
    [sym_bigint] = STATE(6635),
    [sym_bit] = STATE(6635),
    [sym_binary] = STATE(6635),
    [sym_varbinary] = STATE(6635),
    [sym_float] = STATE(6635),
    [sym_double] = STATE(6635),
    [sym_decimal] = STATE(6635),
    [sym_numeric] = STATE(6635),
    [sym_char] = STATE(6635),
    [sym_varchar] = STATE(6635),
    [sym_nchar] = STATE(6635),
    [sym_nvarchar] = STATE(6635),
    [sym_datetimeoffset] = STATE(6635),
    [sym_time] = STATE(6635),
    [sym_timestamp] = STATE(6635),
    [sym_enum] = STATE(6635),
    [sym_object_reference] = STATE(6628),
    [sym_identifier] = STATE(6687),
    [sym__identifier] = ACTIONS(213),
    [aux_sym_keyword_character_token1] = ACTIONS(343),
    [sym_keyword_unsigned] = ACTIONS(345),
    [sym_keyword_boolean] = ACTIONS(347),
    [sym_keyword_bit] = ACTIONS(349),
    [sym_keyword_binary] = ACTIONS(351),
    [sym_keyword_varbinary] = ACTIONS(353),
    [sym_keyword_image] = ACTIONS(347),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(355),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(355),
    [aux_sym_keyword_serial_token1] = ACTIONS(357),
    [aux_sym_keyword_serial_token2] = ACTIONS(357),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(359),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(359),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(361),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(361),
    [aux_sym_keyword_smallint_token1] = ACTIONS(363),
    [aux_sym_keyword_smallint_token2] = ACTIONS(363),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(365),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(365),
    [aux_sym_keyword_int_token1] = ACTIONS(367),
    [aux_sym_keyword_int_token2] = ACTIONS(367),
    [aux_sym_keyword_int_token3] = ACTIONS(367),
    [aux_sym_keyword_bigint_token1] = ACTIONS(369),
    [aux_sym_keyword_bigint_token2] = ACTIONS(369),
    [sym_keyword_decimal] = ACTIONS(371),
    [sym_keyword_numeric] = ACTIONS(373),
    [aux_sym_keyword_real_token1] = ACTIONS(375),
    [aux_sym_keyword_real_token2] = ACTIONS(375),
    [sym_keyword_float] = ACTIONS(377),
    [sym_keyword_double] = ACTIONS(379),
    [sym_keyword_inet] = ACTIONS(347),
    [sym_keyword_money] = ACTIONS(347),
    [sym_keyword_smallmoney] = ACTIONS(347),
    [aux_sym_keyword_char_token1] = ACTIONS(381),
    [sym_keyword_nchar] = ACTIONS(383),
    [aux_sym_keyword_varchar_token1] = ACTIONS(385),
    [sym_keyword_nvarchar] = ACTIONS(387),
    [sym_keyword_text] = ACTIONS(347),
    [sym_keyword_string] = ACTIONS(347),
    [sym_keyword_uuid] = ACTIONS(347),
    [sym_keyword_json] = ACTIONS(347),
    [sym_keyword_jsonb] = ACTIONS(347),
    [sym_keyword_xml] = ACTIONS(347),
    [sym_keyword_bytea] = ACTIONS(347),
    [sym_keyword_enum] = ACTIONS(389),
    [sym_keyword_date] = ACTIONS(347),
    [sym_keyword_datetime] = ACTIONS(347),
    [sym_keyword_datetime2] = ACTIONS(347),
    [sym_keyword_smalldatetime] = ACTIONS(347),
    [sym_keyword_datetimeoffset] = ACTIONS(391),
    [sym_keyword_time] = ACTIONS(393),
    [sym_keyword_timestamp] = ACTIONS(395),
    [sym_keyword_timestamptz] = ACTIONS(347),
    [sym_keyword_interval] = ACTIONS(347),
    [sym_keyword_geometry] = ACTIONS(347),
    [sym_keyword_geography] = ACTIONS(347),
    [sym_keyword_box2d] = ACTIONS(347),
    [sym_keyword_box3d] = ACTIONS(347),
    [sym_keyword_oid] = ACTIONS(347),
    [sym_keyword_name] = ACTIONS(347),
    [sym_keyword_regclass] = ACTIONS(347),
    [sym_keyword_regnamespace] = ACTIONS(347),
    [sym_keyword_regproc] = ACTIONS(347),
    [sym_keyword_regtype] = ACTIONS(347),
    [aux_sym_double_token1] = ACTIONS(397),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(271),
    [aux_sym_identifier_token1] = ACTIONS(271),
  },
  [32] = {
    [sym_keyword_smallserial] = STATE(2590),
    [sym_keyword_serial] = STATE(2590),
    [sym_keyword_bigserial] = STATE(2590),
    [sym_keyword_tinyint] = STATE(159),
    [sym_keyword_smallint] = STATE(150),
    [sym_keyword_mediumint] = STATE(165),
    [sym_keyword_int] = STATE(163),
    [sym_keyword_bigint] = STATE(164),
    [sym_keyword_real] = STATE(160),
    [sym_keyword_char] = STATE(215),
    [sym_keyword_varchar] = STATE(216),
    [sym__type] = STATE(2613),
    [sym_tinyint] = STATE(2590),
    [sym_smallint] = STATE(2590),
    [sym_mediumint] = STATE(2590),
    [sym_int] = STATE(2590),
    [sym_bigint] = STATE(2590),
    [sym_bit] = STATE(2590),
    [sym_binary] = STATE(2590),
    [sym_varbinary] = STATE(2590),
    [sym_float] = STATE(2590),
    [sym_double] = STATE(2590),
    [sym_decimal] = STATE(2590),
    [sym_numeric] = STATE(2590),
    [sym_char] = STATE(2590),
    [sym_varchar] = STATE(2590),
    [sym_nchar] = STATE(2590),
    [sym_nvarchar] = STATE(2590),
    [sym_datetimeoffset] = STATE(2590),
    [sym_time] = STATE(2590),
    [sym_timestamp] = STATE(2590),
    [sym_enum] = STATE(2590),
    [sym_object_reference] = STATE(2619),
    [sym_identifier] = STATE(2669),
    [sym__identifier] = ACTIONS(399),
    [aux_sym_keyword_character_token1] = ACTIONS(343),
    [sym_keyword_unsigned] = ACTIONS(345),
    [sym_keyword_boolean] = ACTIONS(401),
    [sym_keyword_bit] = ACTIONS(349),
    [sym_keyword_binary] = ACTIONS(351),
    [sym_keyword_varbinary] = ACTIONS(353),
    [sym_keyword_image] = ACTIONS(401),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(355),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(355),
    [aux_sym_keyword_serial_token1] = ACTIONS(357),
    [aux_sym_keyword_serial_token2] = ACTIONS(357),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(359),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(359),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(361),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(361),
    [aux_sym_keyword_smallint_token1] = ACTIONS(363),
    [aux_sym_keyword_smallint_token2] = ACTIONS(363),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(365),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(365),
    [aux_sym_keyword_int_token1] = ACTIONS(367),
    [aux_sym_keyword_int_token2] = ACTIONS(367),
    [aux_sym_keyword_int_token3] = ACTIONS(367),
    [aux_sym_keyword_bigint_token1] = ACTIONS(369),
    [aux_sym_keyword_bigint_token2] = ACTIONS(369),
    [sym_keyword_decimal] = ACTIONS(371),
    [sym_keyword_numeric] = ACTIONS(373),
    [aux_sym_keyword_real_token1] = ACTIONS(375),
    [aux_sym_keyword_real_token2] = ACTIONS(375),
    [sym_keyword_float] = ACTIONS(377),
    [sym_keyword_double] = ACTIONS(379),
    [sym_keyword_inet] = ACTIONS(401),
    [sym_keyword_money] = ACTIONS(401),
    [sym_keyword_smallmoney] = ACTIONS(401),
    [aux_sym_keyword_char_token1] = ACTIONS(381),
    [sym_keyword_nchar] = ACTIONS(383),
    [aux_sym_keyword_varchar_token1] = ACTIONS(385),
    [sym_keyword_nvarchar] = ACTIONS(387),
    [sym_keyword_text] = ACTIONS(401),
    [sym_keyword_string] = ACTIONS(401),
    [sym_keyword_uuid] = ACTIONS(401),
    [sym_keyword_json] = ACTIONS(401),
    [sym_keyword_jsonb] = ACTIONS(401),
    [sym_keyword_xml] = ACTIONS(401),
    [sym_keyword_bytea] = ACTIONS(401),
    [sym_keyword_enum] = ACTIONS(389),
    [sym_keyword_date] = ACTIONS(401),
    [sym_keyword_datetime] = ACTIONS(401),
    [sym_keyword_datetime2] = ACTIONS(401),
    [sym_keyword_smalldatetime] = ACTIONS(401),
    [sym_keyword_datetimeoffset] = ACTIONS(391),
    [sym_keyword_time] = ACTIONS(393),
    [sym_keyword_timestamp] = ACTIONS(395),
    [sym_keyword_timestamptz] = ACTIONS(401),
    [sym_keyword_interval] = ACTIONS(401),
    [sym_keyword_geometry] = ACTIONS(401),
    [sym_keyword_geography] = ACTIONS(401),
    [sym_keyword_box2d] = ACTIONS(401),
    [sym_keyword_box3d] = ACTIONS(401),
    [sym_keyword_oid] = ACTIONS(401),
    [sym_keyword_name] = ACTIONS(401),
    [sym_keyword_regclass] = ACTIONS(401),
    [sym_keyword_regnamespace] = ACTIONS(401),
    [sym_keyword_regproc] = ACTIONS(401),
    [sym_keyword_regtype] = ACTIONS(401),
    [aux_sym_double_token1] = ACTIONS(397),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(403),
    [aux_sym_identifier_token1] = ACTIONS(403),
  },
  [33] = {
    [sym_keyword_smallserial] = STATE(6989),
    [sym_keyword_serial] = STATE(6989),
    [sym_keyword_bigserial] = STATE(6989),
    [sym_keyword_tinyint] = STATE(7007),
    [sym_keyword_smallint] = STATE(7008),
    [sym_keyword_mediumint] = STATE(7009),
    [sym_keyword_int] = STATE(7010),
    [sym_keyword_bigint] = STATE(7011),
    [sym_keyword_real] = STATE(7012),
    [sym_keyword_char] = STATE(7086),
    [sym_keyword_varchar] = STATE(7087),
    [sym__type] = STATE(7566),
    [sym_tinyint] = STATE(6989),
    [sym_smallint] = STATE(6989),
    [sym_mediumint] = STATE(6989),
    [sym_int] = STATE(6989),
    [sym_bigint] = STATE(6989),
    [sym_bit] = STATE(6989),
    [sym_binary] = STATE(6989),
    [sym_varbinary] = STATE(6989),
    [sym_float] = STATE(6989),
    [sym_double] = STATE(6989),
    [sym_decimal] = STATE(6989),
    [sym_numeric] = STATE(6989),
    [sym_char] = STATE(6989),
    [sym_varchar] = STATE(6989),
    [sym_nchar] = STATE(6989),
    [sym_nvarchar] = STATE(6989),
    [sym_datetimeoffset] = STATE(6989),
    [sym_time] = STATE(6989),
    [sym_timestamp] = STATE(6989),
    [sym_enum] = STATE(6989),
    [sym_object_reference] = STATE(6991),
    [sym_identifier] = STATE(3644),
    [sym__identifier] = ACTIONS(405),
    [aux_sym_keyword_character_token1] = ACTIONS(407),
    [sym_keyword_unsigned] = ACTIONS(409),
    [sym_keyword_boolean] = ACTIONS(411),
    [sym_keyword_bit] = ACTIONS(413),
    [sym_keyword_binary] = ACTIONS(415),
    [sym_keyword_varbinary] = ACTIONS(417),
    [sym_keyword_image] = ACTIONS(411),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(419),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(419),
    [aux_sym_keyword_serial_token1] = ACTIONS(421),
    [aux_sym_keyword_serial_token2] = ACTIONS(421),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(423),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(423),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(425),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(425),
    [aux_sym_keyword_smallint_token1] = ACTIONS(427),
    [aux_sym_keyword_smallint_token2] = ACTIONS(427),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(429),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(429),
    [aux_sym_keyword_int_token1] = ACTIONS(431),
    [aux_sym_keyword_int_token2] = ACTIONS(431),
    [aux_sym_keyword_int_token3] = ACTIONS(431),
    [aux_sym_keyword_bigint_token1] = ACTIONS(433),
    [aux_sym_keyword_bigint_token2] = ACTIONS(433),
    [sym_keyword_decimal] = ACTIONS(435),
    [sym_keyword_numeric] = ACTIONS(437),
    [aux_sym_keyword_real_token1] = ACTIONS(439),
    [aux_sym_keyword_real_token2] = ACTIONS(439),
    [sym_keyword_float] = ACTIONS(441),
    [sym_keyword_double] = ACTIONS(443),
    [sym_keyword_inet] = ACTIONS(411),
    [sym_keyword_money] = ACTIONS(411),
    [sym_keyword_smallmoney] = ACTIONS(411),
    [aux_sym_keyword_char_token1] = ACTIONS(445),
    [sym_keyword_nchar] = ACTIONS(447),
    [aux_sym_keyword_varchar_token1] = ACTIONS(449),
    [sym_keyword_nvarchar] = ACTIONS(451),
    [sym_keyword_text] = ACTIONS(411),
    [sym_keyword_string] = ACTIONS(411),
    [sym_keyword_uuid] = ACTIONS(411),
    [sym_keyword_json] = ACTIONS(411),
    [sym_keyword_jsonb] = ACTIONS(411),
    [sym_keyword_xml] = ACTIONS(411),
    [sym_keyword_bytea] = ACTIONS(411),
    [sym_keyword_enum] = ACTIONS(453),
    [sym_keyword_date] = ACTIONS(411),
    [sym_keyword_datetime] = ACTIONS(411),
    [sym_keyword_datetime2] = ACTIONS(411),
    [sym_keyword_smalldatetime] = ACTIONS(411),
    [sym_keyword_datetimeoffset] = ACTIONS(455),
    [sym_keyword_time] = ACTIONS(457),
    [sym_keyword_timestamp] = ACTIONS(459),
    [sym_keyword_timestamptz] = ACTIONS(411),
    [sym_keyword_interval] = ACTIONS(411),
    [sym_keyword_geometry] = ACTIONS(411),
    [sym_keyword_geography] = ACTIONS(411),
    [sym_keyword_box2d] = ACTIONS(411),
    [sym_keyword_box3d] = ACTIONS(411),
    [sym_keyword_oid] = ACTIONS(411),
    [sym_keyword_name] = ACTIONS(411),
    [sym_keyword_regclass] = ACTIONS(411),
    [sym_keyword_regnamespace] = ACTIONS(411),
    [sym_keyword_regproc] = ACTIONS(411),
    [sym_keyword_regtype] = ACTIONS(411),
    [aux_sym_double_token1] = ACTIONS(461),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(463),
    [aux_sym_identifier_token1] = ACTIONS(463),
  },
  [34] = {
    [sym_keyword_smallserial] = STATE(6650),
    [sym_keyword_serial] = STATE(6650),
    [sym_keyword_bigserial] = STATE(6650),
    [sym_keyword_tinyint] = STATE(442),
    [sym_keyword_smallint] = STATE(443),
    [sym_keyword_mediumint] = STATE(444),
    [sym_keyword_int] = STATE(445),
    [sym_keyword_bigint] = STATE(446),
    [sym_keyword_real] = STATE(452),
    [sym_keyword_char] = STATE(618),
    [sym_keyword_varchar] = STATE(619),
    [sym__type] = STATE(6533),
    [sym_tinyint] = STATE(6650),
    [sym_smallint] = STATE(6650),
    [sym_mediumint] = STATE(6650),
    [sym_int] = STATE(6650),
    [sym_bigint] = STATE(6650),
    [sym_bit] = STATE(6650),
    [sym_binary] = STATE(6650),
    [sym_varbinary] = STATE(6650),
    [sym_float] = STATE(6650),
    [sym_double] = STATE(6650),
    [sym_decimal] = STATE(6650),
    [sym_numeric] = STATE(6650),
    [sym_char] = STATE(6650),
    [sym_varchar] = STATE(6650),
    [sym_nchar] = STATE(6650),
    [sym_nvarchar] = STATE(6650),
    [sym_datetimeoffset] = STATE(6650),
    [sym_time] = STATE(6650),
    [sym_timestamp] = STATE(6650),
    [sym_enum] = STATE(6650),
    [sym_object_reference] = STATE(6651),
    [sym_identifier] = STATE(6715),
    [sym__identifier] = ACTIONS(465),
    [aux_sym_keyword_character_token1] = ACTIONS(467),
    [sym_keyword_unsigned] = ACTIONS(469),
    [sym_keyword_boolean] = ACTIONS(471),
    [sym_keyword_bit] = ACTIONS(473),
    [sym_keyword_binary] = ACTIONS(475),
    [sym_keyword_varbinary] = ACTIONS(477),
    [sym_keyword_image] = ACTIONS(471),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(479),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(479),
    [aux_sym_keyword_serial_token1] = ACTIONS(481),
    [aux_sym_keyword_serial_token2] = ACTIONS(481),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(483),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(483),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(485),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(485),
    [aux_sym_keyword_smallint_token1] = ACTIONS(487),
    [aux_sym_keyword_smallint_token2] = ACTIONS(487),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(489),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(489),
    [aux_sym_keyword_int_token1] = ACTIONS(491),
    [aux_sym_keyword_int_token2] = ACTIONS(491),
    [aux_sym_keyword_int_token3] = ACTIONS(491),
    [aux_sym_keyword_bigint_token1] = ACTIONS(493),
    [aux_sym_keyword_bigint_token2] = ACTIONS(493),
    [sym_keyword_decimal] = ACTIONS(495),
    [sym_keyword_numeric] = ACTIONS(497),
    [aux_sym_keyword_real_token1] = ACTIONS(499),
    [aux_sym_keyword_real_token2] = ACTIONS(499),
    [sym_keyword_float] = ACTIONS(501),
    [sym_keyword_double] = ACTIONS(503),
    [sym_keyword_inet] = ACTIONS(471),
    [sym_keyword_money] = ACTIONS(471),
    [sym_keyword_smallmoney] = ACTIONS(471),
    [aux_sym_keyword_char_token1] = ACTIONS(505),
    [sym_keyword_nchar] = ACTIONS(507),
    [aux_sym_keyword_varchar_token1] = ACTIONS(509),
    [sym_keyword_nvarchar] = ACTIONS(511),
    [sym_keyword_text] = ACTIONS(471),
    [sym_keyword_string] = ACTIONS(471),
    [sym_keyword_uuid] = ACTIONS(471),
    [sym_keyword_json] = ACTIONS(471),
    [sym_keyword_jsonb] = ACTIONS(471),
    [sym_keyword_xml] = ACTIONS(471),
    [sym_keyword_bytea] = ACTIONS(471),
    [sym_keyword_enum] = ACTIONS(513),
    [sym_keyword_date] = ACTIONS(471),
    [sym_keyword_datetime] = ACTIONS(471),
    [sym_keyword_datetime2] = ACTIONS(471),
    [sym_keyword_smalldatetime] = ACTIONS(471),
    [sym_keyword_datetimeoffset] = ACTIONS(515),
    [sym_keyword_time] = ACTIONS(517),
    [sym_keyword_timestamp] = ACTIONS(519),
    [sym_keyword_timestamptz] = ACTIONS(471),
    [sym_keyword_interval] = ACTIONS(471),
    [sym_keyword_geometry] = ACTIONS(471),
    [sym_keyword_geography] = ACTIONS(471),
    [sym_keyword_box2d] = ACTIONS(471),
    [sym_keyword_box3d] = ACTIONS(471),
    [sym_keyword_oid] = ACTIONS(471),
    [sym_keyword_name] = ACTIONS(471),
    [sym_keyword_regclass] = ACTIONS(471),
    [sym_keyword_regnamespace] = ACTIONS(471),
    [sym_keyword_regproc] = ACTIONS(471),
    [sym_keyword_regtype] = ACTIONS(471),
    [aux_sym_double_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(523),
    [aux_sym_identifier_token1] = ACTIONS(523),
  },
  [35] = {
    [sym_keyword_smallserial] = STATE(6989),
    [sym_keyword_serial] = STATE(6989),
    [sym_keyword_bigserial] = STATE(6989),
    [sym_keyword_tinyint] = STATE(7007),
    [sym_keyword_smallint] = STATE(7008),
    [sym_keyword_mediumint] = STATE(7009),
    [sym_keyword_int] = STATE(7010),
    [sym_keyword_bigint] = STATE(7011),
    [sym_keyword_real] = STATE(7012),
    [sym_keyword_char] = STATE(7086),
    [sym_keyword_varchar] = STATE(7087),
    [sym__type] = STATE(7522),
    [sym_tinyint] = STATE(6989),
    [sym_smallint] = STATE(6989),
    [sym_mediumint] = STATE(6989),
    [sym_int] = STATE(6989),
    [sym_bigint] = STATE(6989),
    [sym_bit] = STATE(6989),
    [sym_binary] = STATE(6989),
    [sym_varbinary] = STATE(6989),
    [sym_float] = STATE(6989),
    [sym_double] = STATE(6989),
    [sym_decimal] = STATE(6989),
    [sym_numeric] = STATE(6989),
    [sym_char] = STATE(6989),
    [sym_varchar] = STATE(6989),
    [sym_nchar] = STATE(6989),
    [sym_nvarchar] = STATE(6989),
    [sym_datetimeoffset] = STATE(6989),
    [sym_time] = STATE(6989),
    [sym_timestamp] = STATE(6989),
    [sym_enum] = STATE(6989),
    [sym_object_reference] = STATE(6991),
    [sym_identifier] = STATE(3644),
    [sym__identifier] = ACTIONS(405),
    [aux_sym_keyword_character_token1] = ACTIONS(407),
    [sym_keyword_unsigned] = ACTIONS(409),
    [sym_keyword_boolean] = ACTIONS(411),
    [sym_keyword_bit] = ACTIONS(413),
    [sym_keyword_binary] = ACTIONS(415),
    [sym_keyword_varbinary] = ACTIONS(417),
    [sym_keyword_image] = ACTIONS(411),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(419),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(419),
    [aux_sym_keyword_serial_token1] = ACTIONS(421),
    [aux_sym_keyword_serial_token2] = ACTIONS(421),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(423),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(423),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(425),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(425),
    [aux_sym_keyword_smallint_token1] = ACTIONS(427),
    [aux_sym_keyword_smallint_token2] = ACTIONS(427),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(429),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(429),
    [aux_sym_keyword_int_token1] = ACTIONS(431),
    [aux_sym_keyword_int_token2] = ACTIONS(431),
    [aux_sym_keyword_int_token3] = ACTIONS(431),
    [aux_sym_keyword_bigint_token1] = ACTIONS(433),
    [aux_sym_keyword_bigint_token2] = ACTIONS(433),
    [sym_keyword_decimal] = ACTIONS(435),
    [sym_keyword_numeric] = ACTIONS(437),
    [aux_sym_keyword_real_token1] = ACTIONS(439),
    [aux_sym_keyword_real_token2] = ACTIONS(439),
    [sym_keyword_float] = ACTIONS(441),
    [sym_keyword_double] = ACTIONS(443),
    [sym_keyword_inet] = ACTIONS(411),
    [sym_keyword_money] = ACTIONS(411),
    [sym_keyword_smallmoney] = ACTIONS(411),
    [aux_sym_keyword_char_token1] = ACTIONS(445),
    [sym_keyword_nchar] = ACTIONS(447),
    [aux_sym_keyword_varchar_token1] = ACTIONS(449),
    [sym_keyword_nvarchar] = ACTIONS(451),
    [sym_keyword_text] = ACTIONS(411),
    [sym_keyword_string] = ACTIONS(411),
    [sym_keyword_uuid] = ACTIONS(411),
    [sym_keyword_json] = ACTIONS(411),
    [sym_keyword_jsonb] = ACTIONS(411),
    [sym_keyword_xml] = ACTIONS(411),
    [sym_keyword_bytea] = ACTIONS(411),
    [sym_keyword_enum] = ACTIONS(453),
    [sym_keyword_date] = ACTIONS(411),
    [sym_keyword_datetime] = ACTIONS(411),
    [sym_keyword_datetime2] = ACTIONS(411),
    [sym_keyword_smalldatetime] = ACTIONS(411),
    [sym_keyword_datetimeoffset] = ACTIONS(455),
    [sym_keyword_time] = ACTIONS(457),
    [sym_keyword_timestamp] = ACTIONS(459),
    [sym_keyword_timestamptz] = ACTIONS(411),
    [sym_keyword_interval] = ACTIONS(411),
    [sym_keyword_geometry] = ACTIONS(411),
    [sym_keyword_geography] = ACTIONS(411),
    [sym_keyword_box2d] = ACTIONS(411),
    [sym_keyword_box3d] = ACTIONS(411),
    [sym_keyword_oid] = ACTIONS(411),
    [sym_keyword_name] = ACTIONS(411),
    [sym_keyword_regclass] = ACTIONS(411),
    [sym_keyword_regnamespace] = ACTIONS(411),
    [sym_keyword_regproc] = ACTIONS(411),
    [sym_keyword_regtype] = ACTIONS(411),
    [aux_sym_double_token1] = ACTIONS(461),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(463),
    [aux_sym_identifier_token1] = ACTIONS(463),
  },
  [36] = {
    [sym_keyword_smallserial] = STATE(5235),
    [sym_keyword_serial] = STATE(5235),
    [sym_keyword_bigserial] = STATE(5235),
    [sym_keyword_tinyint] = STATE(5258),
    [sym_keyword_smallint] = STATE(5259),
    [sym_keyword_mediumint] = STATE(5260),
    [sym_keyword_int] = STATE(5261),
    [sym_keyword_bigint] = STATE(5262),
    [sym_keyword_real] = STATE(5263),
    [sym_keyword_char] = STATE(5956),
    [sym_keyword_varchar] = STATE(5957),
    [sym__type] = STATE(6518),
    [sym_tinyint] = STATE(5235),
    [sym_smallint] = STATE(5235),
    [sym_mediumint] = STATE(5235),
    [sym_int] = STATE(5235),
    [sym_bigint] = STATE(5235),
    [sym_bit] = STATE(5235),
    [sym_binary] = STATE(5235),
    [sym_varbinary] = STATE(5235),
    [sym_float] = STATE(5235),
    [sym_double] = STATE(5235),
    [sym_decimal] = STATE(5235),
    [sym_numeric] = STATE(5235),
    [sym_char] = STATE(5235),
    [sym_varchar] = STATE(5235),
    [sym_nchar] = STATE(5235),
    [sym_nvarchar] = STATE(5235),
    [sym_datetimeoffset] = STATE(5235),
    [sym_time] = STATE(5235),
    [sym_timestamp] = STATE(5235),
    [sym_enum] = STATE(5235),
    [sym_object_reference] = STATE(5274),
    [sym_identifier] = STATE(6889),
    [sym__identifier] = ACTIONS(129),
    [aux_sym_keyword_character_token1] = ACTIONS(133),
    [sym_keyword_unsigned] = ACTIONS(135),
    [sym_keyword_boolean] = ACTIONS(141),
    [sym_keyword_bit] = ACTIONS(143),
    [sym_keyword_binary] = ACTIONS(145),
    [sym_keyword_varbinary] = ACTIONS(147),
    [sym_keyword_image] = ACTIONS(141),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(149),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(149),
    [aux_sym_keyword_serial_token1] = ACTIONS(151),
    [aux_sym_keyword_serial_token2] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(153),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(155),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(155),
    [aux_sym_keyword_smallint_token1] = ACTIONS(157),
    [aux_sym_keyword_smallint_token2] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(159),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token1] = ACTIONS(161),
    [aux_sym_keyword_int_token2] = ACTIONS(161),
    [aux_sym_keyword_int_token3] = ACTIONS(161),
    [aux_sym_keyword_bigint_token1] = ACTIONS(163),
    [aux_sym_keyword_bigint_token2] = ACTIONS(163),
    [sym_keyword_decimal] = ACTIONS(165),
    [sym_keyword_numeric] = ACTIONS(167),
    [aux_sym_keyword_real_token1] = ACTIONS(169),
    [aux_sym_keyword_real_token2] = ACTIONS(169),
    [sym_keyword_float] = ACTIONS(171),
    [sym_keyword_double] = ACTIONS(173),
    [sym_keyword_inet] = ACTIONS(141),
    [sym_keyword_money] = ACTIONS(141),
    [sym_keyword_smallmoney] = ACTIONS(141),
    [aux_sym_keyword_char_token1] = ACTIONS(175),
    [sym_keyword_nchar] = ACTIONS(177),
    [aux_sym_keyword_varchar_token1] = ACTIONS(179),
    [sym_keyword_nvarchar] = ACTIONS(181),
    [sym_keyword_text] = ACTIONS(141),
    [sym_keyword_string] = ACTIONS(141),
    [sym_keyword_uuid] = ACTIONS(141),
    [sym_keyword_json] = ACTIONS(141),
    [sym_keyword_jsonb] = ACTIONS(141),
    [sym_keyword_xml] = ACTIONS(141),
    [sym_keyword_bytea] = ACTIONS(141),
    [sym_keyword_enum] = ACTIONS(183),
    [sym_keyword_date] = ACTIONS(141),
    [sym_keyword_datetime] = ACTIONS(141),
    [sym_keyword_datetime2] = ACTIONS(141),
    [sym_keyword_smalldatetime] = ACTIONS(141),
    [sym_keyword_datetimeoffset] = ACTIONS(185),
    [sym_keyword_time] = ACTIONS(187),
    [sym_keyword_timestamp] = ACTIONS(189),
    [sym_keyword_timestamptz] = ACTIONS(141),
    [sym_keyword_interval] = ACTIONS(141),
    [sym_keyword_geometry] = ACTIONS(141),
    [sym_keyword_geography] = ACTIONS(141),
    [sym_keyword_box2d] = ACTIONS(141),
    [sym_keyword_box3d] = ACTIONS(141),
    [sym_keyword_oid] = ACTIONS(141),
    [sym_keyword_name] = ACTIONS(141),
    [sym_keyword_regclass] = ACTIONS(141),
    [sym_keyword_regnamespace] = ACTIONS(141),
    [sym_keyword_regproc] = ACTIONS(141),
    [sym_keyword_regtype] = ACTIONS(141),
    [aux_sym_double_token1] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(193),
    [aux_sym_identifier_token1] = ACTIONS(193),
  },
  [37] = {
    [sym_keyword_smallserial] = STATE(5235),
    [sym_keyword_serial] = STATE(5235),
    [sym_keyword_bigserial] = STATE(5235),
    [sym_keyword_tinyint] = STATE(5258),
    [sym_keyword_smallint] = STATE(5259),
    [sym_keyword_mediumint] = STATE(5260),
    [sym_keyword_int] = STATE(5261),
    [sym_keyword_bigint] = STATE(5262),
    [sym_keyword_real] = STATE(5263),
    [sym_keyword_char] = STATE(5956),
    [sym_keyword_varchar] = STATE(5957),
    [sym__type] = STATE(7396),
    [sym_tinyint] = STATE(5235),
    [sym_smallint] = STATE(5235),
    [sym_mediumint] = STATE(5235),
    [sym_int] = STATE(5235),
    [sym_bigint] = STATE(5235),
    [sym_bit] = STATE(5235),
    [sym_binary] = STATE(5235),
    [sym_varbinary] = STATE(5235),
    [sym_float] = STATE(5235),
    [sym_double] = STATE(5235),
    [sym_decimal] = STATE(5235),
    [sym_numeric] = STATE(5235),
    [sym_char] = STATE(5235),
    [sym_varchar] = STATE(5235),
    [sym_nchar] = STATE(5235),
    [sym_nvarchar] = STATE(5235),
    [sym_datetimeoffset] = STATE(5235),
    [sym_time] = STATE(5235),
    [sym_timestamp] = STATE(5235),
    [sym_enum] = STATE(5235),
    [sym_object_reference] = STATE(5274),
    [sym_identifier] = STATE(1860),
    [sym__identifier] = ACTIONS(279),
    [aux_sym_keyword_character_token1] = ACTIONS(133),
    [sym_keyword_unsigned] = ACTIONS(135),
    [sym_keyword_boolean] = ACTIONS(141),
    [sym_keyword_bit] = ACTIONS(143),
    [sym_keyword_binary] = ACTIONS(145),
    [sym_keyword_varbinary] = ACTIONS(147),
    [sym_keyword_image] = ACTIONS(141),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(149),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(149),
    [aux_sym_keyword_serial_token1] = ACTIONS(151),
    [aux_sym_keyword_serial_token2] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(153),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(155),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(155),
    [aux_sym_keyword_smallint_token1] = ACTIONS(157),
    [aux_sym_keyword_smallint_token2] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(159),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token1] = ACTIONS(161),
    [aux_sym_keyword_int_token2] = ACTIONS(161),
    [aux_sym_keyword_int_token3] = ACTIONS(161),
    [aux_sym_keyword_bigint_token1] = ACTIONS(163),
    [aux_sym_keyword_bigint_token2] = ACTIONS(163),
    [sym_keyword_decimal] = ACTIONS(165),
    [sym_keyword_numeric] = ACTIONS(167),
    [aux_sym_keyword_real_token1] = ACTIONS(169),
    [aux_sym_keyword_real_token2] = ACTIONS(169),
    [sym_keyword_float] = ACTIONS(171),
    [sym_keyword_double] = ACTIONS(173),
    [sym_keyword_inet] = ACTIONS(141),
    [sym_keyword_money] = ACTIONS(141),
    [sym_keyword_smallmoney] = ACTIONS(141),
    [aux_sym_keyword_char_token1] = ACTIONS(175),
    [sym_keyword_nchar] = ACTIONS(177),
    [aux_sym_keyword_varchar_token1] = ACTIONS(179),
    [sym_keyword_nvarchar] = ACTIONS(181),
    [sym_keyword_text] = ACTIONS(141),
    [sym_keyword_string] = ACTIONS(141),
    [sym_keyword_uuid] = ACTIONS(141),
    [sym_keyword_json] = ACTIONS(141),
    [sym_keyword_jsonb] = ACTIONS(141),
    [sym_keyword_xml] = ACTIONS(141),
    [sym_keyword_bytea] = ACTIONS(141),
    [sym_keyword_enum] = ACTIONS(183),
    [sym_keyword_date] = ACTIONS(141),
    [sym_keyword_datetime] = ACTIONS(141),
    [sym_keyword_datetime2] = ACTIONS(141),
    [sym_keyword_smalldatetime] = ACTIONS(141),
    [sym_keyword_datetimeoffset] = ACTIONS(185),
    [sym_keyword_time] = ACTIONS(187),
    [sym_keyword_timestamp] = ACTIONS(189),
    [sym_keyword_timestamptz] = ACTIONS(141),
    [sym_keyword_interval] = ACTIONS(141),
    [sym_keyword_geometry] = ACTIONS(141),
    [sym_keyword_geography] = ACTIONS(141),
    [sym_keyword_box2d] = ACTIONS(141),
    [sym_keyword_box3d] = ACTIONS(141),
    [sym_keyword_oid] = ACTIONS(141),
    [sym_keyword_name] = ACTIONS(141),
    [sym_keyword_regclass] = ACTIONS(141),
    [sym_keyword_regnamespace] = ACTIONS(141),
    [sym_keyword_regproc] = ACTIONS(141),
    [sym_keyword_regtype] = ACTIONS(141),
    [aux_sym_double_token1] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(281),
    [aux_sym_identifier_token1] = ACTIONS(281),
  },
  [38] = {
    [sym_keyword_smallserial] = STATE(5235),
    [sym_keyword_serial] = STATE(5235),
    [sym_keyword_bigserial] = STATE(5235),
    [sym_keyword_tinyint] = STATE(5258),
    [sym_keyword_smallint] = STATE(5259),
    [sym_keyword_mediumint] = STATE(5260),
    [sym_keyword_int] = STATE(5261),
    [sym_keyword_bigint] = STATE(5262),
    [sym_keyword_real] = STATE(5263),
    [sym_keyword_char] = STATE(5956),
    [sym_keyword_varchar] = STATE(5957),
    [sym__type] = STATE(6492),
    [sym_tinyint] = STATE(5235),
    [sym_smallint] = STATE(5235),
    [sym_mediumint] = STATE(5235),
    [sym_int] = STATE(5235),
    [sym_bigint] = STATE(5235),
    [sym_bit] = STATE(5235),
    [sym_binary] = STATE(5235),
    [sym_varbinary] = STATE(5235),
    [sym_float] = STATE(5235),
    [sym_double] = STATE(5235),
    [sym_decimal] = STATE(5235),
    [sym_numeric] = STATE(5235),
    [sym_char] = STATE(5235),
    [sym_varchar] = STATE(5235),
    [sym_nchar] = STATE(5235),
    [sym_nvarchar] = STATE(5235),
    [sym_datetimeoffset] = STATE(5235),
    [sym_time] = STATE(5235),
    [sym_timestamp] = STATE(5235),
    [sym_enum] = STATE(5235),
    [sym_object_reference] = STATE(5274),
    [sym_identifier] = STATE(6889),
    [sym__identifier] = ACTIONS(129),
    [aux_sym_keyword_character_token1] = ACTIONS(133),
    [sym_keyword_unsigned] = ACTIONS(135),
    [sym_keyword_boolean] = ACTIONS(141),
    [sym_keyword_bit] = ACTIONS(143),
    [sym_keyword_binary] = ACTIONS(145),
    [sym_keyword_varbinary] = ACTIONS(147),
    [sym_keyword_image] = ACTIONS(141),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(149),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(149),
    [aux_sym_keyword_serial_token1] = ACTIONS(151),
    [aux_sym_keyword_serial_token2] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(153),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(155),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(155),
    [aux_sym_keyword_smallint_token1] = ACTIONS(157),
    [aux_sym_keyword_smallint_token2] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(159),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token1] = ACTIONS(161),
    [aux_sym_keyword_int_token2] = ACTIONS(161),
    [aux_sym_keyword_int_token3] = ACTIONS(161),
    [aux_sym_keyword_bigint_token1] = ACTIONS(163),
    [aux_sym_keyword_bigint_token2] = ACTIONS(163),
    [sym_keyword_decimal] = ACTIONS(165),
    [sym_keyword_numeric] = ACTIONS(167),
    [aux_sym_keyword_real_token1] = ACTIONS(169),
    [aux_sym_keyword_real_token2] = ACTIONS(169),
    [sym_keyword_float] = ACTIONS(171),
    [sym_keyword_double] = ACTIONS(173),
    [sym_keyword_inet] = ACTIONS(141),
    [sym_keyword_money] = ACTIONS(141),
    [sym_keyword_smallmoney] = ACTIONS(141),
    [aux_sym_keyword_char_token1] = ACTIONS(175),
    [sym_keyword_nchar] = ACTIONS(177),
    [aux_sym_keyword_varchar_token1] = ACTIONS(179),
    [sym_keyword_nvarchar] = ACTIONS(181),
    [sym_keyword_text] = ACTIONS(141),
    [sym_keyword_string] = ACTIONS(141),
    [sym_keyword_uuid] = ACTIONS(141),
    [sym_keyword_json] = ACTIONS(141),
    [sym_keyword_jsonb] = ACTIONS(141),
    [sym_keyword_xml] = ACTIONS(141),
    [sym_keyword_bytea] = ACTIONS(141),
    [sym_keyword_enum] = ACTIONS(183),
    [sym_keyword_date] = ACTIONS(141),
    [sym_keyword_datetime] = ACTIONS(141),
    [sym_keyword_datetime2] = ACTIONS(141),
    [sym_keyword_smalldatetime] = ACTIONS(141),
    [sym_keyword_datetimeoffset] = ACTIONS(185),
    [sym_keyword_time] = ACTIONS(187),
    [sym_keyword_timestamp] = ACTIONS(189),
    [sym_keyword_timestamptz] = ACTIONS(141),
    [sym_keyword_interval] = ACTIONS(141),
    [sym_keyword_geometry] = ACTIONS(141),
    [sym_keyword_geography] = ACTIONS(141),
    [sym_keyword_box2d] = ACTIONS(141),
    [sym_keyword_box3d] = ACTIONS(141),
    [sym_keyword_oid] = ACTIONS(141),
    [sym_keyword_name] = ACTIONS(141),
    [sym_keyword_regclass] = ACTIONS(141),
    [sym_keyword_regnamespace] = ACTIONS(141),
    [sym_keyword_regproc] = ACTIONS(141),
    [sym_keyword_regtype] = ACTIONS(141),
    [aux_sym_double_token1] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(193),
    [aux_sym_identifier_token1] = ACTIONS(193),
  },
  [39] = {
    [sym_keyword_smallserial] = STATE(4797),
    [sym_keyword_serial] = STATE(4797),
    [sym_keyword_bigserial] = STATE(4797),
    [sym_keyword_tinyint] = STATE(4848),
    [sym_keyword_smallint] = STATE(4849),
    [sym_keyword_mediumint] = STATE(4850),
    [sym_keyword_int] = STATE(4851),
    [sym_keyword_bigint] = STATE(4853),
    [sym_keyword_real] = STATE(4854),
    [sym_keyword_char] = STATE(5082),
    [sym_keyword_varchar] = STATE(5083),
    [sym__type] = STATE(2613),
    [sym_tinyint] = STATE(4797),
    [sym_smallint] = STATE(4797),
    [sym_mediumint] = STATE(4797),
    [sym_int] = STATE(4797),
    [sym_bigint] = STATE(4797),
    [sym_bit] = STATE(4797),
    [sym_binary] = STATE(4797),
    [sym_varbinary] = STATE(4797),
    [sym_float] = STATE(4797),
    [sym_double] = STATE(4797),
    [sym_decimal] = STATE(4797),
    [sym_numeric] = STATE(4797),
    [sym_char] = STATE(4797),
    [sym_varchar] = STATE(4797),
    [sym_nchar] = STATE(4797),
    [sym_nvarchar] = STATE(4797),
    [sym_datetimeoffset] = STATE(4797),
    [sym_time] = STATE(4797),
    [sym_timestamp] = STATE(4797),
    [sym_enum] = STATE(4797),
    [sym_object_reference] = STATE(4798),
    [sym_identifier] = STATE(5025),
    [sym__identifier] = ACTIONS(129),
    [aux_sym_keyword_character_token1] = ACTIONS(525),
    [sym_keyword_unsigned] = ACTIONS(527),
    [sym_keyword_boolean] = ACTIONS(529),
    [sym_keyword_bit] = ACTIONS(531),
    [sym_keyword_binary] = ACTIONS(533),
    [sym_keyword_varbinary] = ACTIONS(535),
    [sym_keyword_image] = ACTIONS(529),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(537),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(537),
    [aux_sym_keyword_serial_token1] = ACTIONS(539),
    [aux_sym_keyword_serial_token2] = ACTIONS(539),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(541),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(541),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(543),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(543),
    [aux_sym_keyword_smallint_token1] = ACTIONS(545),
    [aux_sym_keyword_smallint_token2] = ACTIONS(545),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(547),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(547),
    [aux_sym_keyword_int_token1] = ACTIONS(549),
    [aux_sym_keyword_int_token2] = ACTIONS(549),
    [aux_sym_keyword_int_token3] = ACTIONS(549),
    [aux_sym_keyword_bigint_token1] = ACTIONS(551),
    [aux_sym_keyword_bigint_token2] = ACTIONS(551),
    [sym_keyword_decimal] = ACTIONS(553),
    [sym_keyword_numeric] = ACTIONS(555),
    [aux_sym_keyword_real_token1] = ACTIONS(557),
    [aux_sym_keyword_real_token2] = ACTIONS(557),
    [sym_keyword_float] = ACTIONS(559),
    [sym_keyword_double] = ACTIONS(561),
    [sym_keyword_inet] = ACTIONS(529),
    [sym_keyword_money] = ACTIONS(529),
    [sym_keyword_smallmoney] = ACTIONS(529),
    [aux_sym_keyword_char_token1] = ACTIONS(563),
    [sym_keyword_nchar] = ACTIONS(565),
    [aux_sym_keyword_varchar_token1] = ACTIONS(567),
    [sym_keyword_nvarchar] = ACTIONS(569),
    [sym_keyword_text] = ACTIONS(529),
    [sym_keyword_string] = ACTIONS(529),
    [sym_keyword_uuid] = ACTIONS(529),
    [sym_keyword_json] = ACTIONS(529),
    [sym_keyword_jsonb] = ACTIONS(529),
    [sym_keyword_xml] = ACTIONS(529),
    [sym_keyword_bytea] = ACTIONS(529),
    [sym_keyword_enum] = ACTIONS(571),
    [sym_keyword_date] = ACTIONS(529),
    [sym_keyword_datetime] = ACTIONS(529),
    [sym_keyword_datetime2] = ACTIONS(529),
    [sym_keyword_smalldatetime] = ACTIONS(529),
    [sym_keyword_datetimeoffset] = ACTIONS(573),
    [sym_keyword_time] = ACTIONS(575),
    [sym_keyword_timestamp] = ACTIONS(577),
    [sym_keyword_timestamptz] = ACTIONS(529),
    [sym_keyword_interval] = ACTIONS(529),
    [sym_keyword_geometry] = ACTIONS(529),
    [sym_keyword_geography] = ACTIONS(529),
    [sym_keyword_box2d] = ACTIONS(529),
    [sym_keyword_box3d] = ACTIONS(529),
    [sym_keyword_oid] = ACTIONS(529),
    [sym_keyword_name] = ACTIONS(529),
    [sym_keyword_regclass] = ACTIONS(529),
    [sym_keyword_regnamespace] = ACTIONS(529),
    [sym_keyword_regproc] = ACTIONS(529),
    [sym_keyword_regtype] = ACTIONS(529),
    [aux_sym_double_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(193),
    [aux_sym_identifier_token1] = ACTIONS(193),
  },
  [40] = {
    [sym_keyword_smallserial] = STATE(4797),
    [sym_keyword_serial] = STATE(4797),
    [sym_keyword_bigserial] = STATE(4797),
    [sym_keyword_tinyint] = STATE(4848),
    [sym_keyword_smallint] = STATE(4849),
    [sym_keyword_mediumint] = STATE(4850),
    [sym_keyword_int] = STATE(4851),
    [sym_keyword_bigint] = STATE(4853),
    [sym_keyword_real] = STATE(4854),
    [sym_keyword_char] = STATE(5082),
    [sym_keyword_varchar] = STATE(5083),
    [sym__type] = STATE(2613),
    [sym_tinyint] = STATE(4797),
    [sym_smallint] = STATE(4797),
    [sym_mediumint] = STATE(4797),
    [sym_int] = STATE(4797),
    [sym_bigint] = STATE(4797),
    [sym_bit] = STATE(4797),
    [sym_binary] = STATE(4797),
    [sym_varbinary] = STATE(4797),
    [sym_float] = STATE(4797),
    [sym_double] = STATE(4797),
    [sym_decimal] = STATE(4797),
    [sym_numeric] = STATE(4797),
    [sym_char] = STATE(4797),
    [sym_varchar] = STATE(4797),
    [sym_nchar] = STATE(4797),
    [sym_nvarchar] = STATE(4797),
    [sym_datetimeoffset] = STATE(4797),
    [sym_time] = STATE(4797),
    [sym_timestamp] = STATE(4797),
    [sym_enum] = STATE(4797),
    [sym_object_reference] = STATE(4798),
    [sym_identifier] = STATE(2669),
    [sym__identifier] = ACTIONS(399),
    [aux_sym_keyword_character_token1] = ACTIONS(525),
    [sym_keyword_unsigned] = ACTIONS(527),
    [sym_keyword_boolean] = ACTIONS(529),
    [sym_keyword_bit] = ACTIONS(531),
    [sym_keyword_binary] = ACTIONS(533),
    [sym_keyword_varbinary] = ACTIONS(535),
    [sym_keyword_image] = ACTIONS(529),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(537),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(537),
    [aux_sym_keyword_serial_token1] = ACTIONS(539),
    [aux_sym_keyword_serial_token2] = ACTIONS(539),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(541),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(541),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(543),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(543),
    [aux_sym_keyword_smallint_token1] = ACTIONS(545),
    [aux_sym_keyword_smallint_token2] = ACTIONS(545),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(547),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(547),
    [aux_sym_keyword_int_token1] = ACTIONS(549),
    [aux_sym_keyword_int_token2] = ACTIONS(549),
    [aux_sym_keyword_int_token3] = ACTIONS(549),
    [aux_sym_keyword_bigint_token1] = ACTIONS(551),
    [aux_sym_keyword_bigint_token2] = ACTIONS(551),
    [sym_keyword_decimal] = ACTIONS(553),
    [sym_keyword_numeric] = ACTIONS(555),
    [aux_sym_keyword_real_token1] = ACTIONS(557),
    [aux_sym_keyword_real_token2] = ACTIONS(557),
    [sym_keyword_float] = ACTIONS(559),
    [sym_keyword_double] = ACTIONS(561),
    [sym_keyword_inet] = ACTIONS(529),
    [sym_keyword_money] = ACTIONS(529),
    [sym_keyword_smallmoney] = ACTIONS(529),
    [aux_sym_keyword_char_token1] = ACTIONS(563),
    [sym_keyword_nchar] = ACTIONS(565),
    [aux_sym_keyword_varchar_token1] = ACTIONS(567),
    [sym_keyword_nvarchar] = ACTIONS(569),
    [sym_keyword_text] = ACTIONS(529),
    [sym_keyword_string] = ACTIONS(529),
    [sym_keyword_uuid] = ACTIONS(529),
    [sym_keyword_json] = ACTIONS(529),
    [sym_keyword_jsonb] = ACTIONS(529),
    [sym_keyword_xml] = ACTIONS(529),
    [sym_keyword_bytea] = ACTIONS(529),
    [sym_keyword_enum] = ACTIONS(571),
    [sym_keyword_date] = ACTIONS(529),
    [sym_keyword_datetime] = ACTIONS(529),
    [sym_keyword_datetime2] = ACTIONS(529),
    [sym_keyword_smalldatetime] = ACTIONS(529),
    [sym_keyword_datetimeoffset] = ACTIONS(573),
    [sym_keyword_time] = ACTIONS(575),
    [sym_keyword_timestamp] = ACTIONS(577),
    [sym_keyword_timestamptz] = ACTIONS(529),
    [sym_keyword_interval] = ACTIONS(529),
    [sym_keyword_geometry] = ACTIONS(529),
    [sym_keyword_geography] = ACTIONS(529),
    [sym_keyword_box2d] = ACTIONS(529),
    [sym_keyword_box3d] = ACTIONS(529),
    [sym_keyword_oid] = ACTIONS(529),
    [sym_keyword_name] = ACTIONS(529),
    [sym_keyword_regclass] = ACTIONS(529),
    [sym_keyword_regnamespace] = ACTIONS(529),
    [sym_keyword_regproc] = ACTIONS(529),
    [sym_keyword_regtype] = ACTIONS(529),
    [aux_sym_double_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(403),
    [aux_sym_identifier_token1] = ACTIONS(403),
  },
  [41] = {
    [sym_keyword_smallserial] = STATE(2677),
    [sym_keyword_serial] = STATE(2677),
    [sym_keyword_bigserial] = STATE(2677),
    [sym_keyword_tinyint] = STATE(2697),
    [sym_keyword_smallint] = STATE(2698),
    [sym_keyword_mediumint] = STATE(2699),
    [sym_keyword_int] = STATE(2700),
    [sym_keyword_bigint] = STATE(2701),
    [sym_keyword_real] = STATE(2702),
    [sym_keyword_char] = STATE(3083),
    [sym_keyword_varchar] = STATE(3084),
    [sym__type] = STATE(3508),
    [sym_tinyint] = STATE(2677),
    [sym_smallint] = STATE(2677),
    [sym_mediumint] = STATE(2677),
    [sym_int] = STATE(2677),
    [sym_bigint] = STATE(2677),
    [sym_bit] = STATE(2677),
    [sym_binary] = STATE(2677),
    [sym_varbinary] = STATE(2677),
    [sym_float] = STATE(2677),
    [sym_double] = STATE(2677),
    [sym_decimal] = STATE(2677),
    [sym_numeric] = STATE(2677),
    [sym_char] = STATE(2677),
    [sym_varchar] = STATE(2677),
    [sym_nchar] = STATE(2677),
    [sym_nvarchar] = STATE(2677),
    [sym_datetimeoffset] = STATE(2677),
    [sym_time] = STATE(2677),
    [sym_timestamp] = STATE(2677),
    [sym_enum] = STATE(2677),
    [sym_object_reference] = STATE(2631),
    [sym_identifier] = STATE(5171),
    [sym__identifier] = ACTIONS(581),
    [aux_sym_keyword_character_token1] = ACTIONS(583),
    [sym_keyword_unsigned] = ACTIONS(585),
    [sym_keyword_boolean] = ACTIONS(587),
    [sym_keyword_bit] = ACTIONS(589),
    [sym_keyword_binary] = ACTIONS(591),
    [sym_keyword_varbinary] = ACTIONS(593),
    [sym_keyword_image] = ACTIONS(587),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(595),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(595),
    [aux_sym_keyword_serial_token1] = ACTIONS(597),
    [aux_sym_keyword_serial_token2] = ACTIONS(597),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(599),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(599),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(601),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(601),
    [aux_sym_keyword_smallint_token1] = ACTIONS(603),
    [aux_sym_keyword_smallint_token2] = ACTIONS(603),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(605),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(605),
    [aux_sym_keyword_int_token1] = ACTIONS(607),
    [aux_sym_keyword_int_token2] = ACTIONS(607),
    [aux_sym_keyword_int_token3] = ACTIONS(607),
    [aux_sym_keyword_bigint_token1] = ACTIONS(609),
    [aux_sym_keyword_bigint_token2] = ACTIONS(609),
    [sym_keyword_decimal] = ACTIONS(611),
    [sym_keyword_numeric] = ACTIONS(613),
    [aux_sym_keyword_real_token1] = ACTIONS(615),
    [aux_sym_keyword_real_token2] = ACTIONS(615),
    [sym_keyword_float] = ACTIONS(617),
    [sym_keyword_double] = ACTIONS(619),
    [sym_keyword_inet] = ACTIONS(587),
    [sym_keyword_money] = ACTIONS(587),
    [sym_keyword_smallmoney] = ACTIONS(587),
    [aux_sym_keyword_char_token1] = ACTIONS(621),
    [sym_keyword_nchar] = ACTIONS(623),
    [aux_sym_keyword_varchar_token1] = ACTIONS(625),
    [sym_keyword_nvarchar] = ACTIONS(627),
    [sym_keyword_text] = ACTIONS(587),
    [sym_keyword_string] = ACTIONS(587),
    [sym_keyword_uuid] = ACTIONS(587),
    [sym_keyword_json] = ACTIONS(587),
    [sym_keyword_jsonb] = ACTIONS(587),
    [sym_keyword_xml] = ACTIONS(587),
    [sym_keyword_bytea] = ACTIONS(587),
    [sym_keyword_enum] = ACTIONS(629),
    [sym_keyword_date] = ACTIONS(587),
    [sym_keyword_datetime] = ACTIONS(587),
    [sym_keyword_datetime2] = ACTIONS(587),
    [sym_keyword_smalldatetime] = ACTIONS(587),
    [sym_keyword_datetimeoffset] = ACTIONS(631),
    [sym_keyword_time] = ACTIONS(633),
    [sym_keyword_timestamp] = ACTIONS(635),
    [sym_keyword_timestamptz] = ACTIONS(587),
    [sym_keyword_interval] = ACTIONS(587),
    [sym_keyword_geometry] = ACTIONS(587),
    [sym_keyword_geography] = ACTIONS(587),
    [sym_keyword_box2d] = ACTIONS(587),
    [sym_keyword_box3d] = ACTIONS(587),
    [sym_keyword_oid] = ACTIONS(587),
    [sym_keyword_name] = ACTIONS(587),
    [sym_keyword_regclass] = ACTIONS(587),
    [sym_keyword_regnamespace] = ACTIONS(587),
    [sym_keyword_regproc] = ACTIONS(587),
    [sym_keyword_regtype] = ACTIONS(587),
    [aux_sym_double_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(639),
    [aux_sym_identifier_token1] = ACTIONS(639),
  },
  [42] = {
    [sym_keyword_smallserial] = STATE(2677),
    [sym_keyword_serial] = STATE(2677),
    [sym_keyword_bigserial] = STATE(2677),
    [sym_keyword_tinyint] = STATE(2697),
    [sym_keyword_smallint] = STATE(2698),
    [sym_keyword_mediumint] = STATE(2699),
    [sym_keyword_int] = STATE(2700),
    [sym_keyword_bigint] = STATE(2701),
    [sym_keyword_real] = STATE(2702),
    [sym_keyword_char] = STATE(3083),
    [sym_keyword_varchar] = STATE(3084),
    [sym__type] = STATE(3508),
    [sym_tinyint] = STATE(2677),
    [sym_smallint] = STATE(2677),
    [sym_mediumint] = STATE(2677),
    [sym_int] = STATE(2677),
    [sym_bigint] = STATE(2677),
    [sym_bit] = STATE(2677),
    [sym_binary] = STATE(2677),
    [sym_varbinary] = STATE(2677),
    [sym_float] = STATE(2677),
    [sym_double] = STATE(2677),
    [sym_decimal] = STATE(2677),
    [sym_numeric] = STATE(2677),
    [sym_char] = STATE(2677),
    [sym_varchar] = STATE(2677),
    [sym_nchar] = STATE(2677),
    [sym_nvarchar] = STATE(2677),
    [sym_datetimeoffset] = STATE(2677),
    [sym_time] = STATE(2677),
    [sym_timestamp] = STATE(2677),
    [sym_enum] = STATE(2677),
    [sym_object_reference] = STATE(2631),
    [sym_identifier] = STATE(4758),
    [sym__identifier] = ACTIONS(641),
    [aux_sym_keyword_character_token1] = ACTIONS(583),
    [sym_keyword_unsigned] = ACTIONS(585),
    [sym_keyword_boolean] = ACTIONS(587),
    [sym_keyword_bit] = ACTIONS(589),
    [sym_keyword_binary] = ACTIONS(591),
    [sym_keyword_varbinary] = ACTIONS(593),
    [sym_keyword_image] = ACTIONS(587),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(595),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(595),
    [aux_sym_keyword_serial_token1] = ACTIONS(597),
    [aux_sym_keyword_serial_token2] = ACTIONS(597),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(599),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(599),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(601),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(601),
    [aux_sym_keyword_smallint_token1] = ACTIONS(603),
    [aux_sym_keyword_smallint_token2] = ACTIONS(603),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(605),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(605),
    [aux_sym_keyword_int_token1] = ACTIONS(607),
    [aux_sym_keyword_int_token2] = ACTIONS(607),
    [aux_sym_keyword_int_token3] = ACTIONS(607),
    [aux_sym_keyword_bigint_token1] = ACTIONS(609),
    [aux_sym_keyword_bigint_token2] = ACTIONS(609),
    [sym_keyword_decimal] = ACTIONS(611),
    [sym_keyword_numeric] = ACTIONS(613),
    [aux_sym_keyword_real_token1] = ACTIONS(615),
    [aux_sym_keyword_real_token2] = ACTIONS(615),
    [sym_keyword_float] = ACTIONS(617),
    [sym_keyword_double] = ACTIONS(619),
    [sym_keyword_inet] = ACTIONS(587),
    [sym_keyword_money] = ACTIONS(587),
    [sym_keyword_smallmoney] = ACTIONS(587),
    [aux_sym_keyword_char_token1] = ACTIONS(621),
    [sym_keyword_nchar] = ACTIONS(623),
    [aux_sym_keyword_varchar_token1] = ACTIONS(625),
    [sym_keyword_nvarchar] = ACTIONS(627),
    [sym_keyword_text] = ACTIONS(587),
    [sym_keyword_string] = ACTIONS(587),
    [sym_keyword_uuid] = ACTIONS(587),
    [sym_keyword_json] = ACTIONS(587),
    [sym_keyword_jsonb] = ACTIONS(587),
    [sym_keyword_xml] = ACTIONS(587),
    [sym_keyword_bytea] = ACTIONS(587),
    [sym_keyword_enum] = ACTIONS(629),
    [sym_keyword_date] = ACTIONS(587),
    [sym_keyword_datetime] = ACTIONS(587),
    [sym_keyword_datetime2] = ACTIONS(587),
    [sym_keyword_smalldatetime] = ACTIONS(587),
    [sym_keyword_datetimeoffset] = ACTIONS(631),
    [sym_keyword_time] = ACTIONS(633),
    [sym_keyword_timestamp] = ACTIONS(635),
    [sym_keyword_timestamptz] = ACTIONS(587),
    [sym_keyword_interval] = ACTIONS(587),
    [sym_keyword_geometry] = ACTIONS(587),
    [sym_keyword_geography] = ACTIONS(587),
    [sym_keyword_box2d] = ACTIONS(587),
    [sym_keyword_box3d] = ACTIONS(587),
    [sym_keyword_oid] = ACTIONS(587),
    [sym_keyword_name] = ACTIONS(587),
    [sym_keyword_regclass] = ACTIONS(587),
    [sym_keyword_regnamespace] = ACTIONS(587),
    [sym_keyword_regproc] = ACTIONS(587),
    [sym_keyword_regtype] = ACTIONS(587),
    [aux_sym_double_token1] = ACTIONS(637),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(643),
    [aux_sym_identifier_token1] = ACTIONS(643),
  },
  [43] = {
    [sym_keyword_smallserial] = STATE(5168),
    [sym_keyword_serial] = STATE(5168),
    [sym_keyword_bigserial] = STATE(5168),
    [sym_keyword_tinyint] = STATE(5477),
    [sym_keyword_smallint] = STATE(5478),
    [sym_keyword_mediumint] = STATE(5479),
    [sym_keyword_int] = STATE(5480),
    [sym_keyword_bigint] = STATE(5481),
    [sym_keyword_real] = STATE(5482),
    [sym_keyword_char] = STATE(6116),
    [sym_keyword_varchar] = STATE(6117),
    [sym__type] = STATE(6422),
    [sym_tinyint] = STATE(5168),
    [sym_smallint] = STATE(5168),
    [sym_mediumint] = STATE(5168),
    [sym_int] = STATE(5168),
    [sym_bigint] = STATE(5168),
    [sym_bit] = STATE(5168),
    [sym_binary] = STATE(5168),
    [sym_varbinary] = STATE(5168),
    [sym_float] = STATE(5168),
    [sym_double] = STATE(5168),
    [sym_decimal] = STATE(5168),
    [sym_numeric] = STATE(5168),
    [sym_char] = STATE(5168),
    [sym_varchar] = STATE(5168),
    [sym_nchar] = STATE(5168),
    [sym_nvarchar] = STATE(5168),
    [sym_datetimeoffset] = STATE(5168),
    [sym_time] = STATE(5168),
    [sym_timestamp] = STATE(5168),
    [sym_enum] = STATE(5168),
    [sym_object_reference] = STATE(5169),
    [sym_identifier] = STATE(5817),
    [sym__identifier] = ACTIONS(645),
    [aux_sym_keyword_character_token1] = ACTIONS(647),
    [sym_keyword_unsigned] = ACTIONS(649),
    [sym_keyword_boolean] = ACTIONS(651),
    [sym_keyword_bit] = ACTIONS(653),
    [sym_keyword_binary] = ACTIONS(655),
    [sym_keyword_varbinary] = ACTIONS(657),
    [sym_keyword_image] = ACTIONS(651),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(659),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(659),
    [aux_sym_keyword_serial_token1] = ACTIONS(661),
    [aux_sym_keyword_serial_token2] = ACTIONS(661),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(663),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(663),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(665),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(665),
    [aux_sym_keyword_smallint_token1] = ACTIONS(667),
    [aux_sym_keyword_smallint_token2] = ACTIONS(667),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(669),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(669),
    [aux_sym_keyword_int_token1] = ACTIONS(671),
    [aux_sym_keyword_int_token2] = ACTIONS(671),
    [aux_sym_keyword_int_token3] = ACTIONS(671),
    [aux_sym_keyword_bigint_token1] = ACTIONS(673),
    [aux_sym_keyword_bigint_token2] = ACTIONS(673),
    [sym_keyword_decimal] = ACTIONS(675),
    [sym_keyword_numeric] = ACTIONS(677),
    [aux_sym_keyword_real_token1] = ACTIONS(679),
    [aux_sym_keyword_real_token2] = ACTIONS(679),
    [sym_keyword_float] = ACTIONS(681),
    [sym_keyword_double] = ACTIONS(683),
    [sym_keyword_inet] = ACTIONS(651),
    [sym_keyword_money] = ACTIONS(651),
    [sym_keyword_smallmoney] = ACTIONS(651),
    [aux_sym_keyword_char_token1] = ACTIONS(685),
    [sym_keyword_nchar] = ACTIONS(687),
    [aux_sym_keyword_varchar_token1] = ACTIONS(689),
    [sym_keyword_nvarchar] = ACTIONS(691),
    [sym_keyword_text] = ACTIONS(651),
    [sym_keyword_string] = ACTIONS(651),
    [sym_keyword_uuid] = ACTIONS(651),
    [sym_keyword_json] = ACTIONS(651),
    [sym_keyword_jsonb] = ACTIONS(651),
    [sym_keyword_xml] = ACTIONS(651),
    [sym_keyword_bytea] = ACTIONS(651),
    [sym_keyword_enum] = ACTIONS(693),
    [sym_keyword_date] = ACTIONS(651),
    [sym_keyword_datetime] = ACTIONS(651),
    [sym_keyword_datetime2] = ACTIONS(651),
    [sym_keyword_smalldatetime] = ACTIONS(651),
    [sym_keyword_datetimeoffset] = ACTIONS(695),
    [sym_keyword_time] = ACTIONS(697),
    [sym_keyword_timestamp] = ACTIONS(699),
    [sym_keyword_timestamptz] = ACTIONS(651),
    [sym_keyword_interval] = ACTIONS(651),
    [sym_keyword_geometry] = ACTIONS(651),
    [sym_keyword_geography] = ACTIONS(651),
    [sym_keyword_box2d] = ACTIONS(651),
    [sym_keyword_box3d] = ACTIONS(651),
    [sym_keyword_oid] = ACTIONS(651),
    [sym_keyword_name] = ACTIONS(651),
    [sym_keyword_regclass] = ACTIONS(651),
    [sym_keyword_regnamespace] = ACTIONS(651),
    [sym_keyword_regproc] = ACTIONS(651),
    [sym_keyword_regtype] = ACTIONS(651),
    [aux_sym_double_token1] = ACTIONS(701),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(703),
    [aux_sym_identifier_token1] = ACTIONS(703),
  },
  [44] = {
    [sym_keyword_smallserial] = STATE(2903),
    [sym_keyword_serial] = STATE(2903),
    [sym_keyword_bigserial] = STATE(2903),
    [sym_keyword_tinyint] = STATE(3059),
    [sym_keyword_smallint] = STATE(3060),
    [sym_keyword_mediumint] = STATE(3061),
    [sym_keyword_int] = STATE(3062),
    [sym_keyword_bigint] = STATE(3063),
    [sym_keyword_real] = STATE(3064),
    [sym_keyword_char] = STATE(3633),
    [sym_keyword_varchar] = STATE(3634),
    [sym__type] = STATE(4579),
    [sym_tinyint] = STATE(2903),
    [sym_smallint] = STATE(2903),
    [sym_mediumint] = STATE(2903),
    [sym_int] = STATE(2903),
    [sym_bigint] = STATE(2903),
    [sym_bit] = STATE(2903),
    [sym_binary] = STATE(2903),
    [sym_varbinary] = STATE(2903),
    [sym_float] = STATE(2903),
    [sym_double] = STATE(2903),
    [sym_decimal] = STATE(2903),
    [sym_numeric] = STATE(2903),
    [sym_char] = STATE(2903),
    [sym_varchar] = STATE(2903),
    [sym_nchar] = STATE(2903),
    [sym_nvarchar] = STATE(2903),
    [sym_datetimeoffset] = STATE(2903),
    [sym_time] = STATE(2903),
    [sym_timestamp] = STATE(2903),
    [sym_enum] = STATE(2903),
    [sym_object_reference] = STATE(2906),
    [sym_identifier] = STATE(3622),
    [sym__identifier] = ACTIONS(705),
    [aux_sym_keyword_character_token1] = ACTIONS(707),
    [sym_keyword_unsigned] = ACTIONS(709),
    [sym_keyword_boolean] = ACTIONS(711),
    [sym_keyword_bit] = ACTIONS(713),
    [sym_keyword_binary] = ACTIONS(715),
    [sym_keyword_varbinary] = ACTIONS(717),
    [sym_keyword_image] = ACTIONS(711),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(719),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(719),
    [aux_sym_keyword_serial_token1] = ACTIONS(721),
    [aux_sym_keyword_serial_token2] = ACTIONS(721),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(723),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(723),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(725),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(725),
    [aux_sym_keyword_smallint_token1] = ACTIONS(727),
    [aux_sym_keyword_smallint_token2] = ACTIONS(727),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(729),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(729),
    [aux_sym_keyword_int_token1] = ACTIONS(731),
    [aux_sym_keyword_int_token2] = ACTIONS(731),
    [aux_sym_keyword_int_token3] = ACTIONS(731),
    [aux_sym_keyword_bigint_token1] = ACTIONS(733),
    [aux_sym_keyword_bigint_token2] = ACTIONS(733),
    [sym_keyword_decimal] = ACTIONS(735),
    [sym_keyword_numeric] = ACTIONS(737),
    [aux_sym_keyword_real_token1] = ACTIONS(739),
    [aux_sym_keyword_real_token2] = ACTIONS(739),
    [sym_keyword_float] = ACTIONS(741),
    [sym_keyword_double] = ACTIONS(743),
    [sym_keyword_inet] = ACTIONS(711),
    [sym_keyword_money] = ACTIONS(711),
    [sym_keyword_smallmoney] = ACTIONS(711),
    [aux_sym_keyword_char_token1] = ACTIONS(745),
    [sym_keyword_nchar] = ACTIONS(747),
    [aux_sym_keyword_varchar_token1] = ACTIONS(749),
    [sym_keyword_nvarchar] = ACTIONS(751),
    [sym_keyword_text] = ACTIONS(711),
    [sym_keyword_string] = ACTIONS(711),
    [sym_keyword_uuid] = ACTIONS(711),
    [sym_keyword_json] = ACTIONS(711),
    [sym_keyword_jsonb] = ACTIONS(711),
    [sym_keyword_xml] = ACTIONS(711),
    [sym_keyword_bytea] = ACTIONS(711),
    [sym_keyword_enum] = ACTIONS(753),
    [sym_keyword_date] = ACTIONS(711),
    [sym_keyword_datetime] = ACTIONS(711),
    [sym_keyword_datetime2] = ACTIONS(711),
    [sym_keyword_smalldatetime] = ACTIONS(711),
    [sym_keyword_datetimeoffset] = ACTIONS(755),
    [sym_keyword_time] = ACTIONS(757),
    [sym_keyword_timestamp] = ACTIONS(759),
    [sym_keyword_timestamptz] = ACTIONS(711),
    [sym_keyword_interval] = ACTIONS(711),
    [sym_keyword_geometry] = ACTIONS(711),
    [sym_keyword_geography] = ACTIONS(711),
    [sym_keyword_box2d] = ACTIONS(711),
    [sym_keyword_box3d] = ACTIONS(711),
    [sym_keyword_oid] = ACTIONS(711),
    [sym_keyword_name] = ACTIONS(711),
    [sym_keyword_regclass] = ACTIONS(711),
    [sym_keyword_regnamespace] = ACTIONS(711),
    [sym_keyword_regproc] = ACTIONS(711),
    [sym_keyword_regtype] = ACTIONS(711),
    [aux_sym_double_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(763),
    [aux_sym_identifier_token1] = ACTIONS(763),
  },
  [45] = {
    [sym_keyword_smallserial] = STATE(431),
    [sym_keyword_serial] = STATE(431),
    [sym_keyword_bigserial] = STATE(431),
    [sym_keyword_tinyint] = STATE(159),
    [sym_keyword_smallint] = STATE(150),
    [sym_keyword_mediumint] = STATE(165),
    [sym_keyword_int] = STATE(163),
    [sym_keyword_bigint] = STATE(164),
    [sym_keyword_real] = STATE(160),
    [sym_keyword_char] = STATE(215),
    [sym_keyword_varchar] = STATE(216),
    [sym__type] = STATE(918),
    [sym_tinyint] = STATE(431),
    [sym_smallint] = STATE(431),
    [sym_mediumint] = STATE(431),
    [sym_int] = STATE(431),
    [sym_bigint] = STATE(431),
    [sym_bit] = STATE(431),
    [sym_binary] = STATE(431),
    [sym_varbinary] = STATE(431),
    [sym_float] = STATE(431),
    [sym_double] = STATE(431),
    [sym_decimal] = STATE(431),
    [sym_numeric] = STATE(431),
    [sym_char] = STATE(431),
    [sym_varchar] = STATE(431),
    [sym_nchar] = STATE(431),
    [sym_nvarchar] = STATE(431),
    [sym_datetimeoffset] = STATE(431),
    [sym_time] = STATE(431),
    [sym_timestamp] = STATE(431),
    [sym_enum] = STATE(431),
    [sym_object_reference] = STATE(432),
    [sym_identifier] = STATE(601),
    [sym__identifier] = ACTIONS(765),
    [aux_sym_keyword_character_token1] = ACTIONS(343),
    [sym_keyword_unsigned] = ACTIONS(345),
    [sym_keyword_boolean] = ACTIONS(767),
    [sym_keyword_bit] = ACTIONS(349),
    [sym_keyword_binary] = ACTIONS(351),
    [sym_keyword_varbinary] = ACTIONS(353),
    [sym_keyword_image] = ACTIONS(767),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(355),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(355),
    [aux_sym_keyword_serial_token1] = ACTIONS(357),
    [aux_sym_keyword_serial_token2] = ACTIONS(357),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(359),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(359),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(361),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(361),
    [aux_sym_keyword_smallint_token1] = ACTIONS(363),
    [aux_sym_keyword_smallint_token2] = ACTIONS(363),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(365),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(365),
    [aux_sym_keyword_int_token1] = ACTIONS(367),
    [aux_sym_keyword_int_token2] = ACTIONS(367),
    [aux_sym_keyword_int_token3] = ACTIONS(367),
    [aux_sym_keyword_bigint_token1] = ACTIONS(369),
    [aux_sym_keyword_bigint_token2] = ACTIONS(369),
    [sym_keyword_decimal] = ACTIONS(371),
    [sym_keyword_numeric] = ACTIONS(373),
    [aux_sym_keyword_real_token1] = ACTIONS(375),
    [aux_sym_keyword_real_token2] = ACTIONS(375),
    [sym_keyword_float] = ACTIONS(377),
    [sym_keyword_double] = ACTIONS(379),
    [sym_keyword_inet] = ACTIONS(767),
    [sym_keyword_money] = ACTIONS(767),
    [sym_keyword_smallmoney] = ACTIONS(767),
    [aux_sym_keyword_char_token1] = ACTIONS(381),
    [sym_keyword_nchar] = ACTIONS(383),
    [aux_sym_keyword_varchar_token1] = ACTIONS(385),
    [sym_keyword_nvarchar] = ACTIONS(387),
    [sym_keyword_text] = ACTIONS(767),
    [sym_keyword_string] = ACTIONS(767),
    [sym_keyword_uuid] = ACTIONS(767),
    [sym_keyword_json] = ACTIONS(767),
    [sym_keyword_jsonb] = ACTIONS(767),
    [sym_keyword_xml] = ACTIONS(767),
    [sym_keyword_bytea] = ACTIONS(767),
    [sym_keyword_enum] = ACTIONS(389),
    [sym_keyword_date] = ACTIONS(767),
    [sym_keyword_datetime] = ACTIONS(767),
    [sym_keyword_datetime2] = ACTIONS(767),
    [sym_keyword_smalldatetime] = ACTIONS(767),
    [sym_keyword_datetimeoffset] = ACTIONS(391),
    [sym_keyword_time] = ACTIONS(393),
    [sym_keyword_timestamp] = ACTIONS(395),
    [sym_keyword_timestamptz] = ACTIONS(767),
    [sym_keyword_interval] = ACTIONS(767),
    [sym_keyword_geometry] = ACTIONS(767),
    [sym_keyword_geography] = ACTIONS(767),
    [sym_keyword_box2d] = ACTIONS(767),
    [sym_keyword_box3d] = ACTIONS(767),
    [sym_keyword_oid] = ACTIONS(767),
    [sym_keyword_name] = ACTIONS(767),
    [sym_keyword_regclass] = ACTIONS(767),
    [sym_keyword_regnamespace] = ACTIONS(767),
    [sym_keyword_regproc] = ACTIONS(767),
    [sym_keyword_regtype] = ACTIONS(767),
    [aux_sym_double_token1] = ACTIONS(397),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(769),
    [aux_sym_identifier_token1] = ACTIONS(769),
  },
  [46] = {
    [sym_keyword_smallserial] = STATE(4905),
    [sym_keyword_serial] = STATE(4905),
    [sym_keyword_bigserial] = STATE(4905),
    [sym_keyword_tinyint] = STATE(4899),
    [sym_keyword_smallint] = STATE(4904),
    [sym_keyword_mediumint] = STATE(4906),
    [sym_keyword_int] = STATE(4907),
    [sym_keyword_bigint] = STATE(4908),
    [sym_keyword_real] = STATE(4911),
    [sym_keyword_char] = STATE(5264),
    [sym_keyword_varchar] = STATE(5265),
    [sym__type] = STATE(5940),
    [sym_tinyint] = STATE(4905),
    [sym_smallint] = STATE(4905),
    [sym_mediumint] = STATE(4905),
    [sym_int] = STATE(4905),
    [sym_bigint] = STATE(4905),
    [sym_bit] = STATE(4905),
    [sym_binary] = STATE(4905),
    [sym_varbinary] = STATE(4905),
    [sym_float] = STATE(4905),
    [sym_double] = STATE(4905),
    [sym_decimal] = STATE(4905),
    [sym_numeric] = STATE(4905),
    [sym_char] = STATE(4905),
    [sym_varchar] = STATE(4905),
    [sym_nchar] = STATE(4905),
    [sym_nvarchar] = STATE(4905),
    [sym_datetimeoffset] = STATE(4905),
    [sym_time] = STATE(4905),
    [sym_timestamp] = STATE(4905),
    [sym_enum] = STATE(4905),
    [sym_object_reference] = STATE(4910),
    [sym_identifier] = STATE(5338),
    [sym__identifier] = ACTIONS(581),
    [aux_sym_keyword_character_token1] = ACTIONS(771),
    [sym_keyword_unsigned] = ACTIONS(773),
    [sym_keyword_boolean] = ACTIONS(775),
    [sym_keyword_bit] = ACTIONS(777),
    [sym_keyword_binary] = ACTIONS(779),
    [sym_keyword_varbinary] = ACTIONS(781),
    [sym_keyword_image] = ACTIONS(775),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(783),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(783),
    [aux_sym_keyword_serial_token1] = ACTIONS(785),
    [aux_sym_keyword_serial_token2] = ACTIONS(785),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(787),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(787),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(789),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(789),
    [aux_sym_keyword_smallint_token1] = ACTIONS(791),
    [aux_sym_keyword_smallint_token2] = ACTIONS(791),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(793),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(793),
    [aux_sym_keyword_int_token1] = ACTIONS(795),
    [aux_sym_keyword_int_token2] = ACTIONS(795),
    [aux_sym_keyword_int_token3] = ACTIONS(795),
    [aux_sym_keyword_bigint_token1] = ACTIONS(797),
    [aux_sym_keyword_bigint_token2] = ACTIONS(797),
    [sym_keyword_decimal] = ACTIONS(799),
    [sym_keyword_numeric] = ACTIONS(801),
    [aux_sym_keyword_real_token1] = ACTIONS(803),
    [aux_sym_keyword_real_token2] = ACTIONS(803),
    [sym_keyword_float] = ACTIONS(805),
    [sym_keyword_double] = ACTIONS(807),
    [sym_keyword_inet] = ACTIONS(775),
    [sym_keyword_money] = ACTIONS(775),
    [sym_keyword_smallmoney] = ACTIONS(775),
    [aux_sym_keyword_char_token1] = ACTIONS(809),
    [sym_keyword_nchar] = ACTIONS(811),
    [aux_sym_keyword_varchar_token1] = ACTIONS(813),
    [sym_keyword_nvarchar] = ACTIONS(815),
    [sym_keyword_text] = ACTIONS(775),
    [sym_keyword_string] = ACTIONS(775),
    [sym_keyword_uuid] = ACTIONS(775),
    [sym_keyword_json] = ACTIONS(775),
    [sym_keyword_jsonb] = ACTIONS(775),
    [sym_keyword_xml] = ACTIONS(775),
    [sym_keyword_bytea] = ACTIONS(775),
    [sym_keyword_enum] = ACTIONS(817),
    [sym_keyword_date] = ACTIONS(775),
    [sym_keyword_datetime] = ACTIONS(775),
    [sym_keyword_datetime2] = ACTIONS(775),
    [sym_keyword_smalldatetime] = ACTIONS(775),
    [sym_keyword_datetimeoffset] = ACTIONS(819),
    [sym_keyword_time] = ACTIONS(821),
    [sym_keyword_timestamp] = ACTIONS(823),
    [sym_keyword_timestamptz] = ACTIONS(775),
    [sym_keyword_interval] = ACTIONS(775),
    [sym_keyword_geometry] = ACTIONS(775),
    [sym_keyword_geography] = ACTIONS(775),
    [sym_keyword_box2d] = ACTIONS(775),
    [sym_keyword_box3d] = ACTIONS(775),
    [sym_keyword_oid] = ACTIONS(775),
    [sym_keyword_name] = ACTIONS(775),
    [sym_keyword_regclass] = ACTIONS(775),
    [sym_keyword_regnamespace] = ACTIONS(775),
    [sym_keyword_regproc] = ACTIONS(775),
    [sym_keyword_regtype] = ACTIONS(775),
    [aux_sym_double_token1] = ACTIONS(825),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(639),
    [aux_sym_identifier_token1] = ACTIONS(639),
  },
  [47] = {
    [sym_keyword_smallserial] = STATE(1138),
    [sym_keyword_serial] = STATE(1138),
    [sym_keyword_bigserial] = STATE(1138),
    [sym_keyword_tinyint] = STATE(1125),
    [sym_keyword_smallint] = STATE(1126),
    [sym_keyword_mediumint] = STATE(1127),
    [sym_keyword_int] = STATE(1128),
    [sym_keyword_bigint] = STATE(1129),
    [sym_keyword_real] = STATE(1130),
    [sym_keyword_char] = STATE(2007),
    [sym_keyword_varchar] = STATE(2008),
    [sym__type] = STATE(2616),
    [sym_tinyint] = STATE(1138),
    [sym_smallint] = STATE(1138),
    [sym_mediumint] = STATE(1138),
    [sym_int] = STATE(1138),
    [sym_bigint] = STATE(1138),
    [sym_bit] = STATE(1138),
    [sym_binary] = STATE(1138),
    [sym_varbinary] = STATE(1138),
    [sym_float] = STATE(1138),
    [sym_double] = STATE(1138),
    [sym_decimal] = STATE(1138),
    [sym_numeric] = STATE(1138),
    [sym_char] = STATE(1138),
    [sym_varchar] = STATE(1138),
    [sym_nchar] = STATE(1138),
    [sym_nvarchar] = STATE(1138),
    [sym_datetimeoffset] = STATE(1138),
    [sym_time] = STATE(1138),
    [sym_timestamp] = STATE(1138),
    [sym_enum] = STATE(1138),
    [sym_object_reference] = STATE(1141),
    [sym_identifier] = STATE(2014),
    [sym__identifier] = ACTIONS(827),
    [aux_sym_keyword_character_token1] = ACTIONS(829),
    [sym_keyword_unsigned] = ACTIONS(831),
    [sym_keyword_boolean] = ACTIONS(833),
    [sym_keyword_bit] = ACTIONS(835),
    [sym_keyword_binary] = ACTIONS(837),
    [sym_keyword_varbinary] = ACTIONS(839),
    [sym_keyword_image] = ACTIONS(833),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(841),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(841),
    [aux_sym_keyword_serial_token1] = ACTIONS(843),
    [aux_sym_keyword_serial_token2] = ACTIONS(843),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(845),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(845),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(847),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(847),
    [aux_sym_keyword_smallint_token1] = ACTIONS(849),
    [aux_sym_keyword_smallint_token2] = ACTIONS(849),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(851),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(851),
    [aux_sym_keyword_int_token1] = ACTIONS(853),
    [aux_sym_keyword_int_token2] = ACTIONS(853),
    [aux_sym_keyword_int_token3] = ACTIONS(853),
    [aux_sym_keyword_bigint_token1] = ACTIONS(855),
    [aux_sym_keyword_bigint_token2] = ACTIONS(855),
    [sym_keyword_decimal] = ACTIONS(857),
    [sym_keyword_numeric] = ACTIONS(859),
    [aux_sym_keyword_real_token1] = ACTIONS(861),
    [aux_sym_keyword_real_token2] = ACTIONS(861),
    [sym_keyword_float] = ACTIONS(863),
    [sym_keyword_double] = ACTIONS(865),
    [sym_keyword_inet] = ACTIONS(833),
    [sym_keyword_money] = ACTIONS(833),
    [sym_keyword_smallmoney] = ACTIONS(833),
    [aux_sym_keyword_char_token1] = ACTIONS(867),
    [sym_keyword_nchar] = ACTIONS(869),
    [aux_sym_keyword_varchar_token1] = ACTIONS(871),
    [sym_keyword_nvarchar] = ACTIONS(873),
    [sym_keyword_text] = ACTIONS(833),
    [sym_keyword_string] = ACTIONS(833),
    [sym_keyword_uuid] = ACTIONS(833),
    [sym_keyword_json] = ACTIONS(833),
    [sym_keyword_jsonb] = ACTIONS(833),
    [sym_keyword_xml] = ACTIONS(833),
    [sym_keyword_bytea] = ACTIONS(833),
    [sym_keyword_enum] = ACTIONS(875),
    [sym_keyword_date] = ACTIONS(833),
    [sym_keyword_datetime] = ACTIONS(833),
    [sym_keyword_datetime2] = ACTIONS(833),
    [sym_keyword_smalldatetime] = ACTIONS(833),
    [sym_keyword_datetimeoffset] = ACTIONS(877),
    [sym_keyword_time] = ACTIONS(879),
    [sym_keyword_timestamp] = ACTIONS(881),
    [sym_keyword_timestamptz] = ACTIONS(833),
    [sym_keyword_interval] = ACTIONS(833),
    [sym_keyword_geometry] = ACTIONS(833),
    [sym_keyword_geography] = ACTIONS(833),
    [sym_keyword_box2d] = ACTIONS(833),
    [sym_keyword_box3d] = ACTIONS(833),
    [sym_keyword_oid] = ACTIONS(833),
    [sym_keyword_name] = ACTIONS(833),
    [sym_keyword_regclass] = ACTIONS(833),
    [sym_keyword_regnamespace] = ACTIONS(833),
    [sym_keyword_regproc] = ACTIONS(833),
    [sym_keyword_regtype] = ACTIONS(833),
    [aux_sym_double_token1] = ACTIONS(883),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(885),
    [aux_sym_identifier_token1] = ACTIONS(885),
  },
  [48] = {
    [sym_keyword_smallserial] = STATE(2590),
    [sym_keyword_serial] = STATE(2590),
    [sym_keyword_bigserial] = STATE(2590),
    [sym_keyword_tinyint] = STATE(159),
    [sym_keyword_smallint] = STATE(150),
    [sym_keyword_mediumint] = STATE(165),
    [sym_keyword_int] = STATE(163),
    [sym_keyword_bigint] = STATE(164),
    [sym_keyword_real] = STATE(160),
    [sym_keyword_char] = STATE(215),
    [sym_keyword_varchar] = STATE(216),
    [sym__type] = STATE(2613),
    [sym_tinyint] = STATE(2590),
    [sym_smallint] = STATE(2590),
    [sym_mediumint] = STATE(2590),
    [sym_int] = STATE(2590),
    [sym_bigint] = STATE(2590),
    [sym_bit] = STATE(2590),
    [sym_binary] = STATE(2590),
    [sym_varbinary] = STATE(2590),
    [sym_float] = STATE(2590),
    [sym_double] = STATE(2590),
    [sym_decimal] = STATE(2590),
    [sym_numeric] = STATE(2590),
    [sym_char] = STATE(2590),
    [sym_varchar] = STATE(2590),
    [sym_nchar] = STATE(2590),
    [sym_nvarchar] = STATE(2590),
    [sym_datetimeoffset] = STATE(2590),
    [sym_time] = STATE(2590),
    [sym_timestamp] = STATE(2590),
    [sym_enum] = STATE(2590),
    [sym_object_reference] = STATE(2619),
    [sym_identifier] = STATE(2669),
    [sym__identifier] = ACTIONS(399),
    [aux_sym_keyword_character_token1] = ACTIONS(343),
    [sym_keyword_unsigned] = ACTIONS(345),
    [sym_keyword_boolean] = ACTIONS(401),
    [sym_keyword_bit] = ACTIONS(349),
    [sym_keyword_binary] = ACTIONS(351),
    [sym_keyword_varbinary] = ACTIONS(353),
    [sym_keyword_image] = ACTIONS(401),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(355),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(355),
    [aux_sym_keyword_serial_token1] = ACTIONS(357),
    [aux_sym_keyword_serial_token2] = ACTIONS(357),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(359),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(359),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(361),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(361),
    [aux_sym_keyword_smallint_token1] = ACTIONS(363),
    [aux_sym_keyword_smallint_token2] = ACTIONS(363),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(365),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(365),
    [aux_sym_keyword_int_token1] = ACTIONS(367),
    [aux_sym_keyword_int_token2] = ACTIONS(367),
    [aux_sym_keyword_int_token3] = ACTIONS(367),
    [aux_sym_keyword_bigint_token1] = ACTIONS(369),
    [aux_sym_keyword_bigint_token2] = ACTIONS(369),
    [sym_keyword_decimal] = ACTIONS(371),
    [sym_keyword_numeric] = ACTIONS(373),
    [aux_sym_keyword_real_token1] = ACTIONS(375),
    [aux_sym_keyword_real_token2] = ACTIONS(375),
    [sym_keyword_float] = ACTIONS(377),
    [sym_keyword_double] = ACTIONS(379),
    [sym_keyword_inet] = ACTIONS(401),
    [sym_keyword_money] = ACTIONS(401),
    [sym_keyword_smallmoney] = ACTIONS(401),
    [aux_sym_keyword_char_token1] = ACTIONS(381),
    [sym_keyword_nchar] = ACTIONS(383),
    [aux_sym_keyword_varchar_token1] = ACTIONS(385),
    [sym_keyword_nvarchar] = ACTIONS(387),
    [sym_keyword_text] = ACTIONS(401),
    [sym_keyword_string] = ACTIONS(401),
    [sym_keyword_uuid] = ACTIONS(401),
    [sym_keyword_json] = ACTIONS(401),
    [sym_keyword_jsonb] = ACTIONS(401),
    [sym_keyword_xml] = ACTIONS(401),
    [sym_keyword_bytea] = ACTIONS(401),
    [sym_keyword_enum] = ACTIONS(389),
    [sym_keyword_date] = ACTIONS(401),
    [sym_keyword_datetime] = ACTIONS(401),
    [sym_keyword_datetime2] = ACTIONS(401),
    [sym_keyword_smalldatetime] = ACTIONS(401),
    [sym_keyword_datetimeoffset] = ACTIONS(391),
    [sym_keyword_time] = ACTIONS(887),
    [sym_keyword_timestamp] = ACTIONS(889),
    [sym_keyword_timestamptz] = ACTIONS(401),
    [sym_keyword_interval] = ACTIONS(401),
    [sym_keyword_geometry] = ACTIONS(401),
    [sym_keyword_geography] = ACTIONS(401),
    [sym_keyword_box2d] = ACTIONS(401),
    [sym_keyword_box3d] = ACTIONS(401),
    [sym_keyword_oid] = ACTIONS(401),
    [sym_keyword_name] = ACTIONS(401),
    [sym_keyword_regclass] = ACTIONS(401),
    [sym_keyword_regnamespace] = ACTIONS(401),
    [sym_keyword_regproc] = ACTIONS(401),
    [sym_keyword_regtype] = ACTIONS(401),
    [aux_sym_double_token1] = ACTIONS(397),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(403),
    [aux_sym_identifier_token1] = ACTIONS(403),
  },
  [49] = {
    [sym_keyword_smallserial] = STATE(2772),
    [sym_keyword_serial] = STATE(2772),
    [sym_keyword_bigserial] = STATE(2772),
    [sym_keyword_tinyint] = STATE(2790),
    [sym_keyword_smallint] = STATE(2819),
    [sym_keyword_mediumint] = STATE(2821),
    [sym_keyword_int] = STATE(2822),
    [sym_keyword_bigint] = STATE(2824),
    [sym_keyword_real] = STATE(2833),
    [sym_keyword_char] = STATE(3183),
    [sym_keyword_varchar] = STATE(3184),
    [sym__type] = STATE(3997),
    [sym_tinyint] = STATE(2772),
    [sym_smallint] = STATE(2772),
    [sym_mediumint] = STATE(2772),
    [sym_int] = STATE(2772),
    [sym_bigint] = STATE(2772),
    [sym_bit] = STATE(2772),
    [sym_binary] = STATE(2772),
    [sym_varbinary] = STATE(2772),
    [sym_float] = STATE(2772),
    [sym_double] = STATE(2772),
    [sym_decimal] = STATE(2772),
    [sym_numeric] = STATE(2772),
    [sym_char] = STATE(2772),
    [sym_varchar] = STATE(2772),
    [sym_nchar] = STATE(2772),
    [sym_nvarchar] = STATE(2772),
    [sym_datetimeoffset] = STATE(2772),
    [sym_time] = STATE(2772),
    [sym_timestamp] = STATE(2772),
    [sym_enum] = STATE(2772),
    [sym_object_reference] = STATE(2733),
    [sym_identifier] = STATE(3396),
    [sym__identifier] = ACTIONS(891),
    [aux_sym_keyword_character_token1] = ACTIONS(893),
    [sym_keyword_unsigned] = ACTIONS(895),
    [sym_keyword_boolean] = ACTIONS(897),
    [sym_keyword_bit] = ACTIONS(899),
    [sym_keyword_binary] = ACTIONS(901),
    [sym_keyword_varbinary] = ACTIONS(903),
    [sym_keyword_image] = ACTIONS(897),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(905),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(905),
    [aux_sym_keyword_serial_token1] = ACTIONS(907),
    [aux_sym_keyword_serial_token2] = ACTIONS(907),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(909),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(909),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(911),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(911),
    [aux_sym_keyword_smallint_token1] = ACTIONS(913),
    [aux_sym_keyword_smallint_token2] = ACTIONS(913),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(915),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(915),
    [aux_sym_keyword_int_token1] = ACTIONS(917),
    [aux_sym_keyword_int_token2] = ACTIONS(917),
    [aux_sym_keyword_int_token3] = ACTIONS(917),
    [aux_sym_keyword_bigint_token1] = ACTIONS(919),
    [aux_sym_keyword_bigint_token2] = ACTIONS(919),
    [sym_keyword_decimal] = ACTIONS(921),
    [sym_keyword_numeric] = ACTIONS(923),
    [aux_sym_keyword_real_token1] = ACTIONS(925),
    [aux_sym_keyword_real_token2] = ACTIONS(925),
    [sym_keyword_float] = ACTIONS(927),
    [sym_keyword_double] = ACTIONS(929),
    [sym_keyword_inet] = ACTIONS(897),
    [sym_keyword_money] = ACTIONS(897),
    [sym_keyword_smallmoney] = ACTIONS(897),
    [aux_sym_keyword_char_token1] = ACTIONS(931),
    [sym_keyword_nchar] = ACTIONS(933),
    [aux_sym_keyword_varchar_token1] = ACTIONS(935),
    [sym_keyword_nvarchar] = ACTIONS(937),
    [sym_keyword_text] = ACTIONS(897),
    [sym_keyword_string] = ACTIONS(897),
    [sym_keyword_uuid] = ACTIONS(897),
    [sym_keyword_json] = ACTIONS(897),
    [sym_keyword_jsonb] = ACTIONS(897),
    [sym_keyword_xml] = ACTIONS(897),
    [sym_keyword_bytea] = ACTIONS(897),
    [sym_keyword_enum] = ACTIONS(939),
    [sym_keyword_date] = ACTIONS(897),
    [sym_keyword_datetime] = ACTIONS(897),
    [sym_keyword_datetime2] = ACTIONS(897),
    [sym_keyword_smalldatetime] = ACTIONS(897),
    [sym_keyword_datetimeoffset] = ACTIONS(941),
    [sym_keyword_time] = ACTIONS(943),
    [sym_keyword_timestamp] = ACTIONS(945),
    [sym_keyword_timestamptz] = ACTIONS(897),
    [sym_keyword_interval] = ACTIONS(897),
    [sym_keyword_geometry] = ACTIONS(897),
    [sym_keyword_geography] = ACTIONS(897),
    [sym_keyword_box2d] = ACTIONS(897),
    [sym_keyword_box3d] = ACTIONS(897),
    [sym_keyword_oid] = ACTIONS(897),
    [sym_keyword_name] = ACTIONS(897),
    [sym_keyword_regclass] = ACTIONS(897),
    [sym_keyword_regnamespace] = ACTIONS(897),
    [sym_keyword_regproc] = ACTIONS(897),
    [sym_keyword_regtype] = ACTIONS(897),
    [aux_sym_double_token1] = ACTIONS(947),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(949),
    [aux_sym_identifier_token1] = ACTIONS(949),
  },
  [50] = {
    [sym_keyword_smallserial] = STATE(2800),
    [sym_keyword_serial] = STATE(2800),
    [sym_keyword_bigserial] = STATE(2800),
    [sym_keyword_tinyint] = STATE(2816),
    [sym_keyword_smallint] = STATE(2818),
    [sym_keyword_mediumint] = STATE(2834),
    [sym_keyword_int] = STATE(2837),
    [sym_keyword_bigint] = STATE(2765),
    [sym_keyword_real] = STATE(2805),
    [sym_keyword_char] = STATE(3297),
    [sym_keyword_varchar] = STATE(3300),
    [sym__type] = STATE(4362),
    [sym_tinyint] = STATE(2800),
    [sym_smallint] = STATE(2800),
    [sym_mediumint] = STATE(2800),
    [sym_int] = STATE(2800),
    [sym_bigint] = STATE(2800),
    [sym_bit] = STATE(2800),
    [sym_binary] = STATE(2800),
    [sym_varbinary] = STATE(2800),
    [sym_float] = STATE(2800),
    [sym_double] = STATE(2800),
    [sym_decimal] = STATE(2800),
    [sym_numeric] = STATE(2800),
    [sym_char] = STATE(2800),
    [sym_varchar] = STATE(2800),
    [sym_nchar] = STATE(2800),
    [sym_nvarchar] = STATE(2800),
    [sym_datetimeoffset] = STATE(2800),
    [sym_time] = STATE(2800),
    [sym_timestamp] = STATE(2800),
    [sym_enum] = STATE(2800),
    [sym_object_reference] = STATE(2801),
    [sym_identifier] = STATE(3256),
    [sym__identifier] = ACTIONS(213),
    [aux_sym_keyword_character_token1] = ACTIONS(215),
    [sym_keyword_unsigned] = ACTIONS(217),
    [sym_keyword_boolean] = ACTIONS(219),
    [sym_keyword_bit] = ACTIONS(221),
    [sym_keyword_binary] = ACTIONS(223),
    [sym_keyword_varbinary] = ACTIONS(225),
    [sym_keyword_image] = ACTIONS(219),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(227),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(227),
    [aux_sym_keyword_serial_token1] = ACTIONS(229),
    [aux_sym_keyword_serial_token2] = ACTIONS(229),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(231),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(231),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(233),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(233),
    [aux_sym_keyword_smallint_token1] = ACTIONS(235),
    [aux_sym_keyword_smallint_token2] = ACTIONS(235),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(237),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(237),
    [aux_sym_keyword_int_token1] = ACTIONS(239),
    [aux_sym_keyword_int_token2] = ACTIONS(239),
    [aux_sym_keyword_int_token3] = ACTIONS(239),
    [aux_sym_keyword_bigint_token1] = ACTIONS(241),
    [aux_sym_keyword_bigint_token2] = ACTIONS(241),
    [sym_keyword_decimal] = ACTIONS(243),
    [sym_keyword_numeric] = ACTIONS(245),
    [aux_sym_keyword_real_token1] = ACTIONS(247),
    [aux_sym_keyword_real_token2] = ACTIONS(247),
    [sym_keyword_float] = ACTIONS(249),
    [sym_keyword_double] = ACTIONS(251),
    [sym_keyword_inet] = ACTIONS(219),
    [sym_keyword_money] = ACTIONS(219),
    [sym_keyword_smallmoney] = ACTIONS(219),
    [aux_sym_keyword_char_token1] = ACTIONS(253),
    [sym_keyword_nchar] = ACTIONS(255),
    [aux_sym_keyword_varchar_token1] = ACTIONS(257),
    [sym_keyword_nvarchar] = ACTIONS(259),
    [sym_keyword_text] = ACTIONS(219),
    [sym_keyword_string] = ACTIONS(219),
    [sym_keyword_uuid] = ACTIONS(219),
    [sym_keyword_json] = ACTIONS(219),
    [sym_keyword_jsonb] = ACTIONS(219),
    [sym_keyword_xml] = ACTIONS(219),
    [sym_keyword_bytea] = ACTIONS(219),
    [sym_keyword_enum] = ACTIONS(261),
    [sym_keyword_date] = ACTIONS(219),
    [sym_keyword_datetime] = ACTIONS(219),
    [sym_keyword_datetime2] = ACTIONS(219),
    [sym_keyword_smalldatetime] = ACTIONS(219),
    [sym_keyword_datetimeoffset] = ACTIONS(263),
    [sym_keyword_time] = ACTIONS(951),
    [sym_keyword_timestamp] = ACTIONS(953),
    [sym_keyword_timestamptz] = ACTIONS(219),
    [sym_keyword_interval] = ACTIONS(219),
    [sym_keyword_geometry] = ACTIONS(219),
    [sym_keyword_geography] = ACTIONS(219),
    [sym_keyword_box2d] = ACTIONS(219),
    [sym_keyword_box3d] = ACTIONS(219),
    [sym_keyword_oid] = ACTIONS(219),
    [sym_keyword_name] = ACTIONS(219),
    [sym_keyword_regclass] = ACTIONS(219),
    [sym_keyword_regnamespace] = ACTIONS(219),
    [sym_keyword_regproc] = ACTIONS(219),
    [sym_keyword_regtype] = ACTIONS(219),
    [aux_sym_double_token1] = ACTIONS(269),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(271),
    [aux_sym_identifier_token1] = ACTIONS(271),
  },
  [51] = {
    [sym_keyword_smallserial] = STATE(2903),
    [sym_keyword_serial] = STATE(2903),
    [sym_keyword_bigserial] = STATE(2903),
    [sym_keyword_tinyint] = STATE(3059),
    [sym_keyword_smallint] = STATE(3060),
    [sym_keyword_mediumint] = STATE(3061),
    [sym_keyword_int] = STATE(3062),
    [sym_keyword_bigint] = STATE(3063),
    [sym_keyword_real] = STATE(3064),
    [sym_keyword_char] = STATE(3633),
    [sym_keyword_varchar] = STATE(3634),
    [sym__type] = STATE(4579),
    [sym_tinyint] = STATE(2903),
    [sym_smallint] = STATE(2903),
    [sym_mediumint] = STATE(2903),
    [sym_int] = STATE(2903),
    [sym_bigint] = STATE(2903),
    [sym_bit] = STATE(2903),
    [sym_binary] = STATE(2903),
    [sym_varbinary] = STATE(2903),
    [sym_float] = STATE(2903),
    [sym_double] = STATE(2903),
    [sym_decimal] = STATE(2903),
    [sym_numeric] = STATE(2903),
    [sym_char] = STATE(2903),
    [sym_varchar] = STATE(2903),
    [sym_nchar] = STATE(2903),
    [sym_nvarchar] = STATE(2903),
    [sym_datetimeoffset] = STATE(2903),
    [sym_time] = STATE(2903),
    [sym_timestamp] = STATE(2903),
    [sym_enum] = STATE(2903),
    [sym_object_reference] = STATE(2906),
    [sym_identifier] = STATE(3622),
    [sym__identifier] = ACTIONS(705),
    [aux_sym_keyword_character_token1] = ACTIONS(707),
    [sym_keyword_unsigned] = ACTIONS(709),
    [sym_keyword_boolean] = ACTIONS(711),
    [sym_keyword_bit] = ACTIONS(713),
    [sym_keyword_binary] = ACTIONS(715),
    [sym_keyword_varbinary] = ACTIONS(717),
    [sym_keyword_image] = ACTIONS(711),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(719),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(719),
    [aux_sym_keyword_serial_token1] = ACTIONS(721),
    [aux_sym_keyword_serial_token2] = ACTIONS(721),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(723),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(723),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(725),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(725),
    [aux_sym_keyword_smallint_token1] = ACTIONS(727),
    [aux_sym_keyword_smallint_token2] = ACTIONS(727),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(729),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(729),
    [aux_sym_keyword_int_token1] = ACTIONS(731),
    [aux_sym_keyword_int_token2] = ACTIONS(731),
    [aux_sym_keyword_int_token3] = ACTIONS(731),
    [aux_sym_keyword_bigint_token1] = ACTIONS(733),
    [aux_sym_keyword_bigint_token2] = ACTIONS(733),
    [sym_keyword_decimal] = ACTIONS(735),
    [sym_keyword_numeric] = ACTIONS(737),
    [aux_sym_keyword_real_token1] = ACTIONS(739),
    [aux_sym_keyword_real_token2] = ACTIONS(739),
    [sym_keyword_float] = ACTIONS(741),
    [sym_keyword_double] = ACTIONS(743),
    [sym_keyword_inet] = ACTIONS(711),
    [sym_keyword_money] = ACTIONS(711),
    [sym_keyword_smallmoney] = ACTIONS(711),
    [aux_sym_keyword_char_token1] = ACTIONS(745),
    [sym_keyword_nchar] = ACTIONS(747),
    [aux_sym_keyword_varchar_token1] = ACTIONS(749),
    [sym_keyword_nvarchar] = ACTIONS(751),
    [sym_keyword_text] = ACTIONS(711),
    [sym_keyword_string] = ACTIONS(711),
    [sym_keyword_uuid] = ACTIONS(711),
    [sym_keyword_json] = ACTIONS(711),
    [sym_keyword_jsonb] = ACTIONS(711),
    [sym_keyword_xml] = ACTIONS(711),
    [sym_keyword_bytea] = ACTIONS(711),
    [sym_keyword_enum] = ACTIONS(753),
    [sym_keyword_date] = ACTIONS(711),
    [sym_keyword_datetime] = ACTIONS(711),
    [sym_keyword_datetime2] = ACTIONS(711),
    [sym_keyword_smalldatetime] = ACTIONS(711),
    [sym_keyword_datetimeoffset] = ACTIONS(755),
    [sym_keyword_time] = ACTIONS(955),
    [sym_keyword_timestamp] = ACTIONS(957),
    [sym_keyword_timestamptz] = ACTIONS(711),
    [sym_keyword_interval] = ACTIONS(711),
    [sym_keyword_geometry] = ACTIONS(711),
    [sym_keyword_geography] = ACTIONS(711),
    [sym_keyword_box2d] = ACTIONS(711),
    [sym_keyword_box3d] = ACTIONS(711),
    [sym_keyword_oid] = ACTIONS(711),
    [sym_keyword_name] = ACTIONS(711),
    [sym_keyword_regclass] = ACTIONS(711),
    [sym_keyword_regnamespace] = ACTIONS(711),
    [sym_keyword_regproc] = ACTIONS(711),
    [sym_keyword_regtype] = ACTIONS(711),
    [aux_sym_double_token1] = ACTIONS(761),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(763),
    [aux_sym_identifier_token1] = ACTIONS(763),
  },
  [52] = {
    [sym_keyword_smallserial] = STATE(3065),
    [sym_keyword_serial] = STATE(3065),
    [sym_keyword_bigserial] = STATE(3065),
    [sym_keyword_tinyint] = STATE(2406),
    [sym_keyword_smallint] = STATE(2407),
    [sym_keyword_mediumint] = STATE(2408),
    [sym_keyword_int] = STATE(2409),
    [sym_keyword_bigint] = STATE(2410),
    [sym_keyword_real] = STATE(2413),
    [sym_keyword_char] = STATE(2730),
    [sym_keyword_varchar] = STATE(2732),
    [sym__type] = STATE(4446),
    [sym_tinyint] = STATE(3065),
    [sym_smallint] = STATE(3065),
    [sym_mediumint] = STATE(3065),
    [sym_int] = STATE(3065),
    [sym_bigint] = STATE(3065),
    [sym_bit] = STATE(3065),
    [sym_binary] = STATE(3065),
    [sym_varbinary] = STATE(3065),
    [sym_float] = STATE(3065),
    [sym_double] = STATE(3065),
    [sym_decimal] = STATE(3065),
    [sym_numeric] = STATE(3065),
    [sym_char] = STATE(3065),
    [sym_varchar] = STATE(3065),
    [sym_nchar] = STATE(3065),
    [sym_nvarchar] = STATE(3065),
    [sym_datetimeoffset] = STATE(3065),
    [sym_time] = STATE(3065),
    [sym_timestamp] = STATE(3065),
    [sym_enum] = STATE(3065),
    [sym_object_reference] = STATE(3068),
    [sym_identifier] = STATE(3597),
    [sym__identifier] = ACTIONS(959),
    [aux_sym_keyword_character_token1] = ACTIONS(285),
    [sym_keyword_unsigned] = ACTIONS(287),
    [sym_keyword_boolean] = ACTIONS(961),
    [sym_keyword_bit] = ACTIONS(291),
    [sym_keyword_binary] = ACTIONS(293),
    [sym_keyword_varbinary] = ACTIONS(295),
    [sym_keyword_image] = ACTIONS(961),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(297),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(297),
    [aux_sym_keyword_serial_token1] = ACTIONS(299),
    [aux_sym_keyword_serial_token2] = ACTIONS(299),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(301),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(301),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(303),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(303),
    [aux_sym_keyword_smallint_token1] = ACTIONS(305),
    [aux_sym_keyword_smallint_token2] = ACTIONS(305),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(307),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(307),
    [aux_sym_keyword_int_token1] = ACTIONS(309),
    [aux_sym_keyword_int_token2] = ACTIONS(309),
    [aux_sym_keyword_int_token3] = ACTIONS(309),
    [aux_sym_keyword_bigint_token1] = ACTIONS(311),
    [aux_sym_keyword_bigint_token2] = ACTIONS(311),
    [sym_keyword_decimal] = ACTIONS(313),
    [sym_keyword_numeric] = ACTIONS(315),
    [aux_sym_keyword_real_token1] = ACTIONS(317),
    [aux_sym_keyword_real_token2] = ACTIONS(317),
    [sym_keyword_float] = ACTIONS(319),
    [sym_keyword_double] = ACTIONS(321),
    [sym_keyword_inet] = ACTIONS(961),
    [sym_keyword_money] = ACTIONS(961),
    [sym_keyword_smallmoney] = ACTIONS(961),
    [aux_sym_keyword_char_token1] = ACTIONS(323),
    [sym_keyword_nchar] = ACTIONS(325),
    [aux_sym_keyword_varchar_token1] = ACTIONS(327),
    [sym_keyword_nvarchar] = ACTIONS(329),
    [sym_keyword_text] = ACTIONS(961),
    [sym_keyword_string] = ACTIONS(961),
    [sym_keyword_uuid] = ACTIONS(961),
    [sym_keyword_json] = ACTIONS(961),
    [sym_keyword_jsonb] = ACTIONS(961),
    [sym_keyword_xml] = ACTIONS(961),
    [sym_keyword_bytea] = ACTIONS(961),
    [sym_keyword_enum] = ACTIONS(331),
    [sym_keyword_date] = ACTIONS(961),
    [sym_keyword_datetime] = ACTIONS(961),
    [sym_keyword_datetime2] = ACTIONS(961),
    [sym_keyword_smalldatetime] = ACTIONS(961),
    [sym_keyword_datetimeoffset] = ACTIONS(333),
    [sym_keyword_time] = ACTIONS(335),
    [sym_keyword_timestamp] = ACTIONS(337),
    [sym_keyword_timestamptz] = ACTIONS(961),
    [sym_keyword_interval] = ACTIONS(961),
    [sym_keyword_geometry] = ACTIONS(961),
    [sym_keyword_geography] = ACTIONS(961),
    [sym_keyword_box2d] = ACTIONS(961),
    [sym_keyword_box3d] = ACTIONS(961),
    [sym_keyword_oid] = ACTIONS(961),
    [sym_keyword_name] = ACTIONS(961),
    [sym_keyword_regclass] = ACTIONS(961),
    [sym_keyword_regnamespace] = ACTIONS(961),
    [sym_keyword_regproc] = ACTIONS(961),
    [sym_keyword_regtype] = ACTIONS(961),
    [aux_sym_double_token1] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(963),
    [aux_sym_identifier_token1] = ACTIONS(963),
  },
  [53] = {
    [sym_keyword_smallserial] = STATE(4808),
    [sym_keyword_serial] = STATE(4808),
    [sym_keyword_bigserial] = STATE(4808),
    [sym_keyword_tinyint] = STATE(442),
    [sym_keyword_smallint] = STATE(443),
    [sym_keyword_mediumint] = STATE(444),
    [sym_keyword_int] = STATE(445),
    [sym_keyword_bigint] = STATE(446),
    [sym_keyword_real] = STATE(452),
    [sym_keyword_char] = STATE(618),
    [sym_keyword_varchar] = STATE(619),
    [sym__type] = STATE(4827),
    [sym_tinyint] = STATE(4808),
    [sym_smallint] = STATE(4808),
    [sym_mediumint] = STATE(4808),
    [sym_int] = STATE(4808),
    [sym_bigint] = STATE(4808),
    [sym_bit] = STATE(4808),
    [sym_binary] = STATE(4808),
    [sym_varbinary] = STATE(4808),
    [sym_float] = STATE(4808),
    [sym_double] = STATE(4808),
    [sym_decimal] = STATE(4808),
    [sym_numeric] = STATE(4808),
    [sym_char] = STATE(4808),
    [sym_varchar] = STATE(4808),
    [sym_nchar] = STATE(4808),
    [sym_nvarchar] = STATE(4808),
    [sym_datetimeoffset] = STATE(4808),
    [sym_time] = STATE(4808),
    [sym_timestamp] = STATE(4808),
    [sym_enum] = STATE(4808),
    [sym_object_reference] = STATE(4810),
    [sym_identifier] = STATE(5012),
    [sym__identifier] = ACTIONS(965),
    [aux_sym_keyword_character_token1] = ACTIONS(467),
    [sym_keyword_unsigned] = ACTIONS(469),
    [sym_keyword_boolean] = ACTIONS(967),
    [sym_keyword_bit] = ACTIONS(473),
    [sym_keyword_binary] = ACTIONS(475),
    [sym_keyword_varbinary] = ACTIONS(477),
    [sym_keyword_image] = ACTIONS(967),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(479),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(479),
    [aux_sym_keyword_serial_token1] = ACTIONS(481),
    [aux_sym_keyword_serial_token2] = ACTIONS(481),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(483),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(483),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(485),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(485),
    [aux_sym_keyword_smallint_token1] = ACTIONS(487),
    [aux_sym_keyword_smallint_token2] = ACTIONS(487),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(489),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(489),
    [aux_sym_keyword_int_token1] = ACTIONS(491),
    [aux_sym_keyword_int_token2] = ACTIONS(491),
    [aux_sym_keyword_int_token3] = ACTIONS(491),
    [aux_sym_keyword_bigint_token1] = ACTIONS(493),
    [aux_sym_keyword_bigint_token2] = ACTIONS(493),
    [sym_keyword_decimal] = ACTIONS(495),
    [sym_keyword_numeric] = ACTIONS(497),
    [aux_sym_keyword_real_token1] = ACTIONS(499),
    [aux_sym_keyword_real_token2] = ACTIONS(499),
    [sym_keyword_float] = ACTIONS(501),
    [sym_keyword_double] = ACTIONS(503),
    [sym_keyword_inet] = ACTIONS(967),
    [sym_keyword_money] = ACTIONS(967),
    [sym_keyword_smallmoney] = ACTIONS(967),
    [aux_sym_keyword_char_token1] = ACTIONS(505),
    [sym_keyword_nchar] = ACTIONS(507),
    [aux_sym_keyword_varchar_token1] = ACTIONS(509),
    [sym_keyword_nvarchar] = ACTIONS(511),
    [sym_keyword_text] = ACTIONS(967),
    [sym_keyword_string] = ACTIONS(967),
    [sym_keyword_uuid] = ACTIONS(967),
    [sym_keyword_json] = ACTIONS(967),
    [sym_keyword_jsonb] = ACTIONS(967),
    [sym_keyword_xml] = ACTIONS(967),
    [sym_keyword_bytea] = ACTIONS(967),
    [sym_keyword_enum] = ACTIONS(513),
    [sym_keyword_date] = ACTIONS(967),
    [sym_keyword_datetime] = ACTIONS(967),
    [sym_keyword_datetime2] = ACTIONS(967),
    [sym_keyword_smalldatetime] = ACTIONS(967),
    [sym_keyword_datetimeoffset] = ACTIONS(515),
    [sym_keyword_time] = ACTIONS(517),
    [sym_keyword_timestamp] = ACTIONS(519),
    [sym_keyword_timestamptz] = ACTIONS(967),
    [sym_keyword_interval] = ACTIONS(967),
    [sym_keyword_geometry] = ACTIONS(967),
    [sym_keyword_geography] = ACTIONS(967),
    [sym_keyword_box2d] = ACTIONS(967),
    [sym_keyword_box3d] = ACTIONS(967),
    [sym_keyword_oid] = ACTIONS(967),
    [sym_keyword_name] = ACTIONS(967),
    [sym_keyword_regclass] = ACTIONS(967),
    [sym_keyword_regnamespace] = ACTIONS(967),
    [sym_keyword_regproc] = ACTIONS(967),
    [sym_keyword_regtype] = ACTIONS(967),
    [aux_sym_double_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(969),
    [aux_sym_identifier_token1] = ACTIONS(969),
  },
  [54] = {
    [sym_keyword_smallserial] = STATE(1138),
    [sym_keyword_serial] = STATE(1138),
    [sym_keyword_bigserial] = STATE(1138),
    [sym_keyword_tinyint] = STATE(1125),
    [sym_keyword_smallint] = STATE(1126),
    [sym_keyword_mediumint] = STATE(1127),
    [sym_keyword_int] = STATE(1128),
    [sym_keyword_bigint] = STATE(1129),
    [sym_keyword_real] = STATE(1130),
    [sym_keyword_char] = STATE(2007),
    [sym_keyword_varchar] = STATE(2008),
    [sym__type] = STATE(2616),
    [sym_tinyint] = STATE(1138),
    [sym_smallint] = STATE(1138),
    [sym_mediumint] = STATE(1138),
    [sym_int] = STATE(1138),
    [sym_bigint] = STATE(1138),
    [sym_bit] = STATE(1138),
    [sym_binary] = STATE(1138),
    [sym_varbinary] = STATE(1138),
    [sym_float] = STATE(1138),
    [sym_double] = STATE(1138),
    [sym_decimal] = STATE(1138),
    [sym_numeric] = STATE(1138),
    [sym_char] = STATE(1138),
    [sym_varchar] = STATE(1138),
    [sym_nchar] = STATE(1138),
    [sym_nvarchar] = STATE(1138),
    [sym_datetimeoffset] = STATE(1138),
    [sym_time] = STATE(1138),
    [sym_timestamp] = STATE(1138),
    [sym_enum] = STATE(1138),
    [sym_object_reference] = STATE(1141),
    [sym_identifier] = STATE(2014),
    [sym__identifier] = ACTIONS(827),
    [aux_sym_keyword_character_token1] = ACTIONS(829),
    [sym_keyword_unsigned] = ACTIONS(831),
    [sym_keyword_boolean] = ACTIONS(833),
    [sym_keyword_bit] = ACTIONS(835),
    [sym_keyword_binary] = ACTIONS(837),
    [sym_keyword_varbinary] = ACTIONS(839),
    [sym_keyword_image] = ACTIONS(833),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(841),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(841),
    [aux_sym_keyword_serial_token1] = ACTIONS(843),
    [aux_sym_keyword_serial_token2] = ACTIONS(843),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(845),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(845),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(847),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(847),
    [aux_sym_keyword_smallint_token1] = ACTIONS(849),
    [aux_sym_keyword_smallint_token2] = ACTIONS(849),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(851),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(851),
    [aux_sym_keyword_int_token1] = ACTIONS(853),
    [aux_sym_keyword_int_token2] = ACTIONS(853),
    [aux_sym_keyword_int_token3] = ACTIONS(853),
    [aux_sym_keyword_bigint_token1] = ACTIONS(855),
    [aux_sym_keyword_bigint_token2] = ACTIONS(855),
    [sym_keyword_decimal] = ACTIONS(857),
    [sym_keyword_numeric] = ACTIONS(859),
    [aux_sym_keyword_real_token1] = ACTIONS(861),
    [aux_sym_keyword_real_token2] = ACTIONS(861),
    [sym_keyword_float] = ACTIONS(863),
    [sym_keyword_double] = ACTIONS(865),
    [sym_keyword_inet] = ACTIONS(833),
    [sym_keyword_money] = ACTIONS(833),
    [sym_keyword_smallmoney] = ACTIONS(833),
    [aux_sym_keyword_char_token1] = ACTIONS(867),
    [sym_keyword_nchar] = ACTIONS(869),
    [aux_sym_keyword_varchar_token1] = ACTIONS(871),
    [sym_keyword_nvarchar] = ACTIONS(873),
    [sym_keyword_text] = ACTIONS(833),
    [sym_keyword_string] = ACTIONS(833),
    [sym_keyword_uuid] = ACTIONS(833),
    [sym_keyword_json] = ACTIONS(833),
    [sym_keyword_jsonb] = ACTIONS(833),
    [sym_keyword_xml] = ACTIONS(833),
    [sym_keyword_bytea] = ACTIONS(833),
    [sym_keyword_enum] = ACTIONS(875),
    [sym_keyword_date] = ACTIONS(833),
    [sym_keyword_datetime] = ACTIONS(833),
    [sym_keyword_datetime2] = ACTIONS(833),
    [sym_keyword_smalldatetime] = ACTIONS(833),
    [sym_keyword_datetimeoffset] = ACTIONS(877),
    [sym_keyword_time] = ACTIONS(971),
    [sym_keyword_timestamp] = ACTIONS(973),
    [sym_keyword_timestamptz] = ACTIONS(833),
    [sym_keyword_interval] = ACTIONS(833),
    [sym_keyword_geometry] = ACTIONS(833),
    [sym_keyword_geography] = ACTIONS(833),
    [sym_keyword_box2d] = ACTIONS(833),
    [sym_keyword_box3d] = ACTIONS(833),
    [sym_keyword_oid] = ACTIONS(833),
    [sym_keyword_name] = ACTIONS(833),
    [sym_keyword_regclass] = ACTIONS(833),
    [sym_keyword_regnamespace] = ACTIONS(833),
    [sym_keyword_regproc] = ACTIONS(833),
    [sym_keyword_regtype] = ACTIONS(833),
    [aux_sym_double_token1] = ACTIONS(883),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(885),
    [aux_sym_identifier_token1] = ACTIONS(885),
  },
  [55] = {
    [sym_keyword_smallserial] = STATE(4900),
    [sym_keyword_serial] = STATE(4900),
    [sym_keyword_bigserial] = STATE(4900),
    [sym_keyword_tinyint] = STATE(4870),
    [sym_keyword_smallint] = STATE(4875),
    [sym_keyword_mediumint] = STATE(4877),
    [sym_keyword_int] = STATE(4879),
    [sym_keyword_bigint] = STATE(4880),
    [sym_keyword_real] = STATE(4882),
    [sym_keyword_char] = STATE(5306),
    [sym_keyword_varchar] = STATE(5307),
    [sym__type] = STATE(4827),
    [sym_tinyint] = STATE(4900),
    [sym_smallint] = STATE(4900),
    [sym_mediumint] = STATE(4900),
    [sym_int] = STATE(4900),
    [sym_bigint] = STATE(4900),
    [sym_bit] = STATE(4900),
    [sym_binary] = STATE(4900),
    [sym_varbinary] = STATE(4900),
    [sym_float] = STATE(4900),
    [sym_double] = STATE(4900),
    [sym_decimal] = STATE(4900),
    [sym_numeric] = STATE(4900),
    [sym_char] = STATE(4900),
    [sym_varchar] = STATE(4900),
    [sym_nchar] = STATE(4900),
    [sym_nvarchar] = STATE(4900),
    [sym_datetimeoffset] = STATE(4900),
    [sym_time] = STATE(4900),
    [sym_timestamp] = STATE(4900),
    [sym_enum] = STATE(4900),
    [sym_object_reference] = STATE(4903),
    [sym_identifier] = STATE(5339),
    [sym__identifier] = ACTIONS(975),
    [aux_sym_keyword_character_token1] = ACTIONS(977),
    [sym_keyword_unsigned] = ACTIONS(979),
    [sym_keyword_boolean] = ACTIONS(981),
    [sym_keyword_bit] = ACTIONS(983),
    [sym_keyword_binary] = ACTIONS(985),
    [sym_keyword_varbinary] = ACTIONS(987),
    [sym_keyword_image] = ACTIONS(981),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(989),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(989),
    [aux_sym_keyword_serial_token1] = ACTIONS(991),
    [aux_sym_keyword_serial_token2] = ACTIONS(991),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(993),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(993),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(995),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(995),
    [aux_sym_keyword_smallint_token1] = ACTIONS(997),
    [aux_sym_keyword_smallint_token2] = ACTIONS(997),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(999),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(999),
    [aux_sym_keyword_int_token1] = ACTIONS(1001),
    [aux_sym_keyword_int_token2] = ACTIONS(1001),
    [aux_sym_keyword_int_token3] = ACTIONS(1001),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1003),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1003),
    [sym_keyword_decimal] = ACTIONS(1005),
    [sym_keyword_numeric] = ACTIONS(1007),
    [aux_sym_keyword_real_token1] = ACTIONS(1009),
    [aux_sym_keyword_real_token2] = ACTIONS(1009),
    [sym_keyword_float] = ACTIONS(1011),
    [sym_keyword_double] = ACTIONS(1013),
    [sym_keyword_inet] = ACTIONS(981),
    [sym_keyword_money] = ACTIONS(981),
    [sym_keyword_smallmoney] = ACTIONS(981),
    [aux_sym_keyword_char_token1] = ACTIONS(1015),
    [sym_keyword_nchar] = ACTIONS(1017),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1019),
    [sym_keyword_nvarchar] = ACTIONS(1021),
    [sym_keyword_text] = ACTIONS(981),
    [sym_keyword_string] = ACTIONS(981),
    [sym_keyword_uuid] = ACTIONS(981),
    [sym_keyword_json] = ACTIONS(981),
    [sym_keyword_jsonb] = ACTIONS(981),
    [sym_keyword_xml] = ACTIONS(981),
    [sym_keyword_bytea] = ACTIONS(981),
    [sym_keyword_enum] = ACTIONS(1023),
    [sym_keyword_date] = ACTIONS(981),
    [sym_keyword_datetime] = ACTIONS(981),
    [sym_keyword_datetime2] = ACTIONS(981),
    [sym_keyword_smalldatetime] = ACTIONS(981),
    [sym_keyword_datetimeoffset] = ACTIONS(1025),
    [sym_keyword_time] = ACTIONS(1027),
    [sym_keyword_timestamp] = ACTIONS(1029),
    [sym_keyword_timestamptz] = ACTIONS(981),
    [sym_keyword_interval] = ACTIONS(981),
    [sym_keyword_geometry] = ACTIONS(981),
    [sym_keyword_geography] = ACTIONS(981),
    [sym_keyword_box2d] = ACTIONS(981),
    [sym_keyword_box3d] = ACTIONS(981),
    [sym_keyword_oid] = ACTIONS(981),
    [sym_keyword_name] = ACTIONS(981),
    [sym_keyword_regclass] = ACTIONS(981),
    [sym_keyword_regnamespace] = ACTIONS(981),
    [sym_keyword_regproc] = ACTIONS(981),
    [sym_keyword_regtype] = ACTIONS(981),
    [aux_sym_double_token1] = ACTIONS(1031),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1033),
    [aux_sym_identifier_token1] = ACTIONS(1033),
  },
  [56] = {
    [sym_keyword_smallserial] = STATE(2879),
    [sym_keyword_serial] = STATE(2879),
    [sym_keyword_bigserial] = STATE(2879),
    [sym_keyword_tinyint] = STATE(3108),
    [sym_keyword_smallint] = STATE(3110),
    [sym_keyword_mediumint] = STATE(3111),
    [sym_keyword_int] = STATE(3112),
    [sym_keyword_bigint] = STATE(3113),
    [sym_keyword_real] = STATE(3114),
    [sym_keyword_char] = STATE(3830),
    [sym_keyword_varchar] = STATE(3831),
    [sym__type] = STATE(4528),
    [sym_tinyint] = STATE(2879),
    [sym_smallint] = STATE(2879),
    [sym_mediumint] = STATE(2879),
    [sym_int] = STATE(2879),
    [sym_bigint] = STATE(2879),
    [sym_bit] = STATE(2879),
    [sym_binary] = STATE(2879),
    [sym_varbinary] = STATE(2879),
    [sym_float] = STATE(2879),
    [sym_double] = STATE(2879),
    [sym_decimal] = STATE(2879),
    [sym_numeric] = STATE(2879),
    [sym_char] = STATE(2879),
    [sym_varchar] = STATE(2879),
    [sym_nchar] = STATE(2879),
    [sym_nvarchar] = STATE(2879),
    [sym_datetimeoffset] = STATE(2879),
    [sym_time] = STATE(2879),
    [sym_timestamp] = STATE(2879),
    [sym_enum] = STATE(2879),
    [sym_object_reference] = STATE(2881),
    [sym_identifier] = STATE(3593),
    [sym__identifier] = ACTIONS(1035),
    [aux_sym_keyword_character_token1] = ACTIONS(1037),
    [sym_keyword_unsigned] = ACTIONS(1039),
    [sym_keyword_boolean] = ACTIONS(1041),
    [sym_keyword_bit] = ACTIONS(1043),
    [sym_keyword_binary] = ACTIONS(1045),
    [sym_keyword_varbinary] = ACTIONS(1047),
    [sym_keyword_image] = ACTIONS(1041),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1049),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1049),
    [aux_sym_keyword_serial_token1] = ACTIONS(1051),
    [aux_sym_keyword_serial_token2] = ACTIONS(1051),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1053),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1053),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1055),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1055),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1057),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1057),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1059),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1059),
    [aux_sym_keyword_int_token1] = ACTIONS(1061),
    [aux_sym_keyword_int_token2] = ACTIONS(1061),
    [aux_sym_keyword_int_token3] = ACTIONS(1061),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1063),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1063),
    [sym_keyword_decimal] = ACTIONS(1065),
    [sym_keyword_numeric] = ACTIONS(1067),
    [aux_sym_keyword_real_token1] = ACTIONS(1069),
    [aux_sym_keyword_real_token2] = ACTIONS(1069),
    [sym_keyword_float] = ACTIONS(1071),
    [sym_keyword_double] = ACTIONS(1073),
    [sym_keyword_inet] = ACTIONS(1041),
    [sym_keyword_money] = ACTIONS(1041),
    [sym_keyword_smallmoney] = ACTIONS(1041),
    [aux_sym_keyword_char_token1] = ACTIONS(1075),
    [sym_keyword_nchar] = ACTIONS(1077),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1079),
    [sym_keyword_nvarchar] = ACTIONS(1081),
    [sym_keyword_text] = ACTIONS(1041),
    [sym_keyword_string] = ACTIONS(1041),
    [sym_keyword_uuid] = ACTIONS(1041),
    [sym_keyword_json] = ACTIONS(1041),
    [sym_keyword_jsonb] = ACTIONS(1041),
    [sym_keyword_xml] = ACTIONS(1041),
    [sym_keyword_bytea] = ACTIONS(1041),
    [sym_keyword_enum] = ACTIONS(1083),
    [sym_keyword_date] = ACTIONS(1041),
    [sym_keyword_datetime] = ACTIONS(1041),
    [sym_keyword_datetime2] = ACTIONS(1041),
    [sym_keyword_smalldatetime] = ACTIONS(1041),
    [sym_keyword_datetimeoffset] = ACTIONS(1085),
    [sym_keyword_time] = ACTIONS(1087),
    [sym_keyword_timestamp] = ACTIONS(1089),
    [sym_keyword_timestamptz] = ACTIONS(1041),
    [sym_keyword_interval] = ACTIONS(1041),
    [sym_keyword_geometry] = ACTIONS(1041),
    [sym_keyword_geography] = ACTIONS(1041),
    [sym_keyword_box2d] = ACTIONS(1041),
    [sym_keyword_box3d] = ACTIONS(1041),
    [sym_keyword_oid] = ACTIONS(1041),
    [sym_keyword_name] = ACTIONS(1041),
    [sym_keyword_regclass] = ACTIONS(1041),
    [sym_keyword_regnamespace] = ACTIONS(1041),
    [sym_keyword_regproc] = ACTIONS(1041),
    [sym_keyword_regtype] = ACTIONS(1041),
    [aux_sym_double_token1] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1093),
    [aux_sym_identifier_token1] = ACTIONS(1093),
  },
  [57] = {
    [sym_keyword_smallserial] = STATE(4838),
    [sym_keyword_serial] = STATE(4838),
    [sym_keyword_bigserial] = STATE(4838),
    [sym_keyword_tinyint] = STATE(4859),
    [sym_keyword_smallint] = STATE(4860),
    [sym_keyword_mediumint] = STATE(4863),
    [sym_keyword_int] = STATE(4790),
    [sym_keyword_bigint] = STATE(4783),
    [sym_keyword_real] = STATE(4784),
    [sym_keyword_char] = STATE(5036),
    [sym_keyword_varchar] = STATE(4977),
    [sym__type] = STATE(5661),
    [sym_tinyint] = STATE(4838),
    [sym_smallint] = STATE(4838),
    [sym_mediumint] = STATE(4838),
    [sym_int] = STATE(4838),
    [sym_bigint] = STATE(4838),
    [sym_bit] = STATE(4838),
    [sym_binary] = STATE(4838),
    [sym_varbinary] = STATE(4838),
    [sym_float] = STATE(4838),
    [sym_double] = STATE(4838),
    [sym_decimal] = STATE(4838),
    [sym_numeric] = STATE(4838),
    [sym_char] = STATE(4838),
    [sym_varchar] = STATE(4838),
    [sym_nchar] = STATE(4838),
    [sym_nvarchar] = STATE(4838),
    [sym_datetimeoffset] = STATE(4838),
    [sym_time] = STATE(4838),
    [sym_timestamp] = STATE(4838),
    [sym_enum] = STATE(4838),
    [sym_object_reference] = STATE(4796),
    [sym_identifier] = STATE(5014),
    [sym__identifier] = ACTIONS(465),
    [aux_sym_keyword_character_token1] = ACTIONS(1095),
    [sym_keyword_unsigned] = ACTIONS(1097),
    [sym_keyword_boolean] = ACTIONS(1099),
    [sym_keyword_bit] = ACTIONS(1101),
    [sym_keyword_binary] = ACTIONS(1103),
    [sym_keyword_varbinary] = ACTIONS(1105),
    [sym_keyword_image] = ACTIONS(1099),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1107),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1107),
    [aux_sym_keyword_serial_token1] = ACTIONS(1109),
    [aux_sym_keyword_serial_token2] = ACTIONS(1109),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1111),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1111),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1113),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1113),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1115),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1115),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1117),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1117),
    [aux_sym_keyword_int_token1] = ACTIONS(1119),
    [aux_sym_keyword_int_token2] = ACTIONS(1119),
    [aux_sym_keyword_int_token3] = ACTIONS(1119),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1121),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1121),
    [sym_keyword_decimal] = ACTIONS(1123),
    [sym_keyword_numeric] = ACTIONS(1125),
    [aux_sym_keyword_real_token1] = ACTIONS(1127),
    [aux_sym_keyword_real_token2] = ACTIONS(1127),
    [sym_keyword_float] = ACTIONS(1129),
    [sym_keyword_double] = ACTIONS(1131),
    [sym_keyword_inet] = ACTIONS(1099),
    [sym_keyword_money] = ACTIONS(1099),
    [sym_keyword_smallmoney] = ACTIONS(1099),
    [aux_sym_keyword_char_token1] = ACTIONS(1133),
    [sym_keyword_nchar] = ACTIONS(1135),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1137),
    [sym_keyword_nvarchar] = ACTIONS(1139),
    [sym_keyword_text] = ACTIONS(1099),
    [sym_keyword_string] = ACTIONS(1099),
    [sym_keyword_uuid] = ACTIONS(1099),
    [sym_keyword_json] = ACTIONS(1099),
    [sym_keyword_jsonb] = ACTIONS(1099),
    [sym_keyword_xml] = ACTIONS(1099),
    [sym_keyword_bytea] = ACTIONS(1099),
    [sym_keyword_enum] = ACTIONS(1141),
    [sym_keyword_date] = ACTIONS(1099),
    [sym_keyword_datetime] = ACTIONS(1099),
    [sym_keyword_datetime2] = ACTIONS(1099),
    [sym_keyword_smalldatetime] = ACTIONS(1099),
    [sym_keyword_datetimeoffset] = ACTIONS(1143),
    [sym_keyword_time] = ACTIONS(1145),
    [sym_keyword_timestamp] = ACTIONS(1147),
    [sym_keyword_timestamptz] = ACTIONS(1099),
    [sym_keyword_interval] = ACTIONS(1099),
    [sym_keyword_geometry] = ACTIONS(1099),
    [sym_keyword_geography] = ACTIONS(1099),
    [sym_keyword_box2d] = ACTIONS(1099),
    [sym_keyword_box3d] = ACTIONS(1099),
    [sym_keyword_oid] = ACTIONS(1099),
    [sym_keyword_name] = ACTIONS(1099),
    [sym_keyword_regclass] = ACTIONS(1099),
    [sym_keyword_regnamespace] = ACTIONS(1099),
    [sym_keyword_regproc] = ACTIONS(1099),
    [sym_keyword_regtype] = ACTIONS(1099),
    [aux_sym_double_token1] = ACTIONS(1149),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(523),
    [aux_sym_identifier_token1] = ACTIONS(523),
  },
  [58] = {
    [sym_keyword_smallserial] = STATE(3065),
    [sym_keyword_serial] = STATE(3065),
    [sym_keyword_bigserial] = STATE(3065),
    [sym_keyword_tinyint] = STATE(2406),
    [sym_keyword_smallint] = STATE(2407),
    [sym_keyword_mediumint] = STATE(2408),
    [sym_keyword_int] = STATE(2409),
    [sym_keyword_bigint] = STATE(2410),
    [sym_keyword_real] = STATE(2413),
    [sym_keyword_char] = STATE(2730),
    [sym_keyword_varchar] = STATE(2732),
    [sym__type] = STATE(4446),
    [sym_tinyint] = STATE(3065),
    [sym_smallint] = STATE(3065),
    [sym_mediumint] = STATE(3065),
    [sym_int] = STATE(3065),
    [sym_bigint] = STATE(3065),
    [sym_bit] = STATE(3065),
    [sym_binary] = STATE(3065),
    [sym_varbinary] = STATE(3065),
    [sym_float] = STATE(3065),
    [sym_double] = STATE(3065),
    [sym_decimal] = STATE(3065),
    [sym_numeric] = STATE(3065),
    [sym_char] = STATE(3065),
    [sym_varchar] = STATE(3065),
    [sym_nchar] = STATE(3065),
    [sym_nvarchar] = STATE(3065),
    [sym_datetimeoffset] = STATE(3065),
    [sym_time] = STATE(3065),
    [sym_timestamp] = STATE(3065),
    [sym_enum] = STATE(3065),
    [sym_object_reference] = STATE(3068),
    [sym_identifier] = STATE(3597),
    [sym__identifier] = ACTIONS(959),
    [aux_sym_keyword_character_token1] = ACTIONS(285),
    [sym_keyword_unsigned] = ACTIONS(287),
    [sym_keyword_boolean] = ACTIONS(961),
    [sym_keyword_bit] = ACTIONS(291),
    [sym_keyword_binary] = ACTIONS(293),
    [sym_keyword_varbinary] = ACTIONS(295),
    [sym_keyword_image] = ACTIONS(961),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(297),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(297),
    [aux_sym_keyword_serial_token1] = ACTIONS(299),
    [aux_sym_keyword_serial_token2] = ACTIONS(299),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(301),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(301),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(303),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(303),
    [aux_sym_keyword_smallint_token1] = ACTIONS(305),
    [aux_sym_keyword_smallint_token2] = ACTIONS(305),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(307),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(307),
    [aux_sym_keyword_int_token1] = ACTIONS(309),
    [aux_sym_keyword_int_token2] = ACTIONS(309),
    [aux_sym_keyword_int_token3] = ACTIONS(309),
    [aux_sym_keyword_bigint_token1] = ACTIONS(311),
    [aux_sym_keyword_bigint_token2] = ACTIONS(311),
    [sym_keyword_decimal] = ACTIONS(313),
    [sym_keyword_numeric] = ACTIONS(315),
    [aux_sym_keyword_real_token1] = ACTIONS(317),
    [aux_sym_keyword_real_token2] = ACTIONS(317),
    [sym_keyword_float] = ACTIONS(319),
    [sym_keyword_double] = ACTIONS(321),
    [sym_keyword_inet] = ACTIONS(961),
    [sym_keyword_money] = ACTIONS(961),
    [sym_keyword_smallmoney] = ACTIONS(961),
    [aux_sym_keyword_char_token1] = ACTIONS(323),
    [sym_keyword_nchar] = ACTIONS(325),
    [aux_sym_keyword_varchar_token1] = ACTIONS(327),
    [sym_keyword_nvarchar] = ACTIONS(329),
    [sym_keyword_text] = ACTIONS(961),
    [sym_keyword_string] = ACTIONS(961),
    [sym_keyword_uuid] = ACTIONS(961),
    [sym_keyword_json] = ACTIONS(961),
    [sym_keyword_jsonb] = ACTIONS(961),
    [sym_keyword_xml] = ACTIONS(961),
    [sym_keyword_bytea] = ACTIONS(961),
    [sym_keyword_enum] = ACTIONS(331),
    [sym_keyword_date] = ACTIONS(961),
    [sym_keyword_datetime] = ACTIONS(961),
    [sym_keyword_datetime2] = ACTIONS(961),
    [sym_keyword_smalldatetime] = ACTIONS(961),
    [sym_keyword_datetimeoffset] = ACTIONS(333),
    [sym_keyword_time] = ACTIONS(1151),
    [sym_keyword_timestamp] = ACTIONS(1153),
    [sym_keyword_timestamptz] = ACTIONS(961),
    [sym_keyword_interval] = ACTIONS(961),
    [sym_keyword_geometry] = ACTIONS(961),
    [sym_keyword_geography] = ACTIONS(961),
    [sym_keyword_box2d] = ACTIONS(961),
    [sym_keyword_box3d] = ACTIONS(961),
    [sym_keyword_oid] = ACTIONS(961),
    [sym_keyword_name] = ACTIONS(961),
    [sym_keyword_regclass] = ACTIONS(961),
    [sym_keyword_regnamespace] = ACTIONS(961),
    [sym_keyword_regproc] = ACTIONS(961),
    [sym_keyword_regtype] = ACTIONS(961),
    [aux_sym_double_token1] = ACTIONS(339),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(963),
    [aux_sym_identifier_token1] = ACTIONS(963),
  },
  [59] = {
    [sym_keyword_smallserial] = STATE(3135),
    [sym_keyword_serial] = STATE(3135),
    [sym_keyword_bigserial] = STATE(3135),
    [sym_keyword_tinyint] = STATE(3223),
    [sym_keyword_smallint] = STATE(3225),
    [sym_keyword_mediumint] = STATE(3226),
    [sym_keyword_int] = STATE(3229),
    [sym_keyword_bigint] = STATE(3230),
    [sym_keyword_real] = STATE(3231),
    [sym_keyword_char] = STATE(4181),
    [sym_keyword_varchar] = STATE(4183),
    [sym__type] = STATE(4748),
    [sym_tinyint] = STATE(3135),
    [sym_smallint] = STATE(3135),
    [sym_mediumint] = STATE(3135),
    [sym_int] = STATE(3135),
    [sym_bigint] = STATE(3135),
    [sym_bit] = STATE(3135),
    [sym_binary] = STATE(3135),
    [sym_varbinary] = STATE(3135),
    [sym_float] = STATE(3135),
    [sym_double] = STATE(3135),
    [sym_decimal] = STATE(3135),
    [sym_numeric] = STATE(3135),
    [sym_char] = STATE(3135),
    [sym_varchar] = STATE(3135),
    [sym_nchar] = STATE(3135),
    [sym_nvarchar] = STATE(3135),
    [sym_datetimeoffset] = STATE(3135),
    [sym_time] = STATE(3135),
    [sym_timestamp] = STATE(3135),
    [sym_enum] = STATE(3135),
    [sym_object_reference] = STATE(3141),
    [sym_identifier] = STATE(3885),
    [sym__identifier] = ACTIONS(1155),
    [aux_sym_keyword_character_token1] = ACTIONS(1157),
    [sym_keyword_unsigned] = ACTIONS(1159),
    [sym_keyword_boolean] = ACTIONS(1161),
    [sym_keyword_bit] = ACTIONS(1163),
    [sym_keyword_binary] = ACTIONS(1165),
    [sym_keyword_varbinary] = ACTIONS(1167),
    [sym_keyword_image] = ACTIONS(1161),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1169),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1169),
    [aux_sym_keyword_serial_token1] = ACTIONS(1171),
    [aux_sym_keyword_serial_token2] = ACTIONS(1171),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1173),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1173),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1175),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1175),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1177),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1177),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1179),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1179),
    [aux_sym_keyword_int_token1] = ACTIONS(1181),
    [aux_sym_keyword_int_token2] = ACTIONS(1181),
    [aux_sym_keyword_int_token3] = ACTIONS(1181),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1183),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1183),
    [sym_keyword_decimal] = ACTIONS(1185),
    [sym_keyword_numeric] = ACTIONS(1187),
    [aux_sym_keyword_real_token1] = ACTIONS(1189),
    [aux_sym_keyword_real_token2] = ACTIONS(1189),
    [sym_keyword_float] = ACTIONS(1191),
    [sym_keyword_double] = ACTIONS(1193),
    [sym_keyword_inet] = ACTIONS(1161),
    [sym_keyword_money] = ACTIONS(1161),
    [sym_keyword_smallmoney] = ACTIONS(1161),
    [aux_sym_keyword_char_token1] = ACTIONS(1195),
    [sym_keyword_nchar] = ACTIONS(1197),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1199),
    [sym_keyword_nvarchar] = ACTIONS(1201),
    [sym_keyword_text] = ACTIONS(1161),
    [sym_keyword_string] = ACTIONS(1161),
    [sym_keyword_uuid] = ACTIONS(1161),
    [sym_keyword_json] = ACTIONS(1161),
    [sym_keyword_jsonb] = ACTIONS(1161),
    [sym_keyword_xml] = ACTIONS(1161),
    [sym_keyword_bytea] = ACTIONS(1161),
    [sym_keyword_enum] = ACTIONS(1203),
    [sym_keyword_date] = ACTIONS(1161),
    [sym_keyword_datetime] = ACTIONS(1161),
    [sym_keyword_datetime2] = ACTIONS(1161),
    [sym_keyword_smalldatetime] = ACTIONS(1161),
    [sym_keyword_datetimeoffset] = ACTIONS(1205),
    [sym_keyword_time] = ACTIONS(1207),
    [sym_keyword_timestamp] = ACTIONS(1209),
    [sym_keyword_timestamptz] = ACTIONS(1161),
    [sym_keyword_interval] = ACTIONS(1161),
    [sym_keyword_geometry] = ACTIONS(1161),
    [sym_keyword_geography] = ACTIONS(1161),
    [sym_keyword_box2d] = ACTIONS(1161),
    [sym_keyword_box3d] = ACTIONS(1161),
    [sym_keyword_oid] = ACTIONS(1161),
    [sym_keyword_name] = ACTIONS(1161),
    [sym_keyword_regclass] = ACTIONS(1161),
    [sym_keyword_regnamespace] = ACTIONS(1161),
    [sym_keyword_regproc] = ACTIONS(1161),
    [sym_keyword_regtype] = ACTIONS(1161),
    [aux_sym_double_token1] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1213),
    [aux_sym_identifier_token1] = ACTIONS(1213),
  },
  [60] = {
    [sym_keyword_smallserial] = STATE(1002),
    [sym_keyword_serial] = STATE(1002),
    [sym_keyword_bigserial] = STATE(1002),
    [sym_keyword_tinyint] = STATE(442),
    [sym_keyword_smallint] = STATE(443),
    [sym_keyword_mediumint] = STATE(444),
    [sym_keyword_int] = STATE(445),
    [sym_keyword_bigint] = STATE(446),
    [sym_keyword_real] = STATE(452),
    [sym_keyword_char] = STATE(618),
    [sym_keyword_varchar] = STATE(619),
    [sym__type] = STATE(2324),
    [sym_tinyint] = STATE(1002),
    [sym_smallint] = STATE(1002),
    [sym_mediumint] = STATE(1002),
    [sym_int] = STATE(1002),
    [sym_bigint] = STATE(1002),
    [sym_bit] = STATE(1002),
    [sym_binary] = STATE(1002),
    [sym_varbinary] = STATE(1002),
    [sym_float] = STATE(1002),
    [sym_double] = STATE(1002),
    [sym_decimal] = STATE(1002),
    [sym_numeric] = STATE(1002),
    [sym_char] = STATE(1002),
    [sym_varchar] = STATE(1002),
    [sym_nchar] = STATE(1002),
    [sym_nvarchar] = STATE(1002),
    [sym_datetimeoffset] = STATE(1002),
    [sym_time] = STATE(1002),
    [sym_timestamp] = STATE(1002),
    [sym_enum] = STATE(1002),
    [sym_object_reference] = STATE(1003),
    [sym_identifier] = STATE(1840),
    [sym__identifier] = ACTIONS(1215),
    [aux_sym_keyword_character_token1] = ACTIONS(467),
    [sym_keyword_unsigned] = ACTIONS(469),
    [sym_keyword_boolean] = ACTIONS(1217),
    [sym_keyword_bit] = ACTIONS(473),
    [sym_keyword_binary] = ACTIONS(475),
    [sym_keyword_varbinary] = ACTIONS(477),
    [sym_keyword_image] = ACTIONS(1217),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(479),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(479),
    [aux_sym_keyword_serial_token1] = ACTIONS(481),
    [aux_sym_keyword_serial_token2] = ACTIONS(481),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(483),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(483),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(485),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(485),
    [aux_sym_keyword_smallint_token1] = ACTIONS(487),
    [aux_sym_keyword_smallint_token2] = ACTIONS(487),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(489),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(489),
    [aux_sym_keyword_int_token1] = ACTIONS(491),
    [aux_sym_keyword_int_token2] = ACTIONS(491),
    [aux_sym_keyword_int_token3] = ACTIONS(491),
    [aux_sym_keyword_bigint_token1] = ACTIONS(493),
    [aux_sym_keyword_bigint_token2] = ACTIONS(493),
    [sym_keyword_decimal] = ACTIONS(495),
    [sym_keyword_numeric] = ACTIONS(497),
    [aux_sym_keyword_real_token1] = ACTIONS(499),
    [aux_sym_keyword_real_token2] = ACTIONS(499),
    [sym_keyword_float] = ACTIONS(501),
    [sym_keyword_double] = ACTIONS(503),
    [sym_keyword_inet] = ACTIONS(1217),
    [sym_keyword_money] = ACTIONS(1217),
    [sym_keyword_smallmoney] = ACTIONS(1217),
    [aux_sym_keyword_char_token1] = ACTIONS(505),
    [sym_keyword_nchar] = ACTIONS(507),
    [aux_sym_keyword_varchar_token1] = ACTIONS(509),
    [sym_keyword_nvarchar] = ACTIONS(511),
    [sym_keyword_text] = ACTIONS(1217),
    [sym_keyword_string] = ACTIONS(1217),
    [sym_keyword_uuid] = ACTIONS(1217),
    [sym_keyword_json] = ACTIONS(1217),
    [sym_keyword_jsonb] = ACTIONS(1217),
    [sym_keyword_xml] = ACTIONS(1217),
    [sym_keyword_bytea] = ACTIONS(1217),
    [sym_keyword_enum] = ACTIONS(513),
    [sym_keyword_date] = ACTIONS(1217),
    [sym_keyword_datetime] = ACTIONS(1217),
    [sym_keyword_datetime2] = ACTIONS(1217),
    [sym_keyword_smalldatetime] = ACTIONS(1217),
    [sym_keyword_datetimeoffset] = ACTIONS(515),
    [sym_keyword_time] = ACTIONS(517),
    [sym_keyword_timestamp] = ACTIONS(519),
    [sym_keyword_timestamptz] = ACTIONS(1217),
    [sym_keyword_interval] = ACTIONS(1217),
    [sym_keyword_geometry] = ACTIONS(1217),
    [sym_keyword_geography] = ACTIONS(1217),
    [sym_keyword_box2d] = ACTIONS(1217),
    [sym_keyword_box3d] = ACTIONS(1217),
    [sym_keyword_oid] = ACTIONS(1217),
    [sym_keyword_name] = ACTIONS(1217),
    [sym_keyword_regclass] = ACTIONS(1217),
    [sym_keyword_regnamespace] = ACTIONS(1217),
    [sym_keyword_regproc] = ACTIONS(1217),
    [sym_keyword_regtype] = ACTIONS(1217),
    [aux_sym_double_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1219),
    [aux_sym_identifier_token1] = ACTIONS(1219),
  },
  [61] = {
    [sym_keyword_smallserial] = STATE(1880),
    [sym_keyword_serial] = STATE(1880),
    [sym_keyword_bigserial] = STATE(1880),
    [sym_keyword_tinyint] = STATE(1904),
    [sym_keyword_smallint] = STATE(1905),
    [sym_keyword_mediumint] = STATE(1906),
    [sym_keyword_int] = STATE(1907),
    [sym_keyword_bigint] = STATE(1908),
    [sym_keyword_real] = STATE(1909),
    [sym_keyword_char] = STATE(2244),
    [sym_keyword_varchar] = STATE(2245),
    [sym__type] = STATE(2722),
    [sym_tinyint] = STATE(1880),
    [sym_smallint] = STATE(1880),
    [sym_mediumint] = STATE(1880),
    [sym_int] = STATE(1880),
    [sym_bigint] = STATE(1880),
    [sym_bit] = STATE(1880),
    [sym_binary] = STATE(1880),
    [sym_varbinary] = STATE(1880),
    [sym_float] = STATE(1880),
    [sym_double] = STATE(1880),
    [sym_decimal] = STATE(1880),
    [sym_numeric] = STATE(1880),
    [sym_char] = STATE(1880),
    [sym_varchar] = STATE(1880),
    [sym_nchar] = STATE(1880),
    [sym_nvarchar] = STATE(1880),
    [sym_datetimeoffset] = STATE(1880),
    [sym_time] = STATE(1880),
    [sym_timestamp] = STATE(1880),
    [sym_enum] = STATE(1880),
    [sym_object_reference] = STATE(1881),
    [sym_identifier] = STATE(2368),
    [sym__identifier] = ACTIONS(1221),
    [aux_sym_keyword_character_token1] = ACTIONS(1223),
    [sym_keyword_unsigned] = ACTIONS(1225),
    [sym_keyword_boolean] = ACTIONS(1227),
    [sym_keyword_bit] = ACTIONS(1229),
    [sym_keyword_binary] = ACTIONS(1231),
    [sym_keyword_varbinary] = ACTIONS(1233),
    [sym_keyword_image] = ACTIONS(1227),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1235),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1235),
    [aux_sym_keyword_serial_token1] = ACTIONS(1237),
    [aux_sym_keyword_serial_token2] = ACTIONS(1237),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1239),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1239),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1241),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1241),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1243),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1243),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1245),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1245),
    [aux_sym_keyword_int_token1] = ACTIONS(1247),
    [aux_sym_keyword_int_token2] = ACTIONS(1247),
    [aux_sym_keyword_int_token3] = ACTIONS(1247),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1249),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1249),
    [sym_keyword_decimal] = ACTIONS(1251),
    [sym_keyword_numeric] = ACTIONS(1253),
    [aux_sym_keyword_real_token1] = ACTIONS(1255),
    [aux_sym_keyword_real_token2] = ACTIONS(1255),
    [sym_keyword_float] = ACTIONS(1257),
    [sym_keyword_double] = ACTIONS(1259),
    [sym_keyword_inet] = ACTIONS(1227),
    [sym_keyword_money] = ACTIONS(1227),
    [sym_keyword_smallmoney] = ACTIONS(1227),
    [aux_sym_keyword_char_token1] = ACTIONS(1261),
    [sym_keyword_nchar] = ACTIONS(1263),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1265),
    [sym_keyword_nvarchar] = ACTIONS(1267),
    [sym_keyword_text] = ACTIONS(1227),
    [sym_keyword_string] = ACTIONS(1227),
    [sym_keyword_uuid] = ACTIONS(1227),
    [sym_keyword_json] = ACTIONS(1227),
    [sym_keyword_jsonb] = ACTIONS(1227),
    [sym_keyword_xml] = ACTIONS(1227),
    [sym_keyword_bytea] = ACTIONS(1227),
    [sym_keyword_enum] = ACTIONS(1269),
    [sym_keyword_date] = ACTIONS(1227),
    [sym_keyword_datetime] = ACTIONS(1227),
    [sym_keyword_datetime2] = ACTIONS(1227),
    [sym_keyword_smalldatetime] = ACTIONS(1227),
    [sym_keyword_datetimeoffset] = ACTIONS(1271),
    [sym_keyword_time] = ACTIONS(1273),
    [sym_keyword_timestamp] = ACTIONS(1275),
    [sym_keyword_timestamptz] = ACTIONS(1227),
    [sym_keyword_interval] = ACTIONS(1227),
    [sym_keyword_geometry] = ACTIONS(1227),
    [sym_keyword_geography] = ACTIONS(1227),
    [sym_keyword_box2d] = ACTIONS(1227),
    [sym_keyword_box3d] = ACTIONS(1227),
    [sym_keyword_oid] = ACTIONS(1227),
    [sym_keyword_name] = ACTIONS(1227),
    [sym_keyword_regclass] = ACTIONS(1227),
    [sym_keyword_regnamespace] = ACTIONS(1227),
    [sym_keyword_regproc] = ACTIONS(1227),
    [sym_keyword_regtype] = ACTIONS(1227),
    [aux_sym_double_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1279),
    [aux_sym_identifier_token1] = ACTIONS(1279),
  },
  [62] = {
    [sym_keyword_smallserial] = STATE(4808),
    [sym_keyword_serial] = STATE(4808),
    [sym_keyword_bigserial] = STATE(4808),
    [sym_keyword_tinyint] = STATE(442),
    [sym_keyword_smallint] = STATE(443),
    [sym_keyword_mediumint] = STATE(444),
    [sym_keyword_int] = STATE(445),
    [sym_keyword_bigint] = STATE(446),
    [sym_keyword_real] = STATE(452),
    [sym_keyword_char] = STATE(618),
    [sym_keyword_varchar] = STATE(619),
    [sym__type] = STATE(4827),
    [sym_tinyint] = STATE(4808),
    [sym_smallint] = STATE(4808),
    [sym_mediumint] = STATE(4808),
    [sym_int] = STATE(4808),
    [sym_bigint] = STATE(4808),
    [sym_bit] = STATE(4808),
    [sym_binary] = STATE(4808),
    [sym_varbinary] = STATE(4808),
    [sym_float] = STATE(4808),
    [sym_double] = STATE(4808),
    [sym_decimal] = STATE(4808),
    [sym_numeric] = STATE(4808),
    [sym_char] = STATE(4808),
    [sym_varchar] = STATE(4808),
    [sym_nchar] = STATE(4808),
    [sym_nvarchar] = STATE(4808),
    [sym_datetimeoffset] = STATE(4808),
    [sym_time] = STATE(4808),
    [sym_timestamp] = STATE(4808),
    [sym_enum] = STATE(4808),
    [sym_object_reference] = STATE(4810),
    [sym_identifier] = STATE(5012),
    [sym__identifier] = ACTIONS(965),
    [aux_sym_keyword_character_token1] = ACTIONS(467),
    [sym_keyword_unsigned] = ACTIONS(469),
    [sym_keyword_boolean] = ACTIONS(967),
    [sym_keyword_bit] = ACTIONS(473),
    [sym_keyword_binary] = ACTIONS(475),
    [sym_keyword_varbinary] = ACTIONS(477),
    [sym_keyword_image] = ACTIONS(967),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(479),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(479),
    [aux_sym_keyword_serial_token1] = ACTIONS(481),
    [aux_sym_keyword_serial_token2] = ACTIONS(481),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(483),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(483),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(485),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(485),
    [aux_sym_keyword_smallint_token1] = ACTIONS(487),
    [aux_sym_keyword_smallint_token2] = ACTIONS(487),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(489),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(489),
    [aux_sym_keyword_int_token1] = ACTIONS(491),
    [aux_sym_keyword_int_token2] = ACTIONS(491),
    [aux_sym_keyword_int_token3] = ACTIONS(491),
    [aux_sym_keyword_bigint_token1] = ACTIONS(493),
    [aux_sym_keyword_bigint_token2] = ACTIONS(493),
    [sym_keyword_decimal] = ACTIONS(495),
    [sym_keyword_numeric] = ACTIONS(497),
    [aux_sym_keyword_real_token1] = ACTIONS(499),
    [aux_sym_keyword_real_token2] = ACTIONS(499),
    [sym_keyword_float] = ACTIONS(501),
    [sym_keyword_double] = ACTIONS(503),
    [sym_keyword_inet] = ACTIONS(967),
    [sym_keyword_money] = ACTIONS(967),
    [sym_keyword_smallmoney] = ACTIONS(967),
    [aux_sym_keyword_char_token1] = ACTIONS(505),
    [sym_keyword_nchar] = ACTIONS(507),
    [aux_sym_keyword_varchar_token1] = ACTIONS(509),
    [sym_keyword_nvarchar] = ACTIONS(511),
    [sym_keyword_text] = ACTIONS(967),
    [sym_keyword_string] = ACTIONS(967),
    [sym_keyword_uuid] = ACTIONS(967),
    [sym_keyword_json] = ACTIONS(967),
    [sym_keyword_jsonb] = ACTIONS(967),
    [sym_keyword_xml] = ACTIONS(967),
    [sym_keyword_bytea] = ACTIONS(967),
    [sym_keyword_enum] = ACTIONS(513),
    [sym_keyword_date] = ACTIONS(967),
    [sym_keyword_datetime] = ACTIONS(967),
    [sym_keyword_datetime2] = ACTIONS(967),
    [sym_keyword_smalldatetime] = ACTIONS(967),
    [sym_keyword_datetimeoffset] = ACTIONS(515),
    [sym_keyword_time] = ACTIONS(1281),
    [sym_keyword_timestamp] = ACTIONS(1283),
    [sym_keyword_timestamptz] = ACTIONS(967),
    [sym_keyword_interval] = ACTIONS(967),
    [sym_keyword_geometry] = ACTIONS(967),
    [sym_keyword_geography] = ACTIONS(967),
    [sym_keyword_box2d] = ACTIONS(967),
    [sym_keyword_box3d] = ACTIONS(967),
    [sym_keyword_oid] = ACTIONS(967),
    [sym_keyword_name] = ACTIONS(967),
    [sym_keyword_regclass] = ACTIONS(967),
    [sym_keyword_regnamespace] = ACTIONS(967),
    [sym_keyword_regproc] = ACTIONS(967),
    [sym_keyword_regtype] = ACTIONS(967),
    [aux_sym_double_token1] = ACTIONS(521),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(969),
    [aux_sym_identifier_token1] = ACTIONS(969),
  },
  [63] = {
    [sym_keyword_smallserial] = STATE(2947),
    [sym_keyword_serial] = STATE(2947),
    [sym_keyword_bigserial] = STATE(2947),
    [sym_keyword_tinyint] = STATE(2933),
    [sym_keyword_smallint] = STATE(2934),
    [sym_keyword_mediumint] = STATE(2935),
    [sym_keyword_int] = STATE(2936),
    [sym_keyword_bigint] = STATE(2937),
    [sym_keyword_real] = STATE(2938),
    [sym_keyword_char] = STATE(3833),
    [sym_keyword_varchar] = STATE(3861),
    [sym__type] = STATE(4518),
    [sym_tinyint] = STATE(2947),
    [sym_smallint] = STATE(2947),
    [sym_mediumint] = STATE(2947),
    [sym_int] = STATE(2947),
    [sym_bigint] = STATE(2947),
    [sym_bit] = STATE(2947),
    [sym_binary] = STATE(2947),
    [sym_varbinary] = STATE(2947),
    [sym_float] = STATE(2947),
    [sym_double] = STATE(2947),
    [sym_decimal] = STATE(2947),
    [sym_numeric] = STATE(2947),
    [sym_char] = STATE(2947),
    [sym_varchar] = STATE(2947),
    [sym_nchar] = STATE(2947),
    [sym_nvarchar] = STATE(2947),
    [sym_datetimeoffset] = STATE(2947),
    [sym_time] = STATE(2947),
    [sym_timestamp] = STATE(2947),
    [sym_enum] = STATE(2947),
    [sym_object_reference] = STATE(2948),
    [sym_identifier] = STATE(3484),
    [sym__identifier] = ACTIONS(1285),
    [aux_sym_keyword_character_token1] = ACTIONS(1287),
    [sym_keyword_unsigned] = ACTIONS(1289),
    [sym_keyword_boolean] = ACTIONS(1291),
    [sym_keyword_bit] = ACTIONS(1293),
    [sym_keyword_binary] = ACTIONS(1295),
    [sym_keyword_varbinary] = ACTIONS(1297),
    [sym_keyword_image] = ACTIONS(1291),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1299),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1299),
    [aux_sym_keyword_serial_token1] = ACTIONS(1301),
    [aux_sym_keyword_serial_token2] = ACTIONS(1301),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1303),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1303),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1305),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1305),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1307),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1307),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1309),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1309),
    [aux_sym_keyword_int_token1] = ACTIONS(1311),
    [aux_sym_keyword_int_token2] = ACTIONS(1311),
    [aux_sym_keyword_int_token3] = ACTIONS(1311),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1313),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1313),
    [sym_keyword_decimal] = ACTIONS(1315),
    [sym_keyword_numeric] = ACTIONS(1317),
    [aux_sym_keyword_real_token1] = ACTIONS(1319),
    [aux_sym_keyword_real_token2] = ACTIONS(1319),
    [sym_keyword_float] = ACTIONS(1321),
    [sym_keyword_double] = ACTIONS(1323),
    [sym_keyword_inet] = ACTIONS(1291),
    [sym_keyword_money] = ACTIONS(1291),
    [sym_keyword_smallmoney] = ACTIONS(1291),
    [aux_sym_keyword_char_token1] = ACTIONS(1325),
    [sym_keyword_nchar] = ACTIONS(1327),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1329),
    [sym_keyword_nvarchar] = ACTIONS(1331),
    [sym_keyword_text] = ACTIONS(1291),
    [sym_keyword_string] = ACTIONS(1291),
    [sym_keyword_uuid] = ACTIONS(1291),
    [sym_keyword_json] = ACTIONS(1291),
    [sym_keyword_jsonb] = ACTIONS(1291),
    [sym_keyword_xml] = ACTIONS(1291),
    [sym_keyword_bytea] = ACTIONS(1291),
    [sym_keyword_enum] = ACTIONS(1333),
    [sym_keyword_date] = ACTIONS(1291),
    [sym_keyword_datetime] = ACTIONS(1291),
    [sym_keyword_datetime2] = ACTIONS(1291),
    [sym_keyword_smalldatetime] = ACTIONS(1291),
    [sym_keyword_datetimeoffset] = ACTIONS(1335),
    [sym_keyword_time] = ACTIONS(1337),
    [sym_keyword_timestamp] = ACTIONS(1339),
    [sym_keyword_timestamptz] = ACTIONS(1291),
    [sym_keyword_interval] = ACTIONS(1291),
    [sym_keyword_geometry] = ACTIONS(1291),
    [sym_keyword_geography] = ACTIONS(1291),
    [sym_keyword_box2d] = ACTIONS(1291),
    [sym_keyword_box3d] = ACTIONS(1291),
    [sym_keyword_oid] = ACTIONS(1291),
    [sym_keyword_name] = ACTIONS(1291),
    [sym_keyword_regclass] = ACTIONS(1291),
    [sym_keyword_regnamespace] = ACTIONS(1291),
    [sym_keyword_regproc] = ACTIONS(1291),
    [sym_keyword_regtype] = ACTIONS(1291),
    [aux_sym_double_token1] = ACTIONS(1341),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1343),
    [aux_sym_identifier_token1] = ACTIONS(1343),
  },
  [64] = {
    [sym_keyword_smallserial] = STATE(2879),
    [sym_keyword_serial] = STATE(2879),
    [sym_keyword_bigserial] = STATE(2879),
    [sym_keyword_tinyint] = STATE(3108),
    [sym_keyword_smallint] = STATE(3110),
    [sym_keyword_mediumint] = STATE(3111),
    [sym_keyword_int] = STATE(3112),
    [sym_keyword_bigint] = STATE(3113),
    [sym_keyword_real] = STATE(3114),
    [sym_keyword_char] = STATE(3830),
    [sym_keyword_varchar] = STATE(3831),
    [sym__type] = STATE(4528),
    [sym_tinyint] = STATE(2879),
    [sym_smallint] = STATE(2879),
    [sym_mediumint] = STATE(2879),
    [sym_int] = STATE(2879),
    [sym_bigint] = STATE(2879),
    [sym_bit] = STATE(2879),
    [sym_binary] = STATE(2879),
    [sym_varbinary] = STATE(2879),
    [sym_float] = STATE(2879),
    [sym_double] = STATE(2879),
    [sym_decimal] = STATE(2879),
    [sym_numeric] = STATE(2879),
    [sym_char] = STATE(2879),
    [sym_varchar] = STATE(2879),
    [sym_nchar] = STATE(2879),
    [sym_nvarchar] = STATE(2879),
    [sym_datetimeoffset] = STATE(2879),
    [sym_time] = STATE(2879),
    [sym_timestamp] = STATE(2879),
    [sym_enum] = STATE(2879),
    [sym_object_reference] = STATE(2881),
    [sym_identifier] = STATE(3593),
    [sym__identifier] = ACTIONS(1035),
    [aux_sym_keyword_character_token1] = ACTIONS(1037),
    [sym_keyword_unsigned] = ACTIONS(1039),
    [sym_keyword_boolean] = ACTIONS(1041),
    [sym_keyword_bit] = ACTIONS(1043),
    [sym_keyword_binary] = ACTIONS(1045),
    [sym_keyword_varbinary] = ACTIONS(1047),
    [sym_keyword_image] = ACTIONS(1041),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1049),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1049),
    [aux_sym_keyword_serial_token1] = ACTIONS(1051),
    [aux_sym_keyword_serial_token2] = ACTIONS(1051),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1053),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1053),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1055),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1055),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1057),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1057),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1059),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1059),
    [aux_sym_keyword_int_token1] = ACTIONS(1061),
    [aux_sym_keyword_int_token2] = ACTIONS(1061),
    [aux_sym_keyword_int_token3] = ACTIONS(1061),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1063),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1063),
    [sym_keyword_decimal] = ACTIONS(1065),
    [sym_keyword_numeric] = ACTIONS(1067),
    [aux_sym_keyword_real_token1] = ACTIONS(1069),
    [aux_sym_keyword_real_token2] = ACTIONS(1069),
    [sym_keyword_float] = ACTIONS(1071),
    [sym_keyword_double] = ACTIONS(1073),
    [sym_keyword_inet] = ACTIONS(1041),
    [sym_keyword_money] = ACTIONS(1041),
    [sym_keyword_smallmoney] = ACTIONS(1041),
    [aux_sym_keyword_char_token1] = ACTIONS(1075),
    [sym_keyword_nchar] = ACTIONS(1077),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1079),
    [sym_keyword_nvarchar] = ACTIONS(1081),
    [sym_keyword_text] = ACTIONS(1041),
    [sym_keyword_string] = ACTIONS(1041),
    [sym_keyword_uuid] = ACTIONS(1041),
    [sym_keyword_json] = ACTIONS(1041),
    [sym_keyword_jsonb] = ACTIONS(1041),
    [sym_keyword_xml] = ACTIONS(1041),
    [sym_keyword_bytea] = ACTIONS(1041),
    [sym_keyword_enum] = ACTIONS(1083),
    [sym_keyword_date] = ACTIONS(1041),
    [sym_keyword_datetime] = ACTIONS(1041),
    [sym_keyword_datetime2] = ACTIONS(1041),
    [sym_keyword_smalldatetime] = ACTIONS(1041),
    [sym_keyword_datetimeoffset] = ACTIONS(1085),
    [sym_keyword_time] = ACTIONS(1345),
    [sym_keyword_timestamp] = ACTIONS(1347),
    [sym_keyword_timestamptz] = ACTIONS(1041),
    [sym_keyword_interval] = ACTIONS(1041),
    [sym_keyword_geometry] = ACTIONS(1041),
    [sym_keyword_geography] = ACTIONS(1041),
    [sym_keyword_box2d] = ACTIONS(1041),
    [sym_keyword_box3d] = ACTIONS(1041),
    [sym_keyword_oid] = ACTIONS(1041),
    [sym_keyword_name] = ACTIONS(1041),
    [sym_keyword_regclass] = ACTIONS(1041),
    [sym_keyword_regnamespace] = ACTIONS(1041),
    [sym_keyword_regproc] = ACTIONS(1041),
    [sym_keyword_regtype] = ACTIONS(1041),
    [aux_sym_double_token1] = ACTIONS(1091),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1093),
    [aux_sym_identifier_token1] = ACTIONS(1093),
  },
  [65] = {
    [sym_keyword_smallserial] = STATE(3135),
    [sym_keyword_serial] = STATE(3135),
    [sym_keyword_bigserial] = STATE(3135),
    [sym_keyword_tinyint] = STATE(3223),
    [sym_keyword_smallint] = STATE(3225),
    [sym_keyword_mediumint] = STATE(3226),
    [sym_keyword_int] = STATE(3229),
    [sym_keyword_bigint] = STATE(3230),
    [sym_keyword_real] = STATE(3231),
    [sym_keyword_char] = STATE(4181),
    [sym_keyword_varchar] = STATE(4183),
    [sym__type] = STATE(4748),
    [sym_tinyint] = STATE(3135),
    [sym_smallint] = STATE(3135),
    [sym_mediumint] = STATE(3135),
    [sym_int] = STATE(3135),
    [sym_bigint] = STATE(3135),
    [sym_bit] = STATE(3135),
    [sym_binary] = STATE(3135),
    [sym_varbinary] = STATE(3135),
    [sym_float] = STATE(3135),
    [sym_double] = STATE(3135),
    [sym_decimal] = STATE(3135),
    [sym_numeric] = STATE(3135),
    [sym_char] = STATE(3135),
    [sym_varchar] = STATE(3135),
    [sym_nchar] = STATE(3135),
    [sym_nvarchar] = STATE(3135),
    [sym_datetimeoffset] = STATE(3135),
    [sym_time] = STATE(3135),
    [sym_timestamp] = STATE(3135),
    [sym_enum] = STATE(3135),
    [sym_object_reference] = STATE(3141),
    [sym_identifier] = STATE(3885),
    [sym__identifier] = ACTIONS(1155),
    [aux_sym_keyword_character_token1] = ACTIONS(1157),
    [sym_keyword_unsigned] = ACTIONS(1159),
    [sym_keyword_boolean] = ACTIONS(1161),
    [sym_keyword_bit] = ACTIONS(1163),
    [sym_keyword_binary] = ACTIONS(1165),
    [sym_keyword_varbinary] = ACTIONS(1167),
    [sym_keyword_image] = ACTIONS(1161),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1169),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1169),
    [aux_sym_keyword_serial_token1] = ACTIONS(1171),
    [aux_sym_keyword_serial_token2] = ACTIONS(1171),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1173),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1173),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1175),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1175),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1177),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1177),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1179),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1179),
    [aux_sym_keyword_int_token1] = ACTIONS(1181),
    [aux_sym_keyword_int_token2] = ACTIONS(1181),
    [aux_sym_keyword_int_token3] = ACTIONS(1181),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1183),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1183),
    [sym_keyword_decimal] = ACTIONS(1185),
    [sym_keyword_numeric] = ACTIONS(1187),
    [aux_sym_keyword_real_token1] = ACTIONS(1189),
    [aux_sym_keyword_real_token2] = ACTIONS(1189),
    [sym_keyword_float] = ACTIONS(1191),
    [sym_keyword_double] = ACTIONS(1193),
    [sym_keyword_inet] = ACTIONS(1161),
    [sym_keyword_money] = ACTIONS(1161),
    [sym_keyword_smallmoney] = ACTIONS(1161),
    [aux_sym_keyword_char_token1] = ACTIONS(1195),
    [sym_keyword_nchar] = ACTIONS(1197),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1199),
    [sym_keyword_nvarchar] = ACTIONS(1201),
    [sym_keyword_text] = ACTIONS(1161),
    [sym_keyword_string] = ACTIONS(1161),
    [sym_keyword_uuid] = ACTIONS(1161),
    [sym_keyword_json] = ACTIONS(1161),
    [sym_keyword_jsonb] = ACTIONS(1161),
    [sym_keyword_xml] = ACTIONS(1161),
    [sym_keyword_bytea] = ACTIONS(1161),
    [sym_keyword_enum] = ACTIONS(1203),
    [sym_keyword_date] = ACTIONS(1161),
    [sym_keyword_datetime] = ACTIONS(1161),
    [sym_keyword_datetime2] = ACTIONS(1161),
    [sym_keyword_smalldatetime] = ACTIONS(1161),
    [sym_keyword_datetimeoffset] = ACTIONS(1205),
    [sym_keyword_time] = ACTIONS(1349),
    [sym_keyword_timestamp] = ACTIONS(1351),
    [sym_keyword_timestamptz] = ACTIONS(1161),
    [sym_keyword_interval] = ACTIONS(1161),
    [sym_keyword_geometry] = ACTIONS(1161),
    [sym_keyword_geography] = ACTIONS(1161),
    [sym_keyword_box2d] = ACTIONS(1161),
    [sym_keyword_box3d] = ACTIONS(1161),
    [sym_keyword_oid] = ACTIONS(1161),
    [sym_keyword_name] = ACTIONS(1161),
    [sym_keyword_regclass] = ACTIONS(1161),
    [sym_keyword_regnamespace] = ACTIONS(1161),
    [sym_keyword_regproc] = ACTIONS(1161),
    [sym_keyword_regtype] = ACTIONS(1161),
    [aux_sym_double_token1] = ACTIONS(1211),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1213),
    [aux_sym_identifier_token1] = ACTIONS(1213),
  },
  [66] = {
    [sym_keyword_smallserial] = STATE(1880),
    [sym_keyword_serial] = STATE(1880),
    [sym_keyword_bigserial] = STATE(1880),
    [sym_keyword_tinyint] = STATE(1904),
    [sym_keyword_smallint] = STATE(1905),
    [sym_keyword_mediumint] = STATE(1906),
    [sym_keyword_int] = STATE(1907),
    [sym_keyword_bigint] = STATE(1908),
    [sym_keyword_real] = STATE(1909),
    [sym_keyword_char] = STATE(2244),
    [sym_keyword_varchar] = STATE(2245),
    [sym__type] = STATE(2722),
    [sym_tinyint] = STATE(1880),
    [sym_smallint] = STATE(1880),
    [sym_mediumint] = STATE(1880),
    [sym_int] = STATE(1880),
    [sym_bigint] = STATE(1880),
    [sym_bit] = STATE(1880),
    [sym_binary] = STATE(1880),
    [sym_varbinary] = STATE(1880),
    [sym_float] = STATE(1880),
    [sym_double] = STATE(1880),
    [sym_decimal] = STATE(1880),
    [sym_numeric] = STATE(1880),
    [sym_char] = STATE(1880),
    [sym_varchar] = STATE(1880),
    [sym_nchar] = STATE(1880),
    [sym_nvarchar] = STATE(1880),
    [sym_datetimeoffset] = STATE(1880),
    [sym_time] = STATE(1880),
    [sym_timestamp] = STATE(1880),
    [sym_enum] = STATE(1880),
    [sym_object_reference] = STATE(1881),
    [sym_identifier] = STATE(2368),
    [sym__identifier] = ACTIONS(1221),
    [aux_sym_keyword_character_token1] = ACTIONS(1223),
    [sym_keyword_unsigned] = ACTIONS(1225),
    [sym_keyword_boolean] = ACTIONS(1227),
    [sym_keyword_bit] = ACTIONS(1229),
    [sym_keyword_binary] = ACTIONS(1231),
    [sym_keyword_varbinary] = ACTIONS(1233),
    [sym_keyword_image] = ACTIONS(1227),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1235),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1235),
    [aux_sym_keyword_serial_token1] = ACTIONS(1237),
    [aux_sym_keyword_serial_token2] = ACTIONS(1237),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1239),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1239),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1241),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1241),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1243),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1243),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1245),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1245),
    [aux_sym_keyword_int_token1] = ACTIONS(1247),
    [aux_sym_keyword_int_token2] = ACTIONS(1247),
    [aux_sym_keyword_int_token3] = ACTIONS(1247),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1249),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1249),
    [sym_keyword_decimal] = ACTIONS(1251),
    [sym_keyword_numeric] = ACTIONS(1253),
    [aux_sym_keyword_real_token1] = ACTIONS(1255),
    [aux_sym_keyword_real_token2] = ACTIONS(1255),
    [sym_keyword_float] = ACTIONS(1257),
    [sym_keyword_double] = ACTIONS(1259),
    [sym_keyword_inet] = ACTIONS(1227),
    [sym_keyword_money] = ACTIONS(1227),
    [sym_keyword_smallmoney] = ACTIONS(1227),
    [aux_sym_keyword_char_token1] = ACTIONS(1261),
    [sym_keyword_nchar] = ACTIONS(1263),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1265),
    [sym_keyword_nvarchar] = ACTIONS(1267),
    [sym_keyword_text] = ACTIONS(1227),
    [sym_keyword_string] = ACTIONS(1227),
    [sym_keyword_uuid] = ACTIONS(1227),
    [sym_keyword_json] = ACTIONS(1227),
    [sym_keyword_jsonb] = ACTIONS(1227),
    [sym_keyword_xml] = ACTIONS(1227),
    [sym_keyword_bytea] = ACTIONS(1227),
    [sym_keyword_enum] = ACTIONS(1269),
    [sym_keyword_date] = ACTIONS(1227),
    [sym_keyword_datetime] = ACTIONS(1227),
    [sym_keyword_datetime2] = ACTIONS(1227),
    [sym_keyword_smalldatetime] = ACTIONS(1227),
    [sym_keyword_datetimeoffset] = ACTIONS(1271),
    [sym_keyword_time] = ACTIONS(1353),
    [sym_keyword_timestamp] = ACTIONS(1355),
    [sym_keyword_timestamptz] = ACTIONS(1227),
    [sym_keyword_interval] = ACTIONS(1227),
    [sym_keyword_geometry] = ACTIONS(1227),
    [sym_keyword_geography] = ACTIONS(1227),
    [sym_keyword_box2d] = ACTIONS(1227),
    [sym_keyword_box3d] = ACTIONS(1227),
    [sym_keyword_oid] = ACTIONS(1227),
    [sym_keyword_name] = ACTIONS(1227),
    [sym_keyword_regclass] = ACTIONS(1227),
    [sym_keyword_regnamespace] = ACTIONS(1227),
    [sym_keyword_regproc] = ACTIONS(1227),
    [sym_keyword_regtype] = ACTIONS(1227),
    [aux_sym_double_token1] = ACTIONS(1277),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1279),
    [aux_sym_identifier_token1] = ACTIONS(1279),
  },
  [67] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(14727),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [68] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(13664),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [69] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(12274),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [70] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(13594),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [71] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(14305),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [72] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(13338),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [73] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(13210),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [74] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(14172),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [75] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(12322),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [76] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(12674),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [77] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(13089),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [78] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(13540),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [79] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(13711),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [80] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(13885),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [81] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(14133),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [82] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(14351),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [83] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(14616),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [84] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(14767),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7232),
    [sym_identifier] = STATE(5700),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(61),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(61),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(61),
    [sym_keyword_money] = ACTIONS(61),
    [sym_keyword_smallmoney] = ACTIONS(61),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(61),
    [sym_keyword_string] = ACTIONS(61),
    [sym_keyword_uuid] = ACTIONS(61),
    [sym_keyword_json] = ACTIONS(61),
    [sym_keyword_jsonb] = ACTIONS(61),
    [sym_keyword_xml] = ACTIONS(61),
    [sym_keyword_bytea] = ACTIONS(61),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(61),
    [sym_keyword_datetime] = ACTIONS(61),
    [sym_keyword_datetime2] = ACTIONS(61),
    [sym_keyword_smalldatetime] = ACTIONS(61),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(107),
    [sym_keyword_timestamp] = ACTIONS(109),
    [sym_keyword_timestamptz] = ACTIONS(61),
    [sym_keyword_interval] = ACTIONS(61),
    [sym_keyword_geometry] = ACTIONS(61),
    [sym_keyword_geography] = ACTIONS(61),
    [sym_keyword_box2d] = ACTIONS(61),
    [sym_keyword_box3d] = ACTIONS(61),
    [sym_keyword_oid] = ACTIONS(61),
    [sym_keyword_name] = ACTIONS(61),
    [sym_keyword_regclass] = ACTIONS(61),
    [sym_keyword_regnamespace] = ACTIONS(61),
    [sym_keyword_regproc] = ACTIONS(61),
    [sym_keyword_regtype] = ACTIONS(61),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [85] = {
    [sym_keyword_smallserial] = STATE(2786),
    [sym_keyword_serial] = STATE(2786),
    [sym_keyword_bigserial] = STATE(2786),
    [sym_keyword_tinyint] = STATE(1868),
    [sym_keyword_smallint] = STATE(1869),
    [sym_keyword_mediumint] = STATE(1870),
    [sym_keyword_int] = STATE(1871),
    [sym_keyword_bigint] = STATE(1872),
    [sym_keyword_real] = STATE(1876),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2118),
    [sym__type] = STATE(4416),
    [sym_tinyint] = STATE(2786),
    [sym_smallint] = STATE(2786),
    [sym_mediumint] = STATE(2786),
    [sym_int] = STATE(2786),
    [sym_bigint] = STATE(2786),
    [sym_bit] = STATE(2786),
    [sym_binary] = STATE(2786),
    [sym_varbinary] = STATE(2786),
    [sym_float] = STATE(2786),
    [sym_double] = STATE(2786),
    [sym_decimal] = STATE(2786),
    [sym_numeric] = STATE(2786),
    [sym_char] = STATE(2786),
    [sym_varchar] = STATE(2786),
    [sym_nchar] = STATE(2786),
    [sym_nvarchar] = STATE(2786),
    [sym_datetimeoffset] = STATE(2786),
    [sym_time] = STATE(2786),
    [sym_timestamp] = STATE(2786),
    [sym_enum] = STATE(2786),
    [sym_object_reference] = STATE(2797),
    [sym_identifier] = STATE(3154),
    [sym__identifier] = ACTIONS(273),
    [aux_sym_keyword_character_token1] = ACTIONS(55),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(275),
    [sym_keyword_bit] = ACTIONS(63),
    [sym_keyword_binary] = ACTIONS(65),
    [sym_keyword_varbinary] = ACTIONS(67),
    [sym_keyword_image] = ACTIONS(275),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(69),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(69),
    [aux_sym_keyword_serial_token1] = ACTIONS(71),
    [aux_sym_keyword_serial_token2] = ACTIONS(71),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(73),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(75),
    [aux_sym_keyword_smallint_token1] = ACTIONS(77),
    [aux_sym_keyword_smallint_token2] = ACTIONS(77),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(79),
    [aux_sym_keyword_int_token1] = ACTIONS(81),
    [aux_sym_keyword_int_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token3] = ACTIONS(81),
    [aux_sym_keyword_bigint_token1] = ACTIONS(83),
    [aux_sym_keyword_bigint_token2] = ACTIONS(83),
    [sym_keyword_decimal] = ACTIONS(85),
    [sym_keyword_numeric] = ACTIONS(87),
    [aux_sym_keyword_real_token1] = ACTIONS(89),
    [aux_sym_keyword_real_token2] = ACTIONS(89),
    [sym_keyword_float] = ACTIONS(91),
    [sym_keyword_double] = ACTIONS(93),
    [sym_keyword_inet] = ACTIONS(275),
    [sym_keyword_money] = ACTIONS(275),
    [sym_keyword_smallmoney] = ACTIONS(275),
    [aux_sym_keyword_char_token1] = ACTIONS(95),
    [sym_keyword_nchar] = ACTIONS(97),
    [aux_sym_keyword_varchar_token1] = ACTIONS(99),
    [sym_keyword_nvarchar] = ACTIONS(101),
    [sym_keyword_text] = ACTIONS(275),
    [sym_keyword_string] = ACTIONS(275),
    [sym_keyword_uuid] = ACTIONS(275),
    [sym_keyword_json] = ACTIONS(275),
    [sym_keyword_jsonb] = ACTIONS(275),
    [sym_keyword_xml] = ACTIONS(275),
    [sym_keyword_bytea] = ACTIONS(275),
    [sym_keyword_enum] = ACTIONS(103),
    [sym_keyword_date] = ACTIONS(275),
    [sym_keyword_datetime] = ACTIONS(275),
    [sym_keyword_datetime2] = ACTIONS(275),
    [sym_keyword_smalldatetime] = ACTIONS(275),
    [sym_keyword_datetimeoffset] = ACTIONS(105),
    [sym_keyword_time] = ACTIONS(1357),
    [sym_keyword_timestamp] = ACTIONS(1359),
    [sym_keyword_timestamptz] = ACTIONS(275),
    [sym_keyword_interval] = ACTIONS(275),
    [sym_keyword_geometry] = ACTIONS(275),
    [sym_keyword_geography] = ACTIONS(275),
    [sym_keyword_box2d] = ACTIONS(275),
    [sym_keyword_box3d] = ACTIONS(275),
    [sym_keyword_oid] = ACTIONS(275),
    [sym_keyword_name] = ACTIONS(275),
    [sym_keyword_regclass] = ACTIONS(275),
    [sym_keyword_regnamespace] = ACTIONS(275),
    [sym_keyword_regproc] = ACTIONS(275),
    [sym_keyword_regtype] = ACTIONS(275),
    [aux_sym_double_token1] = ACTIONS(113),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(277),
    [aux_sym_identifier_token1] = ACTIONS(277),
  },
  [86] = {
    [aux_sym__single_quote_string_repeat1] = STATE(88),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__identifier] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [sym_keyword_create] = ACTIONS(1363),
    [sym_keyword_increment] = ACTIONS(1363),
    [sym_keyword_minvalue] = ACTIONS(1363),
    [sym_keyword_maxvalue] = ACTIONS(1363),
    [sym_keyword_owned] = ACTIONS(1363),
    [sym_keyword_start] = ACTIONS(1363),
    [sym_keyword_restart] = ACTIONS(1363),
    [sym_keyword_as] = ACTIONS(1363),
    [sym_keyword_not] = ACTIONS(1363),
    [aux_sym_keyword_character_token1] = ACTIONS(1363),
    [sym_keyword_no] = ACTIONS(1363),
    [sym_keyword_cycle] = ACTIONS(1363),
    [sym_keyword_begin] = ACTIONS(1363),
    [sym_keyword_rows] = ACTIONS(1363),
    [sym_keyword_unsigned] = ACTIONS(1363),
    [sym_keyword_returns] = ACTIONS(1363),
    [sym_keyword_return] = ACTIONS(1363),
    [sym_keyword_language] = ACTIONS(1363),
    [sym_keyword_immutable] = ACTIONS(1363),
    [sym_keyword_stable] = ACTIONS(1363),
    [sym_keyword_volatile] = ACTIONS(1363),
    [sym_keyword_leakproof] = ACTIONS(1363),
    [sym_keyword_parallel] = ACTIONS(1363),
    [sym_keyword_called] = ACTIONS(1363),
    [sym_keyword_strict] = ACTIONS(1363),
    [sym_keyword_cost] = ACTIONS(1363),
    [sym_keyword_support] = ACTIONS(1363),
    [sym_keyword_security] = ACTIONS(1363),
    [sym_keyword_external] = ACTIONS(1363),
    [sym_keyword_cache] = ACTIONS(1363),
    [sym_keyword_boolean] = ACTIONS(1363),
    [sym_keyword_bit] = ACTIONS(1363),
    [sym_keyword_binary] = ACTIONS(1363),
    [sym_keyword_varbinary] = ACTIONS(1363),
    [sym_keyword_image] = ACTIONS(1363),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1363),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1363),
    [aux_sym_keyword_serial_token1] = ACTIONS(1363),
    [aux_sym_keyword_serial_token2] = ACTIONS(1363),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1363),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1363),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1363),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1363),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1363),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1363),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1363),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1363),
    [aux_sym_keyword_int_token1] = ACTIONS(1363),
    [aux_sym_keyword_int_token2] = ACTIONS(1363),
    [aux_sym_keyword_int_token3] = ACTIONS(1363),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1363),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1363),
    [sym_keyword_decimal] = ACTIONS(1363),
    [sym_keyword_numeric] = ACTIONS(1363),
    [aux_sym_keyword_real_token1] = ACTIONS(1363),
    [aux_sym_keyword_real_token2] = ACTIONS(1363),
    [sym_keyword_float] = ACTIONS(1363),
    [sym_keyword_double] = ACTIONS(1363),
    [sym_keyword_inet] = ACTIONS(1363),
    [sym_keyword_money] = ACTIONS(1363),
    [sym_keyword_smallmoney] = ACTIONS(1363),
    [aux_sym_keyword_char_token1] = ACTIONS(1363),
    [sym_keyword_nchar] = ACTIONS(1363),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1363),
    [sym_keyword_nvarchar] = ACTIONS(1363),
    [sym_keyword_text] = ACTIONS(1363),
    [sym_keyword_string] = ACTIONS(1363),
    [sym_keyword_uuid] = ACTIONS(1363),
    [sym_keyword_json] = ACTIONS(1363),
    [sym_keyword_jsonb] = ACTIONS(1363),
    [sym_keyword_xml] = ACTIONS(1363),
    [sym_keyword_bytea] = ACTIONS(1363),
    [sym_keyword_enum] = ACTIONS(1363),
    [sym_keyword_date] = ACTIONS(1363),
    [sym_keyword_datetime] = ACTIONS(1363),
    [sym_keyword_datetime2] = ACTIONS(1363),
    [sym_keyword_smalldatetime] = ACTIONS(1363),
    [sym_keyword_datetimeoffset] = ACTIONS(1363),
    [sym_keyword_time] = ACTIONS(1363),
    [sym_keyword_timestamp] = ACTIONS(1363),
    [sym_keyword_timestamptz] = ACTIONS(1363),
    [sym_keyword_interval] = ACTIONS(1363),
    [sym_keyword_geometry] = ACTIONS(1363),
    [sym_keyword_geography] = ACTIONS(1363),
    [sym_keyword_box2d] = ACTIONS(1363),
    [sym_keyword_box3d] = ACTIONS(1363),
    [sym_keyword_oid] = ACTIONS(1363),
    [sym_keyword_name] = ACTIONS(1363),
    [sym_keyword_regclass] = ACTIONS(1363),
    [sym_keyword_regnamespace] = ACTIONS(1363),
    [sym_keyword_regproc] = ACTIONS(1363),
    [sym_keyword_regtype] = ACTIONS(1363),
    [anon_sym_RPAREN] = ACTIONS(1361),
    [aux_sym_double_token1] = ACTIONS(1363),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1361),
    [aux_sym__single_quote_string_token2] = ACTIONS(1365),
    [aux_sym_identifier_token1] = ACTIONS(1361),
  },
  [87] = {
    [aux_sym__single_quote_string_repeat1] = STATE(86),
    [ts_builtin_sym_end] = ACTIONS(1367),
    [sym__identifier] = ACTIONS(1369),
    [anon_sym_SEMI] = ACTIONS(1367),
    [sym_keyword_create] = ACTIONS(1369),
    [sym_keyword_increment] = ACTIONS(1369),
    [sym_keyword_minvalue] = ACTIONS(1369),
    [sym_keyword_maxvalue] = ACTIONS(1369),
    [sym_keyword_owned] = ACTIONS(1369),
    [sym_keyword_start] = ACTIONS(1369),
    [sym_keyword_restart] = ACTIONS(1369),
    [sym_keyword_as] = ACTIONS(1369),
    [sym_keyword_not] = ACTIONS(1369),
    [aux_sym_keyword_character_token1] = ACTIONS(1369),
    [sym_keyword_no] = ACTIONS(1369),
    [sym_keyword_cycle] = ACTIONS(1369),
    [sym_keyword_begin] = ACTIONS(1369),
    [sym_keyword_rows] = ACTIONS(1369),
    [sym_keyword_unsigned] = ACTIONS(1369),
    [sym_keyword_returns] = ACTIONS(1369),
    [sym_keyword_return] = ACTIONS(1369),
    [sym_keyword_language] = ACTIONS(1369),
    [sym_keyword_immutable] = ACTIONS(1369),
    [sym_keyword_stable] = ACTIONS(1369),
    [sym_keyword_volatile] = ACTIONS(1369),
    [sym_keyword_leakproof] = ACTIONS(1369),
    [sym_keyword_parallel] = ACTIONS(1369),
    [sym_keyword_called] = ACTIONS(1369),
    [sym_keyword_strict] = ACTIONS(1369),
    [sym_keyword_cost] = ACTIONS(1369),
    [sym_keyword_support] = ACTIONS(1369),
    [sym_keyword_security] = ACTIONS(1369),
    [sym_keyword_external] = ACTIONS(1369),
    [sym_keyword_cache] = ACTIONS(1369),
    [sym_keyword_boolean] = ACTIONS(1369),
    [sym_keyword_bit] = ACTIONS(1369),
    [sym_keyword_binary] = ACTIONS(1369),
    [sym_keyword_varbinary] = ACTIONS(1369),
    [sym_keyword_image] = ACTIONS(1369),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1369),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1369),
    [aux_sym_keyword_serial_token1] = ACTIONS(1369),
    [aux_sym_keyword_serial_token2] = ACTIONS(1369),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1369),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1369),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1369),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1369),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1369),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1369),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1369),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1369),
    [aux_sym_keyword_int_token1] = ACTIONS(1369),
    [aux_sym_keyword_int_token2] = ACTIONS(1369),
    [aux_sym_keyword_int_token3] = ACTIONS(1369),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1369),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1369),
    [sym_keyword_decimal] = ACTIONS(1369),
    [sym_keyword_numeric] = ACTIONS(1369),
    [aux_sym_keyword_real_token1] = ACTIONS(1369),
    [aux_sym_keyword_real_token2] = ACTIONS(1369),
    [sym_keyword_float] = ACTIONS(1369),
    [sym_keyword_double] = ACTIONS(1369),
    [sym_keyword_inet] = ACTIONS(1369),
    [sym_keyword_money] = ACTIONS(1369),
    [sym_keyword_smallmoney] = ACTIONS(1369),
    [aux_sym_keyword_char_token1] = ACTIONS(1369),
    [sym_keyword_nchar] = ACTIONS(1369),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1369),
    [sym_keyword_nvarchar] = ACTIONS(1369),
    [sym_keyword_text] = ACTIONS(1369),
    [sym_keyword_string] = ACTIONS(1369),
    [sym_keyword_uuid] = ACTIONS(1369),
    [sym_keyword_json] = ACTIONS(1369),
    [sym_keyword_jsonb] = ACTIONS(1369),
    [sym_keyword_xml] = ACTIONS(1369),
    [sym_keyword_bytea] = ACTIONS(1369),
    [sym_keyword_enum] = ACTIONS(1369),
    [sym_keyword_date] = ACTIONS(1369),
    [sym_keyword_datetime] = ACTIONS(1369),
    [sym_keyword_datetime2] = ACTIONS(1369),
    [sym_keyword_smalldatetime] = ACTIONS(1369),
    [sym_keyword_datetimeoffset] = ACTIONS(1369),
    [sym_keyword_time] = ACTIONS(1369),
    [sym_keyword_timestamp] = ACTIONS(1369),
    [sym_keyword_timestamptz] = ACTIONS(1369),
    [sym_keyword_interval] = ACTIONS(1369),
    [sym_keyword_geometry] = ACTIONS(1369),
    [sym_keyword_geography] = ACTIONS(1369),
    [sym_keyword_box2d] = ACTIONS(1369),
    [sym_keyword_box3d] = ACTIONS(1369),
    [sym_keyword_oid] = ACTIONS(1369),
    [sym_keyword_name] = ACTIONS(1369),
    [sym_keyword_regclass] = ACTIONS(1369),
    [sym_keyword_regnamespace] = ACTIONS(1369),
    [sym_keyword_regproc] = ACTIONS(1369),
    [sym_keyword_regtype] = ACTIONS(1369),
    [anon_sym_RPAREN] = ACTIONS(1367),
    [aux_sym_double_token1] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1367),
    [aux_sym__single_quote_string_token2] = ACTIONS(1371),
    [aux_sym_identifier_token1] = ACTIONS(1367),
  },
  [88] = {
    [aux_sym__single_quote_string_repeat1] = STATE(88),
    [ts_builtin_sym_end] = ACTIONS(1373),
    [sym__identifier] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1373),
    [sym_keyword_create] = ACTIONS(1375),
    [sym_keyword_increment] = ACTIONS(1375),
    [sym_keyword_minvalue] = ACTIONS(1375),
    [sym_keyword_maxvalue] = ACTIONS(1375),
    [sym_keyword_owned] = ACTIONS(1375),
    [sym_keyword_start] = ACTIONS(1375),
    [sym_keyword_restart] = ACTIONS(1375),
    [sym_keyword_as] = ACTIONS(1375),
    [sym_keyword_not] = ACTIONS(1375),
    [aux_sym_keyword_character_token1] = ACTIONS(1375),
    [sym_keyword_no] = ACTIONS(1375),
    [sym_keyword_cycle] = ACTIONS(1375),
    [sym_keyword_begin] = ACTIONS(1375),
    [sym_keyword_rows] = ACTIONS(1375),
    [sym_keyword_unsigned] = ACTIONS(1375),
    [sym_keyword_returns] = ACTIONS(1375),
    [sym_keyword_return] = ACTIONS(1375),
    [sym_keyword_language] = ACTIONS(1375),
    [sym_keyword_immutable] = ACTIONS(1375),
    [sym_keyword_stable] = ACTIONS(1375),
    [sym_keyword_volatile] = ACTIONS(1375),
    [sym_keyword_leakproof] = ACTIONS(1375),
    [sym_keyword_parallel] = ACTIONS(1375),
    [sym_keyword_called] = ACTIONS(1375),
    [sym_keyword_strict] = ACTIONS(1375),
    [sym_keyword_cost] = ACTIONS(1375),
    [sym_keyword_support] = ACTIONS(1375),
    [sym_keyword_security] = ACTIONS(1375),
    [sym_keyword_external] = ACTIONS(1375),
    [sym_keyword_cache] = ACTIONS(1375),
    [sym_keyword_boolean] = ACTIONS(1375),
    [sym_keyword_bit] = ACTIONS(1375),
    [sym_keyword_binary] = ACTIONS(1375),
    [sym_keyword_varbinary] = ACTIONS(1375),
    [sym_keyword_image] = ACTIONS(1375),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1375),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1375),
    [aux_sym_keyword_serial_token1] = ACTIONS(1375),
    [aux_sym_keyword_serial_token2] = ACTIONS(1375),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1375),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1375),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1375),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1375),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1375),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1375),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1375),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1375),
    [aux_sym_keyword_int_token1] = ACTIONS(1375),
    [aux_sym_keyword_int_token2] = ACTIONS(1375),
    [aux_sym_keyword_int_token3] = ACTIONS(1375),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1375),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1375),
    [sym_keyword_decimal] = ACTIONS(1375),
    [sym_keyword_numeric] = ACTIONS(1375),
    [aux_sym_keyword_real_token1] = ACTIONS(1375),
    [aux_sym_keyword_real_token2] = ACTIONS(1375),
    [sym_keyword_float] = ACTIONS(1375),
    [sym_keyword_double] = ACTIONS(1375),
    [sym_keyword_inet] = ACTIONS(1375),
    [sym_keyword_money] = ACTIONS(1375),
    [sym_keyword_smallmoney] = ACTIONS(1375),
    [aux_sym_keyword_char_token1] = ACTIONS(1375),
    [sym_keyword_nchar] = ACTIONS(1375),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1375),
    [sym_keyword_nvarchar] = ACTIONS(1375),
    [sym_keyword_text] = ACTIONS(1375),
    [sym_keyword_string] = ACTIONS(1375),
    [sym_keyword_uuid] = ACTIONS(1375),
    [sym_keyword_json] = ACTIONS(1375),
    [sym_keyword_jsonb] = ACTIONS(1375),
    [sym_keyword_xml] = ACTIONS(1375),
    [sym_keyword_bytea] = ACTIONS(1375),
    [sym_keyword_enum] = ACTIONS(1375),
    [sym_keyword_date] = ACTIONS(1375),
    [sym_keyword_datetime] = ACTIONS(1375),
    [sym_keyword_datetime2] = ACTIONS(1375),
    [sym_keyword_smalldatetime] = ACTIONS(1375),
    [sym_keyword_datetimeoffset] = ACTIONS(1375),
    [sym_keyword_time] = ACTIONS(1375),
    [sym_keyword_timestamp] = ACTIONS(1375),
    [sym_keyword_timestamptz] = ACTIONS(1375),
    [sym_keyword_interval] = ACTIONS(1375),
    [sym_keyword_geometry] = ACTIONS(1375),
    [sym_keyword_geography] = ACTIONS(1375),
    [sym_keyword_box2d] = ACTIONS(1375),
    [sym_keyword_box3d] = ACTIONS(1375),
    [sym_keyword_oid] = ACTIONS(1375),
    [sym_keyword_name] = ACTIONS(1375),
    [sym_keyword_regclass] = ACTIONS(1375),
    [sym_keyword_regnamespace] = ACTIONS(1375),
    [sym_keyword_regproc] = ACTIONS(1375),
    [sym_keyword_regtype] = ACTIONS(1375),
    [anon_sym_RPAREN] = ACTIONS(1373),
    [aux_sym_double_token1] = ACTIONS(1375),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1373),
    [aux_sym__single_quote_string_token2] = ACTIONS(1377),
    [aux_sym_identifier_token1] = ACTIONS(1373),
  },
  [89] = {
    [ts_builtin_sym_end] = ACTIONS(1380),
    [sym__identifier] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1380),
    [sym_keyword_create] = ACTIONS(1382),
    [sym_keyword_increment] = ACTIONS(1382),
    [sym_keyword_minvalue] = ACTIONS(1382),
    [sym_keyword_maxvalue] = ACTIONS(1382),
    [sym_keyword_owned] = ACTIONS(1382),
    [sym_keyword_start] = ACTIONS(1382),
    [sym_keyword_restart] = ACTIONS(1382),
    [sym_keyword_as] = ACTIONS(1382),
    [sym_keyword_not] = ACTIONS(1382),
    [aux_sym_keyword_character_token1] = ACTIONS(1382),
    [sym_keyword_no] = ACTIONS(1382),
    [sym_keyword_cycle] = ACTIONS(1382),
    [sym_keyword_begin] = ACTIONS(1382),
    [sym_keyword_rows] = ACTIONS(1382),
    [sym_keyword_unsigned] = ACTIONS(1382),
    [sym_keyword_returns] = ACTIONS(1382),
    [sym_keyword_return] = ACTIONS(1382),
    [sym_keyword_language] = ACTIONS(1382),
    [sym_keyword_immutable] = ACTIONS(1382),
    [sym_keyword_stable] = ACTIONS(1382),
    [sym_keyword_volatile] = ACTIONS(1382),
    [sym_keyword_leakproof] = ACTIONS(1382),
    [sym_keyword_parallel] = ACTIONS(1382),
    [sym_keyword_called] = ACTIONS(1382),
    [sym_keyword_strict] = ACTIONS(1382),
    [sym_keyword_cost] = ACTIONS(1382),
    [sym_keyword_support] = ACTIONS(1382),
    [sym_keyword_security] = ACTIONS(1382),
    [sym_keyword_external] = ACTIONS(1382),
    [sym_keyword_cache] = ACTIONS(1382),
    [sym_keyword_boolean] = ACTIONS(1382),
    [sym_keyword_bit] = ACTIONS(1382),
    [sym_keyword_binary] = ACTIONS(1382),
    [sym_keyword_varbinary] = ACTIONS(1382),
    [sym_keyword_image] = ACTIONS(1382),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1382),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1382),
    [aux_sym_keyword_serial_token1] = ACTIONS(1382),
    [aux_sym_keyword_serial_token2] = ACTIONS(1382),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1382),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1382),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1382),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1382),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1382),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1382),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1382),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1382),
    [aux_sym_keyword_int_token1] = ACTIONS(1382),
    [aux_sym_keyword_int_token2] = ACTIONS(1382),
    [aux_sym_keyword_int_token3] = ACTIONS(1382),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1382),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1382),
    [sym_keyword_decimal] = ACTIONS(1382),
    [sym_keyword_numeric] = ACTIONS(1382),
    [aux_sym_keyword_real_token1] = ACTIONS(1382),
    [aux_sym_keyword_real_token2] = ACTIONS(1382),
    [sym_keyword_float] = ACTIONS(1382),
    [sym_keyword_double] = ACTIONS(1382),
    [sym_keyword_inet] = ACTIONS(1382),
    [sym_keyword_money] = ACTIONS(1382),
    [sym_keyword_smallmoney] = ACTIONS(1382),
    [aux_sym_keyword_char_token1] = ACTIONS(1382),
    [sym_keyword_nchar] = ACTIONS(1382),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1382),
    [sym_keyword_nvarchar] = ACTIONS(1382),
    [sym_keyword_text] = ACTIONS(1382),
    [sym_keyword_string] = ACTIONS(1382),
    [sym_keyword_uuid] = ACTIONS(1382),
    [sym_keyword_json] = ACTIONS(1382),
    [sym_keyword_jsonb] = ACTIONS(1382),
    [sym_keyword_xml] = ACTIONS(1382),
    [sym_keyword_bytea] = ACTIONS(1382),
    [sym_keyword_enum] = ACTIONS(1382),
    [sym_keyword_date] = ACTIONS(1382),
    [sym_keyword_datetime] = ACTIONS(1382),
    [sym_keyword_datetime2] = ACTIONS(1382),
    [sym_keyword_smalldatetime] = ACTIONS(1382),
    [sym_keyword_datetimeoffset] = ACTIONS(1382),
    [sym_keyword_time] = ACTIONS(1382),
    [sym_keyword_timestamp] = ACTIONS(1382),
    [sym_keyword_timestamptz] = ACTIONS(1382),
    [sym_keyword_interval] = ACTIONS(1382),
    [sym_keyword_geometry] = ACTIONS(1382),
    [sym_keyword_geography] = ACTIONS(1382),
    [sym_keyword_box2d] = ACTIONS(1382),
    [sym_keyword_box3d] = ACTIONS(1382),
    [sym_keyword_oid] = ACTIONS(1382),
    [sym_keyword_name] = ACTIONS(1382),
    [sym_keyword_regclass] = ACTIONS(1382),
    [sym_keyword_regnamespace] = ACTIONS(1382),
    [sym_keyword_regproc] = ACTIONS(1382),
    [sym_keyword_regtype] = ACTIONS(1382),
    [anon_sym_RPAREN] = ACTIONS(1380),
    [aux_sym_double_token1] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1380),
    [aux_sym_identifier_token1] = ACTIONS(1380),
  },
  [90] = {
    [ts_builtin_sym_end] = ACTIONS(1384),
    [sym__identifier] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1384),
    [sym_keyword_select] = ACTIONS(1386),
    [sym_keyword_show] = ACTIONS(1386),
    [sym_keyword_values] = ACTIONS(1386),
    [sym_keyword_set] = ACTIONS(1386),
    [sym_keyword_from] = ACTIONS(1386),
    [sym_keyword_on] = ACTIONS(1386),
    [sym_keyword_partition] = ACTIONS(1386),
    [sym_keyword_primary] = ACTIONS(1386),
    [sym_keyword_create] = ACTIONS(1386),
    [sym_keyword_alter] = ACTIONS(1386),
    [sym_keyword_drop] = ACTIONS(1386),
    [sym_keyword_add] = ACTIONS(1386),
    [sym_keyword_as] = ACTIONS(1386),
    [sym_keyword_constraint] = ACTIONS(1386),
    [sym_keyword_when] = ACTIONS(1386),
    [sym_keyword_in] = ACTIONS(1386),
    [sym_keyword_and] = ACTIONS(1386),
    [sym_keyword_or] = ACTIONS(1386),
    [sym_keyword_is] = ACTIONS(1386),
    [sym_keyword_not] = ACTIONS(1386),
    [sym_keyword_force] = ACTIONS(1386),
    [sym_keyword_using] = ACTIONS(1386),
    [sym_keyword_collate] = ACTIONS(1386),
    [sym_keyword_default] = ACTIONS(1386),
    [sym_keyword_cascade] = ACTIONS(1386),
    [sym_keyword_restrict] = ACTIONS(1386),
    [sym_keyword_with] = ACTIONS(1386),
    [sym_keyword_type] = ACTIONS(1386),
    [sym_keyword_rename] = ACTIONS(1386),
    [sym_keyword_to] = ACTIONS(1386),
    [sym_keyword_schema] = ACTIONS(1386),
    [sym_keyword_owner] = ACTIONS(1386),
    [sym_keyword_reset] = ACTIONS(1386),
    [sym_keyword_temp] = ACTIONS(1386),
    [sym_keyword_temporary] = ACTIONS(1386),
    [sym_keyword_union] = ACTIONS(1386),
    [sym_keyword_except] = ACTIONS(1386),
    [sym_keyword_intersect] = ACTIONS(1386),
    [sym_keyword_returning] = ACTIONS(1386),
    [sym_keyword_rows] = ACTIONS(1386),
    [sym_keyword_between] = ACTIONS(1386),
    [aux_sym_keyword_like_token1] = ACTIONS(1386),
    [aux_sym_keyword_like_token2] = ACTIONS(1386),
    [sym_keyword_similar] = ACTIONS(1386),
    [sym_keyword_check] = ACTIONS(1386),
    [sym_keyword_wait] = ACTIONS(1386),
    [sym_keyword_nowait] = ACTIONS(1386),
    [sym_keyword_authorization] = ACTIONS(1386),
    [sym_keyword_trigger] = ACTIONS(1386),
    [sym_keyword_returns] = ACTIONS(1386),
    [sym_keyword_language] = ACTIONS(1386),
    [sym_keyword_immutable] = ACTIONS(1386),
    [sym_keyword_stable] = ACTIONS(1386),
    [sym_keyword_volatile] = ACTIONS(1386),
    [sym_keyword_leakproof] = ACTIONS(1386),
    [sym_keyword_parallel] = ACTIONS(1386),
    [sym_keyword_called] = ACTIONS(1386),
    [sym_keyword_strict] = ACTIONS(1386),
    [sym_keyword_cost] = ACTIONS(1386),
    [sym_keyword_support] = ACTIONS(1386),
    [sym_keyword_security] = ACTIONS(1386),
    [sym_keyword_version] = ACTIONS(1386),
    [sym_keyword_immediate] = ACTIONS(1386),
    [sym_keyword_deferred] = ACTIONS(1386),
    [sym_keyword_external] = ACTIONS(1386),
    [sym_keyword_compute] = ACTIONS(1386),
    [sym_keyword_rewrite] = ACTIONS(1386),
    [sym_keyword_partitioned] = ACTIONS(1386),
    [sym_keyword_array] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1384),
    [anon_sym_RPAREN] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1384),
    [anon_sym_COLON_EQ] = ACTIONS(1384),
    [anon_sym_DOT] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_COLON_COLON] = ACTIONS(1384),
    [anon_sym_LT] = ACTIONS(1386),
    [anon_sym_GT] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1384),
    [anon_sym_GT_EQ] = ACTIONS(1384),
    [sym_op_other] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1386),
    [anon_sym_PERCENT] = ACTIONS(1384),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1384),
    [anon_sym_LT_GT] = ACTIONS(1384),
    [sym__double_quote_string] = ACTIONS(1384),
    [aux_sym__single_quote_string_token1] = ACTIONS(1384),
    [aux_sym_identifier_token1] = ACTIONS(1384),
  },
  [91] = {
    [sym__commit] = STATE(13835),
    [sym__rollback] = STATE(13835),
    [sym_statement] = STATE(13847),
    [sym__ddl_statement] = STATE(10852),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10873),
    [sym__dml_read] = STATE(10914),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10852),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10852),
    [sym_create_table] = STATE(10852),
    [sym_reset_statement] = STATE(10852),
    [sym_set_statement] = STATE(10852),
    [sym_create_view] = STATE(10852),
    [sym_create_materialized_view] = STATE(10852),
    [sym_create_function] = STATE(10852),
    [sym_create_index] = STATE(10852),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10852),
    [sym_create_role] = STATE(10852),
    [sym_create_sequence] = STATE(10852),
    [sym_create_extension] = STATE(10852),
    [sym_create_trigger] = STATE(10852),
    [sym_create_type] = STATE(10852),
    [sym__alter_statement] = STATE(10852),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10852),
    [sym_alter_view] = STATE(10852),
    [sym_alter_schema] = STATE(10852),
    [sym_alter_database] = STATE(10852),
    [sym_alter_role] = STATE(10852),
    [sym_alter_index] = STATE(10852),
    [sym_alter_sequence] = STATE(10852),
    [sym_alter_type] = STATE(10852),
    [sym__drop_statement] = STATE(10852),
    [sym_drop_table] = STATE(10852),
    [sym_drop_view] = STATE(10852),
    [sym_drop_schema] = STATE(10852),
    [sym_drop_database] = STATE(10852),
    [sym_drop_role] = STATE(10852),
    [sym_drop_type] = STATE(10852),
    [sym_drop_sequence] = STATE(10852),
    [sym_drop_index] = STATE(10852),
    [sym_drop_extension] = STATE(10852),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10852),
    [sym__compute_stats] = STATE(10852),
    [sym__optimize_table] = STATE(10852),
    [sym__vacuum_table] = STATE(10852),
    [sym_update] = STATE(9692),
    [aux_sym_transaction_repeat1] = STATE(96),
    [anon_sym_SEMI] = ACTIONS(1388),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_end] = ACTIONS(1390),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_commit] = ACTIONS(1392),
    [sym_keyword_rollback] = ACTIONS(1394),
    [sym_keyword_transaction] = ACTIONS(1396),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [92] = {
    [sym__commit] = STATE(14280),
    [sym__rollback] = STATE(14280),
    [sym_statement] = STATE(13847),
    [sym__ddl_statement] = STATE(10852),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10873),
    [sym__dml_read] = STATE(10914),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10852),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10852),
    [sym_create_table] = STATE(10852),
    [sym_reset_statement] = STATE(10852),
    [sym_set_statement] = STATE(10852),
    [sym_create_view] = STATE(10852),
    [sym_create_materialized_view] = STATE(10852),
    [sym_create_function] = STATE(10852),
    [sym_create_index] = STATE(10852),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10852),
    [sym_create_role] = STATE(10852),
    [sym_create_sequence] = STATE(10852),
    [sym_create_extension] = STATE(10852),
    [sym_create_trigger] = STATE(10852),
    [sym_create_type] = STATE(10852),
    [sym__alter_statement] = STATE(10852),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10852),
    [sym_alter_view] = STATE(10852),
    [sym_alter_schema] = STATE(10852),
    [sym_alter_database] = STATE(10852),
    [sym_alter_role] = STATE(10852),
    [sym_alter_index] = STATE(10852),
    [sym_alter_sequence] = STATE(10852),
    [sym_alter_type] = STATE(10852),
    [sym__drop_statement] = STATE(10852),
    [sym_drop_table] = STATE(10852),
    [sym_drop_view] = STATE(10852),
    [sym_drop_schema] = STATE(10852),
    [sym_drop_database] = STATE(10852),
    [sym_drop_role] = STATE(10852),
    [sym_drop_type] = STATE(10852),
    [sym_drop_sequence] = STATE(10852),
    [sym_drop_index] = STATE(10852),
    [sym_drop_extension] = STATE(10852),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10852),
    [sym__compute_stats] = STATE(10852),
    [sym__optimize_table] = STATE(10852),
    [sym__vacuum_table] = STATE(10852),
    [sym_update] = STATE(9692),
    [aux_sym_transaction_repeat1] = STATE(94),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_end] = ACTIONS(1398),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_commit] = ACTIONS(1392),
    [sym_keyword_rollback] = ACTIONS(1394),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [93] = {
    [sym__commit] = STATE(14280),
    [sym__rollback] = STATE(14280),
    [sym_statement] = STATE(13847),
    [sym__ddl_statement] = STATE(10852),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10873),
    [sym__dml_read] = STATE(10914),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10852),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10852),
    [sym_create_table] = STATE(10852),
    [sym_reset_statement] = STATE(10852),
    [sym_set_statement] = STATE(10852),
    [sym_create_view] = STATE(10852),
    [sym_create_materialized_view] = STATE(10852),
    [sym_create_function] = STATE(10852),
    [sym_create_index] = STATE(10852),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10852),
    [sym_create_role] = STATE(10852),
    [sym_create_sequence] = STATE(10852),
    [sym_create_extension] = STATE(10852),
    [sym_create_trigger] = STATE(10852),
    [sym_create_type] = STATE(10852),
    [sym__alter_statement] = STATE(10852),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10852),
    [sym_alter_view] = STATE(10852),
    [sym_alter_schema] = STATE(10852),
    [sym_alter_database] = STATE(10852),
    [sym_alter_role] = STATE(10852),
    [sym_alter_index] = STATE(10852),
    [sym_alter_sequence] = STATE(10852),
    [sym_alter_type] = STATE(10852),
    [sym__drop_statement] = STATE(10852),
    [sym_drop_table] = STATE(10852),
    [sym_drop_view] = STATE(10852),
    [sym_drop_schema] = STATE(10852),
    [sym_drop_database] = STATE(10852),
    [sym_drop_role] = STATE(10852),
    [sym_drop_type] = STATE(10852),
    [sym_drop_sequence] = STATE(10852),
    [sym_drop_index] = STATE(10852),
    [sym_drop_extension] = STATE(10852),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10852),
    [sym__compute_stats] = STATE(10852),
    [sym__optimize_table] = STATE(10852),
    [sym__vacuum_table] = STATE(10852),
    [sym_update] = STATE(9692),
    [aux_sym_transaction_repeat1] = STATE(97),
    [anon_sym_SEMI] = ACTIONS(1400),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_commit] = ACTIONS(1392),
    [sym_keyword_rollback] = ACTIONS(1394),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [94] = {
    [sym__commit] = STATE(12920),
    [sym__rollback] = STATE(12920),
    [sym_statement] = STATE(13847),
    [sym__ddl_statement] = STATE(10852),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10873),
    [sym__dml_read] = STATE(10914),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10852),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10852),
    [sym_create_table] = STATE(10852),
    [sym_reset_statement] = STATE(10852),
    [sym_set_statement] = STATE(10852),
    [sym_create_view] = STATE(10852),
    [sym_create_materialized_view] = STATE(10852),
    [sym_create_function] = STATE(10852),
    [sym_create_index] = STATE(10852),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10852),
    [sym_create_role] = STATE(10852),
    [sym_create_sequence] = STATE(10852),
    [sym_create_extension] = STATE(10852),
    [sym_create_trigger] = STATE(10852),
    [sym_create_type] = STATE(10852),
    [sym__alter_statement] = STATE(10852),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10852),
    [sym_alter_view] = STATE(10852),
    [sym_alter_schema] = STATE(10852),
    [sym_alter_database] = STATE(10852),
    [sym_alter_role] = STATE(10852),
    [sym_alter_index] = STATE(10852),
    [sym_alter_sequence] = STATE(10852),
    [sym_alter_type] = STATE(10852),
    [sym__drop_statement] = STATE(10852),
    [sym_drop_table] = STATE(10852),
    [sym_drop_view] = STATE(10852),
    [sym_drop_schema] = STATE(10852),
    [sym_drop_database] = STATE(10852),
    [sym_drop_role] = STATE(10852),
    [sym_drop_type] = STATE(10852),
    [sym_drop_sequence] = STATE(10852),
    [sym_drop_index] = STATE(10852),
    [sym_drop_extension] = STATE(10852),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10852),
    [sym__compute_stats] = STATE(10852),
    [sym__optimize_table] = STATE(10852),
    [sym__vacuum_table] = STATE(10852),
    [sym_update] = STATE(9692),
    [aux_sym_transaction_repeat1] = STATE(115),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_end] = ACTIONS(1402),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_commit] = ACTIONS(1392),
    [sym_keyword_rollback] = ACTIONS(1394),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [95] = {
    [sym__identifier] = ACTIONS(1386),
    [sym_keyword_desc] = ACTIONS(1386),
    [sym_keyword_asc] = ACTIONS(1386),
    [sym_keyword_primary] = ACTIONS(1386),
    [sym_keyword_key] = ACTIONS(1386),
    [sym_keyword_constraint] = ACTIONS(1386),
    [sym_keyword_index] = ACTIONS(1386),
    [sym_keyword_collate] = ACTIONS(1386),
    [aux_sym_keyword_character_token1] = ACTIONS(1386),
    [sym_keyword_default] = ACTIONS(1386),
    [sym_keyword_nulls] = ACTIONS(1386),
    [sym_keyword_unique] = ACTIONS(1386),
    [sym_keyword_foreign] = ACTIONS(1386),
    [sym_keyword_unsigned] = ACTIONS(1386),
    [sym_keyword_check] = ACTIONS(1386),
    [sym_keyword_boolean] = ACTIONS(1386),
    [sym_keyword_bit] = ACTIONS(1386),
    [sym_keyword_binary] = ACTIONS(1386),
    [sym_keyword_varbinary] = ACTIONS(1386),
    [sym_keyword_image] = ACTIONS(1386),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1386),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1386),
    [aux_sym_keyword_serial_token1] = ACTIONS(1386),
    [aux_sym_keyword_serial_token2] = ACTIONS(1386),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1386),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1386),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1386),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1386),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1386),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1386),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1386),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1386),
    [aux_sym_keyword_int_token1] = ACTIONS(1386),
    [aux_sym_keyword_int_token2] = ACTIONS(1386),
    [aux_sym_keyword_int_token3] = ACTIONS(1386),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1386),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1386),
    [sym_keyword_decimal] = ACTIONS(1386),
    [sym_keyword_numeric] = ACTIONS(1386),
    [aux_sym_keyword_real_token1] = ACTIONS(1386),
    [aux_sym_keyword_real_token2] = ACTIONS(1386),
    [sym_keyword_float] = ACTIONS(1386),
    [sym_keyword_double] = ACTIONS(1386),
    [sym_keyword_inet] = ACTIONS(1386),
    [sym_keyword_money] = ACTIONS(1386),
    [sym_keyword_smallmoney] = ACTIONS(1386),
    [aux_sym_keyword_char_token1] = ACTIONS(1386),
    [sym_keyword_nchar] = ACTIONS(1386),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1386),
    [sym_keyword_nvarchar] = ACTIONS(1386),
    [sym_keyword_text] = ACTIONS(1386),
    [sym_keyword_string] = ACTIONS(1386),
    [sym_keyword_uuid] = ACTIONS(1386),
    [sym_keyword_json] = ACTIONS(1386),
    [sym_keyword_jsonb] = ACTIONS(1386),
    [sym_keyword_xml] = ACTIONS(1386),
    [sym_keyword_bytea] = ACTIONS(1386),
    [sym_keyword_enum] = ACTIONS(1386),
    [sym_keyword_date] = ACTIONS(1386),
    [sym_keyword_datetime] = ACTIONS(1386),
    [sym_keyword_datetime2] = ACTIONS(1386),
    [sym_keyword_smalldatetime] = ACTIONS(1386),
    [sym_keyword_datetimeoffset] = ACTIONS(1386),
    [sym_keyword_time] = ACTIONS(1386),
    [sym_keyword_timestamp] = ACTIONS(1386),
    [sym_keyword_timestamptz] = ACTIONS(1386),
    [sym_keyword_interval] = ACTIONS(1386),
    [sym_keyword_geometry] = ACTIONS(1386),
    [sym_keyword_geography] = ACTIONS(1386),
    [sym_keyword_box2d] = ACTIONS(1386),
    [sym_keyword_box3d] = ACTIONS(1386),
    [sym_keyword_oid] = ACTIONS(1386),
    [sym_keyword_name] = ACTIONS(1386),
    [sym_keyword_regclass] = ACTIONS(1386),
    [sym_keyword_regnamespace] = ACTIONS(1386),
    [sym_keyword_regproc] = ACTIONS(1386),
    [sym_keyword_regtype] = ACTIONS(1386),
    [sym_keyword_array] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1384),
    [anon_sym_RPAREN] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1384),
    [aux_sym_double_token1] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1384),
    [anon_sym_DOT] = ACTIONS(1384),
    [sym__double_quote_string] = ACTIONS(1384),
    [aux_sym_identifier_token1] = ACTIONS(1384),
  },
  [96] = {
    [sym__commit] = STATE(14280),
    [sym__rollback] = STATE(14280),
    [sym_statement] = STATE(13847),
    [sym__ddl_statement] = STATE(10852),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10873),
    [sym__dml_read] = STATE(10914),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10852),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10852),
    [sym_create_table] = STATE(10852),
    [sym_reset_statement] = STATE(10852),
    [sym_set_statement] = STATE(10852),
    [sym_create_view] = STATE(10852),
    [sym_create_materialized_view] = STATE(10852),
    [sym_create_function] = STATE(10852),
    [sym_create_index] = STATE(10852),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10852),
    [sym_create_role] = STATE(10852),
    [sym_create_sequence] = STATE(10852),
    [sym_create_extension] = STATE(10852),
    [sym_create_trigger] = STATE(10852),
    [sym_create_type] = STATE(10852),
    [sym__alter_statement] = STATE(10852),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10852),
    [sym_alter_view] = STATE(10852),
    [sym_alter_schema] = STATE(10852),
    [sym_alter_database] = STATE(10852),
    [sym_alter_role] = STATE(10852),
    [sym_alter_index] = STATE(10852),
    [sym_alter_sequence] = STATE(10852),
    [sym_alter_type] = STATE(10852),
    [sym__drop_statement] = STATE(10852),
    [sym_drop_table] = STATE(10852),
    [sym_drop_view] = STATE(10852),
    [sym_drop_schema] = STATE(10852),
    [sym_drop_database] = STATE(10852),
    [sym_drop_role] = STATE(10852),
    [sym_drop_type] = STATE(10852),
    [sym_drop_sequence] = STATE(10852),
    [sym_drop_index] = STATE(10852),
    [sym_drop_extension] = STATE(10852),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10852),
    [sym__compute_stats] = STATE(10852),
    [sym__optimize_table] = STATE(10852),
    [sym__vacuum_table] = STATE(10852),
    [sym_update] = STATE(9692),
    [aux_sym_transaction_repeat1] = STATE(115),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_end] = ACTIONS(1398),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_commit] = ACTIONS(1392),
    [sym_keyword_rollback] = ACTIONS(1394),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [97] = {
    [sym__commit] = STATE(12920),
    [sym__rollback] = STATE(12920),
    [sym_statement] = STATE(13847),
    [sym__ddl_statement] = STATE(10852),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10873),
    [sym__dml_read] = STATE(10914),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10852),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10852),
    [sym_create_table] = STATE(10852),
    [sym_reset_statement] = STATE(10852),
    [sym_set_statement] = STATE(10852),
    [sym_create_view] = STATE(10852),
    [sym_create_materialized_view] = STATE(10852),
    [sym_create_function] = STATE(10852),
    [sym_create_index] = STATE(10852),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10852),
    [sym_create_role] = STATE(10852),
    [sym_create_sequence] = STATE(10852),
    [sym_create_extension] = STATE(10852),
    [sym_create_trigger] = STATE(10852),
    [sym_create_type] = STATE(10852),
    [sym__alter_statement] = STATE(10852),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10852),
    [sym_alter_view] = STATE(10852),
    [sym_alter_schema] = STATE(10852),
    [sym_alter_database] = STATE(10852),
    [sym_alter_role] = STATE(10852),
    [sym_alter_index] = STATE(10852),
    [sym_alter_sequence] = STATE(10852),
    [sym_alter_type] = STATE(10852),
    [sym__drop_statement] = STATE(10852),
    [sym_drop_table] = STATE(10852),
    [sym_drop_view] = STATE(10852),
    [sym_drop_schema] = STATE(10852),
    [sym_drop_database] = STATE(10852),
    [sym_drop_role] = STATE(10852),
    [sym_drop_type] = STATE(10852),
    [sym_drop_sequence] = STATE(10852),
    [sym_drop_index] = STATE(10852),
    [sym_drop_extension] = STATE(10852),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10852),
    [sym__compute_stats] = STATE(10852),
    [sym__optimize_table] = STATE(10852),
    [sym__vacuum_table] = STATE(10852),
    [sym_update] = STATE(9692),
    [aux_sym_transaction_repeat1] = STATE(115),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_commit] = ACTIONS(1392),
    [sym_keyword_rollback] = ACTIONS(1394),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [98] = {
    [sym__commit] = STATE(12920),
    [sym__rollback] = STATE(12920),
    [sym_statement] = STATE(13847),
    [sym__ddl_statement] = STATE(10852),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10873),
    [sym__dml_read] = STATE(10914),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10852),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10852),
    [sym_create_table] = STATE(10852),
    [sym_reset_statement] = STATE(10852),
    [sym_set_statement] = STATE(10852),
    [sym_create_view] = STATE(10852),
    [sym_create_materialized_view] = STATE(10852),
    [sym_create_function] = STATE(10852),
    [sym_create_index] = STATE(10852),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10852),
    [sym_create_role] = STATE(10852),
    [sym_create_sequence] = STATE(10852),
    [sym_create_extension] = STATE(10852),
    [sym_create_trigger] = STATE(10852),
    [sym_create_type] = STATE(10852),
    [sym__alter_statement] = STATE(10852),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10852),
    [sym_alter_view] = STATE(10852),
    [sym_alter_schema] = STATE(10852),
    [sym_alter_database] = STATE(10852),
    [sym_alter_role] = STATE(10852),
    [sym_alter_index] = STATE(10852),
    [sym_alter_sequence] = STATE(10852),
    [sym_alter_type] = STATE(10852),
    [sym__drop_statement] = STATE(10852),
    [sym_drop_table] = STATE(10852),
    [sym_drop_view] = STATE(10852),
    [sym_drop_schema] = STATE(10852),
    [sym_drop_database] = STATE(10852),
    [sym_drop_role] = STATE(10852),
    [sym_drop_type] = STATE(10852),
    [sym_drop_sequence] = STATE(10852),
    [sym_drop_index] = STATE(10852),
    [sym_drop_extension] = STATE(10852),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10852),
    [sym__compute_stats] = STATE(10852),
    [sym__optimize_table] = STATE(10852),
    [sym__vacuum_table] = STATE(10852),
    [sym_update] = STATE(9692),
    [aux_sym_transaction_repeat1] = STATE(100),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_commit] = ACTIONS(1392),
    [sym_keyword_rollback] = ACTIONS(1394),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [99] = {
    [sym_transaction] = STATE(13325),
    [sym_block] = STATE(13325),
    [sym_statement] = STATE(13325),
    [sym__ddl_statement] = STATE(10852),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10873),
    [sym__dml_read] = STATE(10914),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10852),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10852),
    [sym_create_table] = STATE(10852),
    [sym_reset_statement] = STATE(10852),
    [sym_set_statement] = STATE(10852),
    [sym_create_view] = STATE(10852),
    [sym_create_materialized_view] = STATE(10852),
    [sym_create_function] = STATE(10852),
    [sym_create_index] = STATE(10852),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10852),
    [sym_create_role] = STATE(10852),
    [sym_create_sequence] = STATE(10852),
    [sym_create_extension] = STATE(10852),
    [sym_create_trigger] = STATE(10852),
    [sym_create_type] = STATE(10852),
    [sym__alter_statement] = STATE(10852),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10852),
    [sym_alter_view] = STATE(10852),
    [sym_alter_schema] = STATE(10852),
    [sym_alter_database] = STATE(10852),
    [sym_alter_role] = STATE(10852),
    [sym_alter_index] = STATE(10852),
    [sym_alter_sequence] = STATE(10852),
    [sym_alter_type] = STATE(10852),
    [sym__drop_statement] = STATE(10852),
    [sym_drop_table] = STATE(10852),
    [sym_drop_view] = STATE(10852),
    [sym_drop_schema] = STATE(10852),
    [sym_drop_database] = STATE(10852),
    [sym_drop_role] = STATE(10852),
    [sym_drop_type] = STATE(10852),
    [sym_drop_sequence] = STATE(10852),
    [sym_drop_index] = STATE(10852),
    [sym_drop_extension] = STATE(10852),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10852),
    [sym__compute_stats] = STATE(10852),
    [sym__optimize_table] = STATE(10852),
    [sym__vacuum_table] = STATE(10852),
    [sym_update] = STATE(9692),
    [aux_sym_program_repeat1] = STATE(99),
    [ts_builtin_sym_end] = ACTIONS(1404),
    [sym_keyword_select] = ACTIONS(1406),
    [sym_keyword_delete] = ACTIONS(1409),
    [sym_keyword_insert] = ACTIONS(1412),
    [sym_keyword_replace] = ACTIONS(1412),
    [sym_keyword_update] = ACTIONS(1415),
    [sym_keyword_truncate] = ACTIONS(1418),
    [sym_keyword_merge] = ACTIONS(1421),
    [sym_keyword_show] = ACTIONS(1424),
    [sym_keyword_set] = ACTIONS(1427),
    [sym_keyword_create] = ACTIONS(1430),
    [sym_keyword_alter] = ACTIONS(1433),
    [sym_keyword_analyze] = ACTIONS(1436),
    [sym_keyword_explain] = ACTIONS(1439),
    [sym_keyword_drop] = ACTIONS(1442),
    [sym_keyword_with] = ACTIONS(1445),
    [sym_keyword_rename] = ACTIONS(1448),
    [sym_keyword_reset] = ACTIONS(1451),
    [sym_keyword_begin] = ACTIONS(1454),
    [sym_keyword_vacuum] = ACTIONS(1457),
    [sym_keyword_copy] = ACTIONS(1460),
    [sym_keyword_compute] = ACTIONS(1463),
    [sym_keyword_optimize] = ACTIONS(1466),
    [sym_keyword_comment] = ACTIONS(1469),
    [anon_sym_LPAREN] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [100] = {
    [sym__commit] = STATE(12972),
    [sym__rollback] = STATE(12972),
    [sym_statement] = STATE(13847),
    [sym__ddl_statement] = STATE(10852),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10873),
    [sym__dml_read] = STATE(10914),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10852),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10852),
    [sym_create_table] = STATE(10852),
    [sym_reset_statement] = STATE(10852),
    [sym_set_statement] = STATE(10852),
    [sym_create_view] = STATE(10852),
    [sym_create_materialized_view] = STATE(10852),
    [sym_create_function] = STATE(10852),
    [sym_create_index] = STATE(10852),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10852),
    [sym_create_role] = STATE(10852),
    [sym_create_sequence] = STATE(10852),
    [sym_create_extension] = STATE(10852),
    [sym_create_trigger] = STATE(10852),
    [sym_create_type] = STATE(10852),
    [sym__alter_statement] = STATE(10852),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10852),
    [sym_alter_view] = STATE(10852),
    [sym_alter_schema] = STATE(10852),
    [sym_alter_database] = STATE(10852),
    [sym_alter_role] = STATE(10852),
    [sym_alter_index] = STATE(10852),
    [sym_alter_sequence] = STATE(10852),
    [sym_alter_type] = STATE(10852),
    [sym__drop_statement] = STATE(10852),
    [sym_drop_table] = STATE(10852),
    [sym_drop_view] = STATE(10852),
    [sym_drop_schema] = STATE(10852),
    [sym_drop_database] = STATE(10852),
    [sym_drop_role] = STATE(10852),
    [sym_drop_type] = STATE(10852),
    [sym_drop_sequence] = STATE(10852),
    [sym_drop_index] = STATE(10852),
    [sym_drop_extension] = STATE(10852),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10852),
    [sym__compute_stats] = STATE(10852),
    [sym__optimize_table] = STATE(10852),
    [sym__vacuum_table] = STATE(10852),
    [sym_update] = STATE(9692),
    [aux_sym_transaction_repeat1] = STATE(115),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_commit] = ACTIONS(1392),
    [sym_keyword_rollback] = ACTIONS(1394),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [101] = {
    [sym_statement] = STATE(11749),
    [sym__ddl_statement] = STATE(11736),
    [sym__cte] = STATE(6847),
    [sym__dml_write] = STATE(11738),
    [sym__dml_read] = STATE(11739),
    [sym__show_statement] = STATE(8299),
    [sym_set_operation] = STATE(8300),
    [sym__select_statement] = STATE(7842),
    [sym_comment_statement] = STATE(11736),
    [sym_select] = STATE(7715),
    [sym__truncate_statement] = STATE(11741),
    [sym__delete_statement] = STATE(11741),
    [sym_delete] = STATE(12081),
    [sym__create_statement] = STATE(11736),
    [sym_create_table] = STATE(11736),
    [sym_reset_statement] = STATE(11736),
    [sym_set_statement] = STATE(11736),
    [sym_create_view] = STATE(11736),
    [sym_create_materialized_view] = STATE(11736),
    [sym_create_function] = STATE(11736),
    [sym__function_return] = STATE(11749),
    [sym__function_body_statement] = STATE(11749),
    [sym_create_index] = STATE(11736),
    [sym_create_schema] = STATE(7028),
    [sym_create_database] = STATE(11736),
    [sym_create_role] = STATE(11736),
    [sym_create_sequence] = STATE(11736),
    [sym_create_extension] = STATE(11736),
    [sym_create_trigger] = STATE(11736),
    [sym_create_type] = STATE(11736),
    [sym__alter_statement] = STATE(11736),
    [sym__rename_statement] = STATE(11742),
    [sym_alter_table] = STATE(11736),
    [sym_alter_view] = STATE(11736),
    [sym_alter_schema] = STATE(11736),
    [sym_alter_database] = STATE(11736),
    [sym_alter_role] = STATE(11736),
    [sym_alter_index] = STATE(11736),
    [sym_alter_sequence] = STATE(11736),
    [sym_alter_type] = STATE(11736),
    [sym__drop_statement] = STATE(11736),
    [sym_drop_table] = STATE(11736),
    [sym_drop_view] = STATE(11736),
    [sym_drop_schema] = STATE(11736),
    [sym_drop_database] = STATE(11736),
    [sym_drop_role] = STATE(11736),
    [sym_drop_type] = STATE(11736),
    [sym_drop_sequence] = STATE(11736),
    [sym_drop_index] = STATE(11736),
    [sym_drop_extension] = STATE(11736),
    [sym__copy_statement] = STATE(11741),
    [sym__insert_statement] = STATE(11741),
    [sym_insert] = STATE(10050),
    [sym__update_statement] = STATE(11741),
    [sym__merge_statement] = STATE(11744),
    [sym__optimize_statement] = STATE(11736),
    [sym__compute_stats] = STATE(11736),
    [sym__optimize_table] = STATE(11736),
    [sym__vacuum_table] = STATE(11736),
    [sym_update] = STATE(10051),
    [sym_keyword_select] = ACTIONS(1475),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1477),
    [sym_keyword_replace] = ACTIONS(1477),
    [sym_keyword_update] = ACTIONS(1479),
    [sym_keyword_truncate] = ACTIONS(1481),
    [sym_keyword_merge] = ACTIONS(1483),
    [sym_keyword_show] = ACTIONS(1485),
    [sym_keyword_set] = ACTIONS(1487),
    [sym_keyword_create] = ACTIONS(1489),
    [sym_keyword_alter] = ACTIONS(1491),
    [sym_keyword_analyze] = ACTIONS(1493),
    [sym_keyword_explain] = ACTIONS(1495),
    [sym_keyword_drop] = ACTIONS(1497),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(1499),
    [sym_keyword_reset] = ACTIONS(1501),
    [sym_keyword_begin] = ACTIONS(1503),
    [sym_keyword_vacuum] = ACTIONS(1505),
    [sym_keyword_copy] = ACTIONS(1507),
    [sym_keyword_return] = ACTIONS(1509),
    [sym_keyword_declare] = ACTIONS(1511),
    [sym_keyword_compute] = ACTIONS(1513),
    [sym_keyword_optimize] = ACTIONS(1515),
    [sym_keyword_comment] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1519),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [102] = {
    [sym_statement] = STATE(12285),
    [sym__ddl_statement] = STATE(10852),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10873),
    [sym__dml_read] = STATE(10914),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10852),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10852),
    [sym_create_table] = STATE(10852),
    [sym_reset_statement] = STATE(10852),
    [sym_set_statement] = STATE(10852),
    [sym_create_view] = STATE(10852),
    [sym_create_materialized_view] = STATE(10852),
    [sym_create_function] = STATE(10852),
    [sym__function_return] = STATE(12285),
    [sym__function_body_statement] = STATE(12285),
    [sym_create_index] = STATE(10852),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10852),
    [sym_create_role] = STATE(10852),
    [sym_create_sequence] = STATE(10852),
    [sym_create_extension] = STATE(10852),
    [sym_create_trigger] = STATE(10852),
    [sym_create_type] = STATE(10852),
    [sym__alter_statement] = STATE(10852),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10852),
    [sym_alter_view] = STATE(10852),
    [sym_alter_schema] = STATE(10852),
    [sym_alter_database] = STATE(10852),
    [sym_alter_role] = STATE(10852),
    [sym_alter_index] = STATE(10852),
    [sym_alter_sequence] = STATE(10852),
    [sym_alter_type] = STATE(10852),
    [sym__drop_statement] = STATE(10852),
    [sym_drop_table] = STATE(10852),
    [sym_drop_view] = STATE(10852),
    [sym_drop_schema] = STATE(10852),
    [sym_drop_database] = STATE(10852),
    [sym_drop_role] = STATE(10852),
    [sym_drop_type] = STATE(10852),
    [sym_drop_sequence] = STATE(10852),
    [sym_drop_index] = STATE(10852),
    [sym_drop_extension] = STATE(10852),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10852),
    [sym__compute_stats] = STATE(10852),
    [sym__optimize_table] = STATE(10852),
    [sym__vacuum_table] = STATE(10852),
    [sym_update] = STATE(9692),
    [aux_sym_function_body_repeat1] = STATE(105),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_end] = ACTIONS(1521),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_return] = ACTIONS(1523),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [103] = {
    [sym_statement] = STATE(12285),
    [sym__ddl_statement] = STATE(10852),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10873),
    [sym__dml_read] = STATE(10914),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10852),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10852),
    [sym_create_table] = STATE(10852),
    [sym_reset_statement] = STATE(10852),
    [sym_set_statement] = STATE(10852),
    [sym_create_view] = STATE(10852),
    [sym_create_materialized_view] = STATE(10852),
    [sym_create_function] = STATE(10852),
    [sym__function_return] = STATE(12285),
    [sym__function_body_statement] = STATE(12285),
    [sym_create_index] = STATE(10852),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10852),
    [sym_create_role] = STATE(10852),
    [sym_create_sequence] = STATE(10852),
    [sym_create_extension] = STATE(10852),
    [sym_create_trigger] = STATE(10852),
    [sym_create_type] = STATE(10852),
    [sym__alter_statement] = STATE(10852),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10852),
    [sym_alter_view] = STATE(10852),
    [sym_alter_schema] = STATE(10852),
    [sym_alter_database] = STATE(10852),
    [sym_alter_role] = STATE(10852),
    [sym_alter_index] = STATE(10852),
    [sym_alter_sequence] = STATE(10852),
    [sym_alter_type] = STATE(10852),
    [sym__drop_statement] = STATE(10852),
    [sym_drop_table] = STATE(10852),
    [sym_drop_view] = STATE(10852),
    [sym_drop_schema] = STATE(10852),
    [sym_drop_database] = STATE(10852),
    [sym_drop_role] = STATE(10852),
    [sym_drop_type] = STATE(10852),
    [sym_drop_sequence] = STATE(10852),
    [sym_drop_index] = STATE(10852),
    [sym_drop_extension] = STATE(10852),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10852),
    [sym__compute_stats] = STATE(10852),
    [sym__optimize_table] = STATE(10852),
    [sym__vacuum_table] = STATE(10852),
    [sym_update] = STATE(9692),
    [aux_sym_function_body_repeat1] = STATE(105),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_end] = ACTIONS(1525),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_return] = ACTIONS(1523),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [104] = {
    [sym_statement] = STATE(12285),
    [sym__ddl_statement] = STATE(10852),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10873),
    [sym__dml_read] = STATE(10914),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10852),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10852),
    [sym_create_table] = STATE(10852),
    [sym_reset_statement] = STATE(10852),
    [sym_set_statement] = STATE(10852),
    [sym_create_view] = STATE(10852),
    [sym_create_materialized_view] = STATE(10852),
    [sym_create_function] = STATE(10852),
    [sym__function_return] = STATE(12285),
    [sym__function_body_statement] = STATE(12285),
    [sym_create_index] = STATE(10852),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10852),
    [sym_create_role] = STATE(10852),
    [sym_create_sequence] = STATE(10852),
    [sym_create_extension] = STATE(10852),
    [sym_create_trigger] = STATE(10852),
    [sym_create_type] = STATE(10852),
    [sym__alter_statement] = STATE(10852),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10852),
    [sym_alter_view] = STATE(10852),
    [sym_alter_schema] = STATE(10852),
    [sym_alter_database] = STATE(10852),
    [sym_alter_role] = STATE(10852),
    [sym_alter_index] = STATE(10852),
    [sym_alter_sequence] = STATE(10852),
    [sym_alter_type] = STATE(10852),
    [sym__drop_statement] = STATE(10852),
    [sym_drop_table] = STATE(10852),
    [sym_drop_view] = STATE(10852),
    [sym_drop_schema] = STATE(10852),
    [sym_drop_database] = STATE(10852),
    [sym_drop_role] = STATE(10852),
    [sym_drop_type] = STATE(10852),
    [sym_drop_sequence] = STATE(10852),
    [sym_drop_index] = STATE(10852),
    [sym_drop_extension] = STATE(10852),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10852),
    [sym__compute_stats] = STATE(10852),
    [sym__optimize_table] = STATE(10852),
    [sym__vacuum_table] = STATE(10852),
    [sym_update] = STATE(9692),
    [aux_sym_function_body_repeat1] = STATE(105),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_end] = ACTIONS(1527),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_return] = ACTIONS(1523),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [105] = {
    [sym_statement] = STATE(12285),
    [sym__ddl_statement] = STATE(10852),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10873),
    [sym__dml_read] = STATE(10914),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10852),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10852),
    [sym_create_table] = STATE(10852),
    [sym_reset_statement] = STATE(10852),
    [sym_set_statement] = STATE(10852),
    [sym_create_view] = STATE(10852),
    [sym_create_materialized_view] = STATE(10852),
    [sym_create_function] = STATE(10852),
    [sym__function_return] = STATE(12285),
    [sym__function_body_statement] = STATE(12285),
    [sym_create_index] = STATE(10852),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10852),
    [sym_create_role] = STATE(10852),
    [sym_create_sequence] = STATE(10852),
    [sym_create_extension] = STATE(10852),
    [sym_create_trigger] = STATE(10852),
    [sym_create_type] = STATE(10852),
    [sym__alter_statement] = STATE(10852),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10852),
    [sym_alter_view] = STATE(10852),
    [sym_alter_schema] = STATE(10852),
    [sym_alter_database] = STATE(10852),
    [sym_alter_role] = STATE(10852),
    [sym_alter_index] = STATE(10852),
    [sym_alter_sequence] = STATE(10852),
    [sym_alter_type] = STATE(10852),
    [sym__drop_statement] = STATE(10852),
    [sym_drop_table] = STATE(10852),
    [sym_drop_view] = STATE(10852),
    [sym_drop_schema] = STATE(10852),
    [sym_drop_database] = STATE(10852),
    [sym_drop_role] = STATE(10852),
    [sym_drop_type] = STATE(10852),
    [sym_drop_sequence] = STATE(10852),
    [sym_drop_index] = STATE(10852),
    [sym_drop_extension] = STATE(10852),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10852),
    [sym__compute_stats] = STATE(10852),
    [sym__optimize_table] = STATE(10852),
    [sym__vacuum_table] = STATE(10852),
    [sym_update] = STATE(9692),
    [aux_sym_function_body_repeat1] = STATE(105),
    [sym_keyword_select] = ACTIONS(1529),
    [sym_keyword_delete] = ACTIONS(1532),
    [sym_keyword_insert] = ACTIONS(1535),
    [sym_keyword_replace] = ACTIONS(1535),
    [sym_keyword_update] = ACTIONS(1538),
    [sym_keyword_truncate] = ACTIONS(1541),
    [sym_keyword_merge] = ACTIONS(1544),
    [sym_keyword_show] = ACTIONS(1547),
    [sym_keyword_set] = ACTIONS(1550),
    [sym_keyword_create] = ACTIONS(1553),
    [sym_keyword_alter] = ACTIONS(1556),
    [sym_keyword_analyze] = ACTIONS(1559),
    [sym_keyword_explain] = ACTIONS(1562),
    [sym_keyword_drop] = ACTIONS(1565),
    [sym_keyword_end] = ACTIONS(1568),
    [sym_keyword_with] = ACTIONS(1570),
    [sym_keyword_rename] = ACTIONS(1573),
    [sym_keyword_reset] = ACTIONS(1576),
    [sym_keyword_vacuum] = ACTIONS(1579),
    [sym_keyword_copy] = ACTIONS(1582),
    [sym_keyword_return] = ACTIONS(1585),
    [sym_keyword_compute] = ACTIONS(1588),
    [sym_keyword_optimize] = ACTIONS(1591),
    [sym_keyword_comment] = ACTIONS(1594),
    [anon_sym_LPAREN] = ACTIONS(1597),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [106] = {
    [sym_statement] = STATE(12285),
    [sym__ddl_statement] = STATE(10852),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10873),
    [sym__dml_read] = STATE(10914),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10852),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10852),
    [sym_create_table] = STATE(10852),
    [sym_reset_statement] = STATE(10852),
    [sym_set_statement] = STATE(10852),
    [sym_create_view] = STATE(10852),
    [sym_create_materialized_view] = STATE(10852),
    [sym_create_function] = STATE(10852),
    [sym__function_return] = STATE(12285),
    [sym__function_body_statement] = STATE(12285),
    [sym_create_index] = STATE(10852),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10852),
    [sym_create_role] = STATE(10852),
    [sym_create_sequence] = STATE(10852),
    [sym_create_extension] = STATE(10852),
    [sym_create_trigger] = STATE(10852),
    [sym_create_type] = STATE(10852),
    [sym__alter_statement] = STATE(10852),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10852),
    [sym_alter_view] = STATE(10852),
    [sym_alter_schema] = STATE(10852),
    [sym_alter_database] = STATE(10852),
    [sym_alter_role] = STATE(10852),
    [sym_alter_index] = STATE(10852),
    [sym_alter_sequence] = STATE(10852),
    [sym_alter_type] = STATE(10852),
    [sym__drop_statement] = STATE(10852),
    [sym_drop_table] = STATE(10852),
    [sym_drop_view] = STATE(10852),
    [sym_drop_schema] = STATE(10852),
    [sym_drop_database] = STATE(10852),
    [sym_drop_role] = STATE(10852),
    [sym_drop_type] = STATE(10852),
    [sym_drop_sequence] = STATE(10852),
    [sym_drop_index] = STATE(10852),
    [sym_drop_extension] = STATE(10852),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10852),
    [sym__compute_stats] = STATE(10852),
    [sym__optimize_table] = STATE(10852),
    [sym__vacuum_table] = STATE(10852),
    [sym_update] = STATE(9692),
    [aux_sym_function_body_repeat1] = STATE(105),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_end] = ACTIONS(1600),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_return] = ACTIONS(1523),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [107] = {
    [sym_statement] = STATE(11940),
    [sym__ddl_statement] = STATE(11736),
    [sym__cte] = STATE(6847),
    [sym__dml_write] = STATE(11738),
    [sym__dml_read] = STATE(11739),
    [sym__show_statement] = STATE(8299),
    [sym_set_operation] = STATE(8300),
    [sym__select_statement] = STATE(7842),
    [sym_comment_statement] = STATE(11736),
    [sym_select] = STATE(7715),
    [sym__truncate_statement] = STATE(11741),
    [sym__delete_statement] = STATE(11741),
    [sym_delete] = STATE(12081),
    [sym__create_statement] = STATE(11736),
    [sym_create_table] = STATE(11736),
    [sym_reset_statement] = STATE(11736),
    [sym_set_statement] = STATE(11736),
    [sym_create_view] = STATE(11736),
    [sym_create_materialized_view] = STATE(11736),
    [sym_create_function] = STATE(11736),
    [sym__function_return] = STATE(11940),
    [sym__function_body_statement] = STATE(11940),
    [sym_create_index] = STATE(11736),
    [sym_create_schema] = STATE(7028),
    [sym_create_database] = STATE(11736),
    [sym_create_role] = STATE(11736),
    [sym_create_sequence] = STATE(11736),
    [sym_create_extension] = STATE(11736),
    [sym_create_trigger] = STATE(11736),
    [sym_create_type] = STATE(11736),
    [sym__alter_statement] = STATE(11736),
    [sym__rename_statement] = STATE(11742),
    [sym_alter_table] = STATE(11736),
    [sym_alter_view] = STATE(11736),
    [sym_alter_schema] = STATE(11736),
    [sym_alter_database] = STATE(11736),
    [sym_alter_role] = STATE(11736),
    [sym_alter_index] = STATE(11736),
    [sym_alter_sequence] = STATE(11736),
    [sym_alter_type] = STATE(11736),
    [sym__drop_statement] = STATE(11736),
    [sym_drop_table] = STATE(11736),
    [sym_drop_view] = STATE(11736),
    [sym_drop_schema] = STATE(11736),
    [sym_drop_database] = STATE(11736),
    [sym_drop_role] = STATE(11736),
    [sym_drop_type] = STATE(11736),
    [sym_drop_sequence] = STATE(11736),
    [sym_drop_index] = STATE(11736),
    [sym_drop_extension] = STATE(11736),
    [sym__copy_statement] = STATE(11741),
    [sym__insert_statement] = STATE(11741),
    [sym_insert] = STATE(10050),
    [sym__update_statement] = STATE(11741),
    [sym__merge_statement] = STATE(11744),
    [sym__optimize_statement] = STATE(11736),
    [sym__compute_stats] = STATE(11736),
    [sym__optimize_table] = STATE(11736),
    [sym__vacuum_table] = STATE(11736),
    [sym_update] = STATE(10051),
    [sym_keyword_select] = ACTIONS(1475),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1477),
    [sym_keyword_replace] = ACTIONS(1477),
    [sym_keyword_update] = ACTIONS(1479),
    [sym_keyword_truncate] = ACTIONS(1481),
    [sym_keyword_merge] = ACTIONS(1483),
    [sym_keyword_show] = ACTIONS(1485),
    [sym_keyword_set] = ACTIONS(1487),
    [sym_keyword_create] = ACTIONS(1489),
    [sym_keyword_alter] = ACTIONS(1491),
    [sym_keyword_analyze] = ACTIONS(1493),
    [sym_keyword_explain] = ACTIONS(1495),
    [sym_keyword_drop] = ACTIONS(1497),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(1499),
    [sym_keyword_reset] = ACTIONS(1501),
    [sym_keyword_begin] = ACTIONS(1602),
    [sym_keyword_vacuum] = ACTIONS(1505),
    [sym_keyword_copy] = ACTIONS(1507),
    [sym_keyword_return] = ACTIONS(1509),
    [sym_keyword_declare] = ACTIONS(1604),
    [sym_keyword_compute] = ACTIONS(1513),
    [sym_keyword_optimize] = ACTIONS(1515),
    [sym_keyword_comment] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1519),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [108] = {
    [sym_statement] = STATE(12285),
    [sym__ddl_statement] = STATE(10852),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10873),
    [sym__dml_read] = STATE(10914),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10852),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10852),
    [sym_create_table] = STATE(10852),
    [sym_reset_statement] = STATE(10852),
    [sym_set_statement] = STATE(10852),
    [sym_create_view] = STATE(10852),
    [sym_create_materialized_view] = STATE(10852),
    [sym_create_function] = STATE(10852),
    [sym__function_return] = STATE(12285),
    [sym__function_body_statement] = STATE(12285),
    [sym_create_index] = STATE(10852),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10852),
    [sym_create_role] = STATE(10852),
    [sym_create_sequence] = STATE(10852),
    [sym_create_extension] = STATE(10852),
    [sym_create_trigger] = STATE(10852),
    [sym_create_type] = STATE(10852),
    [sym__alter_statement] = STATE(10852),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10852),
    [sym_alter_view] = STATE(10852),
    [sym_alter_schema] = STATE(10852),
    [sym_alter_database] = STATE(10852),
    [sym_alter_role] = STATE(10852),
    [sym_alter_index] = STATE(10852),
    [sym_alter_sequence] = STATE(10852),
    [sym_alter_type] = STATE(10852),
    [sym__drop_statement] = STATE(10852),
    [sym_drop_table] = STATE(10852),
    [sym_drop_view] = STATE(10852),
    [sym_drop_schema] = STATE(10852),
    [sym_drop_database] = STATE(10852),
    [sym_drop_role] = STATE(10852),
    [sym_drop_type] = STATE(10852),
    [sym_drop_sequence] = STATE(10852),
    [sym_drop_index] = STATE(10852),
    [sym_drop_extension] = STATE(10852),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10852),
    [sym__compute_stats] = STATE(10852),
    [sym__optimize_table] = STATE(10852),
    [sym__vacuum_table] = STATE(10852),
    [sym_update] = STATE(9692),
    [aux_sym_function_body_repeat1] = STATE(105),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_end] = ACTIONS(1606),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_return] = ACTIONS(1523),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [109] = {
    [sym_statement] = STATE(12285),
    [sym__ddl_statement] = STATE(10852),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10873),
    [sym__dml_read] = STATE(10914),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10852),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10852),
    [sym_create_table] = STATE(10852),
    [sym_reset_statement] = STATE(10852),
    [sym_set_statement] = STATE(10852),
    [sym_create_view] = STATE(10852),
    [sym_create_materialized_view] = STATE(10852),
    [sym_create_function] = STATE(10852),
    [sym__function_return] = STATE(12285),
    [sym__function_body_statement] = STATE(12285),
    [sym_create_index] = STATE(10852),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10852),
    [sym_create_role] = STATE(10852),
    [sym_create_sequence] = STATE(10852),
    [sym_create_extension] = STATE(10852),
    [sym_create_trigger] = STATE(10852),
    [sym_create_type] = STATE(10852),
    [sym__alter_statement] = STATE(10852),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10852),
    [sym_alter_view] = STATE(10852),
    [sym_alter_schema] = STATE(10852),
    [sym_alter_database] = STATE(10852),
    [sym_alter_role] = STATE(10852),
    [sym_alter_index] = STATE(10852),
    [sym_alter_sequence] = STATE(10852),
    [sym_alter_type] = STATE(10852),
    [sym__drop_statement] = STATE(10852),
    [sym_drop_table] = STATE(10852),
    [sym_drop_view] = STATE(10852),
    [sym_drop_schema] = STATE(10852),
    [sym_drop_database] = STATE(10852),
    [sym_drop_role] = STATE(10852),
    [sym_drop_type] = STATE(10852),
    [sym_drop_sequence] = STATE(10852),
    [sym_drop_index] = STATE(10852),
    [sym_drop_extension] = STATE(10852),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10852),
    [sym__compute_stats] = STATE(10852),
    [sym__optimize_table] = STATE(10852),
    [sym__vacuum_table] = STATE(10852),
    [sym_update] = STATE(9692),
    [aux_sym_function_body_repeat1] = STATE(105),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_end] = ACTIONS(1608),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_return] = ACTIONS(1523),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [110] = {
    [sym_transaction] = STATE(13325),
    [sym_block] = STATE(13325),
    [sym_statement] = STATE(11526),
    [sym__ddl_statement] = STATE(10852),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10873),
    [sym__dml_read] = STATE(10914),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10852),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10852),
    [sym_create_table] = STATE(10852),
    [sym_reset_statement] = STATE(10852),
    [sym_set_statement] = STATE(10852),
    [sym_create_view] = STATE(10852),
    [sym_create_materialized_view] = STATE(10852),
    [sym_create_function] = STATE(10852),
    [sym_create_index] = STATE(10852),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10852),
    [sym_create_role] = STATE(10852),
    [sym_create_sequence] = STATE(10852),
    [sym_create_extension] = STATE(10852),
    [sym_create_trigger] = STATE(10852),
    [sym_create_type] = STATE(10852),
    [sym__alter_statement] = STATE(10852),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10852),
    [sym_alter_view] = STATE(10852),
    [sym_alter_schema] = STATE(10852),
    [sym_alter_database] = STATE(10852),
    [sym_alter_role] = STATE(10852),
    [sym_alter_index] = STATE(10852),
    [sym_alter_sequence] = STATE(10852),
    [sym_alter_type] = STATE(10852),
    [sym__drop_statement] = STATE(10852),
    [sym_drop_table] = STATE(10852),
    [sym_drop_view] = STATE(10852),
    [sym_drop_schema] = STATE(10852),
    [sym_drop_database] = STATE(10852),
    [sym_drop_role] = STATE(10852),
    [sym_drop_type] = STATE(10852),
    [sym_drop_sequence] = STATE(10852),
    [sym_drop_index] = STATE(10852),
    [sym_drop_extension] = STATE(10852),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10852),
    [sym__compute_stats] = STATE(10852),
    [sym__optimize_table] = STATE(10852),
    [sym__vacuum_table] = STATE(10852),
    [sym_update] = STATE(9692),
    [aux_sym_program_repeat1] = STATE(99),
    [ts_builtin_sym_end] = ACTIONS(1610),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_begin] = ACTIONS(39),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [111] = {
    [sym_statement] = STATE(12285),
    [sym__ddl_statement] = STATE(10852),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10873),
    [sym__dml_read] = STATE(10914),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10852),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10852),
    [sym_create_table] = STATE(10852),
    [sym_reset_statement] = STATE(10852),
    [sym_set_statement] = STATE(10852),
    [sym_create_view] = STATE(10852),
    [sym_create_materialized_view] = STATE(10852),
    [sym_create_function] = STATE(10852),
    [sym__function_return] = STATE(12285),
    [sym__function_body_statement] = STATE(12285),
    [sym_create_index] = STATE(10852),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10852),
    [sym_create_role] = STATE(10852),
    [sym_create_sequence] = STATE(10852),
    [sym_create_extension] = STATE(10852),
    [sym_create_trigger] = STATE(10852),
    [sym_create_type] = STATE(10852),
    [sym__alter_statement] = STATE(10852),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10852),
    [sym_alter_view] = STATE(10852),
    [sym_alter_schema] = STATE(10852),
    [sym_alter_database] = STATE(10852),
    [sym_alter_role] = STATE(10852),
    [sym_alter_index] = STATE(10852),
    [sym_alter_sequence] = STATE(10852),
    [sym_alter_type] = STATE(10852),
    [sym__drop_statement] = STATE(10852),
    [sym_drop_table] = STATE(10852),
    [sym_drop_view] = STATE(10852),
    [sym_drop_schema] = STATE(10852),
    [sym_drop_database] = STATE(10852),
    [sym_drop_role] = STATE(10852),
    [sym_drop_type] = STATE(10852),
    [sym_drop_sequence] = STATE(10852),
    [sym_drop_index] = STATE(10852),
    [sym_drop_extension] = STATE(10852),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10852),
    [sym__compute_stats] = STATE(10852),
    [sym__optimize_table] = STATE(10852),
    [sym__vacuum_table] = STATE(10852),
    [sym_update] = STATE(9692),
    [aux_sym_function_body_repeat1] = STATE(109),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_return] = ACTIONS(1523),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [112] = {
    [sym_statement] = STATE(12285),
    [sym__ddl_statement] = STATE(10852),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10873),
    [sym__dml_read] = STATE(10914),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10852),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10852),
    [sym_create_table] = STATE(10852),
    [sym_reset_statement] = STATE(10852),
    [sym_set_statement] = STATE(10852),
    [sym_create_view] = STATE(10852),
    [sym_create_materialized_view] = STATE(10852),
    [sym_create_function] = STATE(10852),
    [sym__function_return] = STATE(12285),
    [sym__function_body_statement] = STATE(12285),
    [sym_create_index] = STATE(10852),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10852),
    [sym_create_role] = STATE(10852),
    [sym_create_sequence] = STATE(10852),
    [sym_create_extension] = STATE(10852),
    [sym_create_trigger] = STATE(10852),
    [sym_create_type] = STATE(10852),
    [sym__alter_statement] = STATE(10852),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10852),
    [sym_alter_view] = STATE(10852),
    [sym_alter_schema] = STATE(10852),
    [sym_alter_database] = STATE(10852),
    [sym_alter_role] = STATE(10852),
    [sym_alter_index] = STATE(10852),
    [sym_alter_sequence] = STATE(10852),
    [sym_alter_type] = STATE(10852),
    [sym__drop_statement] = STATE(10852),
    [sym_drop_table] = STATE(10852),
    [sym_drop_view] = STATE(10852),
    [sym_drop_schema] = STATE(10852),
    [sym_drop_database] = STATE(10852),
    [sym_drop_role] = STATE(10852),
    [sym_drop_type] = STATE(10852),
    [sym_drop_sequence] = STATE(10852),
    [sym_drop_index] = STATE(10852),
    [sym_drop_extension] = STATE(10852),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10852),
    [sym__compute_stats] = STATE(10852),
    [sym__optimize_table] = STATE(10852),
    [sym__vacuum_table] = STATE(10852),
    [sym_update] = STATE(9692),
    [aux_sym_function_body_repeat1] = STATE(104),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_return] = ACTIONS(1523),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [113] = {
    [sym_statement] = STATE(12285),
    [sym__ddl_statement] = STATE(10852),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10873),
    [sym__dml_read] = STATE(10914),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10852),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10852),
    [sym_create_table] = STATE(10852),
    [sym_reset_statement] = STATE(10852),
    [sym_set_statement] = STATE(10852),
    [sym_create_view] = STATE(10852),
    [sym_create_materialized_view] = STATE(10852),
    [sym_create_function] = STATE(10852),
    [sym__function_return] = STATE(12285),
    [sym__function_body_statement] = STATE(12285),
    [sym_create_index] = STATE(10852),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10852),
    [sym_create_role] = STATE(10852),
    [sym_create_sequence] = STATE(10852),
    [sym_create_extension] = STATE(10852),
    [sym_create_trigger] = STATE(10852),
    [sym_create_type] = STATE(10852),
    [sym__alter_statement] = STATE(10852),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10852),
    [sym_alter_view] = STATE(10852),
    [sym_alter_schema] = STATE(10852),
    [sym_alter_database] = STATE(10852),
    [sym_alter_role] = STATE(10852),
    [sym_alter_index] = STATE(10852),
    [sym_alter_sequence] = STATE(10852),
    [sym_alter_type] = STATE(10852),
    [sym__drop_statement] = STATE(10852),
    [sym_drop_table] = STATE(10852),
    [sym_drop_view] = STATE(10852),
    [sym_drop_schema] = STATE(10852),
    [sym_drop_database] = STATE(10852),
    [sym_drop_role] = STATE(10852),
    [sym_drop_type] = STATE(10852),
    [sym_drop_sequence] = STATE(10852),
    [sym_drop_index] = STATE(10852),
    [sym_drop_extension] = STATE(10852),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10852),
    [sym__compute_stats] = STATE(10852),
    [sym__optimize_table] = STATE(10852),
    [sym__vacuum_table] = STATE(10852),
    [sym_update] = STATE(9692),
    [aux_sym_function_body_repeat1] = STATE(103),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_return] = ACTIONS(1523),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [114] = {
    [sym_statement] = STATE(12285),
    [sym__ddl_statement] = STATE(10852),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10873),
    [sym__dml_read] = STATE(10914),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10852),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10852),
    [sym_create_table] = STATE(10852),
    [sym_reset_statement] = STATE(10852),
    [sym_set_statement] = STATE(10852),
    [sym_create_view] = STATE(10852),
    [sym_create_materialized_view] = STATE(10852),
    [sym_create_function] = STATE(10852),
    [sym__function_return] = STATE(12285),
    [sym__function_body_statement] = STATE(12285),
    [sym_create_index] = STATE(10852),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10852),
    [sym_create_role] = STATE(10852),
    [sym_create_sequence] = STATE(10852),
    [sym_create_extension] = STATE(10852),
    [sym_create_trigger] = STATE(10852),
    [sym_create_type] = STATE(10852),
    [sym__alter_statement] = STATE(10852),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10852),
    [sym_alter_view] = STATE(10852),
    [sym_alter_schema] = STATE(10852),
    [sym_alter_database] = STATE(10852),
    [sym_alter_role] = STATE(10852),
    [sym_alter_index] = STATE(10852),
    [sym_alter_sequence] = STATE(10852),
    [sym_alter_type] = STATE(10852),
    [sym__drop_statement] = STATE(10852),
    [sym_drop_table] = STATE(10852),
    [sym_drop_view] = STATE(10852),
    [sym_drop_schema] = STATE(10852),
    [sym_drop_database] = STATE(10852),
    [sym_drop_role] = STATE(10852),
    [sym_drop_type] = STATE(10852),
    [sym_drop_sequence] = STATE(10852),
    [sym_drop_index] = STATE(10852),
    [sym_drop_extension] = STATE(10852),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10852),
    [sym__compute_stats] = STATE(10852),
    [sym__optimize_table] = STATE(10852),
    [sym__vacuum_table] = STATE(10852),
    [sym_update] = STATE(9692),
    [aux_sym_function_body_repeat1] = STATE(106),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_return] = ACTIONS(1523),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [115] = {
    [sym_statement] = STATE(13847),
    [sym__ddl_statement] = STATE(10852),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10873),
    [sym__dml_read] = STATE(10914),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10852),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10852),
    [sym_create_table] = STATE(10852),
    [sym_reset_statement] = STATE(10852),
    [sym_set_statement] = STATE(10852),
    [sym_create_view] = STATE(10852),
    [sym_create_materialized_view] = STATE(10852),
    [sym_create_function] = STATE(10852),
    [sym_create_index] = STATE(10852),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10852),
    [sym_create_role] = STATE(10852),
    [sym_create_sequence] = STATE(10852),
    [sym_create_extension] = STATE(10852),
    [sym_create_trigger] = STATE(10852),
    [sym_create_type] = STATE(10852),
    [sym__alter_statement] = STATE(10852),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10852),
    [sym_alter_view] = STATE(10852),
    [sym_alter_schema] = STATE(10852),
    [sym_alter_database] = STATE(10852),
    [sym_alter_role] = STATE(10852),
    [sym_alter_index] = STATE(10852),
    [sym_alter_sequence] = STATE(10852),
    [sym_alter_type] = STATE(10852),
    [sym__drop_statement] = STATE(10852),
    [sym_drop_table] = STATE(10852),
    [sym_drop_view] = STATE(10852),
    [sym_drop_schema] = STATE(10852),
    [sym_drop_database] = STATE(10852),
    [sym_drop_role] = STATE(10852),
    [sym_drop_type] = STATE(10852),
    [sym_drop_sequence] = STATE(10852),
    [sym_drop_index] = STATE(10852),
    [sym_drop_extension] = STATE(10852),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10852),
    [sym__compute_stats] = STATE(10852),
    [sym__optimize_table] = STATE(10852),
    [sym__vacuum_table] = STATE(10852),
    [sym_update] = STATE(9692),
    [aux_sym_transaction_repeat1] = STATE(115),
    [sym_keyword_select] = ACTIONS(1612),
    [sym_keyword_delete] = ACTIONS(1615),
    [sym_keyword_insert] = ACTIONS(1618),
    [sym_keyword_replace] = ACTIONS(1618),
    [sym_keyword_update] = ACTIONS(1621),
    [sym_keyword_truncate] = ACTIONS(1624),
    [sym_keyword_merge] = ACTIONS(1627),
    [sym_keyword_show] = ACTIONS(1630),
    [sym_keyword_set] = ACTIONS(1633),
    [sym_keyword_create] = ACTIONS(1636),
    [sym_keyword_alter] = ACTIONS(1639),
    [sym_keyword_analyze] = ACTIONS(1642),
    [sym_keyword_explain] = ACTIONS(1645),
    [sym_keyword_drop] = ACTIONS(1648),
    [sym_keyword_end] = ACTIONS(1651),
    [sym_keyword_with] = ACTIONS(1653),
    [sym_keyword_rename] = ACTIONS(1656),
    [sym_keyword_reset] = ACTIONS(1659),
    [sym_keyword_commit] = ACTIONS(1651),
    [sym_keyword_rollback] = ACTIONS(1651),
    [sym_keyword_vacuum] = ACTIONS(1662),
    [sym_keyword_copy] = ACTIONS(1665),
    [sym_keyword_compute] = ACTIONS(1668),
    [sym_keyword_optimize] = ACTIONS(1671),
    [sym_keyword_comment] = ACTIONS(1674),
    [anon_sym_LPAREN] = ACTIONS(1677),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [116] = {
    [sym_statement] = STATE(12285),
    [sym__ddl_statement] = STATE(10852),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10873),
    [sym__dml_read] = STATE(10914),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10852),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10852),
    [sym_create_table] = STATE(10852),
    [sym_reset_statement] = STATE(10852),
    [sym_set_statement] = STATE(10852),
    [sym_create_view] = STATE(10852),
    [sym_create_materialized_view] = STATE(10852),
    [sym_create_function] = STATE(10852),
    [sym__function_return] = STATE(12285),
    [sym__function_body_statement] = STATE(12285),
    [sym_create_index] = STATE(10852),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10852),
    [sym_create_role] = STATE(10852),
    [sym_create_sequence] = STATE(10852),
    [sym_create_extension] = STATE(10852),
    [sym_create_trigger] = STATE(10852),
    [sym_create_type] = STATE(10852),
    [sym__alter_statement] = STATE(10852),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10852),
    [sym_alter_view] = STATE(10852),
    [sym_alter_schema] = STATE(10852),
    [sym_alter_database] = STATE(10852),
    [sym_alter_role] = STATE(10852),
    [sym_alter_index] = STATE(10852),
    [sym_alter_sequence] = STATE(10852),
    [sym_alter_type] = STATE(10852),
    [sym__drop_statement] = STATE(10852),
    [sym_drop_table] = STATE(10852),
    [sym_drop_view] = STATE(10852),
    [sym_drop_schema] = STATE(10852),
    [sym_drop_database] = STATE(10852),
    [sym_drop_role] = STATE(10852),
    [sym_drop_type] = STATE(10852),
    [sym_drop_sequence] = STATE(10852),
    [sym_drop_index] = STATE(10852),
    [sym_drop_extension] = STATE(10852),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10852),
    [sym__compute_stats] = STATE(10852),
    [sym__optimize_table] = STATE(10852),
    [sym__vacuum_table] = STATE(10852),
    [sym_update] = STATE(9692),
    [aux_sym_function_body_repeat1] = STATE(102),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_return] = ACTIONS(1523),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [117] = {
    [sym_statement] = STATE(12285),
    [sym__ddl_statement] = STATE(10852),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10873),
    [sym__dml_read] = STATE(10914),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10852),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10852),
    [sym_create_table] = STATE(10852),
    [sym_reset_statement] = STATE(10852),
    [sym_set_statement] = STATE(10852),
    [sym_create_view] = STATE(10852),
    [sym_create_materialized_view] = STATE(10852),
    [sym_create_function] = STATE(10852),
    [sym__function_return] = STATE(12285),
    [sym__function_body_statement] = STATE(12285),
    [sym_create_index] = STATE(10852),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10852),
    [sym_create_role] = STATE(10852),
    [sym_create_sequence] = STATE(10852),
    [sym_create_extension] = STATE(10852),
    [sym_create_trigger] = STATE(10852),
    [sym_create_type] = STATE(10852),
    [sym__alter_statement] = STATE(10852),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10852),
    [sym_alter_view] = STATE(10852),
    [sym_alter_schema] = STATE(10852),
    [sym_alter_database] = STATE(10852),
    [sym_alter_role] = STATE(10852),
    [sym_alter_index] = STATE(10852),
    [sym_alter_sequence] = STATE(10852),
    [sym_alter_type] = STATE(10852),
    [sym__drop_statement] = STATE(10852),
    [sym_drop_table] = STATE(10852),
    [sym_drop_view] = STATE(10852),
    [sym_drop_schema] = STATE(10852),
    [sym_drop_database] = STATE(10852),
    [sym_drop_role] = STATE(10852),
    [sym_drop_type] = STATE(10852),
    [sym_drop_sequence] = STATE(10852),
    [sym_drop_index] = STATE(10852),
    [sym_drop_extension] = STATE(10852),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10852),
    [sym__compute_stats] = STATE(10852),
    [sym__optimize_table] = STATE(10852),
    [sym__vacuum_table] = STATE(10852),
    [sym_update] = STATE(9692),
    [aux_sym_function_body_repeat1] = STATE(108),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_return] = ACTIONS(1523),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [118] = {
    [aux_sym__single_quote_string_repeat1] = STATE(120),
    [ts_builtin_sym_end] = ACTIONS(1367),
    [sym__identifier] = ACTIONS(1369),
    [anon_sym_SEMI] = ACTIONS(1367),
    [sym_keyword_from] = ACTIONS(1369),
    [sym_keyword_on] = ACTIONS(1369),
    [sym_keyword_limit] = ACTIONS(1369),
    [sym_keyword_offset] = ACTIONS(1369),
    [sym_keyword_create] = ACTIONS(1369),
    [sym_keyword_as] = ACTIONS(1369),
    [sym_keyword_when] = ACTIONS(1369),
    [sym_keyword_in] = ACTIONS(1369),
    [sym_keyword_and] = ACTIONS(1369),
    [sym_keyword_or] = ACTIONS(1369),
    [sym_keyword_is] = ACTIONS(1369),
    [sym_keyword_not] = ACTIONS(1369),
    [sym_keyword_default] = ACTIONS(1369),
    [sym_keyword_cascade] = ACTIONS(1369),
    [sym_keyword_with] = ACTIONS(1369),
    [sym_keyword_to] = ACTIONS(1369),
    [sym_keyword_password] = ACTIONS(1369),
    [sym_keyword_encrypted] = ACTIONS(1369),
    [sym_keyword_valid] = ACTIONS(1369),
    [sym_keyword_connection] = ACTIONS(1369),
    [sym_keyword_union] = ACTIONS(1369),
    [sym_keyword_except] = ACTIONS(1369),
    [sym_keyword_intersect] = ACTIONS(1369),
    [sym_keyword_returning] = ACTIONS(1369),
    [sym_keyword_after] = ACTIONS(1369),
    [sym_keyword_before] = ACTIONS(1369),
    [sym_keyword_rows] = ACTIONS(1369),
    [sym_keyword_between] = ACTIONS(1369),
    [aux_sym_keyword_like_token1] = ACTIONS(1369),
    [aux_sym_keyword_like_token2] = ACTIONS(1369),
    [sym_keyword_similar] = ACTIONS(1369),
    [sym_keyword_check] = ACTIONS(1369),
    [sym_keyword_freeze] = ACTIONS(1369),
    [sym_keyword_escape] = ACTIONS(1369),
    [sym_keyword_encoding] = ACTIONS(1369),
    [sym_keyword_force_quote] = ACTIONS(1369),
    [sym_keyword_quote] = ACTIONS(1369),
    [sym_keyword_force_null] = ACTIONS(1369),
    [sym_keyword_force_not_null] = ACTIONS(1369),
    [sym_keyword_header] = ACTIONS(1369),
    [sym_keyword_returns] = ACTIONS(1369),
    [sym_keyword_language] = ACTIONS(1369),
    [sym_keyword_immutable] = ACTIONS(1369),
    [sym_keyword_stable] = ACTIONS(1369),
    [sym_keyword_volatile] = ACTIONS(1369),
    [sym_keyword_leakproof] = ACTIONS(1369),
    [sym_keyword_parallel] = ACTIONS(1369),
    [sym_keyword_called] = ACTIONS(1369),
    [sym_keyword_strict] = ACTIONS(1369),
    [sym_keyword_cost] = ACTIONS(1369),
    [sym_keyword_support] = ACTIONS(1369),
    [sym_keyword_security] = ACTIONS(1369),
    [sym_keyword_external] = ACTIONS(1369),
    [sym_keyword_format] = ACTIONS(1369),
    [sym_keyword_delimiter] = ACTIONS(1369),
    [sym_keyword_null] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(1367),
    [anon_sym_COMMA] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1367),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1369),
    [anon_sym_LT_EQ] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1367),
    [sym_op_other] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1369),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_PERCENT] = ACTIONS(1367),
    [anon_sym_CARET] = ACTIONS(1369),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_LT_GT] = ACTIONS(1367),
    [sym__double_quote_string] = ACTIONS(1367),
    [aux_sym__single_quote_string_token2] = ACTIONS(1680),
    [aux_sym_identifier_token1] = ACTIONS(1367),
  },
  [119] = {
    [aux_sym__single_quote_string_repeat1] = STATE(119),
    [ts_builtin_sym_end] = ACTIONS(1373),
    [sym__identifier] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1373),
    [sym_keyword_from] = ACTIONS(1375),
    [sym_keyword_on] = ACTIONS(1375),
    [sym_keyword_limit] = ACTIONS(1375),
    [sym_keyword_offset] = ACTIONS(1375),
    [sym_keyword_create] = ACTIONS(1375),
    [sym_keyword_as] = ACTIONS(1375),
    [sym_keyword_when] = ACTIONS(1375),
    [sym_keyword_in] = ACTIONS(1375),
    [sym_keyword_and] = ACTIONS(1375),
    [sym_keyword_or] = ACTIONS(1375),
    [sym_keyword_is] = ACTIONS(1375),
    [sym_keyword_not] = ACTIONS(1375),
    [sym_keyword_default] = ACTIONS(1375),
    [sym_keyword_cascade] = ACTIONS(1375),
    [sym_keyword_with] = ACTIONS(1375),
    [sym_keyword_to] = ACTIONS(1375),
    [sym_keyword_password] = ACTIONS(1375),
    [sym_keyword_encrypted] = ACTIONS(1375),
    [sym_keyword_valid] = ACTIONS(1375),
    [sym_keyword_connection] = ACTIONS(1375),
    [sym_keyword_union] = ACTIONS(1375),
    [sym_keyword_except] = ACTIONS(1375),
    [sym_keyword_intersect] = ACTIONS(1375),
    [sym_keyword_returning] = ACTIONS(1375),
    [sym_keyword_after] = ACTIONS(1375),
    [sym_keyword_before] = ACTIONS(1375),
    [sym_keyword_rows] = ACTIONS(1375),
    [sym_keyword_between] = ACTIONS(1375),
    [aux_sym_keyword_like_token1] = ACTIONS(1375),
    [aux_sym_keyword_like_token2] = ACTIONS(1375),
    [sym_keyword_similar] = ACTIONS(1375),
    [sym_keyword_check] = ACTIONS(1375),
    [sym_keyword_freeze] = ACTIONS(1375),
    [sym_keyword_escape] = ACTIONS(1375),
    [sym_keyword_encoding] = ACTIONS(1375),
    [sym_keyword_force_quote] = ACTIONS(1375),
    [sym_keyword_quote] = ACTIONS(1375),
    [sym_keyword_force_null] = ACTIONS(1375),
    [sym_keyword_force_not_null] = ACTIONS(1375),
    [sym_keyword_header] = ACTIONS(1375),
    [sym_keyword_returns] = ACTIONS(1375),
    [sym_keyword_language] = ACTIONS(1375),
    [sym_keyword_immutable] = ACTIONS(1375),
    [sym_keyword_stable] = ACTIONS(1375),
    [sym_keyword_volatile] = ACTIONS(1375),
    [sym_keyword_leakproof] = ACTIONS(1375),
    [sym_keyword_parallel] = ACTIONS(1375),
    [sym_keyword_called] = ACTIONS(1375),
    [sym_keyword_strict] = ACTIONS(1375),
    [sym_keyword_cost] = ACTIONS(1375),
    [sym_keyword_support] = ACTIONS(1375),
    [sym_keyword_security] = ACTIONS(1375),
    [sym_keyword_external] = ACTIONS(1375),
    [sym_keyword_format] = ACTIONS(1375),
    [sym_keyword_delimiter] = ACTIONS(1375),
    [sym_keyword_null] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [anon_sym_RPAREN] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1373),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1373),
    [anon_sym_COLON_COLON] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1375),
    [anon_sym_GT] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1373),
    [anon_sym_GT_EQ] = ACTIONS(1373),
    [sym_op_other] = ACTIONS(1373),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1375),
    [anon_sym_PERCENT] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1373),
    [anon_sym_LT_GT] = ACTIONS(1373),
    [sym__double_quote_string] = ACTIONS(1373),
    [aux_sym__single_quote_string_token2] = ACTIONS(1682),
    [aux_sym_identifier_token1] = ACTIONS(1373),
  },
  [120] = {
    [aux_sym__single_quote_string_repeat1] = STATE(119),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__identifier] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [sym_keyword_from] = ACTIONS(1363),
    [sym_keyword_on] = ACTIONS(1363),
    [sym_keyword_limit] = ACTIONS(1363),
    [sym_keyword_offset] = ACTIONS(1363),
    [sym_keyword_create] = ACTIONS(1363),
    [sym_keyword_as] = ACTIONS(1363),
    [sym_keyword_when] = ACTIONS(1363),
    [sym_keyword_in] = ACTIONS(1363),
    [sym_keyword_and] = ACTIONS(1363),
    [sym_keyword_or] = ACTIONS(1363),
    [sym_keyword_is] = ACTIONS(1363),
    [sym_keyword_not] = ACTIONS(1363),
    [sym_keyword_default] = ACTIONS(1363),
    [sym_keyword_cascade] = ACTIONS(1363),
    [sym_keyword_with] = ACTIONS(1363),
    [sym_keyword_to] = ACTIONS(1363),
    [sym_keyword_password] = ACTIONS(1363),
    [sym_keyword_encrypted] = ACTIONS(1363),
    [sym_keyword_valid] = ACTIONS(1363),
    [sym_keyword_connection] = ACTIONS(1363),
    [sym_keyword_union] = ACTIONS(1363),
    [sym_keyword_except] = ACTIONS(1363),
    [sym_keyword_intersect] = ACTIONS(1363),
    [sym_keyword_returning] = ACTIONS(1363),
    [sym_keyword_after] = ACTIONS(1363),
    [sym_keyword_before] = ACTIONS(1363),
    [sym_keyword_rows] = ACTIONS(1363),
    [sym_keyword_between] = ACTIONS(1363),
    [aux_sym_keyword_like_token1] = ACTIONS(1363),
    [aux_sym_keyword_like_token2] = ACTIONS(1363),
    [sym_keyword_similar] = ACTIONS(1363),
    [sym_keyword_check] = ACTIONS(1363),
    [sym_keyword_freeze] = ACTIONS(1363),
    [sym_keyword_escape] = ACTIONS(1363),
    [sym_keyword_encoding] = ACTIONS(1363),
    [sym_keyword_force_quote] = ACTIONS(1363),
    [sym_keyword_quote] = ACTIONS(1363),
    [sym_keyword_force_null] = ACTIONS(1363),
    [sym_keyword_force_not_null] = ACTIONS(1363),
    [sym_keyword_header] = ACTIONS(1363),
    [sym_keyword_returns] = ACTIONS(1363),
    [sym_keyword_language] = ACTIONS(1363),
    [sym_keyword_immutable] = ACTIONS(1363),
    [sym_keyword_stable] = ACTIONS(1363),
    [sym_keyword_volatile] = ACTIONS(1363),
    [sym_keyword_leakproof] = ACTIONS(1363),
    [sym_keyword_parallel] = ACTIONS(1363),
    [sym_keyword_called] = ACTIONS(1363),
    [sym_keyword_strict] = ACTIONS(1363),
    [sym_keyword_cost] = ACTIONS(1363),
    [sym_keyword_support] = ACTIONS(1363),
    [sym_keyword_security] = ACTIONS(1363),
    [sym_keyword_external] = ACTIONS(1363),
    [sym_keyword_format] = ACTIONS(1363),
    [sym_keyword_delimiter] = ACTIONS(1363),
    [sym_keyword_null] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [anon_sym_RPAREN] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_COLON_COLON] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [sym_op_other] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PERCENT] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [sym__double_quote_string] = ACTIONS(1361),
    [aux_sym__single_quote_string_token2] = ACTIONS(1685),
    [aux_sym_identifier_token1] = ACTIONS(1361),
  },
  [121] = {
    [sym__primary_key] = STATE(12157),
    [sym__check_constraint] = STATE(11104),
    [sym_constraint] = STATE(11105),
    [sym__constraint_literal] = STATE(11106),
    [sym__primary_key_constraint] = STATE(11104),
    [sym__key_constraint] = STATE(11107),
    [sym__identifier] = ACTIONS(1687),
    [sym_keyword_primary] = ACTIONS(1689),
    [sym_keyword_key] = ACTIONS(1691),
    [sym_keyword_constraint] = ACTIONS(1693),
    [sym_keyword_index] = ACTIONS(1695),
    [aux_sym_keyword_character_token1] = ACTIONS(1687),
    [sym_keyword_unique] = ACTIONS(1697),
    [sym_keyword_foreign] = ACTIONS(1699),
    [sym_keyword_unsigned] = ACTIONS(1687),
    [sym_keyword_check] = ACTIONS(1701),
    [sym_keyword_boolean] = ACTIONS(1687),
    [sym_keyword_bit] = ACTIONS(1687),
    [sym_keyword_binary] = ACTIONS(1687),
    [sym_keyword_varbinary] = ACTIONS(1687),
    [sym_keyword_image] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_serial_token1] = ACTIONS(1687),
    [aux_sym_keyword_serial_token2] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token1] = ACTIONS(1687),
    [aux_sym_keyword_int_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token3] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1687),
    [sym_keyword_decimal] = ACTIONS(1687),
    [sym_keyword_numeric] = ACTIONS(1687),
    [aux_sym_keyword_real_token1] = ACTIONS(1687),
    [aux_sym_keyword_real_token2] = ACTIONS(1687),
    [sym_keyword_float] = ACTIONS(1687),
    [sym_keyword_double] = ACTIONS(1687),
    [sym_keyword_inet] = ACTIONS(1687),
    [sym_keyword_money] = ACTIONS(1687),
    [sym_keyword_smallmoney] = ACTIONS(1687),
    [aux_sym_keyword_char_token1] = ACTIONS(1687),
    [sym_keyword_nchar] = ACTIONS(1687),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1687),
    [sym_keyword_nvarchar] = ACTIONS(1687),
    [sym_keyword_text] = ACTIONS(1687),
    [sym_keyword_string] = ACTIONS(1687),
    [sym_keyword_uuid] = ACTIONS(1687),
    [sym_keyword_json] = ACTIONS(1687),
    [sym_keyword_jsonb] = ACTIONS(1687),
    [sym_keyword_xml] = ACTIONS(1687),
    [sym_keyword_bytea] = ACTIONS(1687),
    [sym_keyword_enum] = ACTIONS(1687),
    [sym_keyword_date] = ACTIONS(1687),
    [sym_keyword_datetime] = ACTIONS(1687),
    [sym_keyword_datetime2] = ACTIONS(1687),
    [sym_keyword_smalldatetime] = ACTIONS(1687),
    [sym_keyword_datetimeoffset] = ACTIONS(1687),
    [sym_keyword_time] = ACTIONS(1687),
    [sym_keyword_timestamp] = ACTIONS(1687),
    [sym_keyword_timestamptz] = ACTIONS(1687),
    [sym_keyword_interval] = ACTIONS(1687),
    [sym_keyword_geometry] = ACTIONS(1687),
    [sym_keyword_geography] = ACTIONS(1687),
    [sym_keyword_box2d] = ACTIONS(1687),
    [sym_keyword_box3d] = ACTIONS(1687),
    [sym_keyword_oid] = ACTIONS(1687),
    [sym_keyword_name] = ACTIONS(1687),
    [sym_keyword_regclass] = ACTIONS(1687),
    [sym_keyword_regnamespace] = ACTIONS(1687),
    [sym_keyword_regproc] = ACTIONS(1687),
    [sym_keyword_regtype] = ACTIONS(1687),
    [aux_sym_double_token1] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1703),
    [aux_sym_identifier_token1] = ACTIONS(1703),
  },
  [122] = {
    [sym__ddl_statement] = STATE(11423),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10479),
    [sym__dml_read] = STATE(10488),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(11423),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(11423),
    [sym_create_table] = STATE(11423),
    [sym_reset_statement] = STATE(11423),
    [sym_set_statement] = STATE(11423),
    [sym_create_view] = STATE(11423),
    [sym_create_materialized_view] = STATE(11423),
    [sym_create_function] = STATE(11423),
    [sym_create_index] = STATE(11423),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(11423),
    [sym_create_role] = STATE(11423),
    [sym_create_sequence] = STATE(11423),
    [sym_create_extension] = STATE(11423),
    [sym_create_trigger] = STATE(11423),
    [sym_create_type] = STATE(11423),
    [sym__alter_statement] = STATE(11423),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(11423),
    [sym_alter_view] = STATE(11423),
    [sym_alter_schema] = STATE(11423),
    [sym_alter_database] = STATE(11423),
    [sym_alter_role] = STATE(11423),
    [sym_alter_index] = STATE(11423),
    [sym_alter_sequence] = STATE(11423),
    [sym_alter_type] = STATE(11423),
    [sym__drop_statement] = STATE(11423),
    [sym_drop_table] = STATE(11423),
    [sym_drop_view] = STATE(11423),
    [sym_drop_schema] = STATE(11423),
    [sym_drop_database] = STATE(11423),
    [sym_drop_role] = STATE(11423),
    [sym_drop_type] = STATE(11423),
    [sym_drop_sequence] = STATE(11423),
    [sym_drop_index] = STATE(11423),
    [sym_drop_extension] = STATE(11423),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(11423),
    [sym__compute_stats] = STATE(11423),
    [sym__optimize_table] = STATE(11423),
    [sym__vacuum_table] = STATE(11423),
    [sym_update] = STATE(9692),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_verbose] = ACTIONS(1705),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_table] = ACTIONS(1707),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1709),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [123] = {
    [sym__primary_key] = STATE(11844),
    [sym__check_constraint] = STATE(10107),
    [sym_constraint] = STATE(10108),
    [sym__constraint_literal] = STATE(10109),
    [sym__primary_key_constraint] = STATE(10107),
    [sym__key_constraint] = STATE(10110),
    [sym__identifier] = ACTIONS(1687),
    [sym_keyword_primary] = ACTIONS(1689),
    [sym_keyword_key] = ACTIONS(1711),
    [sym_keyword_constraint] = ACTIONS(1713),
    [sym_keyword_index] = ACTIONS(1715),
    [aux_sym_keyword_character_token1] = ACTIONS(1687),
    [sym_keyword_unique] = ACTIONS(1717),
    [sym_keyword_foreign] = ACTIONS(1719),
    [sym_keyword_unsigned] = ACTIONS(1687),
    [sym_keyword_check] = ACTIONS(1721),
    [sym_keyword_boolean] = ACTIONS(1687),
    [sym_keyword_bit] = ACTIONS(1687),
    [sym_keyword_binary] = ACTIONS(1687),
    [sym_keyword_varbinary] = ACTIONS(1687),
    [sym_keyword_image] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_serial_token1] = ACTIONS(1687),
    [aux_sym_keyword_serial_token2] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token1] = ACTIONS(1687),
    [aux_sym_keyword_int_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token3] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1687),
    [sym_keyword_decimal] = ACTIONS(1687),
    [sym_keyword_numeric] = ACTIONS(1687),
    [aux_sym_keyword_real_token1] = ACTIONS(1687),
    [aux_sym_keyword_real_token2] = ACTIONS(1687),
    [sym_keyword_float] = ACTIONS(1687),
    [sym_keyword_double] = ACTIONS(1687),
    [sym_keyword_inet] = ACTIONS(1687),
    [sym_keyword_money] = ACTIONS(1687),
    [sym_keyword_smallmoney] = ACTIONS(1687),
    [aux_sym_keyword_char_token1] = ACTIONS(1687),
    [sym_keyword_nchar] = ACTIONS(1687),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1687),
    [sym_keyword_nvarchar] = ACTIONS(1687),
    [sym_keyword_text] = ACTIONS(1687),
    [sym_keyword_string] = ACTIONS(1687),
    [sym_keyword_uuid] = ACTIONS(1687),
    [sym_keyword_json] = ACTIONS(1687),
    [sym_keyword_jsonb] = ACTIONS(1687),
    [sym_keyword_xml] = ACTIONS(1687),
    [sym_keyword_bytea] = ACTIONS(1687),
    [sym_keyword_enum] = ACTIONS(1687),
    [sym_keyword_date] = ACTIONS(1687),
    [sym_keyword_datetime] = ACTIONS(1687),
    [sym_keyword_datetime2] = ACTIONS(1687),
    [sym_keyword_smalldatetime] = ACTIONS(1687),
    [sym_keyword_datetimeoffset] = ACTIONS(1687),
    [sym_keyword_time] = ACTIONS(1687),
    [sym_keyword_timestamp] = ACTIONS(1687),
    [sym_keyword_timestamptz] = ACTIONS(1687),
    [sym_keyword_interval] = ACTIONS(1687),
    [sym_keyword_geometry] = ACTIONS(1687),
    [sym_keyword_geography] = ACTIONS(1687),
    [sym_keyword_box2d] = ACTIONS(1687),
    [sym_keyword_box3d] = ACTIONS(1687),
    [sym_keyword_oid] = ACTIONS(1687),
    [sym_keyword_name] = ACTIONS(1687),
    [sym_keyword_regclass] = ACTIONS(1687),
    [sym_keyword_regnamespace] = ACTIONS(1687),
    [sym_keyword_regproc] = ACTIONS(1687),
    [sym_keyword_regtype] = ACTIONS(1687),
    [aux_sym_double_token1] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1703),
    [aux_sym_identifier_token1] = ACTIONS(1703),
  },
  [124] = {
    [sym__ddl_statement] = STATE(11822),
    [sym__cte] = STATE(6847),
    [sym__dml_write] = STATE(11823),
    [sym__dml_read] = STATE(11824),
    [sym__show_statement] = STATE(8299),
    [sym_set_operation] = STATE(8300),
    [sym__select_statement] = STATE(7842),
    [sym_comment_statement] = STATE(11822),
    [sym_select] = STATE(7715),
    [sym__truncate_statement] = STATE(11741),
    [sym__delete_statement] = STATE(11741),
    [sym_delete] = STATE(12081),
    [sym__create_statement] = STATE(11822),
    [sym_create_table] = STATE(11822),
    [sym_reset_statement] = STATE(11822),
    [sym_set_statement] = STATE(11822),
    [sym_create_view] = STATE(11822),
    [sym_create_materialized_view] = STATE(11822),
    [sym_create_function] = STATE(11822),
    [sym_create_index] = STATE(11822),
    [sym_create_schema] = STATE(7028),
    [sym_create_database] = STATE(11822),
    [sym_create_role] = STATE(11822),
    [sym_create_sequence] = STATE(11822),
    [sym_create_extension] = STATE(11822),
    [sym_create_trigger] = STATE(11822),
    [sym_create_type] = STATE(11822),
    [sym__alter_statement] = STATE(11822),
    [sym__rename_statement] = STATE(11742),
    [sym_alter_table] = STATE(11822),
    [sym_alter_view] = STATE(11822),
    [sym_alter_schema] = STATE(11822),
    [sym_alter_database] = STATE(11822),
    [sym_alter_role] = STATE(11822),
    [sym_alter_index] = STATE(11822),
    [sym_alter_sequence] = STATE(11822),
    [sym_alter_type] = STATE(11822),
    [sym__drop_statement] = STATE(11822),
    [sym_drop_table] = STATE(11822),
    [sym_drop_view] = STATE(11822),
    [sym_drop_schema] = STATE(11822),
    [sym_drop_database] = STATE(11822),
    [sym_drop_role] = STATE(11822),
    [sym_drop_type] = STATE(11822),
    [sym_drop_sequence] = STATE(11822),
    [sym_drop_index] = STATE(11822),
    [sym_drop_extension] = STATE(11822),
    [sym__copy_statement] = STATE(11741),
    [sym__insert_statement] = STATE(11741),
    [sym_insert] = STATE(10050),
    [sym__update_statement] = STATE(11741),
    [sym__merge_statement] = STATE(11744),
    [sym__optimize_statement] = STATE(11822),
    [sym__compute_stats] = STATE(11822),
    [sym__optimize_table] = STATE(11822),
    [sym__vacuum_table] = STATE(11822),
    [sym_update] = STATE(10051),
    [sym_keyword_select] = ACTIONS(1475),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1477),
    [sym_keyword_replace] = ACTIONS(1477),
    [sym_keyword_update] = ACTIONS(1479),
    [sym_keyword_truncate] = ACTIONS(1481),
    [sym_keyword_merge] = ACTIONS(1483),
    [sym_keyword_show] = ACTIONS(1485),
    [sym_keyword_set] = ACTIONS(1487),
    [sym_keyword_create] = ACTIONS(1489),
    [sym_keyword_alter] = ACTIONS(1491),
    [sym_keyword_analyze] = ACTIONS(1493),
    [sym_keyword_verbose] = ACTIONS(1723),
    [sym_keyword_drop] = ACTIONS(1497),
    [sym_keyword_table] = ACTIONS(1725),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(1499),
    [sym_keyword_reset] = ACTIONS(1501),
    [sym_keyword_vacuum] = ACTIONS(1505),
    [sym_keyword_copy] = ACTIONS(1507),
    [sym_keyword_compute] = ACTIONS(1513),
    [sym_keyword_optimize] = ACTIONS(1515),
    [sym_keyword_comment] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [125] = {
    [sym_statement] = STATE(14059),
    [sym__ddl_statement] = STATE(10852),
    [sym__cte] = STATE(6913),
    [sym__dml_write] = STATE(10873),
    [sym__dml_read] = STATE(10914),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10852),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(11951),
    [sym__create_statement] = STATE(10852),
    [sym_create_table] = STATE(10852),
    [sym_reset_statement] = STATE(10852),
    [sym_set_statement] = STATE(10852),
    [sym_create_view] = STATE(10852),
    [sym_create_materialized_view] = STATE(10852),
    [sym_create_function] = STATE(10852),
    [sym_create_index] = STATE(10852),
    [sym_create_schema] = STATE(7133),
    [sym_create_database] = STATE(10852),
    [sym_create_role] = STATE(10852),
    [sym_create_sequence] = STATE(10852),
    [sym_create_extension] = STATE(10852),
    [sym_create_trigger] = STATE(10852),
    [sym_create_type] = STATE(10852),
    [sym__alter_statement] = STATE(10852),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10852),
    [sym_alter_view] = STATE(10852),
    [sym_alter_schema] = STATE(10852),
    [sym_alter_database] = STATE(10852),
    [sym_alter_role] = STATE(10852),
    [sym_alter_index] = STATE(10852),
    [sym_alter_sequence] = STATE(10852),
    [sym_alter_type] = STATE(10852),
    [sym__drop_statement] = STATE(10852),
    [sym_drop_table] = STATE(10852),
    [sym_drop_view] = STATE(10852),
    [sym_drop_schema] = STATE(10852),
    [sym_drop_database] = STATE(10852),
    [sym_drop_role] = STATE(10852),
    [sym_drop_type] = STATE(10852),
    [sym_drop_sequence] = STATE(10852),
    [sym_drop_index] = STATE(10852),
    [sym_drop_extension] = STATE(10852),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10895),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10852),
    [sym__compute_stats] = STATE(10852),
    [sym__optimize_table] = STATE(10852),
    [sym__vacuum_table] = STATE(10852),
    [sym_update] = STATE(10897),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1729),
    [sym_keyword_replace] = ACTIONS(1729),
    [sym_keyword_update] = ACTIONS(1731),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(1733),
    [sym_keyword_show] = ACTIONS(1735),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(1737),
    [sym_keyword_alter] = ACTIONS(1739),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(1741),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(1743),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(1745),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1747),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [126] = {
    [sym__ddl_statement] = STATE(11423),
    [sym__cte] = STATE(6913),
    [sym__dml_write] = STATE(10479),
    [sym__dml_read] = STATE(10488),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(11423),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(11951),
    [sym__create_statement] = STATE(11423),
    [sym_create_table] = STATE(11423),
    [sym_reset_statement] = STATE(11423),
    [sym_set_statement] = STATE(11423),
    [sym_create_view] = STATE(11423),
    [sym_create_materialized_view] = STATE(11423),
    [sym_create_function] = STATE(11423),
    [sym_create_index] = STATE(11423),
    [sym_create_schema] = STATE(7133),
    [sym_create_database] = STATE(11423),
    [sym_create_role] = STATE(11423),
    [sym_create_sequence] = STATE(11423),
    [sym_create_extension] = STATE(11423),
    [sym_create_trigger] = STATE(11423),
    [sym_create_type] = STATE(11423),
    [sym__alter_statement] = STATE(11423),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(11423),
    [sym_alter_view] = STATE(11423),
    [sym_alter_schema] = STATE(11423),
    [sym_alter_database] = STATE(11423),
    [sym_alter_role] = STATE(11423),
    [sym_alter_index] = STATE(11423),
    [sym_alter_sequence] = STATE(11423),
    [sym_alter_type] = STATE(11423),
    [sym__drop_statement] = STATE(11423),
    [sym_drop_table] = STATE(11423),
    [sym_drop_view] = STATE(11423),
    [sym_drop_schema] = STATE(11423),
    [sym_drop_database] = STATE(11423),
    [sym_drop_role] = STATE(11423),
    [sym_drop_type] = STATE(11423),
    [sym_drop_sequence] = STATE(11423),
    [sym_drop_index] = STATE(11423),
    [sym_drop_extension] = STATE(11423),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10895),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(11423),
    [sym__compute_stats] = STATE(11423),
    [sym__optimize_table] = STATE(11423),
    [sym__vacuum_table] = STATE(11423),
    [sym_update] = STATE(10897),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1729),
    [sym_keyword_replace] = ACTIONS(1729),
    [sym_keyword_update] = ACTIONS(1731),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(1733),
    [sym_keyword_show] = ACTIONS(1735),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(1737),
    [sym_keyword_alter] = ACTIONS(1739),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_verbose] = ACTIONS(1749),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_table] = ACTIONS(1707),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(1743),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(1745),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [127] = {
    [sym__ddl_statement] = STATE(11764),
    [sym__cte] = STATE(6847),
    [sym__dml_write] = STATE(11768),
    [sym__dml_read] = STATE(11769),
    [sym__show_statement] = STATE(8299),
    [sym_set_operation] = STATE(8300),
    [sym__select_statement] = STATE(7842),
    [sym_comment_statement] = STATE(11764),
    [sym_select] = STATE(7715),
    [sym__truncate_statement] = STATE(11741),
    [sym__delete_statement] = STATE(11741),
    [sym_delete] = STATE(12081),
    [sym__create_statement] = STATE(11764),
    [sym_create_table] = STATE(11764),
    [sym_reset_statement] = STATE(11764),
    [sym_set_statement] = STATE(11764),
    [sym_create_view] = STATE(11764),
    [sym_create_materialized_view] = STATE(11764),
    [sym_create_function] = STATE(11764),
    [sym_create_index] = STATE(11764),
    [sym_create_schema] = STATE(7028),
    [sym_create_database] = STATE(11764),
    [sym_create_role] = STATE(11764),
    [sym_create_sequence] = STATE(11764),
    [sym_create_extension] = STATE(11764),
    [sym_create_trigger] = STATE(11764),
    [sym_create_type] = STATE(11764),
    [sym__alter_statement] = STATE(11764),
    [sym__rename_statement] = STATE(11742),
    [sym_alter_table] = STATE(11764),
    [sym_alter_view] = STATE(11764),
    [sym_alter_schema] = STATE(11764),
    [sym_alter_database] = STATE(11764),
    [sym_alter_role] = STATE(11764),
    [sym_alter_index] = STATE(11764),
    [sym_alter_sequence] = STATE(11764),
    [sym_alter_type] = STATE(11764),
    [sym__drop_statement] = STATE(11764),
    [sym_drop_table] = STATE(11764),
    [sym_drop_view] = STATE(11764),
    [sym_drop_schema] = STATE(11764),
    [sym_drop_database] = STATE(11764),
    [sym_drop_role] = STATE(11764),
    [sym_drop_type] = STATE(11764),
    [sym_drop_sequence] = STATE(11764),
    [sym_drop_index] = STATE(11764),
    [sym_drop_extension] = STATE(11764),
    [sym__copy_statement] = STATE(11741),
    [sym__insert_statement] = STATE(11741),
    [sym_insert] = STATE(10050),
    [sym__update_statement] = STATE(11741),
    [sym__merge_statement] = STATE(11744),
    [sym__optimize_statement] = STATE(11764),
    [sym__compute_stats] = STATE(11764),
    [sym__optimize_table] = STATE(11764),
    [sym__vacuum_table] = STATE(11764),
    [sym_update] = STATE(10051),
    [sym_keyword_select] = ACTIONS(1475),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1477),
    [sym_keyword_replace] = ACTIONS(1477),
    [sym_keyword_update] = ACTIONS(1479),
    [sym_keyword_truncate] = ACTIONS(1481),
    [sym_keyword_merge] = ACTIONS(1483),
    [sym_keyword_show] = ACTIONS(1485),
    [sym_keyword_set] = ACTIONS(1487),
    [sym_keyword_create] = ACTIONS(1489),
    [sym_keyword_alter] = ACTIONS(1491),
    [sym_keyword_analyze] = ACTIONS(1753),
    [sym_keyword_verbose] = ACTIONS(1755),
    [sym_keyword_drop] = ACTIONS(1497),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(1499),
    [sym_keyword_reset] = ACTIONS(1501),
    [sym_keyword_vacuum] = ACTIONS(1505),
    [sym_keyword_copy] = ACTIONS(1507),
    [sym_keyword_compute] = ACTIONS(1513),
    [sym_keyword_optimize] = ACTIONS(1515),
    [sym_keyword_comment] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1757),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [128] = {
    [sym__ddl_statement] = STATE(10838),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10839),
    [sym__dml_read] = STATE(10840),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10838),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10838),
    [sym_create_table] = STATE(10838),
    [sym_reset_statement] = STATE(10838),
    [sym_set_statement] = STATE(10838),
    [sym_create_view] = STATE(10838),
    [sym_create_materialized_view] = STATE(10838),
    [sym_create_function] = STATE(10838),
    [sym_create_index] = STATE(10838),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10838),
    [sym_create_role] = STATE(10838),
    [sym_create_sequence] = STATE(10838),
    [sym_create_extension] = STATE(10838),
    [sym_create_trigger] = STATE(10838),
    [sym_create_type] = STATE(10838),
    [sym__alter_statement] = STATE(10838),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10838),
    [sym_alter_view] = STATE(10838),
    [sym_alter_schema] = STATE(10838),
    [sym_alter_database] = STATE(10838),
    [sym_alter_role] = STATE(10838),
    [sym_alter_index] = STATE(10838),
    [sym_alter_sequence] = STATE(10838),
    [sym_alter_type] = STATE(10838),
    [sym__drop_statement] = STATE(10838),
    [sym_drop_table] = STATE(10838),
    [sym_drop_view] = STATE(10838),
    [sym_drop_schema] = STATE(10838),
    [sym_drop_database] = STATE(10838),
    [sym_drop_role] = STATE(10838),
    [sym_drop_type] = STATE(10838),
    [sym_drop_sequence] = STATE(10838),
    [sym_drop_index] = STATE(10838),
    [sym_drop_extension] = STATE(10838),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10838),
    [sym__compute_stats] = STATE(10838),
    [sym__optimize_table] = STATE(10838),
    [sym__vacuum_table] = STATE(10838),
    [sym_update] = STATE(9692),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(1759),
    [sym_keyword_verbose] = ACTIONS(1761),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1763),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [129] = {
    [sym__ddl_statement] = STATE(10838),
    [sym__cte] = STATE(6913),
    [sym__dml_write] = STATE(10839),
    [sym__dml_read] = STATE(10840),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10838),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(11951),
    [sym__create_statement] = STATE(10838),
    [sym_create_table] = STATE(10838),
    [sym_reset_statement] = STATE(10838),
    [sym_set_statement] = STATE(10838),
    [sym_create_view] = STATE(10838),
    [sym_create_materialized_view] = STATE(10838),
    [sym_create_function] = STATE(10838),
    [sym_create_index] = STATE(10838),
    [sym_create_schema] = STATE(7133),
    [sym_create_database] = STATE(10838),
    [sym_create_role] = STATE(10838),
    [sym_create_sequence] = STATE(10838),
    [sym_create_extension] = STATE(10838),
    [sym_create_trigger] = STATE(10838),
    [sym_create_type] = STATE(10838),
    [sym__alter_statement] = STATE(10838),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10838),
    [sym_alter_view] = STATE(10838),
    [sym_alter_schema] = STATE(10838),
    [sym_alter_database] = STATE(10838),
    [sym_alter_role] = STATE(10838),
    [sym_alter_index] = STATE(10838),
    [sym_alter_sequence] = STATE(10838),
    [sym_alter_type] = STATE(10838),
    [sym__drop_statement] = STATE(10838),
    [sym_drop_table] = STATE(10838),
    [sym_drop_view] = STATE(10838),
    [sym_drop_schema] = STATE(10838),
    [sym_drop_database] = STATE(10838),
    [sym_drop_role] = STATE(10838),
    [sym_drop_type] = STATE(10838),
    [sym_drop_sequence] = STATE(10838),
    [sym_drop_index] = STATE(10838),
    [sym_drop_extension] = STATE(10838),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10895),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10838),
    [sym__compute_stats] = STATE(10838),
    [sym__optimize_table] = STATE(10838),
    [sym__vacuum_table] = STATE(10838),
    [sym_update] = STATE(10897),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1729),
    [sym_keyword_replace] = ACTIONS(1729),
    [sym_keyword_update] = ACTIONS(1731),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(1733),
    [sym_keyword_show] = ACTIONS(1735),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(1737),
    [sym_keyword_alter] = ACTIONS(1739),
    [sym_keyword_analyze] = ACTIONS(1765),
    [sym_keyword_verbose] = ACTIONS(1767),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(1743),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(1745),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1769),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [130] = {
    [sym__ddl_statement] = STATE(10542),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10549),
    [sym__dml_read] = STATE(10550),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10542),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10542),
    [sym_create_table] = STATE(10542),
    [sym_reset_statement] = STATE(10542),
    [sym_set_statement] = STATE(10542),
    [sym_create_view] = STATE(10542),
    [sym_create_materialized_view] = STATE(10542),
    [sym_create_function] = STATE(10542),
    [sym_create_index] = STATE(10542),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10542),
    [sym_create_role] = STATE(10542),
    [sym_create_sequence] = STATE(10542),
    [sym_create_extension] = STATE(10542),
    [sym_create_trigger] = STATE(10542),
    [sym_create_type] = STATE(10542),
    [sym__alter_statement] = STATE(10542),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10542),
    [sym_alter_view] = STATE(10542),
    [sym_alter_schema] = STATE(10542),
    [sym_alter_database] = STATE(10542),
    [sym_alter_role] = STATE(10542),
    [sym_alter_index] = STATE(10542),
    [sym_alter_sequence] = STATE(10542),
    [sym_alter_type] = STATE(10542),
    [sym__drop_statement] = STATE(10542),
    [sym_drop_table] = STATE(10542),
    [sym_drop_view] = STATE(10542),
    [sym_drop_schema] = STATE(10542),
    [sym_drop_database] = STATE(10542),
    [sym_drop_role] = STATE(10542),
    [sym_drop_type] = STATE(10542),
    [sym_drop_sequence] = STATE(10542),
    [sym_drop_index] = STATE(10542),
    [sym_drop_extension] = STATE(10542),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10542),
    [sym__compute_stats] = STATE(10542),
    [sym__optimize_table] = STATE(10542),
    [sym__vacuum_table] = STATE(10542),
    [sym_update] = STATE(9692),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1771),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [131] = {
    [sym__ddl_statement] = STATE(11825),
    [sym__cte] = STATE(6847),
    [sym__dml_write] = STATE(11823),
    [sym__dml_read] = STATE(11826),
    [sym__show_statement] = STATE(8299),
    [sym_set_operation] = STATE(8300),
    [sym__select_statement] = STATE(7842),
    [sym_comment_statement] = STATE(11825),
    [sym_select] = STATE(7715),
    [sym__truncate_statement] = STATE(11741),
    [sym__delete_statement] = STATE(11741),
    [sym_delete] = STATE(12081),
    [sym__create_statement] = STATE(11825),
    [sym_create_table] = STATE(11825),
    [sym_reset_statement] = STATE(11825),
    [sym_set_statement] = STATE(11825),
    [sym_create_view] = STATE(11825),
    [sym_create_materialized_view] = STATE(11825),
    [sym_create_function] = STATE(11825),
    [sym_create_index] = STATE(11825),
    [sym_create_schema] = STATE(7028),
    [sym_create_database] = STATE(11825),
    [sym_create_role] = STATE(11825),
    [sym_create_sequence] = STATE(11825),
    [sym_create_extension] = STATE(11825),
    [sym_create_trigger] = STATE(11825),
    [sym_create_type] = STATE(11825),
    [sym__alter_statement] = STATE(11825),
    [sym__rename_statement] = STATE(11742),
    [sym_alter_table] = STATE(11825),
    [sym_alter_view] = STATE(11825),
    [sym_alter_schema] = STATE(11825),
    [sym_alter_database] = STATE(11825),
    [sym_alter_role] = STATE(11825),
    [sym_alter_index] = STATE(11825),
    [sym_alter_sequence] = STATE(11825),
    [sym_alter_type] = STATE(11825),
    [sym__drop_statement] = STATE(11825),
    [sym_drop_table] = STATE(11825),
    [sym_drop_view] = STATE(11825),
    [sym_drop_schema] = STATE(11825),
    [sym_drop_database] = STATE(11825),
    [sym_drop_role] = STATE(11825),
    [sym_drop_type] = STATE(11825),
    [sym_drop_sequence] = STATE(11825),
    [sym_drop_index] = STATE(11825),
    [sym_drop_extension] = STATE(11825),
    [sym__copy_statement] = STATE(11741),
    [sym__insert_statement] = STATE(11741),
    [sym_insert] = STATE(10050),
    [sym__update_statement] = STATE(11741),
    [sym__merge_statement] = STATE(11744),
    [sym__optimize_statement] = STATE(11825),
    [sym__compute_stats] = STATE(11825),
    [sym__optimize_table] = STATE(11825),
    [sym__vacuum_table] = STATE(11825),
    [sym_update] = STATE(10051),
    [sym_keyword_select] = ACTIONS(1475),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1477),
    [sym_keyword_replace] = ACTIONS(1477),
    [sym_keyword_update] = ACTIONS(1479),
    [sym_keyword_truncate] = ACTIONS(1481),
    [sym_keyword_merge] = ACTIONS(1483),
    [sym_keyword_show] = ACTIONS(1485),
    [sym_keyword_set] = ACTIONS(1487),
    [sym_keyword_create] = ACTIONS(1489),
    [sym_keyword_alter] = ACTIONS(1491),
    [sym_keyword_analyze] = ACTIONS(1493),
    [sym_keyword_drop] = ACTIONS(1497),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(1499),
    [sym_keyword_reset] = ACTIONS(1501),
    [sym_keyword_vacuum] = ACTIONS(1505),
    [sym_keyword_copy] = ACTIONS(1507),
    [sym_keyword_compute] = ACTIONS(1513),
    [sym_keyword_optimize] = ACTIONS(1515),
    [sym_keyword_comment] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [132] = {
    [sym__ddl_statement] = STATE(10532),
    [sym__cte] = STATE(6913),
    [sym__dml_write] = STATE(10479),
    [sym__dml_read] = STATE(10591),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10532),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(11951),
    [sym__create_statement] = STATE(10532),
    [sym_create_table] = STATE(10532),
    [sym_reset_statement] = STATE(10532),
    [sym_set_statement] = STATE(10532),
    [sym_create_view] = STATE(10532),
    [sym_create_materialized_view] = STATE(10532),
    [sym_create_function] = STATE(10532),
    [sym_create_index] = STATE(10532),
    [sym_create_schema] = STATE(7133),
    [sym_create_database] = STATE(10532),
    [sym_create_role] = STATE(10532),
    [sym_create_sequence] = STATE(10532),
    [sym_create_extension] = STATE(10532),
    [sym_create_trigger] = STATE(10532),
    [sym_create_type] = STATE(10532),
    [sym__alter_statement] = STATE(10532),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10532),
    [sym_alter_view] = STATE(10532),
    [sym_alter_schema] = STATE(10532),
    [sym_alter_database] = STATE(10532),
    [sym_alter_role] = STATE(10532),
    [sym_alter_index] = STATE(10532),
    [sym_alter_sequence] = STATE(10532),
    [sym_alter_type] = STATE(10532),
    [sym__drop_statement] = STATE(10532),
    [sym_drop_table] = STATE(10532),
    [sym_drop_view] = STATE(10532),
    [sym_drop_schema] = STATE(10532),
    [sym_drop_database] = STATE(10532),
    [sym_drop_role] = STATE(10532),
    [sym_drop_type] = STATE(10532),
    [sym_drop_sequence] = STATE(10532),
    [sym_drop_index] = STATE(10532),
    [sym_drop_extension] = STATE(10532),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10895),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10532),
    [sym__compute_stats] = STATE(10532),
    [sym__optimize_table] = STATE(10532),
    [sym__vacuum_table] = STATE(10532),
    [sym_update] = STATE(10897),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1729),
    [sym_keyword_replace] = ACTIONS(1729),
    [sym_keyword_update] = ACTIONS(1731),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(1733),
    [sym_keyword_show] = ACTIONS(1735),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(1737),
    [sym_keyword_alter] = ACTIONS(1739),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(1743),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(1745),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [133] = {
    [sym__ddl_statement] = STATE(11917),
    [sym__cte] = STATE(6847),
    [sym__dml_write] = STATE(11918),
    [sym__dml_read] = STATE(11919),
    [sym__show_statement] = STATE(8299),
    [sym_set_operation] = STATE(8300),
    [sym__select_statement] = STATE(7842),
    [sym_comment_statement] = STATE(11917),
    [sym_select] = STATE(7715),
    [sym__truncate_statement] = STATE(11741),
    [sym__delete_statement] = STATE(11741),
    [sym_delete] = STATE(12081),
    [sym__create_statement] = STATE(11917),
    [sym_create_table] = STATE(11917),
    [sym_reset_statement] = STATE(11917),
    [sym_set_statement] = STATE(11917),
    [sym_create_view] = STATE(11917),
    [sym_create_materialized_view] = STATE(11917),
    [sym_create_function] = STATE(11917),
    [sym_create_index] = STATE(11917),
    [sym_create_schema] = STATE(7028),
    [sym_create_database] = STATE(11917),
    [sym_create_role] = STATE(11917),
    [sym_create_sequence] = STATE(11917),
    [sym_create_extension] = STATE(11917),
    [sym_create_trigger] = STATE(11917),
    [sym_create_type] = STATE(11917),
    [sym__alter_statement] = STATE(11917),
    [sym__rename_statement] = STATE(11742),
    [sym_alter_table] = STATE(11917),
    [sym_alter_view] = STATE(11917),
    [sym_alter_schema] = STATE(11917),
    [sym_alter_database] = STATE(11917),
    [sym_alter_role] = STATE(11917),
    [sym_alter_index] = STATE(11917),
    [sym_alter_sequence] = STATE(11917),
    [sym_alter_type] = STATE(11917),
    [sym__drop_statement] = STATE(11917),
    [sym_drop_table] = STATE(11917),
    [sym_drop_view] = STATE(11917),
    [sym_drop_schema] = STATE(11917),
    [sym_drop_database] = STATE(11917),
    [sym_drop_role] = STATE(11917),
    [sym_drop_type] = STATE(11917),
    [sym_drop_sequence] = STATE(11917),
    [sym_drop_index] = STATE(11917),
    [sym_drop_extension] = STATE(11917),
    [sym__copy_statement] = STATE(11741),
    [sym__insert_statement] = STATE(11741),
    [sym_insert] = STATE(10050),
    [sym__update_statement] = STATE(11741),
    [sym__merge_statement] = STATE(11744),
    [sym__optimize_statement] = STATE(11917),
    [sym__compute_stats] = STATE(11917),
    [sym__optimize_table] = STATE(11917),
    [sym__vacuum_table] = STATE(11917),
    [sym_update] = STATE(10051),
    [sym_keyword_select] = ACTIONS(1475),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1477),
    [sym_keyword_replace] = ACTIONS(1477),
    [sym_keyword_update] = ACTIONS(1479),
    [sym_keyword_truncate] = ACTIONS(1481),
    [sym_keyword_merge] = ACTIONS(1483),
    [sym_keyword_show] = ACTIONS(1485),
    [sym_keyword_set] = ACTIONS(1487),
    [sym_keyword_create] = ACTIONS(1489),
    [sym_keyword_alter] = ACTIONS(1491),
    [sym_keyword_analyze] = ACTIONS(1493),
    [sym_keyword_drop] = ACTIONS(1497),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(1499),
    [sym_keyword_reset] = ACTIONS(1501),
    [sym_keyword_vacuum] = ACTIONS(1505),
    [sym_keyword_copy] = ACTIONS(1507),
    [sym_keyword_compute] = ACTIONS(1513),
    [sym_keyword_optimize] = ACTIONS(1515),
    [sym_keyword_comment] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1773),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [134] = {
    [sym__ddl_statement] = STATE(10542),
    [sym__cte] = STATE(6913),
    [sym__dml_write] = STATE(10549),
    [sym__dml_read] = STATE(10550),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10542),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(11951),
    [sym__create_statement] = STATE(10542),
    [sym_create_table] = STATE(10542),
    [sym_reset_statement] = STATE(10542),
    [sym_set_statement] = STATE(10542),
    [sym_create_view] = STATE(10542),
    [sym_create_materialized_view] = STATE(10542),
    [sym_create_function] = STATE(10542),
    [sym_create_index] = STATE(10542),
    [sym_create_schema] = STATE(7133),
    [sym_create_database] = STATE(10542),
    [sym_create_role] = STATE(10542),
    [sym_create_sequence] = STATE(10542),
    [sym_create_extension] = STATE(10542),
    [sym_create_trigger] = STATE(10542),
    [sym_create_type] = STATE(10542),
    [sym__alter_statement] = STATE(10542),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10542),
    [sym_alter_view] = STATE(10542),
    [sym_alter_schema] = STATE(10542),
    [sym_alter_database] = STATE(10542),
    [sym_alter_role] = STATE(10542),
    [sym_alter_index] = STATE(10542),
    [sym_alter_sequence] = STATE(10542),
    [sym_alter_type] = STATE(10542),
    [sym__drop_statement] = STATE(10542),
    [sym_drop_table] = STATE(10542),
    [sym_drop_view] = STATE(10542),
    [sym_drop_schema] = STATE(10542),
    [sym_drop_database] = STATE(10542),
    [sym_drop_role] = STATE(10542),
    [sym_drop_type] = STATE(10542),
    [sym_drop_sequence] = STATE(10542),
    [sym_drop_index] = STATE(10542),
    [sym_drop_extension] = STATE(10542),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10895),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10542),
    [sym__compute_stats] = STATE(10542),
    [sym__optimize_table] = STATE(10542),
    [sym__vacuum_table] = STATE(10542),
    [sym_update] = STATE(10897),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1729),
    [sym_keyword_replace] = ACTIONS(1729),
    [sym_keyword_update] = ACTIONS(1731),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(1733),
    [sym_keyword_show] = ACTIONS(1735),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(1737),
    [sym_keyword_alter] = ACTIONS(1739),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(1743),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(1745),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1775),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [135] = {
    [sym__ddl_statement] = STATE(10532),
    [sym__cte] = STATE(6887),
    [sym__dml_write] = STATE(10479),
    [sym__dml_read] = STATE(10591),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_comment_statement] = STATE(10532),
    [sym_select] = STATE(7520),
    [sym__truncate_statement] = STATE(11261),
    [sym__delete_statement] = STATE(11261),
    [sym_delete] = STATE(12236),
    [sym__create_statement] = STATE(10532),
    [sym_create_table] = STATE(10532),
    [sym_reset_statement] = STATE(10532),
    [sym_set_statement] = STATE(10532),
    [sym_create_view] = STATE(10532),
    [sym_create_materialized_view] = STATE(10532),
    [sym_create_function] = STATE(10532),
    [sym_create_index] = STATE(10532),
    [sym_create_schema] = STATE(7033),
    [sym_create_database] = STATE(10532),
    [sym_create_role] = STATE(10532),
    [sym_create_sequence] = STATE(10532),
    [sym_create_extension] = STATE(10532),
    [sym_create_trigger] = STATE(10532),
    [sym_create_type] = STATE(10532),
    [sym__alter_statement] = STATE(10532),
    [sym__rename_statement] = STATE(11183),
    [sym_alter_table] = STATE(10532),
    [sym_alter_view] = STATE(10532),
    [sym_alter_schema] = STATE(10532),
    [sym_alter_database] = STATE(10532),
    [sym_alter_role] = STATE(10532),
    [sym_alter_index] = STATE(10532),
    [sym_alter_sequence] = STATE(10532),
    [sym_alter_type] = STATE(10532),
    [sym__drop_statement] = STATE(10532),
    [sym_drop_table] = STATE(10532),
    [sym_drop_view] = STATE(10532),
    [sym_drop_schema] = STATE(10532),
    [sym_drop_database] = STATE(10532),
    [sym_drop_role] = STATE(10532),
    [sym_drop_type] = STATE(10532),
    [sym_drop_sequence] = STATE(10532),
    [sym_drop_index] = STATE(10532),
    [sym_drop_extension] = STATE(10532),
    [sym__copy_statement] = STATE(11261),
    [sym__insert_statement] = STATE(11261),
    [sym_insert] = STATE(10199),
    [sym__update_statement] = STATE(11261),
    [sym__merge_statement] = STATE(11480),
    [sym__optimize_statement] = STATE(10532),
    [sym__compute_stats] = STATE(10532),
    [sym__optimize_table] = STATE(10532),
    [sym__vacuum_table] = STATE(10532),
    [sym_update] = STATE(9692),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1709),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [136] = {
    [sym__identifier] = ACTIONS(1382),
    [sym_keyword_primary] = ACTIONS(1386),
    [sym_keyword_key] = ACTIONS(1386),
    [sym_keyword_constraint] = ACTIONS(1386),
    [sym_keyword_index] = ACTIONS(1386),
    [aux_sym_keyword_character_token1] = ACTIONS(1382),
    [sym_keyword_unique] = ACTIONS(1386),
    [sym_keyword_foreign] = ACTIONS(1386),
    [sym_keyword_unsigned] = ACTIONS(1382),
    [sym_keyword_check] = ACTIONS(1386),
    [sym_keyword_boolean] = ACTIONS(1382),
    [sym_keyword_bit] = ACTIONS(1382),
    [sym_keyword_binary] = ACTIONS(1382),
    [sym_keyword_varbinary] = ACTIONS(1382),
    [sym_keyword_image] = ACTIONS(1382),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1382),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1382),
    [aux_sym_keyword_serial_token1] = ACTIONS(1382),
    [aux_sym_keyword_serial_token2] = ACTIONS(1382),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1382),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1382),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1382),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1382),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1382),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1382),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1382),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1382),
    [aux_sym_keyword_int_token1] = ACTIONS(1382),
    [aux_sym_keyword_int_token2] = ACTIONS(1382),
    [aux_sym_keyword_int_token3] = ACTIONS(1382),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1382),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1382),
    [sym_keyword_decimal] = ACTIONS(1382),
    [sym_keyword_numeric] = ACTIONS(1382),
    [aux_sym_keyword_real_token1] = ACTIONS(1382),
    [aux_sym_keyword_real_token2] = ACTIONS(1382),
    [sym_keyword_float] = ACTIONS(1382),
    [sym_keyword_double] = ACTIONS(1382),
    [sym_keyword_inet] = ACTIONS(1382),
    [sym_keyword_money] = ACTIONS(1382),
    [sym_keyword_smallmoney] = ACTIONS(1382),
    [aux_sym_keyword_char_token1] = ACTIONS(1382),
    [sym_keyword_nchar] = ACTIONS(1382),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1382),
    [sym_keyword_nvarchar] = ACTIONS(1382),
    [sym_keyword_text] = ACTIONS(1382),
    [sym_keyword_string] = ACTIONS(1382),
    [sym_keyword_uuid] = ACTIONS(1382),
    [sym_keyword_json] = ACTIONS(1382),
    [sym_keyword_jsonb] = ACTIONS(1382),
    [sym_keyword_xml] = ACTIONS(1382),
    [sym_keyword_bytea] = ACTIONS(1382),
    [sym_keyword_enum] = ACTIONS(1382),
    [sym_keyword_date] = ACTIONS(1382),
    [sym_keyword_datetime] = ACTIONS(1382),
    [sym_keyword_datetime2] = ACTIONS(1382),
    [sym_keyword_smalldatetime] = ACTIONS(1382),
    [sym_keyword_datetimeoffset] = ACTIONS(1382),
    [sym_keyword_time] = ACTIONS(1382),
    [sym_keyword_timestamp] = ACTIONS(1382),
    [sym_keyword_timestamptz] = ACTIONS(1382),
    [sym_keyword_interval] = ACTIONS(1382),
    [sym_keyword_geometry] = ACTIONS(1382),
    [sym_keyword_geography] = ACTIONS(1382),
    [sym_keyword_box2d] = ACTIONS(1382),
    [sym_keyword_box3d] = ACTIONS(1382),
    [sym_keyword_oid] = ACTIONS(1382),
    [sym_keyword_name] = ACTIONS(1382),
    [sym_keyword_regclass] = ACTIONS(1382),
    [sym_keyword_regnamespace] = ACTIONS(1382),
    [sym_keyword_regproc] = ACTIONS(1382),
    [sym_keyword_regtype] = ACTIONS(1382),
    [anon_sym_RPAREN] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1384),
    [aux_sym_double_token1] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1384),
    [sym__double_quote_string] = ACTIONS(1380),
    [aux_sym_identifier_token1] = ACTIONS(1380),
  },
  [137] = {
    [ts_builtin_sym_end] = ACTIONS(1380),
    [sym__identifier] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1380),
    [sym_keyword_from] = ACTIONS(1382),
    [sym_keyword_on] = ACTIONS(1382),
    [sym_keyword_limit] = ACTIONS(1382),
    [sym_keyword_offset] = ACTIONS(1382),
    [sym_keyword_create] = ACTIONS(1382),
    [sym_keyword_as] = ACTIONS(1382),
    [sym_keyword_when] = ACTIONS(1382),
    [sym_keyword_in] = ACTIONS(1382),
    [sym_keyword_and] = ACTIONS(1382),
    [sym_keyword_or] = ACTIONS(1382),
    [sym_keyword_is] = ACTIONS(1382),
    [sym_keyword_not] = ACTIONS(1382),
    [sym_keyword_default] = ACTIONS(1382),
    [sym_keyword_cascade] = ACTIONS(1382),
    [sym_keyword_with] = ACTIONS(1382),
    [sym_keyword_password] = ACTIONS(1382),
    [sym_keyword_encrypted] = ACTIONS(1382),
    [sym_keyword_valid] = ACTIONS(1382),
    [sym_keyword_connection] = ACTIONS(1382),
    [sym_keyword_union] = ACTIONS(1382),
    [sym_keyword_except] = ACTIONS(1382),
    [sym_keyword_intersect] = ACTIONS(1382),
    [sym_keyword_returning] = ACTIONS(1382),
    [sym_keyword_rows] = ACTIONS(1382),
    [sym_keyword_between] = ACTIONS(1382),
    [aux_sym_keyword_like_token1] = ACTIONS(1382),
    [aux_sym_keyword_like_token2] = ACTIONS(1382),
    [sym_keyword_similar] = ACTIONS(1382),
    [sym_keyword_check] = ACTIONS(1382),
    [sym_keyword_freeze] = ACTIONS(1382),
    [sym_keyword_escape] = ACTIONS(1382),
    [sym_keyword_encoding] = ACTIONS(1382),
    [sym_keyword_force_quote] = ACTIONS(1382),
    [sym_keyword_quote] = ACTIONS(1382),
    [sym_keyword_force_null] = ACTIONS(1382),
    [sym_keyword_force_not_null] = ACTIONS(1382),
    [sym_keyword_header] = ACTIONS(1382),
    [sym_keyword_returns] = ACTIONS(1382),
    [sym_keyword_language] = ACTIONS(1382),
    [sym_keyword_immutable] = ACTIONS(1382),
    [sym_keyword_stable] = ACTIONS(1382),
    [sym_keyword_volatile] = ACTIONS(1382),
    [sym_keyword_leakproof] = ACTIONS(1382),
    [sym_keyword_parallel] = ACTIONS(1382),
    [sym_keyword_called] = ACTIONS(1382),
    [sym_keyword_strict] = ACTIONS(1382),
    [sym_keyword_cost] = ACTIONS(1382),
    [sym_keyword_support] = ACTIONS(1382),
    [sym_keyword_security] = ACTIONS(1382),
    [sym_keyword_external] = ACTIONS(1382),
    [sym_keyword_format] = ACTIONS(1382),
    [sym_keyword_delimiter] = ACTIONS(1382),
    [sym_keyword_null] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1380),
    [anon_sym_RPAREN] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_COLON_COLON] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1382),
    [anon_sym_GT] = ACTIONS(1382),
    [anon_sym_LT_EQ] = ACTIONS(1380),
    [anon_sym_GT_EQ] = ACTIONS(1380),
    [sym_op_other] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_SLASH] = ACTIONS(1382),
    [anon_sym_PERCENT] = ACTIONS(1380),
    [anon_sym_CARET] = ACTIONS(1382),
    [anon_sym_BANG_EQ] = ACTIONS(1380),
    [anon_sym_LT_GT] = ACTIONS(1380),
    [sym__double_quote_string] = ACTIONS(1380),
    [aux_sym_identifier_token1] = ACTIONS(1380),
  },
  [138] = {
    [sym__identifier] = ACTIONS(1777),
    [sym_keyword_on] = ACTIONS(1777),
    [sym_keyword_desc] = ACTIONS(1777),
    [sym_keyword_asc] = ACTIONS(1777),
    [sym_keyword_collate] = ACTIONS(1777),
    [aux_sym_keyword_character_token1] = ACTIONS(1777),
    [sym_keyword_nulls] = ACTIONS(1777),
    [sym_keyword_unsigned] = ACTIONS(1777),
    [sym_keyword_boolean] = ACTIONS(1777),
    [sym_keyword_bit] = ACTIONS(1777),
    [sym_keyword_binary] = ACTIONS(1777),
    [sym_keyword_varbinary] = ACTIONS(1777),
    [sym_keyword_image] = ACTIONS(1777),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1777),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1777),
    [aux_sym_keyword_serial_token1] = ACTIONS(1777),
    [aux_sym_keyword_serial_token2] = ACTIONS(1777),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1777),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1777),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1777),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1777),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1777),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1777),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1777),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1777),
    [aux_sym_keyword_int_token1] = ACTIONS(1777),
    [aux_sym_keyword_int_token2] = ACTIONS(1777),
    [aux_sym_keyword_int_token3] = ACTIONS(1777),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1777),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1777),
    [sym_keyword_decimal] = ACTIONS(1777),
    [sym_keyword_numeric] = ACTIONS(1777),
    [aux_sym_keyword_real_token1] = ACTIONS(1777),
    [aux_sym_keyword_real_token2] = ACTIONS(1777),
    [sym_keyword_float] = ACTIONS(1777),
    [sym_keyword_double] = ACTIONS(1777),
    [sym_keyword_inet] = ACTIONS(1777),
    [sym_keyword_money] = ACTIONS(1777),
    [sym_keyword_smallmoney] = ACTIONS(1777),
    [aux_sym_keyword_char_token1] = ACTIONS(1777),
    [sym_keyword_nchar] = ACTIONS(1777),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1777),
    [sym_keyword_nvarchar] = ACTIONS(1777),
    [sym_keyword_text] = ACTIONS(1777),
    [sym_keyword_string] = ACTIONS(1777),
    [sym_keyword_uuid] = ACTIONS(1777),
    [sym_keyword_json] = ACTIONS(1777),
    [sym_keyword_jsonb] = ACTIONS(1777),
    [sym_keyword_xml] = ACTIONS(1777),
    [sym_keyword_bytea] = ACTIONS(1777),
    [sym_keyword_enum] = ACTIONS(1777),
    [sym_keyword_date] = ACTIONS(1777),
    [sym_keyword_datetime] = ACTIONS(1777),
    [sym_keyword_datetime2] = ACTIONS(1777),
    [sym_keyword_smalldatetime] = ACTIONS(1777),
    [sym_keyword_datetimeoffset] = ACTIONS(1777),
    [sym_keyword_time] = ACTIONS(1777),
    [sym_keyword_timestamp] = ACTIONS(1777),
    [sym_keyword_timestamptz] = ACTIONS(1777),
    [sym_keyword_interval] = ACTIONS(1777),
    [sym_keyword_geometry] = ACTIONS(1777),
    [sym_keyword_geography] = ACTIONS(1777),
    [sym_keyword_box2d] = ACTIONS(1777),
    [sym_keyword_box3d] = ACTIONS(1777),
    [sym_keyword_oid] = ACTIONS(1777),
    [sym_keyword_name] = ACTIONS(1777),
    [sym_keyword_regclass] = ACTIONS(1777),
    [sym_keyword_regnamespace] = ACTIONS(1777),
    [sym_keyword_regproc] = ACTIONS(1777),
    [sym_keyword_regtype] = ACTIONS(1777),
    [anon_sym_RPAREN] = ACTIONS(1779),
    [anon_sym_COMMA] = ACTIONS(1779),
    [aux_sym_double_token1] = ACTIONS(1777),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1779),
    [aux_sym_identifier_token1] = ACTIONS(1779),
  },
  [139] = {
    [sym__identifier] = ACTIONS(1687),
    [sym_keyword_on] = ACTIONS(1687),
    [sym_keyword_desc] = ACTIONS(1687),
    [sym_keyword_asc] = ACTIONS(1687),
    [aux_sym_keyword_character_token1] = ACTIONS(1687),
    [sym_keyword_unsigned] = ACTIONS(1687),
    [sym_keyword_boolean] = ACTIONS(1687),
    [sym_keyword_bit] = ACTIONS(1687),
    [sym_keyword_binary] = ACTIONS(1687),
    [sym_keyword_varbinary] = ACTIONS(1687),
    [sym_keyword_image] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_serial_token1] = ACTIONS(1687),
    [aux_sym_keyword_serial_token2] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token1] = ACTIONS(1687),
    [aux_sym_keyword_int_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token3] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1687),
    [sym_keyword_decimal] = ACTIONS(1687),
    [sym_keyword_numeric] = ACTIONS(1687),
    [aux_sym_keyword_real_token1] = ACTIONS(1687),
    [aux_sym_keyword_real_token2] = ACTIONS(1687),
    [sym_keyword_float] = ACTIONS(1687),
    [sym_keyword_double] = ACTIONS(1687),
    [sym_keyword_inet] = ACTIONS(1687),
    [sym_keyword_money] = ACTIONS(1687),
    [sym_keyword_smallmoney] = ACTIONS(1687),
    [aux_sym_keyword_char_token1] = ACTIONS(1687),
    [sym_keyword_nchar] = ACTIONS(1687),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1687),
    [sym_keyword_nvarchar] = ACTIONS(1687),
    [sym_keyword_text] = ACTIONS(1687),
    [sym_keyword_string] = ACTIONS(1687),
    [sym_keyword_uuid] = ACTIONS(1687),
    [sym_keyword_json] = ACTIONS(1687),
    [sym_keyword_jsonb] = ACTIONS(1687),
    [sym_keyword_xml] = ACTIONS(1687),
    [sym_keyword_bytea] = ACTIONS(1687),
    [sym_keyword_enum] = ACTIONS(1687),
    [sym_keyword_date] = ACTIONS(1687),
    [sym_keyword_datetime] = ACTIONS(1687),
    [sym_keyword_datetime2] = ACTIONS(1687),
    [sym_keyword_smalldatetime] = ACTIONS(1687),
    [sym_keyword_datetimeoffset] = ACTIONS(1687),
    [sym_keyword_time] = ACTIONS(1687),
    [sym_keyword_timestamp] = ACTIONS(1687),
    [sym_keyword_timestamptz] = ACTIONS(1687),
    [sym_keyword_interval] = ACTIONS(1687),
    [sym_keyword_geometry] = ACTIONS(1687),
    [sym_keyword_geography] = ACTIONS(1687),
    [sym_keyword_box2d] = ACTIONS(1687),
    [sym_keyword_box3d] = ACTIONS(1687),
    [sym_keyword_oid] = ACTIONS(1687),
    [sym_keyword_name] = ACTIONS(1687),
    [sym_keyword_regclass] = ACTIONS(1687),
    [sym_keyword_regnamespace] = ACTIONS(1687),
    [sym_keyword_regproc] = ACTIONS(1687),
    [sym_keyword_regtype] = ACTIONS(1687),
    [anon_sym_RPAREN] = ACTIONS(1703),
    [anon_sym_COMMA] = ACTIONS(1703),
    [aux_sym_double_token1] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1703),
    [aux_sym_identifier_token1] = ACTIONS(1703),
  },
  [140] = {
    [aux_sym_set_statement_repeat1] = STATE(10553),
    [sym__identifier] = ACTIONS(1687),
    [aux_sym_keyword_character_token1] = ACTIONS(1687),
    [sym_keyword_unsigned] = ACTIONS(1687),
    [sym_keyword_boolean] = ACTIONS(1687),
    [sym_keyword_bit] = ACTIONS(1687),
    [sym_keyword_binary] = ACTIONS(1687),
    [sym_keyword_varbinary] = ACTIONS(1687),
    [sym_keyword_image] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_serial_token1] = ACTIONS(1687),
    [aux_sym_keyword_serial_token2] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token1] = ACTIONS(1687),
    [aux_sym_keyword_int_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token3] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1687),
    [sym_keyword_decimal] = ACTIONS(1687),
    [sym_keyword_numeric] = ACTIONS(1687),
    [aux_sym_keyword_real_token1] = ACTIONS(1687),
    [aux_sym_keyword_real_token2] = ACTIONS(1687),
    [sym_keyword_float] = ACTIONS(1687),
    [sym_keyword_double] = ACTIONS(1687),
    [sym_keyword_inet] = ACTIONS(1687),
    [sym_keyword_money] = ACTIONS(1687),
    [sym_keyword_smallmoney] = ACTIONS(1687),
    [aux_sym_keyword_char_token1] = ACTIONS(1687),
    [sym_keyword_nchar] = ACTIONS(1687),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1687),
    [sym_keyword_nvarchar] = ACTIONS(1687),
    [sym_keyword_text] = ACTIONS(1687),
    [sym_keyword_string] = ACTIONS(1687),
    [sym_keyword_uuid] = ACTIONS(1687),
    [sym_keyword_json] = ACTIONS(1687),
    [sym_keyword_jsonb] = ACTIONS(1687),
    [sym_keyword_xml] = ACTIONS(1687),
    [sym_keyword_bytea] = ACTIONS(1687),
    [sym_keyword_enum] = ACTIONS(1687),
    [sym_keyword_date] = ACTIONS(1687),
    [sym_keyword_datetime] = ACTIONS(1687),
    [sym_keyword_datetime2] = ACTIONS(1687),
    [sym_keyword_smalldatetime] = ACTIONS(1687),
    [sym_keyword_datetimeoffset] = ACTIONS(1687),
    [sym_keyword_time] = ACTIONS(1687),
    [sym_keyword_timestamp] = ACTIONS(1687),
    [sym_keyword_timestamptz] = ACTIONS(1687),
    [sym_keyword_interval] = ACTIONS(1687),
    [sym_keyword_geometry] = ACTIONS(1687),
    [sym_keyword_geography] = ACTIONS(1687),
    [sym_keyword_box2d] = ACTIONS(1687),
    [sym_keyword_box3d] = ACTIONS(1687),
    [sym_keyword_oid] = ACTIONS(1687),
    [sym_keyword_name] = ACTIONS(1687),
    [sym_keyword_regclass] = ACTIONS(1687),
    [sym_keyword_regnamespace] = ACTIONS(1687),
    [sym_keyword_regproc] = ACTIONS(1687),
    [sym_keyword_regtype] = ACTIONS(1687),
    [anon_sym_RPAREN] = ACTIONS(1781),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_double_token1] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1785),
    [sym__double_quote_string] = ACTIONS(1703),
    [aux_sym_identifier_token1] = ACTIONS(1703),
  },
  [141] = {
    [aux_sym_set_statement_repeat1] = STATE(10956),
    [sym__identifier] = ACTIONS(1687),
    [aux_sym_keyword_character_token1] = ACTIONS(1687),
    [sym_keyword_unsigned] = ACTIONS(1687),
    [sym_keyword_boolean] = ACTIONS(1687),
    [sym_keyword_bit] = ACTIONS(1687),
    [sym_keyword_binary] = ACTIONS(1687),
    [sym_keyword_varbinary] = ACTIONS(1687),
    [sym_keyword_image] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_serial_token1] = ACTIONS(1687),
    [aux_sym_keyword_serial_token2] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token1] = ACTIONS(1687),
    [aux_sym_keyword_int_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token3] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1687),
    [sym_keyword_decimal] = ACTIONS(1687),
    [sym_keyword_numeric] = ACTIONS(1687),
    [aux_sym_keyword_real_token1] = ACTIONS(1687),
    [aux_sym_keyword_real_token2] = ACTIONS(1687),
    [sym_keyword_float] = ACTIONS(1687),
    [sym_keyword_double] = ACTIONS(1687),
    [sym_keyword_inet] = ACTIONS(1687),
    [sym_keyword_money] = ACTIONS(1687),
    [sym_keyword_smallmoney] = ACTIONS(1687),
    [aux_sym_keyword_char_token1] = ACTIONS(1687),
    [sym_keyword_nchar] = ACTIONS(1687),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1687),
    [sym_keyword_nvarchar] = ACTIONS(1687),
    [sym_keyword_text] = ACTIONS(1687),
    [sym_keyword_string] = ACTIONS(1687),
    [sym_keyword_uuid] = ACTIONS(1687),
    [sym_keyword_json] = ACTIONS(1687),
    [sym_keyword_jsonb] = ACTIONS(1687),
    [sym_keyword_xml] = ACTIONS(1687),
    [sym_keyword_bytea] = ACTIONS(1687),
    [sym_keyword_enum] = ACTIONS(1687),
    [sym_keyword_date] = ACTIONS(1687),
    [sym_keyword_datetime] = ACTIONS(1687),
    [sym_keyword_datetime2] = ACTIONS(1687),
    [sym_keyword_smalldatetime] = ACTIONS(1687),
    [sym_keyword_datetimeoffset] = ACTIONS(1687),
    [sym_keyword_time] = ACTIONS(1687),
    [sym_keyword_timestamp] = ACTIONS(1687),
    [sym_keyword_timestamptz] = ACTIONS(1687),
    [sym_keyword_interval] = ACTIONS(1687),
    [sym_keyword_geometry] = ACTIONS(1687),
    [sym_keyword_geography] = ACTIONS(1687),
    [sym_keyword_box2d] = ACTIONS(1687),
    [sym_keyword_box3d] = ACTIONS(1687),
    [sym_keyword_oid] = ACTIONS(1687),
    [sym_keyword_name] = ACTIONS(1687),
    [sym_keyword_regclass] = ACTIONS(1687),
    [sym_keyword_regnamespace] = ACTIONS(1687),
    [sym_keyword_regproc] = ACTIONS(1687),
    [sym_keyword_regtype] = ACTIONS(1687),
    [anon_sym_RPAREN] = ACTIONS(1787),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_double_token1] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1785),
    [sym__double_quote_string] = ACTIONS(1703),
    [aux_sym_identifier_token1] = ACTIONS(1703),
  },
  [142] = {
    [aux_sym_set_statement_repeat1] = STATE(10870),
    [sym__identifier] = ACTIONS(1687),
    [aux_sym_keyword_character_token1] = ACTIONS(1687),
    [sym_keyword_unsigned] = ACTIONS(1687),
    [sym_keyword_boolean] = ACTIONS(1687),
    [sym_keyword_bit] = ACTIONS(1687),
    [sym_keyword_binary] = ACTIONS(1687),
    [sym_keyword_varbinary] = ACTIONS(1687),
    [sym_keyword_image] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_serial_token1] = ACTIONS(1687),
    [aux_sym_keyword_serial_token2] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token1] = ACTIONS(1687),
    [aux_sym_keyword_int_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token3] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1687),
    [sym_keyword_decimal] = ACTIONS(1687),
    [sym_keyword_numeric] = ACTIONS(1687),
    [aux_sym_keyword_real_token1] = ACTIONS(1687),
    [aux_sym_keyword_real_token2] = ACTIONS(1687),
    [sym_keyword_float] = ACTIONS(1687),
    [sym_keyword_double] = ACTIONS(1687),
    [sym_keyword_inet] = ACTIONS(1687),
    [sym_keyword_money] = ACTIONS(1687),
    [sym_keyword_smallmoney] = ACTIONS(1687),
    [aux_sym_keyword_char_token1] = ACTIONS(1687),
    [sym_keyword_nchar] = ACTIONS(1687),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1687),
    [sym_keyword_nvarchar] = ACTIONS(1687),
    [sym_keyword_text] = ACTIONS(1687),
    [sym_keyword_string] = ACTIONS(1687),
    [sym_keyword_uuid] = ACTIONS(1687),
    [sym_keyword_json] = ACTIONS(1687),
    [sym_keyword_jsonb] = ACTIONS(1687),
    [sym_keyword_xml] = ACTIONS(1687),
    [sym_keyword_bytea] = ACTIONS(1687),
    [sym_keyword_enum] = ACTIONS(1687),
    [sym_keyword_date] = ACTIONS(1687),
    [sym_keyword_datetime] = ACTIONS(1687),
    [sym_keyword_datetime2] = ACTIONS(1687),
    [sym_keyword_smalldatetime] = ACTIONS(1687),
    [sym_keyword_datetimeoffset] = ACTIONS(1687),
    [sym_keyword_time] = ACTIONS(1687),
    [sym_keyword_timestamp] = ACTIONS(1687),
    [sym_keyword_timestamptz] = ACTIONS(1687),
    [sym_keyword_interval] = ACTIONS(1687),
    [sym_keyword_geometry] = ACTIONS(1687),
    [sym_keyword_geography] = ACTIONS(1687),
    [sym_keyword_box2d] = ACTIONS(1687),
    [sym_keyword_box3d] = ACTIONS(1687),
    [sym_keyword_oid] = ACTIONS(1687),
    [sym_keyword_name] = ACTIONS(1687),
    [sym_keyword_regclass] = ACTIONS(1687),
    [sym_keyword_regnamespace] = ACTIONS(1687),
    [sym_keyword_regproc] = ACTIONS(1687),
    [sym_keyword_regtype] = ACTIONS(1687),
    [anon_sym_RPAREN] = ACTIONS(1789),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_double_token1] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1785),
    [sym__double_quote_string] = ACTIONS(1703),
    [aux_sym_identifier_token1] = ACTIONS(1703),
  },
  [143] = {
    [aux_sym_set_statement_repeat1] = STATE(10826),
    [sym__identifier] = ACTIONS(1687),
    [aux_sym_keyword_character_token1] = ACTIONS(1687),
    [sym_keyword_unsigned] = ACTIONS(1687),
    [sym_keyword_boolean] = ACTIONS(1687),
    [sym_keyword_bit] = ACTIONS(1687),
    [sym_keyword_binary] = ACTIONS(1687),
    [sym_keyword_varbinary] = ACTIONS(1687),
    [sym_keyword_image] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_serial_token1] = ACTIONS(1687),
    [aux_sym_keyword_serial_token2] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token1] = ACTIONS(1687),
    [aux_sym_keyword_int_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token3] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1687),
    [sym_keyword_decimal] = ACTIONS(1687),
    [sym_keyword_numeric] = ACTIONS(1687),
    [aux_sym_keyword_real_token1] = ACTIONS(1687),
    [aux_sym_keyword_real_token2] = ACTIONS(1687),
    [sym_keyword_float] = ACTIONS(1687),
    [sym_keyword_double] = ACTIONS(1687),
    [sym_keyword_inet] = ACTIONS(1687),
    [sym_keyword_money] = ACTIONS(1687),
    [sym_keyword_smallmoney] = ACTIONS(1687),
    [aux_sym_keyword_char_token1] = ACTIONS(1687),
    [sym_keyword_nchar] = ACTIONS(1687),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1687),
    [sym_keyword_nvarchar] = ACTIONS(1687),
    [sym_keyword_text] = ACTIONS(1687),
    [sym_keyword_string] = ACTIONS(1687),
    [sym_keyword_uuid] = ACTIONS(1687),
    [sym_keyword_json] = ACTIONS(1687),
    [sym_keyword_jsonb] = ACTIONS(1687),
    [sym_keyword_xml] = ACTIONS(1687),
    [sym_keyword_bytea] = ACTIONS(1687),
    [sym_keyword_enum] = ACTIONS(1687),
    [sym_keyword_date] = ACTIONS(1687),
    [sym_keyword_datetime] = ACTIONS(1687),
    [sym_keyword_datetime2] = ACTIONS(1687),
    [sym_keyword_smalldatetime] = ACTIONS(1687),
    [sym_keyword_datetimeoffset] = ACTIONS(1687),
    [sym_keyword_time] = ACTIONS(1687),
    [sym_keyword_timestamp] = ACTIONS(1687),
    [sym_keyword_timestamptz] = ACTIONS(1687),
    [sym_keyword_interval] = ACTIONS(1687),
    [sym_keyword_geometry] = ACTIONS(1687),
    [sym_keyword_geography] = ACTIONS(1687),
    [sym_keyword_box2d] = ACTIONS(1687),
    [sym_keyword_box3d] = ACTIONS(1687),
    [sym_keyword_oid] = ACTIONS(1687),
    [sym_keyword_name] = ACTIONS(1687),
    [sym_keyword_regclass] = ACTIONS(1687),
    [sym_keyword_regnamespace] = ACTIONS(1687),
    [sym_keyword_regproc] = ACTIONS(1687),
    [sym_keyword_regtype] = ACTIONS(1687),
    [anon_sym_RPAREN] = ACTIONS(1791),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_double_token1] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1785),
    [sym__double_quote_string] = ACTIONS(1703),
    [aux_sym_identifier_token1] = ACTIONS(1703),
  },
  [144] = {
    [aux_sym_set_statement_repeat1] = STATE(10885),
    [sym__identifier] = ACTIONS(1687),
    [aux_sym_keyword_character_token1] = ACTIONS(1687),
    [sym_keyword_unsigned] = ACTIONS(1687),
    [sym_keyword_boolean] = ACTIONS(1687),
    [sym_keyword_bit] = ACTIONS(1687),
    [sym_keyword_binary] = ACTIONS(1687),
    [sym_keyword_varbinary] = ACTIONS(1687),
    [sym_keyword_image] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_serial_token1] = ACTIONS(1687),
    [aux_sym_keyword_serial_token2] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token1] = ACTIONS(1687),
    [aux_sym_keyword_int_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token3] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1687),
    [sym_keyword_decimal] = ACTIONS(1687),
    [sym_keyword_numeric] = ACTIONS(1687),
    [aux_sym_keyword_real_token1] = ACTIONS(1687),
    [aux_sym_keyword_real_token2] = ACTIONS(1687),
    [sym_keyword_float] = ACTIONS(1687),
    [sym_keyword_double] = ACTIONS(1687),
    [sym_keyword_inet] = ACTIONS(1687),
    [sym_keyword_money] = ACTIONS(1687),
    [sym_keyword_smallmoney] = ACTIONS(1687),
    [aux_sym_keyword_char_token1] = ACTIONS(1687),
    [sym_keyword_nchar] = ACTIONS(1687),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1687),
    [sym_keyword_nvarchar] = ACTIONS(1687),
    [sym_keyword_text] = ACTIONS(1687),
    [sym_keyword_string] = ACTIONS(1687),
    [sym_keyword_uuid] = ACTIONS(1687),
    [sym_keyword_json] = ACTIONS(1687),
    [sym_keyword_jsonb] = ACTIONS(1687),
    [sym_keyword_xml] = ACTIONS(1687),
    [sym_keyword_bytea] = ACTIONS(1687),
    [sym_keyword_enum] = ACTIONS(1687),
    [sym_keyword_date] = ACTIONS(1687),
    [sym_keyword_datetime] = ACTIONS(1687),
    [sym_keyword_datetime2] = ACTIONS(1687),
    [sym_keyword_smalldatetime] = ACTIONS(1687),
    [sym_keyword_datetimeoffset] = ACTIONS(1687),
    [sym_keyword_time] = ACTIONS(1687),
    [sym_keyword_timestamp] = ACTIONS(1687),
    [sym_keyword_timestamptz] = ACTIONS(1687),
    [sym_keyword_interval] = ACTIONS(1687),
    [sym_keyword_geometry] = ACTIONS(1687),
    [sym_keyword_geography] = ACTIONS(1687),
    [sym_keyword_box2d] = ACTIONS(1687),
    [sym_keyword_box3d] = ACTIONS(1687),
    [sym_keyword_oid] = ACTIONS(1687),
    [sym_keyword_name] = ACTIONS(1687),
    [sym_keyword_regclass] = ACTIONS(1687),
    [sym_keyword_regnamespace] = ACTIONS(1687),
    [sym_keyword_regproc] = ACTIONS(1687),
    [sym_keyword_regtype] = ACTIONS(1687),
    [anon_sym_RPAREN] = ACTIONS(1793),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_double_token1] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1785),
    [sym__double_quote_string] = ACTIONS(1703),
    [aux_sym_identifier_token1] = ACTIONS(1703),
  },
  [145] = {
    [aux_sym_set_statement_repeat1] = STATE(11211),
    [sym__identifier] = ACTIONS(1687),
    [aux_sym_keyword_character_token1] = ACTIONS(1687),
    [sym_keyword_unsigned] = ACTIONS(1687),
    [sym_keyword_boolean] = ACTIONS(1687),
    [sym_keyword_bit] = ACTIONS(1687),
    [sym_keyword_binary] = ACTIONS(1687),
    [sym_keyword_varbinary] = ACTIONS(1687),
    [sym_keyword_image] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_serial_token1] = ACTIONS(1687),
    [aux_sym_keyword_serial_token2] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token1] = ACTIONS(1687),
    [aux_sym_keyword_int_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token3] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1687),
    [sym_keyword_decimal] = ACTIONS(1687),
    [sym_keyword_numeric] = ACTIONS(1687),
    [aux_sym_keyword_real_token1] = ACTIONS(1687),
    [aux_sym_keyword_real_token2] = ACTIONS(1687),
    [sym_keyword_float] = ACTIONS(1687),
    [sym_keyword_double] = ACTIONS(1687),
    [sym_keyword_inet] = ACTIONS(1687),
    [sym_keyword_money] = ACTIONS(1687),
    [sym_keyword_smallmoney] = ACTIONS(1687),
    [aux_sym_keyword_char_token1] = ACTIONS(1687),
    [sym_keyword_nchar] = ACTIONS(1687),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1687),
    [sym_keyword_nvarchar] = ACTIONS(1687),
    [sym_keyword_text] = ACTIONS(1687),
    [sym_keyword_string] = ACTIONS(1687),
    [sym_keyword_uuid] = ACTIONS(1687),
    [sym_keyword_json] = ACTIONS(1687),
    [sym_keyword_jsonb] = ACTIONS(1687),
    [sym_keyword_xml] = ACTIONS(1687),
    [sym_keyword_bytea] = ACTIONS(1687),
    [sym_keyword_enum] = ACTIONS(1687),
    [sym_keyword_date] = ACTIONS(1687),
    [sym_keyword_datetime] = ACTIONS(1687),
    [sym_keyword_datetime2] = ACTIONS(1687),
    [sym_keyword_smalldatetime] = ACTIONS(1687),
    [sym_keyword_datetimeoffset] = ACTIONS(1687),
    [sym_keyword_time] = ACTIONS(1687),
    [sym_keyword_timestamp] = ACTIONS(1687),
    [sym_keyword_timestamptz] = ACTIONS(1687),
    [sym_keyword_interval] = ACTIONS(1687),
    [sym_keyword_geometry] = ACTIONS(1687),
    [sym_keyword_geography] = ACTIONS(1687),
    [sym_keyword_box2d] = ACTIONS(1687),
    [sym_keyword_box3d] = ACTIONS(1687),
    [sym_keyword_oid] = ACTIONS(1687),
    [sym_keyword_name] = ACTIONS(1687),
    [sym_keyword_regclass] = ACTIONS(1687),
    [sym_keyword_regnamespace] = ACTIONS(1687),
    [sym_keyword_regproc] = ACTIONS(1687),
    [sym_keyword_regtype] = ACTIONS(1687),
    [anon_sym_RPAREN] = ACTIONS(1795),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_double_token1] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1785),
    [sym__double_quote_string] = ACTIONS(1703),
    [aux_sym_identifier_token1] = ACTIONS(1703),
  },
  [146] = {
    [aux_sym_set_statement_repeat1] = STATE(10941),
    [sym__identifier] = ACTIONS(1687),
    [aux_sym_keyword_character_token1] = ACTIONS(1687),
    [sym_keyword_unsigned] = ACTIONS(1687),
    [sym_keyword_boolean] = ACTIONS(1687),
    [sym_keyword_bit] = ACTIONS(1687),
    [sym_keyword_binary] = ACTIONS(1687),
    [sym_keyword_varbinary] = ACTIONS(1687),
    [sym_keyword_image] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_serial_token1] = ACTIONS(1687),
    [aux_sym_keyword_serial_token2] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token1] = ACTIONS(1687),
    [aux_sym_keyword_int_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token3] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1687),
    [sym_keyword_decimal] = ACTIONS(1687),
    [sym_keyword_numeric] = ACTIONS(1687),
    [aux_sym_keyword_real_token1] = ACTIONS(1687),
    [aux_sym_keyword_real_token2] = ACTIONS(1687),
    [sym_keyword_float] = ACTIONS(1687),
    [sym_keyword_double] = ACTIONS(1687),
    [sym_keyword_inet] = ACTIONS(1687),
    [sym_keyword_money] = ACTIONS(1687),
    [sym_keyword_smallmoney] = ACTIONS(1687),
    [aux_sym_keyword_char_token1] = ACTIONS(1687),
    [sym_keyword_nchar] = ACTIONS(1687),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1687),
    [sym_keyword_nvarchar] = ACTIONS(1687),
    [sym_keyword_text] = ACTIONS(1687),
    [sym_keyword_string] = ACTIONS(1687),
    [sym_keyword_uuid] = ACTIONS(1687),
    [sym_keyword_json] = ACTIONS(1687),
    [sym_keyword_jsonb] = ACTIONS(1687),
    [sym_keyword_xml] = ACTIONS(1687),
    [sym_keyword_bytea] = ACTIONS(1687),
    [sym_keyword_enum] = ACTIONS(1687),
    [sym_keyword_date] = ACTIONS(1687),
    [sym_keyword_datetime] = ACTIONS(1687),
    [sym_keyword_datetime2] = ACTIONS(1687),
    [sym_keyword_smalldatetime] = ACTIONS(1687),
    [sym_keyword_datetimeoffset] = ACTIONS(1687),
    [sym_keyword_time] = ACTIONS(1687),
    [sym_keyword_timestamp] = ACTIONS(1687),
    [sym_keyword_timestamptz] = ACTIONS(1687),
    [sym_keyword_interval] = ACTIONS(1687),
    [sym_keyword_geometry] = ACTIONS(1687),
    [sym_keyword_geography] = ACTIONS(1687),
    [sym_keyword_box2d] = ACTIONS(1687),
    [sym_keyword_box3d] = ACTIONS(1687),
    [sym_keyword_oid] = ACTIONS(1687),
    [sym_keyword_name] = ACTIONS(1687),
    [sym_keyword_regclass] = ACTIONS(1687),
    [sym_keyword_regnamespace] = ACTIONS(1687),
    [sym_keyword_regproc] = ACTIONS(1687),
    [sym_keyword_regtype] = ACTIONS(1687),
    [anon_sym_RPAREN] = ACTIONS(1797),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_double_token1] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1785),
    [sym__double_quote_string] = ACTIONS(1703),
    [aux_sym_identifier_token1] = ACTIONS(1703),
  },
  [147] = {
    [aux_sym_set_statement_repeat1] = STATE(10744),
    [sym__identifier] = ACTIONS(1687),
    [aux_sym_keyword_character_token1] = ACTIONS(1687),
    [sym_keyword_unsigned] = ACTIONS(1687),
    [sym_keyword_boolean] = ACTIONS(1687),
    [sym_keyword_bit] = ACTIONS(1687),
    [sym_keyword_binary] = ACTIONS(1687),
    [sym_keyword_varbinary] = ACTIONS(1687),
    [sym_keyword_image] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_serial_token1] = ACTIONS(1687),
    [aux_sym_keyword_serial_token2] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token1] = ACTIONS(1687),
    [aux_sym_keyword_int_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token3] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1687),
    [sym_keyword_decimal] = ACTIONS(1687),
    [sym_keyword_numeric] = ACTIONS(1687),
    [aux_sym_keyword_real_token1] = ACTIONS(1687),
    [aux_sym_keyword_real_token2] = ACTIONS(1687),
    [sym_keyword_float] = ACTIONS(1687),
    [sym_keyword_double] = ACTIONS(1687),
    [sym_keyword_inet] = ACTIONS(1687),
    [sym_keyword_money] = ACTIONS(1687),
    [sym_keyword_smallmoney] = ACTIONS(1687),
    [aux_sym_keyword_char_token1] = ACTIONS(1687),
    [sym_keyword_nchar] = ACTIONS(1687),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1687),
    [sym_keyword_nvarchar] = ACTIONS(1687),
    [sym_keyword_text] = ACTIONS(1687),
    [sym_keyword_string] = ACTIONS(1687),
    [sym_keyword_uuid] = ACTIONS(1687),
    [sym_keyword_json] = ACTIONS(1687),
    [sym_keyword_jsonb] = ACTIONS(1687),
    [sym_keyword_xml] = ACTIONS(1687),
    [sym_keyword_bytea] = ACTIONS(1687),
    [sym_keyword_enum] = ACTIONS(1687),
    [sym_keyword_date] = ACTIONS(1687),
    [sym_keyword_datetime] = ACTIONS(1687),
    [sym_keyword_datetime2] = ACTIONS(1687),
    [sym_keyword_smalldatetime] = ACTIONS(1687),
    [sym_keyword_datetimeoffset] = ACTIONS(1687),
    [sym_keyword_time] = ACTIONS(1687),
    [sym_keyword_timestamp] = ACTIONS(1687),
    [sym_keyword_timestamptz] = ACTIONS(1687),
    [sym_keyword_interval] = ACTIONS(1687),
    [sym_keyword_geometry] = ACTIONS(1687),
    [sym_keyword_geography] = ACTIONS(1687),
    [sym_keyword_box2d] = ACTIONS(1687),
    [sym_keyword_box3d] = ACTIONS(1687),
    [sym_keyword_oid] = ACTIONS(1687),
    [sym_keyword_name] = ACTIONS(1687),
    [sym_keyword_regclass] = ACTIONS(1687),
    [sym_keyword_regnamespace] = ACTIONS(1687),
    [sym_keyword_regproc] = ACTIONS(1687),
    [sym_keyword_regtype] = ACTIONS(1687),
    [anon_sym_RPAREN] = ACTIONS(1799),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_double_token1] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1785),
    [sym__double_quote_string] = ACTIONS(1703),
    [aux_sym_identifier_token1] = ACTIONS(1703),
  },
  [148] = {
    [aux_sym_set_statement_repeat1] = STATE(10607),
    [sym__identifier] = ACTIONS(1687),
    [aux_sym_keyword_character_token1] = ACTIONS(1687),
    [sym_keyword_unsigned] = ACTIONS(1687),
    [sym_keyword_boolean] = ACTIONS(1687),
    [sym_keyword_bit] = ACTIONS(1687),
    [sym_keyword_binary] = ACTIONS(1687),
    [sym_keyword_varbinary] = ACTIONS(1687),
    [sym_keyword_image] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_serial_token1] = ACTIONS(1687),
    [aux_sym_keyword_serial_token2] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token1] = ACTIONS(1687),
    [aux_sym_keyword_int_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token3] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1687),
    [sym_keyword_decimal] = ACTIONS(1687),
    [sym_keyword_numeric] = ACTIONS(1687),
    [aux_sym_keyword_real_token1] = ACTIONS(1687),
    [aux_sym_keyword_real_token2] = ACTIONS(1687),
    [sym_keyword_float] = ACTIONS(1687),
    [sym_keyword_double] = ACTIONS(1687),
    [sym_keyword_inet] = ACTIONS(1687),
    [sym_keyword_money] = ACTIONS(1687),
    [sym_keyword_smallmoney] = ACTIONS(1687),
    [aux_sym_keyword_char_token1] = ACTIONS(1687),
    [sym_keyword_nchar] = ACTIONS(1687),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1687),
    [sym_keyword_nvarchar] = ACTIONS(1687),
    [sym_keyword_text] = ACTIONS(1687),
    [sym_keyword_string] = ACTIONS(1687),
    [sym_keyword_uuid] = ACTIONS(1687),
    [sym_keyword_json] = ACTIONS(1687),
    [sym_keyword_jsonb] = ACTIONS(1687),
    [sym_keyword_xml] = ACTIONS(1687),
    [sym_keyword_bytea] = ACTIONS(1687),
    [sym_keyword_enum] = ACTIONS(1687),
    [sym_keyword_date] = ACTIONS(1687),
    [sym_keyword_datetime] = ACTIONS(1687),
    [sym_keyword_datetime2] = ACTIONS(1687),
    [sym_keyword_smalldatetime] = ACTIONS(1687),
    [sym_keyword_datetimeoffset] = ACTIONS(1687),
    [sym_keyword_time] = ACTIONS(1687),
    [sym_keyword_timestamp] = ACTIONS(1687),
    [sym_keyword_timestamptz] = ACTIONS(1687),
    [sym_keyword_interval] = ACTIONS(1687),
    [sym_keyword_geometry] = ACTIONS(1687),
    [sym_keyword_geography] = ACTIONS(1687),
    [sym_keyword_box2d] = ACTIONS(1687),
    [sym_keyword_box3d] = ACTIONS(1687),
    [sym_keyword_oid] = ACTIONS(1687),
    [sym_keyword_name] = ACTIONS(1687),
    [sym_keyword_regclass] = ACTIONS(1687),
    [sym_keyword_regnamespace] = ACTIONS(1687),
    [sym_keyword_regproc] = ACTIONS(1687),
    [sym_keyword_regtype] = ACTIONS(1687),
    [anon_sym_RPAREN] = ACTIONS(1801),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_double_token1] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1785),
    [sym__double_quote_string] = ACTIONS(1703),
    [aux_sym_identifier_token1] = ACTIONS(1703),
  },
  [149] = {
    [ts_builtin_sym_end] = ACTIONS(1803),
    [anon_sym_SEMI] = ACTIONS(1803),
    [sym_keyword_from] = ACTIONS(1803),
    [sym_keyword_on] = ACTIONS(1803),
    [sym_keyword_where] = ACTIONS(1803),
    [sym_keyword_desc] = ACTIONS(1803),
    [sym_keyword_asc] = ACTIONS(1803),
    [sym_keyword_limit] = ACTIONS(1803),
    [sym_keyword_primary] = ACTIONS(1803),
    [sym_keyword_create] = ACTIONS(1803),
    [sym_keyword_as] = ACTIONS(1805),
    [sym_keyword_constraint] = ACTIONS(1803),
    [sym_keyword_separator] = ACTIONS(1803),
    [sym_keyword_when] = ACTIONS(1803),
    [sym_keyword_then] = ACTIONS(1803),
    [sym_keyword_else] = ACTIONS(1803),
    [sym_keyword_end] = ACTIONS(1803),
    [sym_keyword_in] = ACTIONS(1803),
    [sym_keyword_and] = ACTIONS(1803),
    [sym_keyword_or] = ACTIONS(1803),
    [sym_keyword_is] = ACTIONS(1803),
    [sym_keyword_not] = ACTIONS(1803),
    [sym_keyword_using] = ACTIONS(1803),
    [sym_keyword_auto_increment] = ACTIONS(1803),
    [sym_keyword_generated] = ACTIONS(1803),
    [sym_keyword_default] = ACTIONS(1803),
    [sym_keyword_with] = ACTIONS(1803),
    [sym_keyword_returning] = ACTIONS(1803),
    [sym_keyword_first] = ACTIONS(1803),
    [sym_keyword_after] = ACTIONS(1803),
    [sym_keyword_range] = ACTIONS(1803),
    [sym_keyword_rows] = ACTIONS(1803),
    [sym_keyword_groups] = ACTIONS(1803),
    [sym_keyword_between] = ACTIONS(1803),
    [sym_keyword_preceding] = ACTIONS(1803),
    [sym_keyword_following] = ACTIONS(1803),
    [sym_keyword_unique] = ACTIONS(1803),
    [sym_keyword_references] = ACTIONS(1803),
    [aux_sym_keyword_like_token1] = ACTIONS(1803),
    [aux_sym_keyword_like_token2] = ACTIONS(1803),
    [sym_keyword_similar] = ACTIONS(1803),
    [sym_keyword_unsigned] = ACTIONS(1807),
    [sym_keyword_zerofill] = ACTIONS(1809),
    [sym_keyword_check] = ACTIONS(1803),
    [sym_keyword_stored] = ACTIONS(1803),
    [sym_keyword_virtual] = ACTIONS(1803),
    [sym_keyword_comment] = ACTIONS(1803),
    [sym_keyword_null] = ACTIONS(1803),
    [sym_keyword_precision] = ACTIONS(1811),
    [sym_keyword_array] = ACTIONS(1803),
    [anon_sym_LBRACK] = ACTIONS(1803),
    [anon_sym_RBRACK] = ACTIONS(1803),
    [anon_sym_LPAREN] = ACTIONS(1813),
    [anon_sym_RPAREN] = ACTIONS(1803),
    [anon_sym_COMMA] = ACTIONS(1803),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1803),
    [anon_sym_STAR] = ACTIONS(1803),
    [anon_sym_COLON_COLON] = ACTIONS(1803),
    [anon_sym_LT] = ACTIONS(1805),
    [anon_sym_GT] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1803),
    [anon_sym_GT_EQ] = ACTIONS(1803),
    [anon_sym_COLON] = ACTIONS(1805),
    [sym_op_other] = ACTIONS(1803),
    [anon_sym_PLUS] = ACTIONS(1803),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_SLASH] = ACTIONS(1805),
    [anon_sym_PERCENT] = ACTIONS(1803),
    [anon_sym_CARET] = ACTIONS(1805),
    [anon_sym_BANG_EQ] = ACTIONS(1803),
    [anon_sym_LT_GT] = ACTIONS(1803),
  },
  [150] = {
    [ts_builtin_sym_end] = ACTIONS(1815),
    [anon_sym_SEMI] = ACTIONS(1815),
    [sym_keyword_from] = ACTIONS(1815),
    [sym_keyword_on] = ACTIONS(1815),
    [sym_keyword_where] = ACTIONS(1815),
    [sym_keyword_desc] = ACTIONS(1815),
    [sym_keyword_asc] = ACTIONS(1815),
    [sym_keyword_limit] = ACTIONS(1815),
    [sym_keyword_primary] = ACTIONS(1815),
    [sym_keyword_create] = ACTIONS(1815),
    [sym_keyword_as] = ACTIONS(1817),
    [sym_keyword_constraint] = ACTIONS(1815),
    [sym_keyword_separator] = ACTIONS(1815),
    [sym_keyword_when] = ACTIONS(1815),
    [sym_keyword_then] = ACTIONS(1815),
    [sym_keyword_else] = ACTIONS(1815),
    [sym_keyword_end] = ACTIONS(1815),
    [sym_keyword_in] = ACTIONS(1815),
    [sym_keyword_and] = ACTIONS(1815),
    [sym_keyword_or] = ACTIONS(1815),
    [sym_keyword_is] = ACTIONS(1815),
    [sym_keyword_not] = ACTIONS(1815),
    [sym_keyword_using] = ACTIONS(1815),
    [sym_keyword_auto_increment] = ACTIONS(1815),
    [sym_keyword_generated] = ACTIONS(1815),
    [sym_keyword_default] = ACTIONS(1815),
    [sym_keyword_with] = ACTIONS(1815),
    [sym_keyword_returning] = ACTIONS(1815),
    [sym_keyword_first] = ACTIONS(1815),
    [sym_keyword_after] = ACTIONS(1815),
    [sym_keyword_range] = ACTIONS(1815),
    [sym_keyword_rows] = ACTIONS(1815),
    [sym_keyword_groups] = ACTIONS(1815),
    [sym_keyword_between] = ACTIONS(1815),
    [sym_keyword_preceding] = ACTIONS(1815),
    [sym_keyword_following] = ACTIONS(1815),
    [sym_keyword_unique] = ACTIONS(1815),
    [sym_keyword_references] = ACTIONS(1815),
    [aux_sym_keyword_like_token1] = ACTIONS(1815),
    [aux_sym_keyword_like_token2] = ACTIONS(1815),
    [sym_keyword_similar] = ACTIONS(1815),
    [sym_keyword_unsigned] = ACTIONS(1819),
    [sym_keyword_zerofill] = ACTIONS(1821),
    [sym_keyword_check] = ACTIONS(1815),
    [sym_keyword_stored] = ACTIONS(1815),
    [sym_keyword_virtual] = ACTIONS(1815),
    [sym_keyword_comment] = ACTIONS(1815),
    [sym_keyword_null] = ACTIONS(1815),
    [sym_keyword_array] = ACTIONS(1815),
    [anon_sym_LBRACK] = ACTIONS(1815),
    [anon_sym_RBRACK] = ACTIONS(1815),
    [anon_sym_LPAREN] = ACTIONS(1823),
    [anon_sym_RPAREN] = ACTIONS(1815),
    [anon_sym_COMMA] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1815),
    [anon_sym_STAR] = ACTIONS(1815),
    [anon_sym_COLON_COLON] = ACTIONS(1815),
    [anon_sym_LT] = ACTIONS(1817),
    [anon_sym_GT] = ACTIONS(1817),
    [anon_sym_LT_EQ] = ACTIONS(1815),
    [anon_sym_GT_EQ] = ACTIONS(1815),
    [anon_sym_COLON] = ACTIONS(1817),
    [sym_op_other] = ACTIONS(1815),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1817),
    [anon_sym_SLASH] = ACTIONS(1817),
    [anon_sym_PERCENT] = ACTIONS(1815),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_BANG_EQ] = ACTIONS(1815),
    [anon_sym_LT_GT] = ACTIONS(1815),
  },
  [151] = {
    [ts_builtin_sym_end] = ACTIONS(1825),
    [anon_sym_SEMI] = ACTIONS(1825),
    [sym_keyword_from] = ACTIONS(1825),
    [sym_keyword_on] = ACTIONS(1825),
    [sym_keyword_where] = ACTIONS(1825),
    [sym_keyword_desc] = ACTIONS(1825),
    [sym_keyword_asc] = ACTIONS(1825),
    [sym_keyword_limit] = ACTIONS(1825),
    [sym_keyword_primary] = ACTIONS(1825),
    [sym_keyword_create] = ACTIONS(1825),
    [sym_keyword_as] = ACTIONS(1827),
    [sym_keyword_constraint] = ACTIONS(1825),
    [sym_keyword_separator] = ACTIONS(1825),
    [sym_keyword_when] = ACTIONS(1825),
    [sym_keyword_then] = ACTIONS(1825),
    [sym_keyword_else] = ACTIONS(1825),
    [sym_keyword_end] = ACTIONS(1825),
    [sym_keyword_in] = ACTIONS(1825),
    [sym_keyword_and] = ACTIONS(1825),
    [sym_keyword_or] = ACTIONS(1825),
    [sym_keyword_is] = ACTIONS(1825),
    [sym_keyword_not] = ACTIONS(1825),
    [sym_keyword_using] = ACTIONS(1825),
    [sym_keyword_auto_increment] = ACTIONS(1825),
    [sym_keyword_generated] = ACTIONS(1825),
    [sym_keyword_default] = ACTIONS(1825),
    [sym_keyword_with] = ACTIONS(1825),
    [sym_keyword_returning] = ACTIONS(1825),
    [sym_keyword_first] = ACTIONS(1825),
    [sym_keyword_after] = ACTIONS(1825),
    [sym_keyword_range] = ACTIONS(1825),
    [sym_keyword_rows] = ACTIONS(1825),
    [sym_keyword_groups] = ACTIONS(1825),
    [sym_keyword_between] = ACTIONS(1825),
    [sym_keyword_preceding] = ACTIONS(1825),
    [sym_keyword_following] = ACTIONS(1825),
    [sym_keyword_unique] = ACTIONS(1825),
    [sym_keyword_references] = ACTIONS(1825),
    [aux_sym_keyword_like_token1] = ACTIONS(1825),
    [aux_sym_keyword_like_token2] = ACTIONS(1825),
    [sym_keyword_similar] = ACTIONS(1825),
    [sym_keyword_unsigned] = ACTIONS(1829),
    [sym_keyword_zerofill] = ACTIONS(1831),
    [sym_keyword_check] = ACTIONS(1825),
    [sym_keyword_stored] = ACTIONS(1825),
    [sym_keyword_virtual] = ACTIONS(1825),
    [sym_keyword_comment] = ACTIONS(1825),
    [sym_keyword_null] = ACTIONS(1825),
    [sym_keyword_array] = ACTIONS(1825),
    [anon_sym_LBRACK] = ACTIONS(1825),
    [anon_sym_RBRACK] = ACTIONS(1825),
    [anon_sym_LPAREN] = ACTIONS(1833),
    [anon_sym_RPAREN] = ACTIONS(1825),
    [anon_sym_COMMA] = ACTIONS(1825),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1825),
    [anon_sym_STAR] = ACTIONS(1825),
    [anon_sym_COLON_COLON] = ACTIONS(1825),
    [anon_sym_LT] = ACTIONS(1827),
    [anon_sym_GT] = ACTIONS(1827),
    [anon_sym_LT_EQ] = ACTIONS(1825),
    [anon_sym_GT_EQ] = ACTIONS(1825),
    [anon_sym_COLON] = ACTIONS(1827),
    [sym_op_other] = ACTIONS(1825),
    [anon_sym_PLUS] = ACTIONS(1825),
    [anon_sym_DASH] = ACTIONS(1827),
    [anon_sym_SLASH] = ACTIONS(1827),
    [anon_sym_PERCENT] = ACTIONS(1825),
    [anon_sym_CARET] = ACTIONS(1827),
    [anon_sym_BANG_EQ] = ACTIONS(1825),
    [anon_sym_LT_GT] = ACTIONS(1825),
  },
  [152] = {
    [ts_builtin_sym_end] = ACTIONS(1835),
    [anon_sym_SEMI] = ACTIONS(1835),
    [sym_keyword_from] = ACTIONS(1835),
    [sym_keyword_on] = ACTIONS(1835),
    [sym_keyword_where] = ACTIONS(1835),
    [sym_keyword_desc] = ACTIONS(1835),
    [sym_keyword_asc] = ACTIONS(1835),
    [sym_keyword_limit] = ACTIONS(1835),
    [sym_keyword_primary] = ACTIONS(1835),
    [sym_keyword_create] = ACTIONS(1835),
    [sym_keyword_as] = ACTIONS(1837),
    [sym_keyword_constraint] = ACTIONS(1835),
    [sym_keyword_separator] = ACTIONS(1835),
    [sym_keyword_when] = ACTIONS(1835),
    [sym_keyword_then] = ACTIONS(1835),
    [sym_keyword_else] = ACTIONS(1835),
    [sym_keyword_end] = ACTIONS(1835),
    [sym_keyword_in] = ACTIONS(1835),
    [sym_keyword_and] = ACTIONS(1835),
    [sym_keyword_or] = ACTIONS(1835),
    [sym_keyword_is] = ACTIONS(1835),
    [sym_keyword_not] = ACTIONS(1835),
    [sym_keyword_using] = ACTIONS(1835),
    [sym_keyword_auto_increment] = ACTIONS(1835),
    [sym_keyword_generated] = ACTIONS(1835),
    [sym_keyword_default] = ACTIONS(1835),
    [sym_keyword_with] = ACTIONS(1835),
    [sym_keyword_returning] = ACTIONS(1835),
    [sym_keyword_first] = ACTIONS(1835),
    [sym_keyword_after] = ACTIONS(1835),
    [sym_keyword_range] = ACTIONS(1835),
    [sym_keyword_rows] = ACTIONS(1835),
    [sym_keyword_groups] = ACTIONS(1835),
    [sym_keyword_between] = ACTIONS(1835),
    [sym_keyword_preceding] = ACTIONS(1835),
    [sym_keyword_following] = ACTIONS(1835),
    [sym_keyword_unique] = ACTIONS(1835),
    [sym_keyword_references] = ACTIONS(1835),
    [aux_sym_keyword_like_token1] = ACTIONS(1835),
    [aux_sym_keyword_like_token2] = ACTIONS(1835),
    [sym_keyword_similar] = ACTIONS(1835),
    [sym_keyword_unsigned] = ACTIONS(1835),
    [sym_keyword_zerofill] = ACTIONS(1835),
    [sym_keyword_check] = ACTIONS(1835),
    [sym_keyword_stored] = ACTIONS(1835),
    [sym_keyword_virtual] = ACTIONS(1835),
    [sym_keyword_comment] = ACTIONS(1835),
    [sym_keyword_null] = ACTIONS(1835),
    [sym_keyword_array] = ACTIONS(1835),
    [anon_sym_LBRACK] = ACTIONS(1835),
    [anon_sym_RBRACK] = ACTIONS(1835),
    [anon_sym_LPAREN] = ACTIONS(1835),
    [anon_sym_RPAREN] = ACTIONS(1835),
    [anon_sym_COMMA] = ACTIONS(1835),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1835),
    [anon_sym_STAR] = ACTIONS(1835),
    [anon_sym_COLON_COLON] = ACTIONS(1835),
    [anon_sym_LT] = ACTIONS(1837),
    [anon_sym_GT] = ACTIONS(1837),
    [anon_sym_LT_EQ] = ACTIONS(1835),
    [anon_sym_GT_EQ] = ACTIONS(1835),
    [anon_sym_COLON] = ACTIONS(1837),
    [sym_op_other] = ACTIONS(1835),
    [anon_sym_PLUS] = ACTIONS(1835),
    [anon_sym_DASH] = ACTIONS(1837),
    [anon_sym_SLASH] = ACTIONS(1837),
    [anon_sym_PERCENT] = ACTIONS(1835),
    [anon_sym_CARET] = ACTIONS(1837),
    [anon_sym_BANG_EQ] = ACTIONS(1835),
    [anon_sym_LT_GT] = ACTIONS(1835),
  },
  [153] = {
    [ts_builtin_sym_end] = ACTIONS(1839),
    [anon_sym_SEMI] = ACTIONS(1839),
    [sym_keyword_from] = ACTIONS(1839),
    [sym_keyword_on] = ACTIONS(1839),
    [sym_keyword_where] = ACTIONS(1839),
    [sym_keyword_desc] = ACTIONS(1839),
    [sym_keyword_asc] = ACTIONS(1839),
    [sym_keyword_limit] = ACTIONS(1839),
    [sym_keyword_primary] = ACTIONS(1839),
    [sym_keyword_create] = ACTIONS(1839),
    [sym_keyword_as] = ACTIONS(1841),
    [sym_keyword_constraint] = ACTIONS(1839),
    [sym_keyword_separator] = ACTIONS(1839),
    [sym_keyword_when] = ACTIONS(1839),
    [sym_keyword_then] = ACTIONS(1839),
    [sym_keyword_else] = ACTIONS(1839),
    [sym_keyword_end] = ACTIONS(1839),
    [sym_keyword_in] = ACTIONS(1839),
    [sym_keyword_and] = ACTIONS(1839),
    [sym_keyword_or] = ACTIONS(1839),
    [sym_keyword_is] = ACTIONS(1839),
    [sym_keyword_not] = ACTIONS(1839),
    [sym_keyword_using] = ACTIONS(1839),
    [sym_keyword_auto_increment] = ACTIONS(1839),
    [sym_keyword_generated] = ACTIONS(1839),
    [sym_keyword_default] = ACTIONS(1839),
    [sym_keyword_with] = ACTIONS(1839),
    [sym_keyword_returning] = ACTIONS(1839),
    [sym_keyword_first] = ACTIONS(1839),
    [sym_keyword_after] = ACTIONS(1839),
    [sym_keyword_range] = ACTIONS(1839),
    [sym_keyword_rows] = ACTIONS(1839),
    [sym_keyword_groups] = ACTIONS(1839),
    [sym_keyword_between] = ACTIONS(1839),
    [sym_keyword_preceding] = ACTIONS(1839),
    [sym_keyword_following] = ACTIONS(1839),
    [sym_keyword_unique] = ACTIONS(1839),
    [sym_keyword_references] = ACTIONS(1839),
    [aux_sym_keyword_like_token1] = ACTIONS(1839),
    [aux_sym_keyword_like_token2] = ACTIONS(1839),
    [sym_keyword_similar] = ACTIONS(1839),
    [sym_keyword_unsigned] = ACTIONS(1839),
    [sym_keyword_zerofill] = ACTIONS(1839),
    [sym_keyword_check] = ACTIONS(1839),
    [sym_keyword_stored] = ACTIONS(1839),
    [sym_keyword_virtual] = ACTIONS(1839),
    [sym_keyword_comment] = ACTIONS(1839),
    [sym_keyword_null] = ACTIONS(1839),
    [sym_keyword_array] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1839),
    [anon_sym_RBRACK] = ACTIONS(1839),
    [anon_sym_LPAREN] = ACTIONS(1839),
    [anon_sym_RPAREN] = ACTIONS(1839),
    [anon_sym_COMMA] = ACTIONS(1839),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1839),
    [anon_sym_STAR] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(1839),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1839),
    [anon_sym_GT_EQ] = ACTIONS(1839),
    [anon_sym_COLON] = ACTIONS(1841),
    [sym_op_other] = ACTIONS(1839),
    [anon_sym_PLUS] = ACTIONS(1839),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1839),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1839),
    [anon_sym_LT_GT] = ACTIONS(1839),
  },
  [154] = {
    [ts_builtin_sym_end] = ACTIONS(1843),
    [anon_sym_SEMI] = ACTIONS(1843),
    [sym_keyword_from] = ACTIONS(1843),
    [sym_keyword_on] = ACTIONS(1843),
    [sym_keyword_where] = ACTIONS(1843),
    [sym_keyword_desc] = ACTIONS(1843),
    [sym_keyword_asc] = ACTIONS(1843),
    [sym_keyword_limit] = ACTIONS(1843),
    [sym_keyword_primary] = ACTIONS(1843),
    [sym_keyword_create] = ACTIONS(1843),
    [sym_keyword_as] = ACTIONS(1845),
    [sym_keyword_constraint] = ACTIONS(1843),
    [sym_keyword_separator] = ACTIONS(1843),
    [sym_keyword_when] = ACTIONS(1843),
    [sym_keyword_then] = ACTIONS(1843),
    [sym_keyword_else] = ACTIONS(1843),
    [sym_keyword_end] = ACTIONS(1843),
    [sym_keyword_in] = ACTIONS(1843),
    [sym_keyword_and] = ACTIONS(1843),
    [sym_keyword_or] = ACTIONS(1843),
    [sym_keyword_is] = ACTIONS(1843),
    [sym_keyword_not] = ACTIONS(1843),
    [sym_keyword_using] = ACTIONS(1843),
    [sym_keyword_auto_increment] = ACTIONS(1843),
    [sym_keyword_generated] = ACTIONS(1843),
    [sym_keyword_default] = ACTIONS(1843),
    [sym_keyword_with] = ACTIONS(1843),
    [sym_keyword_returning] = ACTIONS(1843),
    [sym_keyword_first] = ACTIONS(1843),
    [sym_keyword_after] = ACTIONS(1843),
    [sym_keyword_range] = ACTIONS(1843),
    [sym_keyword_rows] = ACTIONS(1843),
    [sym_keyword_groups] = ACTIONS(1843),
    [sym_keyword_between] = ACTIONS(1843),
    [sym_keyword_preceding] = ACTIONS(1843),
    [sym_keyword_following] = ACTIONS(1843),
    [sym_keyword_unique] = ACTIONS(1843),
    [sym_keyword_references] = ACTIONS(1843),
    [aux_sym_keyword_like_token1] = ACTIONS(1843),
    [aux_sym_keyword_like_token2] = ACTIONS(1843),
    [sym_keyword_similar] = ACTIONS(1843),
    [sym_keyword_unsigned] = ACTIONS(1843),
    [sym_keyword_zerofill] = ACTIONS(1843),
    [sym_keyword_check] = ACTIONS(1843),
    [sym_keyword_stored] = ACTIONS(1843),
    [sym_keyword_virtual] = ACTIONS(1843),
    [sym_keyword_comment] = ACTIONS(1843),
    [sym_keyword_null] = ACTIONS(1843),
    [sym_keyword_array] = ACTIONS(1843),
    [anon_sym_LBRACK] = ACTIONS(1843),
    [anon_sym_RBRACK] = ACTIONS(1843),
    [anon_sym_LPAREN] = ACTIONS(1843),
    [anon_sym_RPAREN] = ACTIONS(1843),
    [anon_sym_COMMA] = ACTIONS(1843),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1843),
    [anon_sym_STAR] = ACTIONS(1843),
    [anon_sym_COLON_COLON] = ACTIONS(1843),
    [anon_sym_LT] = ACTIONS(1845),
    [anon_sym_GT] = ACTIONS(1845),
    [anon_sym_LT_EQ] = ACTIONS(1843),
    [anon_sym_GT_EQ] = ACTIONS(1843),
    [anon_sym_COLON] = ACTIONS(1845),
    [sym_op_other] = ACTIONS(1843),
    [anon_sym_PLUS] = ACTIONS(1843),
    [anon_sym_DASH] = ACTIONS(1845),
    [anon_sym_SLASH] = ACTIONS(1845),
    [anon_sym_PERCENT] = ACTIONS(1843),
    [anon_sym_CARET] = ACTIONS(1845),
    [anon_sym_BANG_EQ] = ACTIONS(1843),
    [anon_sym_LT_GT] = ACTIONS(1843),
  },
  [155] = {
    [ts_builtin_sym_end] = ACTIONS(1847),
    [anon_sym_SEMI] = ACTIONS(1847),
    [sym_keyword_from] = ACTIONS(1847),
    [sym_keyword_on] = ACTIONS(1847),
    [sym_keyword_where] = ACTIONS(1847),
    [sym_keyword_desc] = ACTIONS(1847),
    [sym_keyword_asc] = ACTIONS(1847),
    [sym_keyword_limit] = ACTIONS(1847),
    [sym_keyword_primary] = ACTIONS(1847),
    [sym_keyword_create] = ACTIONS(1847),
    [sym_keyword_as] = ACTIONS(1849),
    [sym_keyword_constraint] = ACTIONS(1847),
    [sym_keyword_separator] = ACTIONS(1847),
    [sym_keyword_when] = ACTIONS(1847),
    [sym_keyword_then] = ACTIONS(1847),
    [sym_keyword_else] = ACTIONS(1847),
    [sym_keyword_end] = ACTIONS(1847),
    [sym_keyword_in] = ACTIONS(1847),
    [sym_keyword_and] = ACTIONS(1847),
    [sym_keyword_or] = ACTIONS(1847),
    [sym_keyword_is] = ACTIONS(1847),
    [sym_keyword_not] = ACTIONS(1847),
    [sym_keyword_using] = ACTIONS(1847),
    [sym_keyword_auto_increment] = ACTIONS(1847),
    [sym_keyword_generated] = ACTIONS(1847),
    [sym_keyword_default] = ACTIONS(1847),
    [sym_keyword_with] = ACTIONS(1847),
    [sym_keyword_returning] = ACTIONS(1847),
    [sym_keyword_first] = ACTIONS(1847),
    [sym_keyword_after] = ACTIONS(1847),
    [sym_keyword_range] = ACTIONS(1847),
    [sym_keyword_rows] = ACTIONS(1847),
    [sym_keyword_groups] = ACTIONS(1847),
    [sym_keyword_between] = ACTIONS(1847),
    [sym_keyword_preceding] = ACTIONS(1847),
    [sym_keyword_following] = ACTIONS(1847),
    [sym_keyword_unique] = ACTIONS(1847),
    [sym_keyword_references] = ACTIONS(1847),
    [aux_sym_keyword_like_token1] = ACTIONS(1847),
    [aux_sym_keyword_like_token2] = ACTIONS(1847),
    [sym_keyword_similar] = ACTIONS(1847),
    [sym_keyword_unsigned] = ACTIONS(1847),
    [sym_keyword_zerofill] = ACTIONS(1847),
    [sym_keyword_check] = ACTIONS(1847),
    [sym_keyword_stored] = ACTIONS(1847),
    [sym_keyword_virtual] = ACTIONS(1847),
    [sym_keyword_comment] = ACTIONS(1847),
    [sym_keyword_null] = ACTIONS(1847),
    [sym_keyword_array] = ACTIONS(1847),
    [anon_sym_LBRACK] = ACTIONS(1847),
    [anon_sym_RBRACK] = ACTIONS(1847),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_RPAREN] = ACTIONS(1847),
    [anon_sym_COMMA] = ACTIONS(1847),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1847),
    [anon_sym_STAR] = ACTIONS(1847),
    [anon_sym_COLON_COLON] = ACTIONS(1847),
    [anon_sym_LT] = ACTIONS(1849),
    [anon_sym_GT] = ACTIONS(1849),
    [anon_sym_LT_EQ] = ACTIONS(1847),
    [anon_sym_GT_EQ] = ACTIONS(1847),
    [anon_sym_COLON] = ACTIONS(1849),
    [sym_op_other] = ACTIONS(1847),
    [anon_sym_PLUS] = ACTIONS(1847),
    [anon_sym_DASH] = ACTIONS(1849),
    [anon_sym_SLASH] = ACTIONS(1849),
    [anon_sym_PERCENT] = ACTIONS(1847),
    [anon_sym_CARET] = ACTIONS(1849),
    [anon_sym_BANG_EQ] = ACTIONS(1847),
    [anon_sym_LT_GT] = ACTIONS(1847),
  },
  [156] = {
    [ts_builtin_sym_end] = ACTIONS(1851),
    [anon_sym_SEMI] = ACTIONS(1851),
    [sym_keyword_from] = ACTIONS(1851),
    [sym_keyword_on] = ACTIONS(1851),
    [sym_keyword_where] = ACTIONS(1851),
    [sym_keyword_desc] = ACTIONS(1851),
    [sym_keyword_asc] = ACTIONS(1851),
    [sym_keyword_limit] = ACTIONS(1851),
    [sym_keyword_primary] = ACTIONS(1851),
    [sym_keyword_create] = ACTIONS(1851),
    [sym_keyword_as] = ACTIONS(1853),
    [sym_keyword_constraint] = ACTIONS(1851),
    [sym_keyword_separator] = ACTIONS(1851),
    [sym_keyword_when] = ACTIONS(1851),
    [sym_keyword_then] = ACTIONS(1851),
    [sym_keyword_else] = ACTIONS(1851),
    [sym_keyword_end] = ACTIONS(1851),
    [sym_keyword_in] = ACTIONS(1851),
    [sym_keyword_and] = ACTIONS(1851),
    [sym_keyword_or] = ACTIONS(1851),
    [sym_keyword_is] = ACTIONS(1851),
    [sym_keyword_not] = ACTIONS(1851),
    [sym_keyword_using] = ACTIONS(1851),
    [sym_keyword_auto_increment] = ACTIONS(1851),
    [sym_keyword_generated] = ACTIONS(1851),
    [sym_keyword_default] = ACTIONS(1851),
    [sym_keyword_with] = ACTIONS(1851),
    [sym_keyword_returning] = ACTIONS(1851),
    [sym_keyword_first] = ACTIONS(1851),
    [sym_keyword_after] = ACTIONS(1851),
    [sym_keyword_range] = ACTIONS(1851),
    [sym_keyword_rows] = ACTIONS(1851),
    [sym_keyword_groups] = ACTIONS(1851),
    [sym_keyword_between] = ACTIONS(1851),
    [sym_keyword_preceding] = ACTIONS(1851),
    [sym_keyword_following] = ACTIONS(1851),
    [sym_keyword_unique] = ACTIONS(1851),
    [sym_keyword_references] = ACTIONS(1851),
    [aux_sym_keyword_like_token1] = ACTIONS(1851),
    [aux_sym_keyword_like_token2] = ACTIONS(1851),
    [sym_keyword_similar] = ACTIONS(1851),
    [sym_keyword_unsigned] = ACTIONS(1851),
    [sym_keyword_zerofill] = ACTIONS(1851),
    [sym_keyword_check] = ACTIONS(1851),
    [sym_keyword_stored] = ACTIONS(1851),
    [sym_keyword_virtual] = ACTIONS(1851),
    [sym_keyword_comment] = ACTIONS(1851),
    [sym_keyword_null] = ACTIONS(1851),
    [sym_keyword_array] = ACTIONS(1851),
    [anon_sym_LBRACK] = ACTIONS(1851),
    [anon_sym_RBRACK] = ACTIONS(1851),
    [anon_sym_LPAREN] = ACTIONS(1851),
    [anon_sym_RPAREN] = ACTIONS(1851),
    [anon_sym_COMMA] = ACTIONS(1851),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1851),
    [anon_sym_STAR] = ACTIONS(1851),
    [anon_sym_COLON_COLON] = ACTIONS(1851),
    [anon_sym_LT] = ACTIONS(1853),
    [anon_sym_GT] = ACTIONS(1853),
    [anon_sym_LT_EQ] = ACTIONS(1851),
    [anon_sym_GT_EQ] = ACTIONS(1851),
    [anon_sym_COLON] = ACTIONS(1853),
    [sym_op_other] = ACTIONS(1851),
    [anon_sym_PLUS] = ACTIONS(1851),
    [anon_sym_DASH] = ACTIONS(1853),
    [anon_sym_SLASH] = ACTIONS(1853),
    [anon_sym_PERCENT] = ACTIONS(1851),
    [anon_sym_CARET] = ACTIONS(1853),
    [anon_sym_BANG_EQ] = ACTIONS(1851),
    [anon_sym_LT_GT] = ACTIONS(1851),
  },
  [157] = {
    [ts_builtin_sym_end] = ACTIONS(1855),
    [anon_sym_SEMI] = ACTIONS(1855),
    [sym_keyword_from] = ACTIONS(1855),
    [sym_keyword_on] = ACTIONS(1855),
    [sym_keyword_where] = ACTIONS(1855),
    [sym_keyword_desc] = ACTIONS(1855),
    [sym_keyword_asc] = ACTIONS(1855),
    [sym_keyword_limit] = ACTIONS(1855),
    [sym_keyword_primary] = ACTIONS(1855),
    [sym_keyword_create] = ACTIONS(1855),
    [sym_keyword_as] = ACTIONS(1857),
    [sym_keyword_constraint] = ACTIONS(1855),
    [sym_keyword_separator] = ACTIONS(1855),
    [sym_keyword_when] = ACTIONS(1855),
    [sym_keyword_then] = ACTIONS(1855),
    [sym_keyword_else] = ACTIONS(1855),
    [sym_keyword_end] = ACTIONS(1855),
    [sym_keyword_in] = ACTIONS(1855),
    [sym_keyword_and] = ACTIONS(1855),
    [sym_keyword_or] = ACTIONS(1855),
    [sym_keyword_is] = ACTIONS(1855),
    [sym_keyword_not] = ACTIONS(1855),
    [sym_keyword_using] = ACTIONS(1855),
    [sym_keyword_auto_increment] = ACTIONS(1855),
    [sym_keyword_generated] = ACTIONS(1855),
    [sym_keyword_default] = ACTIONS(1855),
    [sym_keyword_with] = ACTIONS(1855),
    [sym_keyword_returning] = ACTIONS(1855),
    [sym_keyword_first] = ACTIONS(1855),
    [sym_keyword_after] = ACTIONS(1855),
    [sym_keyword_range] = ACTIONS(1855),
    [sym_keyword_rows] = ACTIONS(1855),
    [sym_keyword_groups] = ACTIONS(1855),
    [sym_keyword_between] = ACTIONS(1855),
    [sym_keyword_preceding] = ACTIONS(1855),
    [sym_keyword_following] = ACTIONS(1855),
    [sym_keyword_unique] = ACTIONS(1855),
    [sym_keyword_references] = ACTIONS(1855),
    [aux_sym_keyword_like_token1] = ACTIONS(1855),
    [aux_sym_keyword_like_token2] = ACTIONS(1855),
    [sym_keyword_similar] = ACTIONS(1855),
    [sym_keyword_unsigned] = ACTIONS(1859),
    [sym_keyword_zerofill] = ACTIONS(1861),
    [sym_keyword_check] = ACTIONS(1855),
    [sym_keyword_stored] = ACTIONS(1855),
    [sym_keyword_virtual] = ACTIONS(1855),
    [sym_keyword_comment] = ACTIONS(1855),
    [sym_keyword_null] = ACTIONS(1855),
    [sym_keyword_array] = ACTIONS(1855),
    [anon_sym_LBRACK] = ACTIONS(1855),
    [anon_sym_RBRACK] = ACTIONS(1855),
    [anon_sym_LPAREN] = ACTIONS(1863),
    [anon_sym_RPAREN] = ACTIONS(1855),
    [anon_sym_COMMA] = ACTIONS(1855),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1855),
    [anon_sym_STAR] = ACTIONS(1855),
    [anon_sym_COLON_COLON] = ACTIONS(1855),
    [anon_sym_LT] = ACTIONS(1857),
    [anon_sym_GT] = ACTIONS(1857),
    [anon_sym_LT_EQ] = ACTIONS(1855),
    [anon_sym_GT_EQ] = ACTIONS(1855),
    [anon_sym_COLON] = ACTIONS(1857),
    [sym_op_other] = ACTIONS(1855),
    [anon_sym_PLUS] = ACTIONS(1855),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_SLASH] = ACTIONS(1857),
    [anon_sym_PERCENT] = ACTIONS(1855),
    [anon_sym_CARET] = ACTIONS(1857),
    [anon_sym_BANG_EQ] = ACTIONS(1855),
    [anon_sym_LT_GT] = ACTIONS(1855),
  },
  [158] = {
    [ts_builtin_sym_end] = ACTIONS(1865),
    [anon_sym_SEMI] = ACTIONS(1865),
    [sym_keyword_from] = ACTIONS(1865),
    [sym_keyword_on] = ACTIONS(1865),
    [sym_keyword_where] = ACTIONS(1865),
    [sym_keyword_desc] = ACTIONS(1865),
    [sym_keyword_asc] = ACTIONS(1865),
    [sym_keyword_limit] = ACTIONS(1865),
    [sym_keyword_primary] = ACTIONS(1865),
    [sym_keyword_create] = ACTIONS(1865),
    [sym_keyword_as] = ACTIONS(1867),
    [sym_keyword_constraint] = ACTIONS(1865),
    [sym_keyword_separator] = ACTIONS(1865),
    [sym_keyword_when] = ACTIONS(1865),
    [sym_keyword_then] = ACTIONS(1865),
    [sym_keyword_else] = ACTIONS(1865),
    [sym_keyword_end] = ACTIONS(1865),
    [sym_keyword_in] = ACTIONS(1865),
    [sym_keyword_and] = ACTIONS(1865),
    [sym_keyword_or] = ACTIONS(1865),
    [sym_keyword_is] = ACTIONS(1865),
    [sym_keyword_not] = ACTIONS(1865),
    [sym_keyword_using] = ACTIONS(1865),
    [sym_keyword_auto_increment] = ACTIONS(1865),
    [sym_keyword_generated] = ACTIONS(1865),
    [sym_keyword_default] = ACTIONS(1865),
    [sym_keyword_with] = ACTIONS(1865),
    [sym_keyword_returning] = ACTIONS(1865),
    [sym_keyword_first] = ACTIONS(1865),
    [sym_keyword_after] = ACTIONS(1865),
    [sym_keyword_range] = ACTIONS(1865),
    [sym_keyword_rows] = ACTIONS(1865),
    [sym_keyword_groups] = ACTIONS(1865),
    [sym_keyword_between] = ACTIONS(1865),
    [sym_keyword_preceding] = ACTIONS(1865),
    [sym_keyword_following] = ACTIONS(1865),
    [sym_keyword_unique] = ACTIONS(1865),
    [sym_keyword_references] = ACTIONS(1865),
    [aux_sym_keyword_like_token1] = ACTIONS(1865),
    [aux_sym_keyword_like_token2] = ACTIONS(1865),
    [sym_keyword_similar] = ACTIONS(1865),
    [sym_keyword_unsigned] = ACTIONS(1865),
    [sym_keyword_zerofill] = ACTIONS(1865),
    [sym_keyword_check] = ACTIONS(1865),
    [sym_keyword_stored] = ACTIONS(1865),
    [sym_keyword_virtual] = ACTIONS(1865),
    [sym_keyword_comment] = ACTIONS(1865),
    [sym_keyword_null] = ACTIONS(1865),
    [sym_keyword_array] = ACTIONS(1865),
    [anon_sym_LBRACK] = ACTIONS(1865),
    [anon_sym_RBRACK] = ACTIONS(1865),
    [anon_sym_LPAREN] = ACTIONS(1865),
    [anon_sym_RPAREN] = ACTIONS(1865),
    [anon_sym_COMMA] = ACTIONS(1865),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1865),
    [anon_sym_STAR] = ACTIONS(1865),
    [anon_sym_COLON_COLON] = ACTIONS(1865),
    [anon_sym_LT] = ACTIONS(1867),
    [anon_sym_GT] = ACTIONS(1867),
    [anon_sym_LT_EQ] = ACTIONS(1865),
    [anon_sym_GT_EQ] = ACTIONS(1865),
    [anon_sym_COLON] = ACTIONS(1867),
    [sym_op_other] = ACTIONS(1865),
    [anon_sym_PLUS] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1867),
    [anon_sym_SLASH] = ACTIONS(1867),
    [anon_sym_PERCENT] = ACTIONS(1865),
    [anon_sym_CARET] = ACTIONS(1867),
    [anon_sym_BANG_EQ] = ACTIONS(1865),
    [anon_sym_LT_GT] = ACTIONS(1865),
  },
  [159] = {
    [ts_builtin_sym_end] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1869),
    [sym_keyword_from] = ACTIONS(1869),
    [sym_keyword_on] = ACTIONS(1869),
    [sym_keyword_where] = ACTIONS(1869),
    [sym_keyword_desc] = ACTIONS(1869),
    [sym_keyword_asc] = ACTIONS(1869),
    [sym_keyword_limit] = ACTIONS(1869),
    [sym_keyword_primary] = ACTIONS(1869),
    [sym_keyword_create] = ACTIONS(1869),
    [sym_keyword_as] = ACTIONS(1871),
    [sym_keyword_constraint] = ACTIONS(1869),
    [sym_keyword_separator] = ACTIONS(1869),
    [sym_keyword_when] = ACTIONS(1869),
    [sym_keyword_then] = ACTIONS(1869),
    [sym_keyword_else] = ACTIONS(1869),
    [sym_keyword_end] = ACTIONS(1869),
    [sym_keyword_in] = ACTIONS(1869),
    [sym_keyword_and] = ACTIONS(1869),
    [sym_keyword_or] = ACTIONS(1869),
    [sym_keyword_is] = ACTIONS(1869),
    [sym_keyword_not] = ACTIONS(1869),
    [sym_keyword_using] = ACTIONS(1869),
    [sym_keyword_auto_increment] = ACTIONS(1869),
    [sym_keyword_generated] = ACTIONS(1869),
    [sym_keyword_default] = ACTIONS(1869),
    [sym_keyword_with] = ACTIONS(1869),
    [sym_keyword_returning] = ACTIONS(1869),
    [sym_keyword_first] = ACTIONS(1869),
    [sym_keyword_after] = ACTIONS(1869),
    [sym_keyword_range] = ACTIONS(1869),
    [sym_keyword_rows] = ACTIONS(1869),
    [sym_keyword_groups] = ACTIONS(1869),
    [sym_keyword_between] = ACTIONS(1869),
    [sym_keyword_preceding] = ACTIONS(1869),
    [sym_keyword_following] = ACTIONS(1869),
    [sym_keyword_unique] = ACTIONS(1869),
    [sym_keyword_references] = ACTIONS(1869),
    [aux_sym_keyword_like_token1] = ACTIONS(1869),
    [aux_sym_keyword_like_token2] = ACTIONS(1869),
    [sym_keyword_similar] = ACTIONS(1869),
    [sym_keyword_unsigned] = ACTIONS(1873),
    [sym_keyword_zerofill] = ACTIONS(1875),
    [sym_keyword_check] = ACTIONS(1869),
    [sym_keyword_stored] = ACTIONS(1869),
    [sym_keyword_virtual] = ACTIONS(1869),
    [sym_keyword_comment] = ACTIONS(1869),
    [sym_keyword_null] = ACTIONS(1869),
    [sym_keyword_array] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(1869),
    [anon_sym_RBRACK] = ACTIONS(1869),
    [anon_sym_LPAREN] = ACTIONS(1877),
    [anon_sym_RPAREN] = ACTIONS(1869),
    [anon_sym_COMMA] = ACTIONS(1869),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1869),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_COLON_COLON] = ACTIONS(1869),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1869),
    [anon_sym_GT_EQ] = ACTIONS(1869),
    [anon_sym_COLON] = ACTIONS(1871),
    [sym_op_other] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1869),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1869),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1869),
    [anon_sym_LT_GT] = ACTIONS(1869),
  },
  [160] = {
    [ts_builtin_sym_end] = ACTIONS(1803),
    [anon_sym_SEMI] = ACTIONS(1803),
    [sym_keyword_from] = ACTIONS(1803),
    [sym_keyword_on] = ACTIONS(1803),
    [sym_keyword_where] = ACTIONS(1803),
    [sym_keyword_desc] = ACTIONS(1803),
    [sym_keyword_asc] = ACTIONS(1803),
    [sym_keyword_limit] = ACTIONS(1803),
    [sym_keyword_primary] = ACTIONS(1803),
    [sym_keyword_create] = ACTIONS(1803),
    [sym_keyword_as] = ACTIONS(1805),
    [sym_keyword_constraint] = ACTIONS(1803),
    [sym_keyword_separator] = ACTIONS(1803),
    [sym_keyword_when] = ACTIONS(1803),
    [sym_keyword_then] = ACTIONS(1803),
    [sym_keyword_else] = ACTIONS(1803),
    [sym_keyword_end] = ACTIONS(1803),
    [sym_keyword_in] = ACTIONS(1803),
    [sym_keyword_and] = ACTIONS(1803),
    [sym_keyword_or] = ACTIONS(1803),
    [sym_keyword_is] = ACTIONS(1803),
    [sym_keyword_not] = ACTIONS(1803),
    [sym_keyword_using] = ACTIONS(1803),
    [sym_keyword_auto_increment] = ACTIONS(1803),
    [sym_keyword_generated] = ACTIONS(1803),
    [sym_keyword_default] = ACTIONS(1803),
    [sym_keyword_with] = ACTIONS(1803),
    [sym_keyword_returning] = ACTIONS(1803),
    [sym_keyword_first] = ACTIONS(1803),
    [sym_keyword_after] = ACTIONS(1803),
    [sym_keyword_range] = ACTIONS(1803),
    [sym_keyword_rows] = ACTIONS(1803),
    [sym_keyword_groups] = ACTIONS(1803),
    [sym_keyword_between] = ACTIONS(1803),
    [sym_keyword_preceding] = ACTIONS(1803),
    [sym_keyword_following] = ACTIONS(1803),
    [sym_keyword_unique] = ACTIONS(1803),
    [sym_keyword_references] = ACTIONS(1803),
    [aux_sym_keyword_like_token1] = ACTIONS(1803),
    [aux_sym_keyword_like_token2] = ACTIONS(1803),
    [sym_keyword_similar] = ACTIONS(1803),
    [sym_keyword_unsigned] = ACTIONS(1807),
    [sym_keyword_zerofill] = ACTIONS(1809),
    [sym_keyword_check] = ACTIONS(1803),
    [sym_keyword_stored] = ACTIONS(1803),
    [sym_keyword_virtual] = ACTIONS(1803),
    [sym_keyword_comment] = ACTIONS(1803),
    [sym_keyword_null] = ACTIONS(1803),
    [sym_keyword_array] = ACTIONS(1803),
    [anon_sym_LBRACK] = ACTIONS(1803),
    [anon_sym_RBRACK] = ACTIONS(1803),
    [anon_sym_LPAREN] = ACTIONS(1813),
    [anon_sym_RPAREN] = ACTIONS(1803),
    [anon_sym_COMMA] = ACTIONS(1803),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1803),
    [anon_sym_STAR] = ACTIONS(1803),
    [anon_sym_COLON_COLON] = ACTIONS(1803),
    [anon_sym_LT] = ACTIONS(1805),
    [anon_sym_GT] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1803),
    [anon_sym_GT_EQ] = ACTIONS(1803),
    [anon_sym_COLON] = ACTIONS(1805),
    [sym_op_other] = ACTIONS(1803),
    [anon_sym_PLUS] = ACTIONS(1803),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_SLASH] = ACTIONS(1805),
    [anon_sym_PERCENT] = ACTIONS(1803),
    [anon_sym_CARET] = ACTIONS(1805),
    [anon_sym_BANG_EQ] = ACTIONS(1803),
    [anon_sym_LT_GT] = ACTIONS(1803),
  },
  [161] = {
    [sym__include_time_zone] = STATE(223),
    [ts_builtin_sym_end] = ACTIONS(1879),
    [anon_sym_SEMI] = ACTIONS(1879),
    [sym_keyword_from] = ACTIONS(1879),
    [sym_keyword_on] = ACTIONS(1879),
    [sym_keyword_where] = ACTIONS(1879),
    [sym_keyword_desc] = ACTIONS(1879),
    [sym_keyword_asc] = ACTIONS(1879),
    [sym_keyword_limit] = ACTIONS(1879),
    [sym_keyword_primary] = ACTIONS(1879),
    [sym_keyword_create] = ACTIONS(1879),
    [sym_keyword_as] = ACTIONS(1881),
    [sym_keyword_constraint] = ACTIONS(1879),
    [sym_keyword_separator] = ACTIONS(1879),
    [sym_keyword_when] = ACTIONS(1879),
    [sym_keyword_then] = ACTIONS(1879),
    [sym_keyword_else] = ACTIONS(1879),
    [sym_keyword_end] = ACTIONS(1879),
    [sym_keyword_in] = ACTIONS(1879),
    [sym_keyword_and] = ACTIONS(1879),
    [sym_keyword_or] = ACTIONS(1879),
    [sym_keyword_is] = ACTIONS(1879),
    [sym_keyword_not] = ACTIONS(1879),
    [sym_keyword_using] = ACTIONS(1879),
    [sym_keyword_auto_increment] = ACTIONS(1879),
    [sym_keyword_generated] = ACTIONS(1879),
    [sym_keyword_default] = ACTIONS(1879),
    [sym_keyword_with] = ACTIONS(1883),
    [sym_keyword_without] = ACTIONS(1885),
    [sym_keyword_returning] = ACTIONS(1879),
    [sym_keyword_first] = ACTIONS(1879),
    [sym_keyword_after] = ACTIONS(1879),
    [sym_keyword_range] = ACTIONS(1879),
    [sym_keyword_rows] = ACTIONS(1879),
    [sym_keyword_groups] = ACTIONS(1879),
    [sym_keyword_between] = ACTIONS(1879),
    [sym_keyword_preceding] = ACTIONS(1879),
    [sym_keyword_following] = ACTIONS(1879),
    [sym_keyword_unique] = ACTIONS(1879),
    [sym_keyword_references] = ACTIONS(1879),
    [aux_sym_keyword_like_token1] = ACTIONS(1879),
    [aux_sym_keyword_like_token2] = ACTIONS(1879),
    [sym_keyword_similar] = ACTIONS(1879),
    [sym_keyword_check] = ACTIONS(1879),
    [sym_keyword_stored] = ACTIONS(1879),
    [sym_keyword_virtual] = ACTIONS(1879),
    [sym_keyword_comment] = ACTIONS(1879),
    [sym_keyword_null] = ACTIONS(1879),
    [sym_keyword_array] = ACTIONS(1879),
    [anon_sym_LBRACK] = ACTIONS(1879),
    [anon_sym_RBRACK] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1887),
    [anon_sym_RPAREN] = ACTIONS(1879),
    [anon_sym_COMMA] = ACTIONS(1879),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1879),
    [anon_sym_STAR] = ACTIONS(1879),
    [anon_sym_COLON_COLON] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_LT_EQ] = ACTIONS(1879),
    [anon_sym_GT_EQ] = ACTIONS(1879),
    [anon_sym_COLON] = ACTIONS(1881),
    [sym_op_other] = ACTIONS(1879),
    [anon_sym_PLUS] = ACTIONS(1879),
    [anon_sym_DASH] = ACTIONS(1881),
    [anon_sym_SLASH] = ACTIONS(1881),
    [anon_sym_PERCENT] = ACTIONS(1879),
    [anon_sym_CARET] = ACTIONS(1881),
    [anon_sym_BANG_EQ] = ACTIONS(1879),
    [anon_sym_LT_GT] = ACTIONS(1879),
  },
  [162] = {
    [sym__include_time_zone] = STATE(224),
    [ts_builtin_sym_end] = ACTIONS(1889),
    [anon_sym_SEMI] = ACTIONS(1889),
    [sym_keyword_from] = ACTIONS(1889),
    [sym_keyword_on] = ACTIONS(1889),
    [sym_keyword_where] = ACTIONS(1889),
    [sym_keyword_desc] = ACTIONS(1889),
    [sym_keyword_asc] = ACTIONS(1889),
    [sym_keyword_limit] = ACTIONS(1889),
    [sym_keyword_primary] = ACTIONS(1889),
    [sym_keyword_create] = ACTIONS(1889),
    [sym_keyword_as] = ACTIONS(1891),
    [sym_keyword_constraint] = ACTIONS(1889),
    [sym_keyword_separator] = ACTIONS(1889),
    [sym_keyword_when] = ACTIONS(1889),
    [sym_keyword_then] = ACTIONS(1889),
    [sym_keyword_else] = ACTIONS(1889),
    [sym_keyword_end] = ACTIONS(1889),
    [sym_keyword_in] = ACTIONS(1889),
    [sym_keyword_and] = ACTIONS(1889),
    [sym_keyword_or] = ACTIONS(1889),
    [sym_keyword_is] = ACTIONS(1889),
    [sym_keyword_not] = ACTIONS(1889),
    [sym_keyword_using] = ACTIONS(1889),
    [sym_keyword_auto_increment] = ACTIONS(1889),
    [sym_keyword_generated] = ACTIONS(1889),
    [sym_keyword_default] = ACTIONS(1889),
    [sym_keyword_with] = ACTIONS(1883),
    [sym_keyword_without] = ACTIONS(1885),
    [sym_keyword_returning] = ACTIONS(1889),
    [sym_keyword_first] = ACTIONS(1889),
    [sym_keyword_after] = ACTIONS(1889),
    [sym_keyword_range] = ACTIONS(1889),
    [sym_keyword_rows] = ACTIONS(1889),
    [sym_keyword_groups] = ACTIONS(1889),
    [sym_keyword_between] = ACTIONS(1889),
    [sym_keyword_preceding] = ACTIONS(1889),
    [sym_keyword_following] = ACTIONS(1889),
    [sym_keyword_unique] = ACTIONS(1889),
    [sym_keyword_references] = ACTIONS(1889),
    [aux_sym_keyword_like_token1] = ACTIONS(1889),
    [aux_sym_keyword_like_token2] = ACTIONS(1889),
    [sym_keyword_similar] = ACTIONS(1889),
    [sym_keyword_check] = ACTIONS(1889),
    [sym_keyword_stored] = ACTIONS(1889),
    [sym_keyword_virtual] = ACTIONS(1889),
    [sym_keyword_comment] = ACTIONS(1889),
    [sym_keyword_null] = ACTIONS(1889),
    [sym_keyword_array] = ACTIONS(1889),
    [anon_sym_LBRACK] = ACTIONS(1889),
    [anon_sym_RBRACK] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_RPAREN] = ACTIONS(1889),
    [anon_sym_COMMA] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_STAR] = ACTIONS(1889),
    [anon_sym_COLON_COLON] = ACTIONS(1889),
    [anon_sym_LT] = ACTIONS(1891),
    [anon_sym_GT] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1889),
    [anon_sym_GT_EQ] = ACTIONS(1889),
    [anon_sym_COLON] = ACTIONS(1891),
    [sym_op_other] = ACTIONS(1889),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1891),
    [anon_sym_SLASH] = ACTIONS(1891),
    [anon_sym_PERCENT] = ACTIONS(1889),
    [anon_sym_CARET] = ACTIONS(1891),
    [anon_sym_BANG_EQ] = ACTIONS(1889),
    [anon_sym_LT_GT] = ACTIONS(1889),
  },
  [163] = {
    [ts_builtin_sym_end] = ACTIONS(1895),
    [anon_sym_SEMI] = ACTIONS(1895),
    [sym_keyword_from] = ACTIONS(1895),
    [sym_keyword_on] = ACTIONS(1895),
    [sym_keyword_where] = ACTIONS(1895),
    [sym_keyword_desc] = ACTIONS(1895),
    [sym_keyword_asc] = ACTIONS(1895),
    [sym_keyword_limit] = ACTIONS(1895),
    [sym_keyword_primary] = ACTIONS(1895),
    [sym_keyword_create] = ACTIONS(1895),
    [sym_keyword_as] = ACTIONS(1897),
    [sym_keyword_constraint] = ACTIONS(1895),
    [sym_keyword_separator] = ACTIONS(1895),
    [sym_keyword_when] = ACTIONS(1895),
    [sym_keyword_then] = ACTIONS(1895),
    [sym_keyword_else] = ACTIONS(1895),
    [sym_keyword_end] = ACTIONS(1895),
    [sym_keyword_in] = ACTIONS(1895),
    [sym_keyword_and] = ACTIONS(1895),
    [sym_keyword_or] = ACTIONS(1895),
    [sym_keyword_is] = ACTIONS(1895),
    [sym_keyword_not] = ACTIONS(1895),
    [sym_keyword_using] = ACTIONS(1895),
    [sym_keyword_auto_increment] = ACTIONS(1895),
    [sym_keyword_generated] = ACTIONS(1895),
    [sym_keyword_default] = ACTIONS(1895),
    [sym_keyword_with] = ACTIONS(1895),
    [sym_keyword_returning] = ACTIONS(1895),
    [sym_keyword_first] = ACTIONS(1895),
    [sym_keyword_after] = ACTIONS(1895),
    [sym_keyword_range] = ACTIONS(1895),
    [sym_keyword_rows] = ACTIONS(1895),
    [sym_keyword_groups] = ACTIONS(1895),
    [sym_keyword_between] = ACTIONS(1895),
    [sym_keyword_preceding] = ACTIONS(1895),
    [sym_keyword_following] = ACTIONS(1895),
    [sym_keyword_unique] = ACTIONS(1895),
    [sym_keyword_references] = ACTIONS(1895),
    [aux_sym_keyword_like_token1] = ACTIONS(1895),
    [aux_sym_keyword_like_token2] = ACTIONS(1895),
    [sym_keyword_similar] = ACTIONS(1895),
    [sym_keyword_unsigned] = ACTIONS(1899),
    [sym_keyword_zerofill] = ACTIONS(1901),
    [sym_keyword_check] = ACTIONS(1895),
    [sym_keyword_stored] = ACTIONS(1895),
    [sym_keyword_virtual] = ACTIONS(1895),
    [sym_keyword_comment] = ACTIONS(1895),
    [sym_keyword_null] = ACTIONS(1895),
    [sym_keyword_array] = ACTIONS(1895),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_RBRACK] = ACTIONS(1895),
    [anon_sym_LPAREN] = ACTIONS(1903),
    [anon_sym_RPAREN] = ACTIONS(1895),
    [anon_sym_COMMA] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1895),
    [anon_sym_COLON_COLON] = ACTIONS(1895),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_GT] = ACTIONS(1897),
    [anon_sym_LT_EQ] = ACTIONS(1895),
    [anon_sym_GT_EQ] = ACTIONS(1895),
    [anon_sym_COLON] = ACTIONS(1897),
    [sym_op_other] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_SLASH] = ACTIONS(1897),
    [anon_sym_PERCENT] = ACTIONS(1895),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_BANG_EQ] = ACTIONS(1895),
    [anon_sym_LT_GT] = ACTIONS(1895),
  },
  [164] = {
    [ts_builtin_sym_end] = ACTIONS(1905),
    [anon_sym_SEMI] = ACTIONS(1905),
    [sym_keyword_from] = ACTIONS(1905),
    [sym_keyword_on] = ACTIONS(1905),
    [sym_keyword_where] = ACTIONS(1905),
    [sym_keyword_desc] = ACTIONS(1905),
    [sym_keyword_asc] = ACTIONS(1905),
    [sym_keyword_limit] = ACTIONS(1905),
    [sym_keyword_primary] = ACTIONS(1905),
    [sym_keyword_create] = ACTIONS(1905),
    [sym_keyword_as] = ACTIONS(1907),
    [sym_keyword_constraint] = ACTIONS(1905),
    [sym_keyword_separator] = ACTIONS(1905),
    [sym_keyword_when] = ACTIONS(1905),
    [sym_keyword_then] = ACTIONS(1905),
    [sym_keyword_else] = ACTIONS(1905),
    [sym_keyword_end] = ACTIONS(1905),
    [sym_keyword_in] = ACTIONS(1905),
    [sym_keyword_and] = ACTIONS(1905),
    [sym_keyword_or] = ACTIONS(1905),
    [sym_keyword_is] = ACTIONS(1905),
    [sym_keyword_not] = ACTIONS(1905),
    [sym_keyword_using] = ACTIONS(1905),
    [sym_keyword_auto_increment] = ACTIONS(1905),
    [sym_keyword_generated] = ACTIONS(1905),
    [sym_keyword_default] = ACTIONS(1905),
    [sym_keyword_with] = ACTIONS(1905),
    [sym_keyword_returning] = ACTIONS(1905),
    [sym_keyword_first] = ACTIONS(1905),
    [sym_keyword_after] = ACTIONS(1905),
    [sym_keyword_range] = ACTIONS(1905),
    [sym_keyword_rows] = ACTIONS(1905),
    [sym_keyword_groups] = ACTIONS(1905),
    [sym_keyword_between] = ACTIONS(1905),
    [sym_keyword_preceding] = ACTIONS(1905),
    [sym_keyword_following] = ACTIONS(1905),
    [sym_keyword_unique] = ACTIONS(1905),
    [sym_keyword_references] = ACTIONS(1905),
    [aux_sym_keyword_like_token1] = ACTIONS(1905),
    [aux_sym_keyword_like_token2] = ACTIONS(1905),
    [sym_keyword_similar] = ACTIONS(1905),
    [sym_keyword_unsigned] = ACTIONS(1909),
    [sym_keyword_zerofill] = ACTIONS(1911),
    [sym_keyword_check] = ACTIONS(1905),
    [sym_keyword_stored] = ACTIONS(1905),
    [sym_keyword_virtual] = ACTIONS(1905),
    [sym_keyword_comment] = ACTIONS(1905),
    [sym_keyword_null] = ACTIONS(1905),
    [sym_keyword_array] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1905),
    [anon_sym_RBRACK] = ACTIONS(1905),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(1905),
    [anon_sym_COMMA] = ACTIONS(1905),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1905),
    [anon_sym_STAR] = ACTIONS(1905),
    [anon_sym_COLON_COLON] = ACTIONS(1905),
    [anon_sym_LT] = ACTIONS(1907),
    [anon_sym_GT] = ACTIONS(1907),
    [anon_sym_LT_EQ] = ACTIONS(1905),
    [anon_sym_GT_EQ] = ACTIONS(1905),
    [anon_sym_COLON] = ACTIONS(1907),
    [sym_op_other] = ACTIONS(1905),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1907),
    [anon_sym_SLASH] = ACTIONS(1907),
    [anon_sym_PERCENT] = ACTIONS(1905),
    [anon_sym_CARET] = ACTIONS(1907),
    [anon_sym_BANG_EQ] = ACTIONS(1905),
    [anon_sym_LT_GT] = ACTIONS(1905),
  },
  [165] = {
    [ts_builtin_sym_end] = ACTIONS(1915),
    [anon_sym_SEMI] = ACTIONS(1915),
    [sym_keyword_from] = ACTIONS(1915),
    [sym_keyword_on] = ACTIONS(1915),
    [sym_keyword_where] = ACTIONS(1915),
    [sym_keyword_desc] = ACTIONS(1915),
    [sym_keyword_asc] = ACTIONS(1915),
    [sym_keyword_limit] = ACTIONS(1915),
    [sym_keyword_primary] = ACTIONS(1915),
    [sym_keyword_create] = ACTIONS(1915),
    [sym_keyword_as] = ACTIONS(1917),
    [sym_keyword_constraint] = ACTIONS(1915),
    [sym_keyword_separator] = ACTIONS(1915),
    [sym_keyword_when] = ACTIONS(1915),
    [sym_keyword_then] = ACTIONS(1915),
    [sym_keyword_else] = ACTIONS(1915),
    [sym_keyword_end] = ACTIONS(1915),
    [sym_keyword_in] = ACTIONS(1915),
    [sym_keyword_and] = ACTIONS(1915),
    [sym_keyword_or] = ACTIONS(1915),
    [sym_keyword_is] = ACTIONS(1915),
    [sym_keyword_not] = ACTIONS(1915),
    [sym_keyword_using] = ACTIONS(1915),
    [sym_keyword_auto_increment] = ACTIONS(1915),
    [sym_keyword_generated] = ACTIONS(1915),
    [sym_keyword_default] = ACTIONS(1915),
    [sym_keyword_with] = ACTIONS(1915),
    [sym_keyword_returning] = ACTIONS(1915),
    [sym_keyword_first] = ACTIONS(1915),
    [sym_keyword_after] = ACTIONS(1915),
    [sym_keyword_range] = ACTIONS(1915),
    [sym_keyword_rows] = ACTIONS(1915),
    [sym_keyword_groups] = ACTIONS(1915),
    [sym_keyword_between] = ACTIONS(1915),
    [sym_keyword_preceding] = ACTIONS(1915),
    [sym_keyword_following] = ACTIONS(1915),
    [sym_keyword_unique] = ACTIONS(1915),
    [sym_keyword_references] = ACTIONS(1915),
    [aux_sym_keyword_like_token1] = ACTIONS(1915),
    [aux_sym_keyword_like_token2] = ACTIONS(1915),
    [sym_keyword_similar] = ACTIONS(1915),
    [sym_keyword_unsigned] = ACTIONS(1919),
    [sym_keyword_zerofill] = ACTIONS(1921),
    [sym_keyword_check] = ACTIONS(1915),
    [sym_keyword_stored] = ACTIONS(1915),
    [sym_keyword_virtual] = ACTIONS(1915),
    [sym_keyword_comment] = ACTIONS(1915),
    [sym_keyword_null] = ACTIONS(1915),
    [sym_keyword_array] = ACTIONS(1915),
    [anon_sym_LBRACK] = ACTIONS(1915),
    [anon_sym_RBRACK] = ACTIONS(1915),
    [anon_sym_LPAREN] = ACTIONS(1923),
    [anon_sym_RPAREN] = ACTIONS(1915),
    [anon_sym_COMMA] = ACTIONS(1915),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1915),
    [anon_sym_STAR] = ACTIONS(1915),
    [anon_sym_COLON_COLON] = ACTIONS(1915),
    [anon_sym_LT] = ACTIONS(1917),
    [anon_sym_GT] = ACTIONS(1917),
    [anon_sym_LT_EQ] = ACTIONS(1915),
    [anon_sym_GT_EQ] = ACTIONS(1915),
    [anon_sym_COLON] = ACTIONS(1917),
    [sym_op_other] = ACTIONS(1915),
    [anon_sym_PLUS] = ACTIONS(1915),
    [anon_sym_DASH] = ACTIONS(1917),
    [anon_sym_SLASH] = ACTIONS(1917),
    [anon_sym_PERCENT] = ACTIONS(1915),
    [anon_sym_CARET] = ACTIONS(1917),
    [anon_sym_BANG_EQ] = ACTIONS(1915),
    [anon_sym_LT_GT] = ACTIONS(1915),
  },
  [166] = {
    [ts_builtin_sym_end] = ACTIONS(1925),
    [anon_sym_SEMI] = ACTIONS(1925),
    [sym_keyword_from] = ACTIONS(1925),
    [sym_keyword_on] = ACTIONS(1925),
    [sym_keyword_where] = ACTIONS(1925),
    [sym_keyword_desc] = ACTIONS(1925),
    [sym_keyword_asc] = ACTIONS(1925),
    [sym_keyword_limit] = ACTIONS(1925),
    [sym_keyword_primary] = ACTIONS(1925),
    [sym_keyword_create] = ACTIONS(1925),
    [sym_keyword_as] = ACTIONS(1927),
    [sym_keyword_constraint] = ACTIONS(1925),
    [sym_keyword_separator] = ACTIONS(1925),
    [sym_keyword_when] = ACTIONS(1925),
    [sym_keyword_then] = ACTIONS(1925),
    [sym_keyword_else] = ACTIONS(1925),
    [sym_keyword_end] = ACTIONS(1925),
    [sym_keyword_in] = ACTIONS(1925),
    [sym_keyword_and] = ACTIONS(1925),
    [sym_keyword_or] = ACTIONS(1925),
    [sym_keyword_is] = ACTIONS(1925),
    [sym_keyword_not] = ACTIONS(1925),
    [sym_keyword_using] = ACTIONS(1925),
    [sym_keyword_auto_increment] = ACTIONS(1925),
    [sym_keyword_generated] = ACTIONS(1925),
    [sym_keyword_default] = ACTIONS(1925),
    [sym_keyword_with] = ACTIONS(1925),
    [sym_keyword_returning] = ACTIONS(1925),
    [sym_keyword_first] = ACTIONS(1925),
    [sym_keyword_after] = ACTIONS(1925),
    [sym_keyword_range] = ACTIONS(1925),
    [sym_keyword_rows] = ACTIONS(1925),
    [sym_keyword_groups] = ACTIONS(1925),
    [sym_keyword_between] = ACTIONS(1925),
    [sym_keyword_preceding] = ACTIONS(1925),
    [sym_keyword_following] = ACTIONS(1925),
    [sym_keyword_unique] = ACTIONS(1925),
    [sym_keyword_references] = ACTIONS(1925),
    [aux_sym_keyword_like_token1] = ACTIONS(1925),
    [aux_sym_keyword_like_token2] = ACTIONS(1925),
    [sym_keyword_similar] = ACTIONS(1925),
    [sym_keyword_check] = ACTIONS(1925),
    [sym_keyword_stored] = ACTIONS(1925),
    [sym_keyword_virtual] = ACTIONS(1925),
    [sym_keyword_comment] = ACTIONS(1925),
    [sym_keyword_null] = ACTIONS(1925),
    [sym_keyword_varying] = ACTIONS(1929),
    [sym_keyword_array] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1925),
    [anon_sym_RBRACK] = ACTIONS(1925),
    [anon_sym_LPAREN] = ACTIONS(1931),
    [anon_sym_RPAREN] = ACTIONS(1925),
    [anon_sym_COMMA] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1925),
    [anon_sym_STAR] = ACTIONS(1925),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LT] = ACTIONS(1927),
    [anon_sym_GT] = ACTIONS(1927),
    [anon_sym_LT_EQ] = ACTIONS(1925),
    [anon_sym_GT_EQ] = ACTIONS(1925),
    [anon_sym_COLON] = ACTIONS(1927),
    [sym_op_other] = ACTIONS(1925),
    [anon_sym_PLUS] = ACTIONS(1925),
    [anon_sym_DASH] = ACTIONS(1927),
    [anon_sym_SLASH] = ACTIONS(1927),
    [anon_sym_PERCENT] = ACTIONS(1925),
    [anon_sym_CARET] = ACTIONS(1927),
    [anon_sym_BANG_EQ] = ACTIONS(1925),
    [anon_sym_LT_GT] = ACTIONS(1925),
  },
  [167] = {
    [sym__identifier] = ACTIONS(1933),
    [aux_sym_keyword_character_token1] = ACTIONS(1933),
    [sym_keyword_unsigned] = ACTIONS(1933),
    [sym_keyword_out] = ACTIONS(1935),
    [sym_keyword_boolean] = ACTIONS(1933),
    [sym_keyword_bit] = ACTIONS(1933),
    [sym_keyword_binary] = ACTIONS(1933),
    [sym_keyword_varbinary] = ACTIONS(1933),
    [sym_keyword_image] = ACTIONS(1933),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1933),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1933),
    [aux_sym_keyword_serial_token1] = ACTIONS(1933),
    [aux_sym_keyword_serial_token2] = ACTIONS(1933),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1933),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1933),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1933),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1933),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1933),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1933),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1933),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1933),
    [aux_sym_keyword_int_token1] = ACTIONS(1933),
    [aux_sym_keyword_int_token2] = ACTIONS(1933),
    [aux_sym_keyword_int_token3] = ACTIONS(1933),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1933),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1933),
    [sym_keyword_decimal] = ACTIONS(1933),
    [sym_keyword_numeric] = ACTIONS(1933),
    [aux_sym_keyword_real_token1] = ACTIONS(1933),
    [aux_sym_keyword_real_token2] = ACTIONS(1933),
    [sym_keyword_float] = ACTIONS(1933),
    [sym_keyword_double] = ACTIONS(1933),
    [sym_keyword_inet] = ACTIONS(1933),
    [sym_keyword_money] = ACTIONS(1933),
    [sym_keyword_smallmoney] = ACTIONS(1933),
    [aux_sym_keyword_char_token1] = ACTIONS(1933),
    [sym_keyword_nchar] = ACTIONS(1933),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1933),
    [sym_keyword_nvarchar] = ACTIONS(1933),
    [sym_keyword_text] = ACTIONS(1933),
    [sym_keyword_string] = ACTIONS(1933),
    [sym_keyword_uuid] = ACTIONS(1933),
    [sym_keyword_json] = ACTIONS(1933),
    [sym_keyword_jsonb] = ACTIONS(1933),
    [sym_keyword_xml] = ACTIONS(1933),
    [sym_keyword_bytea] = ACTIONS(1933),
    [sym_keyword_enum] = ACTIONS(1933),
    [sym_keyword_date] = ACTIONS(1933),
    [sym_keyword_datetime] = ACTIONS(1933),
    [sym_keyword_datetime2] = ACTIONS(1933),
    [sym_keyword_smalldatetime] = ACTIONS(1933),
    [sym_keyword_datetimeoffset] = ACTIONS(1933),
    [sym_keyword_time] = ACTIONS(1933),
    [sym_keyword_timestamp] = ACTIONS(1933),
    [sym_keyword_timestamptz] = ACTIONS(1933),
    [sym_keyword_interval] = ACTIONS(1933),
    [sym_keyword_geometry] = ACTIONS(1933),
    [sym_keyword_geography] = ACTIONS(1933),
    [sym_keyword_box2d] = ACTIONS(1933),
    [sym_keyword_box3d] = ACTIONS(1933),
    [sym_keyword_oid] = ACTIONS(1933),
    [sym_keyword_name] = ACTIONS(1933),
    [sym_keyword_regclass] = ACTIONS(1933),
    [sym_keyword_regnamespace] = ACTIONS(1933),
    [sym_keyword_regproc] = ACTIONS(1933),
    [sym_keyword_regtype] = ACTIONS(1933),
    [aux_sym_double_token1] = ACTIONS(1933),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1937),
    [aux_sym_identifier_token1] = ACTIONS(1937),
  },
  [168] = {
    [ts_builtin_sym_end] = ACTIONS(1939),
    [anon_sym_SEMI] = ACTIONS(1939),
    [sym_keyword_from] = ACTIONS(1939),
    [sym_keyword_on] = ACTIONS(1939),
    [sym_keyword_where] = ACTIONS(1939),
    [sym_keyword_desc] = ACTIONS(1939),
    [sym_keyword_asc] = ACTIONS(1939),
    [sym_keyword_limit] = ACTIONS(1939),
    [sym_keyword_primary] = ACTIONS(1939),
    [sym_keyword_create] = ACTIONS(1939),
    [sym_keyword_as] = ACTIONS(1941),
    [sym_keyword_constraint] = ACTIONS(1939),
    [sym_keyword_separator] = ACTIONS(1939),
    [sym_keyword_when] = ACTIONS(1939),
    [sym_keyword_then] = ACTIONS(1939),
    [sym_keyword_else] = ACTIONS(1939),
    [sym_keyword_end] = ACTIONS(1939),
    [sym_keyword_in] = ACTIONS(1939),
    [sym_keyword_and] = ACTIONS(1939),
    [sym_keyword_or] = ACTIONS(1939),
    [sym_keyword_is] = ACTIONS(1939),
    [sym_keyword_not] = ACTIONS(1939),
    [sym_keyword_using] = ACTIONS(1939),
    [sym_keyword_auto_increment] = ACTIONS(1939),
    [sym_keyword_generated] = ACTIONS(1939),
    [sym_keyword_default] = ACTIONS(1939),
    [sym_keyword_with] = ACTIONS(1939),
    [sym_keyword_returning] = ACTIONS(1939),
    [sym_keyword_first] = ACTIONS(1939),
    [sym_keyword_after] = ACTIONS(1939),
    [sym_keyword_range] = ACTIONS(1939),
    [sym_keyword_rows] = ACTIONS(1939),
    [sym_keyword_groups] = ACTIONS(1939),
    [sym_keyword_between] = ACTIONS(1939),
    [sym_keyword_preceding] = ACTIONS(1939),
    [sym_keyword_following] = ACTIONS(1939),
    [sym_keyword_unique] = ACTIONS(1939),
    [sym_keyword_references] = ACTIONS(1939),
    [aux_sym_keyword_like_token1] = ACTIONS(1939),
    [aux_sym_keyword_like_token2] = ACTIONS(1939),
    [sym_keyword_similar] = ACTIONS(1939),
    [sym_keyword_unsigned] = ACTIONS(1943),
    [sym_keyword_zerofill] = ACTIONS(1945),
    [sym_keyword_check] = ACTIONS(1939),
    [sym_keyword_stored] = ACTIONS(1939),
    [sym_keyword_virtual] = ACTIONS(1939),
    [sym_keyword_comment] = ACTIONS(1939),
    [sym_keyword_null] = ACTIONS(1939),
    [sym_keyword_array] = ACTIONS(1939),
    [anon_sym_LBRACK] = ACTIONS(1939),
    [anon_sym_RBRACK] = ACTIONS(1939),
    [anon_sym_RPAREN] = ACTIONS(1939),
    [anon_sym_COMMA] = ACTIONS(1939),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1939),
    [anon_sym_STAR] = ACTIONS(1939),
    [anon_sym_COLON_COLON] = ACTIONS(1939),
    [anon_sym_LT] = ACTIONS(1941),
    [anon_sym_GT] = ACTIONS(1941),
    [anon_sym_LT_EQ] = ACTIONS(1939),
    [anon_sym_GT_EQ] = ACTIONS(1939),
    [anon_sym_COLON] = ACTIONS(1941),
    [sym_op_other] = ACTIONS(1939),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1941),
    [anon_sym_SLASH] = ACTIONS(1941),
    [anon_sym_PERCENT] = ACTIONS(1939),
    [anon_sym_CARET] = ACTIONS(1941),
    [anon_sym_BANG_EQ] = ACTIONS(1939),
    [anon_sym_LT_GT] = ACTIONS(1939),
  },
  [169] = {
    [ts_builtin_sym_end] = ACTIONS(1947),
    [anon_sym_SEMI] = ACTIONS(1947),
    [sym_keyword_from] = ACTIONS(1947),
    [sym_keyword_on] = ACTIONS(1947),
    [sym_keyword_where] = ACTIONS(1947),
    [sym_keyword_desc] = ACTIONS(1947),
    [sym_keyword_asc] = ACTIONS(1947),
    [sym_keyword_limit] = ACTIONS(1947),
    [sym_keyword_primary] = ACTIONS(1947),
    [sym_keyword_create] = ACTIONS(1947),
    [sym_keyword_as] = ACTIONS(1949),
    [sym_keyword_constraint] = ACTIONS(1947),
    [sym_keyword_separator] = ACTIONS(1947),
    [sym_keyword_when] = ACTIONS(1947),
    [sym_keyword_then] = ACTIONS(1947),
    [sym_keyword_else] = ACTIONS(1947),
    [sym_keyword_end] = ACTIONS(1947),
    [sym_keyword_in] = ACTIONS(1947),
    [sym_keyword_and] = ACTIONS(1947),
    [sym_keyword_or] = ACTIONS(1947),
    [sym_keyword_is] = ACTIONS(1947),
    [sym_keyword_not] = ACTIONS(1947),
    [sym_keyword_using] = ACTIONS(1947),
    [sym_keyword_auto_increment] = ACTIONS(1947),
    [sym_keyword_generated] = ACTIONS(1947),
    [sym_keyword_default] = ACTIONS(1947),
    [sym_keyword_with] = ACTIONS(1947),
    [sym_keyword_returning] = ACTIONS(1947),
    [sym_keyword_first] = ACTIONS(1947),
    [sym_keyword_after] = ACTIONS(1947),
    [sym_keyword_range] = ACTIONS(1947),
    [sym_keyword_rows] = ACTIONS(1947),
    [sym_keyword_groups] = ACTIONS(1947),
    [sym_keyword_between] = ACTIONS(1947),
    [sym_keyword_preceding] = ACTIONS(1947),
    [sym_keyword_following] = ACTIONS(1947),
    [sym_keyword_unique] = ACTIONS(1947),
    [sym_keyword_references] = ACTIONS(1947),
    [aux_sym_keyword_like_token1] = ACTIONS(1947),
    [aux_sym_keyword_like_token2] = ACTIONS(1947),
    [sym_keyword_similar] = ACTIONS(1947),
    [sym_keyword_unsigned] = ACTIONS(1951),
    [sym_keyword_zerofill] = ACTIONS(1953),
    [sym_keyword_check] = ACTIONS(1947),
    [sym_keyword_stored] = ACTIONS(1947),
    [sym_keyword_virtual] = ACTIONS(1947),
    [sym_keyword_comment] = ACTIONS(1947),
    [sym_keyword_null] = ACTIONS(1947),
    [sym_keyword_array] = ACTIONS(1947),
    [anon_sym_LBRACK] = ACTIONS(1947),
    [anon_sym_RBRACK] = ACTIONS(1947),
    [anon_sym_RPAREN] = ACTIONS(1947),
    [anon_sym_COMMA] = ACTIONS(1947),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1947),
    [anon_sym_STAR] = ACTIONS(1947),
    [anon_sym_COLON_COLON] = ACTIONS(1947),
    [anon_sym_LT] = ACTIONS(1949),
    [anon_sym_GT] = ACTIONS(1949),
    [anon_sym_LT_EQ] = ACTIONS(1947),
    [anon_sym_GT_EQ] = ACTIONS(1947),
    [anon_sym_COLON] = ACTIONS(1949),
    [sym_op_other] = ACTIONS(1947),
    [anon_sym_PLUS] = ACTIONS(1947),
    [anon_sym_DASH] = ACTIONS(1949),
    [anon_sym_SLASH] = ACTIONS(1949),
    [anon_sym_PERCENT] = ACTIONS(1947),
    [anon_sym_CARET] = ACTIONS(1949),
    [anon_sym_BANG_EQ] = ACTIONS(1947),
    [anon_sym_LT_GT] = ACTIONS(1947),
  },
  [170] = {
    [sym__include_time_zone] = STATE(275),
    [ts_builtin_sym_end] = ACTIONS(1955),
    [anon_sym_SEMI] = ACTIONS(1955),
    [sym_keyword_from] = ACTIONS(1955),
    [sym_keyword_on] = ACTIONS(1955),
    [sym_keyword_where] = ACTIONS(1955),
    [sym_keyword_desc] = ACTIONS(1955),
    [sym_keyword_asc] = ACTIONS(1955),
    [sym_keyword_limit] = ACTIONS(1955),
    [sym_keyword_primary] = ACTIONS(1955),
    [sym_keyword_create] = ACTIONS(1955),
    [sym_keyword_as] = ACTIONS(1957),
    [sym_keyword_constraint] = ACTIONS(1955),
    [sym_keyword_separator] = ACTIONS(1955),
    [sym_keyword_when] = ACTIONS(1955),
    [sym_keyword_then] = ACTIONS(1955),
    [sym_keyword_else] = ACTIONS(1955),
    [sym_keyword_end] = ACTIONS(1955),
    [sym_keyword_in] = ACTIONS(1955),
    [sym_keyword_and] = ACTIONS(1955),
    [sym_keyword_or] = ACTIONS(1955),
    [sym_keyword_is] = ACTIONS(1955),
    [sym_keyword_not] = ACTIONS(1955),
    [sym_keyword_using] = ACTIONS(1955),
    [sym_keyword_auto_increment] = ACTIONS(1955),
    [sym_keyword_generated] = ACTIONS(1955),
    [sym_keyword_default] = ACTIONS(1955),
    [sym_keyword_with] = ACTIONS(1883),
    [sym_keyword_without] = ACTIONS(1885),
    [sym_keyword_returning] = ACTIONS(1955),
    [sym_keyword_first] = ACTIONS(1955),
    [sym_keyword_after] = ACTIONS(1955),
    [sym_keyword_range] = ACTIONS(1955),
    [sym_keyword_rows] = ACTIONS(1955),
    [sym_keyword_groups] = ACTIONS(1955),
    [sym_keyword_between] = ACTIONS(1955),
    [sym_keyword_preceding] = ACTIONS(1955),
    [sym_keyword_following] = ACTIONS(1955),
    [sym_keyword_unique] = ACTIONS(1955),
    [sym_keyword_references] = ACTIONS(1955),
    [aux_sym_keyword_like_token1] = ACTIONS(1955),
    [aux_sym_keyword_like_token2] = ACTIONS(1955),
    [sym_keyword_similar] = ACTIONS(1955),
    [sym_keyword_check] = ACTIONS(1955),
    [sym_keyword_stored] = ACTIONS(1955),
    [sym_keyword_virtual] = ACTIONS(1955),
    [sym_keyword_comment] = ACTIONS(1955),
    [sym_keyword_null] = ACTIONS(1955),
    [sym_keyword_array] = ACTIONS(1955),
    [anon_sym_LBRACK] = ACTIONS(1955),
    [anon_sym_RBRACK] = ACTIONS(1955),
    [anon_sym_RPAREN] = ACTIONS(1955),
    [anon_sym_COMMA] = ACTIONS(1955),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1955),
    [anon_sym_STAR] = ACTIONS(1955),
    [anon_sym_COLON_COLON] = ACTIONS(1955),
    [anon_sym_LT] = ACTIONS(1957),
    [anon_sym_GT] = ACTIONS(1957),
    [anon_sym_LT_EQ] = ACTIONS(1955),
    [anon_sym_GT_EQ] = ACTIONS(1955),
    [anon_sym_COLON] = ACTIONS(1957),
    [sym_op_other] = ACTIONS(1955),
    [anon_sym_PLUS] = ACTIONS(1955),
    [anon_sym_DASH] = ACTIONS(1957),
    [anon_sym_SLASH] = ACTIONS(1957),
    [anon_sym_PERCENT] = ACTIONS(1955),
    [anon_sym_CARET] = ACTIONS(1957),
    [anon_sym_BANG_EQ] = ACTIONS(1955),
    [anon_sym_LT_GT] = ACTIONS(1955),
  },
  [171] = {
    [sym__include_time_zone] = STATE(276),
    [ts_builtin_sym_end] = ACTIONS(1959),
    [anon_sym_SEMI] = ACTIONS(1959),
    [sym_keyword_from] = ACTIONS(1959),
    [sym_keyword_on] = ACTIONS(1959),
    [sym_keyword_where] = ACTIONS(1959),
    [sym_keyword_desc] = ACTIONS(1959),
    [sym_keyword_asc] = ACTIONS(1959),
    [sym_keyword_limit] = ACTIONS(1959),
    [sym_keyword_primary] = ACTIONS(1959),
    [sym_keyword_create] = ACTIONS(1959),
    [sym_keyword_as] = ACTIONS(1961),
    [sym_keyword_constraint] = ACTIONS(1959),
    [sym_keyword_separator] = ACTIONS(1959),
    [sym_keyword_when] = ACTIONS(1959),
    [sym_keyword_then] = ACTIONS(1959),
    [sym_keyword_else] = ACTIONS(1959),
    [sym_keyword_end] = ACTIONS(1959),
    [sym_keyword_in] = ACTIONS(1959),
    [sym_keyword_and] = ACTIONS(1959),
    [sym_keyword_or] = ACTIONS(1959),
    [sym_keyword_is] = ACTIONS(1959),
    [sym_keyword_not] = ACTIONS(1959),
    [sym_keyword_using] = ACTIONS(1959),
    [sym_keyword_auto_increment] = ACTIONS(1959),
    [sym_keyword_generated] = ACTIONS(1959),
    [sym_keyword_default] = ACTIONS(1959),
    [sym_keyword_with] = ACTIONS(1883),
    [sym_keyword_without] = ACTIONS(1885),
    [sym_keyword_returning] = ACTIONS(1959),
    [sym_keyword_first] = ACTIONS(1959),
    [sym_keyword_after] = ACTIONS(1959),
    [sym_keyword_range] = ACTIONS(1959),
    [sym_keyword_rows] = ACTIONS(1959),
    [sym_keyword_groups] = ACTIONS(1959),
    [sym_keyword_between] = ACTIONS(1959),
    [sym_keyword_preceding] = ACTIONS(1959),
    [sym_keyword_following] = ACTIONS(1959),
    [sym_keyword_unique] = ACTIONS(1959),
    [sym_keyword_references] = ACTIONS(1959),
    [aux_sym_keyword_like_token1] = ACTIONS(1959),
    [aux_sym_keyword_like_token2] = ACTIONS(1959),
    [sym_keyword_similar] = ACTIONS(1959),
    [sym_keyword_check] = ACTIONS(1959),
    [sym_keyword_stored] = ACTIONS(1959),
    [sym_keyword_virtual] = ACTIONS(1959),
    [sym_keyword_comment] = ACTIONS(1959),
    [sym_keyword_null] = ACTIONS(1959),
    [sym_keyword_array] = ACTIONS(1959),
    [anon_sym_LBRACK] = ACTIONS(1959),
    [anon_sym_RBRACK] = ACTIONS(1959),
    [anon_sym_RPAREN] = ACTIONS(1959),
    [anon_sym_COMMA] = ACTIONS(1959),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1959),
    [anon_sym_STAR] = ACTIONS(1959),
    [anon_sym_COLON_COLON] = ACTIONS(1959),
    [anon_sym_LT] = ACTIONS(1961),
    [anon_sym_GT] = ACTIONS(1961),
    [anon_sym_LT_EQ] = ACTIONS(1959),
    [anon_sym_GT_EQ] = ACTIONS(1959),
    [anon_sym_COLON] = ACTIONS(1961),
    [sym_op_other] = ACTIONS(1959),
    [anon_sym_PLUS] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1961),
    [anon_sym_SLASH] = ACTIONS(1961),
    [anon_sym_PERCENT] = ACTIONS(1959),
    [anon_sym_CARET] = ACTIONS(1961),
    [anon_sym_BANG_EQ] = ACTIONS(1959),
    [anon_sym_LT_GT] = ACTIONS(1959),
  },
  [172] = {
    [ts_builtin_sym_end] = ACTIONS(1963),
    [anon_sym_SEMI] = ACTIONS(1963),
    [sym_keyword_from] = ACTIONS(1963),
    [sym_keyword_on] = ACTIONS(1963),
    [sym_keyword_where] = ACTIONS(1963),
    [sym_keyword_desc] = ACTIONS(1963),
    [sym_keyword_asc] = ACTIONS(1963),
    [sym_keyword_limit] = ACTIONS(1963),
    [sym_keyword_primary] = ACTIONS(1963),
    [sym_keyword_create] = ACTIONS(1963),
    [sym_keyword_as] = ACTIONS(1965),
    [sym_keyword_constraint] = ACTIONS(1963),
    [sym_keyword_separator] = ACTIONS(1963),
    [sym_keyword_when] = ACTIONS(1963),
    [sym_keyword_then] = ACTIONS(1963),
    [sym_keyword_else] = ACTIONS(1963),
    [sym_keyword_end] = ACTIONS(1963),
    [sym_keyword_in] = ACTIONS(1963),
    [sym_keyword_and] = ACTIONS(1963),
    [sym_keyword_or] = ACTIONS(1963),
    [sym_keyword_is] = ACTIONS(1963),
    [sym_keyword_not] = ACTIONS(1963),
    [sym_keyword_using] = ACTIONS(1963),
    [sym_keyword_auto_increment] = ACTIONS(1963),
    [sym_keyword_generated] = ACTIONS(1963),
    [sym_keyword_default] = ACTIONS(1963),
    [sym_keyword_with] = ACTIONS(1963),
    [sym_keyword_returning] = ACTIONS(1963),
    [sym_keyword_first] = ACTIONS(1963),
    [sym_keyword_after] = ACTIONS(1963),
    [sym_keyword_range] = ACTIONS(1963),
    [sym_keyword_rows] = ACTIONS(1963),
    [sym_keyword_groups] = ACTIONS(1963),
    [sym_keyword_between] = ACTIONS(1963),
    [sym_keyword_preceding] = ACTIONS(1963),
    [sym_keyword_following] = ACTIONS(1963),
    [sym_keyword_unique] = ACTIONS(1963),
    [sym_keyword_references] = ACTIONS(1963),
    [aux_sym_keyword_like_token1] = ACTIONS(1963),
    [aux_sym_keyword_like_token2] = ACTIONS(1963),
    [sym_keyword_similar] = ACTIONS(1963),
    [sym_keyword_unsigned] = ACTIONS(1967),
    [sym_keyword_zerofill] = ACTIONS(1969),
    [sym_keyword_check] = ACTIONS(1963),
    [sym_keyword_stored] = ACTIONS(1963),
    [sym_keyword_virtual] = ACTIONS(1963),
    [sym_keyword_comment] = ACTIONS(1963),
    [sym_keyword_null] = ACTIONS(1963),
    [sym_keyword_array] = ACTIONS(1963),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_RBRACK] = ACTIONS(1963),
    [anon_sym_RPAREN] = ACTIONS(1963),
    [anon_sym_COMMA] = ACTIONS(1963),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1963),
    [anon_sym_COLON_COLON] = ACTIONS(1963),
    [anon_sym_LT] = ACTIONS(1965),
    [anon_sym_GT] = ACTIONS(1965),
    [anon_sym_LT_EQ] = ACTIONS(1963),
    [anon_sym_GT_EQ] = ACTIONS(1963),
    [anon_sym_COLON] = ACTIONS(1965),
    [sym_op_other] = ACTIONS(1963),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_DASH] = ACTIONS(1965),
    [anon_sym_SLASH] = ACTIONS(1965),
    [anon_sym_PERCENT] = ACTIONS(1963),
    [anon_sym_CARET] = ACTIONS(1965),
    [anon_sym_BANG_EQ] = ACTIONS(1963),
    [anon_sym_LT_GT] = ACTIONS(1963),
  },
  [173] = {
    [sym__identifier] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1384),
    [sym_keyword_set] = ACTIONS(1386),
    [sym_keyword_where] = ACTIONS(1386),
    [sym_keyword_order] = ACTIONS(1386),
    [sym_keyword_group] = ACTIONS(1386),
    [sym_keyword_having] = ACTIONS(1386),
    [sym_keyword_desc] = ACTIONS(1386),
    [sym_keyword_asc] = ACTIONS(1386),
    [sym_keyword_limit] = ACTIONS(1386),
    [sym_keyword_primary] = ACTIONS(1386),
    [sym_keyword_create] = ACTIONS(1386),
    [sym_keyword_as] = ACTIONS(1386),
    [sym_keyword_constraint] = ACTIONS(1386),
    [sym_keyword_in] = ACTIONS(1386),
    [sym_keyword_and] = ACTIONS(1386),
    [sym_keyword_or] = ACTIONS(1386),
    [sym_keyword_is] = ACTIONS(1386),
    [sym_keyword_not] = ACTIONS(1386),
    [sym_keyword_auto_increment] = ACTIONS(1386),
    [sym_keyword_generated] = ACTIONS(1386),
    [sym_keyword_default] = ACTIONS(1386),
    [sym_keyword_with] = ACTIONS(1386),
    [sym_keyword_rename] = ACTIONS(1386),
    [sym_keyword_user] = ACTIONS(1386),
    [sym_keyword_admin] = ACTIONS(1386),
    [sym_keyword_password] = ACTIONS(1386),
    [sym_keyword_encrypted] = ACTIONS(1386),
    [sym_keyword_valid] = ACTIONS(1386),
    [sym_keyword_connection] = ACTIONS(1386),
    [sym_keyword_role] = ACTIONS(1386),
    [sym_keyword_reset] = ACTIONS(1386),
    [sym_keyword_returning] = ACTIONS(1386),
    [sym_keyword_first] = ACTIONS(1386),
    [sym_keyword_after] = ACTIONS(1386),
    [sym_keyword_window] = ACTIONS(1386),
    [sym_keyword_between] = ACTIONS(1386),
    [sym_keyword_unique] = ACTIONS(1386),
    [sym_keyword_references] = ACTIONS(1386),
    [aux_sym_keyword_like_token1] = ACTIONS(1386),
    [aux_sym_keyword_like_token2] = ACTIONS(1386),
    [sym_keyword_similar] = ACTIONS(1386),
    [sym_keyword_check] = ACTIONS(1386),
    [sym_keyword_stored] = ACTIONS(1386),
    [sym_keyword_virtual] = ACTIONS(1386),
    [sym_keyword_comment] = ACTIONS(1386),
    [sym_keyword_null] = ACTIONS(1386),
    [sym_keyword_array] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1384),
    [anon_sym_DOT] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_COLON_COLON] = ACTIONS(1384),
    [anon_sym_LT] = ACTIONS(1386),
    [anon_sym_GT] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1384),
    [anon_sym_GT_EQ] = ACTIONS(1384),
    [sym_op_other] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1386),
    [anon_sym_PERCENT] = ACTIONS(1384),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1384),
    [anon_sym_LT_GT] = ACTIONS(1384),
    [sym__double_quote_string] = ACTIONS(1384),
    [aux_sym_identifier_token1] = ACTIONS(1384),
    [sym__dollar_quoted_string_end_tag] = ACTIONS(1384),
  },
  [174] = {
    [ts_builtin_sym_end] = ACTIONS(1825),
    [anon_sym_SEMI] = ACTIONS(1825),
    [sym_keyword_from] = ACTIONS(1825),
    [sym_keyword_on] = ACTIONS(1825),
    [sym_keyword_where] = ACTIONS(1825),
    [sym_keyword_desc] = ACTIONS(1825),
    [sym_keyword_asc] = ACTIONS(1825),
    [sym_keyword_limit] = ACTIONS(1825),
    [sym_keyword_primary] = ACTIONS(1825),
    [sym_keyword_create] = ACTIONS(1825),
    [sym_keyword_as] = ACTIONS(1827),
    [sym_keyword_constraint] = ACTIONS(1825),
    [sym_keyword_separator] = ACTIONS(1825),
    [sym_keyword_when] = ACTIONS(1825),
    [sym_keyword_then] = ACTIONS(1825),
    [sym_keyword_else] = ACTIONS(1825),
    [sym_keyword_end] = ACTIONS(1825),
    [sym_keyword_in] = ACTIONS(1825),
    [sym_keyword_and] = ACTIONS(1825),
    [sym_keyword_or] = ACTIONS(1825),
    [sym_keyword_is] = ACTIONS(1825),
    [sym_keyword_not] = ACTIONS(1825),
    [sym_keyword_using] = ACTIONS(1825),
    [sym_keyword_auto_increment] = ACTIONS(1825),
    [sym_keyword_generated] = ACTIONS(1825),
    [sym_keyword_default] = ACTIONS(1825),
    [sym_keyword_with] = ACTIONS(1825),
    [sym_keyword_returning] = ACTIONS(1825),
    [sym_keyword_first] = ACTIONS(1825),
    [sym_keyword_after] = ACTIONS(1825),
    [sym_keyword_range] = ACTIONS(1825),
    [sym_keyword_rows] = ACTIONS(1825),
    [sym_keyword_groups] = ACTIONS(1825),
    [sym_keyword_between] = ACTIONS(1825),
    [sym_keyword_preceding] = ACTIONS(1825),
    [sym_keyword_following] = ACTIONS(1825),
    [sym_keyword_unique] = ACTIONS(1825),
    [sym_keyword_references] = ACTIONS(1825),
    [aux_sym_keyword_like_token1] = ACTIONS(1825),
    [aux_sym_keyword_like_token2] = ACTIONS(1825),
    [sym_keyword_similar] = ACTIONS(1825),
    [sym_keyword_check] = ACTIONS(1825),
    [sym_keyword_stored] = ACTIONS(1825),
    [sym_keyword_virtual] = ACTIONS(1825),
    [sym_keyword_comment] = ACTIONS(1825),
    [sym_keyword_null] = ACTIONS(1825),
    [sym_keyword_precision] = ACTIONS(1971),
    [sym_keyword_array] = ACTIONS(1825),
    [anon_sym_LBRACK] = ACTIONS(1825),
    [anon_sym_RBRACK] = ACTIONS(1825),
    [anon_sym_LPAREN] = ACTIONS(1973),
    [anon_sym_RPAREN] = ACTIONS(1825),
    [anon_sym_COMMA] = ACTIONS(1825),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1825),
    [anon_sym_STAR] = ACTIONS(1825),
    [anon_sym_COLON_COLON] = ACTIONS(1825),
    [anon_sym_LT] = ACTIONS(1827),
    [anon_sym_GT] = ACTIONS(1827),
    [anon_sym_LT_EQ] = ACTIONS(1825),
    [anon_sym_GT_EQ] = ACTIONS(1825),
    [anon_sym_COLON] = ACTIONS(1827),
    [sym_op_other] = ACTIONS(1825),
    [anon_sym_PLUS] = ACTIONS(1825),
    [anon_sym_DASH] = ACTIONS(1827),
    [anon_sym_SLASH] = ACTIONS(1827),
    [anon_sym_PERCENT] = ACTIONS(1825),
    [anon_sym_CARET] = ACTIONS(1827),
    [anon_sym_BANG_EQ] = ACTIONS(1825),
    [anon_sym_LT_GT] = ACTIONS(1825),
  },
  [175] = {
    [ts_builtin_sym_end] = ACTIONS(1975),
    [anon_sym_SEMI] = ACTIONS(1975),
    [sym_keyword_from] = ACTIONS(1975),
    [sym_keyword_on] = ACTIONS(1975),
    [sym_keyword_where] = ACTIONS(1975),
    [sym_keyword_desc] = ACTIONS(1975),
    [sym_keyword_asc] = ACTIONS(1975),
    [sym_keyword_limit] = ACTIONS(1975),
    [sym_keyword_primary] = ACTIONS(1975),
    [sym_keyword_create] = ACTIONS(1975),
    [sym_keyword_as] = ACTIONS(1977),
    [sym_keyword_constraint] = ACTIONS(1975),
    [sym_keyword_separator] = ACTIONS(1975),
    [sym_keyword_when] = ACTIONS(1975),
    [sym_keyword_then] = ACTIONS(1975),
    [sym_keyword_else] = ACTIONS(1975),
    [sym_keyword_end] = ACTIONS(1975),
    [sym_keyword_in] = ACTIONS(1975),
    [sym_keyword_and] = ACTIONS(1975),
    [sym_keyword_or] = ACTIONS(1975),
    [sym_keyword_is] = ACTIONS(1975),
    [sym_keyword_not] = ACTIONS(1975),
    [sym_keyword_using] = ACTIONS(1975),
    [sym_keyword_auto_increment] = ACTIONS(1975),
    [sym_keyword_generated] = ACTIONS(1975),
    [sym_keyword_default] = ACTIONS(1975),
    [sym_keyword_with] = ACTIONS(1975),
    [sym_keyword_returning] = ACTIONS(1975),
    [sym_keyword_first] = ACTIONS(1975),
    [sym_keyword_after] = ACTIONS(1975),
    [sym_keyword_range] = ACTIONS(1975),
    [sym_keyword_rows] = ACTIONS(1975),
    [sym_keyword_groups] = ACTIONS(1975),
    [sym_keyword_between] = ACTIONS(1975),
    [sym_keyword_preceding] = ACTIONS(1975),
    [sym_keyword_following] = ACTIONS(1975),
    [sym_keyword_unique] = ACTIONS(1975),
    [sym_keyword_references] = ACTIONS(1975),
    [aux_sym_keyword_like_token1] = ACTIONS(1975),
    [aux_sym_keyword_like_token2] = ACTIONS(1975),
    [sym_keyword_similar] = ACTIONS(1975),
    [sym_keyword_unsigned] = ACTIONS(1979),
    [sym_keyword_zerofill] = ACTIONS(1981),
    [sym_keyword_check] = ACTIONS(1975),
    [sym_keyword_stored] = ACTIONS(1975),
    [sym_keyword_virtual] = ACTIONS(1975),
    [sym_keyword_comment] = ACTIONS(1975),
    [sym_keyword_null] = ACTIONS(1975),
    [sym_keyword_array] = ACTIONS(1975),
    [anon_sym_LBRACK] = ACTIONS(1975),
    [anon_sym_RBRACK] = ACTIONS(1975),
    [anon_sym_RPAREN] = ACTIONS(1975),
    [anon_sym_COMMA] = ACTIONS(1975),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1975),
    [anon_sym_STAR] = ACTIONS(1975),
    [anon_sym_COLON_COLON] = ACTIONS(1975),
    [anon_sym_LT] = ACTIONS(1977),
    [anon_sym_GT] = ACTIONS(1977),
    [anon_sym_LT_EQ] = ACTIONS(1975),
    [anon_sym_GT_EQ] = ACTIONS(1975),
    [anon_sym_COLON] = ACTIONS(1977),
    [sym_op_other] = ACTIONS(1975),
    [anon_sym_PLUS] = ACTIONS(1975),
    [anon_sym_DASH] = ACTIONS(1977),
    [anon_sym_SLASH] = ACTIONS(1977),
    [anon_sym_PERCENT] = ACTIONS(1975),
    [anon_sym_CARET] = ACTIONS(1977),
    [anon_sym_BANG_EQ] = ACTIONS(1975),
    [anon_sym_LT_GT] = ACTIONS(1975),
  },
  [176] = {
    [ts_builtin_sym_end] = ACTIONS(1983),
    [anon_sym_SEMI] = ACTIONS(1983),
    [sym_keyword_from] = ACTIONS(1983),
    [sym_keyword_on] = ACTIONS(1983),
    [sym_keyword_where] = ACTIONS(1983),
    [sym_keyword_desc] = ACTIONS(1983),
    [sym_keyword_asc] = ACTIONS(1983),
    [sym_keyword_limit] = ACTIONS(1983),
    [sym_keyword_primary] = ACTIONS(1983),
    [sym_keyword_create] = ACTIONS(1983),
    [sym_keyword_as] = ACTIONS(1985),
    [sym_keyword_constraint] = ACTIONS(1983),
    [sym_keyword_separator] = ACTIONS(1983),
    [sym_keyword_when] = ACTIONS(1983),
    [sym_keyword_then] = ACTIONS(1983),
    [sym_keyword_else] = ACTIONS(1983),
    [sym_keyword_end] = ACTIONS(1983),
    [sym_keyword_in] = ACTIONS(1983),
    [sym_keyword_and] = ACTIONS(1983),
    [sym_keyword_or] = ACTIONS(1983),
    [sym_keyword_is] = ACTIONS(1983),
    [sym_keyword_not] = ACTIONS(1983),
    [sym_keyword_using] = ACTIONS(1983),
    [sym_keyword_auto_increment] = ACTIONS(1983),
    [sym_keyword_generated] = ACTIONS(1983),
    [sym_keyword_default] = ACTIONS(1983),
    [sym_keyword_with] = ACTIONS(1983),
    [sym_keyword_returning] = ACTIONS(1983),
    [sym_keyword_first] = ACTIONS(1983),
    [sym_keyword_after] = ACTIONS(1983),
    [sym_keyword_range] = ACTIONS(1983),
    [sym_keyword_rows] = ACTIONS(1983),
    [sym_keyword_groups] = ACTIONS(1983),
    [sym_keyword_between] = ACTIONS(1983),
    [sym_keyword_preceding] = ACTIONS(1983),
    [sym_keyword_following] = ACTIONS(1983),
    [sym_keyword_unique] = ACTIONS(1983),
    [sym_keyword_references] = ACTIONS(1983),
    [aux_sym_keyword_like_token1] = ACTIONS(1983),
    [aux_sym_keyword_like_token2] = ACTIONS(1983),
    [sym_keyword_similar] = ACTIONS(1983),
    [sym_keyword_unsigned] = ACTIONS(1987),
    [sym_keyword_zerofill] = ACTIONS(1989),
    [sym_keyword_check] = ACTIONS(1983),
    [sym_keyword_stored] = ACTIONS(1983),
    [sym_keyword_virtual] = ACTIONS(1983),
    [sym_keyword_comment] = ACTIONS(1983),
    [sym_keyword_null] = ACTIONS(1983),
    [sym_keyword_array] = ACTIONS(1983),
    [anon_sym_LBRACK] = ACTIONS(1983),
    [anon_sym_RBRACK] = ACTIONS(1983),
    [anon_sym_RPAREN] = ACTIONS(1983),
    [anon_sym_COMMA] = ACTIONS(1983),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1983),
    [anon_sym_STAR] = ACTIONS(1983),
    [anon_sym_COLON_COLON] = ACTIONS(1983),
    [anon_sym_LT] = ACTIONS(1985),
    [anon_sym_GT] = ACTIONS(1985),
    [anon_sym_LT_EQ] = ACTIONS(1983),
    [anon_sym_GT_EQ] = ACTIONS(1983),
    [anon_sym_COLON] = ACTIONS(1985),
    [sym_op_other] = ACTIONS(1983),
    [anon_sym_PLUS] = ACTIONS(1983),
    [anon_sym_DASH] = ACTIONS(1985),
    [anon_sym_SLASH] = ACTIONS(1985),
    [anon_sym_PERCENT] = ACTIONS(1983),
    [anon_sym_CARET] = ACTIONS(1985),
    [anon_sym_BANG_EQ] = ACTIONS(1983),
    [anon_sym_LT_GT] = ACTIONS(1983),
  },
  [177] = {
    [ts_builtin_sym_end] = ACTIONS(1991),
    [anon_sym_SEMI] = ACTIONS(1991),
    [sym_keyword_from] = ACTIONS(1991),
    [sym_keyword_on] = ACTIONS(1991),
    [sym_keyword_where] = ACTIONS(1991),
    [sym_keyword_desc] = ACTIONS(1991),
    [sym_keyword_asc] = ACTIONS(1991),
    [sym_keyword_limit] = ACTIONS(1991),
    [sym_keyword_primary] = ACTIONS(1991),
    [sym_keyword_create] = ACTIONS(1991),
    [sym_keyword_as] = ACTIONS(1993),
    [sym_keyword_constraint] = ACTIONS(1991),
    [sym_keyword_separator] = ACTIONS(1991),
    [sym_keyword_when] = ACTIONS(1991),
    [sym_keyword_then] = ACTIONS(1991),
    [sym_keyword_else] = ACTIONS(1991),
    [sym_keyword_end] = ACTIONS(1991),
    [sym_keyword_in] = ACTIONS(1991),
    [sym_keyword_and] = ACTIONS(1991),
    [sym_keyword_or] = ACTIONS(1991),
    [sym_keyword_is] = ACTIONS(1991),
    [sym_keyword_not] = ACTIONS(1991),
    [sym_keyword_using] = ACTIONS(1991),
    [sym_keyword_auto_increment] = ACTIONS(1991),
    [sym_keyword_generated] = ACTIONS(1991),
    [sym_keyword_default] = ACTIONS(1991),
    [sym_keyword_with] = ACTIONS(1991),
    [sym_keyword_returning] = ACTIONS(1991),
    [sym_keyword_first] = ACTIONS(1991),
    [sym_keyword_after] = ACTIONS(1991),
    [sym_keyword_range] = ACTIONS(1991),
    [sym_keyword_rows] = ACTIONS(1991),
    [sym_keyword_groups] = ACTIONS(1991),
    [sym_keyword_between] = ACTIONS(1991),
    [sym_keyword_preceding] = ACTIONS(1991),
    [sym_keyword_following] = ACTIONS(1991),
    [sym_keyword_unique] = ACTIONS(1991),
    [sym_keyword_references] = ACTIONS(1991),
    [aux_sym_keyword_like_token1] = ACTIONS(1991),
    [aux_sym_keyword_like_token2] = ACTIONS(1991),
    [sym_keyword_similar] = ACTIONS(1991),
    [sym_keyword_unsigned] = ACTIONS(1995),
    [sym_keyword_zerofill] = ACTIONS(1997),
    [sym_keyword_check] = ACTIONS(1991),
    [sym_keyword_stored] = ACTIONS(1991),
    [sym_keyword_virtual] = ACTIONS(1991),
    [sym_keyword_comment] = ACTIONS(1991),
    [sym_keyword_null] = ACTIONS(1991),
    [sym_keyword_array] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(1991),
    [anon_sym_RBRACK] = ACTIONS(1991),
    [anon_sym_RPAREN] = ACTIONS(1991),
    [anon_sym_COMMA] = ACTIONS(1991),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1991),
    [anon_sym_STAR] = ACTIONS(1991),
    [anon_sym_COLON_COLON] = ACTIONS(1991),
    [anon_sym_LT] = ACTIONS(1993),
    [anon_sym_GT] = ACTIONS(1993),
    [anon_sym_LT_EQ] = ACTIONS(1991),
    [anon_sym_GT_EQ] = ACTIONS(1991),
    [anon_sym_COLON] = ACTIONS(1993),
    [sym_op_other] = ACTIONS(1991),
    [anon_sym_PLUS] = ACTIONS(1991),
    [anon_sym_DASH] = ACTIONS(1993),
    [anon_sym_SLASH] = ACTIONS(1993),
    [anon_sym_PERCENT] = ACTIONS(1991),
    [anon_sym_CARET] = ACTIONS(1993),
    [anon_sym_BANG_EQ] = ACTIONS(1991),
    [anon_sym_LT_GT] = ACTIONS(1991),
  },
  [178] = {
    [ts_builtin_sym_end] = ACTIONS(1999),
    [anon_sym_SEMI] = ACTIONS(1999),
    [sym_keyword_from] = ACTIONS(1999),
    [sym_keyword_on] = ACTIONS(1999),
    [sym_keyword_where] = ACTIONS(1999),
    [sym_keyword_desc] = ACTIONS(1999),
    [sym_keyword_asc] = ACTIONS(1999),
    [sym_keyword_limit] = ACTIONS(1999),
    [sym_keyword_primary] = ACTIONS(1999),
    [sym_keyword_create] = ACTIONS(1999),
    [sym_keyword_as] = ACTIONS(2001),
    [sym_keyword_constraint] = ACTIONS(1999),
    [sym_keyword_separator] = ACTIONS(1999),
    [sym_keyword_when] = ACTIONS(1999),
    [sym_keyword_then] = ACTIONS(1999),
    [sym_keyword_else] = ACTIONS(1999),
    [sym_keyword_end] = ACTIONS(1999),
    [sym_keyword_in] = ACTIONS(1999),
    [sym_keyword_and] = ACTIONS(1999),
    [sym_keyword_or] = ACTIONS(1999),
    [sym_keyword_is] = ACTIONS(1999),
    [sym_keyword_not] = ACTIONS(1999),
    [sym_keyword_using] = ACTIONS(1999),
    [sym_keyword_auto_increment] = ACTIONS(1999),
    [sym_keyword_generated] = ACTIONS(1999),
    [sym_keyword_default] = ACTIONS(1999),
    [sym_keyword_with] = ACTIONS(1999),
    [sym_keyword_returning] = ACTIONS(1999),
    [sym_keyword_first] = ACTIONS(1999),
    [sym_keyword_after] = ACTIONS(1999),
    [sym_keyword_range] = ACTIONS(1999),
    [sym_keyword_rows] = ACTIONS(1999),
    [sym_keyword_groups] = ACTIONS(1999),
    [sym_keyword_between] = ACTIONS(1999),
    [sym_keyword_preceding] = ACTIONS(1999),
    [sym_keyword_following] = ACTIONS(1999),
    [sym_keyword_unique] = ACTIONS(1999),
    [sym_keyword_references] = ACTIONS(1999),
    [aux_sym_keyword_like_token1] = ACTIONS(1999),
    [aux_sym_keyword_like_token2] = ACTIONS(1999),
    [sym_keyword_similar] = ACTIONS(1999),
    [sym_keyword_unsigned] = ACTIONS(2003),
    [sym_keyword_zerofill] = ACTIONS(2005),
    [sym_keyword_check] = ACTIONS(1999),
    [sym_keyword_stored] = ACTIONS(1999),
    [sym_keyword_virtual] = ACTIONS(1999),
    [sym_keyword_comment] = ACTIONS(1999),
    [sym_keyword_null] = ACTIONS(1999),
    [sym_keyword_array] = ACTIONS(1999),
    [anon_sym_LBRACK] = ACTIONS(1999),
    [anon_sym_RBRACK] = ACTIONS(1999),
    [anon_sym_RPAREN] = ACTIONS(1999),
    [anon_sym_COMMA] = ACTIONS(1999),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1999),
    [anon_sym_STAR] = ACTIONS(1999),
    [anon_sym_COLON_COLON] = ACTIONS(1999),
    [anon_sym_LT] = ACTIONS(2001),
    [anon_sym_GT] = ACTIONS(2001),
    [anon_sym_LT_EQ] = ACTIONS(1999),
    [anon_sym_GT_EQ] = ACTIONS(1999),
    [anon_sym_COLON] = ACTIONS(2001),
    [sym_op_other] = ACTIONS(1999),
    [anon_sym_PLUS] = ACTIONS(1999),
    [anon_sym_DASH] = ACTIONS(2001),
    [anon_sym_SLASH] = ACTIONS(2001),
    [anon_sym_PERCENT] = ACTIONS(1999),
    [anon_sym_CARET] = ACTIONS(2001),
    [anon_sym_BANG_EQ] = ACTIONS(1999),
    [anon_sym_LT_GT] = ACTIONS(1999),
  },
  [179] = {
    [ts_builtin_sym_end] = ACTIONS(2007),
    [anon_sym_SEMI] = ACTIONS(2007),
    [sym_keyword_from] = ACTIONS(2007),
    [sym_keyword_on] = ACTIONS(2007),
    [sym_keyword_where] = ACTIONS(2007),
    [sym_keyword_desc] = ACTIONS(2007),
    [sym_keyword_asc] = ACTIONS(2007),
    [sym_keyword_limit] = ACTIONS(2007),
    [sym_keyword_primary] = ACTIONS(2007),
    [sym_keyword_create] = ACTIONS(2007),
    [sym_keyword_as] = ACTIONS(2009),
    [sym_keyword_constraint] = ACTIONS(2007),
    [sym_keyword_separator] = ACTIONS(2007),
    [sym_keyword_when] = ACTIONS(2007),
    [sym_keyword_then] = ACTIONS(2007),
    [sym_keyword_else] = ACTIONS(2007),
    [sym_keyword_end] = ACTIONS(2007),
    [sym_keyword_in] = ACTIONS(2007),
    [sym_keyword_and] = ACTIONS(2007),
    [sym_keyword_or] = ACTIONS(2007),
    [sym_keyword_is] = ACTIONS(2007),
    [sym_keyword_not] = ACTIONS(2007),
    [sym_keyword_using] = ACTIONS(2007),
    [sym_keyword_auto_increment] = ACTIONS(2007),
    [sym_keyword_generated] = ACTIONS(2007),
    [sym_keyword_default] = ACTIONS(2007),
    [sym_keyword_with] = ACTIONS(2007),
    [sym_keyword_returning] = ACTIONS(2007),
    [sym_keyword_first] = ACTIONS(2007),
    [sym_keyword_after] = ACTIONS(2007),
    [sym_keyword_range] = ACTIONS(2007),
    [sym_keyword_rows] = ACTIONS(2007),
    [sym_keyword_groups] = ACTIONS(2007),
    [sym_keyword_between] = ACTIONS(2007),
    [sym_keyword_preceding] = ACTIONS(2007),
    [sym_keyword_following] = ACTIONS(2007),
    [sym_keyword_unique] = ACTIONS(2007),
    [sym_keyword_references] = ACTIONS(2007),
    [aux_sym_keyword_like_token1] = ACTIONS(2007),
    [aux_sym_keyword_like_token2] = ACTIONS(2007),
    [sym_keyword_similar] = ACTIONS(2007),
    [sym_keyword_unsigned] = ACTIONS(2011),
    [sym_keyword_zerofill] = ACTIONS(2013),
    [sym_keyword_check] = ACTIONS(2007),
    [sym_keyword_stored] = ACTIONS(2007),
    [sym_keyword_virtual] = ACTIONS(2007),
    [sym_keyword_comment] = ACTIONS(2007),
    [sym_keyword_null] = ACTIONS(2007),
    [sym_keyword_array] = ACTIONS(2007),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_RBRACK] = ACTIONS(2007),
    [anon_sym_RPAREN] = ACTIONS(2007),
    [anon_sym_COMMA] = ACTIONS(2007),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2007),
    [anon_sym_STAR] = ACTIONS(2007),
    [anon_sym_COLON_COLON] = ACTIONS(2007),
    [anon_sym_LT] = ACTIONS(2009),
    [anon_sym_GT] = ACTIONS(2009),
    [anon_sym_LT_EQ] = ACTIONS(2007),
    [anon_sym_GT_EQ] = ACTIONS(2007),
    [anon_sym_COLON] = ACTIONS(2009),
    [sym_op_other] = ACTIONS(2007),
    [anon_sym_PLUS] = ACTIONS(2007),
    [anon_sym_DASH] = ACTIONS(2009),
    [anon_sym_SLASH] = ACTIONS(2009),
    [anon_sym_PERCENT] = ACTIONS(2007),
    [anon_sym_CARET] = ACTIONS(2009),
    [anon_sym_BANG_EQ] = ACTIONS(2007),
    [anon_sym_LT_GT] = ACTIONS(2007),
  },
  [180] = {
    [ts_builtin_sym_end] = ACTIONS(2015),
    [anon_sym_SEMI] = ACTIONS(2015),
    [sym_keyword_from] = ACTIONS(2015),
    [sym_keyword_on] = ACTIONS(2015),
    [sym_keyword_where] = ACTIONS(2015),
    [sym_keyword_desc] = ACTIONS(2015),
    [sym_keyword_asc] = ACTIONS(2015),
    [sym_keyword_limit] = ACTIONS(2015),
    [sym_keyword_primary] = ACTIONS(2015),
    [sym_keyword_create] = ACTIONS(2015),
    [sym_keyword_as] = ACTIONS(2017),
    [sym_keyword_constraint] = ACTIONS(2015),
    [sym_keyword_separator] = ACTIONS(2015),
    [sym_keyword_when] = ACTIONS(2015),
    [sym_keyword_then] = ACTIONS(2015),
    [sym_keyword_else] = ACTIONS(2015),
    [sym_keyword_end] = ACTIONS(2015),
    [sym_keyword_in] = ACTIONS(2015),
    [sym_keyword_and] = ACTIONS(2015),
    [sym_keyword_or] = ACTIONS(2015),
    [sym_keyword_is] = ACTIONS(2015),
    [sym_keyword_not] = ACTIONS(2015),
    [sym_keyword_using] = ACTIONS(2015),
    [sym_keyword_auto_increment] = ACTIONS(2015),
    [sym_keyword_generated] = ACTIONS(2015),
    [sym_keyword_default] = ACTIONS(2015),
    [sym_keyword_with] = ACTIONS(2015),
    [sym_keyword_returning] = ACTIONS(2015),
    [sym_keyword_first] = ACTIONS(2015),
    [sym_keyword_after] = ACTIONS(2015),
    [sym_keyword_range] = ACTIONS(2015),
    [sym_keyword_rows] = ACTIONS(2015),
    [sym_keyword_groups] = ACTIONS(2015),
    [sym_keyword_between] = ACTIONS(2015),
    [sym_keyword_preceding] = ACTIONS(2015),
    [sym_keyword_following] = ACTIONS(2015),
    [sym_keyword_unique] = ACTIONS(2015),
    [sym_keyword_references] = ACTIONS(2015),
    [aux_sym_keyword_like_token1] = ACTIONS(2015),
    [aux_sym_keyword_like_token2] = ACTIONS(2015),
    [sym_keyword_similar] = ACTIONS(2015),
    [sym_keyword_check] = ACTIONS(2015),
    [sym_keyword_stored] = ACTIONS(2015),
    [sym_keyword_virtual] = ACTIONS(2015),
    [sym_keyword_comment] = ACTIONS(2015),
    [sym_keyword_null] = ACTIONS(2015),
    [sym_keyword_varying] = ACTIONS(2019),
    [sym_keyword_array] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2015),
    [anon_sym_RBRACK] = ACTIONS(2015),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_RPAREN] = ACTIONS(2015),
    [anon_sym_COMMA] = ACTIONS(2015),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2015),
    [anon_sym_COLON_COLON] = ACTIONS(2015),
    [anon_sym_LT] = ACTIONS(2017),
    [anon_sym_GT] = ACTIONS(2017),
    [anon_sym_LT_EQ] = ACTIONS(2015),
    [anon_sym_GT_EQ] = ACTIONS(2015),
    [anon_sym_COLON] = ACTIONS(2017),
    [sym_op_other] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_SLASH] = ACTIONS(2017),
    [anon_sym_PERCENT] = ACTIONS(2015),
    [anon_sym_CARET] = ACTIONS(2017),
    [anon_sym_BANG_EQ] = ACTIONS(2015),
    [anon_sym_LT_GT] = ACTIONS(2015),
  },
  [181] = {
    [ts_builtin_sym_end] = ACTIONS(2021),
    [anon_sym_SEMI] = ACTIONS(2021),
    [sym_keyword_from] = ACTIONS(2021),
    [sym_keyword_on] = ACTIONS(2021),
    [sym_keyword_where] = ACTIONS(2021),
    [sym_keyword_desc] = ACTIONS(2021),
    [sym_keyword_asc] = ACTIONS(2021),
    [sym_keyword_limit] = ACTIONS(2021),
    [sym_keyword_primary] = ACTIONS(2021),
    [sym_keyword_create] = ACTIONS(2021),
    [sym_keyword_as] = ACTIONS(2023),
    [sym_keyword_constraint] = ACTIONS(2021),
    [sym_keyword_separator] = ACTIONS(2021),
    [sym_keyword_when] = ACTIONS(2021),
    [sym_keyword_then] = ACTIONS(2021),
    [sym_keyword_else] = ACTIONS(2021),
    [sym_keyword_end] = ACTIONS(2021),
    [sym_keyword_in] = ACTIONS(2021),
    [sym_keyword_and] = ACTIONS(2021),
    [sym_keyword_or] = ACTIONS(2021),
    [sym_keyword_is] = ACTIONS(2021),
    [sym_keyword_not] = ACTIONS(2021),
    [sym_keyword_using] = ACTIONS(2021),
    [sym_keyword_auto_increment] = ACTIONS(2021),
    [sym_keyword_generated] = ACTIONS(2021),
    [sym_keyword_default] = ACTIONS(2021),
    [sym_keyword_with] = ACTIONS(2021),
    [sym_keyword_returning] = ACTIONS(2021),
    [sym_keyword_first] = ACTIONS(2021),
    [sym_keyword_after] = ACTIONS(2021),
    [sym_keyword_range] = ACTIONS(2021),
    [sym_keyword_rows] = ACTIONS(2021),
    [sym_keyword_groups] = ACTIONS(2021),
    [sym_keyword_between] = ACTIONS(2021),
    [sym_keyword_preceding] = ACTIONS(2021),
    [sym_keyword_following] = ACTIONS(2021),
    [sym_keyword_unique] = ACTIONS(2021),
    [sym_keyword_references] = ACTIONS(2021),
    [aux_sym_keyword_like_token1] = ACTIONS(2021),
    [aux_sym_keyword_like_token2] = ACTIONS(2021),
    [sym_keyword_similar] = ACTIONS(2021),
    [sym_keyword_zerofill] = ACTIONS(2025),
    [sym_keyword_check] = ACTIONS(2021),
    [sym_keyword_stored] = ACTIONS(2021),
    [sym_keyword_virtual] = ACTIONS(2021),
    [sym_keyword_comment] = ACTIONS(2021),
    [sym_keyword_null] = ACTIONS(2021),
    [sym_keyword_array] = ACTIONS(2021),
    [anon_sym_LBRACK] = ACTIONS(2021),
    [anon_sym_RBRACK] = ACTIONS(2021),
    [anon_sym_RPAREN] = ACTIONS(2021),
    [anon_sym_COMMA] = ACTIONS(2021),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2021),
    [anon_sym_STAR] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(2021),
    [anon_sym_LT] = ACTIONS(2023),
    [anon_sym_GT] = ACTIONS(2023),
    [anon_sym_LT_EQ] = ACTIONS(2021),
    [anon_sym_GT_EQ] = ACTIONS(2021),
    [anon_sym_COLON] = ACTIONS(2023),
    [sym_op_other] = ACTIONS(2021),
    [anon_sym_PLUS] = ACTIONS(2021),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_SLASH] = ACTIONS(2023),
    [anon_sym_PERCENT] = ACTIONS(2021),
    [anon_sym_CARET] = ACTIONS(2023),
    [anon_sym_BANG_EQ] = ACTIONS(2021),
    [anon_sym_LT_GT] = ACTIONS(2021),
  },
  [182] = {
    [sym__identifier] = ACTIONS(2027),
    [aux_sym_keyword_character_token1] = ACTIONS(2027),
    [sym_keyword_unsigned] = ACTIONS(2027),
    [sym_keyword_boolean] = ACTIONS(2027),
    [sym_keyword_bit] = ACTIONS(2027),
    [sym_keyword_binary] = ACTIONS(2027),
    [sym_keyword_varbinary] = ACTIONS(2027),
    [sym_keyword_image] = ACTIONS(2027),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(2027),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(2027),
    [aux_sym_keyword_serial_token1] = ACTIONS(2027),
    [aux_sym_keyword_serial_token2] = ACTIONS(2027),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(2027),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(2027),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(2027),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(2027),
    [aux_sym_keyword_smallint_token1] = ACTIONS(2027),
    [aux_sym_keyword_smallint_token2] = ACTIONS(2027),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(2027),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(2027),
    [aux_sym_keyword_int_token1] = ACTIONS(2027),
    [aux_sym_keyword_int_token2] = ACTIONS(2027),
    [aux_sym_keyword_int_token3] = ACTIONS(2027),
    [aux_sym_keyword_bigint_token1] = ACTIONS(2027),
    [aux_sym_keyword_bigint_token2] = ACTIONS(2027),
    [sym_keyword_decimal] = ACTIONS(2027),
    [sym_keyword_numeric] = ACTIONS(2027),
    [aux_sym_keyword_real_token1] = ACTIONS(2027),
    [aux_sym_keyword_real_token2] = ACTIONS(2027),
    [sym_keyword_float] = ACTIONS(2027),
    [sym_keyword_double] = ACTIONS(2027),
    [sym_keyword_inet] = ACTIONS(2027),
    [sym_keyword_money] = ACTIONS(2027),
    [sym_keyword_smallmoney] = ACTIONS(2027),
    [aux_sym_keyword_char_token1] = ACTIONS(2027),
    [sym_keyword_nchar] = ACTIONS(2027),
    [aux_sym_keyword_varchar_token1] = ACTIONS(2027),
    [sym_keyword_nvarchar] = ACTIONS(2027),
    [sym_keyword_text] = ACTIONS(2027),
    [sym_keyword_string] = ACTIONS(2027),
    [sym_keyword_uuid] = ACTIONS(2027),
    [sym_keyword_json] = ACTIONS(2027),
    [sym_keyword_jsonb] = ACTIONS(2027),
    [sym_keyword_xml] = ACTIONS(2027),
    [sym_keyword_bytea] = ACTIONS(2027),
    [sym_keyword_enum] = ACTIONS(2027),
    [sym_keyword_date] = ACTIONS(2027),
    [sym_keyword_datetime] = ACTIONS(2027),
    [sym_keyword_datetime2] = ACTIONS(2027),
    [sym_keyword_smalldatetime] = ACTIONS(2027),
    [sym_keyword_datetimeoffset] = ACTIONS(2027),
    [sym_keyword_time] = ACTIONS(2027),
    [sym_keyword_timestamp] = ACTIONS(2027),
    [sym_keyword_timestamptz] = ACTIONS(2027),
    [sym_keyword_interval] = ACTIONS(2027),
    [sym_keyword_geometry] = ACTIONS(2027),
    [sym_keyword_geography] = ACTIONS(2027),
    [sym_keyword_box2d] = ACTIONS(2027),
    [sym_keyword_box3d] = ACTIONS(2027),
    [sym_keyword_oid] = ACTIONS(2027),
    [sym_keyword_name] = ACTIONS(2027),
    [sym_keyword_regclass] = ACTIONS(2027),
    [sym_keyword_regnamespace] = ACTIONS(2027),
    [sym_keyword_regproc] = ACTIONS(2027),
    [sym_keyword_regtype] = ACTIONS(2027),
    [aux_sym_double_token1] = ACTIONS(2027),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(2029),
    [aux_sym_identifier_token1] = ACTIONS(2029),
  },
  [183] = {
    [ts_builtin_sym_end] = ACTIONS(2031),
    [anon_sym_SEMI] = ACTIONS(2031),
    [sym_keyword_from] = ACTIONS(2031),
    [sym_keyword_on] = ACTIONS(2031),
    [sym_keyword_where] = ACTIONS(2031),
    [sym_keyword_desc] = ACTIONS(2031),
    [sym_keyword_asc] = ACTIONS(2031),
    [sym_keyword_limit] = ACTIONS(2031),
    [sym_keyword_primary] = ACTIONS(2031),
    [sym_keyword_create] = ACTIONS(2031),
    [sym_keyword_as] = ACTIONS(2033),
    [sym_keyword_constraint] = ACTIONS(2031),
    [sym_keyword_separator] = ACTIONS(2031),
    [sym_keyword_when] = ACTIONS(2031),
    [sym_keyword_then] = ACTIONS(2031),
    [sym_keyword_else] = ACTIONS(2031),
    [sym_keyword_end] = ACTIONS(2031),
    [sym_keyword_in] = ACTIONS(2031),
    [sym_keyword_and] = ACTIONS(2031),
    [sym_keyword_or] = ACTIONS(2031),
    [sym_keyword_is] = ACTIONS(2031),
    [sym_keyword_not] = ACTIONS(2031),
    [sym_keyword_using] = ACTIONS(2031),
    [sym_keyword_auto_increment] = ACTIONS(2031),
    [sym_keyword_generated] = ACTIONS(2031),
    [sym_keyword_default] = ACTIONS(2031),
    [sym_keyword_with] = ACTIONS(2031),
    [sym_keyword_returning] = ACTIONS(2031),
    [sym_keyword_first] = ACTIONS(2031),
    [sym_keyword_after] = ACTIONS(2031),
    [sym_keyword_range] = ACTIONS(2031),
    [sym_keyword_rows] = ACTIONS(2031),
    [sym_keyword_groups] = ACTIONS(2031),
    [sym_keyword_between] = ACTIONS(2031),
    [sym_keyword_preceding] = ACTIONS(2031),
    [sym_keyword_following] = ACTIONS(2031),
    [sym_keyword_unique] = ACTIONS(2031),
    [sym_keyword_references] = ACTIONS(2031),
    [aux_sym_keyword_like_token1] = ACTIONS(2031),
    [aux_sym_keyword_like_token2] = ACTIONS(2031),
    [sym_keyword_similar] = ACTIONS(2031),
    [sym_keyword_check] = ACTIONS(2031),
    [sym_keyword_stored] = ACTIONS(2031),
    [sym_keyword_virtual] = ACTIONS(2031),
    [sym_keyword_comment] = ACTIONS(2031),
    [sym_keyword_null] = ACTIONS(2031),
    [sym_keyword_array] = ACTIONS(2031),
    [anon_sym_LBRACK] = ACTIONS(2031),
    [anon_sym_RBRACK] = ACTIONS(2031),
    [anon_sym_LPAREN] = ACTIONS(2035),
    [anon_sym_RPAREN] = ACTIONS(2031),
    [anon_sym_COMMA] = ACTIONS(2031),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2031),
    [anon_sym_STAR] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(2031),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_GT] = ACTIONS(2033),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2031),
    [anon_sym_COLON] = ACTIONS(2033),
    [sym_op_other] = ACTIONS(2031),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2033),
    [anon_sym_SLASH] = ACTIONS(2033),
    [anon_sym_PERCENT] = ACTIONS(2031),
    [anon_sym_CARET] = ACTIONS(2033),
    [anon_sym_BANG_EQ] = ACTIONS(2031),
    [anon_sym_LT_GT] = ACTIONS(2031),
  },
  [184] = {
    [ts_builtin_sym_end] = ACTIONS(2031),
    [anon_sym_SEMI] = ACTIONS(2031),
    [sym_keyword_from] = ACTIONS(2031),
    [sym_keyword_on] = ACTIONS(2031),
    [sym_keyword_where] = ACTIONS(2031),
    [sym_keyword_desc] = ACTIONS(2031),
    [sym_keyword_asc] = ACTIONS(2031),
    [sym_keyword_limit] = ACTIONS(2031),
    [sym_keyword_primary] = ACTIONS(2031),
    [sym_keyword_create] = ACTIONS(2031),
    [sym_keyword_as] = ACTIONS(2033),
    [sym_keyword_constraint] = ACTIONS(2031),
    [sym_keyword_separator] = ACTIONS(2031),
    [sym_keyword_when] = ACTIONS(2031),
    [sym_keyword_then] = ACTIONS(2031),
    [sym_keyword_else] = ACTIONS(2031),
    [sym_keyword_end] = ACTIONS(2031),
    [sym_keyword_in] = ACTIONS(2031),
    [sym_keyword_and] = ACTIONS(2031),
    [sym_keyword_or] = ACTIONS(2031),
    [sym_keyword_is] = ACTIONS(2031),
    [sym_keyword_not] = ACTIONS(2031),
    [sym_keyword_using] = ACTIONS(2031),
    [sym_keyword_auto_increment] = ACTIONS(2031),
    [sym_keyword_generated] = ACTIONS(2031),
    [sym_keyword_default] = ACTIONS(2031),
    [sym_keyword_with] = ACTIONS(2031),
    [sym_keyword_returning] = ACTIONS(2031),
    [sym_keyword_first] = ACTIONS(2031),
    [sym_keyword_after] = ACTIONS(2031),
    [sym_keyword_range] = ACTIONS(2031),
    [sym_keyword_rows] = ACTIONS(2031),
    [sym_keyword_groups] = ACTIONS(2031),
    [sym_keyword_between] = ACTIONS(2031),
    [sym_keyword_preceding] = ACTIONS(2031),
    [sym_keyword_following] = ACTIONS(2031),
    [sym_keyword_unique] = ACTIONS(2031),
    [sym_keyword_references] = ACTIONS(2031),
    [aux_sym_keyword_like_token1] = ACTIONS(2031),
    [aux_sym_keyword_like_token2] = ACTIONS(2031),
    [sym_keyword_similar] = ACTIONS(2031),
    [sym_keyword_zerofill] = ACTIONS(2037),
    [sym_keyword_check] = ACTIONS(2031),
    [sym_keyword_stored] = ACTIONS(2031),
    [sym_keyword_virtual] = ACTIONS(2031),
    [sym_keyword_comment] = ACTIONS(2031),
    [sym_keyword_null] = ACTIONS(2031),
    [sym_keyword_array] = ACTIONS(2031),
    [anon_sym_LBRACK] = ACTIONS(2031),
    [anon_sym_RBRACK] = ACTIONS(2031),
    [anon_sym_RPAREN] = ACTIONS(2031),
    [anon_sym_COMMA] = ACTIONS(2031),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2031),
    [anon_sym_STAR] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(2031),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_GT] = ACTIONS(2033),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2031),
    [anon_sym_COLON] = ACTIONS(2033),
    [sym_op_other] = ACTIONS(2031),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2033),
    [anon_sym_SLASH] = ACTIONS(2033),
    [anon_sym_PERCENT] = ACTIONS(2031),
    [anon_sym_CARET] = ACTIONS(2033),
    [anon_sym_BANG_EQ] = ACTIONS(2031),
    [anon_sym_LT_GT] = ACTIONS(2031),
  },
  [185] = {
    [ts_builtin_sym_end] = ACTIONS(2039),
    [anon_sym_SEMI] = ACTIONS(2039),
    [sym_keyword_from] = ACTIONS(2039),
    [sym_keyword_on] = ACTIONS(2039),
    [sym_keyword_where] = ACTIONS(2039),
    [sym_keyword_desc] = ACTIONS(2039),
    [sym_keyword_asc] = ACTIONS(2039),
    [sym_keyword_limit] = ACTIONS(2039),
    [sym_keyword_primary] = ACTIONS(2039),
    [sym_keyword_create] = ACTIONS(2039),
    [sym_keyword_as] = ACTIONS(2041),
    [sym_keyword_constraint] = ACTIONS(2039),
    [sym_keyword_separator] = ACTIONS(2039),
    [sym_keyword_when] = ACTIONS(2039),
    [sym_keyword_then] = ACTIONS(2039),
    [sym_keyword_else] = ACTIONS(2039),
    [sym_keyword_end] = ACTIONS(2039),
    [sym_keyword_in] = ACTIONS(2039),
    [sym_keyword_and] = ACTIONS(2039),
    [sym_keyword_or] = ACTIONS(2039),
    [sym_keyword_is] = ACTIONS(2039),
    [sym_keyword_not] = ACTIONS(2039),
    [sym_keyword_using] = ACTIONS(2039),
    [sym_keyword_auto_increment] = ACTIONS(2039),
    [sym_keyword_generated] = ACTIONS(2039),
    [sym_keyword_default] = ACTIONS(2039),
    [sym_keyword_with] = ACTIONS(2039),
    [sym_keyword_returning] = ACTIONS(2039),
    [sym_keyword_first] = ACTIONS(2039),
    [sym_keyword_after] = ACTIONS(2039),
    [sym_keyword_range] = ACTIONS(2039),
    [sym_keyword_rows] = ACTIONS(2039),
    [sym_keyword_groups] = ACTIONS(2039),
    [sym_keyword_between] = ACTIONS(2039),
    [sym_keyword_preceding] = ACTIONS(2039),
    [sym_keyword_following] = ACTIONS(2039),
    [sym_keyword_unique] = ACTIONS(2039),
    [sym_keyword_references] = ACTIONS(2039),
    [aux_sym_keyword_like_token1] = ACTIONS(2039),
    [aux_sym_keyword_like_token2] = ACTIONS(2039),
    [sym_keyword_similar] = ACTIONS(2039),
    [sym_keyword_zerofill] = ACTIONS(2043),
    [sym_keyword_check] = ACTIONS(2039),
    [sym_keyword_stored] = ACTIONS(2039),
    [sym_keyword_virtual] = ACTIONS(2039),
    [sym_keyword_comment] = ACTIONS(2039),
    [sym_keyword_null] = ACTIONS(2039),
    [sym_keyword_array] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2039),
    [anon_sym_RBRACK] = ACTIONS(2039),
    [anon_sym_RPAREN] = ACTIONS(2039),
    [anon_sym_COMMA] = ACTIONS(2039),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2039),
    [anon_sym_STAR] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(2039),
    [anon_sym_LT] = ACTIONS(2041),
    [anon_sym_GT] = ACTIONS(2041),
    [anon_sym_LT_EQ] = ACTIONS(2039),
    [anon_sym_GT_EQ] = ACTIONS(2039),
    [anon_sym_COLON] = ACTIONS(2041),
    [sym_op_other] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2041),
    [anon_sym_SLASH] = ACTIONS(2041),
    [anon_sym_PERCENT] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2041),
    [anon_sym_BANG_EQ] = ACTIONS(2039),
    [anon_sym_LT_GT] = ACTIONS(2039),
  },
  [186] = {
    [ts_builtin_sym_end] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2045),
    [sym_keyword_from] = ACTIONS(2045),
    [sym_keyword_on] = ACTIONS(2045),
    [sym_keyword_where] = ACTIONS(2045),
    [sym_keyword_desc] = ACTIONS(2045),
    [sym_keyword_asc] = ACTIONS(2045),
    [sym_keyword_limit] = ACTIONS(2045),
    [sym_keyword_primary] = ACTIONS(2045),
    [sym_keyword_create] = ACTIONS(2045),
    [sym_keyword_as] = ACTIONS(2047),
    [sym_keyword_constraint] = ACTIONS(2045),
    [sym_keyword_separator] = ACTIONS(2045),
    [sym_keyword_when] = ACTIONS(2045),
    [sym_keyword_then] = ACTIONS(2045),
    [sym_keyword_else] = ACTIONS(2045),
    [sym_keyword_end] = ACTIONS(2045),
    [sym_keyword_in] = ACTIONS(2045),
    [sym_keyword_and] = ACTIONS(2045),
    [sym_keyword_or] = ACTIONS(2045),
    [sym_keyword_is] = ACTIONS(2045),
    [sym_keyword_not] = ACTIONS(2045),
    [sym_keyword_using] = ACTIONS(2045),
    [sym_keyword_auto_increment] = ACTIONS(2045),
    [sym_keyword_generated] = ACTIONS(2045),
    [sym_keyword_default] = ACTIONS(2045),
    [sym_keyword_with] = ACTIONS(2045),
    [sym_keyword_returning] = ACTIONS(2045),
    [sym_keyword_first] = ACTIONS(2045),
    [sym_keyword_after] = ACTIONS(2045),
    [sym_keyword_range] = ACTIONS(2045),
    [sym_keyword_rows] = ACTIONS(2045),
    [sym_keyword_groups] = ACTIONS(2045),
    [sym_keyword_between] = ACTIONS(2045),
    [sym_keyword_preceding] = ACTIONS(2045),
    [sym_keyword_following] = ACTIONS(2045),
    [sym_keyword_unique] = ACTIONS(2045),
    [sym_keyword_references] = ACTIONS(2045),
    [aux_sym_keyword_like_token1] = ACTIONS(2045),
    [aux_sym_keyword_like_token2] = ACTIONS(2045),
    [sym_keyword_similar] = ACTIONS(2045),
    [sym_keyword_zerofill] = ACTIONS(2049),
    [sym_keyword_check] = ACTIONS(2045),
    [sym_keyword_stored] = ACTIONS(2045),
    [sym_keyword_virtual] = ACTIONS(2045),
    [sym_keyword_comment] = ACTIONS(2045),
    [sym_keyword_null] = ACTIONS(2045),
    [sym_keyword_array] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2045),
    [anon_sym_RBRACK] = ACTIONS(2045),
    [anon_sym_RPAREN] = ACTIONS(2045),
    [anon_sym_COMMA] = ACTIONS(2045),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2045),
    [anon_sym_STAR] = ACTIONS(2045),
    [anon_sym_COLON_COLON] = ACTIONS(2045),
    [anon_sym_LT] = ACTIONS(2047),
    [anon_sym_GT] = ACTIONS(2047),
    [anon_sym_LT_EQ] = ACTIONS(2045),
    [anon_sym_GT_EQ] = ACTIONS(2045),
    [anon_sym_COLON] = ACTIONS(2047),
    [sym_op_other] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2047),
    [anon_sym_SLASH] = ACTIONS(2047),
    [anon_sym_PERCENT] = ACTIONS(2045),
    [anon_sym_CARET] = ACTIONS(2047),
    [anon_sym_BANG_EQ] = ACTIONS(2045),
    [anon_sym_LT_GT] = ACTIONS(2045),
  },
  [187] = {
    [ts_builtin_sym_end] = ACTIONS(2051),
    [sym__identifier] = ACTIONS(2053),
    [anon_sym_SEMI] = ACTIONS(2051),
    [sym_keyword_select] = ACTIONS(2053),
    [sym_keyword_show] = ACTIONS(2053),
    [sym_keyword_values] = ACTIONS(2053),
    [sym_keyword_set] = ACTIONS(2053),
    [sym_keyword_left] = ACTIONS(2053),
    [sym_keyword_right] = ACTIONS(2053),
    [sym_keyword_inner] = ACTIONS(2053),
    [sym_keyword_full] = ACTIONS(2053),
    [sym_keyword_cross] = ACTIONS(2053),
    [sym_keyword_join] = ACTIONS(2053),
    [sym_keyword_natural] = ACTIONS(2053),
    [sym_keyword_on] = ACTIONS(2053),
    [sym_keyword_where] = ACTIONS(2053),
    [sym_keyword_order] = ACTIONS(2053),
    [sym_keyword_group] = ACTIONS(2053),
    [sym_keyword_partition] = ACTIONS(2053),
    [sym_keyword_limit] = ACTIONS(2053),
    [sym_keyword_create] = ACTIONS(2053),
    [sym_keyword_increment] = ACTIONS(2053),
    [sym_keyword_minvalue] = ACTIONS(2053),
    [sym_keyword_maxvalue] = ACTIONS(2053),
    [sym_keyword_owned] = ACTIONS(2053),
    [sym_keyword_start] = ACTIONS(2053),
    [sym_keyword_restart] = ACTIONS(2053),
    [sym_keyword_as] = ACTIONS(2053),
    [sym_keyword_when] = ACTIONS(2053),
    [sym_keyword_is] = ACTIONS(2053),
    [sym_keyword_force] = ACTIONS(2053),
    [sym_keyword_ignore] = ACTIONS(2053),
    [sym_keyword_using] = ACTIONS(2053),
    [sym_keyword_use] = ACTIONS(2053),
    [sym_keyword_collate] = ACTIONS(2053),
    [sym_keyword_default] = ACTIONS(2053),
    [sym_keyword_cascade] = ACTIONS(2053),
    [sym_keyword_restrict] = ACTIONS(2053),
    [sym_keyword_with] = ACTIONS(2053),
    [sym_keyword_no] = ACTIONS(2053),
    [sym_keyword_rename] = ACTIONS(2053),
    [sym_keyword_to] = ACTIONS(2053),
    [sym_keyword_owner] = ACTIONS(2053),
    [sym_keyword_cycle] = ACTIONS(2053),
    [sym_keyword_union] = ACTIONS(2053),
    [sym_keyword_except] = ACTIONS(2053),
    [sym_keyword_intersect] = ACTIONS(2053),
    [sym_keyword_returning] = ACTIONS(2053),
    [sym_keyword_after] = ACTIONS(2053),
    [sym_keyword_before] = ACTIONS(2053),
    [sym_keyword_window] = ACTIONS(2053),
    [sym_keyword_wait] = ACTIONS(2053),
    [sym_keyword_nowait] = ACTIONS(2053),
    [sym_keyword_instead] = ACTIONS(2053),
    [sym_keyword_compute] = ACTIONS(2053),
    [sym_keyword_rewrite] = ACTIONS(2053),
    [sym_keyword_partitioned] = ACTIONS(2053),
    [sym_keyword_cache] = ACTIONS(2053),
    [sym_keyword_array] = ACTIONS(2053),
    [anon_sym_LBRACK] = ACTIONS(2051),
    [anon_sym_LPAREN] = ACTIONS(2051),
    [anon_sym_RPAREN] = ACTIONS(2051),
    [anon_sym_COMMA] = ACTIONS(2051),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2051),
    [anon_sym_COLON_EQ] = ACTIONS(2051),
    [anon_sym_DOT] = ACTIONS(2051),
    [sym__double_quote_string] = ACTIONS(2051),
    [aux_sym_identifier_token1] = ACTIONS(2051),
  },
  [188] = {
    [ts_builtin_sym_end] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [sym_keyword_from] = ACTIONS(2055),
    [sym_keyword_on] = ACTIONS(2055),
    [sym_keyword_where] = ACTIONS(2055),
    [sym_keyword_desc] = ACTIONS(2055),
    [sym_keyword_asc] = ACTIONS(2055),
    [sym_keyword_limit] = ACTIONS(2055),
    [sym_keyword_primary] = ACTIONS(2055),
    [sym_keyword_create] = ACTIONS(2055),
    [sym_keyword_as] = ACTIONS(2057),
    [sym_keyword_constraint] = ACTIONS(2055),
    [sym_keyword_separator] = ACTIONS(2055),
    [sym_keyword_when] = ACTIONS(2055),
    [sym_keyword_then] = ACTIONS(2055),
    [sym_keyword_else] = ACTIONS(2055),
    [sym_keyword_end] = ACTIONS(2055),
    [sym_keyword_in] = ACTIONS(2055),
    [sym_keyword_and] = ACTIONS(2055),
    [sym_keyword_or] = ACTIONS(2055),
    [sym_keyword_is] = ACTIONS(2055),
    [sym_keyword_not] = ACTIONS(2055),
    [sym_keyword_using] = ACTIONS(2055),
    [sym_keyword_auto_increment] = ACTIONS(2055),
    [sym_keyword_generated] = ACTIONS(2055),
    [sym_keyword_default] = ACTIONS(2055),
    [sym_keyword_with] = ACTIONS(2055),
    [sym_keyword_returning] = ACTIONS(2055),
    [sym_keyword_first] = ACTIONS(2055),
    [sym_keyword_after] = ACTIONS(2055),
    [sym_keyword_range] = ACTIONS(2055),
    [sym_keyword_rows] = ACTIONS(2055),
    [sym_keyword_groups] = ACTIONS(2055),
    [sym_keyword_between] = ACTIONS(2055),
    [sym_keyword_preceding] = ACTIONS(2055),
    [sym_keyword_following] = ACTIONS(2055),
    [sym_keyword_unique] = ACTIONS(2055),
    [sym_keyword_references] = ACTIONS(2055),
    [aux_sym_keyword_like_token1] = ACTIONS(2055),
    [aux_sym_keyword_like_token2] = ACTIONS(2055),
    [sym_keyword_similar] = ACTIONS(2055),
    [sym_keyword_zerofill] = ACTIONS(2059),
    [sym_keyword_check] = ACTIONS(2055),
    [sym_keyword_stored] = ACTIONS(2055),
    [sym_keyword_virtual] = ACTIONS(2055),
    [sym_keyword_comment] = ACTIONS(2055),
    [sym_keyword_null] = ACTIONS(2055),
    [sym_keyword_array] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_RBRACK] = ACTIONS(2055),
    [anon_sym_RPAREN] = ACTIONS(2055),
    [anon_sym_COMMA] = ACTIONS(2055),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_COLON_COLON] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2057),
    [anon_sym_GT] = ACTIONS(2057),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_COLON] = ACTIONS(2057),
    [sym_op_other] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2057),
    [anon_sym_SLASH] = ACTIONS(2057),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2057),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_LT_GT] = ACTIONS(2055),
  },
  [189] = {
    [ts_builtin_sym_end] = ACTIONS(2061),
    [anon_sym_SEMI] = ACTIONS(2061),
    [sym_keyword_from] = ACTIONS(2061),
    [sym_keyword_on] = ACTIONS(2061),
    [sym_keyword_where] = ACTIONS(2061),
    [sym_keyword_desc] = ACTIONS(2061),
    [sym_keyword_asc] = ACTIONS(2061),
    [sym_keyword_limit] = ACTIONS(2061),
    [sym_keyword_primary] = ACTIONS(2061),
    [sym_keyword_create] = ACTIONS(2061),
    [sym_keyword_as] = ACTIONS(2063),
    [sym_keyword_constraint] = ACTIONS(2061),
    [sym_keyword_separator] = ACTIONS(2061),
    [sym_keyword_when] = ACTIONS(2061),
    [sym_keyword_then] = ACTIONS(2061),
    [sym_keyword_else] = ACTIONS(2061),
    [sym_keyword_end] = ACTIONS(2061),
    [sym_keyword_in] = ACTIONS(2061),
    [sym_keyword_and] = ACTIONS(2061),
    [sym_keyword_or] = ACTIONS(2061),
    [sym_keyword_is] = ACTIONS(2061),
    [sym_keyword_not] = ACTIONS(2061),
    [sym_keyword_using] = ACTIONS(2061),
    [sym_keyword_auto_increment] = ACTIONS(2061),
    [sym_keyword_generated] = ACTIONS(2061),
    [sym_keyword_default] = ACTIONS(2061),
    [sym_keyword_with] = ACTIONS(2061),
    [sym_keyword_returning] = ACTIONS(2061),
    [sym_keyword_first] = ACTIONS(2061),
    [sym_keyword_after] = ACTIONS(2061),
    [sym_keyword_range] = ACTIONS(2061),
    [sym_keyword_rows] = ACTIONS(2061),
    [sym_keyword_groups] = ACTIONS(2061),
    [sym_keyword_between] = ACTIONS(2061),
    [sym_keyword_preceding] = ACTIONS(2061),
    [sym_keyword_following] = ACTIONS(2061),
    [sym_keyword_unique] = ACTIONS(2061),
    [sym_keyword_references] = ACTIONS(2061),
    [aux_sym_keyword_like_token1] = ACTIONS(2061),
    [aux_sym_keyword_like_token2] = ACTIONS(2061),
    [sym_keyword_similar] = ACTIONS(2061),
    [sym_keyword_zerofill] = ACTIONS(2065),
    [sym_keyword_check] = ACTIONS(2061),
    [sym_keyword_stored] = ACTIONS(2061),
    [sym_keyword_virtual] = ACTIONS(2061),
    [sym_keyword_comment] = ACTIONS(2061),
    [sym_keyword_null] = ACTIONS(2061),
    [sym_keyword_array] = ACTIONS(2061),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_RBRACK] = ACTIONS(2061),
    [anon_sym_RPAREN] = ACTIONS(2061),
    [anon_sym_COMMA] = ACTIONS(2061),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2061),
    [anon_sym_STAR] = ACTIONS(2061),
    [anon_sym_COLON_COLON] = ACTIONS(2061),
    [anon_sym_LT] = ACTIONS(2063),
    [anon_sym_GT] = ACTIONS(2063),
    [anon_sym_LT_EQ] = ACTIONS(2061),
    [anon_sym_GT_EQ] = ACTIONS(2061),
    [anon_sym_COLON] = ACTIONS(2063),
    [sym_op_other] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(2061),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_SLASH] = ACTIONS(2063),
    [anon_sym_PERCENT] = ACTIONS(2061),
    [anon_sym_CARET] = ACTIONS(2063),
    [anon_sym_BANG_EQ] = ACTIONS(2061),
    [anon_sym_LT_GT] = ACTIONS(2061),
  },
  [190] = {
    [ts_builtin_sym_end] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [sym_keyword_from] = ACTIONS(2067),
    [sym_keyword_on] = ACTIONS(2067),
    [sym_keyword_where] = ACTIONS(2067),
    [sym_keyword_desc] = ACTIONS(2067),
    [sym_keyword_asc] = ACTIONS(2067),
    [sym_keyword_limit] = ACTIONS(2067),
    [sym_keyword_primary] = ACTIONS(2067),
    [sym_keyword_create] = ACTIONS(2067),
    [sym_keyword_as] = ACTIONS(2069),
    [sym_keyword_constraint] = ACTIONS(2067),
    [sym_keyword_separator] = ACTIONS(2067),
    [sym_keyword_when] = ACTIONS(2067),
    [sym_keyword_then] = ACTIONS(2067),
    [sym_keyword_else] = ACTIONS(2067),
    [sym_keyword_end] = ACTIONS(2067),
    [sym_keyword_in] = ACTIONS(2067),
    [sym_keyword_and] = ACTIONS(2067),
    [sym_keyword_or] = ACTIONS(2067),
    [sym_keyword_is] = ACTIONS(2067),
    [sym_keyword_not] = ACTIONS(2067),
    [sym_keyword_using] = ACTIONS(2067),
    [sym_keyword_auto_increment] = ACTIONS(2067),
    [sym_keyword_generated] = ACTIONS(2067),
    [sym_keyword_default] = ACTIONS(2067),
    [sym_keyword_with] = ACTIONS(2067),
    [sym_keyword_returning] = ACTIONS(2067),
    [sym_keyword_first] = ACTIONS(2067),
    [sym_keyword_after] = ACTIONS(2067),
    [sym_keyword_range] = ACTIONS(2067),
    [sym_keyword_rows] = ACTIONS(2067),
    [sym_keyword_groups] = ACTIONS(2067),
    [sym_keyword_between] = ACTIONS(2067),
    [sym_keyword_preceding] = ACTIONS(2067),
    [sym_keyword_following] = ACTIONS(2067),
    [sym_keyword_unique] = ACTIONS(2067),
    [sym_keyword_references] = ACTIONS(2067),
    [aux_sym_keyword_like_token1] = ACTIONS(2067),
    [aux_sym_keyword_like_token2] = ACTIONS(2067),
    [sym_keyword_similar] = ACTIONS(2067),
    [sym_keyword_zerofill] = ACTIONS(2071),
    [sym_keyword_check] = ACTIONS(2067),
    [sym_keyword_stored] = ACTIONS(2067),
    [sym_keyword_virtual] = ACTIONS(2067),
    [sym_keyword_comment] = ACTIONS(2067),
    [sym_keyword_null] = ACTIONS(2067),
    [sym_keyword_array] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_RBRACK] = ACTIONS(2067),
    [anon_sym_RPAREN] = ACTIONS(2067),
    [anon_sym_COMMA] = ACTIONS(2067),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(2067),
    [anon_sym_COLON_COLON] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2069),
    [anon_sym_GT] = ACTIONS(2069),
    [anon_sym_LT_EQ] = ACTIONS(2067),
    [anon_sym_GT_EQ] = ACTIONS(2067),
    [anon_sym_COLON] = ACTIONS(2069),
    [sym_op_other] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2069),
    [anon_sym_SLASH] = ACTIONS(2069),
    [anon_sym_PERCENT] = ACTIONS(2067),
    [anon_sym_CARET] = ACTIONS(2069),
    [anon_sym_BANG_EQ] = ACTIONS(2067),
    [anon_sym_LT_GT] = ACTIONS(2067),
  },
  [191] = {
    [ts_builtin_sym_end] = ACTIONS(2073),
    [anon_sym_SEMI] = ACTIONS(2073),
    [sym_keyword_from] = ACTIONS(2073),
    [sym_keyword_on] = ACTIONS(2073),
    [sym_keyword_where] = ACTIONS(2073),
    [sym_keyword_desc] = ACTIONS(2073),
    [sym_keyword_asc] = ACTIONS(2073),
    [sym_keyword_limit] = ACTIONS(2073),
    [sym_keyword_primary] = ACTIONS(2073),
    [sym_keyword_create] = ACTIONS(2073),
    [sym_keyword_as] = ACTIONS(2075),
    [sym_keyword_constraint] = ACTIONS(2073),
    [sym_keyword_separator] = ACTIONS(2073),
    [sym_keyword_when] = ACTIONS(2073),
    [sym_keyword_then] = ACTIONS(2073),
    [sym_keyword_else] = ACTIONS(2073),
    [sym_keyword_end] = ACTIONS(2073),
    [sym_keyword_in] = ACTIONS(2073),
    [sym_keyword_and] = ACTIONS(2073),
    [sym_keyword_or] = ACTIONS(2073),
    [sym_keyword_is] = ACTIONS(2073),
    [sym_keyword_not] = ACTIONS(2073),
    [sym_keyword_using] = ACTIONS(2073),
    [sym_keyword_auto_increment] = ACTIONS(2073),
    [sym_keyword_generated] = ACTIONS(2073),
    [sym_keyword_default] = ACTIONS(2073),
    [sym_keyword_with] = ACTIONS(2073),
    [sym_keyword_returning] = ACTIONS(2073),
    [sym_keyword_first] = ACTIONS(2073),
    [sym_keyword_after] = ACTIONS(2073),
    [sym_keyword_range] = ACTIONS(2073),
    [sym_keyword_rows] = ACTIONS(2073),
    [sym_keyword_groups] = ACTIONS(2073),
    [sym_keyword_between] = ACTIONS(2073),
    [sym_keyword_preceding] = ACTIONS(2073),
    [sym_keyword_following] = ACTIONS(2073),
    [sym_keyword_unique] = ACTIONS(2073),
    [sym_keyword_references] = ACTIONS(2073),
    [aux_sym_keyword_like_token1] = ACTIONS(2073),
    [aux_sym_keyword_like_token2] = ACTIONS(2073),
    [sym_keyword_similar] = ACTIONS(2073),
    [sym_keyword_zerofill] = ACTIONS(2077),
    [sym_keyword_check] = ACTIONS(2073),
    [sym_keyword_stored] = ACTIONS(2073),
    [sym_keyword_virtual] = ACTIONS(2073),
    [sym_keyword_comment] = ACTIONS(2073),
    [sym_keyword_null] = ACTIONS(2073),
    [sym_keyword_array] = ACTIONS(2073),
    [anon_sym_LBRACK] = ACTIONS(2073),
    [anon_sym_RBRACK] = ACTIONS(2073),
    [anon_sym_RPAREN] = ACTIONS(2073),
    [anon_sym_COMMA] = ACTIONS(2073),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2073),
    [anon_sym_STAR] = ACTIONS(2073),
    [anon_sym_COLON_COLON] = ACTIONS(2073),
    [anon_sym_LT] = ACTIONS(2075),
    [anon_sym_GT] = ACTIONS(2075),
    [anon_sym_LT_EQ] = ACTIONS(2073),
    [anon_sym_GT_EQ] = ACTIONS(2073),
    [anon_sym_COLON] = ACTIONS(2075),
    [sym_op_other] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2073),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_SLASH] = ACTIONS(2075),
    [anon_sym_PERCENT] = ACTIONS(2073),
    [anon_sym_CARET] = ACTIONS(2075),
    [anon_sym_BANG_EQ] = ACTIONS(2073),
    [anon_sym_LT_GT] = ACTIONS(2073),
  },
  [192] = {
    [ts_builtin_sym_end] = ACTIONS(2079),
    [anon_sym_SEMI] = ACTIONS(2079),
    [sym_keyword_from] = ACTIONS(2079),
    [sym_keyword_on] = ACTIONS(2079),
    [sym_keyword_where] = ACTIONS(2079),
    [sym_keyword_desc] = ACTIONS(2079),
    [sym_keyword_asc] = ACTIONS(2079),
    [sym_keyword_limit] = ACTIONS(2079),
    [sym_keyword_primary] = ACTIONS(2079),
    [sym_keyword_create] = ACTIONS(2079),
    [sym_keyword_as] = ACTIONS(2081),
    [sym_keyword_constraint] = ACTIONS(2079),
    [sym_keyword_separator] = ACTIONS(2079),
    [sym_keyword_when] = ACTIONS(2079),
    [sym_keyword_then] = ACTIONS(2079),
    [sym_keyword_else] = ACTIONS(2079),
    [sym_keyword_end] = ACTIONS(2079),
    [sym_keyword_in] = ACTIONS(2079),
    [sym_keyword_and] = ACTIONS(2079),
    [sym_keyword_or] = ACTIONS(2079),
    [sym_keyword_is] = ACTIONS(2079),
    [sym_keyword_not] = ACTIONS(2079),
    [sym_keyword_using] = ACTIONS(2079),
    [sym_keyword_auto_increment] = ACTIONS(2079),
    [sym_keyword_generated] = ACTIONS(2079),
    [sym_keyword_default] = ACTIONS(2079),
    [sym_keyword_with] = ACTIONS(2079),
    [sym_keyword_returning] = ACTIONS(2079),
    [sym_keyword_first] = ACTIONS(2079),
    [sym_keyword_after] = ACTIONS(2079),
    [sym_keyword_range] = ACTIONS(2079),
    [sym_keyword_rows] = ACTIONS(2079),
    [sym_keyword_groups] = ACTIONS(2079),
    [sym_keyword_between] = ACTIONS(2079),
    [sym_keyword_preceding] = ACTIONS(2079),
    [sym_keyword_following] = ACTIONS(2079),
    [sym_keyword_unique] = ACTIONS(2079),
    [sym_keyword_references] = ACTIONS(2079),
    [aux_sym_keyword_like_token1] = ACTIONS(2079),
    [aux_sym_keyword_like_token2] = ACTIONS(2079),
    [sym_keyword_similar] = ACTIONS(2079),
    [sym_keyword_check] = ACTIONS(2079),
    [sym_keyword_stored] = ACTIONS(2079),
    [sym_keyword_virtual] = ACTIONS(2079),
    [sym_keyword_comment] = ACTIONS(2079),
    [sym_keyword_null] = ACTIONS(2079),
    [sym_keyword_array] = ACTIONS(2079),
    [anon_sym_LBRACK] = ACTIONS(2079),
    [anon_sym_RBRACK] = ACTIONS(2079),
    [anon_sym_LPAREN] = ACTIONS(2083),
    [anon_sym_RPAREN] = ACTIONS(2079),
    [anon_sym_COMMA] = ACTIONS(2079),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2079),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_COLON_COLON] = ACTIONS(2079),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_GT] = ACTIONS(2081),
    [anon_sym_LT_EQ] = ACTIONS(2079),
    [anon_sym_GT_EQ] = ACTIONS(2079),
    [anon_sym_COLON] = ACTIONS(2081),
    [sym_op_other] = ACTIONS(2079),
    [anon_sym_PLUS] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_PERCENT] = ACTIONS(2079),
    [anon_sym_CARET] = ACTIONS(2081),
    [anon_sym_BANG_EQ] = ACTIONS(2079),
    [anon_sym_LT_GT] = ACTIONS(2079),
  },
  [193] = {
    [sym__array_size_definition] = STATE(290),
    [aux_sym_array_size_definition_repeat1] = STATE(193),
    [ts_builtin_sym_end] = ACTIONS(2085),
    [anon_sym_SEMI] = ACTIONS(2085),
    [sym_keyword_from] = ACTIONS(2085),
    [sym_keyword_on] = ACTIONS(2085),
    [sym_keyword_where] = ACTIONS(2085),
    [sym_keyword_desc] = ACTIONS(2085),
    [sym_keyword_asc] = ACTIONS(2085),
    [sym_keyword_limit] = ACTIONS(2085),
    [sym_keyword_primary] = ACTIONS(2085),
    [sym_keyword_create] = ACTIONS(2085),
    [sym_keyword_as] = ACTIONS(2087),
    [sym_keyword_constraint] = ACTIONS(2085),
    [sym_keyword_separator] = ACTIONS(2085),
    [sym_keyword_when] = ACTIONS(2085),
    [sym_keyword_then] = ACTIONS(2085),
    [sym_keyword_else] = ACTIONS(2085),
    [sym_keyword_end] = ACTIONS(2085),
    [sym_keyword_in] = ACTIONS(2085),
    [sym_keyword_and] = ACTIONS(2085),
    [sym_keyword_or] = ACTIONS(2085),
    [sym_keyword_is] = ACTIONS(2085),
    [sym_keyword_not] = ACTIONS(2085),
    [sym_keyword_using] = ACTIONS(2085),
    [sym_keyword_auto_increment] = ACTIONS(2085),
    [sym_keyword_generated] = ACTIONS(2085),
    [sym_keyword_default] = ACTIONS(2085),
    [sym_keyword_with] = ACTIONS(2085),
    [sym_keyword_returning] = ACTIONS(2085),
    [sym_keyword_first] = ACTIONS(2085),
    [sym_keyword_after] = ACTIONS(2085),
    [sym_keyword_range] = ACTIONS(2085),
    [sym_keyword_rows] = ACTIONS(2085),
    [sym_keyword_groups] = ACTIONS(2085),
    [sym_keyword_between] = ACTIONS(2085),
    [sym_keyword_preceding] = ACTIONS(2085),
    [sym_keyword_following] = ACTIONS(2085),
    [sym_keyword_unique] = ACTIONS(2085),
    [sym_keyword_references] = ACTIONS(2085),
    [aux_sym_keyword_like_token1] = ACTIONS(2085),
    [aux_sym_keyword_like_token2] = ACTIONS(2085),
    [sym_keyword_similar] = ACTIONS(2085),
    [sym_keyword_check] = ACTIONS(2085),
    [sym_keyword_stored] = ACTIONS(2085),
    [sym_keyword_virtual] = ACTIONS(2085),
    [sym_keyword_comment] = ACTIONS(2085),
    [sym_keyword_null] = ACTIONS(2085),
    [anon_sym_LBRACK] = ACTIONS(2089),
    [anon_sym_RBRACK] = ACTIONS(2085),
    [anon_sym_RPAREN] = ACTIONS(2085),
    [anon_sym_COMMA] = ACTIONS(2085),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2085),
    [anon_sym_STAR] = ACTIONS(2085),
    [anon_sym_COLON_COLON] = ACTIONS(2085),
    [anon_sym_LT] = ACTIONS(2087),
    [anon_sym_GT] = ACTIONS(2087),
    [anon_sym_LT_EQ] = ACTIONS(2085),
    [anon_sym_GT_EQ] = ACTIONS(2085),
    [anon_sym_COLON] = ACTIONS(2087),
    [sym_op_other] = ACTIONS(2085),
    [anon_sym_PLUS] = ACTIONS(2085),
    [anon_sym_DASH] = ACTIONS(2087),
    [anon_sym_SLASH] = ACTIONS(2087),
    [anon_sym_PERCENT] = ACTIONS(2085),
    [anon_sym_CARET] = ACTIONS(2087),
    [anon_sym_BANG_EQ] = ACTIONS(2085),
    [anon_sym_LT_GT] = ACTIONS(2085),
  },
  [194] = {
    [ts_builtin_sym_end] = ACTIONS(2079),
    [anon_sym_SEMI] = ACTIONS(2079),
    [sym_keyword_from] = ACTIONS(2079),
    [sym_keyword_on] = ACTIONS(2079),
    [sym_keyword_where] = ACTIONS(2079),
    [sym_keyword_desc] = ACTIONS(2079),
    [sym_keyword_asc] = ACTIONS(2079),
    [sym_keyword_limit] = ACTIONS(2079),
    [sym_keyword_primary] = ACTIONS(2079),
    [sym_keyword_create] = ACTIONS(2079),
    [sym_keyword_as] = ACTIONS(2081),
    [sym_keyword_constraint] = ACTIONS(2079),
    [sym_keyword_separator] = ACTIONS(2079),
    [sym_keyword_when] = ACTIONS(2079),
    [sym_keyword_then] = ACTIONS(2079),
    [sym_keyword_else] = ACTIONS(2079),
    [sym_keyword_end] = ACTIONS(2079),
    [sym_keyword_in] = ACTIONS(2079),
    [sym_keyword_and] = ACTIONS(2079),
    [sym_keyword_or] = ACTIONS(2079),
    [sym_keyword_is] = ACTIONS(2079),
    [sym_keyword_not] = ACTIONS(2079),
    [sym_keyword_using] = ACTIONS(2079),
    [sym_keyword_auto_increment] = ACTIONS(2079),
    [sym_keyword_generated] = ACTIONS(2079),
    [sym_keyword_default] = ACTIONS(2079),
    [sym_keyword_with] = ACTIONS(2079),
    [sym_keyword_returning] = ACTIONS(2079),
    [sym_keyword_first] = ACTIONS(2079),
    [sym_keyword_after] = ACTIONS(2079),
    [sym_keyword_range] = ACTIONS(2079),
    [sym_keyword_rows] = ACTIONS(2079),
    [sym_keyword_groups] = ACTIONS(2079),
    [sym_keyword_between] = ACTIONS(2079),
    [sym_keyword_preceding] = ACTIONS(2079),
    [sym_keyword_following] = ACTIONS(2079),
    [sym_keyword_unique] = ACTIONS(2079),
    [sym_keyword_references] = ACTIONS(2079),
    [aux_sym_keyword_like_token1] = ACTIONS(2079),
    [aux_sym_keyword_like_token2] = ACTIONS(2079),
    [sym_keyword_similar] = ACTIONS(2079),
    [sym_keyword_zerofill] = ACTIONS(2092),
    [sym_keyword_check] = ACTIONS(2079),
    [sym_keyword_stored] = ACTIONS(2079),
    [sym_keyword_virtual] = ACTIONS(2079),
    [sym_keyword_comment] = ACTIONS(2079),
    [sym_keyword_null] = ACTIONS(2079),
    [sym_keyword_array] = ACTIONS(2079),
    [anon_sym_LBRACK] = ACTIONS(2079),
    [anon_sym_RBRACK] = ACTIONS(2079),
    [anon_sym_RPAREN] = ACTIONS(2079),
    [anon_sym_COMMA] = ACTIONS(2079),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2079),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_COLON_COLON] = ACTIONS(2079),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_GT] = ACTIONS(2081),
    [anon_sym_LT_EQ] = ACTIONS(2079),
    [anon_sym_GT_EQ] = ACTIONS(2079),
    [anon_sym_COLON] = ACTIONS(2081),
    [sym_op_other] = ACTIONS(2079),
    [anon_sym_PLUS] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_PERCENT] = ACTIONS(2079),
    [anon_sym_CARET] = ACTIONS(2081),
    [anon_sym_BANG_EQ] = ACTIONS(2079),
    [anon_sym_LT_GT] = ACTIONS(2079),
  },
  [195] = {
    [ts_builtin_sym_end] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [sym_keyword_from] = ACTIONS(2055),
    [sym_keyword_on] = ACTIONS(2055),
    [sym_keyword_where] = ACTIONS(2055),
    [sym_keyword_desc] = ACTIONS(2055),
    [sym_keyword_asc] = ACTIONS(2055),
    [sym_keyword_limit] = ACTIONS(2055),
    [sym_keyword_primary] = ACTIONS(2055),
    [sym_keyword_create] = ACTIONS(2055),
    [sym_keyword_as] = ACTIONS(2057),
    [sym_keyword_constraint] = ACTIONS(2055),
    [sym_keyword_separator] = ACTIONS(2055),
    [sym_keyword_when] = ACTIONS(2055),
    [sym_keyword_then] = ACTIONS(2055),
    [sym_keyword_else] = ACTIONS(2055),
    [sym_keyword_end] = ACTIONS(2055),
    [sym_keyword_in] = ACTIONS(2055),
    [sym_keyword_and] = ACTIONS(2055),
    [sym_keyword_or] = ACTIONS(2055),
    [sym_keyword_is] = ACTIONS(2055),
    [sym_keyword_not] = ACTIONS(2055),
    [sym_keyword_using] = ACTIONS(2055),
    [sym_keyword_auto_increment] = ACTIONS(2055),
    [sym_keyword_generated] = ACTIONS(2055),
    [sym_keyword_default] = ACTIONS(2055),
    [sym_keyword_with] = ACTIONS(2055),
    [sym_keyword_returning] = ACTIONS(2055),
    [sym_keyword_first] = ACTIONS(2055),
    [sym_keyword_after] = ACTIONS(2055),
    [sym_keyword_range] = ACTIONS(2055),
    [sym_keyword_rows] = ACTIONS(2055),
    [sym_keyword_groups] = ACTIONS(2055),
    [sym_keyword_between] = ACTIONS(2055),
    [sym_keyword_preceding] = ACTIONS(2055),
    [sym_keyword_following] = ACTIONS(2055),
    [sym_keyword_unique] = ACTIONS(2055),
    [sym_keyword_references] = ACTIONS(2055),
    [aux_sym_keyword_like_token1] = ACTIONS(2055),
    [aux_sym_keyword_like_token2] = ACTIONS(2055),
    [sym_keyword_similar] = ACTIONS(2055),
    [sym_keyword_check] = ACTIONS(2055),
    [sym_keyword_stored] = ACTIONS(2055),
    [sym_keyword_virtual] = ACTIONS(2055),
    [sym_keyword_comment] = ACTIONS(2055),
    [sym_keyword_null] = ACTIONS(2055),
    [sym_keyword_array] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_RBRACK] = ACTIONS(2055),
    [anon_sym_LPAREN] = ACTIONS(2094),
    [anon_sym_RPAREN] = ACTIONS(2055),
    [anon_sym_COMMA] = ACTIONS(2055),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_COLON_COLON] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2057),
    [anon_sym_GT] = ACTIONS(2057),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_COLON] = ACTIONS(2057),
    [sym_op_other] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2057),
    [anon_sym_SLASH] = ACTIONS(2057),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2057),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_LT_GT] = ACTIONS(2055),
  },
  [196] = {
    [ts_builtin_sym_end] = ACTIONS(2061),
    [anon_sym_SEMI] = ACTIONS(2061),
    [sym_keyword_from] = ACTIONS(2061),
    [sym_keyword_on] = ACTIONS(2061),
    [sym_keyword_where] = ACTIONS(2061),
    [sym_keyword_desc] = ACTIONS(2061),
    [sym_keyword_asc] = ACTIONS(2061),
    [sym_keyword_limit] = ACTIONS(2061),
    [sym_keyword_primary] = ACTIONS(2061),
    [sym_keyword_create] = ACTIONS(2061),
    [sym_keyword_as] = ACTIONS(2063),
    [sym_keyword_constraint] = ACTIONS(2061),
    [sym_keyword_separator] = ACTIONS(2061),
    [sym_keyword_when] = ACTIONS(2061),
    [sym_keyword_then] = ACTIONS(2061),
    [sym_keyword_else] = ACTIONS(2061),
    [sym_keyword_end] = ACTIONS(2061),
    [sym_keyword_in] = ACTIONS(2061),
    [sym_keyword_and] = ACTIONS(2061),
    [sym_keyword_or] = ACTIONS(2061),
    [sym_keyword_is] = ACTIONS(2061),
    [sym_keyword_not] = ACTIONS(2061),
    [sym_keyword_using] = ACTIONS(2061),
    [sym_keyword_auto_increment] = ACTIONS(2061),
    [sym_keyword_generated] = ACTIONS(2061),
    [sym_keyword_default] = ACTIONS(2061),
    [sym_keyword_with] = ACTIONS(2061),
    [sym_keyword_returning] = ACTIONS(2061),
    [sym_keyword_first] = ACTIONS(2061),
    [sym_keyword_after] = ACTIONS(2061),
    [sym_keyword_range] = ACTIONS(2061),
    [sym_keyword_rows] = ACTIONS(2061),
    [sym_keyword_groups] = ACTIONS(2061),
    [sym_keyword_between] = ACTIONS(2061),
    [sym_keyword_preceding] = ACTIONS(2061),
    [sym_keyword_following] = ACTIONS(2061),
    [sym_keyword_unique] = ACTIONS(2061),
    [sym_keyword_references] = ACTIONS(2061),
    [aux_sym_keyword_like_token1] = ACTIONS(2061),
    [aux_sym_keyword_like_token2] = ACTIONS(2061),
    [sym_keyword_similar] = ACTIONS(2061),
    [sym_keyword_check] = ACTIONS(2061),
    [sym_keyword_stored] = ACTIONS(2061),
    [sym_keyword_virtual] = ACTIONS(2061),
    [sym_keyword_comment] = ACTIONS(2061),
    [sym_keyword_null] = ACTIONS(2061),
    [sym_keyword_array] = ACTIONS(2061),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_RBRACK] = ACTIONS(2061),
    [anon_sym_LPAREN] = ACTIONS(2096),
    [anon_sym_RPAREN] = ACTIONS(2061),
    [anon_sym_COMMA] = ACTIONS(2061),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2061),
    [anon_sym_STAR] = ACTIONS(2061),
    [anon_sym_COLON_COLON] = ACTIONS(2061),
    [anon_sym_LT] = ACTIONS(2063),
    [anon_sym_GT] = ACTIONS(2063),
    [anon_sym_LT_EQ] = ACTIONS(2061),
    [anon_sym_GT_EQ] = ACTIONS(2061),
    [anon_sym_COLON] = ACTIONS(2063),
    [sym_op_other] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(2061),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_SLASH] = ACTIONS(2063),
    [anon_sym_PERCENT] = ACTIONS(2061),
    [anon_sym_CARET] = ACTIONS(2063),
    [anon_sym_BANG_EQ] = ACTIONS(2061),
    [anon_sym_LT_GT] = ACTIONS(2061),
  },
  [197] = {
    [ts_builtin_sym_end] = ACTIONS(2098),
    [anon_sym_SEMI] = ACTIONS(2098),
    [sym_keyword_from] = ACTIONS(2098),
    [sym_keyword_on] = ACTIONS(2098),
    [sym_keyword_where] = ACTIONS(2098),
    [sym_keyword_desc] = ACTIONS(2098),
    [sym_keyword_asc] = ACTIONS(2098),
    [sym_keyword_limit] = ACTIONS(2098),
    [sym_keyword_primary] = ACTIONS(2098),
    [sym_keyword_create] = ACTIONS(2098),
    [sym_keyword_as] = ACTIONS(2100),
    [sym_keyword_constraint] = ACTIONS(2098),
    [sym_keyword_separator] = ACTIONS(2098),
    [sym_keyword_when] = ACTIONS(2098),
    [sym_keyword_then] = ACTIONS(2098),
    [sym_keyword_else] = ACTIONS(2098),
    [sym_keyword_end] = ACTIONS(2098),
    [sym_keyword_in] = ACTIONS(2098),
    [sym_keyword_and] = ACTIONS(2098),
    [sym_keyword_or] = ACTIONS(2098),
    [sym_keyword_is] = ACTIONS(2098),
    [sym_keyword_not] = ACTIONS(2098),
    [sym_keyword_using] = ACTIONS(2098),
    [sym_keyword_auto_increment] = ACTIONS(2098),
    [sym_keyword_generated] = ACTIONS(2098),
    [sym_keyword_default] = ACTIONS(2098),
    [sym_keyword_with] = ACTIONS(2098),
    [sym_keyword_returning] = ACTIONS(2098),
    [sym_keyword_first] = ACTIONS(2098),
    [sym_keyword_after] = ACTIONS(2098),
    [sym_keyword_range] = ACTIONS(2098),
    [sym_keyword_rows] = ACTIONS(2098),
    [sym_keyword_groups] = ACTIONS(2098),
    [sym_keyword_between] = ACTIONS(2098),
    [sym_keyword_preceding] = ACTIONS(2098),
    [sym_keyword_following] = ACTIONS(2098),
    [sym_keyword_unique] = ACTIONS(2098),
    [sym_keyword_references] = ACTIONS(2098),
    [aux_sym_keyword_like_token1] = ACTIONS(2098),
    [aux_sym_keyword_like_token2] = ACTIONS(2098),
    [sym_keyword_similar] = ACTIONS(2098),
    [sym_keyword_check] = ACTIONS(2098),
    [sym_keyword_stored] = ACTIONS(2098),
    [sym_keyword_virtual] = ACTIONS(2098),
    [sym_keyword_comment] = ACTIONS(2098),
    [sym_keyword_null] = ACTIONS(2098),
    [sym_keyword_array] = ACTIONS(2098),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_RBRACK] = ACTIONS(2098),
    [anon_sym_LPAREN] = ACTIONS(2102),
    [anon_sym_RPAREN] = ACTIONS(2098),
    [anon_sym_COMMA] = ACTIONS(2098),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2098),
    [anon_sym_STAR] = ACTIONS(2098),
    [anon_sym_COLON_COLON] = ACTIONS(2098),
    [anon_sym_LT] = ACTIONS(2100),
    [anon_sym_GT] = ACTIONS(2100),
    [anon_sym_LT_EQ] = ACTIONS(2098),
    [anon_sym_GT_EQ] = ACTIONS(2098),
    [anon_sym_COLON] = ACTIONS(2100),
    [sym_op_other] = ACTIONS(2098),
    [anon_sym_PLUS] = ACTIONS(2098),
    [anon_sym_DASH] = ACTIONS(2100),
    [anon_sym_SLASH] = ACTIONS(2100),
    [anon_sym_PERCENT] = ACTIONS(2098),
    [anon_sym_CARET] = ACTIONS(2100),
    [anon_sym_BANG_EQ] = ACTIONS(2098),
    [anon_sym_LT_GT] = ACTIONS(2098),
  },
  [198] = {
    [ts_builtin_sym_end] = ACTIONS(2104),
    [anon_sym_SEMI] = ACTIONS(2104),
    [sym_keyword_from] = ACTIONS(2104),
    [sym_keyword_on] = ACTIONS(2104),
    [sym_keyword_where] = ACTIONS(2104),
    [sym_keyword_desc] = ACTIONS(2104),
    [sym_keyword_asc] = ACTIONS(2104),
    [sym_keyword_limit] = ACTIONS(2104),
    [sym_keyword_primary] = ACTIONS(2104),
    [sym_keyword_create] = ACTIONS(2104),
    [sym_keyword_as] = ACTIONS(2106),
    [sym_keyword_constraint] = ACTIONS(2104),
    [sym_keyword_separator] = ACTIONS(2104),
    [sym_keyword_when] = ACTIONS(2104),
    [sym_keyword_then] = ACTIONS(2104),
    [sym_keyword_else] = ACTIONS(2104),
    [sym_keyword_end] = ACTIONS(2104),
    [sym_keyword_in] = ACTIONS(2104),
    [sym_keyword_and] = ACTIONS(2104),
    [sym_keyword_or] = ACTIONS(2104),
    [sym_keyword_is] = ACTIONS(2104),
    [sym_keyword_not] = ACTIONS(2104),
    [sym_keyword_using] = ACTIONS(2104),
    [sym_keyword_auto_increment] = ACTIONS(2104),
    [sym_keyword_generated] = ACTIONS(2104),
    [sym_keyword_default] = ACTIONS(2104),
    [sym_keyword_with] = ACTIONS(2104),
    [sym_keyword_returning] = ACTIONS(2104),
    [sym_keyword_first] = ACTIONS(2104),
    [sym_keyword_after] = ACTIONS(2104),
    [sym_keyword_range] = ACTIONS(2104),
    [sym_keyword_rows] = ACTIONS(2104),
    [sym_keyword_groups] = ACTIONS(2104),
    [sym_keyword_between] = ACTIONS(2104),
    [sym_keyword_preceding] = ACTIONS(2104),
    [sym_keyword_following] = ACTIONS(2104),
    [sym_keyword_unique] = ACTIONS(2104),
    [sym_keyword_references] = ACTIONS(2104),
    [aux_sym_keyword_like_token1] = ACTIONS(2104),
    [aux_sym_keyword_like_token2] = ACTIONS(2104),
    [sym_keyword_similar] = ACTIONS(2104),
    [sym_keyword_check] = ACTIONS(2104),
    [sym_keyword_stored] = ACTIONS(2104),
    [sym_keyword_virtual] = ACTIONS(2104),
    [sym_keyword_comment] = ACTIONS(2104),
    [sym_keyword_null] = ACTIONS(2104),
    [sym_keyword_array] = ACTIONS(2104),
    [anon_sym_LBRACK] = ACTIONS(2104),
    [anon_sym_RBRACK] = ACTIONS(2104),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [anon_sym_RPAREN] = ACTIONS(2104),
    [anon_sym_COMMA] = ACTIONS(2104),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2104),
    [anon_sym_STAR] = ACTIONS(2104),
    [anon_sym_COLON_COLON] = ACTIONS(2104),
    [anon_sym_LT] = ACTIONS(2106),
    [anon_sym_GT] = ACTIONS(2106),
    [anon_sym_LT_EQ] = ACTIONS(2104),
    [anon_sym_GT_EQ] = ACTIONS(2104),
    [anon_sym_COLON] = ACTIONS(2106),
    [sym_op_other] = ACTIONS(2104),
    [anon_sym_PLUS] = ACTIONS(2104),
    [anon_sym_DASH] = ACTIONS(2106),
    [anon_sym_SLASH] = ACTIONS(2106),
    [anon_sym_PERCENT] = ACTIONS(2104),
    [anon_sym_CARET] = ACTIONS(2106),
    [anon_sym_BANG_EQ] = ACTIONS(2104),
    [anon_sym_LT_GT] = ACTIONS(2104),
  },
  [199] = {
    [ts_builtin_sym_end] = ACTIONS(2110),
    [anon_sym_SEMI] = ACTIONS(2110),
    [sym_keyword_from] = ACTIONS(2110),
    [sym_keyword_on] = ACTIONS(2110),
    [sym_keyword_where] = ACTIONS(2110),
    [sym_keyword_desc] = ACTIONS(2110),
    [sym_keyword_asc] = ACTIONS(2110),
    [sym_keyword_limit] = ACTIONS(2110),
    [sym_keyword_primary] = ACTIONS(2110),
    [sym_keyword_create] = ACTIONS(2110),
    [sym_keyword_as] = ACTIONS(2112),
    [sym_keyword_constraint] = ACTIONS(2110),
    [sym_keyword_separator] = ACTIONS(2110),
    [sym_keyword_when] = ACTIONS(2110),
    [sym_keyword_then] = ACTIONS(2110),
    [sym_keyword_else] = ACTIONS(2110),
    [sym_keyword_end] = ACTIONS(2110),
    [sym_keyword_in] = ACTIONS(2110),
    [sym_keyword_and] = ACTIONS(2110),
    [sym_keyword_or] = ACTIONS(2110),
    [sym_keyword_is] = ACTIONS(2110),
    [sym_keyword_not] = ACTIONS(2110),
    [sym_keyword_using] = ACTIONS(2110),
    [sym_keyword_auto_increment] = ACTIONS(2110),
    [sym_keyword_generated] = ACTIONS(2110),
    [sym_keyword_default] = ACTIONS(2110),
    [sym_keyword_with] = ACTIONS(2110),
    [sym_keyword_returning] = ACTIONS(2110),
    [sym_keyword_first] = ACTIONS(2110),
    [sym_keyword_after] = ACTIONS(2110),
    [sym_keyword_range] = ACTIONS(2110),
    [sym_keyword_rows] = ACTIONS(2110),
    [sym_keyword_groups] = ACTIONS(2110),
    [sym_keyword_between] = ACTIONS(2110),
    [sym_keyword_preceding] = ACTIONS(2110),
    [sym_keyword_following] = ACTIONS(2110),
    [sym_keyword_unique] = ACTIONS(2110),
    [sym_keyword_references] = ACTIONS(2110),
    [aux_sym_keyword_like_token1] = ACTIONS(2110),
    [aux_sym_keyword_like_token2] = ACTIONS(2110),
    [sym_keyword_similar] = ACTIONS(2110),
    [sym_keyword_check] = ACTIONS(2110),
    [sym_keyword_stored] = ACTIONS(2110),
    [sym_keyword_virtual] = ACTIONS(2110),
    [sym_keyword_comment] = ACTIONS(2110),
    [sym_keyword_null] = ACTIONS(2110),
    [sym_keyword_array] = ACTIONS(2110),
    [anon_sym_LBRACK] = ACTIONS(2110),
    [anon_sym_RBRACK] = ACTIONS(2110),
    [anon_sym_LPAREN] = ACTIONS(2114),
    [anon_sym_RPAREN] = ACTIONS(2110),
    [anon_sym_COMMA] = ACTIONS(2110),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2110),
    [anon_sym_STAR] = ACTIONS(2110),
    [anon_sym_COLON_COLON] = ACTIONS(2110),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_GT] = ACTIONS(2112),
    [anon_sym_LT_EQ] = ACTIONS(2110),
    [anon_sym_GT_EQ] = ACTIONS(2110),
    [anon_sym_COLON] = ACTIONS(2112),
    [sym_op_other] = ACTIONS(2110),
    [anon_sym_PLUS] = ACTIONS(2110),
    [anon_sym_DASH] = ACTIONS(2112),
    [anon_sym_SLASH] = ACTIONS(2112),
    [anon_sym_PERCENT] = ACTIONS(2110),
    [anon_sym_CARET] = ACTIONS(2112),
    [anon_sym_BANG_EQ] = ACTIONS(2110),
    [anon_sym_LT_GT] = ACTIONS(2110),
  },
  [200] = {
    [ts_builtin_sym_end] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [sym_keyword_from] = ACTIONS(2067),
    [sym_keyword_on] = ACTIONS(2067),
    [sym_keyword_where] = ACTIONS(2067),
    [sym_keyword_desc] = ACTIONS(2067),
    [sym_keyword_asc] = ACTIONS(2067),
    [sym_keyword_limit] = ACTIONS(2067),
    [sym_keyword_primary] = ACTIONS(2067),
    [sym_keyword_create] = ACTIONS(2067),
    [sym_keyword_as] = ACTIONS(2069),
    [sym_keyword_constraint] = ACTIONS(2067),
    [sym_keyword_separator] = ACTIONS(2067),
    [sym_keyword_when] = ACTIONS(2067),
    [sym_keyword_then] = ACTIONS(2067),
    [sym_keyword_else] = ACTIONS(2067),
    [sym_keyword_end] = ACTIONS(2067),
    [sym_keyword_in] = ACTIONS(2067),
    [sym_keyword_and] = ACTIONS(2067),
    [sym_keyword_or] = ACTIONS(2067),
    [sym_keyword_is] = ACTIONS(2067),
    [sym_keyword_not] = ACTIONS(2067),
    [sym_keyword_using] = ACTIONS(2067),
    [sym_keyword_auto_increment] = ACTIONS(2067),
    [sym_keyword_generated] = ACTIONS(2067),
    [sym_keyword_default] = ACTIONS(2067),
    [sym_keyword_with] = ACTIONS(2067),
    [sym_keyword_returning] = ACTIONS(2067),
    [sym_keyword_first] = ACTIONS(2067),
    [sym_keyword_after] = ACTIONS(2067),
    [sym_keyword_range] = ACTIONS(2067),
    [sym_keyword_rows] = ACTIONS(2067),
    [sym_keyword_groups] = ACTIONS(2067),
    [sym_keyword_between] = ACTIONS(2067),
    [sym_keyword_preceding] = ACTIONS(2067),
    [sym_keyword_following] = ACTIONS(2067),
    [sym_keyword_unique] = ACTIONS(2067),
    [sym_keyword_references] = ACTIONS(2067),
    [aux_sym_keyword_like_token1] = ACTIONS(2067),
    [aux_sym_keyword_like_token2] = ACTIONS(2067),
    [sym_keyword_similar] = ACTIONS(2067),
    [sym_keyword_check] = ACTIONS(2067),
    [sym_keyword_stored] = ACTIONS(2067),
    [sym_keyword_virtual] = ACTIONS(2067),
    [sym_keyword_comment] = ACTIONS(2067),
    [sym_keyword_null] = ACTIONS(2067),
    [sym_keyword_array] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_RBRACK] = ACTIONS(2067),
    [anon_sym_LPAREN] = ACTIONS(2116),
    [anon_sym_RPAREN] = ACTIONS(2067),
    [anon_sym_COMMA] = ACTIONS(2067),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(2067),
    [anon_sym_COLON_COLON] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2069),
    [anon_sym_GT] = ACTIONS(2069),
    [anon_sym_LT_EQ] = ACTIONS(2067),
    [anon_sym_GT_EQ] = ACTIONS(2067),
    [anon_sym_COLON] = ACTIONS(2069),
    [sym_op_other] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2069),
    [anon_sym_SLASH] = ACTIONS(2069),
    [anon_sym_PERCENT] = ACTIONS(2067),
    [anon_sym_CARET] = ACTIONS(2069),
    [anon_sym_BANG_EQ] = ACTIONS(2067),
    [anon_sym_LT_GT] = ACTIONS(2067),
  },
  [201] = {
    [ts_builtin_sym_end] = ACTIONS(2073),
    [anon_sym_SEMI] = ACTIONS(2073),
    [sym_keyword_from] = ACTIONS(2073),
    [sym_keyword_on] = ACTIONS(2073),
    [sym_keyword_where] = ACTIONS(2073),
    [sym_keyword_desc] = ACTIONS(2073),
    [sym_keyword_asc] = ACTIONS(2073),
    [sym_keyword_limit] = ACTIONS(2073),
    [sym_keyword_primary] = ACTIONS(2073),
    [sym_keyword_create] = ACTIONS(2073),
    [sym_keyword_as] = ACTIONS(2075),
    [sym_keyword_constraint] = ACTIONS(2073),
    [sym_keyword_separator] = ACTIONS(2073),
    [sym_keyword_when] = ACTIONS(2073),
    [sym_keyword_then] = ACTIONS(2073),
    [sym_keyword_else] = ACTIONS(2073),
    [sym_keyword_end] = ACTIONS(2073),
    [sym_keyword_in] = ACTIONS(2073),
    [sym_keyword_and] = ACTIONS(2073),
    [sym_keyword_or] = ACTIONS(2073),
    [sym_keyword_is] = ACTIONS(2073),
    [sym_keyword_not] = ACTIONS(2073),
    [sym_keyword_using] = ACTIONS(2073),
    [sym_keyword_auto_increment] = ACTIONS(2073),
    [sym_keyword_generated] = ACTIONS(2073),
    [sym_keyword_default] = ACTIONS(2073),
    [sym_keyword_with] = ACTIONS(2073),
    [sym_keyword_returning] = ACTIONS(2073),
    [sym_keyword_first] = ACTIONS(2073),
    [sym_keyword_after] = ACTIONS(2073),
    [sym_keyword_range] = ACTIONS(2073),
    [sym_keyword_rows] = ACTIONS(2073),
    [sym_keyword_groups] = ACTIONS(2073),
    [sym_keyword_between] = ACTIONS(2073),
    [sym_keyword_preceding] = ACTIONS(2073),
    [sym_keyword_following] = ACTIONS(2073),
    [sym_keyword_unique] = ACTIONS(2073),
    [sym_keyword_references] = ACTIONS(2073),
    [aux_sym_keyword_like_token1] = ACTIONS(2073),
    [aux_sym_keyword_like_token2] = ACTIONS(2073),
    [sym_keyword_similar] = ACTIONS(2073),
    [sym_keyword_check] = ACTIONS(2073),
    [sym_keyword_stored] = ACTIONS(2073),
    [sym_keyword_virtual] = ACTIONS(2073),
    [sym_keyword_comment] = ACTIONS(2073),
    [sym_keyword_null] = ACTIONS(2073),
    [sym_keyword_array] = ACTIONS(2073),
    [anon_sym_LBRACK] = ACTIONS(2073),
    [anon_sym_RBRACK] = ACTIONS(2073),
    [anon_sym_LPAREN] = ACTIONS(2118),
    [anon_sym_RPAREN] = ACTIONS(2073),
    [anon_sym_COMMA] = ACTIONS(2073),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2073),
    [anon_sym_STAR] = ACTIONS(2073),
    [anon_sym_COLON_COLON] = ACTIONS(2073),
    [anon_sym_LT] = ACTIONS(2075),
    [anon_sym_GT] = ACTIONS(2075),
    [anon_sym_LT_EQ] = ACTIONS(2073),
    [anon_sym_GT_EQ] = ACTIONS(2073),
    [anon_sym_COLON] = ACTIONS(2075),
    [sym_op_other] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2073),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_SLASH] = ACTIONS(2075),
    [anon_sym_PERCENT] = ACTIONS(2073),
    [anon_sym_CARET] = ACTIONS(2075),
    [anon_sym_BANG_EQ] = ACTIONS(2073),
    [anon_sym_LT_GT] = ACTIONS(2073),
  },
  [202] = {
    [ts_builtin_sym_end] = ACTIONS(1825),
    [anon_sym_SEMI] = ACTIONS(1825),
    [sym_keyword_from] = ACTIONS(1825),
    [sym_keyword_on] = ACTIONS(1825),
    [sym_keyword_where] = ACTIONS(1825),
    [sym_keyword_desc] = ACTIONS(1825),
    [sym_keyword_asc] = ACTIONS(1825),
    [sym_keyword_limit] = ACTIONS(1825),
    [sym_keyword_primary] = ACTIONS(1825),
    [sym_keyword_create] = ACTIONS(1825),
    [sym_keyword_as] = ACTIONS(1827),
    [sym_keyword_constraint] = ACTIONS(1825),
    [sym_keyword_separator] = ACTIONS(1825),
    [sym_keyword_when] = ACTIONS(1825),
    [sym_keyword_then] = ACTIONS(1825),
    [sym_keyword_else] = ACTIONS(1825),
    [sym_keyword_end] = ACTIONS(1825),
    [sym_keyword_in] = ACTIONS(1825),
    [sym_keyword_and] = ACTIONS(1825),
    [sym_keyword_or] = ACTIONS(1825),
    [sym_keyword_is] = ACTIONS(1825),
    [sym_keyword_not] = ACTIONS(1825),
    [sym_keyword_using] = ACTIONS(1825),
    [sym_keyword_auto_increment] = ACTIONS(1825),
    [sym_keyword_generated] = ACTIONS(1825),
    [sym_keyword_default] = ACTIONS(1825),
    [sym_keyword_with] = ACTIONS(1825),
    [sym_keyword_returning] = ACTIONS(1825),
    [sym_keyword_first] = ACTIONS(1825),
    [sym_keyword_after] = ACTIONS(1825),
    [sym_keyword_range] = ACTIONS(1825),
    [sym_keyword_rows] = ACTIONS(1825),
    [sym_keyword_groups] = ACTIONS(1825),
    [sym_keyword_between] = ACTIONS(1825),
    [sym_keyword_preceding] = ACTIONS(1825),
    [sym_keyword_following] = ACTIONS(1825),
    [sym_keyword_unique] = ACTIONS(1825),
    [sym_keyword_references] = ACTIONS(1825),
    [aux_sym_keyword_like_token1] = ACTIONS(1825),
    [aux_sym_keyword_like_token2] = ACTIONS(1825),
    [sym_keyword_similar] = ACTIONS(1825),
    [sym_keyword_check] = ACTIONS(1825),
    [sym_keyword_stored] = ACTIONS(1825),
    [sym_keyword_virtual] = ACTIONS(1825),
    [sym_keyword_comment] = ACTIONS(1825),
    [sym_keyword_null] = ACTIONS(1825),
    [sym_keyword_array] = ACTIONS(1825),
    [anon_sym_LBRACK] = ACTIONS(1825),
    [anon_sym_RBRACK] = ACTIONS(1825),
    [anon_sym_LPAREN] = ACTIONS(1973),
    [anon_sym_RPAREN] = ACTIONS(1825),
    [anon_sym_COMMA] = ACTIONS(1825),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1825),
    [anon_sym_STAR] = ACTIONS(1825),
    [anon_sym_COLON_COLON] = ACTIONS(1825),
    [anon_sym_LT] = ACTIONS(1827),
    [anon_sym_GT] = ACTIONS(1827),
    [anon_sym_LT_EQ] = ACTIONS(1825),
    [anon_sym_GT_EQ] = ACTIONS(1825),
    [anon_sym_COLON] = ACTIONS(1827),
    [sym_op_other] = ACTIONS(1825),
    [anon_sym_PLUS] = ACTIONS(1825),
    [anon_sym_DASH] = ACTIONS(1827),
    [anon_sym_SLASH] = ACTIONS(1827),
    [anon_sym_PERCENT] = ACTIONS(1825),
    [anon_sym_CARET] = ACTIONS(1827),
    [anon_sym_BANG_EQ] = ACTIONS(1825),
    [anon_sym_LT_GT] = ACTIONS(1825),
  },
  [203] = {
    [ts_builtin_sym_end] = ACTIONS(2120),
    [anon_sym_SEMI] = ACTIONS(2120),
    [sym_keyword_from] = ACTIONS(2120),
    [sym_keyword_on] = ACTIONS(2120),
    [sym_keyword_where] = ACTIONS(2120),
    [sym_keyword_desc] = ACTIONS(2120),
    [sym_keyword_asc] = ACTIONS(2120),
    [sym_keyword_limit] = ACTIONS(2120),
    [sym_keyword_primary] = ACTIONS(2120),
    [sym_keyword_create] = ACTIONS(2120),
    [sym_keyword_as] = ACTIONS(2122),
    [sym_keyword_constraint] = ACTIONS(2120),
    [sym_keyword_separator] = ACTIONS(2120),
    [sym_keyword_when] = ACTIONS(2120),
    [sym_keyword_then] = ACTIONS(2120),
    [sym_keyword_else] = ACTIONS(2120),
    [sym_keyword_end] = ACTIONS(2120),
    [sym_keyword_in] = ACTIONS(2120),
    [sym_keyword_and] = ACTIONS(2120),
    [sym_keyword_or] = ACTIONS(2120),
    [sym_keyword_is] = ACTIONS(2120),
    [sym_keyword_not] = ACTIONS(2120),
    [sym_keyword_using] = ACTIONS(2120),
    [sym_keyword_auto_increment] = ACTIONS(2120),
    [sym_keyword_generated] = ACTIONS(2120),
    [sym_keyword_default] = ACTIONS(2120),
    [sym_keyword_with] = ACTIONS(2120),
    [sym_keyword_returning] = ACTIONS(2120),
    [sym_keyword_first] = ACTIONS(2120),
    [sym_keyword_after] = ACTIONS(2120),
    [sym_keyword_range] = ACTIONS(2120),
    [sym_keyword_rows] = ACTIONS(2120),
    [sym_keyword_groups] = ACTIONS(2120),
    [sym_keyword_between] = ACTIONS(2120),
    [sym_keyword_preceding] = ACTIONS(2120),
    [sym_keyword_following] = ACTIONS(2120),
    [sym_keyword_unique] = ACTIONS(2120),
    [sym_keyword_references] = ACTIONS(2120),
    [aux_sym_keyword_like_token1] = ACTIONS(2120),
    [aux_sym_keyword_like_token2] = ACTIONS(2120),
    [sym_keyword_similar] = ACTIONS(2120),
    [sym_keyword_check] = ACTIONS(2120),
    [sym_keyword_stored] = ACTIONS(2120),
    [sym_keyword_virtual] = ACTIONS(2120),
    [sym_keyword_comment] = ACTIONS(2120),
    [sym_keyword_null] = ACTIONS(2120),
    [sym_keyword_array] = ACTIONS(2120),
    [anon_sym_LBRACK] = ACTIONS(2120),
    [anon_sym_RBRACK] = ACTIONS(2120),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_RPAREN] = ACTIONS(2120),
    [anon_sym_COMMA] = ACTIONS(2120),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2120),
    [anon_sym_STAR] = ACTIONS(2120),
    [anon_sym_COLON_COLON] = ACTIONS(2120),
    [anon_sym_LT] = ACTIONS(2122),
    [anon_sym_GT] = ACTIONS(2122),
    [anon_sym_LT_EQ] = ACTIONS(2120),
    [anon_sym_GT_EQ] = ACTIONS(2120),
    [anon_sym_COLON] = ACTIONS(2122),
    [sym_op_other] = ACTIONS(2120),
    [anon_sym_PLUS] = ACTIONS(2120),
    [anon_sym_DASH] = ACTIONS(2122),
    [anon_sym_SLASH] = ACTIONS(2122),
    [anon_sym_PERCENT] = ACTIONS(2120),
    [anon_sym_CARET] = ACTIONS(2122),
    [anon_sym_BANG_EQ] = ACTIONS(2120),
    [anon_sym_LT_GT] = ACTIONS(2120),
  },
  [204] = {
    [ts_builtin_sym_end] = ACTIONS(2126),
    [anon_sym_SEMI] = ACTIONS(2126),
    [sym_keyword_from] = ACTIONS(2126),
    [sym_keyword_on] = ACTIONS(2126),
    [sym_keyword_where] = ACTIONS(2126),
    [sym_keyword_desc] = ACTIONS(2126),
    [sym_keyword_asc] = ACTIONS(2126),
    [sym_keyword_limit] = ACTIONS(2126),
    [sym_keyword_primary] = ACTIONS(2126),
    [sym_keyword_create] = ACTIONS(2126),
    [sym_keyword_as] = ACTIONS(2128),
    [sym_keyword_constraint] = ACTIONS(2126),
    [sym_keyword_separator] = ACTIONS(2126),
    [sym_keyword_when] = ACTIONS(2126),
    [sym_keyword_then] = ACTIONS(2126),
    [sym_keyword_else] = ACTIONS(2126),
    [sym_keyword_end] = ACTIONS(2126),
    [sym_keyword_in] = ACTIONS(2126),
    [sym_keyword_and] = ACTIONS(2126),
    [sym_keyword_or] = ACTIONS(2126),
    [sym_keyword_is] = ACTIONS(2126),
    [sym_keyword_not] = ACTIONS(2126),
    [sym_keyword_using] = ACTIONS(2126),
    [sym_keyword_auto_increment] = ACTIONS(2126),
    [sym_keyword_generated] = ACTIONS(2126),
    [sym_keyword_default] = ACTIONS(2126),
    [sym_keyword_with] = ACTIONS(2126),
    [sym_keyword_returning] = ACTIONS(2126),
    [sym_keyword_first] = ACTIONS(2126),
    [sym_keyword_after] = ACTIONS(2126),
    [sym_keyword_range] = ACTIONS(2126),
    [sym_keyword_rows] = ACTIONS(2126),
    [sym_keyword_groups] = ACTIONS(2126),
    [sym_keyword_between] = ACTIONS(2126),
    [sym_keyword_preceding] = ACTIONS(2126),
    [sym_keyword_following] = ACTIONS(2126),
    [sym_keyword_unique] = ACTIONS(2126),
    [sym_keyword_references] = ACTIONS(2126),
    [aux_sym_keyword_like_token1] = ACTIONS(2126),
    [aux_sym_keyword_like_token2] = ACTIONS(2126),
    [sym_keyword_similar] = ACTIONS(2126),
    [sym_keyword_check] = ACTIONS(2126),
    [sym_keyword_stored] = ACTIONS(2126),
    [sym_keyword_virtual] = ACTIONS(2126),
    [sym_keyword_comment] = ACTIONS(2126),
    [sym_keyword_null] = ACTIONS(2126),
    [sym_keyword_array] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2126),
    [anon_sym_RBRACK] = ACTIONS(2126),
    [anon_sym_LPAREN] = ACTIONS(2130),
    [anon_sym_RPAREN] = ACTIONS(2126),
    [anon_sym_COMMA] = ACTIONS(2126),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2126),
    [anon_sym_STAR] = ACTIONS(2126),
    [anon_sym_COLON_COLON] = ACTIONS(2126),
    [anon_sym_LT] = ACTIONS(2128),
    [anon_sym_GT] = ACTIONS(2128),
    [anon_sym_LT_EQ] = ACTIONS(2126),
    [anon_sym_GT_EQ] = ACTIONS(2126),
    [anon_sym_COLON] = ACTIONS(2128),
    [sym_op_other] = ACTIONS(2126),
    [anon_sym_PLUS] = ACTIONS(2126),
    [anon_sym_DASH] = ACTIONS(2128),
    [anon_sym_SLASH] = ACTIONS(2128),
    [anon_sym_PERCENT] = ACTIONS(2126),
    [anon_sym_CARET] = ACTIONS(2128),
    [anon_sym_BANG_EQ] = ACTIONS(2126),
    [anon_sym_LT_GT] = ACTIONS(2126),
  },
  [205] = {
    [ts_builtin_sym_end] = ACTIONS(2132),
    [anon_sym_SEMI] = ACTIONS(2132),
    [sym_keyword_from] = ACTIONS(2132),
    [sym_keyword_on] = ACTIONS(2132),
    [sym_keyword_where] = ACTIONS(2132),
    [sym_keyword_desc] = ACTIONS(2132),
    [sym_keyword_asc] = ACTIONS(2132),
    [sym_keyword_limit] = ACTIONS(2132),
    [sym_keyword_primary] = ACTIONS(2132),
    [sym_keyword_create] = ACTIONS(2132),
    [sym_keyword_as] = ACTIONS(2134),
    [sym_keyword_constraint] = ACTIONS(2132),
    [sym_keyword_separator] = ACTIONS(2132),
    [sym_keyword_when] = ACTIONS(2132),
    [sym_keyword_then] = ACTIONS(2132),
    [sym_keyword_else] = ACTIONS(2132),
    [sym_keyword_end] = ACTIONS(2132),
    [sym_keyword_in] = ACTIONS(2132),
    [sym_keyword_and] = ACTIONS(2132),
    [sym_keyword_or] = ACTIONS(2132),
    [sym_keyword_is] = ACTIONS(2132),
    [sym_keyword_not] = ACTIONS(2132),
    [sym_keyword_using] = ACTIONS(2132),
    [sym_keyword_auto_increment] = ACTIONS(2132),
    [sym_keyword_generated] = ACTIONS(2132),
    [sym_keyword_default] = ACTIONS(2132),
    [sym_keyword_with] = ACTIONS(2132),
    [sym_keyword_returning] = ACTIONS(2132),
    [sym_keyword_first] = ACTIONS(2132),
    [sym_keyword_after] = ACTIONS(2132),
    [sym_keyword_range] = ACTIONS(2132),
    [sym_keyword_rows] = ACTIONS(2132),
    [sym_keyword_groups] = ACTIONS(2132),
    [sym_keyword_between] = ACTIONS(2132),
    [sym_keyword_preceding] = ACTIONS(2132),
    [sym_keyword_following] = ACTIONS(2132),
    [sym_keyword_unique] = ACTIONS(2132),
    [sym_keyword_references] = ACTIONS(2132),
    [aux_sym_keyword_like_token1] = ACTIONS(2132),
    [aux_sym_keyword_like_token2] = ACTIONS(2132),
    [sym_keyword_similar] = ACTIONS(2132),
    [sym_keyword_check] = ACTIONS(2132),
    [sym_keyword_stored] = ACTIONS(2132),
    [sym_keyword_virtual] = ACTIONS(2132),
    [sym_keyword_comment] = ACTIONS(2132),
    [sym_keyword_null] = ACTIONS(2132),
    [sym_keyword_array] = ACTIONS(2132),
    [anon_sym_LBRACK] = ACTIONS(2132),
    [anon_sym_RBRACK] = ACTIONS(2132),
    [anon_sym_LPAREN] = ACTIONS(2136),
    [anon_sym_RPAREN] = ACTIONS(2132),
    [anon_sym_COMMA] = ACTIONS(2132),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2132),
    [anon_sym_STAR] = ACTIONS(2132),
    [anon_sym_COLON_COLON] = ACTIONS(2132),
    [anon_sym_LT] = ACTIONS(2134),
    [anon_sym_GT] = ACTIONS(2134),
    [anon_sym_LT_EQ] = ACTIONS(2132),
    [anon_sym_GT_EQ] = ACTIONS(2132),
    [anon_sym_COLON] = ACTIONS(2134),
    [sym_op_other] = ACTIONS(2132),
    [anon_sym_PLUS] = ACTIONS(2132),
    [anon_sym_DASH] = ACTIONS(2134),
    [anon_sym_SLASH] = ACTIONS(2134),
    [anon_sym_PERCENT] = ACTIONS(2132),
    [anon_sym_CARET] = ACTIONS(2134),
    [anon_sym_BANG_EQ] = ACTIONS(2132),
    [anon_sym_LT_GT] = ACTIONS(2132),
  },
  [206] = {
    [ts_builtin_sym_end] = ACTIONS(2098),
    [anon_sym_SEMI] = ACTIONS(2098),
    [sym_keyword_from] = ACTIONS(2098),
    [sym_keyword_on] = ACTIONS(2098),
    [sym_keyword_where] = ACTIONS(2098),
    [sym_keyword_desc] = ACTIONS(2098),
    [sym_keyword_asc] = ACTIONS(2098),
    [sym_keyword_limit] = ACTIONS(2098),
    [sym_keyword_primary] = ACTIONS(2098),
    [sym_keyword_create] = ACTIONS(2098),
    [sym_keyword_as] = ACTIONS(2100),
    [sym_keyword_constraint] = ACTIONS(2098),
    [sym_keyword_separator] = ACTIONS(2098),
    [sym_keyword_when] = ACTIONS(2098),
    [sym_keyword_then] = ACTIONS(2098),
    [sym_keyword_else] = ACTIONS(2098),
    [sym_keyword_end] = ACTIONS(2098),
    [sym_keyword_in] = ACTIONS(2098),
    [sym_keyword_and] = ACTIONS(2098),
    [sym_keyword_or] = ACTIONS(2098),
    [sym_keyword_is] = ACTIONS(2098),
    [sym_keyword_not] = ACTIONS(2098),
    [sym_keyword_using] = ACTIONS(2098),
    [sym_keyword_auto_increment] = ACTIONS(2098),
    [sym_keyword_generated] = ACTIONS(2098),
    [sym_keyword_default] = ACTIONS(2098),
    [sym_keyword_with] = ACTIONS(2098),
    [sym_keyword_returning] = ACTIONS(2098),
    [sym_keyword_first] = ACTIONS(2098),
    [sym_keyword_after] = ACTIONS(2098),
    [sym_keyword_range] = ACTIONS(2098),
    [sym_keyword_rows] = ACTIONS(2098),
    [sym_keyword_groups] = ACTIONS(2098),
    [sym_keyword_between] = ACTIONS(2098),
    [sym_keyword_preceding] = ACTIONS(2098),
    [sym_keyword_following] = ACTIONS(2098),
    [sym_keyword_unique] = ACTIONS(2098),
    [sym_keyword_references] = ACTIONS(2098),
    [aux_sym_keyword_like_token1] = ACTIONS(2098),
    [aux_sym_keyword_like_token2] = ACTIONS(2098),
    [sym_keyword_similar] = ACTIONS(2098),
    [sym_keyword_zerofill] = ACTIONS(2138),
    [sym_keyword_check] = ACTIONS(2098),
    [sym_keyword_stored] = ACTIONS(2098),
    [sym_keyword_virtual] = ACTIONS(2098),
    [sym_keyword_comment] = ACTIONS(2098),
    [sym_keyword_null] = ACTIONS(2098),
    [sym_keyword_array] = ACTIONS(2098),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_RBRACK] = ACTIONS(2098),
    [anon_sym_RPAREN] = ACTIONS(2098),
    [anon_sym_COMMA] = ACTIONS(2098),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2098),
    [anon_sym_STAR] = ACTIONS(2098),
    [anon_sym_COLON_COLON] = ACTIONS(2098),
    [anon_sym_LT] = ACTIONS(2100),
    [anon_sym_GT] = ACTIONS(2100),
    [anon_sym_LT_EQ] = ACTIONS(2098),
    [anon_sym_GT_EQ] = ACTIONS(2098),
    [anon_sym_COLON] = ACTIONS(2100),
    [sym_op_other] = ACTIONS(2098),
    [anon_sym_PLUS] = ACTIONS(2098),
    [anon_sym_DASH] = ACTIONS(2100),
    [anon_sym_SLASH] = ACTIONS(2100),
    [anon_sym_PERCENT] = ACTIONS(2098),
    [anon_sym_CARET] = ACTIONS(2100),
    [anon_sym_BANG_EQ] = ACTIONS(2098),
    [anon_sym_LT_GT] = ACTIONS(2098),
  },
  [207] = {
    [ts_builtin_sym_end] = ACTIONS(1825),
    [anon_sym_SEMI] = ACTIONS(1825),
    [sym_keyword_from] = ACTIONS(1825),
    [sym_keyword_on] = ACTIONS(1825),
    [sym_keyword_where] = ACTIONS(1825),
    [sym_keyword_desc] = ACTIONS(1825),
    [sym_keyword_asc] = ACTIONS(1825),
    [sym_keyword_limit] = ACTIONS(1825),
    [sym_keyword_primary] = ACTIONS(1825),
    [sym_keyword_create] = ACTIONS(1825),
    [sym_keyword_as] = ACTIONS(1827),
    [sym_keyword_constraint] = ACTIONS(1825),
    [sym_keyword_separator] = ACTIONS(1825),
    [sym_keyword_when] = ACTIONS(1825),
    [sym_keyword_then] = ACTIONS(1825),
    [sym_keyword_else] = ACTIONS(1825),
    [sym_keyword_end] = ACTIONS(1825),
    [sym_keyword_in] = ACTIONS(1825),
    [sym_keyword_and] = ACTIONS(1825),
    [sym_keyword_or] = ACTIONS(1825),
    [sym_keyword_is] = ACTIONS(1825),
    [sym_keyword_not] = ACTIONS(1825),
    [sym_keyword_using] = ACTIONS(1825),
    [sym_keyword_auto_increment] = ACTIONS(1825),
    [sym_keyword_generated] = ACTIONS(1825),
    [sym_keyword_default] = ACTIONS(1825),
    [sym_keyword_with] = ACTIONS(1825),
    [sym_keyword_returning] = ACTIONS(1825),
    [sym_keyword_first] = ACTIONS(1825),
    [sym_keyword_after] = ACTIONS(1825),
    [sym_keyword_range] = ACTIONS(1825),
    [sym_keyword_rows] = ACTIONS(1825),
    [sym_keyword_groups] = ACTIONS(1825),
    [sym_keyword_between] = ACTIONS(1825),
    [sym_keyword_preceding] = ACTIONS(1825),
    [sym_keyword_following] = ACTIONS(1825),
    [sym_keyword_unique] = ACTIONS(1825),
    [sym_keyword_references] = ACTIONS(1825),
    [aux_sym_keyword_like_token1] = ACTIONS(1825),
    [aux_sym_keyword_like_token2] = ACTIONS(1825),
    [sym_keyword_similar] = ACTIONS(1825),
    [sym_keyword_zerofill] = ACTIONS(1831),
    [sym_keyword_check] = ACTIONS(1825),
    [sym_keyword_stored] = ACTIONS(1825),
    [sym_keyword_virtual] = ACTIONS(1825),
    [sym_keyword_comment] = ACTIONS(1825),
    [sym_keyword_null] = ACTIONS(1825),
    [sym_keyword_array] = ACTIONS(1825),
    [anon_sym_LBRACK] = ACTIONS(1825),
    [anon_sym_RBRACK] = ACTIONS(1825),
    [anon_sym_RPAREN] = ACTIONS(1825),
    [anon_sym_COMMA] = ACTIONS(1825),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1825),
    [anon_sym_STAR] = ACTIONS(1825),
    [anon_sym_COLON_COLON] = ACTIONS(1825),
    [anon_sym_LT] = ACTIONS(1827),
    [anon_sym_GT] = ACTIONS(1827),
    [anon_sym_LT_EQ] = ACTIONS(1825),
    [anon_sym_GT_EQ] = ACTIONS(1825),
    [anon_sym_COLON] = ACTIONS(1827),
    [sym_op_other] = ACTIONS(1825),
    [anon_sym_PLUS] = ACTIONS(1825),
    [anon_sym_DASH] = ACTIONS(1827),
    [anon_sym_SLASH] = ACTIONS(1827),
    [anon_sym_PERCENT] = ACTIONS(1825),
    [anon_sym_CARET] = ACTIONS(1827),
    [anon_sym_BANG_EQ] = ACTIONS(1825),
    [anon_sym_LT_GT] = ACTIONS(1825),
  },
  [208] = {
    [ts_builtin_sym_end] = ACTIONS(2015),
    [anon_sym_SEMI] = ACTIONS(2015),
    [sym_keyword_from] = ACTIONS(2015),
    [sym_keyword_on] = ACTIONS(2015),
    [sym_keyword_where] = ACTIONS(2015),
    [sym_keyword_desc] = ACTIONS(2015),
    [sym_keyword_asc] = ACTIONS(2015),
    [sym_keyword_limit] = ACTIONS(2015),
    [sym_keyword_primary] = ACTIONS(2015),
    [sym_keyword_create] = ACTIONS(2015),
    [sym_keyword_as] = ACTIONS(2017),
    [sym_keyword_constraint] = ACTIONS(2015),
    [sym_keyword_separator] = ACTIONS(2015),
    [sym_keyword_when] = ACTIONS(2015),
    [sym_keyword_then] = ACTIONS(2015),
    [sym_keyword_else] = ACTIONS(2015),
    [sym_keyword_end] = ACTIONS(2015),
    [sym_keyword_in] = ACTIONS(2015),
    [sym_keyword_and] = ACTIONS(2015),
    [sym_keyword_or] = ACTIONS(2015),
    [sym_keyword_is] = ACTIONS(2015),
    [sym_keyword_not] = ACTIONS(2015),
    [sym_keyword_using] = ACTIONS(2015),
    [sym_keyword_auto_increment] = ACTIONS(2015),
    [sym_keyword_generated] = ACTIONS(2015),
    [sym_keyword_default] = ACTIONS(2015),
    [sym_keyword_with] = ACTIONS(2015),
    [sym_keyword_returning] = ACTIONS(2015),
    [sym_keyword_first] = ACTIONS(2015),
    [sym_keyword_after] = ACTIONS(2015),
    [sym_keyword_range] = ACTIONS(2015),
    [sym_keyword_rows] = ACTIONS(2015),
    [sym_keyword_groups] = ACTIONS(2015),
    [sym_keyword_between] = ACTIONS(2015),
    [sym_keyword_preceding] = ACTIONS(2015),
    [sym_keyword_following] = ACTIONS(2015),
    [sym_keyword_unique] = ACTIONS(2015),
    [sym_keyword_references] = ACTIONS(2015),
    [aux_sym_keyword_like_token1] = ACTIONS(2015),
    [aux_sym_keyword_like_token2] = ACTIONS(2015),
    [sym_keyword_similar] = ACTIONS(2015),
    [sym_keyword_check] = ACTIONS(2015),
    [sym_keyword_stored] = ACTIONS(2015),
    [sym_keyword_virtual] = ACTIONS(2015),
    [sym_keyword_comment] = ACTIONS(2015),
    [sym_keyword_null] = ACTIONS(2015),
    [sym_keyword_array] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(2015),
    [anon_sym_RBRACK] = ACTIONS(2015),
    [anon_sym_LPAREN] = ACTIONS(2015),
    [anon_sym_RPAREN] = ACTIONS(2015),
    [anon_sym_COMMA] = ACTIONS(2015),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2015),
    [anon_sym_STAR] = ACTIONS(2015),
    [anon_sym_COLON_COLON] = ACTIONS(2015),
    [anon_sym_LT] = ACTIONS(2017),
    [anon_sym_GT] = ACTIONS(2017),
    [anon_sym_LT_EQ] = ACTIONS(2015),
    [anon_sym_GT_EQ] = ACTIONS(2015),
    [anon_sym_COLON] = ACTIONS(2017),
    [sym_op_other] = ACTIONS(2015),
    [anon_sym_PLUS] = ACTIONS(2015),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_SLASH] = ACTIONS(2017),
    [anon_sym_PERCENT] = ACTIONS(2015),
    [anon_sym_CARET] = ACTIONS(2017),
    [anon_sym_BANG_EQ] = ACTIONS(2015),
    [anon_sym_LT_GT] = ACTIONS(2015),
  },
  [209] = {
    [ts_builtin_sym_end] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [sym_keyword_from] = ACTIONS(2140),
    [sym_keyword_on] = ACTIONS(2140),
    [sym_keyword_where] = ACTIONS(2140),
    [sym_keyword_desc] = ACTIONS(2140),
    [sym_keyword_asc] = ACTIONS(2140),
    [sym_keyword_limit] = ACTIONS(2140),
    [sym_keyword_primary] = ACTIONS(2140),
    [sym_keyword_create] = ACTIONS(2140),
    [sym_keyword_as] = ACTIONS(2142),
    [sym_keyword_constraint] = ACTIONS(2140),
    [sym_keyword_separator] = ACTIONS(2140),
    [sym_keyword_when] = ACTIONS(2140),
    [sym_keyword_then] = ACTIONS(2140),
    [sym_keyword_else] = ACTIONS(2140),
    [sym_keyword_end] = ACTIONS(2140),
    [sym_keyword_in] = ACTIONS(2140),
    [sym_keyword_and] = ACTIONS(2140),
    [sym_keyword_or] = ACTIONS(2140),
    [sym_keyword_is] = ACTIONS(2140),
    [sym_keyword_not] = ACTIONS(2140),
    [sym_keyword_using] = ACTIONS(2140),
    [sym_keyword_auto_increment] = ACTIONS(2140),
    [sym_keyword_generated] = ACTIONS(2140),
    [sym_keyword_default] = ACTIONS(2140),
    [sym_keyword_with] = ACTIONS(2140),
    [sym_keyword_returning] = ACTIONS(2140),
    [sym_keyword_first] = ACTIONS(2140),
    [sym_keyword_after] = ACTIONS(2140),
    [sym_keyword_range] = ACTIONS(2140),
    [sym_keyword_rows] = ACTIONS(2140),
    [sym_keyword_groups] = ACTIONS(2140),
    [sym_keyword_between] = ACTIONS(2140),
    [sym_keyword_preceding] = ACTIONS(2140),
    [sym_keyword_following] = ACTIONS(2140),
    [sym_keyword_unique] = ACTIONS(2140),
    [sym_keyword_references] = ACTIONS(2140),
    [aux_sym_keyword_like_token1] = ACTIONS(2140),
    [aux_sym_keyword_like_token2] = ACTIONS(2140),
    [sym_keyword_similar] = ACTIONS(2140),
    [sym_keyword_check] = ACTIONS(2140),
    [sym_keyword_stored] = ACTIONS(2140),
    [sym_keyword_virtual] = ACTIONS(2140),
    [sym_keyword_comment] = ACTIONS(2140),
    [sym_keyword_null] = ACTIONS(2140),
    [sym_keyword_array] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_RBRACK] = ACTIONS(2140),
    [anon_sym_LPAREN] = ACTIONS(2144),
    [anon_sym_RPAREN] = ACTIONS(2140),
    [anon_sym_COMMA] = ACTIONS(2140),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2140),
    [anon_sym_STAR] = ACTIONS(2140),
    [anon_sym_COLON_COLON] = ACTIONS(2140),
    [anon_sym_LT] = ACTIONS(2142),
    [anon_sym_GT] = ACTIONS(2142),
    [anon_sym_LT_EQ] = ACTIONS(2140),
    [anon_sym_GT_EQ] = ACTIONS(2140),
    [anon_sym_COLON] = ACTIONS(2142),
    [sym_op_other] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2140),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_SLASH] = ACTIONS(2142),
    [anon_sym_PERCENT] = ACTIONS(2140),
    [anon_sym_CARET] = ACTIONS(2142),
    [anon_sym_BANG_EQ] = ACTIONS(2140),
    [anon_sym_LT_GT] = ACTIONS(2140),
  },
  [210] = {
    [ts_builtin_sym_end] = ACTIONS(2146),
    [anon_sym_SEMI] = ACTIONS(2146),
    [sym_keyword_from] = ACTIONS(2146),
    [sym_keyword_on] = ACTIONS(2146),
    [sym_keyword_where] = ACTIONS(2146),
    [sym_keyword_desc] = ACTIONS(2146),
    [sym_keyword_asc] = ACTIONS(2146),
    [sym_keyword_limit] = ACTIONS(2146),
    [sym_keyword_primary] = ACTIONS(2146),
    [sym_keyword_create] = ACTIONS(2146),
    [sym_keyword_as] = ACTIONS(2148),
    [sym_keyword_constraint] = ACTIONS(2146),
    [sym_keyword_separator] = ACTIONS(2146),
    [sym_keyword_when] = ACTIONS(2146),
    [sym_keyword_then] = ACTIONS(2146),
    [sym_keyword_else] = ACTIONS(2146),
    [sym_keyword_end] = ACTIONS(2146),
    [sym_keyword_in] = ACTIONS(2146),
    [sym_keyword_and] = ACTIONS(2146),
    [sym_keyword_or] = ACTIONS(2146),
    [sym_keyword_is] = ACTIONS(2146),
    [sym_keyword_not] = ACTIONS(2146),
    [sym_keyword_using] = ACTIONS(2146),
    [sym_keyword_auto_increment] = ACTIONS(2146),
    [sym_keyword_generated] = ACTIONS(2146),
    [sym_keyword_default] = ACTIONS(2146),
    [sym_keyword_with] = ACTIONS(2146),
    [sym_keyword_returning] = ACTIONS(2146),
    [sym_keyword_first] = ACTIONS(2146),
    [sym_keyword_after] = ACTIONS(2146),
    [sym_keyword_range] = ACTIONS(2146),
    [sym_keyword_rows] = ACTIONS(2146),
    [sym_keyword_groups] = ACTIONS(2146),
    [sym_keyword_between] = ACTIONS(2146),
    [sym_keyword_preceding] = ACTIONS(2146),
    [sym_keyword_following] = ACTIONS(2146),
    [sym_keyword_unique] = ACTIONS(2146),
    [sym_keyword_references] = ACTIONS(2146),
    [aux_sym_keyword_like_token1] = ACTIONS(2146),
    [aux_sym_keyword_like_token2] = ACTIONS(2146),
    [sym_keyword_similar] = ACTIONS(2146),
    [sym_keyword_check] = ACTIONS(2146),
    [sym_keyword_stored] = ACTIONS(2146),
    [sym_keyword_virtual] = ACTIONS(2146),
    [sym_keyword_comment] = ACTIONS(2146),
    [sym_keyword_null] = ACTIONS(2146),
    [sym_keyword_array] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2146),
    [anon_sym_RBRACK] = ACTIONS(2146),
    [anon_sym_LPAREN] = ACTIONS(2146),
    [anon_sym_RPAREN] = ACTIONS(2146),
    [anon_sym_COMMA] = ACTIONS(2146),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2146),
    [anon_sym_STAR] = ACTIONS(2146),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LT] = ACTIONS(2148),
    [anon_sym_GT] = ACTIONS(2148),
    [anon_sym_LT_EQ] = ACTIONS(2146),
    [anon_sym_GT_EQ] = ACTIONS(2146),
    [anon_sym_COLON] = ACTIONS(2148),
    [sym_op_other] = ACTIONS(2146),
    [anon_sym_PLUS] = ACTIONS(2146),
    [anon_sym_DASH] = ACTIONS(2148),
    [anon_sym_SLASH] = ACTIONS(2148),
    [anon_sym_PERCENT] = ACTIONS(2146),
    [anon_sym_CARET] = ACTIONS(2148),
    [anon_sym_BANG_EQ] = ACTIONS(2146),
    [anon_sym_LT_GT] = ACTIONS(2146),
  },
  [211] = {
    [ts_builtin_sym_end] = ACTIONS(2150),
    [anon_sym_SEMI] = ACTIONS(2150),
    [sym_keyword_from] = ACTIONS(2150),
    [sym_keyword_on] = ACTIONS(2150),
    [sym_keyword_where] = ACTIONS(2150),
    [sym_keyword_desc] = ACTIONS(2150),
    [sym_keyword_asc] = ACTIONS(2150),
    [sym_keyword_limit] = ACTIONS(2150),
    [sym_keyword_primary] = ACTIONS(2150),
    [sym_keyword_create] = ACTIONS(2150),
    [sym_keyword_as] = ACTIONS(2152),
    [sym_keyword_constraint] = ACTIONS(2150),
    [sym_keyword_separator] = ACTIONS(2150),
    [sym_keyword_when] = ACTIONS(2150),
    [sym_keyword_then] = ACTIONS(2150),
    [sym_keyword_else] = ACTIONS(2150),
    [sym_keyword_end] = ACTIONS(2150),
    [sym_keyword_in] = ACTIONS(2150),
    [sym_keyword_and] = ACTIONS(2150),
    [sym_keyword_or] = ACTIONS(2150),
    [sym_keyword_is] = ACTIONS(2150),
    [sym_keyword_not] = ACTIONS(2150),
    [sym_keyword_using] = ACTIONS(2150),
    [sym_keyword_auto_increment] = ACTIONS(2150),
    [sym_keyword_generated] = ACTIONS(2150),
    [sym_keyword_default] = ACTIONS(2150),
    [sym_keyword_with] = ACTIONS(2150),
    [sym_keyword_returning] = ACTIONS(2150),
    [sym_keyword_first] = ACTIONS(2150),
    [sym_keyword_after] = ACTIONS(2150),
    [sym_keyword_range] = ACTIONS(2150),
    [sym_keyword_rows] = ACTIONS(2150),
    [sym_keyword_groups] = ACTIONS(2150),
    [sym_keyword_between] = ACTIONS(2150),
    [sym_keyword_preceding] = ACTIONS(2150),
    [sym_keyword_following] = ACTIONS(2150),
    [sym_keyword_unique] = ACTIONS(2150),
    [sym_keyword_references] = ACTIONS(2150),
    [aux_sym_keyword_like_token1] = ACTIONS(2150),
    [aux_sym_keyword_like_token2] = ACTIONS(2150),
    [sym_keyword_similar] = ACTIONS(2150),
    [sym_keyword_check] = ACTIONS(2150),
    [sym_keyword_stored] = ACTIONS(2150),
    [sym_keyword_virtual] = ACTIONS(2150),
    [sym_keyword_comment] = ACTIONS(2150),
    [sym_keyword_null] = ACTIONS(2150),
    [sym_keyword_array] = ACTIONS(2150),
    [anon_sym_LBRACK] = ACTIONS(2150),
    [anon_sym_RBRACK] = ACTIONS(2150),
    [anon_sym_LPAREN] = ACTIONS(2154),
    [anon_sym_RPAREN] = ACTIONS(2150),
    [anon_sym_COMMA] = ACTIONS(2150),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2150),
    [anon_sym_STAR] = ACTIONS(2150),
    [anon_sym_COLON_COLON] = ACTIONS(2150),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_GT] = ACTIONS(2152),
    [anon_sym_LT_EQ] = ACTIONS(2150),
    [anon_sym_GT_EQ] = ACTIONS(2150),
    [anon_sym_COLON] = ACTIONS(2152),
    [sym_op_other] = ACTIONS(2150),
    [anon_sym_PLUS] = ACTIONS(2150),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_PERCENT] = ACTIONS(2150),
    [anon_sym_CARET] = ACTIONS(2152),
    [anon_sym_BANG_EQ] = ACTIONS(2150),
    [anon_sym_LT_GT] = ACTIONS(2150),
  },
  [212] = {
    [ts_builtin_sym_end] = ACTIONS(2156),
    [anon_sym_SEMI] = ACTIONS(2156),
    [sym_keyword_from] = ACTIONS(2156),
    [sym_keyword_on] = ACTIONS(2156),
    [sym_keyword_where] = ACTIONS(2156),
    [sym_keyword_desc] = ACTIONS(2156),
    [sym_keyword_asc] = ACTIONS(2156),
    [sym_keyword_limit] = ACTIONS(2156),
    [sym_keyword_primary] = ACTIONS(2156),
    [sym_keyword_create] = ACTIONS(2156),
    [sym_keyword_as] = ACTIONS(2158),
    [sym_keyword_constraint] = ACTIONS(2156),
    [sym_keyword_separator] = ACTIONS(2156),
    [sym_keyword_when] = ACTIONS(2156),
    [sym_keyword_then] = ACTIONS(2156),
    [sym_keyword_else] = ACTIONS(2156),
    [sym_keyword_end] = ACTIONS(2156),
    [sym_keyword_in] = ACTIONS(2156),
    [sym_keyword_and] = ACTIONS(2156),
    [sym_keyword_or] = ACTIONS(2156),
    [sym_keyword_is] = ACTIONS(2156),
    [sym_keyword_not] = ACTIONS(2156),
    [sym_keyword_using] = ACTIONS(2156),
    [sym_keyword_auto_increment] = ACTIONS(2156),
    [sym_keyword_generated] = ACTIONS(2156),
    [sym_keyword_default] = ACTIONS(2156),
    [sym_keyword_with] = ACTIONS(2156),
    [sym_keyword_returning] = ACTIONS(2156),
    [sym_keyword_first] = ACTIONS(2156),
    [sym_keyword_after] = ACTIONS(2156),
    [sym_keyword_range] = ACTIONS(2156),
    [sym_keyword_rows] = ACTIONS(2156),
    [sym_keyword_groups] = ACTIONS(2156),
    [sym_keyword_between] = ACTIONS(2156),
    [sym_keyword_preceding] = ACTIONS(2156),
    [sym_keyword_following] = ACTIONS(2156),
    [sym_keyword_unique] = ACTIONS(2156),
    [sym_keyword_references] = ACTIONS(2156),
    [aux_sym_keyword_like_token1] = ACTIONS(2156),
    [aux_sym_keyword_like_token2] = ACTIONS(2156),
    [sym_keyword_similar] = ACTIONS(2156),
    [sym_keyword_check] = ACTIONS(2156),
    [sym_keyword_stored] = ACTIONS(2156),
    [sym_keyword_virtual] = ACTIONS(2156),
    [sym_keyword_comment] = ACTIONS(2156),
    [sym_keyword_null] = ACTIONS(2156),
    [sym_keyword_array] = ACTIONS(2156),
    [anon_sym_LBRACK] = ACTIONS(2156),
    [anon_sym_RBRACK] = ACTIONS(2156),
    [anon_sym_LPAREN] = ACTIONS(2160),
    [anon_sym_RPAREN] = ACTIONS(2156),
    [anon_sym_COMMA] = ACTIONS(2156),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2156),
    [anon_sym_STAR] = ACTIONS(2156),
    [anon_sym_COLON_COLON] = ACTIONS(2156),
    [anon_sym_LT] = ACTIONS(2158),
    [anon_sym_GT] = ACTIONS(2158),
    [anon_sym_LT_EQ] = ACTIONS(2156),
    [anon_sym_GT_EQ] = ACTIONS(2156),
    [anon_sym_COLON] = ACTIONS(2158),
    [sym_op_other] = ACTIONS(2156),
    [anon_sym_PLUS] = ACTIONS(2156),
    [anon_sym_DASH] = ACTIONS(2158),
    [anon_sym_SLASH] = ACTIONS(2158),
    [anon_sym_PERCENT] = ACTIONS(2156),
    [anon_sym_CARET] = ACTIONS(2158),
    [anon_sym_BANG_EQ] = ACTIONS(2156),
    [anon_sym_LT_GT] = ACTIONS(2156),
  },
  [213] = {
    [ts_builtin_sym_end] = ACTIONS(2162),
    [anon_sym_SEMI] = ACTIONS(2162),
    [sym_keyword_from] = ACTIONS(2162),
    [sym_keyword_on] = ACTIONS(2162),
    [sym_keyword_where] = ACTIONS(2162),
    [sym_keyword_desc] = ACTIONS(2162),
    [sym_keyword_asc] = ACTIONS(2162),
    [sym_keyword_limit] = ACTIONS(2162),
    [sym_keyword_primary] = ACTIONS(2162),
    [sym_keyword_create] = ACTIONS(2162),
    [sym_keyword_as] = ACTIONS(2164),
    [sym_keyword_constraint] = ACTIONS(2162),
    [sym_keyword_separator] = ACTIONS(2162),
    [sym_keyword_when] = ACTIONS(2162),
    [sym_keyword_then] = ACTIONS(2162),
    [sym_keyword_else] = ACTIONS(2162),
    [sym_keyword_end] = ACTIONS(2162),
    [sym_keyword_in] = ACTIONS(2162),
    [sym_keyword_and] = ACTIONS(2162),
    [sym_keyword_or] = ACTIONS(2162),
    [sym_keyword_is] = ACTIONS(2162),
    [sym_keyword_not] = ACTIONS(2162),
    [sym_keyword_using] = ACTIONS(2162),
    [sym_keyword_auto_increment] = ACTIONS(2162),
    [sym_keyword_generated] = ACTIONS(2162),
    [sym_keyword_default] = ACTIONS(2162),
    [sym_keyword_with] = ACTIONS(2162),
    [sym_keyword_returning] = ACTIONS(2162),
    [sym_keyword_first] = ACTIONS(2162),
    [sym_keyword_after] = ACTIONS(2162),
    [sym_keyword_range] = ACTIONS(2162),
    [sym_keyword_rows] = ACTIONS(2162),
    [sym_keyword_groups] = ACTIONS(2162),
    [sym_keyword_between] = ACTIONS(2162),
    [sym_keyword_preceding] = ACTIONS(2162),
    [sym_keyword_following] = ACTIONS(2162),
    [sym_keyword_unique] = ACTIONS(2162),
    [sym_keyword_references] = ACTIONS(2162),
    [aux_sym_keyword_like_token1] = ACTIONS(2162),
    [aux_sym_keyword_like_token2] = ACTIONS(2162),
    [sym_keyword_similar] = ACTIONS(2162),
    [sym_keyword_zerofill] = ACTIONS(2166),
    [sym_keyword_check] = ACTIONS(2162),
    [sym_keyword_stored] = ACTIONS(2162),
    [sym_keyword_virtual] = ACTIONS(2162),
    [sym_keyword_comment] = ACTIONS(2162),
    [sym_keyword_null] = ACTIONS(2162),
    [sym_keyword_array] = ACTIONS(2162),
    [anon_sym_LBRACK] = ACTIONS(2162),
    [anon_sym_RBRACK] = ACTIONS(2162),
    [anon_sym_RPAREN] = ACTIONS(2162),
    [anon_sym_COMMA] = ACTIONS(2162),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(2162),
    [anon_sym_COLON_COLON] = ACTIONS(2162),
    [anon_sym_LT] = ACTIONS(2164),
    [anon_sym_GT] = ACTIONS(2164),
    [anon_sym_LT_EQ] = ACTIONS(2162),
    [anon_sym_GT_EQ] = ACTIONS(2162),
    [anon_sym_COLON] = ACTIONS(2164),
    [sym_op_other] = ACTIONS(2162),
    [anon_sym_PLUS] = ACTIONS(2162),
    [anon_sym_DASH] = ACTIONS(2164),
    [anon_sym_SLASH] = ACTIONS(2164),
    [anon_sym_PERCENT] = ACTIONS(2162),
    [anon_sym_CARET] = ACTIONS(2164),
    [anon_sym_BANG_EQ] = ACTIONS(2162),
    [anon_sym_LT_GT] = ACTIONS(2162),
  },
  [214] = {
    [ts_builtin_sym_end] = ACTIONS(2168),
    [anon_sym_SEMI] = ACTIONS(2168),
    [sym_keyword_from] = ACTIONS(2168),
    [sym_keyword_on] = ACTIONS(2168),
    [sym_keyword_where] = ACTIONS(2168),
    [sym_keyword_desc] = ACTIONS(2168),
    [sym_keyword_asc] = ACTIONS(2168),
    [sym_keyword_limit] = ACTIONS(2168),
    [sym_keyword_primary] = ACTIONS(2168),
    [sym_keyword_create] = ACTIONS(2168),
    [sym_keyword_as] = ACTIONS(2170),
    [sym_keyword_constraint] = ACTIONS(2168),
    [sym_keyword_separator] = ACTIONS(2168),
    [sym_keyword_when] = ACTIONS(2168),
    [sym_keyword_then] = ACTIONS(2168),
    [sym_keyword_else] = ACTIONS(2168),
    [sym_keyword_end] = ACTIONS(2168),
    [sym_keyword_in] = ACTIONS(2168),
    [sym_keyword_and] = ACTIONS(2168),
    [sym_keyword_or] = ACTIONS(2168),
    [sym_keyword_is] = ACTIONS(2168),
    [sym_keyword_not] = ACTIONS(2168),
    [sym_keyword_using] = ACTIONS(2168),
    [sym_keyword_auto_increment] = ACTIONS(2168),
    [sym_keyword_generated] = ACTIONS(2168),
    [sym_keyword_default] = ACTIONS(2168),
    [sym_keyword_with] = ACTIONS(2168),
    [sym_keyword_returning] = ACTIONS(2168),
    [sym_keyword_first] = ACTIONS(2168),
    [sym_keyword_after] = ACTIONS(2168),
    [sym_keyword_range] = ACTIONS(2168),
    [sym_keyword_rows] = ACTIONS(2168),
    [sym_keyword_groups] = ACTIONS(2168),
    [sym_keyword_between] = ACTIONS(2168),
    [sym_keyword_preceding] = ACTIONS(2168),
    [sym_keyword_following] = ACTIONS(2168),
    [sym_keyword_unique] = ACTIONS(2168),
    [sym_keyword_references] = ACTIONS(2168),
    [aux_sym_keyword_like_token1] = ACTIONS(2168),
    [aux_sym_keyword_like_token2] = ACTIONS(2168),
    [sym_keyword_similar] = ACTIONS(2168),
    [sym_keyword_zerofill] = ACTIONS(2172),
    [sym_keyword_check] = ACTIONS(2168),
    [sym_keyword_stored] = ACTIONS(2168),
    [sym_keyword_virtual] = ACTIONS(2168),
    [sym_keyword_comment] = ACTIONS(2168),
    [sym_keyword_null] = ACTIONS(2168),
    [sym_keyword_array] = ACTIONS(2168),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_RBRACK] = ACTIONS(2168),
    [anon_sym_RPAREN] = ACTIONS(2168),
    [anon_sym_COMMA] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2168),
    [anon_sym_STAR] = ACTIONS(2168),
    [anon_sym_COLON_COLON] = ACTIONS(2168),
    [anon_sym_LT] = ACTIONS(2170),
    [anon_sym_GT] = ACTIONS(2170),
    [anon_sym_LT_EQ] = ACTIONS(2168),
    [anon_sym_GT_EQ] = ACTIONS(2168),
    [anon_sym_COLON] = ACTIONS(2170),
    [sym_op_other] = ACTIONS(2168),
    [anon_sym_PLUS] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2170),
    [anon_sym_SLASH] = ACTIONS(2170),
    [anon_sym_PERCENT] = ACTIONS(2168),
    [anon_sym_CARET] = ACTIONS(2170),
    [anon_sym_BANG_EQ] = ACTIONS(2168),
    [anon_sym_LT_GT] = ACTIONS(2168),
  },
  [215] = {
    [ts_builtin_sym_end] = ACTIONS(2174),
    [anon_sym_SEMI] = ACTIONS(2174),
    [sym_keyword_from] = ACTIONS(2174),
    [sym_keyword_on] = ACTIONS(2174),
    [sym_keyword_where] = ACTIONS(2174),
    [sym_keyword_desc] = ACTIONS(2174),
    [sym_keyword_asc] = ACTIONS(2174),
    [sym_keyword_limit] = ACTIONS(2174),
    [sym_keyword_primary] = ACTIONS(2174),
    [sym_keyword_create] = ACTIONS(2174),
    [sym_keyword_as] = ACTIONS(2176),
    [sym_keyword_constraint] = ACTIONS(2174),
    [sym_keyword_separator] = ACTIONS(2174),
    [sym_keyword_when] = ACTIONS(2174),
    [sym_keyword_then] = ACTIONS(2174),
    [sym_keyword_else] = ACTIONS(2174),
    [sym_keyword_end] = ACTIONS(2174),
    [sym_keyword_in] = ACTIONS(2174),
    [sym_keyword_and] = ACTIONS(2174),
    [sym_keyword_or] = ACTIONS(2174),
    [sym_keyword_is] = ACTIONS(2174),
    [sym_keyword_not] = ACTIONS(2174),
    [sym_keyword_using] = ACTIONS(2174),
    [sym_keyword_auto_increment] = ACTIONS(2174),
    [sym_keyword_generated] = ACTIONS(2174),
    [sym_keyword_default] = ACTIONS(2174),
    [sym_keyword_with] = ACTIONS(2174),
    [sym_keyword_returning] = ACTIONS(2174),
    [sym_keyword_first] = ACTIONS(2174),
    [sym_keyword_after] = ACTIONS(2174),
    [sym_keyword_range] = ACTIONS(2174),
    [sym_keyword_rows] = ACTIONS(2174),
    [sym_keyword_groups] = ACTIONS(2174),
    [sym_keyword_between] = ACTIONS(2174),
    [sym_keyword_preceding] = ACTIONS(2174),
    [sym_keyword_following] = ACTIONS(2174),
    [sym_keyword_unique] = ACTIONS(2174),
    [sym_keyword_references] = ACTIONS(2174),
    [aux_sym_keyword_like_token1] = ACTIONS(2174),
    [aux_sym_keyword_like_token2] = ACTIONS(2174),
    [sym_keyword_similar] = ACTIONS(2174),
    [sym_keyword_check] = ACTIONS(2174),
    [sym_keyword_stored] = ACTIONS(2174),
    [sym_keyword_virtual] = ACTIONS(2174),
    [sym_keyword_comment] = ACTIONS(2174),
    [sym_keyword_null] = ACTIONS(2174),
    [sym_keyword_array] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(2174),
    [anon_sym_RBRACK] = ACTIONS(2174),
    [anon_sym_LPAREN] = ACTIONS(2178),
    [anon_sym_RPAREN] = ACTIONS(2174),
    [anon_sym_COMMA] = ACTIONS(2174),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2174),
    [anon_sym_STAR] = ACTIONS(2174),
    [anon_sym_COLON_COLON] = ACTIONS(2174),
    [anon_sym_LT] = ACTIONS(2176),
    [anon_sym_GT] = ACTIONS(2176),
    [anon_sym_LT_EQ] = ACTIONS(2174),
    [anon_sym_GT_EQ] = ACTIONS(2174),
    [anon_sym_COLON] = ACTIONS(2176),
    [sym_op_other] = ACTIONS(2174),
    [anon_sym_PLUS] = ACTIONS(2174),
    [anon_sym_DASH] = ACTIONS(2176),
    [anon_sym_SLASH] = ACTIONS(2176),
    [anon_sym_PERCENT] = ACTIONS(2174),
    [anon_sym_CARET] = ACTIONS(2176),
    [anon_sym_BANG_EQ] = ACTIONS(2174),
    [anon_sym_LT_GT] = ACTIONS(2174),
  },
  [216] = {
    [ts_builtin_sym_end] = ACTIONS(2180),
    [anon_sym_SEMI] = ACTIONS(2180),
    [sym_keyword_from] = ACTIONS(2180),
    [sym_keyword_on] = ACTIONS(2180),
    [sym_keyword_where] = ACTIONS(2180),
    [sym_keyword_desc] = ACTIONS(2180),
    [sym_keyword_asc] = ACTIONS(2180),
    [sym_keyword_limit] = ACTIONS(2180),
    [sym_keyword_primary] = ACTIONS(2180),
    [sym_keyword_create] = ACTIONS(2180),
    [sym_keyword_as] = ACTIONS(2182),
    [sym_keyword_constraint] = ACTIONS(2180),
    [sym_keyword_separator] = ACTIONS(2180),
    [sym_keyword_when] = ACTIONS(2180),
    [sym_keyword_then] = ACTIONS(2180),
    [sym_keyword_else] = ACTIONS(2180),
    [sym_keyword_end] = ACTIONS(2180),
    [sym_keyword_in] = ACTIONS(2180),
    [sym_keyword_and] = ACTIONS(2180),
    [sym_keyword_or] = ACTIONS(2180),
    [sym_keyword_is] = ACTIONS(2180),
    [sym_keyword_not] = ACTIONS(2180),
    [sym_keyword_using] = ACTIONS(2180),
    [sym_keyword_auto_increment] = ACTIONS(2180),
    [sym_keyword_generated] = ACTIONS(2180),
    [sym_keyword_default] = ACTIONS(2180),
    [sym_keyword_with] = ACTIONS(2180),
    [sym_keyword_returning] = ACTIONS(2180),
    [sym_keyword_first] = ACTIONS(2180),
    [sym_keyword_after] = ACTIONS(2180),
    [sym_keyword_range] = ACTIONS(2180),
    [sym_keyword_rows] = ACTIONS(2180),
    [sym_keyword_groups] = ACTIONS(2180),
    [sym_keyword_between] = ACTIONS(2180),
    [sym_keyword_preceding] = ACTIONS(2180),
    [sym_keyword_following] = ACTIONS(2180),
    [sym_keyword_unique] = ACTIONS(2180),
    [sym_keyword_references] = ACTIONS(2180),
    [aux_sym_keyword_like_token1] = ACTIONS(2180),
    [aux_sym_keyword_like_token2] = ACTIONS(2180),
    [sym_keyword_similar] = ACTIONS(2180),
    [sym_keyword_check] = ACTIONS(2180),
    [sym_keyword_stored] = ACTIONS(2180),
    [sym_keyword_virtual] = ACTIONS(2180),
    [sym_keyword_comment] = ACTIONS(2180),
    [sym_keyword_null] = ACTIONS(2180),
    [sym_keyword_array] = ACTIONS(2180),
    [anon_sym_LBRACK] = ACTIONS(2180),
    [anon_sym_RBRACK] = ACTIONS(2180),
    [anon_sym_LPAREN] = ACTIONS(2184),
    [anon_sym_RPAREN] = ACTIONS(2180),
    [anon_sym_COMMA] = ACTIONS(2180),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_GT] = ACTIONS(2182),
    [anon_sym_LT_EQ] = ACTIONS(2180),
    [anon_sym_GT_EQ] = ACTIONS(2180),
    [anon_sym_COLON] = ACTIONS(2182),
    [sym_op_other] = ACTIONS(2180),
    [anon_sym_PLUS] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_PERCENT] = ACTIONS(2180),
    [anon_sym_CARET] = ACTIONS(2182),
    [anon_sym_BANG_EQ] = ACTIONS(2180),
    [anon_sym_LT_GT] = ACTIONS(2180),
  },
  [217] = {
    [ts_builtin_sym_end] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2186),
    [sym_keyword_from] = ACTIONS(2186),
    [sym_keyword_on] = ACTIONS(2186),
    [sym_keyword_where] = ACTIONS(2186),
    [sym_keyword_desc] = ACTIONS(2186),
    [sym_keyword_asc] = ACTIONS(2186),
    [sym_keyword_limit] = ACTIONS(2186),
    [sym_keyword_primary] = ACTIONS(2186),
    [sym_keyword_create] = ACTIONS(2186),
    [sym_keyword_as] = ACTIONS(2188),
    [sym_keyword_constraint] = ACTIONS(2186),
    [sym_keyword_separator] = ACTIONS(2186),
    [sym_keyword_when] = ACTIONS(2186),
    [sym_keyword_then] = ACTIONS(2186),
    [sym_keyword_else] = ACTIONS(2186),
    [sym_keyword_end] = ACTIONS(2186),
    [sym_keyword_in] = ACTIONS(2186),
    [sym_keyword_and] = ACTIONS(2186),
    [sym_keyword_or] = ACTIONS(2186),
    [sym_keyword_is] = ACTIONS(2186),
    [sym_keyword_not] = ACTIONS(2186),
    [sym_keyword_using] = ACTIONS(2186),
    [sym_keyword_auto_increment] = ACTIONS(2186),
    [sym_keyword_generated] = ACTIONS(2186),
    [sym_keyword_default] = ACTIONS(2186),
    [sym_keyword_with] = ACTIONS(2186),
    [sym_keyword_returning] = ACTIONS(2186),
    [sym_keyword_first] = ACTIONS(2186),
    [sym_keyword_after] = ACTIONS(2186),
    [sym_keyword_range] = ACTIONS(2186),
    [sym_keyword_rows] = ACTIONS(2186),
    [sym_keyword_groups] = ACTIONS(2186),
    [sym_keyword_between] = ACTIONS(2186),
    [sym_keyword_preceding] = ACTIONS(2186),
    [sym_keyword_following] = ACTIONS(2186),
    [sym_keyword_unique] = ACTIONS(2186),
    [sym_keyword_references] = ACTIONS(2186),
    [aux_sym_keyword_like_token1] = ACTIONS(2186),
    [aux_sym_keyword_like_token2] = ACTIONS(2186),
    [sym_keyword_similar] = ACTIONS(2186),
    [sym_keyword_check] = ACTIONS(2186),
    [sym_keyword_stored] = ACTIONS(2186),
    [sym_keyword_virtual] = ACTIONS(2186),
    [sym_keyword_comment] = ACTIONS(2186),
    [sym_keyword_null] = ACTIONS(2186),
    [sym_keyword_array] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_RBRACK] = ACTIONS(2186),
    [anon_sym_LPAREN] = ACTIONS(2186),
    [anon_sym_RPAREN] = ACTIONS(2186),
    [anon_sym_COMMA] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2186),
    [anon_sym_LT] = ACTIONS(2188),
    [anon_sym_GT] = ACTIONS(2188),
    [anon_sym_LT_EQ] = ACTIONS(2186),
    [anon_sym_GT_EQ] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(2188),
    [sym_op_other] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_SLASH] = ACTIONS(2188),
    [anon_sym_PERCENT] = ACTIONS(2186),
    [anon_sym_CARET] = ACTIONS(2188),
    [anon_sym_BANG_EQ] = ACTIONS(2186),
    [anon_sym_LT_GT] = ACTIONS(2186),
  },
  [218] = {
    [ts_builtin_sym_end] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [sym_keyword_from] = ACTIONS(2190),
    [sym_keyword_on] = ACTIONS(2190),
    [sym_keyword_where] = ACTIONS(2190),
    [sym_keyword_desc] = ACTIONS(2190),
    [sym_keyword_asc] = ACTIONS(2190),
    [sym_keyword_limit] = ACTIONS(2190),
    [sym_keyword_primary] = ACTIONS(2190),
    [sym_keyword_create] = ACTIONS(2190),
    [sym_keyword_as] = ACTIONS(2192),
    [sym_keyword_constraint] = ACTIONS(2190),
    [sym_keyword_separator] = ACTIONS(2190),
    [sym_keyword_when] = ACTIONS(2190),
    [sym_keyword_then] = ACTIONS(2190),
    [sym_keyword_else] = ACTIONS(2190),
    [sym_keyword_end] = ACTIONS(2190),
    [sym_keyword_in] = ACTIONS(2190),
    [sym_keyword_and] = ACTIONS(2190),
    [sym_keyword_or] = ACTIONS(2190),
    [sym_keyword_is] = ACTIONS(2190),
    [sym_keyword_not] = ACTIONS(2190),
    [sym_keyword_using] = ACTIONS(2190),
    [sym_keyword_auto_increment] = ACTIONS(2190),
    [sym_keyword_generated] = ACTIONS(2190),
    [sym_keyword_default] = ACTIONS(2190),
    [sym_keyword_with] = ACTIONS(2190),
    [sym_keyword_returning] = ACTIONS(2190),
    [sym_keyword_first] = ACTIONS(2190),
    [sym_keyword_after] = ACTIONS(2190),
    [sym_keyword_range] = ACTIONS(2190),
    [sym_keyword_rows] = ACTIONS(2190),
    [sym_keyword_groups] = ACTIONS(2190),
    [sym_keyword_between] = ACTIONS(2190),
    [sym_keyword_preceding] = ACTIONS(2190),
    [sym_keyword_following] = ACTIONS(2190),
    [sym_keyword_unique] = ACTIONS(2190),
    [sym_keyword_references] = ACTIONS(2190),
    [aux_sym_keyword_like_token1] = ACTIONS(2190),
    [aux_sym_keyword_like_token2] = ACTIONS(2190),
    [sym_keyword_similar] = ACTIONS(2190),
    [sym_keyword_zerofill] = ACTIONS(2194),
    [sym_keyword_check] = ACTIONS(2190),
    [sym_keyword_stored] = ACTIONS(2190),
    [sym_keyword_virtual] = ACTIONS(2190),
    [sym_keyword_comment] = ACTIONS(2190),
    [sym_keyword_null] = ACTIONS(2190),
    [sym_keyword_array] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_RBRACK] = ACTIONS(2190),
    [anon_sym_RPAREN] = ACTIONS(2190),
    [anon_sym_COMMA] = ACTIONS(2190),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2190),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2192),
    [anon_sym_GT] = ACTIONS(2192),
    [anon_sym_LT_EQ] = ACTIONS(2190),
    [anon_sym_GT_EQ] = ACTIONS(2190),
    [anon_sym_COLON] = ACTIONS(2192),
    [sym_op_other] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2192),
    [anon_sym_SLASH] = ACTIONS(2192),
    [anon_sym_PERCENT] = ACTIONS(2190),
    [anon_sym_CARET] = ACTIONS(2192),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_LT_GT] = ACTIONS(2190),
  },
  [219] = {
    [ts_builtin_sym_end] = ACTIONS(2196),
    [anon_sym_SEMI] = ACTIONS(2196),
    [sym_keyword_from] = ACTIONS(2196),
    [sym_keyword_on] = ACTIONS(2196),
    [sym_keyword_where] = ACTIONS(2196),
    [sym_keyword_desc] = ACTIONS(2196),
    [sym_keyword_asc] = ACTIONS(2196),
    [sym_keyword_limit] = ACTIONS(2196),
    [sym_keyword_primary] = ACTIONS(2196),
    [sym_keyword_create] = ACTIONS(2196),
    [sym_keyword_as] = ACTIONS(2198),
    [sym_keyword_constraint] = ACTIONS(2196),
    [sym_keyword_separator] = ACTIONS(2196),
    [sym_keyword_when] = ACTIONS(2196),
    [sym_keyword_then] = ACTIONS(2196),
    [sym_keyword_else] = ACTIONS(2196),
    [sym_keyword_end] = ACTIONS(2196),
    [sym_keyword_in] = ACTIONS(2196),
    [sym_keyword_and] = ACTIONS(2196),
    [sym_keyword_or] = ACTIONS(2196),
    [sym_keyword_is] = ACTIONS(2196),
    [sym_keyword_not] = ACTIONS(2196),
    [sym_keyword_using] = ACTIONS(2196),
    [sym_keyword_auto_increment] = ACTIONS(2196),
    [sym_keyword_generated] = ACTIONS(2196),
    [sym_keyword_default] = ACTIONS(2196),
    [sym_keyword_with] = ACTIONS(2196),
    [sym_keyword_returning] = ACTIONS(2196),
    [sym_keyword_first] = ACTIONS(2196),
    [sym_keyword_after] = ACTIONS(2196),
    [sym_keyword_range] = ACTIONS(2196),
    [sym_keyword_rows] = ACTIONS(2196),
    [sym_keyword_groups] = ACTIONS(2196),
    [sym_keyword_between] = ACTIONS(2196),
    [sym_keyword_preceding] = ACTIONS(2196),
    [sym_keyword_following] = ACTIONS(2196),
    [sym_keyword_unique] = ACTIONS(2196),
    [sym_keyword_references] = ACTIONS(2196),
    [aux_sym_keyword_like_token1] = ACTIONS(2196),
    [aux_sym_keyword_like_token2] = ACTIONS(2196),
    [sym_keyword_similar] = ACTIONS(2196),
    [sym_keyword_zerofill] = ACTIONS(2200),
    [sym_keyword_check] = ACTIONS(2196),
    [sym_keyword_stored] = ACTIONS(2196),
    [sym_keyword_virtual] = ACTIONS(2196),
    [sym_keyword_comment] = ACTIONS(2196),
    [sym_keyword_null] = ACTIONS(2196),
    [sym_keyword_array] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2196),
    [anon_sym_RBRACK] = ACTIONS(2196),
    [anon_sym_RPAREN] = ACTIONS(2196),
    [anon_sym_COMMA] = ACTIONS(2196),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2196),
    [anon_sym_STAR] = ACTIONS(2196),
    [anon_sym_COLON_COLON] = ACTIONS(2196),
    [anon_sym_LT] = ACTIONS(2198),
    [anon_sym_GT] = ACTIONS(2198),
    [anon_sym_LT_EQ] = ACTIONS(2196),
    [anon_sym_GT_EQ] = ACTIONS(2196),
    [anon_sym_COLON] = ACTIONS(2198),
    [sym_op_other] = ACTIONS(2196),
    [anon_sym_PLUS] = ACTIONS(2196),
    [anon_sym_DASH] = ACTIONS(2198),
    [anon_sym_SLASH] = ACTIONS(2198),
    [anon_sym_PERCENT] = ACTIONS(2196),
    [anon_sym_CARET] = ACTIONS(2198),
    [anon_sym_BANG_EQ] = ACTIONS(2196),
    [anon_sym_LT_GT] = ACTIONS(2196),
  },
  [220] = {
    [ts_builtin_sym_end] = ACTIONS(2202),
    [anon_sym_SEMI] = ACTIONS(2202),
    [sym_keyword_from] = ACTIONS(2202),
    [sym_keyword_on] = ACTIONS(2202),
    [sym_keyword_where] = ACTIONS(2202),
    [sym_keyword_desc] = ACTIONS(2202),
    [sym_keyword_asc] = ACTIONS(2202),
    [sym_keyword_limit] = ACTIONS(2202),
    [sym_keyword_primary] = ACTIONS(2202),
    [sym_keyword_create] = ACTIONS(2202),
    [sym_keyword_as] = ACTIONS(2204),
    [sym_keyword_constraint] = ACTIONS(2202),
    [sym_keyword_separator] = ACTIONS(2202),
    [sym_keyword_when] = ACTIONS(2202),
    [sym_keyword_then] = ACTIONS(2202),
    [sym_keyword_else] = ACTIONS(2202),
    [sym_keyword_end] = ACTIONS(2202),
    [sym_keyword_in] = ACTIONS(2202),
    [sym_keyword_and] = ACTIONS(2202),
    [sym_keyword_or] = ACTIONS(2202),
    [sym_keyword_is] = ACTIONS(2202),
    [sym_keyword_not] = ACTIONS(2202),
    [sym_keyword_using] = ACTIONS(2202),
    [sym_keyword_auto_increment] = ACTIONS(2202),
    [sym_keyword_generated] = ACTIONS(2202),
    [sym_keyword_default] = ACTIONS(2202),
    [sym_keyword_with] = ACTIONS(2202),
    [sym_keyword_returning] = ACTIONS(2202),
    [sym_keyword_first] = ACTIONS(2202),
    [sym_keyword_after] = ACTIONS(2202),
    [sym_keyword_range] = ACTIONS(2202),
    [sym_keyword_rows] = ACTIONS(2202),
    [sym_keyword_groups] = ACTIONS(2202),
    [sym_keyword_between] = ACTIONS(2202),
    [sym_keyword_preceding] = ACTIONS(2202),
    [sym_keyword_following] = ACTIONS(2202),
    [sym_keyword_unique] = ACTIONS(2202),
    [sym_keyword_references] = ACTIONS(2202),
    [aux_sym_keyword_like_token1] = ACTIONS(2202),
    [aux_sym_keyword_like_token2] = ACTIONS(2202),
    [sym_keyword_similar] = ACTIONS(2202),
    [sym_keyword_zerofill] = ACTIONS(2206),
    [sym_keyword_check] = ACTIONS(2202),
    [sym_keyword_stored] = ACTIONS(2202),
    [sym_keyword_virtual] = ACTIONS(2202),
    [sym_keyword_comment] = ACTIONS(2202),
    [sym_keyword_null] = ACTIONS(2202),
    [sym_keyword_array] = ACTIONS(2202),
    [anon_sym_LBRACK] = ACTIONS(2202),
    [anon_sym_RBRACK] = ACTIONS(2202),
    [anon_sym_RPAREN] = ACTIONS(2202),
    [anon_sym_COMMA] = ACTIONS(2202),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2202),
    [anon_sym_STAR] = ACTIONS(2202),
    [anon_sym_COLON_COLON] = ACTIONS(2202),
    [anon_sym_LT] = ACTIONS(2204),
    [anon_sym_GT] = ACTIONS(2204),
    [anon_sym_LT_EQ] = ACTIONS(2202),
    [anon_sym_GT_EQ] = ACTIONS(2202),
    [anon_sym_COLON] = ACTIONS(2204),
    [sym_op_other] = ACTIONS(2202),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_DASH] = ACTIONS(2204),
    [anon_sym_SLASH] = ACTIONS(2204),
    [anon_sym_PERCENT] = ACTIONS(2202),
    [anon_sym_CARET] = ACTIONS(2204),
    [anon_sym_BANG_EQ] = ACTIONS(2202),
    [anon_sym_LT_GT] = ACTIONS(2202),
  },
  [221] = {
    [ts_builtin_sym_end] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2208),
    [sym_keyword_from] = ACTIONS(2208),
    [sym_keyword_on] = ACTIONS(2208),
    [sym_keyword_where] = ACTIONS(2208),
    [sym_keyword_desc] = ACTIONS(2208),
    [sym_keyword_asc] = ACTIONS(2208),
    [sym_keyword_limit] = ACTIONS(2208),
    [sym_keyword_primary] = ACTIONS(2208),
    [sym_keyword_create] = ACTIONS(2208),
    [sym_keyword_as] = ACTIONS(2210),
    [sym_keyword_constraint] = ACTIONS(2208),
    [sym_keyword_separator] = ACTIONS(2208),
    [sym_keyword_when] = ACTIONS(2208),
    [sym_keyword_then] = ACTIONS(2208),
    [sym_keyword_else] = ACTIONS(2208),
    [sym_keyword_end] = ACTIONS(2208),
    [sym_keyword_in] = ACTIONS(2208),
    [sym_keyword_and] = ACTIONS(2208),
    [sym_keyword_or] = ACTIONS(2208),
    [sym_keyword_is] = ACTIONS(2208),
    [sym_keyword_not] = ACTIONS(2208),
    [sym_keyword_using] = ACTIONS(2208),
    [sym_keyword_auto_increment] = ACTIONS(2208),
    [sym_keyword_generated] = ACTIONS(2208),
    [sym_keyword_default] = ACTIONS(2208),
    [sym_keyword_with] = ACTIONS(2208),
    [sym_keyword_returning] = ACTIONS(2208),
    [sym_keyword_first] = ACTIONS(2208),
    [sym_keyword_after] = ACTIONS(2208),
    [sym_keyword_range] = ACTIONS(2208),
    [sym_keyword_rows] = ACTIONS(2208),
    [sym_keyword_groups] = ACTIONS(2208),
    [sym_keyword_between] = ACTIONS(2208),
    [sym_keyword_preceding] = ACTIONS(2208),
    [sym_keyword_following] = ACTIONS(2208),
    [sym_keyword_unique] = ACTIONS(2208),
    [sym_keyword_references] = ACTIONS(2208),
    [aux_sym_keyword_like_token1] = ACTIONS(2208),
    [aux_sym_keyword_like_token2] = ACTIONS(2208),
    [sym_keyword_similar] = ACTIONS(2208),
    [sym_keyword_check] = ACTIONS(2208),
    [sym_keyword_stored] = ACTIONS(2208),
    [sym_keyword_virtual] = ACTIONS(2208),
    [sym_keyword_comment] = ACTIONS(2208),
    [sym_keyword_null] = ACTIONS(2208),
    [sym_keyword_array] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_RBRACK] = ACTIONS(2208),
    [anon_sym_RPAREN] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2210),
    [anon_sym_GT] = ACTIONS(2210),
    [anon_sym_LT_EQ] = ACTIONS(2208),
    [anon_sym_GT_EQ] = ACTIONS(2208),
    [anon_sym_COLON] = ACTIONS(2210),
    [sym_op_other] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2210),
    [anon_sym_SLASH] = ACTIONS(2210),
    [anon_sym_PERCENT] = ACTIONS(2208),
    [anon_sym_CARET] = ACTIONS(2210),
    [anon_sym_BANG_EQ] = ACTIONS(2208),
    [anon_sym_LT_GT] = ACTIONS(2208),
  },
  [222] = {
    [ts_builtin_sym_end] = ACTIONS(2073),
    [anon_sym_SEMI] = ACTIONS(2073),
    [sym_keyword_from] = ACTIONS(2073),
    [sym_keyword_on] = ACTIONS(2073),
    [sym_keyword_where] = ACTIONS(2073),
    [sym_keyword_desc] = ACTIONS(2073),
    [sym_keyword_asc] = ACTIONS(2073),
    [sym_keyword_limit] = ACTIONS(2073),
    [sym_keyword_primary] = ACTIONS(2073),
    [sym_keyword_create] = ACTIONS(2073),
    [sym_keyword_as] = ACTIONS(2075),
    [sym_keyword_constraint] = ACTIONS(2073),
    [sym_keyword_separator] = ACTIONS(2073),
    [sym_keyword_when] = ACTIONS(2073),
    [sym_keyword_then] = ACTIONS(2073),
    [sym_keyword_else] = ACTIONS(2073),
    [sym_keyword_end] = ACTIONS(2073),
    [sym_keyword_in] = ACTIONS(2073),
    [sym_keyword_and] = ACTIONS(2073),
    [sym_keyword_or] = ACTIONS(2073),
    [sym_keyword_is] = ACTIONS(2073),
    [sym_keyword_not] = ACTIONS(2073),
    [sym_keyword_using] = ACTIONS(2073),
    [sym_keyword_auto_increment] = ACTIONS(2073),
    [sym_keyword_generated] = ACTIONS(2073),
    [sym_keyword_default] = ACTIONS(2073),
    [sym_keyword_with] = ACTIONS(2073),
    [sym_keyword_returning] = ACTIONS(2073),
    [sym_keyword_first] = ACTIONS(2073),
    [sym_keyword_after] = ACTIONS(2073),
    [sym_keyword_range] = ACTIONS(2073),
    [sym_keyword_rows] = ACTIONS(2073),
    [sym_keyword_groups] = ACTIONS(2073),
    [sym_keyword_between] = ACTIONS(2073),
    [sym_keyword_preceding] = ACTIONS(2073),
    [sym_keyword_following] = ACTIONS(2073),
    [sym_keyword_unique] = ACTIONS(2073),
    [sym_keyword_references] = ACTIONS(2073),
    [aux_sym_keyword_like_token1] = ACTIONS(2073),
    [aux_sym_keyword_like_token2] = ACTIONS(2073),
    [sym_keyword_similar] = ACTIONS(2073),
    [sym_keyword_check] = ACTIONS(2073),
    [sym_keyword_stored] = ACTIONS(2073),
    [sym_keyword_virtual] = ACTIONS(2073),
    [sym_keyword_comment] = ACTIONS(2073),
    [sym_keyword_null] = ACTIONS(2073),
    [sym_keyword_array] = ACTIONS(2073),
    [anon_sym_LBRACK] = ACTIONS(2073),
    [anon_sym_RBRACK] = ACTIONS(2073),
    [anon_sym_RPAREN] = ACTIONS(2073),
    [anon_sym_COMMA] = ACTIONS(2073),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2073),
    [anon_sym_STAR] = ACTIONS(2073),
    [anon_sym_COLON_COLON] = ACTIONS(2073),
    [anon_sym_LT] = ACTIONS(2075),
    [anon_sym_GT] = ACTIONS(2075),
    [anon_sym_LT_EQ] = ACTIONS(2073),
    [anon_sym_GT_EQ] = ACTIONS(2073),
    [anon_sym_COLON] = ACTIONS(2075),
    [sym_op_other] = ACTIONS(2073),
    [anon_sym_PLUS] = ACTIONS(2073),
    [anon_sym_DASH] = ACTIONS(2075),
    [anon_sym_SLASH] = ACTIONS(2075),
    [anon_sym_PERCENT] = ACTIONS(2073),
    [anon_sym_CARET] = ACTIONS(2075),
    [anon_sym_BANG_EQ] = ACTIONS(2073),
    [anon_sym_LT_GT] = ACTIONS(2073),
  },
  [223] = {
    [ts_builtin_sym_end] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2212),
    [sym_keyword_from] = ACTIONS(2212),
    [sym_keyword_on] = ACTIONS(2212),
    [sym_keyword_where] = ACTIONS(2212),
    [sym_keyword_desc] = ACTIONS(2212),
    [sym_keyword_asc] = ACTIONS(2212),
    [sym_keyword_limit] = ACTIONS(2212),
    [sym_keyword_primary] = ACTIONS(2212),
    [sym_keyword_create] = ACTIONS(2212),
    [sym_keyword_as] = ACTIONS(2214),
    [sym_keyword_constraint] = ACTIONS(2212),
    [sym_keyword_separator] = ACTIONS(2212),
    [sym_keyword_when] = ACTIONS(2212),
    [sym_keyword_then] = ACTIONS(2212),
    [sym_keyword_else] = ACTIONS(2212),
    [sym_keyword_end] = ACTIONS(2212),
    [sym_keyword_in] = ACTIONS(2212),
    [sym_keyword_and] = ACTIONS(2212),
    [sym_keyword_or] = ACTIONS(2212),
    [sym_keyword_is] = ACTIONS(2212),
    [sym_keyword_not] = ACTIONS(2212),
    [sym_keyword_using] = ACTIONS(2212),
    [sym_keyword_auto_increment] = ACTIONS(2212),
    [sym_keyword_generated] = ACTIONS(2212),
    [sym_keyword_default] = ACTIONS(2212),
    [sym_keyword_with] = ACTIONS(2212),
    [sym_keyword_returning] = ACTIONS(2212),
    [sym_keyword_first] = ACTIONS(2212),
    [sym_keyword_after] = ACTIONS(2212),
    [sym_keyword_range] = ACTIONS(2212),
    [sym_keyword_rows] = ACTIONS(2212),
    [sym_keyword_groups] = ACTIONS(2212),
    [sym_keyword_between] = ACTIONS(2212),
    [sym_keyword_preceding] = ACTIONS(2212),
    [sym_keyword_following] = ACTIONS(2212),
    [sym_keyword_unique] = ACTIONS(2212),
    [sym_keyword_references] = ACTIONS(2212),
    [aux_sym_keyword_like_token1] = ACTIONS(2212),
    [aux_sym_keyword_like_token2] = ACTIONS(2212),
    [sym_keyword_similar] = ACTIONS(2212),
    [sym_keyword_check] = ACTIONS(2212),
    [sym_keyword_stored] = ACTIONS(2212),
    [sym_keyword_virtual] = ACTIONS(2212),
    [sym_keyword_comment] = ACTIONS(2212),
    [sym_keyword_null] = ACTIONS(2212),
    [sym_keyword_array] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_RBRACK] = ACTIONS(2212),
    [anon_sym_RPAREN] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2212),
    [anon_sym_LT] = ACTIONS(2214),
    [anon_sym_GT] = ACTIONS(2214),
    [anon_sym_LT_EQ] = ACTIONS(2212),
    [anon_sym_GT_EQ] = ACTIONS(2212),
    [anon_sym_COLON] = ACTIONS(2214),
    [sym_op_other] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_SLASH] = ACTIONS(2214),
    [anon_sym_PERCENT] = ACTIONS(2212),
    [anon_sym_CARET] = ACTIONS(2214),
    [anon_sym_BANG_EQ] = ACTIONS(2212),
    [anon_sym_LT_GT] = ACTIONS(2212),
  },
  [224] = {
    [ts_builtin_sym_end] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2216),
    [sym_keyword_from] = ACTIONS(2216),
    [sym_keyword_on] = ACTIONS(2216),
    [sym_keyword_where] = ACTIONS(2216),
    [sym_keyword_desc] = ACTIONS(2216),
    [sym_keyword_asc] = ACTIONS(2216),
    [sym_keyword_limit] = ACTIONS(2216),
    [sym_keyword_primary] = ACTIONS(2216),
    [sym_keyword_create] = ACTIONS(2216),
    [sym_keyword_as] = ACTIONS(2218),
    [sym_keyword_constraint] = ACTIONS(2216),
    [sym_keyword_separator] = ACTIONS(2216),
    [sym_keyword_when] = ACTIONS(2216),
    [sym_keyword_then] = ACTIONS(2216),
    [sym_keyword_else] = ACTIONS(2216),
    [sym_keyword_end] = ACTIONS(2216),
    [sym_keyword_in] = ACTIONS(2216),
    [sym_keyword_and] = ACTIONS(2216),
    [sym_keyword_or] = ACTIONS(2216),
    [sym_keyword_is] = ACTIONS(2216),
    [sym_keyword_not] = ACTIONS(2216),
    [sym_keyword_using] = ACTIONS(2216),
    [sym_keyword_auto_increment] = ACTIONS(2216),
    [sym_keyword_generated] = ACTIONS(2216),
    [sym_keyword_default] = ACTIONS(2216),
    [sym_keyword_with] = ACTIONS(2216),
    [sym_keyword_returning] = ACTIONS(2216),
    [sym_keyword_first] = ACTIONS(2216),
    [sym_keyword_after] = ACTIONS(2216),
    [sym_keyword_range] = ACTIONS(2216),
    [sym_keyword_rows] = ACTIONS(2216),
    [sym_keyword_groups] = ACTIONS(2216),
    [sym_keyword_between] = ACTIONS(2216),
    [sym_keyword_preceding] = ACTIONS(2216),
    [sym_keyword_following] = ACTIONS(2216),
    [sym_keyword_unique] = ACTIONS(2216),
    [sym_keyword_references] = ACTIONS(2216),
    [aux_sym_keyword_like_token1] = ACTIONS(2216),
    [aux_sym_keyword_like_token2] = ACTIONS(2216),
    [sym_keyword_similar] = ACTIONS(2216),
    [sym_keyword_check] = ACTIONS(2216),
    [sym_keyword_stored] = ACTIONS(2216),
    [sym_keyword_virtual] = ACTIONS(2216),
    [sym_keyword_comment] = ACTIONS(2216),
    [sym_keyword_null] = ACTIONS(2216),
    [sym_keyword_array] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_RBRACK] = ACTIONS(2216),
    [anon_sym_RPAREN] = ACTIONS(2216),
    [anon_sym_COMMA] = ACTIONS(2216),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(2216),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LT] = ACTIONS(2218),
    [anon_sym_GT] = ACTIONS(2218),
    [anon_sym_LT_EQ] = ACTIONS(2216),
    [anon_sym_GT_EQ] = ACTIONS(2216),
    [anon_sym_COLON] = ACTIONS(2218),
    [sym_op_other] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2218),
    [anon_sym_SLASH] = ACTIONS(2218),
    [anon_sym_PERCENT] = ACTIONS(2216),
    [anon_sym_CARET] = ACTIONS(2218),
    [anon_sym_BANG_EQ] = ACTIONS(2216),
    [anon_sym_LT_GT] = ACTIONS(2216),
  },
  [225] = {
    [ts_builtin_sym_end] = ACTIONS(2220),
    [anon_sym_SEMI] = ACTIONS(2220),
    [sym_keyword_from] = ACTIONS(2220),
    [sym_keyword_on] = ACTIONS(2220),
    [sym_keyword_where] = ACTIONS(2220),
    [sym_keyword_desc] = ACTIONS(2220),
    [sym_keyword_asc] = ACTIONS(2220),
    [sym_keyword_limit] = ACTIONS(2220),
    [sym_keyword_primary] = ACTIONS(2220),
    [sym_keyword_create] = ACTIONS(2220),
    [sym_keyword_as] = ACTIONS(2222),
    [sym_keyword_constraint] = ACTIONS(2220),
    [sym_keyword_separator] = ACTIONS(2220),
    [sym_keyword_when] = ACTIONS(2220),
    [sym_keyword_then] = ACTIONS(2220),
    [sym_keyword_else] = ACTIONS(2220),
    [sym_keyword_end] = ACTIONS(2220),
    [sym_keyword_in] = ACTIONS(2220),
    [sym_keyword_and] = ACTIONS(2220),
    [sym_keyword_or] = ACTIONS(2220),
    [sym_keyword_is] = ACTIONS(2220),
    [sym_keyword_not] = ACTIONS(2220),
    [sym_keyword_using] = ACTIONS(2220),
    [sym_keyword_auto_increment] = ACTIONS(2220),
    [sym_keyword_generated] = ACTIONS(2220),
    [sym_keyword_default] = ACTIONS(2220),
    [sym_keyword_with] = ACTIONS(2220),
    [sym_keyword_returning] = ACTIONS(2220),
    [sym_keyword_first] = ACTIONS(2220),
    [sym_keyword_after] = ACTIONS(2220),
    [sym_keyword_range] = ACTIONS(2220),
    [sym_keyword_rows] = ACTIONS(2220),
    [sym_keyword_groups] = ACTIONS(2220),
    [sym_keyword_between] = ACTIONS(2220),
    [sym_keyword_preceding] = ACTIONS(2220),
    [sym_keyword_following] = ACTIONS(2220),
    [sym_keyword_unique] = ACTIONS(2220),
    [sym_keyword_references] = ACTIONS(2220),
    [aux_sym_keyword_like_token1] = ACTIONS(2220),
    [aux_sym_keyword_like_token2] = ACTIONS(2220),
    [sym_keyword_similar] = ACTIONS(2220),
    [sym_keyword_check] = ACTIONS(2220),
    [sym_keyword_stored] = ACTIONS(2220),
    [sym_keyword_virtual] = ACTIONS(2220),
    [sym_keyword_comment] = ACTIONS(2220),
    [sym_keyword_null] = ACTIONS(2220),
    [sym_keyword_array] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2220),
    [anon_sym_RBRACK] = ACTIONS(2220),
    [anon_sym_RPAREN] = ACTIONS(2220),
    [anon_sym_COMMA] = ACTIONS(2220),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2220),
    [anon_sym_STAR] = ACTIONS(2220),
    [anon_sym_COLON_COLON] = ACTIONS(2220),
    [anon_sym_LT] = ACTIONS(2222),
    [anon_sym_GT] = ACTIONS(2222),
    [anon_sym_LT_EQ] = ACTIONS(2220),
    [anon_sym_GT_EQ] = ACTIONS(2220),
    [anon_sym_COLON] = ACTIONS(2222),
    [sym_op_other] = ACTIONS(2220),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_DASH] = ACTIONS(2222),
    [anon_sym_SLASH] = ACTIONS(2222),
    [anon_sym_PERCENT] = ACTIONS(2220),
    [anon_sym_CARET] = ACTIONS(2222),
    [anon_sym_BANG_EQ] = ACTIONS(2220),
    [anon_sym_LT_GT] = ACTIONS(2220),
  },
  [226] = {
    [ts_builtin_sym_end] = ACTIONS(2079),
    [anon_sym_SEMI] = ACTIONS(2079),
    [sym_keyword_from] = ACTIONS(2079),
    [sym_keyword_on] = ACTIONS(2079),
    [sym_keyword_where] = ACTIONS(2079),
    [sym_keyword_desc] = ACTIONS(2079),
    [sym_keyword_asc] = ACTIONS(2079),
    [sym_keyword_limit] = ACTIONS(2079),
    [sym_keyword_primary] = ACTIONS(2079),
    [sym_keyword_create] = ACTIONS(2079),
    [sym_keyword_as] = ACTIONS(2081),
    [sym_keyword_constraint] = ACTIONS(2079),
    [sym_keyword_separator] = ACTIONS(2079),
    [sym_keyword_when] = ACTIONS(2079),
    [sym_keyword_then] = ACTIONS(2079),
    [sym_keyword_else] = ACTIONS(2079),
    [sym_keyword_end] = ACTIONS(2079),
    [sym_keyword_in] = ACTIONS(2079),
    [sym_keyword_and] = ACTIONS(2079),
    [sym_keyword_or] = ACTIONS(2079),
    [sym_keyword_is] = ACTIONS(2079),
    [sym_keyword_not] = ACTIONS(2079),
    [sym_keyword_using] = ACTIONS(2079),
    [sym_keyword_auto_increment] = ACTIONS(2079),
    [sym_keyword_generated] = ACTIONS(2079),
    [sym_keyword_default] = ACTIONS(2079),
    [sym_keyword_with] = ACTIONS(2079),
    [sym_keyword_returning] = ACTIONS(2079),
    [sym_keyword_first] = ACTIONS(2079),
    [sym_keyword_after] = ACTIONS(2079),
    [sym_keyword_range] = ACTIONS(2079),
    [sym_keyword_rows] = ACTIONS(2079),
    [sym_keyword_groups] = ACTIONS(2079),
    [sym_keyword_between] = ACTIONS(2079),
    [sym_keyword_preceding] = ACTIONS(2079),
    [sym_keyword_following] = ACTIONS(2079),
    [sym_keyword_unique] = ACTIONS(2079),
    [sym_keyword_references] = ACTIONS(2079),
    [aux_sym_keyword_like_token1] = ACTIONS(2079),
    [aux_sym_keyword_like_token2] = ACTIONS(2079),
    [sym_keyword_similar] = ACTIONS(2079),
    [sym_keyword_check] = ACTIONS(2079),
    [sym_keyword_stored] = ACTIONS(2079),
    [sym_keyword_virtual] = ACTIONS(2079),
    [sym_keyword_comment] = ACTIONS(2079),
    [sym_keyword_null] = ACTIONS(2079),
    [sym_keyword_array] = ACTIONS(2079),
    [anon_sym_LBRACK] = ACTIONS(2079),
    [anon_sym_RBRACK] = ACTIONS(2079),
    [anon_sym_RPAREN] = ACTIONS(2079),
    [anon_sym_COMMA] = ACTIONS(2079),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2079),
    [anon_sym_STAR] = ACTIONS(2079),
    [anon_sym_COLON_COLON] = ACTIONS(2079),
    [anon_sym_LT] = ACTIONS(2081),
    [anon_sym_GT] = ACTIONS(2081),
    [anon_sym_LT_EQ] = ACTIONS(2079),
    [anon_sym_GT_EQ] = ACTIONS(2079),
    [anon_sym_COLON] = ACTIONS(2081),
    [sym_op_other] = ACTIONS(2079),
    [anon_sym_PLUS] = ACTIONS(2079),
    [anon_sym_DASH] = ACTIONS(2081),
    [anon_sym_SLASH] = ACTIONS(2081),
    [anon_sym_PERCENT] = ACTIONS(2079),
    [anon_sym_CARET] = ACTIONS(2081),
    [anon_sym_BANG_EQ] = ACTIONS(2079),
    [anon_sym_LT_GT] = ACTIONS(2079),
  },
  [227] = {
    [ts_builtin_sym_end] = ACTIONS(2224),
    [anon_sym_SEMI] = ACTIONS(2224),
    [sym_keyword_from] = ACTIONS(2224),
    [sym_keyword_on] = ACTIONS(2224),
    [sym_keyword_where] = ACTIONS(2224),
    [sym_keyword_desc] = ACTIONS(2224),
    [sym_keyword_asc] = ACTIONS(2224),
    [sym_keyword_limit] = ACTIONS(2224),
    [sym_keyword_primary] = ACTIONS(2224),
    [sym_keyword_create] = ACTIONS(2224),
    [sym_keyword_as] = ACTIONS(2226),
    [sym_keyword_constraint] = ACTIONS(2224),
    [sym_keyword_separator] = ACTIONS(2224),
    [sym_keyword_when] = ACTIONS(2224),
    [sym_keyword_then] = ACTIONS(2224),
    [sym_keyword_else] = ACTIONS(2224),
    [sym_keyword_end] = ACTIONS(2224),
    [sym_keyword_in] = ACTIONS(2224),
    [sym_keyword_and] = ACTIONS(2224),
    [sym_keyword_or] = ACTIONS(2224),
    [sym_keyword_is] = ACTIONS(2224),
    [sym_keyword_not] = ACTIONS(2224),
    [sym_keyword_using] = ACTIONS(2224),
    [sym_keyword_auto_increment] = ACTIONS(2224),
    [sym_keyword_generated] = ACTIONS(2224),
    [sym_keyword_default] = ACTIONS(2224),
    [sym_keyword_with] = ACTIONS(2224),
    [sym_keyword_returning] = ACTIONS(2224),
    [sym_keyword_first] = ACTIONS(2224),
    [sym_keyword_after] = ACTIONS(2224),
    [sym_keyword_range] = ACTIONS(2224),
    [sym_keyword_rows] = ACTIONS(2224),
    [sym_keyword_groups] = ACTIONS(2224),
    [sym_keyword_between] = ACTIONS(2224),
    [sym_keyword_preceding] = ACTIONS(2224),
    [sym_keyword_following] = ACTIONS(2224),
    [sym_keyword_unique] = ACTIONS(2224),
    [sym_keyword_references] = ACTIONS(2224),
    [aux_sym_keyword_like_token1] = ACTIONS(2224),
    [aux_sym_keyword_like_token2] = ACTIONS(2224),
    [sym_keyword_similar] = ACTIONS(2224),
    [sym_keyword_check] = ACTIONS(2224),
    [sym_keyword_stored] = ACTIONS(2224),
    [sym_keyword_virtual] = ACTIONS(2224),
    [sym_keyword_comment] = ACTIONS(2224),
    [sym_keyword_null] = ACTIONS(2224),
    [sym_keyword_array] = ACTIONS(2224),
    [anon_sym_LBRACK] = ACTIONS(2224),
    [anon_sym_RBRACK] = ACTIONS(2224),
    [anon_sym_RPAREN] = ACTIONS(2224),
    [anon_sym_COMMA] = ACTIONS(2224),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(2224),
    [anon_sym_COLON_COLON] = ACTIONS(2224),
    [anon_sym_LT] = ACTIONS(2226),
    [anon_sym_GT] = ACTIONS(2226),
    [anon_sym_LT_EQ] = ACTIONS(2224),
    [anon_sym_GT_EQ] = ACTIONS(2224),
    [anon_sym_COLON] = ACTIONS(2226),
    [sym_op_other] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_SLASH] = ACTIONS(2226),
    [anon_sym_PERCENT] = ACTIONS(2224),
    [anon_sym_CARET] = ACTIONS(2226),
    [anon_sym_BANG_EQ] = ACTIONS(2224),
    [anon_sym_LT_GT] = ACTIONS(2224),
  },
  [228] = {
    [ts_builtin_sym_end] = ACTIONS(2228),
    [anon_sym_SEMI] = ACTIONS(2228),
    [sym_keyword_from] = ACTIONS(2228),
    [sym_keyword_on] = ACTIONS(2228),
    [sym_keyword_where] = ACTIONS(2228),
    [sym_keyword_desc] = ACTIONS(2228),
    [sym_keyword_asc] = ACTIONS(2228),
    [sym_keyword_limit] = ACTIONS(2228),
    [sym_keyword_primary] = ACTIONS(2228),
    [sym_keyword_create] = ACTIONS(2228),
    [sym_keyword_as] = ACTIONS(2230),
    [sym_keyword_constraint] = ACTIONS(2228),
    [sym_keyword_separator] = ACTIONS(2228),
    [sym_keyword_when] = ACTIONS(2228),
    [sym_keyword_then] = ACTIONS(2228),
    [sym_keyword_else] = ACTIONS(2228),
    [sym_keyword_end] = ACTIONS(2228),
    [sym_keyword_in] = ACTIONS(2228),
    [sym_keyword_and] = ACTIONS(2228),
    [sym_keyword_or] = ACTIONS(2228),
    [sym_keyword_is] = ACTIONS(2228),
    [sym_keyword_not] = ACTIONS(2228),
    [sym_keyword_using] = ACTIONS(2228),
    [sym_keyword_auto_increment] = ACTIONS(2228),
    [sym_keyword_generated] = ACTIONS(2228),
    [sym_keyword_default] = ACTIONS(2228),
    [sym_keyword_with] = ACTIONS(2228),
    [sym_keyword_returning] = ACTIONS(2228),
    [sym_keyword_first] = ACTIONS(2228),
    [sym_keyword_after] = ACTIONS(2228),
    [sym_keyword_range] = ACTIONS(2228),
    [sym_keyword_rows] = ACTIONS(2228),
    [sym_keyword_groups] = ACTIONS(2228),
    [sym_keyword_between] = ACTIONS(2228),
    [sym_keyword_preceding] = ACTIONS(2228),
    [sym_keyword_following] = ACTIONS(2228),
    [sym_keyword_unique] = ACTIONS(2228),
    [sym_keyword_references] = ACTIONS(2228),
    [aux_sym_keyword_like_token1] = ACTIONS(2228),
    [aux_sym_keyword_like_token2] = ACTIONS(2228),
    [sym_keyword_similar] = ACTIONS(2228),
    [sym_keyword_check] = ACTIONS(2228),
    [sym_keyword_stored] = ACTIONS(2228),
    [sym_keyword_virtual] = ACTIONS(2228),
    [sym_keyword_comment] = ACTIONS(2228),
    [sym_keyword_null] = ACTIONS(2228),
    [sym_keyword_array] = ACTIONS(2228),
    [anon_sym_LBRACK] = ACTIONS(2228),
    [anon_sym_RBRACK] = ACTIONS(2228),
    [anon_sym_RPAREN] = ACTIONS(2228),
    [anon_sym_COMMA] = ACTIONS(2228),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2228),
    [anon_sym_STAR] = ACTIONS(2228),
    [anon_sym_COLON_COLON] = ACTIONS(2228),
    [anon_sym_LT] = ACTIONS(2230),
    [anon_sym_GT] = ACTIONS(2230),
    [anon_sym_LT_EQ] = ACTIONS(2228),
    [anon_sym_GT_EQ] = ACTIONS(2228),
    [anon_sym_COLON] = ACTIONS(2230),
    [sym_op_other] = ACTIONS(2228),
    [anon_sym_PLUS] = ACTIONS(2228),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_SLASH] = ACTIONS(2230),
    [anon_sym_PERCENT] = ACTIONS(2228),
    [anon_sym_CARET] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2228),
    [anon_sym_LT_GT] = ACTIONS(2228),
  },
  [229] = {
    [ts_builtin_sym_end] = ACTIONS(2232),
    [anon_sym_SEMI] = ACTIONS(2232),
    [sym_keyword_from] = ACTIONS(2232),
    [sym_keyword_on] = ACTIONS(2232),
    [sym_keyword_where] = ACTIONS(2232),
    [sym_keyword_desc] = ACTIONS(2232),
    [sym_keyword_asc] = ACTIONS(2232),
    [sym_keyword_limit] = ACTIONS(2232),
    [sym_keyword_primary] = ACTIONS(2232),
    [sym_keyword_create] = ACTIONS(2232),
    [sym_keyword_as] = ACTIONS(2234),
    [sym_keyword_constraint] = ACTIONS(2232),
    [sym_keyword_separator] = ACTIONS(2232),
    [sym_keyword_when] = ACTIONS(2232),
    [sym_keyword_then] = ACTIONS(2232),
    [sym_keyword_else] = ACTIONS(2232),
    [sym_keyword_end] = ACTIONS(2232),
    [sym_keyword_in] = ACTIONS(2232),
    [sym_keyword_and] = ACTIONS(2232),
    [sym_keyword_or] = ACTIONS(2232),
    [sym_keyword_is] = ACTIONS(2232),
    [sym_keyword_not] = ACTIONS(2232),
    [sym_keyword_using] = ACTIONS(2232),
    [sym_keyword_auto_increment] = ACTIONS(2232),
    [sym_keyword_generated] = ACTIONS(2232),
    [sym_keyword_default] = ACTIONS(2232),
    [sym_keyword_with] = ACTIONS(2232),
    [sym_keyword_returning] = ACTIONS(2232),
    [sym_keyword_first] = ACTIONS(2232),
    [sym_keyword_after] = ACTIONS(2232),
    [sym_keyword_range] = ACTIONS(2232),
    [sym_keyword_rows] = ACTIONS(2232),
    [sym_keyword_groups] = ACTIONS(2232),
    [sym_keyword_between] = ACTIONS(2232),
    [sym_keyword_preceding] = ACTIONS(2232),
    [sym_keyword_following] = ACTIONS(2232),
    [sym_keyword_unique] = ACTIONS(2232),
    [sym_keyword_references] = ACTIONS(2232),
    [aux_sym_keyword_like_token1] = ACTIONS(2232),
    [aux_sym_keyword_like_token2] = ACTIONS(2232),
    [sym_keyword_similar] = ACTIONS(2232),
    [sym_keyword_check] = ACTIONS(2232),
    [sym_keyword_stored] = ACTIONS(2232),
    [sym_keyword_virtual] = ACTIONS(2232),
    [sym_keyword_comment] = ACTIONS(2232),
    [sym_keyword_null] = ACTIONS(2232),
    [sym_keyword_array] = ACTIONS(2232),
    [anon_sym_LBRACK] = ACTIONS(2232),
    [anon_sym_RBRACK] = ACTIONS(2232),
    [anon_sym_RPAREN] = ACTIONS(2232),
    [anon_sym_COMMA] = ACTIONS(2232),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_LT] = ACTIONS(2234),
    [anon_sym_GT] = ACTIONS(2234),
    [anon_sym_LT_EQ] = ACTIONS(2232),
    [anon_sym_GT_EQ] = ACTIONS(2232),
    [anon_sym_COLON] = ACTIONS(2234),
    [sym_op_other] = ACTIONS(2232),
    [anon_sym_PLUS] = ACTIONS(2232),
    [anon_sym_DASH] = ACTIONS(2234),
    [anon_sym_SLASH] = ACTIONS(2234),
    [anon_sym_PERCENT] = ACTIONS(2232),
    [anon_sym_CARET] = ACTIONS(2234),
    [anon_sym_BANG_EQ] = ACTIONS(2232),
    [anon_sym_LT_GT] = ACTIONS(2232),
  },
  [230] = {
    [ts_builtin_sym_end] = ACTIONS(2236),
    [anon_sym_SEMI] = ACTIONS(2236),
    [sym_keyword_from] = ACTIONS(2236),
    [sym_keyword_on] = ACTIONS(2236),
    [sym_keyword_where] = ACTIONS(2236),
    [sym_keyword_desc] = ACTIONS(2236),
    [sym_keyword_asc] = ACTIONS(2236),
    [sym_keyword_limit] = ACTIONS(2236),
    [sym_keyword_primary] = ACTIONS(2236),
    [sym_keyword_create] = ACTIONS(2236),
    [sym_keyword_as] = ACTIONS(2238),
    [sym_keyword_constraint] = ACTIONS(2236),
    [sym_keyword_separator] = ACTIONS(2236),
    [sym_keyword_when] = ACTIONS(2236),
    [sym_keyword_then] = ACTIONS(2236),
    [sym_keyword_else] = ACTIONS(2236),
    [sym_keyword_end] = ACTIONS(2236),
    [sym_keyword_in] = ACTIONS(2236),
    [sym_keyword_and] = ACTIONS(2236),
    [sym_keyword_or] = ACTIONS(2236),
    [sym_keyword_is] = ACTIONS(2236),
    [sym_keyword_not] = ACTIONS(2236),
    [sym_keyword_using] = ACTIONS(2236),
    [sym_keyword_auto_increment] = ACTIONS(2236),
    [sym_keyword_generated] = ACTIONS(2236),
    [sym_keyword_default] = ACTIONS(2236),
    [sym_keyword_with] = ACTIONS(2236),
    [sym_keyword_returning] = ACTIONS(2236),
    [sym_keyword_first] = ACTIONS(2236),
    [sym_keyword_after] = ACTIONS(2236),
    [sym_keyword_range] = ACTIONS(2236),
    [sym_keyword_rows] = ACTIONS(2236),
    [sym_keyword_groups] = ACTIONS(2236),
    [sym_keyword_between] = ACTIONS(2236),
    [sym_keyword_preceding] = ACTIONS(2236),
    [sym_keyword_following] = ACTIONS(2236),
    [sym_keyword_unique] = ACTIONS(2236),
    [sym_keyword_references] = ACTIONS(2236),
    [aux_sym_keyword_like_token1] = ACTIONS(2236),
    [aux_sym_keyword_like_token2] = ACTIONS(2236),
    [sym_keyword_similar] = ACTIONS(2236),
    [sym_keyword_check] = ACTIONS(2236),
    [sym_keyword_stored] = ACTIONS(2236),
    [sym_keyword_virtual] = ACTIONS(2236),
    [sym_keyword_comment] = ACTIONS(2236),
    [sym_keyword_null] = ACTIONS(2236),
    [sym_keyword_array] = ACTIONS(2236),
    [anon_sym_LBRACK] = ACTIONS(2236),
    [anon_sym_RBRACK] = ACTIONS(2236),
    [anon_sym_RPAREN] = ACTIONS(2236),
    [anon_sym_COMMA] = ACTIONS(2236),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2236),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LT] = ACTIONS(2238),
    [anon_sym_GT] = ACTIONS(2238),
    [anon_sym_LT_EQ] = ACTIONS(2236),
    [anon_sym_GT_EQ] = ACTIONS(2236),
    [anon_sym_COLON] = ACTIONS(2238),
    [sym_op_other] = ACTIONS(2236),
    [anon_sym_PLUS] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_SLASH] = ACTIONS(2238),
    [anon_sym_PERCENT] = ACTIONS(2236),
    [anon_sym_CARET] = ACTIONS(2238),
    [anon_sym_BANG_EQ] = ACTIONS(2236),
    [anon_sym_LT_GT] = ACTIONS(2236),
  },
  [231] = {
    [ts_builtin_sym_end] = ACTIONS(2240),
    [anon_sym_SEMI] = ACTIONS(2240),
    [sym_keyword_from] = ACTIONS(2240),
    [sym_keyword_on] = ACTIONS(2240),
    [sym_keyword_where] = ACTIONS(2240),
    [sym_keyword_desc] = ACTIONS(2240),
    [sym_keyword_asc] = ACTIONS(2240),
    [sym_keyword_limit] = ACTIONS(2240),
    [sym_keyword_primary] = ACTIONS(2240),
    [sym_keyword_create] = ACTIONS(2240),
    [sym_keyword_as] = ACTIONS(2242),
    [sym_keyword_constraint] = ACTIONS(2240),
    [sym_keyword_separator] = ACTIONS(2240),
    [sym_keyword_when] = ACTIONS(2240),
    [sym_keyword_then] = ACTIONS(2240),
    [sym_keyword_else] = ACTIONS(2240),
    [sym_keyword_end] = ACTIONS(2240),
    [sym_keyword_in] = ACTIONS(2240),
    [sym_keyword_and] = ACTIONS(2240),
    [sym_keyword_or] = ACTIONS(2240),
    [sym_keyword_is] = ACTIONS(2240),
    [sym_keyword_not] = ACTIONS(2240),
    [sym_keyword_using] = ACTIONS(2240),
    [sym_keyword_auto_increment] = ACTIONS(2240),
    [sym_keyword_generated] = ACTIONS(2240),
    [sym_keyword_default] = ACTIONS(2240),
    [sym_keyword_with] = ACTIONS(2240),
    [sym_keyword_returning] = ACTIONS(2240),
    [sym_keyword_first] = ACTIONS(2240),
    [sym_keyword_after] = ACTIONS(2240),
    [sym_keyword_range] = ACTIONS(2240),
    [sym_keyword_rows] = ACTIONS(2240),
    [sym_keyword_groups] = ACTIONS(2240),
    [sym_keyword_between] = ACTIONS(2240),
    [sym_keyword_preceding] = ACTIONS(2240),
    [sym_keyword_following] = ACTIONS(2240),
    [sym_keyword_unique] = ACTIONS(2240),
    [sym_keyword_references] = ACTIONS(2240),
    [aux_sym_keyword_like_token1] = ACTIONS(2240),
    [aux_sym_keyword_like_token2] = ACTIONS(2240),
    [sym_keyword_similar] = ACTIONS(2240),
    [sym_keyword_check] = ACTIONS(2240),
    [sym_keyword_stored] = ACTIONS(2240),
    [sym_keyword_virtual] = ACTIONS(2240),
    [sym_keyword_comment] = ACTIONS(2240),
    [sym_keyword_null] = ACTIONS(2240),
    [sym_keyword_array] = ACTIONS(2240),
    [anon_sym_LBRACK] = ACTIONS(2240),
    [anon_sym_RBRACK] = ACTIONS(2240),
    [anon_sym_RPAREN] = ACTIONS(2240),
    [anon_sym_COMMA] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2240),
    [anon_sym_STAR] = ACTIONS(2240),
    [anon_sym_COLON_COLON] = ACTIONS(2240),
    [anon_sym_LT] = ACTIONS(2242),
    [anon_sym_GT] = ACTIONS(2242),
    [anon_sym_LT_EQ] = ACTIONS(2240),
    [anon_sym_GT_EQ] = ACTIONS(2240),
    [anon_sym_COLON] = ACTIONS(2242),
    [sym_op_other] = ACTIONS(2240),
    [anon_sym_PLUS] = ACTIONS(2240),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_SLASH] = ACTIONS(2242),
    [anon_sym_PERCENT] = ACTIONS(2240),
    [anon_sym_CARET] = ACTIONS(2242),
    [anon_sym_BANG_EQ] = ACTIONS(2240),
    [anon_sym_LT_GT] = ACTIONS(2240),
  },
  [232] = {
    [ts_builtin_sym_end] = ACTIONS(2244),
    [anon_sym_SEMI] = ACTIONS(2244),
    [sym_keyword_from] = ACTIONS(2244),
    [sym_keyword_on] = ACTIONS(2244),
    [sym_keyword_where] = ACTIONS(2244),
    [sym_keyword_desc] = ACTIONS(2244),
    [sym_keyword_asc] = ACTIONS(2244),
    [sym_keyword_limit] = ACTIONS(2244),
    [sym_keyword_primary] = ACTIONS(2244),
    [sym_keyword_create] = ACTIONS(2244),
    [sym_keyword_as] = ACTIONS(2246),
    [sym_keyword_constraint] = ACTIONS(2244),
    [sym_keyword_separator] = ACTIONS(2244),
    [sym_keyword_when] = ACTIONS(2244),
    [sym_keyword_then] = ACTIONS(2244),
    [sym_keyword_else] = ACTIONS(2244),
    [sym_keyword_end] = ACTIONS(2244),
    [sym_keyword_in] = ACTIONS(2244),
    [sym_keyword_and] = ACTIONS(2244),
    [sym_keyword_or] = ACTIONS(2244),
    [sym_keyword_is] = ACTIONS(2244),
    [sym_keyword_not] = ACTIONS(2244),
    [sym_keyword_using] = ACTIONS(2244),
    [sym_keyword_auto_increment] = ACTIONS(2244),
    [sym_keyword_generated] = ACTIONS(2244),
    [sym_keyword_default] = ACTIONS(2244),
    [sym_keyword_with] = ACTIONS(2244),
    [sym_keyword_returning] = ACTIONS(2244),
    [sym_keyword_first] = ACTIONS(2244),
    [sym_keyword_after] = ACTIONS(2244),
    [sym_keyword_range] = ACTIONS(2244),
    [sym_keyword_rows] = ACTIONS(2244),
    [sym_keyword_groups] = ACTIONS(2244),
    [sym_keyword_between] = ACTIONS(2244),
    [sym_keyword_preceding] = ACTIONS(2244),
    [sym_keyword_following] = ACTIONS(2244),
    [sym_keyword_unique] = ACTIONS(2244),
    [sym_keyword_references] = ACTIONS(2244),
    [aux_sym_keyword_like_token1] = ACTIONS(2244),
    [aux_sym_keyword_like_token2] = ACTIONS(2244),
    [sym_keyword_similar] = ACTIONS(2244),
    [sym_keyword_check] = ACTIONS(2244),
    [sym_keyword_stored] = ACTIONS(2244),
    [sym_keyword_virtual] = ACTIONS(2244),
    [sym_keyword_comment] = ACTIONS(2244),
    [sym_keyword_null] = ACTIONS(2244),
    [sym_keyword_array] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2244),
    [anon_sym_RBRACK] = ACTIONS(2244),
    [anon_sym_RPAREN] = ACTIONS(2244),
    [anon_sym_COMMA] = ACTIONS(2244),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2244),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_COLON_COLON] = ACTIONS(2244),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_GT] = ACTIONS(2246),
    [anon_sym_LT_EQ] = ACTIONS(2244),
    [anon_sym_GT_EQ] = ACTIONS(2244),
    [anon_sym_COLON] = ACTIONS(2246),
    [sym_op_other] = ACTIONS(2244),
    [anon_sym_PLUS] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_PERCENT] = ACTIONS(2244),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_BANG_EQ] = ACTIONS(2244),
    [anon_sym_LT_GT] = ACTIONS(2244),
  },
  [233] = {
    [ts_builtin_sym_end] = ACTIONS(2007),
    [anon_sym_SEMI] = ACTIONS(2007),
    [sym_keyword_from] = ACTIONS(2007),
    [sym_keyword_on] = ACTIONS(2007),
    [sym_keyword_where] = ACTIONS(2007),
    [sym_keyword_desc] = ACTIONS(2007),
    [sym_keyword_asc] = ACTIONS(2007),
    [sym_keyword_limit] = ACTIONS(2007),
    [sym_keyword_primary] = ACTIONS(2007),
    [sym_keyword_create] = ACTIONS(2007),
    [sym_keyword_as] = ACTIONS(2009),
    [sym_keyword_constraint] = ACTIONS(2007),
    [sym_keyword_separator] = ACTIONS(2007),
    [sym_keyword_when] = ACTIONS(2007),
    [sym_keyword_then] = ACTIONS(2007),
    [sym_keyword_else] = ACTIONS(2007),
    [sym_keyword_end] = ACTIONS(2007),
    [sym_keyword_in] = ACTIONS(2007),
    [sym_keyword_and] = ACTIONS(2007),
    [sym_keyword_or] = ACTIONS(2007),
    [sym_keyword_is] = ACTIONS(2007),
    [sym_keyword_not] = ACTIONS(2007),
    [sym_keyword_using] = ACTIONS(2007),
    [sym_keyword_auto_increment] = ACTIONS(2007),
    [sym_keyword_generated] = ACTIONS(2007),
    [sym_keyword_default] = ACTIONS(2007),
    [sym_keyword_with] = ACTIONS(2007),
    [sym_keyword_returning] = ACTIONS(2007),
    [sym_keyword_first] = ACTIONS(2007),
    [sym_keyword_after] = ACTIONS(2007),
    [sym_keyword_range] = ACTIONS(2007),
    [sym_keyword_rows] = ACTIONS(2007),
    [sym_keyword_groups] = ACTIONS(2007),
    [sym_keyword_between] = ACTIONS(2007),
    [sym_keyword_preceding] = ACTIONS(2007),
    [sym_keyword_following] = ACTIONS(2007),
    [sym_keyword_unique] = ACTIONS(2007),
    [sym_keyword_references] = ACTIONS(2007),
    [aux_sym_keyword_like_token1] = ACTIONS(2007),
    [aux_sym_keyword_like_token2] = ACTIONS(2007),
    [sym_keyword_similar] = ACTIONS(2007),
    [sym_keyword_check] = ACTIONS(2007),
    [sym_keyword_stored] = ACTIONS(2007),
    [sym_keyword_virtual] = ACTIONS(2007),
    [sym_keyword_comment] = ACTIONS(2007),
    [sym_keyword_null] = ACTIONS(2007),
    [sym_keyword_array] = ACTIONS(2007),
    [anon_sym_LBRACK] = ACTIONS(2007),
    [anon_sym_RBRACK] = ACTIONS(2007),
    [anon_sym_RPAREN] = ACTIONS(2007),
    [anon_sym_COMMA] = ACTIONS(2007),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2007),
    [anon_sym_STAR] = ACTIONS(2007),
    [anon_sym_COLON_COLON] = ACTIONS(2007),
    [anon_sym_LT] = ACTIONS(2009),
    [anon_sym_GT] = ACTIONS(2009),
    [anon_sym_LT_EQ] = ACTIONS(2007),
    [anon_sym_GT_EQ] = ACTIONS(2007),
    [anon_sym_COLON] = ACTIONS(2009),
    [sym_op_other] = ACTIONS(2007),
    [anon_sym_PLUS] = ACTIONS(2007),
    [anon_sym_DASH] = ACTIONS(2009),
    [anon_sym_SLASH] = ACTIONS(2009),
    [anon_sym_PERCENT] = ACTIONS(2007),
    [anon_sym_CARET] = ACTIONS(2009),
    [anon_sym_BANG_EQ] = ACTIONS(2007),
    [anon_sym_LT_GT] = ACTIONS(2007),
  },
  [234] = {
    [ts_builtin_sym_end] = ACTIONS(2248),
    [anon_sym_SEMI] = ACTIONS(2248),
    [sym_keyword_from] = ACTIONS(2248),
    [sym_keyword_on] = ACTIONS(2248),
    [sym_keyword_where] = ACTIONS(2248),
    [sym_keyword_desc] = ACTIONS(2248),
    [sym_keyword_asc] = ACTIONS(2248),
    [sym_keyword_limit] = ACTIONS(2248),
    [sym_keyword_primary] = ACTIONS(2248),
    [sym_keyword_create] = ACTIONS(2248),
    [sym_keyword_as] = ACTIONS(2250),
    [sym_keyword_constraint] = ACTIONS(2248),
    [sym_keyword_separator] = ACTIONS(2248),
    [sym_keyword_when] = ACTIONS(2248),
    [sym_keyword_then] = ACTIONS(2248),
    [sym_keyword_else] = ACTIONS(2248),
    [sym_keyword_end] = ACTIONS(2248),
    [sym_keyword_in] = ACTIONS(2248),
    [sym_keyword_and] = ACTIONS(2248),
    [sym_keyword_or] = ACTIONS(2248),
    [sym_keyword_is] = ACTIONS(2248),
    [sym_keyword_not] = ACTIONS(2248),
    [sym_keyword_using] = ACTIONS(2248),
    [sym_keyword_auto_increment] = ACTIONS(2248),
    [sym_keyword_generated] = ACTIONS(2248),
    [sym_keyword_default] = ACTIONS(2248),
    [sym_keyword_with] = ACTIONS(2248),
    [sym_keyword_returning] = ACTIONS(2248),
    [sym_keyword_first] = ACTIONS(2248),
    [sym_keyword_after] = ACTIONS(2248),
    [sym_keyword_range] = ACTIONS(2248),
    [sym_keyword_rows] = ACTIONS(2248),
    [sym_keyword_groups] = ACTIONS(2248),
    [sym_keyword_between] = ACTIONS(2248),
    [sym_keyword_preceding] = ACTIONS(2248),
    [sym_keyword_following] = ACTIONS(2248),
    [sym_keyword_unique] = ACTIONS(2248),
    [sym_keyword_references] = ACTIONS(2248),
    [aux_sym_keyword_like_token1] = ACTIONS(2248),
    [aux_sym_keyword_like_token2] = ACTIONS(2248),
    [sym_keyword_similar] = ACTIONS(2248),
    [sym_keyword_check] = ACTIONS(2248),
    [sym_keyword_stored] = ACTIONS(2248),
    [sym_keyword_virtual] = ACTIONS(2248),
    [sym_keyword_comment] = ACTIONS(2248),
    [sym_keyword_null] = ACTIONS(2248),
    [sym_keyword_array] = ACTIONS(2248),
    [anon_sym_LBRACK] = ACTIONS(2248),
    [anon_sym_RBRACK] = ACTIONS(2248),
    [anon_sym_RPAREN] = ACTIONS(2248),
    [anon_sym_COMMA] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2248),
    [anon_sym_STAR] = ACTIONS(2248),
    [anon_sym_COLON_COLON] = ACTIONS(2248),
    [anon_sym_LT] = ACTIONS(2250),
    [anon_sym_GT] = ACTIONS(2250),
    [anon_sym_LT_EQ] = ACTIONS(2248),
    [anon_sym_GT_EQ] = ACTIONS(2248),
    [anon_sym_COLON] = ACTIONS(2250),
    [sym_op_other] = ACTIONS(2248),
    [anon_sym_PLUS] = ACTIONS(2248),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_SLASH] = ACTIONS(2250),
    [anon_sym_PERCENT] = ACTIONS(2248),
    [anon_sym_CARET] = ACTIONS(2250),
    [anon_sym_BANG_EQ] = ACTIONS(2248),
    [anon_sym_LT_GT] = ACTIONS(2248),
  },
  [235] = {
    [ts_builtin_sym_end] = ACTIONS(2021),
    [anon_sym_SEMI] = ACTIONS(2021),
    [sym_keyword_from] = ACTIONS(2021),
    [sym_keyword_on] = ACTIONS(2021),
    [sym_keyword_where] = ACTIONS(2021),
    [sym_keyword_desc] = ACTIONS(2021),
    [sym_keyword_asc] = ACTIONS(2021),
    [sym_keyword_limit] = ACTIONS(2021),
    [sym_keyword_primary] = ACTIONS(2021),
    [sym_keyword_create] = ACTIONS(2021),
    [sym_keyword_as] = ACTIONS(2023),
    [sym_keyword_constraint] = ACTIONS(2021),
    [sym_keyword_separator] = ACTIONS(2021),
    [sym_keyword_when] = ACTIONS(2021),
    [sym_keyword_then] = ACTIONS(2021),
    [sym_keyword_else] = ACTIONS(2021),
    [sym_keyword_end] = ACTIONS(2021),
    [sym_keyword_in] = ACTIONS(2021),
    [sym_keyword_and] = ACTIONS(2021),
    [sym_keyword_or] = ACTIONS(2021),
    [sym_keyword_is] = ACTIONS(2021),
    [sym_keyword_not] = ACTIONS(2021),
    [sym_keyword_using] = ACTIONS(2021),
    [sym_keyword_auto_increment] = ACTIONS(2021),
    [sym_keyword_generated] = ACTIONS(2021),
    [sym_keyword_default] = ACTIONS(2021),
    [sym_keyword_with] = ACTIONS(2021),
    [sym_keyword_returning] = ACTIONS(2021),
    [sym_keyword_first] = ACTIONS(2021),
    [sym_keyword_after] = ACTIONS(2021),
    [sym_keyword_range] = ACTIONS(2021),
    [sym_keyword_rows] = ACTIONS(2021),
    [sym_keyword_groups] = ACTIONS(2021),
    [sym_keyword_between] = ACTIONS(2021),
    [sym_keyword_preceding] = ACTIONS(2021),
    [sym_keyword_following] = ACTIONS(2021),
    [sym_keyword_unique] = ACTIONS(2021),
    [sym_keyword_references] = ACTIONS(2021),
    [aux_sym_keyword_like_token1] = ACTIONS(2021),
    [aux_sym_keyword_like_token2] = ACTIONS(2021),
    [sym_keyword_similar] = ACTIONS(2021),
    [sym_keyword_check] = ACTIONS(2021),
    [sym_keyword_stored] = ACTIONS(2021),
    [sym_keyword_virtual] = ACTIONS(2021),
    [sym_keyword_comment] = ACTIONS(2021),
    [sym_keyword_null] = ACTIONS(2021),
    [sym_keyword_array] = ACTIONS(2021),
    [anon_sym_LBRACK] = ACTIONS(2021),
    [anon_sym_RBRACK] = ACTIONS(2021),
    [anon_sym_RPAREN] = ACTIONS(2021),
    [anon_sym_COMMA] = ACTIONS(2021),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2021),
    [anon_sym_STAR] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(2021),
    [anon_sym_LT] = ACTIONS(2023),
    [anon_sym_GT] = ACTIONS(2023),
    [anon_sym_LT_EQ] = ACTIONS(2021),
    [anon_sym_GT_EQ] = ACTIONS(2021),
    [anon_sym_COLON] = ACTIONS(2023),
    [sym_op_other] = ACTIONS(2021),
    [anon_sym_PLUS] = ACTIONS(2021),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_SLASH] = ACTIONS(2023),
    [anon_sym_PERCENT] = ACTIONS(2021),
    [anon_sym_CARET] = ACTIONS(2023),
    [anon_sym_BANG_EQ] = ACTIONS(2021),
    [anon_sym_LT_GT] = ACTIONS(2021),
  },
  [236] = {
    [ts_builtin_sym_end] = ACTIONS(2252),
    [anon_sym_SEMI] = ACTIONS(2252),
    [sym_keyword_from] = ACTIONS(2252),
    [sym_keyword_on] = ACTIONS(2252),
    [sym_keyword_where] = ACTIONS(2252),
    [sym_keyword_desc] = ACTIONS(2252),
    [sym_keyword_asc] = ACTIONS(2252),
    [sym_keyword_limit] = ACTIONS(2252),
    [sym_keyword_primary] = ACTIONS(2252),
    [sym_keyword_create] = ACTIONS(2252),
    [sym_keyword_as] = ACTIONS(2254),
    [sym_keyword_constraint] = ACTIONS(2252),
    [sym_keyword_separator] = ACTIONS(2252),
    [sym_keyword_when] = ACTIONS(2252),
    [sym_keyword_then] = ACTIONS(2252),
    [sym_keyword_else] = ACTIONS(2252),
    [sym_keyword_end] = ACTIONS(2252),
    [sym_keyword_in] = ACTIONS(2252),
    [sym_keyword_and] = ACTIONS(2252),
    [sym_keyword_or] = ACTIONS(2252),
    [sym_keyword_is] = ACTIONS(2252),
    [sym_keyword_not] = ACTIONS(2252),
    [sym_keyword_using] = ACTIONS(2252),
    [sym_keyword_auto_increment] = ACTIONS(2252),
    [sym_keyword_generated] = ACTIONS(2252),
    [sym_keyword_default] = ACTIONS(2252),
    [sym_keyword_with] = ACTIONS(2252),
    [sym_keyword_returning] = ACTIONS(2252),
    [sym_keyword_first] = ACTIONS(2252),
    [sym_keyword_after] = ACTIONS(2252),
    [sym_keyword_range] = ACTIONS(2252),
    [sym_keyword_rows] = ACTIONS(2252),
    [sym_keyword_groups] = ACTIONS(2252),
    [sym_keyword_between] = ACTIONS(2252),
    [sym_keyword_preceding] = ACTIONS(2252),
    [sym_keyword_following] = ACTIONS(2252),
    [sym_keyword_unique] = ACTIONS(2252),
    [sym_keyword_references] = ACTIONS(2252),
    [aux_sym_keyword_like_token1] = ACTIONS(2252),
    [aux_sym_keyword_like_token2] = ACTIONS(2252),
    [sym_keyword_similar] = ACTIONS(2252),
    [sym_keyword_check] = ACTIONS(2252),
    [sym_keyword_stored] = ACTIONS(2252),
    [sym_keyword_virtual] = ACTIONS(2252),
    [sym_keyword_comment] = ACTIONS(2252),
    [sym_keyword_null] = ACTIONS(2252),
    [sym_keyword_array] = ACTIONS(2252),
    [anon_sym_LBRACK] = ACTIONS(2252),
    [anon_sym_RBRACK] = ACTIONS(2252),
    [anon_sym_RPAREN] = ACTIONS(2252),
    [anon_sym_COMMA] = ACTIONS(2252),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2252),
    [anon_sym_STAR] = ACTIONS(2252),
    [anon_sym_COLON_COLON] = ACTIONS(2252),
    [anon_sym_LT] = ACTIONS(2254),
    [anon_sym_GT] = ACTIONS(2254),
    [anon_sym_LT_EQ] = ACTIONS(2252),
    [anon_sym_GT_EQ] = ACTIONS(2252),
    [anon_sym_COLON] = ACTIONS(2254),
    [sym_op_other] = ACTIONS(2252),
    [anon_sym_PLUS] = ACTIONS(2252),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_SLASH] = ACTIONS(2254),
    [anon_sym_PERCENT] = ACTIONS(2252),
    [anon_sym_CARET] = ACTIONS(2254),
    [anon_sym_BANG_EQ] = ACTIONS(2252),
    [anon_sym_LT_GT] = ACTIONS(2252),
  },
  [237] = {
    [ts_builtin_sym_end] = ACTIONS(2256),
    [anon_sym_SEMI] = ACTIONS(2256),
    [sym_keyword_from] = ACTIONS(2256),
    [sym_keyword_on] = ACTIONS(2256),
    [sym_keyword_where] = ACTIONS(2256),
    [sym_keyword_desc] = ACTIONS(2256),
    [sym_keyword_asc] = ACTIONS(2256),
    [sym_keyword_limit] = ACTIONS(2256),
    [sym_keyword_primary] = ACTIONS(2256),
    [sym_keyword_create] = ACTIONS(2256),
    [sym_keyword_as] = ACTIONS(2258),
    [sym_keyword_constraint] = ACTIONS(2256),
    [sym_keyword_separator] = ACTIONS(2256),
    [sym_keyword_when] = ACTIONS(2256),
    [sym_keyword_then] = ACTIONS(2256),
    [sym_keyword_else] = ACTIONS(2256),
    [sym_keyword_end] = ACTIONS(2256),
    [sym_keyword_in] = ACTIONS(2256),
    [sym_keyword_and] = ACTIONS(2256),
    [sym_keyword_or] = ACTIONS(2256),
    [sym_keyword_is] = ACTIONS(2256),
    [sym_keyword_not] = ACTIONS(2256),
    [sym_keyword_using] = ACTIONS(2256),
    [sym_keyword_auto_increment] = ACTIONS(2256),
    [sym_keyword_generated] = ACTIONS(2256),
    [sym_keyword_default] = ACTIONS(2256),
    [sym_keyword_with] = ACTIONS(2256),
    [sym_keyword_returning] = ACTIONS(2256),
    [sym_keyword_first] = ACTIONS(2256),
    [sym_keyword_after] = ACTIONS(2256),
    [sym_keyword_range] = ACTIONS(2256),
    [sym_keyword_rows] = ACTIONS(2256),
    [sym_keyword_groups] = ACTIONS(2256),
    [sym_keyword_between] = ACTIONS(2256),
    [sym_keyword_preceding] = ACTIONS(2256),
    [sym_keyword_following] = ACTIONS(2256),
    [sym_keyword_unique] = ACTIONS(2256),
    [sym_keyword_references] = ACTIONS(2256),
    [aux_sym_keyword_like_token1] = ACTIONS(2256),
    [aux_sym_keyword_like_token2] = ACTIONS(2256),
    [sym_keyword_similar] = ACTIONS(2256),
    [sym_keyword_check] = ACTIONS(2256),
    [sym_keyword_stored] = ACTIONS(2256),
    [sym_keyword_virtual] = ACTIONS(2256),
    [sym_keyword_comment] = ACTIONS(2256),
    [sym_keyword_null] = ACTIONS(2256),
    [sym_keyword_array] = ACTIONS(2256),
    [anon_sym_LBRACK] = ACTIONS(2256),
    [anon_sym_RBRACK] = ACTIONS(2256),
    [anon_sym_RPAREN] = ACTIONS(2256),
    [anon_sym_COMMA] = ACTIONS(2256),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2256),
    [anon_sym_STAR] = ACTIONS(2256),
    [anon_sym_COLON_COLON] = ACTIONS(2256),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_GT] = ACTIONS(2258),
    [anon_sym_LT_EQ] = ACTIONS(2256),
    [anon_sym_GT_EQ] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(2258),
    [sym_op_other] = ACTIONS(2256),
    [anon_sym_PLUS] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_SLASH] = ACTIONS(2258),
    [anon_sym_PERCENT] = ACTIONS(2256),
    [anon_sym_CARET] = ACTIONS(2258),
    [anon_sym_BANG_EQ] = ACTIONS(2256),
    [anon_sym_LT_GT] = ACTIONS(2256),
  },
  [238] = {
    [ts_builtin_sym_end] = ACTIONS(2260),
    [anon_sym_SEMI] = ACTIONS(2260),
    [sym_keyword_from] = ACTIONS(2260),
    [sym_keyword_on] = ACTIONS(2260),
    [sym_keyword_where] = ACTIONS(2260),
    [sym_keyword_desc] = ACTIONS(2260),
    [sym_keyword_asc] = ACTIONS(2260),
    [sym_keyword_limit] = ACTIONS(2260),
    [sym_keyword_primary] = ACTIONS(2260),
    [sym_keyword_create] = ACTIONS(2260),
    [sym_keyword_as] = ACTIONS(2262),
    [sym_keyword_constraint] = ACTIONS(2260),
    [sym_keyword_separator] = ACTIONS(2260),
    [sym_keyword_when] = ACTIONS(2260),
    [sym_keyword_then] = ACTIONS(2260),
    [sym_keyword_else] = ACTIONS(2260),
    [sym_keyword_end] = ACTIONS(2260),
    [sym_keyword_in] = ACTIONS(2260),
    [sym_keyword_and] = ACTIONS(2260),
    [sym_keyword_or] = ACTIONS(2260),
    [sym_keyword_is] = ACTIONS(2260),
    [sym_keyword_not] = ACTIONS(2260),
    [sym_keyword_using] = ACTIONS(2260),
    [sym_keyword_auto_increment] = ACTIONS(2260),
    [sym_keyword_generated] = ACTIONS(2260),
    [sym_keyword_default] = ACTIONS(2260),
    [sym_keyword_with] = ACTIONS(2260),
    [sym_keyword_returning] = ACTIONS(2260),
    [sym_keyword_first] = ACTIONS(2260),
    [sym_keyword_after] = ACTIONS(2260),
    [sym_keyword_range] = ACTIONS(2260),
    [sym_keyword_rows] = ACTIONS(2260),
    [sym_keyword_groups] = ACTIONS(2260),
    [sym_keyword_between] = ACTIONS(2260),
    [sym_keyword_preceding] = ACTIONS(2260),
    [sym_keyword_following] = ACTIONS(2260),
    [sym_keyword_unique] = ACTIONS(2260),
    [sym_keyword_references] = ACTIONS(2260),
    [aux_sym_keyword_like_token1] = ACTIONS(2260),
    [aux_sym_keyword_like_token2] = ACTIONS(2260),
    [sym_keyword_similar] = ACTIONS(2260),
    [sym_keyword_check] = ACTIONS(2260),
    [sym_keyword_stored] = ACTIONS(2260),
    [sym_keyword_virtual] = ACTIONS(2260),
    [sym_keyword_comment] = ACTIONS(2260),
    [sym_keyword_null] = ACTIONS(2260),
    [sym_keyword_array] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2260),
    [anon_sym_RBRACK] = ACTIONS(2260),
    [anon_sym_RPAREN] = ACTIONS(2260),
    [anon_sym_COMMA] = ACTIONS(2260),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(2260),
    [anon_sym_COLON_COLON] = ACTIONS(2260),
    [anon_sym_LT] = ACTIONS(2262),
    [anon_sym_GT] = ACTIONS(2262),
    [anon_sym_LT_EQ] = ACTIONS(2260),
    [anon_sym_GT_EQ] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(2262),
    [sym_op_other] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_PERCENT] = ACTIONS(2260),
    [anon_sym_CARET] = ACTIONS(2262),
    [anon_sym_BANG_EQ] = ACTIONS(2260),
    [anon_sym_LT_GT] = ACTIONS(2260),
  },
  [239] = {
    [ts_builtin_sym_end] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2264),
    [sym_keyword_from] = ACTIONS(2264),
    [sym_keyword_on] = ACTIONS(2264),
    [sym_keyword_where] = ACTIONS(2264),
    [sym_keyword_desc] = ACTIONS(2264),
    [sym_keyword_asc] = ACTIONS(2264),
    [sym_keyword_limit] = ACTIONS(2264),
    [sym_keyword_primary] = ACTIONS(2264),
    [sym_keyword_create] = ACTIONS(2264),
    [sym_keyword_as] = ACTIONS(2266),
    [sym_keyword_constraint] = ACTIONS(2264),
    [sym_keyword_separator] = ACTIONS(2264),
    [sym_keyword_when] = ACTIONS(2264),
    [sym_keyword_then] = ACTIONS(2264),
    [sym_keyword_else] = ACTIONS(2264),
    [sym_keyword_end] = ACTIONS(2264),
    [sym_keyword_in] = ACTIONS(2264),
    [sym_keyword_and] = ACTIONS(2264),
    [sym_keyword_or] = ACTIONS(2264),
    [sym_keyword_is] = ACTIONS(2264),
    [sym_keyword_not] = ACTIONS(2264),
    [sym_keyword_using] = ACTIONS(2264),
    [sym_keyword_auto_increment] = ACTIONS(2264),
    [sym_keyword_generated] = ACTIONS(2264),
    [sym_keyword_default] = ACTIONS(2264),
    [sym_keyword_with] = ACTIONS(2264),
    [sym_keyword_returning] = ACTIONS(2264),
    [sym_keyword_first] = ACTIONS(2264),
    [sym_keyword_after] = ACTIONS(2264),
    [sym_keyword_range] = ACTIONS(2264),
    [sym_keyword_rows] = ACTIONS(2264),
    [sym_keyword_groups] = ACTIONS(2264),
    [sym_keyword_between] = ACTIONS(2264),
    [sym_keyword_preceding] = ACTIONS(2264),
    [sym_keyword_following] = ACTIONS(2264),
    [sym_keyword_unique] = ACTIONS(2264),
    [sym_keyword_references] = ACTIONS(2264),
    [aux_sym_keyword_like_token1] = ACTIONS(2264),
    [aux_sym_keyword_like_token2] = ACTIONS(2264),
    [sym_keyword_similar] = ACTIONS(2264),
    [sym_keyword_check] = ACTIONS(2264),
    [sym_keyword_stored] = ACTIONS(2264),
    [sym_keyword_virtual] = ACTIONS(2264),
    [sym_keyword_comment] = ACTIONS(2264),
    [sym_keyword_null] = ACTIONS(2264),
    [sym_keyword_array] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_RBRACK] = ACTIONS(2264),
    [anon_sym_RPAREN] = ACTIONS(2264),
    [anon_sym_COMMA] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2264),
    [anon_sym_LT] = ACTIONS(2266),
    [anon_sym_GT] = ACTIONS(2266),
    [anon_sym_LT_EQ] = ACTIONS(2264),
    [anon_sym_GT_EQ] = ACTIONS(2264),
    [anon_sym_COLON] = ACTIONS(2266),
    [sym_op_other] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2266),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_CARET] = ACTIONS(2266),
    [anon_sym_BANG_EQ] = ACTIONS(2264),
    [anon_sym_LT_GT] = ACTIONS(2264),
  },
  [240] = {
    [ts_builtin_sym_end] = ACTIONS(2268),
    [anon_sym_SEMI] = ACTIONS(2268),
    [sym_keyword_from] = ACTIONS(2268),
    [sym_keyword_on] = ACTIONS(2268),
    [sym_keyword_where] = ACTIONS(2268),
    [sym_keyword_desc] = ACTIONS(2268),
    [sym_keyword_asc] = ACTIONS(2268),
    [sym_keyword_limit] = ACTIONS(2268),
    [sym_keyword_primary] = ACTIONS(2268),
    [sym_keyword_create] = ACTIONS(2268),
    [sym_keyword_as] = ACTIONS(2270),
    [sym_keyword_constraint] = ACTIONS(2268),
    [sym_keyword_separator] = ACTIONS(2268),
    [sym_keyword_when] = ACTIONS(2268),
    [sym_keyword_then] = ACTIONS(2268),
    [sym_keyword_else] = ACTIONS(2268),
    [sym_keyword_end] = ACTIONS(2268),
    [sym_keyword_in] = ACTIONS(2268),
    [sym_keyword_and] = ACTIONS(2268),
    [sym_keyword_or] = ACTIONS(2268),
    [sym_keyword_is] = ACTIONS(2268),
    [sym_keyword_not] = ACTIONS(2268),
    [sym_keyword_using] = ACTIONS(2268),
    [sym_keyword_auto_increment] = ACTIONS(2268),
    [sym_keyword_generated] = ACTIONS(2268),
    [sym_keyword_default] = ACTIONS(2268),
    [sym_keyword_with] = ACTIONS(2268),
    [sym_keyword_returning] = ACTIONS(2268),
    [sym_keyword_first] = ACTIONS(2268),
    [sym_keyword_after] = ACTIONS(2268),
    [sym_keyword_range] = ACTIONS(2268),
    [sym_keyword_rows] = ACTIONS(2268),
    [sym_keyword_groups] = ACTIONS(2268),
    [sym_keyword_between] = ACTIONS(2268),
    [sym_keyword_preceding] = ACTIONS(2268),
    [sym_keyword_following] = ACTIONS(2268),
    [sym_keyword_unique] = ACTIONS(2268),
    [sym_keyword_references] = ACTIONS(2268),
    [aux_sym_keyword_like_token1] = ACTIONS(2268),
    [aux_sym_keyword_like_token2] = ACTIONS(2268),
    [sym_keyword_similar] = ACTIONS(2268),
    [sym_keyword_check] = ACTIONS(2268),
    [sym_keyword_stored] = ACTIONS(2268),
    [sym_keyword_virtual] = ACTIONS(2268),
    [sym_keyword_comment] = ACTIONS(2268),
    [sym_keyword_null] = ACTIONS(2268),
    [sym_keyword_array] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_RBRACK] = ACTIONS(2268),
    [anon_sym_RPAREN] = ACTIONS(2268),
    [anon_sym_COMMA] = ACTIONS(2268),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2268),
    [anon_sym_STAR] = ACTIONS(2268),
    [anon_sym_COLON_COLON] = ACTIONS(2268),
    [anon_sym_LT] = ACTIONS(2270),
    [anon_sym_GT] = ACTIONS(2270),
    [anon_sym_LT_EQ] = ACTIONS(2268),
    [anon_sym_GT_EQ] = ACTIONS(2268),
    [anon_sym_COLON] = ACTIONS(2270),
    [sym_op_other] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(2268),
    [anon_sym_DASH] = ACTIONS(2270),
    [anon_sym_SLASH] = ACTIONS(2270),
    [anon_sym_PERCENT] = ACTIONS(2268),
    [anon_sym_CARET] = ACTIONS(2270),
    [anon_sym_BANG_EQ] = ACTIONS(2268),
    [anon_sym_LT_GT] = ACTIONS(2268),
  },
  [241] = {
    [ts_builtin_sym_end] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2272),
    [sym_keyword_from] = ACTIONS(2272),
    [sym_keyword_on] = ACTIONS(2272),
    [sym_keyword_where] = ACTIONS(2272),
    [sym_keyword_desc] = ACTIONS(2272),
    [sym_keyword_asc] = ACTIONS(2272),
    [sym_keyword_limit] = ACTIONS(2272),
    [sym_keyword_primary] = ACTIONS(2272),
    [sym_keyword_create] = ACTIONS(2272),
    [sym_keyword_as] = ACTIONS(2274),
    [sym_keyword_constraint] = ACTIONS(2272),
    [sym_keyword_separator] = ACTIONS(2272),
    [sym_keyword_when] = ACTIONS(2272),
    [sym_keyword_then] = ACTIONS(2272),
    [sym_keyword_else] = ACTIONS(2272),
    [sym_keyword_end] = ACTIONS(2272),
    [sym_keyword_in] = ACTIONS(2272),
    [sym_keyword_and] = ACTIONS(2272),
    [sym_keyword_or] = ACTIONS(2272),
    [sym_keyword_is] = ACTIONS(2272),
    [sym_keyword_not] = ACTIONS(2272),
    [sym_keyword_using] = ACTIONS(2272),
    [sym_keyword_auto_increment] = ACTIONS(2272),
    [sym_keyword_generated] = ACTIONS(2272),
    [sym_keyword_default] = ACTIONS(2272),
    [sym_keyword_with] = ACTIONS(2272),
    [sym_keyword_returning] = ACTIONS(2272),
    [sym_keyword_first] = ACTIONS(2272),
    [sym_keyword_after] = ACTIONS(2272),
    [sym_keyword_range] = ACTIONS(2272),
    [sym_keyword_rows] = ACTIONS(2272),
    [sym_keyword_groups] = ACTIONS(2272),
    [sym_keyword_between] = ACTIONS(2272),
    [sym_keyword_preceding] = ACTIONS(2272),
    [sym_keyword_following] = ACTIONS(2272),
    [sym_keyword_unique] = ACTIONS(2272),
    [sym_keyword_references] = ACTIONS(2272),
    [aux_sym_keyword_like_token1] = ACTIONS(2272),
    [aux_sym_keyword_like_token2] = ACTIONS(2272),
    [sym_keyword_similar] = ACTIONS(2272),
    [sym_keyword_check] = ACTIONS(2272),
    [sym_keyword_stored] = ACTIONS(2272),
    [sym_keyword_virtual] = ACTIONS(2272),
    [sym_keyword_comment] = ACTIONS(2272),
    [sym_keyword_null] = ACTIONS(2272),
    [sym_keyword_array] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_RBRACK] = ACTIONS(2272),
    [anon_sym_RPAREN] = ACTIONS(2272),
    [anon_sym_COMMA] = ACTIONS(2272),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(2272),
    [anon_sym_COLON_COLON] = ACTIONS(2272),
    [anon_sym_LT] = ACTIONS(2274),
    [anon_sym_GT] = ACTIONS(2274),
    [anon_sym_LT_EQ] = ACTIONS(2272),
    [anon_sym_GT_EQ] = ACTIONS(2272),
    [anon_sym_COLON] = ACTIONS(2274),
    [sym_op_other] = ACTIONS(2272),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_DASH] = ACTIONS(2274),
    [anon_sym_SLASH] = ACTIONS(2274),
    [anon_sym_PERCENT] = ACTIONS(2272),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_BANG_EQ] = ACTIONS(2272),
    [anon_sym_LT_GT] = ACTIONS(2272),
  },
  [242] = {
    [ts_builtin_sym_end] = ACTIONS(2276),
    [anon_sym_SEMI] = ACTIONS(2276),
    [sym_keyword_from] = ACTIONS(2276),
    [sym_keyword_on] = ACTIONS(2276),
    [sym_keyword_where] = ACTIONS(2276),
    [sym_keyword_desc] = ACTIONS(2276),
    [sym_keyword_asc] = ACTIONS(2276),
    [sym_keyword_limit] = ACTIONS(2276),
    [sym_keyword_primary] = ACTIONS(2276),
    [sym_keyword_create] = ACTIONS(2276),
    [sym_keyword_as] = ACTIONS(2278),
    [sym_keyword_constraint] = ACTIONS(2276),
    [sym_keyword_separator] = ACTIONS(2276),
    [sym_keyword_when] = ACTIONS(2276),
    [sym_keyword_then] = ACTIONS(2276),
    [sym_keyword_else] = ACTIONS(2276),
    [sym_keyword_end] = ACTIONS(2276),
    [sym_keyword_in] = ACTIONS(2276),
    [sym_keyword_and] = ACTIONS(2276),
    [sym_keyword_or] = ACTIONS(2276),
    [sym_keyword_is] = ACTIONS(2276),
    [sym_keyword_not] = ACTIONS(2276),
    [sym_keyword_using] = ACTIONS(2276),
    [sym_keyword_auto_increment] = ACTIONS(2276),
    [sym_keyword_generated] = ACTIONS(2276),
    [sym_keyword_default] = ACTIONS(2276),
    [sym_keyword_with] = ACTIONS(2276),
    [sym_keyword_returning] = ACTIONS(2276),
    [sym_keyword_first] = ACTIONS(2276),
    [sym_keyword_after] = ACTIONS(2276),
    [sym_keyword_range] = ACTIONS(2276),
    [sym_keyword_rows] = ACTIONS(2276),
    [sym_keyword_groups] = ACTIONS(2276),
    [sym_keyword_between] = ACTIONS(2276),
    [sym_keyword_preceding] = ACTIONS(2276),
    [sym_keyword_following] = ACTIONS(2276),
    [sym_keyword_unique] = ACTIONS(2276),
    [sym_keyword_references] = ACTIONS(2276),
    [aux_sym_keyword_like_token1] = ACTIONS(2276),
    [aux_sym_keyword_like_token2] = ACTIONS(2276),
    [sym_keyword_similar] = ACTIONS(2276),
    [sym_keyword_check] = ACTIONS(2276),
    [sym_keyword_stored] = ACTIONS(2276),
    [sym_keyword_virtual] = ACTIONS(2276),
    [sym_keyword_comment] = ACTIONS(2276),
    [sym_keyword_null] = ACTIONS(2276),
    [sym_keyword_array] = ACTIONS(2276),
    [anon_sym_LBRACK] = ACTIONS(2276),
    [anon_sym_RBRACK] = ACTIONS(2276),
    [anon_sym_RPAREN] = ACTIONS(2276),
    [anon_sym_COMMA] = ACTIONS(2276),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2276),
    [anon_sym_STAR] = ACTIONS(2276),
    [anon_sym_COLON_COLON] = ACTIONS(2276),
    [anon_sym_LT] = ACTIONS(2278),
    [anon_sym_GT] = ACTIONS(2278),
    [anon_sym_LT_EQ] = ACTIONS(2276),
    [anon_sym_GT_EQ] = ACTIONS(2276),
    [anon_sym_COLON] = ACTIONS(2278),
    [sym_op_other] = ACTIONS(2276),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_DASH] = ACTIONS(2278),
    [anon_sym_SLASH] = ACTIONS(2278),
    [anon_sym_PERCENT] = ACTIONS(2276),
    [anon_sym_CARET] = ACTIONS(2278),
    [anon_sym_BANG_EQ] = ACTIONS(2276),
    [anon_sym_LT_GT] = ACTIONS(2276),
  },
  [243] = {
    [ts_builtin_sym_end] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2280),
    [sym_keyword_from] = ACTIONS(2280),
    [sym_keyword_on] = ACTIONS(2280),
    [sym_keyword_where] = ACTIONS(2280),
    [sym_keyword_desc] = ACTIONS(2280),
    [sym_keyword_asc] = ACTIONS(2280),
    [sym_keyword_limit] = ACTIONS(2280),
    [sym_keyword_primary] = ACTIONS(2280),
    [sym_keyword_create] = ACTIONS(2280),
    [sym_keyword_as] = ACTIONS(2282),
    [sym_keyword_constraint] = ACTIONS(2280),
    [sym_keyword_separator] = ACTIONS(2280),
    [sym_keyword_when] = ACTIONS(2280),
    [sym_keyword_then] = ACTIONS(2280),
    [sym_keyword_else] = ACTIONS(2280),
    [sym_keyword_end] = ACTIONS(2280),
    [sym_keyword_in] = ACTIONS(2280),
    [sym_keyword_and] = ACTIONS(2280),
    [sym_keyword_or] = ACTIONS(2280),
    [sym_keyword_is] = ACTIONS(2280),
    [sym_keyword_not] = ACTIONS(2280),
    [sym_keyword_using] = ACTIONS(2280),
    [sym_keyword_auto_increment] = ACTIONS(2280),
    [sym_keyword_generated] = ACTIONS(2280),
    [sym_keyword_default] = ACTIONS(2280),
    [sym_keyword_with] = ACTIONS(2280),
    [sym_keyword_returning] = ACTIONS(2280),
    [sym_keyword_first] = ACTIONS(2280),
    [sym_keyword_after] = ACTIONS(2280),
    [sym_keyword_range] = ACTIONS(2280),
    [sym_keyword_rows] = ACTIONS(2280),
    [sym_keyword_groups] = ACTIONS(2280),
    [sym_keyword_between] = ACTIONS(2280),
    [sym_keyword_preceding] = ACTIONS(2280),
    [sym_keyword_following] = ACTIONS(2280),
    [sym_keyword_unique] = ACTIONS(2280),
    [sym_keyword_references] = ACTIONS(2280),
    [aux_sym_keyword_like_token1] = ACTIONS(2280),
    [aux_sym_keyword_like_token2] = ACTIONS(2280),
    [sym_keyword_similar] = ACTIONS(2280),
    [sym_keyword_check] = ACTIONS(2280),
    [sym_keyword_stored] = ACTIONS(2280),
    [sym_keyword_virtual] = ACTIONS(2280),
    [sym_keyword_comment] = ACTIONS(2280),
    [sym_keyword_null] = ACTIONS(2280),
    [sym_keyword_array] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_RBRACK] = ACTIONS(2280),
    [anon_sym_RPAREN] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(2280),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2280),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_COLON_COLON] = ACTIONS(2280),
    [anon_sym_LT] = ACTIONS(2282),
    [anon_sym_GT] = ACTIONS(2282),
    [anon_sym_LT_EQ] = ACTIONS(2280),
    [anon_sym_GT_EQ] = ACTIONS(2280),
    [anon_sym_COLON] = ACTIONS(2282),
    [sym_op_other] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_SLASH] = ACTIONS(2282),
    [anon_sym_PERCENT] = ACTIONS(2280),
    [anon_sym_CARET] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2280),
    [anon_sym_LT_GT] = ACTIONS(2280),
  },
  [244] = {
    [ts_builtin_sym_end] = ACTIONS(2284),
    [anon_sym_SEMI] = ACTIONS(2284),
    [sym_keyword_from] = ACTIONS(2284),
    [sym_keyword_on] = ACTIONS(2284),
    [sym_keyword_where] = ACTIONS(2284),
    [sym_keyword_desc] = ACTIONS(2284),
    [sym_keyword_asc] = ACTIONS(2284),
    [sym_keyword_limit] = ACTIONS(2284),
    [sym_keyword_primary] = ACTIONS(2284),
    [sym_keyword_create] = ACTIONS(2284),
    [sym_keyword_as] = ACTIONS(2286),
    [sym_keyword_constraint] = ACTIONS(2284),
    [sym_keyword_separator] = ACTIONS(2284),
    [sym_keyword_when] = ACTIONS(2284),
    [sym_keyword_then] = ACTIONS(2284),
    [sym_keyword_else] = ACTIONS(2284),
    [sym_keyword_end] = ACTIONS(2284),
    [sym_keyword_in] = ACTIONS(2284),
    [sym_keyword_and] = ACTIONS(2284),
    [sym_keyword_or] = ACTIONS(2284),
    [sym_keyword_is] = ACTIONS(2284),
    [sym_keyword_not] = ACTIONS(2284),
    [sym_keyword_using] = ACTIONS(2284),
    [sym_keyword_auto_increment] = ACTIONS(2284),
    [sym_keyword_generated] = ACTIONS(2284),
    [sym_keyword_default] = ACTIONS(2284),
    [sym_keyword_with] = ACTIONS(2284),
    [sym_keyword_returning] = ACTIONS(2284),
    [sym_keyword_first] = ACTIONS(2284),
    [sym_keyword_after] = ACTIONS(2284),
    [sym_keyword_range] = ACTIONS(2284),
    [sym_keyword_rows] = ACTIONS(2284),
    [sym_keyword_groups] = ACTIONS(2284),
    [sym_keyword_between] = ACTIONS(2284),
    [sym_keyword_preceding] = ACTIONS(2284),
    [sym_keyword_following] = ACTIONS(2284),
    [sym_keyword_unique] = ACTIONS(2284),
    [sym_keyword_references] = ACTIONS(2284),
    [aux_sym_keyword_like_token1] = ACTIONS(2284),
    [aux_sym_keyword_like_token2] = ACTIONS(2284),
    [sym_keyword_similar] = ACTIONS(2284),
    [sym_keyword_check] = ACTIONS(2284),
    [sym_keyword_stored] = ACTIONS(2284),
    [sym_keyword_virtual] = ACTIONS(2284),
    [sym_keyword_comment] = ACTIONS(2284),
    [sym_keyword_null] = ACTIONS(2284),
    [sym_keyword_array] = ACTIONS(2284),
    [anon_sym_LBRACK] = ACTIONS(2284),
    [anon_sym_RBRACK] = ACTIONS(2284),
    [anon_sym_RPAREN] = ACTIONS(2284),
    [anon_sym_COMMA] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2284),
    [anon_sym_STAR] = ACTIONS(2284),
    [anon_sym_COLON_COLON] = ACTIONS(2284),
    [anon_sym_LT] = ACTIONS(2286),
    [anon_sym_GT] = ACTIONS(2286),
    [anon_sym_LT_EQ] = ACTIONS(2284),
    [anon_sym_GT_EQ] = ACTIONS(2284),
    [anon_sym_COLON] = ACTIONS(2286),
    [sym_op_other] = ACTIONS(2284),
    [anon_sym_PLUS] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2286),
    [anon_sym_SLASH] = ACTIONS(2286),
    [anon_sym_PERCENT] = ACTIONS(2284),
    [anon_sym_CARET] = ACTIONS(2286),
    [anon_sym_BANG_EQ] = ACTIONS(2284),
    [anon_sym_LT_GT] = ACTIONS(2284),
  },
  [245] = {
    [ts_builtin_sym_end] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [sym_keyword_from] = ACTIONS(2288),
    [sym_keyword_on] = ACTIONS(2288),
    [sym_keyword_where] = ACTIONS(2288),
    [sym_keyword_desc] = ACTIONS(2288),
    [sym_keyword_asc] = ACTIONS(2288),
    [sym_keyword_limit] = ACTIONS(2288),
    [sym_keyword_primary] = ACTIONS(2288),
    [sym_keyword_create] = ACTIONS(2288),
    [sym_keyword_as] = ACTIONS(2290),
    [sym_keyword_constraint] = ACTIONS(2288),
    [sym_keyword_separator] = ACTIONS(2288),
    [sym_keyword_when] = ACTIONS(2288),
    [sym_keyword_then] = ACTIONS(2288),
    [sym_keyword_else] = ACTIONS(2288),
    [sym_keyword_end] = ACTIONS(2288),
    [sym_keyword_in] = ACTIONS(2288),
    [sym_keyword_and] = ACTIONS(2288),
    [sym_keyword_or] = ACTIONS(2288),
    [sym_keyword_is] = ACTIONS(2288),
    [sym_keyword_not] = ACTIONS(2288),
    [sym_keyword_using] = ACTIONS(2288),
    [sym_keyword_auto_increment] = ACTIONS(2288),
    [sym_keyword_generated] = ACTIONS(2288),
    [sym_keyword_default] = ACTIONS(2288),
    [sym_keyword_with] = ACTIONS(2288),
    [sym_keyword_returning] = ACTIONS(2288),
    [sym_keyword_first] = ACTIONS(2288),
    [sym_keyword_after] = ACTIONS(2288),
    [sym_keyword_range] = ACTIONS(2288),
    [sym_keyword_rows] = ACTIONS(2288),
    [sym_keyword_groups] = ACTIONS(2288),
    [sym_keyword_between] = ACTIONS(2288),
    [sym_keyword_preceding] = ACTIONS(2288),
    [sym_keyword_following] = ACTIONS(2288),
    [sym_keyword_unique] = ACTIONS(2288),
    [sym_keyword_references] = ACTIONS(2288),
    [aux_sym_keyword_like_token1] = ACTIONS(2288),
    [aux_sym_keyword_like_token2] = ACTIONS(2288),
    [sym_keyword_similar] = ACTIONS(2288),
    [sym_keyword_check] = ACTIONS(2288),
    [sym_keyword_stored] = ACTIONS(2288),
    [sym_keyword_virtual] = ACTIONS(2288),
    [sym_keyword_comment] = ACTIONS(2288),
    [sym_keyword_null] = ACTIONS(2288),
    [sym_keyword_array] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_RBRACK] = ACTIONS(2288),
    [anon_sym_RPAREN] = ACTIONS(2288),
    [anon_sym_COMMA] = ACTIONS(2288),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2288),
    [anon_sym_COLON_COLON] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2290),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_LT_EQ] = ACTIONS(2288),
    [anon_sym_GT_EQ] = ACTIONS(2288),
    [anon_sym_COLON] = ACTIONS(2290),
    [sym_op_other] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2290),
    [anon_sym_SLASH] = ACTIONS(2290),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_CARET] = ACTIONS(2290),
    [anon_sym_BANG_EQ] = ACTIONS(2288),
    [anon_sym_LT_GT] = ACTIONS(2288),
  },
  [246] = {
    [ts_builtin_sym_end] = ACTIONS(2292),
    [anon_sym_SEMI] = ACTIONS(2292),
    [sym_keyword_from] = ACTIONS(2292),
    [sym_keyword_on] = ACTIONS(2292),
    [sym_keyword_where] = ACTIONS(2292),
    [sym_keyword_desc] = ACTIONS(2292),
    [sym_keyword_asc] = ACTIONS(2292),
    [sym_keyword_limit] = ACTIONS(2292),
    [sym_keyword_primary] = ACTIONS(2292),
    [sym_keyword_create] = ACTIONS(2292),
    [sym_keyword_as] = ACTIONS(2294),
    [sym_keyword_constraint] = ACTIONS(2292),
    [sym_keyword_separator] = ACTIONS(2292),
    [sym_keyword_when] = ACTIONS(2292),
    [sym_keyword_then] = ACTIONS(2292),
    [sym_keyword_else] = ACTIONS(2292),
    [sym_keyword_end] = ACTIONS(2292),
    [sym_keyword_in] = ACTIONS(2292),
    [sym_keyword_and] = ACTIONS(2292),
    [sym_keyword_or] = ACTIONS(2292),
    [sym_keyword_is] = ACTIONS(2292),
    [sym_keyword_not] = ACTIONS(2292),
    [sym_keyword_using] = ACTIONS(2292),
    [sym_keyword_auto_increment] = ACTIONS(2292),
    [sym_keyword_generated] = ACTIONS(2292),
    [sym_keyword_default] = ACTIONS(2292),
    [sym_keyword_with] = ACTIONS(2292),
    [sym_keyword_returning] = ACTIONS(2292),
    [sym_keyword_first] = ACTIONS(2292),
    [sym_keyword_after] = ACTIONS(2292),
    [sym_keyword_range] = ACTIONS(2292),
    [sym_keyword_rows] = ACTIONS(2292),
    [sym_keyword_groups] = ACTIONS(2292),
    [sym_keyword_between] = ACTIONS(2292),
    [sym_keyword_preceding] = ACTIONS(2292),
    [sym_keyword_following] = ACTIONS(2292),
    [sym_keyword_unique] = ACTIONS(2292),
    [sym_keyword_references] = ACTIONS(2292),
    [aux_sym_keyword_like_token1] = ACTIONS(2292),
    [aux_sym_keyword_like_token2] = ACTIONS(2292),
    [sym_keyword_similar] = ACTIONS(2292),
    [sym_keyword_check] = ACTIONS(2292),
    [sym_keyword_stored] = ACTIONS(2292),
    [sym_keyword_virtual] = ACTIONS(2292),
    [sym_keyword_comment] = ACTIONS(2292),
    [sym_keyword_null] = ACTIONS(2292),
    [sym_keyword_array] = ACTIONS(2292),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_RBRACK] = ACTIONS(2292),
    [anon_sym_RPAREN] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(2292),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2292),
    [anon_sym_COLON_COLON] = ACTIONS(2292),
    [anon_sym_LT] = ACTIONS(2294),
    [anon_sym_GT] = ACTIONS(2294),
    [anon_sym_LT_EQ] = ACTIONS(2292),
    [anon_sym_GT_EQ] = ACTIONS(2292),
    [anon_sym_COLON] = ACTIONS(2294),
    [sym_op_other] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_SLASH] = ACTIONS(2294),
    [anon_sym_PERCENT] = ACTIONS(2292),
    [anon_sym_CARET] = ACTIONS(2294),
    [anon_sym_BANG_EQ] = ACTIONS(2292),
    [anon_sym_LT_GT] = ACTIONS(2292),
  },
  [247] = {
    [ts_builtin_sym_end] = ACTIONS(2031),
    [anon_sym_SEMI] = ACTIONS(2031),
    [sym_keyword_from] = ACTIONS(2031),
    [sym_keyword_on] = ACTIONS(2031),
    [sym_keyword_where] = ACTIONS(2031),
    [sym_keyword_desc] = ACTIONS(2031),
    [sym_keyword_asc] = ACTIONS(2031),
    [sym_keyword_limit] = ACTIONS(2031),
    [sym_keyword_primary] = ACTIONS(2031),
    [sym_keyword_create] = ACTIONS(2031),
    [sym_keyword_as] = ACTIONS(2033),
    [sym_keyword_constraint] = ACTIONS(2031),
    [sym_keyword_separator] = ACTIONS(2031),
    [sym_keyword_when] = ACTIONS(2031),
    [sym_keyword_then] = ACTIONS(2031),
    [sym_keyword_else] = ACTIONS(2031),
    [sym_keyword_end] = ACTIONS(2031),
    [sym_keyword_in] = ACTIONS(2031),
    [sym_keyword_and] = ACTIONS(2031),
    [sym_keyword_or] = ACTIONS(2031),
    [sym_keyword_is] = ACTIONS(2031),
    [sym_keyword_not] = ACTIONS(2031),
    [sym_keyword_using] = ACTIONS(2031),
    [sym_keyword_auto_increment] = ACTIONS(2031),
    [sym_keyword_generated] = ACTIONS(2031),
    [sym_keyword_default] = ACTIONS(2031),
    [sym_keyword_with] = ACTIONS(2031),
    [sym_keyword_returning] = ACTIONS(2031),
    [sym_keyword_first] = ACTIONS(2031),
    [sym_keyword_after] = ACTIONS(2031),
    [sym_keyword_range] = ACTIONS(2031),
    [sym_keyword_rows] = ACTIONS(2031),
    [sym_keyword_groups] = ACTIONS(2031),
    [sym_keyword_between] = ACTIONS(2031),
    [sym_keyword_preceding] = ACTIONS(2031),
    [sym_keyword_following] = ACTIONS(2031),
    [sym_keyword_unique] = ACTIONS(2031),
    [sym_keyword_references] = ACTIONS(2031),
    [aux_sym_keyword_like_token1] = ACTIONS(2031),
    [aux_sym_keyword_like_token2] = ACTIONS(2031),
    [sym_keyword_similar] = ACTIONS(2031),
    [sym_keyword_check] = ACTIONS(2031),
    [sym_keyword_stored] = ACTIONS(2031),
    [sym_keyword_virtual] = ACTIONS(2031),
    [sym_keyword_comment] = ACTIONS(2031),
    [sym_keyword_null] = ACTIONS(2031),
    [sym_keyword_array] = ACTIONS(2031),
    [anon_sym_LBRACK] = ACTIONS(2031),
    [anon_sym_RBRACK] = ACTIONS(2031),
    [anon_sym_RPAREN] = ACTIONS(2031),
    [anon_sym_COMMA] = ACTIONS(2031),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2031),
    [anon_sym_STAR] = ACTIONS(2031),
    [anon_sym_COLON_COLON] = ACTIONS(2031),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_GT] = ACTIONS(2033),
    [anon_sym_LT_EQ] = ACTIONS(2031),
    [anon_sym_GT_EQ] = ACTIONS(2031),
    [anon_sym_COLON] = ACTIONS(2033),
    [sym_op_other] = ACTIONS(2031),
    [anon_sym_PLUS] = ACTIONS(2031),
    [anon_sym_DASH] = ACTIONS(2033),
    [anon_sym_SLASH] = ACTIONS(2033),
    [anon_sym_PERCENT] = ACTIONS(2031),
    [anon_sym_CARET] = ACTIONS(2033),
    [anon_sym_BANG_EQ] = ACTIONS(2031),
    [anon_sym_LT_GT] = ACTIONS(2031),
  },
  [248] = {
    [ts_builtin_sym_end] = ACTIONS(1825),
    [anon_sym_SEMI] = ACTIONS(1825),
    [sym_keyword_from] = ACTIONS(1825),
    [sym_keyword_on] = ACTIONS(1825),
    [sym_keyword_where] = ACTIONS(1825),
    [sym_keyword_desc] = ACTIONS(1825),
    [sym_keyword_asc] = ACTIONS(1825),
    [sym_keyword_limit] = ACTIONS(1825),
    [sym_keyword_primary] = ACTIONS(1825),
    [sym_keyword_create] = ACTIONS(1825),
    [sym_keyword_as] = ACTIONS(1827),
    [sym_keyword_constraint] = ACTIONS(1825),
    [sym_keyword_separator] = ACTIONS(1825),
    [sym_keyword_when] = ACTIONS(1825),
    [sym_keyword_then] = ACTIONS(1825),
    [sym_keyword_else] = ACTIONS(1825),
    [sym_keyword_end] = ACTIONS(1825),
    [sym_keyword_in] = ACTIONS(1825),
    [sym_keyword_and] = ACTIONS(1825),
    [sym_keyword_or] = ACTIONS(1825),
    [sym_keyword_is] = ACTIONS(1825),
    [sym_keyword_not] = ACTIONS(1825),
    [sym_keyword_using] = ACTIONS(1825),
    [sym_keyword_auto_increment] = ACTIONS(1825),
    [sym_keyword_generated] = ACTIONS(1825),
    [sym_keyword_default] = ACTIONS(1825),
    [sym_keyword_with] = ACTIONS(1825),
    [sym_keyword_returning] = ACTIONS(1825),
    [sym_keyword_first] = ACTIONS(1825),
    [sym_keyword_after] = ACTIONS(1825),
    [sym_keyword_range] = ACTIONS(1825),
    [sym_keyword_rows] = ACTIONS(1825),
    [sym_keyword_groups] = ACTIONS(1825),
    [sym_keyword_between] = ACTIONS(1825),
    [sym_keyword_preceding] = ACTIONS(1825),
    [sym_keyword_following] = ACTIONS(1825),
    [sym_keyword_unique] = ACTIONS(1825),
    [sym_keyword_references] = ACTIONS(1825),
    [aux_sym_keyword_like_token1] = ACTIONS(1825),
    [aux_sym_keyword_like_token2] = ACTIONS(1825),
    [sym_keyword_similar] = ACTIONS(1825),
    [sym_keyword_check] = ACTIONS(1825),
    [sym_keyword_stored] = ACTIONS(1825),
    [sym_keyword_virtual] = ACTIONS(1825),
    [sym_keyword_comment] = ACTIONS(1825),
    [sym_keyword_null] = ACTIONS(1825),
    [sym_keyword_array] = ACTIONS(1825),
    [anon_sym_LBRACK] = ACTIONS(1825),
    [anon_sym_RBRACK] = ACTIONS(1825),
    [anon_sym_RPAREN] = ACTIONS(1825),
    [anon_sym_COMMA] = ACTIONS(1825),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1825),
    [anon_sym_STAR] = ACTIONS(1825),
    [anon_sym_COLON_COLON] = ACTIONS(1825),
    [anon_sym_LT] = ACTIONS(1827),
    [anon_sym_GT] = ACTIONS(1827),
    [anon_sym_LT_EQ] = ACTIONS(1825),
    [anon_sym_GT_EQ] = ACTIONS(1825),
    [anon_sym_COLON] = ACTIONS(1827),
    [sym_op_other] = ACTIONS(1825),
    [anon_sym_PLUS] = ACTIONS(1825),
    [anon_sym_DASH] = ACTIONS(1827),
    [anon_sym_SLASH] = ACTIONS(1827),
    [anon_sym_PERCENT] = ACTIONS(1825),
    [anon_sym_CARET] = ACTIONS(1827),
    [anon_sym_BANG_EQ] = ACTIONS(1825),
    [anon_sym_LT_GT] = ACTIONS(1825),
  },
  [249] = {
    [ts_builtin_sym_end] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [sym_keyword_from] = ACTIONS(2296),
    [sym_keyword_on] = ACTIONS(2296),
    [sym_keyword_where] = ACTIONS(2296),
    [sym_keyword_desc] = ACTIONS(2296),
    [sym_keyword_asc] = ACTIONS(2296),
    [sym_keyword_limit] = ACTIONS(2296),
    [sym_keyword_primary] = ACTIONS(2296),
    [sym_keyword_create] = ACTIONS(2296),
    [sym_keyword_as] = ACTIONS(2298),
    [sym_keyword_constraint] = ACTIONS(2296),
    [sym_keyword_separator] = ACTIONS(2296),
    [sym_keyword_when] = ACTIONS(2296),
    [sym_keyword_then] = ACTIONS(2296),
    [sym_keyword_else] = ACTIONS(2296),
    [sym_keyword_end] = ACTIONS(2296),
    [sym_keyword_in] = ACTIONS(2296),
    [sym_keyword_and] = ACTIONS(2296),
    [sym_keyword_or] = ACTIONS(2296),
    [sym_keyword_is] = ACTIONS(2296),
    [sym_keyword_not] = ACTIONS(2296),
    [sym_keyword_using] = ACTIONS(2296),
    [sym_keyword_auto_increment] = ACTIONS(2296),
    [sym_keyword_generated] = ACTIONS(2296),
    [sym_keyword_default] = ACTIONS(2296),
    [sym_keyword_with] = ACTIONS(2296),
    [sym_keyword_returning] = ACTIONS(2296),
    [sym_keyword_first] = ACTIONS(2296),
    [sym_keyword_after] = ACTIONS(2296),
    [sym_keyword_range] = ACTIONS(2296),
    [sym_keyword_rows] = ACTIONS(2296),
    [sym_keyword_groups] = ACTIONS(2296),
    [sym_keyword_between] = ACTIONS(2296),
    [sym_keyword_preceding] = ACTIONS(2296),
    [sym_keyword_following] = ACTIONS(2296),
    [sym_keyword_unique] = ACTIONS(2296),
    [sym_keyword_references] = ACTIONS(2296),
    [aux_sym_keyword_like_token1] = ACTIONS(2296),
    [aux_sym_keyword_like_token2] = ACTIONS(2296),
    [sym_keyword_similar] = ACTIONS(2296),
    [sym_keyword_check] = ACTIONS(2296),
    [sym_keyword_stored] = ACTIONS(2296),
    [sym_keyword_virtual] = ACTIONS(2296),
    [sym_keyword_comment] = ACTIONS(2296),
    [sym_keyword_null] = ACTIONS(2296),
    [sym_keyword_array] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_RBRACK] = ACTIONS(2296),
    [anon_sym_RPAREN] = ACTIONS(2296),
    [anon_sym_COMMA] = ACTIONS(2296),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2296),
    [anon_sym_STAR] = ACTIONS(2296),
    [anon_sym_COLON_COLON] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2298),
    [anon_sym_GT] = ACTIONS(2298),
    [anon_sym_LT_EQ] = ACTIONS(2296),
    [anon_sym_GT_EQ] = ACTIONS(2296),
    [anon_sym_COLON] = ACTIONS(2298),
    [sym_op_other] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_SLASH] = ACTIONS(2298),
    [anon_sym_PERCENT] = ACTIONS(2296),
    [anon_sym_CARET] = ACTIONS(2298),
    [anon_sym_BANG_EQ] = ACTIONS(2296),
    [anon_sym_LT_GT] = ACTIONS(2296),
  },
  [250] = {
    [ts_builtin_sym_end] = ACTIONS(2300),
    [anon_sym_SEMI] = ACTIONS(2300),
    [sym_keyword_from] = ACTIONS(2300),
    [sym_keyword_on] = ACTIONS(2300),
    [sym_keyword_where] = ACTIONS(2300),
    [sym_keyword_desc] = ACTIONS(2300),
    [sym_keyword_asc] = ACTIONS(2300),
    [sym_keyword_limit] = ACTIONS(2300),
    [sym_keyword_primary] = ACTIONS(2300),
    [sym_keyword_create] = ACTIONS(2300),
    [sym_keyword_as] = ACTIONS(2302),
    [sym_keyword_constraint] = ACTIONS(2300),
    [sym_keyword_separator] = ACTIONS(2300),
    [sym_keyword_when] = ACTIONS(2300),
    [sym_keyword_then] = ACTIONS(2300),
    [sym_keyword_else] = ACTIONS(2300),
    [sym_keyword_end] = ACTIONS(2300),
    [sym_keyword_in] = ACTIONS(2300),
    [sym_keyword_and] = ACTIONS(2300),
    [sym_keyword_or] = ACTIONS(2300),
    [sym_keyword_is] = ACTIONS(2300),
    [sym_keyword_not] = ACTIONS(2300),
    [sym_keyword_using] = ACTIONS(2300),
    [sym_keyword_auto_increment] = ACTIONS(2300),
    [sym_keyword_generated] = ACTIONS(2300),
    [sym_keyword_default] = ACTIONS(2300),
    [sym_keyword_with] = ACTIONS(2300),
    [sym_keyword_returning] = ACTIONS(2300),
    [sym_keyword_first] = ACTIONS(2300),
    [sym_keyword_after] = ACTIONS(2300),
    [sym_keyword_range] = ACTIONS(2300),
    [sym_keyword_rows] = ACTIONS(2300),
    [sym_keyword_groups] = ACTIONS(2300),
    [sym_keyword_between] = ACTIONS(2300),
    [sym_keyword_preceding] = ACTIONS(2300),
    [sym_keyword_following] = ACTIONS(2300),
    [sym_keyword_unique] = ACTIONS(2300),
    [sym_keyword_references] = ACTIONS(2300),
    [aux_sym_keyword_like_token1] = ACTIONS(2300),
    [aux_sym_keyword_like_token2] = ACTIONS(2300),
    [sym_keyword_similar] = ACTIONS(2300),
    [sym_keyword_check] = ACTIONS(2300),
    [sym_keyword_stored] = ACTIONS(2300),
    [sym_keyword_virtual] = ACTIONS(2300),
    [sym_keyword_comment] = ACTIONS(2300),
    [sym_keyword_null] = ACTIONS(2300),
    [sym_keyword_array] = ACTIONS(2300),
    [anon_sym_LBRACK] = ACTIONS(2300),
    [anon_sym_RBRACK] = ACTIONS(2300),
    [anon_sym_RPAREN] = ACTIONS(2300),
    [anon_sym_COMMA] = ACTIONS(2300),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2300),
    [anon_sym_STAR] = ACTIONS(2300),
    [anon_sym_COLON_COLON] = ACTIONS(2300),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_GT] = ACTIONS(2302),
    [anon_sym_LT_EQ] = ACTIONS(2300),
    [anon_sym_GT_EQ] = ACTIONS(2300),
    [anon_sym_COLON] = ACTIONS(2302),
    [sym_op_other] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2300),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_PERCENT] = ACTIONS(2300),
    [anon_sym_CARET] = ACTIONS(2302),
    [anon_sym_BANG_EQ] = ACTIONS(2300),
    [anon_sym_LT_GT] = ACTIONS(2300),
  },
  [251] = {
    [ts_builtin_sym_end] = ACTIONS(2304),
    [anon_sym_SEMI] = ACTIONS(2304),
    [sym_keyword_from] = ACTIONS(2304),
    [sym_keyword_on] = ACTIONS(2304),
    [sym_keyword_where] = ACTIONS(2304),
    [sym_keyword_desc] = ACTIONS(2304),
    [sym_keyword_asc] = ACTIONS(2304),
    [sym_keyword_limit] = ACTIONS(2304),
    [sym_keyword_primary] = ACTIONS(2304),
    [sym_keyword_create] = ACTIONS(2304),
    [sym_keyword_as] = ACTIONS(2306),
    [sym_keyword_constraint] = ACTIONS(2304),
    [sym_keyword_separator] = ACTIONS(2304),
    [sym_keyword_when] = ACTIONS(2304),
    [sym_keyword_then] = ACTIONS(2304),
    [sym_keyword_else] = ACTIONS(2304),
    [sym_keyword_end] = ACTIONS(2304),
    [sym_keyword_in] = ACTIONS(2304),
    [sym_keyword_and] = ACTIONS(2304),
    [sym_keyword_or] = ACTIONS(2304),
    [sym_keyword_is] = ACTIONS(2304),
    [sym_keyword_not] = ACTIONS(2304),
    [sym_keyword_using] = ACTIONS(2304),
    [sym_keyword_auto_increment] = ACTIONS(2304),
    [sym_keyword_generated] = ACTIONS(2304),
    [sym_keyword_default] = ACTIONS(2304),
    [sym_keyword_with] = ACTIONS(2304),
    [sym_keyword_returning] = ACTIONS(2304),
    [sym_keyword_first] = ACTIONS(2304),
    [sym_keyword_after] = ACTIONS(2304),
    [sym_keyword_range] = ACTIONS(2304),
    [sym_keyword_rows] = ACTIONS(2304),
    [sym_keyword_groups] = ACTIONS(2304),
    [sym_keyword_between] = ACTIONS(2304),
    [sym_keyword_preceding] = ACTIONS(2304),
    [sym_keyword_following] = ACTIONS(2304),
    [sym_keyword_unique] = ACTIONS(2304),
    [sym_keyword_references] = ACTIONS(2304),
    [aux_sym_keyword_like_token1] = ACTIONS(2304),
    [aux_sym_keyword_like_token2] = ACTIONS(2304),
    [sym_keyword_similar] = ACTIONS(2304),
    [sym_keyword_check] = ACTIONS(2304),
    [sym_keyword_stored] = ACTIONS(2304),
    [sym_keyword_virtual] = ACTIONS(2304),
    [sym_keyword_comment] = ACTIONS(2304),
    [sym_keyword_null] = ACTIONS(2304),
    [sym_keyword_array] = ACTIONS(2304),
    [anon_sym_LBRACK] = ACTIONS(2304),
    [anon_sym_RBRACK] = ACTIONS(2304),
    [anon_sym_RPAREN] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2304),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2304),
    [anon_sym_STAR] = ACTIONS(2304),
    [anon_sym_COLON_COLON] = ACTIONS(2304),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_LT_EQ] = ACTIONS(2304),
    [anon_sym_GT_EQ] = ACTIONS(2304),
    [anon_sym_COLON] = ACTIONS(2306),
    [sym_op_other] = ACTIONS(2304),
    [anon_sym_PLUS] = ACTIONS(2304),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2306),
    [anon_sym_PERCENT] = ACTIONS(2304),
    [anon_sym_CARET] = ACTIONS(2306),
    [anon_sym_BANG_EQ] = ACTIONS(2304),
    [anon_sym_LT_GT] = ACTIONS(2304),
  },
  [252] = {
    [ts_builtin_sym_end] = ACTIONS(2039),
    [anon_sym_SEMI] = ACTIONS(2039),
    [sym_keyword_from] = ACTIONS(2039),
    [sym_keyword_on] = ACTIONS(2039),
    [sym_keyword_where] = ACTIONS(2039),
    [sym_keyword_desc] = ACTIONS(2039),
    [sym_keyword_asc] = ACTIONS(2039),
    [sym_keyword_limit] = ACTIONS(2039),
    [sym_keyword_primary] = ACTIONS(2039),
    [sym_keyword_create] = ACTIONS(2039),
    [sym_keyword_as] = ACTIONS(2041),
    [sym_keyword_constraint] = ACTIONS(2039),
    [sym_keyword_separator] = ACTIONS(2039),
    [sym_keyword_when] = ACTIONS(2039),
    [sym_keyword_then] = ACTIONS(2039),
    [sym_keyword_else] = ACTIONS(2039),
    [sym_keyword_end] = ACTIONS(2039),
    [sym_keyword_in] = ACTIONS(2039),
    [sym_keyword_and] = ACTIONS(2039),
    [sym_keyword_or] = ACTIONS(2039),
    [sym_keyword_is] = ACTIONS(2039),
    [sym_keyword_not] = ACTIONS(2039),
    [sym_keyword_using] = ACTIONS(2039),
    [sym_keyword_auto_increment] = ACTIONS(2039),
    [sym_keyword_generated] = ACTIONS(2039),
    [sym_keyword_default] = ACTIONS(2039),
    [sym_keyword_with] = ACTIONS(2039),
    [sym_keyword_returning] = ACTIONS(2039),
    [sym_keyword_first] = ACTIONS(2039),
    [sym_keyword_after] = ACTIONS(2039),
    [sym_keyword_range] = ACTIONS(2039),
    [sym_keyword_rows] = ACTIONS(2039),
    [sym_keyword_groups] = ACTIONS(2039),
    [sym_keyword_between] = ACTIONS(2039),
    [sym_keyword_preceding] = ACTIONS(2039),
    [sym_keyword_following] = ACTIONS(2039),
    [sym_keyword_unique] = ACTIONS(2039),
    [sym_keyword_references] = ACTIONS(2039),
    [aux_sym_keyword_like_token1] = ACTIONS(2039),
    [aux_sym_keyword_like_token2] = ACTIONS(2039),
    [sym_keyword_similar] = ACTIONS(2039),
    [sym_keyword_check] = ACTIONS(2039),
    [sym_keyword_stored] = ACTIONS(2039),
    [sym_keyword_virtual] = ACTIONS(2039),
    [sym_keyword_comment] = ACTIONS(2039),
    [sym_keyword_null] = ACTIONS(2039),
    [sym_keyword_array] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2039),
    [anon_sym_RBRACK] = ACTIONS(2039),
    [anon_sym_RPAREN] = ACTIONS(2039),
    [anon_sym_COMMA] = ACTIONS(2039),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2039),
    [anon_sym_STAR] = ACTIONS(2039),
    [anon_sym_COLON_COLON] = ACTIONS(2039),
    [anon_sym_LT] = ACTIONS(2041),
    [anon_sym_GT] = ACTIONS(2041),
    [anon_sym_LT_EQ] = ACTIONS(2039),
    [anon_sym_GT_EQ] = ACTIONS(2039),
    [anon_sym_COLON] = ACTIONS(2041),
    [sym_op_other] = ACTIONS(2039),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2041),
    [anon_sym_SLASH] = ACTIONS(2041),
    [anon_sym_PERCENT] = ACTIONS(2039),
    [anon_sym_CARET] = ACTIONS(2041),
    [anon_sym_BANG_EQ] = ACTIONS(2039),
    [anon_sym_LT_GT] = ACTIONS(2039),
  },
  [253] = {
    [ts_builtin_sym_end] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2308),
    [sym_keyword_from] = ACTIONS(2308),
    [sym_keyword_on] = ACTIONS(2308),
    [sym_keyword_where] = ACTIONS(2308),
    [sym_keyword_desc] = ACTIONS(2308),
    [sym_keyword_asc] = ACTIONS(2308),
    [sym_keyword_limit] = ACTIONS(2308),
    [sym_keyword_primary] = ACTIONS(2308),
    [sym_keyword_create] = ACTIONS(2308),
    [sym_keyword_as] = ACTIONS(2310),
    [sym_keyword_constraint] = ACTIONS(2308),
    [sym_keyword_separator] = ACTIONS(2308),
    [sym_keyword_when] = ACTIONS(2308),
    [sym_keyword_then] = ACTIONS(2308),
    [sym_keyword_else] = ACTIONS(2308),
    [sym_keyword_end] = ACTIONS(2308),
    [sym_keyword_in] = ACTIONS(2308),
    [sym_keyword_and] = ACTIONS(2308),
    [sym_keyword_or] = ACTIONS(2308),
    [sym_keyword_is] = ACTIONS(2308),
    [sym_keyword_not] = ACTIONS(2308),
    [sym_keyword_using] = ACTIONS(2308),
    [sym_keyword_auto_increment] = ACTIONS(2308),
    [sym_keyword_generated] = ACTIONS(2308),
    [sym_keyword_default] = ACTIONS(2308),
    [sym_keyword_with] = ACTIONS(2308),
    [sym_keyword_returning] = ACTIONS(2308),
    [sym_keyword_first] = ACTIONS(2308),
    [sym_keyword_after] = ACTIONS(2308),
    [sym_keyword_range] = ACTIONS(2308),
    [sym_keyword_rows] = ACTIONS(2308),
    [sym_keyword_groups] = ACTIONS(2308),
    [sym_keyword_between] = ACTIONS(2308),
    [sym_keyword_preceding] = ACTIONS(2308),
    [sym_keyword_following] = ACTIONS(2308),
    [sym_keyword_unique] = ACTIONS(2308),
    [sym_keyword_references] = ACTIONS(2308),
    [aux_sym_keyword_like_token1] = ACTIONS(2308),
    [aux_sym_keyword_like_token2] = ACTIONS(2308),
    [sym_keyword_similar] = ACTIONS(2308),
    [sym_keyword_check] = ACTIONS(2308),
    [sym_keyword_stored] = ACTIONS(2308),
    [sym_keyword_virtual] = ACTIONS(2308),
    [sym_keyword_comment] = ACTIONS(2308),
    [sym_keyword_null] = ACTIONS(2308),
    [sym_keyword_array] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym_RBRACK] = ACTIONS(2308),
    [anon_sym_RPAREN] = ACTIONS(2308),
    [anon_sym_COMMA] = ACTIONS(2308),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2308),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_COLON_COLON] = ACTIONS(2308),
    [anon_sym_LT] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2308),
    [anon_sym_GT_EQ] = ACTIONS(2308),
    [anon_sym_COLON] = ACTIONS(2310),
    [sym_op_other] = ACTIONS(2308),
    [anon_sym_PLUS] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_PERCENT] = ACTIONS(2308),
    [anon_sym_CARET] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2308),
    [anon_sym_LT_GT] = ACTIONS(2308),
  },
  [254] = {
    [ts_builtin_sym_end] = ACTIONS(2202),
    [anon_sym_SEMI] = ACTIONS(2202),
    [sym_keyword_from] = ACTIONS(2202),
    [sym_keyword_on] = ACTIONS(2202),
    [sym_keyword_where] = ACTIONS(2202),
    [sym_keyword_desc] = ACTIONS(2202),
    [sym_keyword_asc] = ACTIONS(2202),
    [sym_keyword_limit] = ACTIONS(2202),
    [sym_keyword_primary] = ACTIONS(2202),
    [sym_keyword_create] = ACTIONS(2202),
    [sym_keyword_as] = ACTIONS(2204),
    [sym_keyword_constraint] = ACTIONS(2202),
    [sym_keyword_separator] = ACTIONS(2202),
    [sym_keyword_when] = ACTIONS(2202),
    [sym_keyword_then] = ACTIONS(2202),
    [sym_keyword_else] = ACTIONS(2202),
    [sym_keyword_end] = ACTIONS(2202),
    [sym_keyword_in] = ACTIONS(2202),
    [sym_keyword_and] = ACTIONS(2202),
    [sym_keyword_or] = ACTIONS(2202),
    [sym_keyword_is] = ACTIONS(2202),
    [sym_keyword_not] = ACTIONS(2202),
    [sym_keyword_using] = ACTIONS(2202),
    [sym_keyword_auto_increment] = ACTIONS(2202),
    [sym_keyword_generated] = ACTIONS(2202),
    [sym_keyword_default] = ACTIONS(2202),
    [sym_keyword_with] = ACTIONS(2202),
    [sym_keyword_returning] = ACTIONS(2202),
    [sym_keyword_first] = ACTIONS(2202),
    [sym_keyword_after] = ACTIONS(2202),
    [sym_keyword_range] = ACTIONS(2202),
    [sym_keyword_rows] = ACTIONS(2202),
    [sym_keyword_groups] = ACTIONS(2202),
    [sym_keyword_between] = ACTIONS(2202),
    [sym_keyword_preceding] = ACTIONS(2202),
    [sym_keyword_following] = ACTIONS(2202),
    [sym_keyword_unique] = ACTIONS(2202),
    [sym_keyword_references] = ACTIONS(2202),
    [aux_sym_keyword_like_token1] = ACTIONS(2202),
    [aux_sym_keyword_like_token2] = ACTIONS(2202),
    [sym_keyword_similar] = ACTIONS(2202),
    [sym_keyword_check] = ACTIONS(2202),
    [sym_keyword_stored] = ACTIONS(2202),
    [sym_keyword_virtual] = ACTIONS(2202),
    [sym_keyword_comment] = ACTIONS(2202),
    [sym_keyword_null] = ACTIONS(2202),
    [sym_keyword_array] = ACTIONS(2202),
    [anon_sym_LBRACK] = ACTIONS(2202),
    [anon_sym_RBRACK] = ACTIONS(2202),
    [anon_sym_RPAREN] = ACTIONS(2202),
    [anon_sym_COMMA] = ACTIONS(2202),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2202),
    [anon_sym_STAR] = ACTIONS(2202),
    [anon_sym_COLON_COLON] = ACTIONS(2202),
    [anon_sym_LT] = ACTIONS(2204),
    [anon_sym_GT] = ACTIONS(2204),
    [anon_sym_LT_EQ] = ACTIONS(2202),
    [anon_sym_GT_EQ] = ACTIONS(2202),
    [anon_sym_COLON] = ACTIONS(2204),
    [sym_op_other] = ACTIONS(2202),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_DASH] = ACTIONS(2204),
    [anon_sym_SLASH] = ACTIONS(2204),
    [anon_sym_PERCENT] = ACTIONS(2202),
    [anon_sym_CARET] = ACTIONS(2204),
    [anon_sym_BANG_EQ] = ACTIONS(2202),
    [anon_sym_LT_GT] = ACTIONS(2202),
  },
  [255] = {
    [ts_builtin_sym_end] = ACTIONS(2312),
    [anon_sym_SEMI] = ACTIONS(2312),
    [sym_keyword_from] = ACTIONS(2312),
    [sym_keyword_on] = ACTIONS(2312),
    [sym_keyword_where] = ACTIONS(2312),
    [sym_keyword_desc] = ACTIONS(2312),
    [sym_keyword_asc] = ACTIONS(2312),
    [sym_keyword_limit] = ACTIONS(2312),
    [sym_keyword_primary] = ACTIONS(2312),
    [sym_keyword_create] = ACTIONS(2312),
    [sym_keyword_as] = ACTIONS(2314),
    [sym_keyword_constraint] = ACTIONS(2312),
    [sym_keyword_separator] = ACTIONS(2312),
    [sym_keyword_when] = ACTIONS(2312),
    [sym_keyword_then] = ACTIONS(2312),
    [sym_keyword_else] = ACTIONS(2312),
    [sym_keyword_end] = ACTIONS(2312),
    [sym_keyword_in] = ACTIONS(2312),
    [sym_keyword_and] = ACTIONS(2312),
    [sym_keyword_or] = ACTIONS(2312),
    [sym_keyword_is] = ACTIONS(2312),
    [sym_keyword_not] = ACTIONS(2312),
    [sym_keyword_using] = ACTIONS(2312),
    [sym_keyword_auto_increment] = ACTIONS(2312),
    [sym_keyword_generated] = ACTIONS(2312),
    [sym_keyword_default] = ACTIONS(2312),
    [sym_keyword_with] = ACTIONS(2312),
    [sym_keyword_returning] = ACTIONS(2312),
    [sym_keyword_first] = ACTIONS(2312),
    [sym_keyword_after] = ACTIONS(2312),
    [sym_keyword_range] = ACTIONS(2312),
    [sym_keyword_rows] = ACTIONS(2312),
    [sym_keyword_groups] = ACTIONS(2312),
    [sym_keyword_between] = ACTIONS(2312),
    [sym_keyword_preceding] = ACTIONS(2312),
    [sym_keyword_following] = ACTIONS(2312),
    [sym_keyword_unique] = ACTIONS(2312),
    [sym_keyword_references] = ACTIONS(2312),
    [aux_sym_keyword_like_token1] = ACTIONS(2312),
    [aux_sym_keyword_like_token2] = ACTIONS(2312),
    [sym_keyword_similar] = ACTIONS(2312),
    [sym_keyword_check] = ACTIONS(2312),
    [sym_keyword_stored] = ACTIONS(2312),
    [sym_keyword_virtual] = ACTIONS(2312),
    [sym_keyword_comment] = ACTIONS(2312),
    [sym_keyword_null] = ACTIONS(2312),
    [sym_keyword_array] = ACTIONS(2312),
    [anon_sym_LBRACK] = ACTIONS(2312),
    [anon_sym_RBRACK] = ACTIONS(2312),
    [anon_sym_RPAREN] = ACTIONS(2312),
    [anon_sym_COMMA] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(2312),
    [anon_sym_COLON_COLON] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2314),
    [anon_sym_GT] = ACTIONS(2314),
    [anon_sym_LT_EQ] = ACTIONS(2312),
    [anon_sym_GT_EQ] = ACTIONS(2312),
    [anon_sym_COLON] = ACTIONS(2314),
    [sym_op_other] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_SLASH] = ACTIONS(2314),
    [anon_sym_PERCENT] = ACTIONS(2312),
    [anon_sym_CARET] = ACTIONS(2314),
    [anon_sym_BANG_EQ] = ACTIONS(2312),
    [anon_sym_LT_GT] = ACTIONS(2312),
  },
  [256] = {
    [ts_builtin_sym_end] = ACTIONS(2045),
    [anon_sym_SEMI] = ACTIONS(2045),
    [sym_keyword_from] = ACTIONS(2045),
    [sym_keyword_on] = ACTIONS(2045),
    [sym_keyword_where] = ACTIONS(2045),
    [sym_keyword_desc] = ACTIONS(2045),
    [sym_keyword_asc] = ACTIONS(2045),
    [sym_keyword_limit] = ACTIONS(2045),
    [sym_keyword_primary] = ACTIONS(2045),
    [sym_keyword_create] = ACTIONS(2045),
    [sym_keyword_as] = ACTIONS(2047),
    [sym_keyword_constraint] = ACTIONS(2045),
    [sym_keyword_separator] = ACTIONS(2045),
    [sym_keyword_when] = ACTIONS(2045),
    [sym_keyword_then] = ACTIONS(2045),
    [sym_keyword_else] = ACTIONS(2045),
    [sym_keyword_end] = ACTIONS(2045),
    [sym_keyword_in] = ACTIONS(2045),
    [sym_keyword_and] = ACTIONS(2045),
    [sym_keyword_or] = ACTIONS(2045),
    [sym_keyword_is] = ACTIONS(2045),
    [sym_keyword_not] = ACTIONS(2045),
    [sym_keyword_using] = ACTIONS(2045),
    [sym_keyword_auto_increment] = ACTIONS(2045),
    [sym_keyword_generated] = ACTIONS(2045),
    [sym_keyword_default] = ACTIONS(2045),
    [sym_keyword_with] = ACTIONS(2045),
    [sym_keyword_returning] = ACTIONS(2045),
    [sym_keyword_first] = ACTIONS(2045),
    [sym_keyword_after] = ACTIONS(2045),
    [sym_keyword_range] = ACTIONS(2045),
    [sym_keyword_rows] = ACTIONS(2045),
    [sym_keyword_groups] = ACTIONS(2045),
    [sym_keyword_between] = ACTIONS(2045),
    [sym_keyword_preceding] = ACTIONS(2045),
    [sym_keyword_following] = ACTIONS(2045),
    [sym_keyword_unique] = ACTIONS(2045),
    [sym_keyword_references] = ACTIONS(2045),
    [aux_sym_keyword_like_token1] = ACTIONS(2045),
    [aux_sym_keyword_like_token2] = ACTIONS(2045),
    [sym_keyword_similar] = ACTIONS(2045),
    [sym_keyword_check] = ACTIONS(2045),
    [sym_keyword_stored] = ACTIONS(2045),
    [sym_keyword_virtual] = ACTIONS(2045),
    [sym_keyword_comment] = ACTIONS(2045),
    [sym_keyword_null] = ACTIONS(2045),
    [sym_keyword_array] = ACTIONS(2045),
    [anon_sym_LBRACK] = ACTIONS(2045),
    [anon_sym_RBRACK] = ACTIONS(2045),
    [anon_sym_RPAREN] = ACTIONS(2045),
    [anon_sym_COMMA] = ACTIONS(2045),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2045),
    [anon_sym_STAR] = ACTIONS(2045),
    [anon_sym_COLON_COLON] = ACTIONS(2045),
    [anon_sym_LT] = ACTIONS(2047),
    [anon_sym_GT] = ACTIONS(2047),
    [anon_sym_LT_EQ] = ACTIONS(2045),
    [anon_sym_GT_EQ] = ACTIONS(2045),
    [anon_sym_COLON] = ACTIONS(2047),
    [sym_op_other] = ACTIONS(2045),
    [anon_sym_PLUS] = ACTIONS(2045),
    [anon_sym_DASH] = ACTIONS(2047),
    [anon_sym_SLASH] = ACTIONS(2047),
    [anon_sym_PERCENT] = ACTIONS(2045),
    [anon_sym_CARET] = ACTIONS(2047),
    [anon_sym_BANG_EQ] = ACTIONS(2045),
    [anon_sym_LT_GT] = ACTIONS(2045),
  },
  [257] = {
    [ts_builtin_sym_end] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(2316),
    [sym_keyword_from] = ACTIONS(2316),
    [sym_keyword_on] = ACTIONS(2316),
    [sym_keyword_where] = ACTIONS(2316),
    [sym_keyword_desc] = ACTIONS(2316),
    [sym_keyword_asc] = ACTIONS(2316),
    [sym_keyword_limit] = ACTIONS(2316),
    [sym_keyword_primary] = ACTIONS(2316),
    [sym_keyword_create] = ACTIONS(2316),
    [sym_keyword_as] = ACTIONS(2318),
    [sym_keyword_constraint] = ACTIONS(2316),
    [sym_keyword_separator] = ACTIONS(2316),
    [sym_keyword_when] = ACTIONS(2316),
    [sym_keyword_then] = ACTIONS(2316),
    [sym_keyword_else] = ACTIONS(2316),
    [sym_keyword_end] = ACTIONS(2316),
    [sym_keyword_in] = ACTIONS(2316),
    [sym_keyword_and] = ACTIONS(2316),
    [sym_keyword_or] = ACTIONS(2316),
    [sym_keyword_is] = ACTIONS(2316),
    [sym_keyword_not] = ACTIONS(2316),
    [sym_keyword_using] = ACTIONS(2316),
    [sym_keyword_auto_increment] = ACTIONS(2316),
    [sym_keyword_generated] = ACTIONS(2316),
    [sym_keyword_default] = ACTIONS(2316),
    [sym_keyword_with] = ACTIONS(2316),
    [sym_keyword_returning] = ACTIONS(2316),
    [sym_keyword_first] = ACTIONS(2316),
    [sym_keyword_after] = ACTIONS(2316),
    [sym_keyword_range] = ACTIONS(2316),
    [sym_keyword_rows] = ACTIONS(2316),
    [sym_keyword_groups] = ACTIONS(2316),
    [sym_keyword_between] = ACTIONS(2316),
    [sym_keyword_preceding] = ACTIONS(2316),
    [sym_keyword_following] = ACTIONS(2316),
    [sym_keyword_unique] = ACTIONS(2316),
    [sym_keyword_references] = ACTIONS(2316),
    [aux_sym_keyword_like_token1] = ACTIONS(2316),
    [aux_sym_keyword_like_token2] = ACTIONS(2316),
    [sym_keyword_similar] = ACTIONS(2316),
    [sym_keyword_check] = ACTIONS(2316),
    [sym_keyword_stored] = ACTIONS(2316),
    [sym_keyword_virtual] = ACTIONS(2316),
    [sym_keyword_comment] = ACTIONS(2316),
    [sym_keyword_null] = ACTIONS(2316),
    [sym_keyword_array] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_RBRACK] = ACTIONS(2316),
    [anon_sym_RPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2316),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_GT] = ACTIONS(2318),
    [anon_sym_LT_EQ] = ACTIONS(2316),
    [anon_sym_GT_EQ] = ACTIONS(2316),
    [anon_sym_COLON] = ACTIONS(2318),
    [sym_op_other] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_SLASH] = ACTIONS(2318),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_CARET] = ACTIONS(2318),
    [anon_sym_BANG_EQ] = ACTIONS(2316),
    [anon_sym_LT_GT] = ACTIONS(2316),
  },
  [258] = {
    [ts_builtin_sym_end] = ACTIONS(2320),
    [anon_sym_SEMI] = ACTIONS(2320),
    [sym_keyword_from] = ACTIONS(2320),
    [sym_keyword_on] = ACTIONS(2320),
    [sym_keyword_where] = ACTIONS(2320),
    [sym_keyword_desc] = ACTIONS(2320),
    [sym_keyword_asc] = ACTIONS(2320),
    [sym_keyword_limit] = ACTIONS(2320),
    [sym_keyword_primary] = ACTIONS(2320),
    [sym_keyword_create] = ACTIONS(2320),
    [sym_keyword_as] = ACTIONS(2322),
    [sym_keyword_constraint] = ACTIONS(2320),
    [sym_keyword_separator] = ACTIONS(2320),
    [sym_keyword_when] = ACTIONS(2320),
    [sym_keyword_then] = ACTIONS(2320),
    [sym_keyword_else] = ACTIONS(2320),
    [sym_keyword_end] = ACTIONS(2320),
    [sym_keyword_in] = ACTIONS(2320),
    [sym_keyword_and] = ACTIONS(2320),
    [sym_keyword_or] = ACTIONS(2320),
    [sym_keyword_is] = ACTIONS(2320),
    [sym_keyword_not] = ACTIONS(2320),
    [sym_keyword_using] = ACTIONS(2320),
    [sym_keyword_auto_increment] = ACTIONS(2320),
    [sym_keyword_generated] = ACTIONS(2320),
    [sym_keyword_default] = ACTIONS(2320),
    [sym_keyword_with] = ACTIONS(2320),
    [sym_keyword_returning] = ACTIONS(2320),
    [sym_keyword_first] = ACTIONS(2320),
    [sym_keyword_after] = ACTIONS(2320),
    [sym_keyword_range] = ACTIONS(2320),
    [sym_keyword_rows] = ACTIONS(2320),
    [sym_keyword_groups] = ACTIONS(2320),
    [sym_keyword_between] = ACTIONS(2320),
    [sym_keyword_preceding] = ACTIONS(2320),
    [sym_keyword_following] = ACTIONS(2320),
    [sym_keyword_unique] = ACTIONS(2320),
    [sym_keyword_references] = ACTIONS(2320),
    [aux_sym_keyword_like_token1] = ACTIONS(2320),
    [aux_sym_keyword_like_token2] = ACTIONS(2320),
    [sym_keyword_similar] = ACTIONS(2320),
    [sym_keyword_check] = ACTIONS(2320),
    [sym_keyword_stored] = ACTIONS(2320),
    [sym_keyword_virtual] = ACTIONS(2320),
    [sym_keyword_comment] = ACTIONS(2320),
    [sym_keyword_null] = ACTIONS(2320),
    [sym_keyword_array] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(2320),
    [anon_sym_RBRACK] = ACTIONS(2320),
    [anon_sym_RPAREN] = ACTIONS(2320),
    [anon_sym_COMMA] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LT] = ACTIONS(2322),
    [anon_sym_GT] = ACTIONS(2322),
    [anon_sym_LT_EQ] = ACTIONS(2320),
    [anon_sym_GT_EQ] = ACTIONS(2320),
    [anon_sym_COLON] = ACTIONS(2322),
    [sym_op_other] = ACTIONS(2320),
    [anon_sym_PLUS] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2322),
    [anon_sym_SLASH] = ACTIONS(2322),
    [anon_sym_PERCENT] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2322),
    [anon_sym_BANG_EQ] = ACTIONS(2320),
    [anon_sym_LT_GT] = ACTIONS(2320),
  },
  [259] = {
    [ts_builtin_sym_end] = ACTIONS(2324),
    [anon_sym_SEMI] = ACTIONS(2324),
    [sym_keyword_from] = ACTIONS(2324),
    [sym_keyword_on] = ACTIONS(2324),
    [sym_keyword_where] = ACTIONS(2324),
    [sym_keyword_desc] = ACTIONS(2324),
    [sym_keyword_asc] = ACTIONS(2324),
    [sym_keyword_limit] = ACTIONS(2324),
    [sym_keyword_primary] = ACTIONS(2324),
    [sym_keyword_create] = ACTIONS(2324),
    [sym_keyword_as] = ACTIONS(2326),
    [sym_keyword_constraint] = ACTIONS(2324),
    [sym_keyword_separator] = ACTIONS(2324),
    [sym_keyword_when] = ACTIONS(2324),
    [sym_keyword_then] = ACTIONS(2324),
    [sym_keyword_else] = ACTIONS(2324),
    [sym_keyword_end] = ACTIONS(2324),
    [sym_keyword_in] = ACTIONS(2324),
    [sym_keyword_and] = ACTIONS(2324),
    [sym_keyword_or] = ACTIONS(2324),
    [sym_keyword_is] = ACTIONS(2324),
    [sym_keyword_not] = ACTIONS(2324),
    [sym_keyword_using] = ACTIONS(2324),
    [sym_keyword_auto_increment] = ACTIONS(2324),
    [sym_keyword_generated] = ACTIONS(2324),
    [sym_keyword_default] = ACTIONS(2324),
    [sym_keyword_with] = ACTIONS(2324),
    [sym_keyword_returning] = ACTIONS(2324),
    [sym_keyword_first] = ACTIONS(2324),
    [sym_keyword_after] = ACTIONS(2324),
    [sym_keyword_range] = ACTIONS(2324),
    [sym_keyword_rows] = ACTIONS(2324),
    [sym_keyword_groups] = ACTIONS(2324),
    [sym_keyword_between] = ACTIONS(2324),
    [sym_keyword_preceding] = ACTIONS(2324),
    [sym_keyword_following] = ACTIONS(2324),
    [sym_keyword_unique] = ACTIONS(2324),
    [sym_keyword_references] = ACTIONS(2324),
    [aux_sym_keyword_like_token1] = ACTIONS(2324),
    [aux_sym_keyword_like_token2] = ACTIONS(2324),
    [sym_keyword_similar] = ACTIONS(2324),
    [sym_keyword_check] = ACTIONS(2324),
    [sym_keyword_stored] = ACTIONS(2324),
    [sym_keyword_virtual] = ACTIONS(2324),
    [sym_keyword_comment] = ACTIONS(2324),
    [sym_keyword_null] = ACTIONS(2324),
    [sym_keyword_array] = ACTIONS(2324),
    [anon_sym_LBRACK] = ACTIONS(2324),
    [anon_sym_RBRACK] = ACTIONS(2324),
    [anon_sym_RPAREN] = ACTIONS(2324),
    [anon_sym_COMMA] = ACTIONS(2324),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2324),
    [anon_sym_STAR] = ACTIONS(2324),
    [anon_sym_COLON_COLON] = ACTIONS(2324),
    [anon_sym_LT] = ACTIONS(2326),
    [anon_sym_GT] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2324),
    [anon_sym_GT_EQ] = ACTIONS(2324),
    [anon_sym_COLON] = ACTIONS(2326),
    [sym_op_other] = ACTIONS(2324),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2326),
    [anon_sym_SLASH] = ACTIONS(2326),
    [anon_sym_PERCENT] = ACTIONS(2324),
    [anon_sym_CARET] = ACTIONS(2326),
    [anon_sym_BANG_EQ] = ACTIONS(2324),
    [anon_sym_LT_GT] = ACTIONS(2324),
  },
  [260] = {
    [ts_builtin_sym_end] = ACTIONS(2328),
    [anon_sym_SEMI] = ACTIONS(2328),
    [sym_keyword_from] = ACTIONS(2328),
    [sym_keyword_on] = ACTIONS(2328),
    [sym_keyword_where] = ACTIONS(2328),
    [sym_keyword_desc] = ACTIONS(2328),
    [sym_keyword_asc] = ACTIONS(2328),
    [sym_keyword_limit] = ACTIONS(2328),
    [sym_keyword_primary] = ACTIONS(2328),
    [sym_keyword_create] = ACTIONS(2328),
    [sym_keyword_as] = ACTIONS(2330),
    [sym_keyword_constraint] = ACTIONS(2328),
    [sym_keyword_separator] = ACTIONS(2328),
    [sym_keyword_when] = ACTIONS(2328),
    [sym_keyword_then] = ACTIONS(2328),
    [sym_keyword_else] = ACTIONS(2328),
    [sym_keyword_end] = ACTIONS(2328),
    [sym_keyword_in] = ACTIONS(2328),
    [sym_keyword_and] = ACTIONS(2328),
    [sym_keyword_or] = ACTIONS(2328),
    [sym_keyword_is] = ACTIONS(2328),
    [sym_keyword_not] = ACTIONS(2328),
    [sym_keyword_using] = ACTIONS(2328),
    [sym_keyword_auto_increment] = ACTIONS(2328),
    [sym_keyword_generated] = ACTIONS(2328),
    [sym_keyword_default] = ACTIONS(2328),
    [sym_keyword_with] = ACTIONS(2328),
    [sym_keyword_returning] = ACTIONS(2328),
    [sym_keyword_first] = ACTIONS(2328),
    [sym_keyword_after] = ACTIONS(2328),
    [sym_keyword_range] = ACTIONS(2328),
    [sym_keyword_rows] = ACTIONS(2328),
    [sym_keyword_groups] = ACTIONS(2328),
    [sym_keyword_between] = ACTIONS(2328),
    [sym_keyword_preceding] = ACTIONS(2328),
    [sym_keyword_following] = ACTIONS(2328),
    [sym_keyword_unique] = ACTIONS(2328),
    [sym_keyword_references] = ACTIONS(2328),
    [aux_sym_keyword_like_token1] = ACTIONS(2328),
    [aux_sym_keyword_like_token2] = ACTIONS(2328),
    [sym_keyword_similar] = ACTIONS(2328),
    [sym_keyword_check] = ACTIONS(2328),
    [sym_keyword_stored] = ACTIONS(2328),
    [sym_keyword_virtual] = ACTIONS(2328),
    [sym_keyword_comment] = ACTIONS(2328),
    [sym_keyword_null] = ACTIONS(2328),
    [sym_keyword_array] = ACTIONS(2328),
    [anon_sym_LBRACK] = ACTIONS(2328),
    [anon_sym_RBRACK] = ACTIONS(2328),
    [anon_sym_RPAREN] = ACTIONS(2328),
    [anon_sym_COMMA] = ACTIONS(2328),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2328),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_COLON_COLON] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2330),
    [anon_sym_GT] = ACTIONS(2330),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_COLON] = ACTIONS(2330),
    [sym_op_other] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_SLASH] = ACTIONS(2330),
    [anon_sym_PERCENT] = ACTIONS(2328),
    [anon_sym_CARET] = ACTIONS(2330),
    [anon_sym_BANG_EQ] = ACTIONS(2328),
    [anon_sym_LT_GT] = ACTIONS(2328),
  },
  [261] = {
    [ts_builtin_sym_end] = ACTIONS(2098),
    [anon_sym_SEMI] = ACTIONS(2098),
    [sym_keyword_from] = ACTIONS(2098),
    [sym_keyword_on] = ACTIONS(2098),
    [sym_keyword_where] = ACTIONS(2098),
    [sym_keyword_desc] = ACTIONS(2098),
    [sym_keyword_asc] = ACTIONS(2098),
    [sym_keyword_limit] = ACTIONS(2098),
    [sym_keyword_primary] = ACTIONS(2098),
    [sym_keyword_create] = ACTIONS(2098),
    [sym_keyword_as] = ACTIONS(2100),
    [sym_keyword_constraint] = ACTIONS(2098),
    [sym_keyword_separator] = ACTIONS(2098),
    [sym_keyword_when] = ACTIONS(2098),
    [sym_keyword_then] = ACTIONS(2098),
    [sym_keyword_else] = ACTIONS(2098),
    [sym_keyword_end] = ACTIONS(2098),
    [sym_keyword_in] = ACTIONS(2098),
    [sym_keyword_and] = ACTIONS(2098),
    [sym_keyword_or] = ACTIONS(2098),
    [sym_keyword_is] = ACTIONS(2098),
    [sym_keyword_not] = ACTIONS(2098),
    [sym_keyword_using] = ACTIONS(2098),
    [sym_keyword_auto_increment] = ACTIONS(2098),
    [sym_keyword_generated] = ACTIONS(2098),
    [sym_keyword_default] = ACTIONS(2098),
    [sym_keyword_with] = ACTIONS(2098),
    [sym_keyword_returning] = ACTIONS(2098),
    [sym_keyword_first] = ACTIONS(2098),
    [sym_keyword_after] = ACTIONS(2098),
    [sym_keyword_range] = ACTIONS(2098),
    [sym_keyword_rows] = ACTIONS(2098),
    [sym_keyword_groups] = ACTIONS(2098),
    [sym_keyword_between] = ACTIONS(2098),
    [sym_keyword_preceding] = ACTIONS(2098),
    [sym_keyword_following] = ACTIONS(2098),
    [sym_keyword_unique] = ACTIONS(2098),
    [sym_keyword_references] = ACTIONS(2098),
    [aux_sym_keyword_like_token1] = ACTIONS(2098),
    [aux_sym_keyword_like_token2] = ACTIONS(2098),
    [sym_keyword_similar] = ACTIONS(2098),
    [sym_keyword_check] = ACTIONS(2098),
    [sym_keyword_stored] = ACTIONS(2098),
    [sym_keyword_virtual] = ACTIONS(2098),
    [sym_keyword_comment] = ACTIONS(2098),
    [sym_keyword_null] = ACTIONS(2098),
    [sym_keyword_array] = ACTIONS(2098),
    [anon_sym_LBRACK] = ACTIONS(2098),
    [anon_sym_RBRACK] = ACTIONS(2098),
    [anon_sym_RPAREN] = ACTIONS(2098),
    [anon_sym_COMMA] = ACTIONS(2098),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2098),
    [anon_sym_STAR] = ACTIONS(2098),
    [anon_sym_COLON_COLON] = ACTIONS(2098),
    [anon_sym_LT] = ACTIONS(2100),
    [anon_sym_GT] = ACTIONS(2100),
    [anon_sym_LT_EQ] = ACTIONS(2098),
    [anon_sym_GT_EQ] = ACTIONS(2098),
    [anon_sym_COLON] = ACTIONS(2100),
    [sym_op_other] = ACTIONS(2098),
    [anon_sym_PLUS] = ACTIONS(2098),
    [anon_sym_DASH] = ACTIONS(2100),
    [anon_sym_SLASH] = ACTIONS(2100),
    [anon_sym_PERCENT] = ACTIONS(2098),
    [anon_sym_CARET] = ACTIONS(2100),
    [anon_sym_BANG_EQ] = ACTIONS(2098),
    [anon_sym_LT_GT] = ACTIONS(2098),
  },
  [262] = {
    [ts_builtin_sym_end] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [sym_keyword_from] = ACTIONS(2332),
    [sym_keyword_on] = ACTIONS(2332),
    [sym_keyword_where] = ACTIONS(2332),
    [sym_keyword_desc] = ACTIONS(2332),
    [sym_keyword_asc] = ACTIONS(2332),
    [sym_keyword_limit] = ACTIONS(2332),
    [sym_keyword_primary] = ACTIONS(2332),
    [sym_keyword_create] = ACTIONS(2332),
    [sym_keyword_as] = ACTIONS(2334),
    [sym_keyword_constraint] = ACTIONS(2332),
    [sym_keyword_separator] = ACTIONS(2332),
    [sym_keyword_when] = ACTIONS(2332),
    [sym_keyword_then] = ACTIONS(2332),
    [sym_keyword_else] = ACTIONS(2332),
    [sym_keyword_end] = ACTIONS(2332),
    [sym_keyword_in] = ACTIONS(2332),
    [sym_keyword_and] = ACTIONS(2332),
    [sym_keyword_or] = ACTIONS(2332),
    [sym_keyword_is] = ACTIONS(2332),
    [sym_keyword_not] = ACTIONS(2332),
    [sym_keyword_using] = ACTIONS(2332),
    [sym_keyword_auto_increment] = ACTIONS(2332),
    [sym_keyword_generated] = ACTIONS(2332),
    [sym_keyword_default] = ACTIONS(2332),
    [sym_keyword_with] = ACTIONS(2332),
    [sym_keyword_returning] = ACTIONS(2332),
    [sym_keyword_first] = ACTIONS(2332),
    [sym_keyword_after] = ACTIONS(2332),
    [sym_keyword_range] = ACTIONS(2332),
    [sym_keyword_rows] = ACTIONS(2332),
    [sym_keyword_groups] = ACTIONS(2332),
    [sym_keyword_between] = ACTIONS(2332),
    [sym_keyword_preceding] = ACTIONS(2332),
    [sym_keyword_following] = ACTIONS(2332),
    [sym_keyword_unique] = ACTIONS(2332),
    [sym_keyword_references] = ACTIONS(2332),
    [aux_sym_keyword_like_token1] = ACTIONS(2332),
    [aux_sym_keyword_like_token2] = ACTIONS(2332),
    [sym_keyword_similar] = ACTIONS(2332),
    [sym_keyword_check] = ACTIONS(2332),
    [sym_keyword_stored] = ACTIONS(2332),
    [sym_keyword_virtual] = ACTIONS(2332),
    [sym_keyword_comment] = ACTIONS(2332),
    [sym_keyword_null] = ACTIONS(2332),
    [sym_keyword_array] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_RBRACK] = ACTIONS(2332),
    [anon_sym_RPAREN] = ACTIONS(2332),
    [anon_sym_COMMA] = ACTIONS(2332),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2332),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2334),
    [anon_sym_GT] = ACTIONS(2334),
    [anon_sym_LT_EQ] = ACTIONS(2332),
    [anon_sym_GT_EQ] = ACTIONS(2332),
    [anon_sym_COLON] = ACTIONS(2334),
    [sym_op_other] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2334),
    [anon_sym_SLASH] = ACTIONS(2334),
    [anon_sym_PERCENT] = ACTIONS(2332),
    [anon_sym_CARET] = ACTIONS(2334),
    [anon_sym_BANG_EQ] = ACTIONS(2332),
    [anon_sym_LT_GT] = ACTIONS(2332),
  },
  [263] = {
    [ts_builtin_sym_end] = ACTIONS(2336),
    [anon_sym_SEMI] = ACTIONS(2336),
    [sym_keyword_from] = ACTIONS(2336),
    [sym_keyword_on] = ACTIONS(2336),
    [sym_keyword_where] = ACTIONS(2336),
    [sym_keyword_desc] = ACTIONS(2336),
    [sym_keyword_asc] = ACTIONS(2336),
    [sym_keyword_limit] = ACTIONS(2336),
    [sym_keyword_primary] = ACTIONS(2336),
    [sym_keyword_create] = ACTIONS(2336),
    [sym_keyword_as] = ACTIONS(2338),
    [sym_keyword_constraint] = ACTIONS(2336),
    [sym_keyword_separator] = ACTIONS(2336),
    [sym_keyword_when] = ACTIONS(2336),
    [sym_keyword_then] = ACTIONS(2336),
    [sym_keyword_else] = ACTIONS(2336),
    [sym_keyword_end] = ACTIONS(2336),
    [sym_keyword_in] = ACTIONS(2336),
    [sym_keyword_and] = ACTIONS(2336),
    [sym_keyword_or] = ACTIONS(2336),
    [sym_keyword_is] = ACTIONS(2336),
    [sym_keyword_not] = ACTIONS(2336),
    [sym_keyword_using] = ACTIONS(2336),
    [sym_keyword_auto_increment] = ACTIONS(2336),
    [sym_keyword_generated] = ACTIONS(2336),
    [sym_keyword_default] = ACTIONS(2336),
    [sym_keyword_with] = ACTIONS(2336),
    [sym_keyword_returning] = ACTIONS(2336),
    [sym_keyword_first] = ACTIONS(2336),
    [sym_keyword_after] = ACTIONS(2336),
    [sym_keyword_range] = ACTIONS(2336),
    [sym_keyword_rows] = ACTIONS(2336),
    [sym_keyword_groups] = ACTIONS(2336),
    [sym_keyword_between] = ACTIONS(2336),
    [sym_keyword_preceding] = ACTIONS(2336),
    [sym_keyword_following] = ACTIONS(2336),
    [sym_keyword_unique] = ACTIONS(2336),
    [sym_keyword_references] = ACTIONS(2336),
    [aux_sym_keyword_like_token1] = ACTIONS(2336),
    [aux_sym_keyword_like_token2] = ACTIONS(2336),
    [sym_keyword_similar] = ACTIONS(2336),
    [sym_keyword_check] = ACTIONS(2336),
    [sym_keyword_stored] = ACTIONS(2336),
    [sym_keyword_virtual] = ACTIONS(2336),
    [sym_keyword_comment] = ACTIONS(2336),
    [sym_keyword_null] = ACTIONS(2336),
    [sym_keyword_array] = ACTIONS(2336),
    [anon_sym_LBRACK] = ACTIONS(2336),
    [anon_sym_RBRACK] = ACTIONS(2336),
    [anon_sym_RPAREN] = ACTIONS(2336),
    [anon_sym_COMMA] = ACTIONS(2336),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2336),
    [anon_sym_STAR] = ACTIONS(2336),
    [anon_sym_COLON_COLON] = ACTIONS(2336),
    [anon_sym_LT] = ACTIONS(2338),
    [anon_sym_GT] = ACTIONS(2338),
    [anon_sym_LT_EQ] = ACTIONS(2336),
    [anon_sym_GT_EQ] = ACTIONS(2336),
    [anon_sym_COLON] = ACTIONS(2338),
    [sym_op_other] = ACTIONS(2336),
    [anon_sym_PLUS] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(2338),
    [anon_sym_SLASH] = ACTIONS(2338),
    [anon_sym_PERCENT] = ACTIONS(2336),
    [anon_sym_CARET] = ACTIONS(2338),
    [anon_sym_BANG_EQ] = ACTIONS(2336),
    [anon_sym_LT_GT] = ACTIONS(2336),
  },
  [264] = {
    [ts_builtin_sym_end] = ACTIONS(2340),
    [anon_sym_SEMI] = ACTIONS(2340),
    [sym_keyword_from] = ACTIONS(2340),
    [sym_keyword_on] = ACTIONS(2340),
    [sym_keyword_where] = ACTIONS(2340),
    [sym_keyword_desc] = ACTIONS(2340),
    [sym_keyword_asc] = ACTIONS(2340),
    [sym_keyword_limit] = ACTIONS(2340),
    [sym_keyword_primary] = ACTIONS(2340),
    [sym_keyword_create] = ACTIONS(2340),
    [sym_keyword_as] = ACTIONS(2342),
    [sym_keyword_constraint] = ACTIONS(2340),
    [sym_keyword_separator] = ACTIONS(2340),
    [sym_keyword_when] = ACTIONS(2340),
    [sym_keyword_then] = ACTIONS(2340),
    [sym_keyword_else] = ACTIONS(2340),
    [sym_keyword_end] = ACTIONS(2340),
    [sym_keyword_in] = ACTIONS(2340),
    [sym_keyword_and] = ACTIONS(2340),
    [sym_keyword_or] = ACTIONS(2340),
    [sym_keyword_is] = ACTIONS(2340),
    [sym_keyword_not] = ACTIONS(2340),
    [sym_keyword_using] = ACTIONS(2340),
    [sym_keyword_auto_increment] = ACTIONS(2340),
    [sym_keyword_generated] = ACTIONS(2340),
    [sym_keyword_default] = ACTIONS(2340),
    [sym_keyword_with] = ACTIONS(2340),
    [sym_keyword_returning] = ACTIONS(2340),
    [sym_keyword_first] = ACTIONS(2340),
    [sym_keyword_after] = ACTIONS(2340),
    [sym_keyword_range] = ACTIONS(2340),
    [sym_keyword_rows] = ACTIONS(2340),
    [sym_keyword_groups] = ACTIONS(2340),
    [sym_keyword_between] = ACTIONS(2340),
    [sym_keyword_preceding] = ACTIONS(2340),
    [sym_keyword_following] = ACTIONS(2340),
    [sym_keyword_unique] = ACTIONS(2340),
    [sym_keyword_references] = ACTIONS(2340),
    [aux_sym_keyword_like_token1] = ACTIONS(2340),
    [aux_sym_keyword_like_token2] = ACTIONS(2340),
    [sym_keyword_similar] = ACTIONS(2340),
    [sym_keyword_check] = ACTIONS(2340),
    [sym_keyword_stored] = ACTIONS(2340),
    [sym_keyword_virtual] = ACTIONS(2340),
    [sym_keyword_comment] = ACTIONS(2340),
    [sym_keyword_null] = ACTIONS(2340),
    [sym_keyword_array] = ACTIONS(2340),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_RBRACK] = ACTIONS(2340),
    [anon_sym_RPAREN] = ACTIONS(2340),
    [anon_sym_COMMA] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2340),
    [anon_sym_STAR] = ACTIONS(2340),
    [anon_sym_COLON_COLON] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2342),
    [anon_sym_GT] = ACTIONS(2342),
    [anon_sym_LT_EQ] = ACTIONS(2340),
    [anon_sym_GT_EQ] = ACTIONS(2340),
    [anon_sym_COLON] = ACTIONS(2342),
    [sym_op_other] = ACTIONS(2340),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_SLASH] = ACTIONS(2342),
    [anon_sym_PERCENT] = ACTIONS(2340),
    [anon_sym_CARET] = ACTIONS(2342),
    [anon_sym_BANG_EQ] = ACTIONS(2340),
    [anon_sym_LT_GT] = ACTIONS(2340),
  },
  [265] = {
    [ts_builtin_sym_end] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2344),
    [sym_keyword_from] = ACTIONS(2344),
    [sym_keyword_on] = ACTIONS(2344),
    [sym_keyword_where] = ACTIONS(2344),
    [sym_keyword_desc] = ACTIONS(2344),
    [sym_keyword_asc] = ACTIONS(2344),
    [sym_keyword_limit] = ACTIONS(2344),
    [sym_keyword_primary] = ACTIONS(2344),
    [sym_keyword_create] = ACTIONS(2344),
    [sym_keyword_as] = ACTIONS(2346),
    [sym_keyword_constraint] = ACTIONS(2344),
    [sym_keyword_separator] = ACTIONS(2344),
    [sym_keyword_when] = ACTIONS(2344),
    [sym_keyword_then] = ACTIONS(2344),
    [sym_keyword_else] = ACTIONS(2344),
    [sym_keyword_end] = ACTIONS(2344),
    [sym_keyword_in] = ACTIONS(2344),
    [sym_keyword_and] = ACTIONS(2344),
    [sym_keyword_or] = ACTIONS(2344),
    [sym_keyword_is] = ACTIONS(2344),
    [sym_keyword_not] = ACTIONS(2344),
    [sym_keyword_using] = ACTIONS(2344),
    [sym_keyword_auto_increment] = ACTIONS(2344),
    [sym_keyword_generated] = ACTIONS(2344),
    [sym_keyword_default] = ACTIONS(2344),
    [sym_keyword_with] = ACTIONS(2344),
    [sym_keyword_returning] = ACTIONS(2344),
    [sym_keyword_first] = ACTIONS(2344),
    [sym_keyword_after] = ACTIONS(2344),
    [sym_keyword_range] = ACTIONS(2344),
    [sym_keyword_rows] = ACTIONS(2344),
    [sym_keyword_groups] = ACTIONS(2344),
    [sym_keyword_between] = ACTIONS(2344),
    [sym_keyword_preceding] = ACTIONS(2344),
    [sym_keyword_following] = ACTIONS(2344),
    [sym_keyword_unique] = ACTIONS(2344),
    [sym_keyword_references] = ACTIONS(2344),
    [aux_sym_keyword_like_token1] = ACTIONS(2344),
    [aux_sym_keyword_like_token2] = ACTIONS(2344),
    [sym_keyword_similar] = ACTIONS(2344),
    [sym_keyword_check] = ACTIONS(2344),
    [sym_keyword_stored] = ACTIONS(2344),
    [sym_keyword_virtual] = ACTIONS(2344),
    [sym_keyword_comment] = ACTIONS(2344),
    [sym_keyword_null] = ACTIONS(2344),
    [sym_keyword_array] = ACTIONS(2344),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [anon_sym_RBRACK] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(2344),
    [anon_sym_COMMA] = ACTIONS(2344),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2344),
    [anon_sym_STAR] = ACTIONS(2344),
    [anon_sym_COLON_COLON] = ACTIONS(2344),
    [anon_sym_LT] = ACTIONS(2346),
    [anon_sym_GT] = ACTIONS(2346),
    [anon_sym_LT_EQ] = ACTIONS(2344),
    [anon_sym_GT_EQ] = ACTIONS(2344),
    [anon_sym_COLON] = ACTIONS(2346),
    [sym_op_other] = ACTIONS(2344),
    [anon_sym_PLUS] = ACTIONS(2344),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_PERCENT] = ACTIONS(2344),
    [anon_sym_CARET] = ACTIONS(2346),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_LT_GT] = ACTIONS(2344),
  },
  [266] = {
    [ts_builtin_sym_end] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2348),
    [sym_keyword_from] = ACTIONS(2348),
    [sym_keyword_on] = ACTIONS(2348),
    [sym_keyword_where] = ACTIONS(2348),
    [sym_keyword_desc] = ACTIONS(2348),
    [sym_keyword_asc] = ACTIONS(2348),
    [sym_keyword_limit] = ACTIONS(2348),
    [sym_keyword_primary] = ACTIONS(2348),
    [sym_keyword_create] = ACTIONS(2348),
    [sym_keyword_as] = ACTIONS(2350),
    [sym_keyword_constraint] = ACTIONS(2348),
    [sym_keyword_separator] = ACTIONS(2348),
    [sym_keyword_when] = ACTIONS(2348),
    [sym_keyword_then] = ACTIONS(2348),
    [sym_keyword_else] = ACTIONS(2348),
    [sym_keyword_end] = ACTIONS(2348),
    [sym_keyword_in] = ACTIONS(2348),
    [sym_keyword_and] = ACTIONS(2348),
    [sym_keyword_or] = ACTIONS(2348),
    [sym_keyword_is] = ACTIONS(2348),
    [sym_keyword_not] = ACTIONS(2348),
    [sym_keyword_using] = ACTIONS(2348),
    [sym_keyword_auto_increment] = ACTIONS(2348),
    [sym_keyword_generated] = ACTIONS(2348),
    [sym_keyword_default] = ACTIONS(2348),
    [sym_keyword_with] = ACTIONS(2348),
    [sym_keyword_returning] = ACTIONS(2348),
    [sym_keyword_first] = ACTIONS(2348),
    [sym_keyword_after] = ACTIONS(2348),
    [sym_keyword_range] = ACTIONS(2348),
    [sym_keyword_rows] = ACTIONS(2348),
    [sym_keyword_groups] = ACTIONS(2348),
    [sym_keyword_between] = ACTIONS(2348),
    [sym_keyword_preceding] = ACTIONS(2348),
    [sym_keyword_following] = ACTIONS(2348),
    [sym_keyword_unique] = ACTIONS(2348),
    [sym_keyword_references] = ACTIONS(2348),
    [aux_sym_keyword_like_token1] = ACTIONS(2348),
    [aux_sym_keyword_like_token2] = ACTIONS(2348),
    [sym_keyword_similar] = ACTIONS(2348),
    [sym_keyword_check] = ACTIONS(2348),
    [sym_keyword_stored] = ACTIONS(2348),
    [sym_keyword_virtual] = ACTIONS(2348),
    [sym_keyword_comment] = ACTIONS(2348),
    [sym_keyword_null] = ACTIONS(2348),
    [sym_keyword_array] = ACTIONS(2348),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym_RBRACK] = ACTIONS(2348),
    [anon_sym_RPAREN] = ACTIONS(2348),
    [anon_sym_COMMA] = ACTIONS(2348),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2348),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_COLON_COLON] = ACTIONS(2348),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2350),
    [anon_sym_LT_EQ] = ACTIONS(2348),
    [anon_sym_GT_EQ] = ACTIONS(2348),
    [anon_sym_COLON] = ACTIONS(2350),
    [sym_op_other] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_SLASH] = ACTIONS(2350),
    [anon_sym_PERCENT] = ACTIONS(2348),
    [anon_sym_CARET] = ACTIONS(2350),
    [anon_sym_BANG_EQ] = ACTIONS(2348),
    [anon_sym_LT_GT] = ACTIONS(2348),
  },
  [267] = {
    [ts_builtin_sym_end] = ACTIONS(2352),
    [anon_sym_SEMI] = ACTIONS(2352),
    [sym_keyword_from] = ACTIONS(2352),
    [sym_keyword_on] = ACTIONS(2352),
    [sym_keyword_where] = ACTIONS(2352),
    [sym_keyword_desc] = ACTIONS(2352),
    [sym_keyword_asc] = ACTIONS(2352),
    [sym_keyword_limit] = ACTIONS(2352),
    [sym_keyword_primary] = ACTIONS(2352),
    [sym_keyword_create] = ACTIONS(2352),
    [sym_keyword_as] = ACTIONS(2354),
    [sym_keyword_constraint] = ACTIONS(2352),
    [sym_keyword_separator] = ACTIONS(2352),
    [sym_keyword_when] = ACTIONS(2352),
    [sym_keyword_then] = ACTIONS(2352),
    [sym_keyword_else] = ACTIONS(2352),
    [sym_keyword_end] = ACTIONS(2352),
    [sym_keyword_in] = ACTIONS(2352),
    [sym_keyword_and] = ACTIONS(2352),
    [sym_keyword_or] = ACTIONS(2352),
    [sym_keyword_is] = ACTIONS(2352),
    [sym_keyword_not] = ACTIONS(2352),
    [sym_keyword_using] = ACTIONS(2352),
    [sym_keyword_auto_increment] = ACTIONS(2352),
    [sym_keyword_generated] = ACTIONS(2352),
    [sym_keyword_default] = ACTIONS(2352),
    [sym_keyword_with] = ACTIONS(2352),
    [sym_keyword_returning] = ACTIONS(2352),
    [sym_keyword_first] = ACTIONS(2352),
    [sym_keyword_after] = ACTIONS(2352),
    [sym_keyword_range] = ACTIONS(2352),
    [sym_keyword_rows] = ACTIONS(2352),
    [sym_keyword_groups] = ACTIONS(2352),
    [sym_keyword_between] = ACTIONS(2352),
    [sym_keyword_preceding] = ACTIONS(2352),
    [sym_keyword_following] = ACTIONS(2352),
    [sym_keyword_unique] = ACTIONS(2352),
    [sym_keyword_references] = ACTIONS(2352),
    [aux_sym_keyword_like_token1] = ACTIONS(2352),
    [aux_sym_keyword_like_token2] = ACTIONS(2352),
    [sym_keyword_similar] = ACTIONS(2352),
    [sym_keyword_check] = ACTIONS(2352),
    [sym_keyword_stored] = ACTIONS(2352),
    [sym_keyword_virtual] = ACTIONS(2352),
    [sym_keyword_comment] = ACTIONS(2352),
    [sym_keyword_null] = ACTIONS(2352),
    [sym_keyword_array] = ACTIONS(2352),
    [anon_sym_LBRACK] = ACTIONS(2352),
    [anon_sym_RBRACK] = ACTIONS(2352),
    [anon_sym_RPAREN] = ACTIONS(2352),
    [anon_sym_COMMA] = ACTIONS(2352),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2352),
    [anon_sym_STAR] = ACTIONS(2352),
    [anon_sym_COLON_COLON] = ACTIONS(2352),
    [anon_sym_LT] = ACTIONS(2354),
    [anon_sym_GT] = ACTIONS(2354),
    [anon_sym_LT_EQ] = ACTIONS(2352),
    [anon_sym_GT_EQ] = ACTIONS(2352),
    [anon_sym_COLON] = ACTIONS(2354),
    [sym_op_other] = ACTIONS(2352),
    [anon_sym_PLUS] = ACTIONS(2352),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_SLASH] = ACTIONS(2354),
    [anon_sym_PERCENT] = ACTIONS(2352),
    [anon_sym_CARET] = ACTIONS(2354),
    [anon_sym_BANG_EQ] = ACTIONS(2352),
    [anon_sym_LT_GT] = ACTIONS(2352),
  },
  [268] = {
    [ts_builtin_sym_end] = ACTIONS(2055),
    [anon_sym_SEMI] = ACTIONS(2055),
    [sym_keyword_from] = ACTIONS(2055),
    [sym_keyword_on] = ACTIONS(2055),
    [sym_keyword_where] = ACTIONS(2055),
    [sym_keyword_desc] = ACTIONS(2055),
    [sym_keyword_asc] = ACTIONS(2055),
    [sym_keyword_limit] = ACTIONS(2055),
    [sym_keyword_primary] = ACTIONS(2055),
    [sym_keyword_create] = ACTIONS(2055),
    [sym_keyword_as] = ACTIONS(2057),
    [sym_keyword_constraint] = ACTIONS(2055),
    [sym_keyword_separator] = ACTIONS(2055),
    [sym_keyword_when] = ACTIONS(2055),
    [sym_keyword_then] = ACTIONS(2055),
    [sym_keyword_else] = ACTIONS(2055),
    [sym_keyword_end] = ACTIONS(2055),
    [sym_keyword_in] = ACTIONS(2055),
    [sym_keyword_and] = ACTIONS(2055),
    [sym_keyword_or] = ACTIONS(2055),
    [sym_keyword_is] = ACTIONS(2055),
    [sym_keyword_not] = ACTIONS(2055),
    [sym_keyword_using] = ACTIONS(2055),
    [sym_keyword_auto_increment] = ACTIONS(2055),
    [sym_keyword_generated] = ACTIONS(2055),
    [sym_keyword_default] = ACTIONS(2055),
    [sym_keyword_with] = ACTIONS(2055),
    [sym_keyword_returning] = ACTIONS(2055),
    [sym_keyword_first] = ACTIONS(2055),
    [sym_keyword_after] = ACTIONS(2055),
    [sym_keyword_range] = ACTIONS(2055),
    [sym_keyword_rows] = ACTIONS(2055),
    [sym_keyword_groups] = ACTIONS(2055),
    [sym_keyword_between] = ACTIONS(2055),
    [sym_keyword_preceding] = ACTIONS(2055),
    [sym_keyword_following] = ACTIONS(2055),
    [sym_keyword_unique] = ACTIONS(2055),
    [sym_keyword_references] = ACTIONS(2055),
    [aux_sym_keyword_like_token1] = ACTIONS(2055),
    [aux_sym_keyword_like_token2] = ACTIONS(2055),
    [sym_keyword_similar] = ACTIONS(2055),
    [sym_keyword_check] = ACTIONS(2055),
    [sym_keyword_stored] = ACTIONS(2055),
    [sym_keyword_virtual] = ACTIONS(2055),
    [sym_keyword_comment] = ACTIONS(2055),
    [sym_keyword_null] = ACTIONS(2055),
    [sym_keyword_array] = ACTIONS(2055),
    [anon_sym_LBRACK] = ACTIONS(2055),
    [anon_sym_RBRACK] = ACTIONS(2055),
    [anon_sym_RPAREN] = ACTIONS(2055),
    [anon_sym_COMMA] = ACTIONS(2055),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2055),
    [anon_sym_STAR] = ACTIONS(2055),
    [anon_sym_COLON_COLON] = ACTIONS(2055),
    [anon_sym_LT] = ACTIONS(2057),
    [anon_sym_GT] = ACTIONS(2057),
    [anon_sym_LT_EQ] = ACTIONS(2055),
    [anon_sym_GT_EQ] = ACTIONS(2055),
    [anon_sym_COLON] = ACTIONS(2057),
    [sym_op_other] = ACTIONS(2055),
    [anon_sym_PLUS] = ACTIONS(2055),
    [anon_sym_DASH] = ACTIONS(2057),
    [anon_sym_SLASH] = ACTIONS(2057),
    [anon_sym_PERCENT] = ACTIONS(2055),
    [anon_sym_CARET] = ACTIONS(2057),
    [anon_sym_BANG_EQ] = ACTIONS(2055),
    [anon_sym_LT_GT] = ACTIONS(2055),
  },
  [269] = {
    [ts_builtin_sym_end] = ACTIONS(2356),
    [anon_sym_SEMI] = ACTIONS(2356),
    [sym_keyword_from] = ACTIONS(2356),
    [sym_keyword_on] = ACTIONS(2356),
    [sym_keyword_where] = ACTIONS(2356),
    [sym_keyword_desc] = ACTIONS(2356),
    [sym_keyword_asc] = ACTIONS(2356),
    [sym_keyword_limit] = ACTIONS(2356),
    [sym_keyword_primary] = ACTIONS(2356),
    [sym_keyword_create] = ACTIONS(2356),
    [sym_keyword_as] = ACTIONS(2358),
    [sym_keyword_constraint] = ACTIONS(2356),
    [sym_keyword_separator] = ACTIONS(2356),
    [sym_keyword_when] = ACTIONS(2356),
    [sym_keyword_then] = ACTIONS(2356),
    [sym_keyword_else] = ACTIONS(2356),
    [sym_keyword_end] = ACTIONS(2356),
    [sym_keyword_in] = ACTIONS(2356),
    [sym_keyword_and] = ACTIONS(2356),
    [sym_keyword_or] = ACTIONS(2356),
    [sym_keyword_is] = ACTIONS(2356),
    [sym_keyword_not] = ACTIONS(2356),
    [sym_keyword_using] = ACTIONS(2356),
    [sym_keyword_auto_increment] = ACTIONS(2356),
    [sym_keyword_generated] = ACTIONS(2356),
    [sym_keyword_default] = ACTIONS(2356),
    [sym_keyword_with] = ACTIONS(2356),
    [sym_keyword_returning] = ACTIONS(2356),
    [sym_keyword_first] = ACTIONS(2356),
    [sym_keyword_after] = ACTIONS(2356),
    [sym_keyword_range] = ACTIONS(2356),
    [sym_keyword_rows] = ACTIONS(2356),
    [sym_keyword_groups] = ACTIONS(2356),
    [sym_keyword_between] = ACTIONS(2356),
    [sym_keyword_preceding] = ACTIONS(2356),
    [sym_keyword_following] = ACTIONS(2356),
    [sym_keyword_unique] = ACTIONS(2356),
    [sym_keyword_references] = ACTIONS(2356),
    [aux_sym_keyword_like_token1] = ACTIONS(2356),
    [aux_sym_keyword_like_token2] = ACTIONS(2356),
    [sym_keyword_similar] = ACTIONS(2356),
    [sym_keyword_check] = ACTIONS(2356),
    [sym_keyword_stored] = ACTIONS(2356),
    [sym_keyword_virtual] = ACTIONS(2356),
    [sym_keyword_comment] = ACTIONS(2356),
    [sym_keyword_null] = ACTIONS(2356),
    [sym_keyword_array] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2356),
    [anon_sym_RBRACK] = ACTIONS(2356),
    [anon_sym_RPAREN] = ACTIONS(2356),
    [anon_sym_COMMA] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_COLON_COLON] = ACTIONS(2356),
    [anon_sym_LT] = ACTIONS(2358),
    [anon_sym_GT] = ACTIONS(2358),
    [anon_sym_LT_EQ] = ACTIONS(2356),
    [anon_sym_GT_EQ] = ACTIONS(2356),
    [anon_sym_COLON] = ACTIONS(2358),
    [sym_op_other] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2358),
    [anon_sym_SLASH] = ACTIONS(2358),
    [anon_sym_PERCENT] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2358),
    [anon_sym_BANG_EQ] = ACTIONS(2356),
    [anon_sym_LT_GT] = ACTIONS(2356),
  },
  [270] = {
    [ts_builtin_sym_end] = ACTIONS(2061),
    [anon_sym_SEMI] = ACTIONS(2061),
    [sym_keyword_from] = ACTIONS(2061),
    [sym_keyword_on] = ACTIONS(2061),
    [sym_keyword_where] = ACTIONS(2061),
    [sym_keyword_desc] = ACTIONS(2061),
    [sym_keyword_asc] = ACTIONS(2061),
    [sym_keyword_limit] = ACTIONS(2061),
    [sym_keyword_primary] = ACTIONS(2061),
    [sym_keyword_create] = ACTIONS(2061),
    [sym_keyword_as] = ACTIONS(2063),
    [sym_keyword_constraint] = ACTIONS(2061),
    [sym_keyword_separator] = ACTIONS(2061),
    [sym_keyword_when] = ACTIONS(2061),
    [sym_keyword_then] = ACTIONS(2061),
    [sym_keyword_else] = ACTIONS(2061),
    [sym_keyword_end] = ACTIONS(2061),
    [sym_keyword_in] = ACTIONS(2061),
    [sym_keyword_and] = ACTIONS(2061),
    [sym_keyword_or] = ACTIONS(2061),
    [sym_keyword_is] = ACTIONS(2061),
    [sym_keyword_not] = ACTIONS(2061),
    [sym_keyword_using] = ACTIONS(2061),
    [sym_keyword_auto_increment] = ACTIONS(2061),
    [sym_keyword_generated] = ACTIONS(2061),
    [sym_keyword_default] = ACTIONS(2061),
    [sym_keyword_with] = ACTIONS(2061),
    [sym_keyword_returning] = ACTIONS(2061),
    [sym_keyword_first] = ACTIONS(2061),
    [sym_keyword_after] = ACTIONS(2061),
    [sym_keyword_range] = ACTIONS(2061),
    [sym_keyword_rows] = ACTIONS(2061),
    [sym_keyword_groups] = ACTIONS(2061),
    [sym_keyword_between] = ACTIONS(2061),
    [sym_keyword_preceding] = ACTIONS(2061),
    [sym_keyword_following] = ACTIONS(2061),
    [sym_keyword_unique] = ACTIONS(2061),
    [sym_keyword_references] = ACTIONS(2061),
    [aux_sym_keyword_like_token1] = ACTIONS(2061),
    [aux_sym_keyword_like_token2] = ACTIONS(2061),
    [sym_keyword_similar] = ACTIONS(2061),
    [sym_keyword_check] = ACTIONS(2061),
    [sym_keyword_stored] = ACTIONS(2061),
    [sym_keyword_virtual] = ACTIONS(2061),
    [sym_keyword_comment] = ACTIONS(2061),
    [sym_keyword_null] = ACTIONS(2061),
    [sym_keyword_array] = ACTIONS(2061),
    [anon_sym_LBRACK] = ACTIONS(2061),
    [anon_sym_RBRACK] = ACTIONS(2061),
    [anon_sym_RPAREN] = ACTIONS(2061),
    [anon_sym_COMMA] = ACTIONS(2061),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2061),
    [anon_sym_STAR] = ACTIONS(2061),
    [anon_sym_COLON_COLON] = ACTIONS(2061),
    [anon_sym_LT] = ACTIONS(2063),
    [anon_sym_GT] = ACTIONS(2063),
    [anon_sym_LT_EQ] = ACTIONS(2061),
    [anon_sym_GT_EQ] = ACTIONS(2061),
    [anon_sym_COLON] = ACTIONS(2063),
    [sym_op_other] = ACTIONS(2061),
    [anon_sym_PLUS] = ACTIONS(2061),
    [anon_sym_DASH] = ACTIONS(2063),
    [anon_sym_SLASH] = ACTIONS(2063),
    [anon_sym_PERCENT] = ACTIONS(2061),
    [anon_sym_CARET] = ACTIONS(2063),
    [anon_sym_BANG_EQ] = ACTIONS(2061),
    [anon_sym_LT_GT] = ACTIONS(2061),
  },
  [271] = {
    [ts_builtin_sym_end] = ACTIONS(2360),
    [anon_sym_SEMI] = ACTIONS(2360),
    [sym_keyword_from] = ACTIONS(2360),
    [sym_keyword_on] = ACTIONS(2360),
    [sym_keyword_where] = ACTIONS(2360),
    [sym_keyword_desc] = ACTIONS(2360),
    [sym_keyword_asc] = ACTIONS(2360),
    [sym_keyword_limit] = ACTIONS(2360),
    [sym_keyword_primary] = ACTIONS(2360),
    [sym_keyword_create] = ACTIONS(2360),
    [sym_keyword_as] = ACTIONS(2362),
    [sym_keyword_constraint] = ACTIONS(2360),
    [sym_keyword_separator] = ACTIONS(2360),
    [sym_keyword_when] = ACTIONS(2360),
    [sym_keyword_then] = ACTIONS(2360),
    [sym_keyword_else] = ACTIONS(2360),
    [sym_keyword_end] = ACTIONS(2360),
    [sym_keyword_in] = ACTIONS(2360),
    [sym_keyword_and] = ACTIONS(2360),
    [sym_keyword_or] = ACTIONS(2360),
    [sym_keyword_is] = ACTIONS(2360),
    [sym_keyword_not] = ACTIONS(2360),
    [sym_keyword_using] = ACTIONS(2360),
    [sym_keyword_auto_increment] = ACTIONS(2360),
    [sym_keyword_generated] = ACTIONS(2360),
    [sym_keyword_default] = ACTIONS(2360),
    [sym_keyword_with] = ACTIONS(2360),
    [sym_keyword_returning] = ACTIONS(2360),
    [sym_keyword_first] = ACTIONS(2360),
    [sym_keyword_after] = ACTIONS(2360),
    [sym_keyword_range] = ACTIONS(2360),
    [sym_keyword_rows] = ACTIONS(2360),
    [sym_keyword_groups] = ACTIONS(2360),
    [sym_keyword_between] = ACTIONS(2360),
    [sym_keyword_preceding] = ACTIONS(2360),
    [sym_keyword_following] = ACTIONS(2360),
    [sym_keyword_unique] = ACTIONS(2360),
    [sym_keyword_references] = ACTIONS(2360),
    [aux_sym_keyword_like_token1] = ACTIONS(2360),
    [aux_sym_keyword_like_token2] = ACTIONS(2360),
    [sym_keyword_similar] = ACTIONS(2360),
    [sym_keyword_check] = ACTIONS(2360),
    [sym_keyword_stored] = ACTIONS(2360),
    [sym_keyword_virtual] = ACTIONS(2360),
    [sym_keyword_comment] = ACTIONS(2360),
    [sym_keyword_null] = ACTIONS(2360),
    [sym_keyword_array] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_RBRACK] = ACTIONS(2360),
    [anon_sym_RPAREN] = ACTIONS(2360),
    [anon_sym_COMMA] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2360),
    [anon_sym_STAR] = ACTIONS(2360),
    [anon_sym_COLON_COLON] = ACTIONS(2360),
    [anon_sym_LT] = ACTIONS(2362),
    [anon_sym_GT] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2360),
    [anon_sym_GT_EQ] = ACTIONS(2360),
    [anon_sym_COLON] = ACTIONS(2362),
    [sym_op_other] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2362),
    [anon_sym_SLASH] = ACTIONS(2362),
    [anon_sym_PERCENT] = ACTIONS(2360),
    [anon_sym_CARET] = ACTIONS(2362),
    [anon_sym_BANG_EQ] = ACTIONS(2360),
    [anon_sym_LT_GT] = ACTIONS(2360),
  },
  [272] = {
    [ts_builtin_sym_end] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2364),
    [sym_keyword_from] = ACTIONS(2364),
    [sym_keyword_on] = ACTIONS(2364),
    [sym_keyword_where] = ACTIONS(2364),
    [sym_keyword_desc] = ACTIONS(2364),
    [sym_keyword_asc] = ACTIONS(2364),
    [sym_keyword_limit] = ACTIONS(2364),
    [sym_keyword_primary] = ACTIONS(2364),
    [sym_keyword_create] = ACTIONS(2364),
    [sym_keyword_as] = ACTIONS(2366),
    [sym_keyword_constraint] = ACTIONS(2364),
    [sym_keyword_separator] = ACTIONS(2364),
    [sym_keyword_when] = ACTIONS(2364),
    [sym_keyword_then] = ACTIONS(2364),
    [sym_keyword_else] = ACTIONS(2364),
    [sym_keyword_end] = ACTIONS(2364),
    [sym_keyword_in] = ACTIONS(2364),
    [sym_keyword_and] = ACTIONS(2364),
    [sym_keyword_or] = ACTIONS(2364),
    [sym_keyword_is] = ACTIONS(2364),
    [sym_keyword_not] = ACTIONS(2364),
    [sym_keyword_using] = ACTIONS(2364),
    [sym_keyword_auto_increment] = ACTIONS(2364),
    [sym_keyword_generated] = ACTIONS(2364),
    [sym_keyword_default] = ACTIONS(2364),
    [sym_keyword_with] = ACTIONS(2364),
    [sym_keyword_returning] = ACTIONS(2364),
    [sym_keyword_first] = ACTIONS(2364),
    [sym_keyword_after] = ACTIONS(2364),
    [sym_keyword_range] = ACTIONS(2364),
    [sym_keyword_rows] = ACTIONS(2364),
    [sym_keyword_groups] = ACTIONS(2364),
    [sym_keyword_between] = ACTIONS(2364),
    [sym_keyword_preceding] = ACTIONS(2364),
    [sym_keyword_following] = ACTIONS(2364),
    [sym_keyword_unique] = ACTIONS(2364),
    [sym_keyword_references] = ACTIONS(2364),
    [aux_sym_keyword_like_token1] = ACTIONS(2364),
    [aux_sym_keyword_like_token2] = ACTIONS(2364),
    [sym_keyword_similar] = ACTIONS(2364),
    [sym_keyword_check] = ACTIONS(2364),
    [sym_keyword_stored] = ACTIONS(2364),
    [sym_keyword_virtual] = ACTIONS(2364),
    [sym_keyword_comment] = ACTIONS(2364),
    [sym_keyword_null] = ACTIONS(2364),
    [sym_keyword_array] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_RBRACK] = ACTIONS(2364),
    [anon_sym_RPAREN] = ACTIONS(2364),
    [anon_sym_COMMA] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2364),
    [anon_sym_LT] = ACTIONS(2366),
    [anon_sym_GT] = ACTIONS(2366),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_COLON] = ACTIONS(2366),
    [sym_op_other] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_SLASH] = ACTIONS(2366),
    [anon_sym_PERCENT] = ACTIONS(2364),
    [anon_sym_CARET] = ACTIONS(2366),
    [anon_sym_BANG_EQ] = ACTIONS(2364),
    [anon_sym_LT_GT] = ACTIONS(2364),
  },
  [273] = {
    [ts_builtin_sym_end] = ACTIONS(1803),
    [anon_sym_SEMI] = ACTIONS(1803),
    [sym_keyword_from] = ACTIONS(1803),
    [sym_keyword_on] = ACTIONS(1803),
    [sym_keyword_where] = ACTIONS(1803),
    [sym_keyword_desc] = ACTIONS(1803),
    [sym_keyword_asc] = ACTIONS(1803),
    [sym_keyword_limit] = ACTIONS(1803),
    [sym_keyword_primary] = ACTIONS(1803),
    [sym_keyword_create] = ACTIONS(1803),
    [sym_keyword_as] = ACTIONS(1805),
    [sym_keyword_constraint] = ACTIONS(1803),
    [sym_keyword_separator] = ACTIONS(1803),
    [sym_keyword_when] = ACTIONS(1803),
    [sym_keyword_then] = ACTIONS(1803),
    [sym_keyword_else] = ACTIONS(1803),
    [sym_keyword_end] = ACTIONS(1803),
    [sym_keyword_in] = ACTIONS(1803),
    [sym_keyword_and] = ACTIONS(1803),
    [sym_keyword_or] = ACTIONS(1803),
    [sym_keyword_is] = ACTIONS(1803),
    [sym_keyword_not] = ACTIONS(1803),
    [sym_keyword_using] = ACTIONS(1803),
    [sym_keyword_auto_increment] = ACTIONS(1803),
    [sym_keyword_generated] = ACTIONS(1803),
    [sym_keyword_default] = ACTIONS(1803),
    [sym_keyword_with] = ACTIONS(1803),
    [sym_keyword_returning] = ACTIONS(1803),
    [sym_keyword_first] = ACTIONS(1803),
    [sym_keyword_after] = ACTIONS(1803),
    [sym_keyword_range] = ACTIONS(1803),
    [sym_keyword_rows] = ACTIONS(1803),
    [sym_keyword_groups] = ACTIONS(1803),
    [sym_keyword_between] = ACTIONS(1803),
    [sym_keyword_preceding] = ACTIONS(1803),
    [sym_keyword_following] = ACTIONS(1803),
    [sym_keyword_unique] = ACTIONS(1803),
    [sym_keyword_references] = ACTIONS(1803),
    [aux_sym_keyword_like_token1] = ACTIONS(1803),
    [aux_sym_keyword_like_token2] = ACTIONS(1803),
    [sym_keyword_similar] = ACTIONS(1803),
    [sym_keyword_check] = ACTIONS(1803),
    [sym_keyword_stored] = ACTIONS(1803),
    [sym_keyword_virtual] = ACTIONS(1803),
    [sym_keyword_comment] = ACTIONS(1803),
    [sym_keyword_null] = ACTIONS(1803),
    [sym_keyword_array] = ACTIONS(1803),
    [anon_sym_LBRACK] = ACTIONS(1803),
    [anon_sym_RBRACK] = ACTIONS(1803),
    [anon_sym_RPAREN] = ACTIONS(1803),
    [anon_sym_COMMA] = ACTIONS(1803),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1803),
    [anon_sym_STAR] = ACTIONS(1803),
    [anon_sym_COLON_COLON] = ACTIONS(1803),
    [anon_sym_LT] = ACTIONS(1805),
    [anon_sym_GT] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1803),
    [anon_sym_GT_EQ] = ACTIONS(1803),
    [anon_sym_COLON] = ACTIONS(1805),
    [sym_op_other] = ACTIONS(1803),
    [anon_sym_PLUS] = ACTIONS(1803),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_SLASH] = ACTIONS(1805),
    [anon_sym_PERCENT] = ACTIONS(1803),
    [anon_sym_CARET] = ACTIONS(1805),
    [anon_sym_BANG_EQ] = ACTIONS(1803),
    [anon_sym_LT_GT] = ACTIONS(1803),
  },
  [274] = {
    [ts_builtin_sym_end] = ACTIONS(2368),
    [anon_sym_SEMI] = ACTIONS(2368),
    [sym_keyword_from] = ACTIONS(2368),
    [sym_keyword_on] = ACTIONS(2368),
    [sym_keyword_where] = ACTIONS(2368),
    [sym_keyword_desc] = ACTIONS(2368),
    [sym_keyword_asc] = ACTIONS(2368),
    [sym_keyword_limit] = ACTIONS(2368),
    [sym_keyword_primary] = ACTIONS(2368),
    [sym_keyword_create] = ACTIONS(2368),
    [sym_keyword_as] = ACTIONS(2370),
    [sym_keyword_constraint] = ACTIONS(2368),
    [sym_keyword_separator] = ACTIONS(2368),
    [sym_keyword_when] = ACTIONS(2368),
    [sym_keyword_then] = ACTIONS(2368),
    [sym_keyword_else] = ACTIONS(2368),
    [sym_keyword_end] = ACTIONS(2368),
    [sym_keyword_in] = ACTIONS(2368),
    [sym_keyword_and] = ACTIONS(2368),
    [sym_keyword_or] = ACTIONS(2368),
    [sym_keyword_is] = ACTIONS(2368),
    [sym_keyword_not] = ACTIONS(2368),
    [sym_keyword_using] = ACTIONS(2368),
    [sym_keyword_auto_increment] = ACTIONS(2368),
    [sym_keyword_generated] = ACTIONS(2368),
    [sym_keyword_default] = ACTIONS(2368),
    [sym_keyword_with] = ACTIONS(2368),
    [sym_keyword_returning] = ACTIONS(2368),
    [sym_keyword_first] = ACTIONS(2368),
    [sym_keyword_after] = ACTIONS(2368),
    [sym_keyword_range] = ACTIONS(2368),
    [sym_keyword_rows] = ACTIONS(2368),
    [sym_keyword_groups] = ACTIONS(2368),
    [sym_keyword_between] = ACTIONS(2368),
    [sym_keyword_preceding] = ACTIONS(2368),
    [sym_keyword_following] = ACTIONS(2368),
    [sym_keyword_unique] = ACTIONS(2368),
    [sym_keyword_references] = ACTIONS(2368),
    [aux_sym_keyword_like_token1] = ACTIONS(2368),
    [aux_sym_keyword_like_token2] = ACTIONS(2368),
    [sym_keyword_similar] = ACTIONS(2368),
    [sym_keyword_check] = ACTIONS(2368),
    [sym_keyword_stored] = ACTIONS(2368),
    [sym_keyword_virtual] = ACTIONS(2368),
    [sym_keyword_comment] = ACTIONS(2368),
    [sym_keyword_null] = ACTIONS(2368),
    [sym_keyword_array] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_RBRACK] = ACTIONS(2368),
    [anon_sym_RPAREN] = ACTIONS(2368),
    [anon_sym_COMMA] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2368),
    [anon_sym_STAR] = ACTIONS(2368),
    [anon_sym_COLON_COLON] = ACTIONS(2368),
    [anon_sym_LT] = ACTIONS(2370),
    [anon_sym_GT] = ACTIONS(2370),
    [anon_sym_LT_EQ] = ACTIONS(2368),
    [anon_sym_GT_EQ] = ACTIONS(2368),
    [anon_sym_COLON] = ACTIONS(2370),
    [sym_op_other] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_SLASH] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2368),
    [anon_sym_CARET] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2368),
    [anon_sym_LT_GT] = ACTIONS(2368),
  },
  [275] = {
    [ts_builtin_sym_end] = ACTIONS(2372),
    [anon_sym_SEMI] = ACTIONS(2372),
    [sym_keyword_from] = ACTIONS(2372),
    [sym_keyword_on] = ACTIONS(2372),
    [sym_keyword_where] = ACTIONS(2372),
    [sym_keyword_desc] = ACTIONS(2372),
    [sym_keyword_asc] = ACTIONS(2372),
    [sym_keyword_limit] = ACTIONS(2372),
    [sym_keyword_primary] = ACTIONS(2372),
    [sym_keyword_create] = ACTIONS(2372),
    [sym_keyword_as] = ACTIONS(2374),
    [sym_keyword_constraint] = ACTIONS(2372),
    [sym_keyword_separator] = ACTIONS(2372),
    [sym_keyword_when] = ACTIONS(2372),
    [sym_keyword_then] = ACTIONS(2372),
    [sym_keyword_else] = ACTIONS(2372),
    [sym_keyword_end] = ACTIONS(2372),
    [sym_keyword_in] = ACTIONS(2372),
    [sym_keyword_and] = ACTIONS(2372),
    [sym_keyword_or] = ACTIONS(2372),
    [sym_keyword_is] = ACTIONS(2372),
    [sym_keyword_not] = ACTIONS(2372),
    [sym_keyword_using] = ACTIONS(2372),
    [sym_keyword_auto_increment] = ACTIONS(2372),
    [sym_keyword_generated] = ACTIONS(2372),
    [sym_keyword_default] = ACTIONS(2372),
    [sym_keyword_with] = ACTIONS(2372),
    [sym_keyword_returning] = ACTIONS(2372),
    [sym_keyword_first] = ACTIONS(2372),
    [sym_keyword_after] = ACTIONS(2372),
    [sym_keyword_range] = ACTIONS(2372),
    [sym_keyword_rows] = ACTIONS(2372),
    [sym_keyword_groups] = ACTIONS(2372),
    [sym_keyword_between] = ACTIONS(2372),
    [sym_keyword_preceding] = ACTIONS(2372),
    [sym_keyword_following] = ACTIONS(2372),
    [sym_keyword_unique] = ACTIONS(2372),
    [sym_keyword_references] = ACTIONS(2372),
    [aux_sym_keyword_like_token1] = ACTIONS(2372),
    [aux_sym_keyword_like_token2] = ACTIONS(2372),
    [sym_keyword_similar] = ACTIONS(2372),
    [sym_keyword_check] = ACTIONS(2372),
    [sym_keyword_stored] = ACTIONS(2372),
    [sym_keyword_virtual] = ACTIONS(2372),
    [sym_keyword_comment] = ACTIONS(2372),
    [sym_keyword_null] = ACTIONS(2372),
    [sym_keyword_array] = ACTIONS(2372),
    [anon_sym_LBRACK] = ACTIONS(2372),
    [anon_sym_RBRACK] = ACTIONS(2372),
    [anon_sym_RPAREN] = ACTIONS(2372),
    [anon_sym_COMMA] = ACTIONS(2372),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2372),
    [anon_sym_STAR] = ACTIONS(2372),
    [anon_sym_COLON_COLON] = ACTIONS(2372),
    [anon_sym_LT] = ACTIONS(2374),
    [anon_sym_GT] = ACTIONS(2374),
    [anon_sym_LT_EQ] = ACTIONS(2372),
    [anon_sym_GT_EQ] = ACTIONS(2372),
    [anon_sym_COLON] = ACTIONS(2374),
    [sym_op_other] = ACTIONS(2372),
    [anon_sym_PLUS] = ACTIONS(2372),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_SLASH] = ACTIONS(2374),
    [anon_sym_PERCENT] = ACTIONS(2372),
    [anon_sym_CARET] = ACTIONS(2374),
    [anon_sym_BANG_EQ] = ACTIONS(2372),
    [anon_sym_LT_GT] = ACTIONS(2372),
  },
  [276] = {
    [ts_builtin_sym_end] = ACTIONS(2376),
    [anon_sym_SEMI] = ACTIONS(2376),
    [sym_keyword_from] = ACTIONS(2376),
    [sym_keyword_on] = ACTIONS(2376),
    [sym_keyword_where] = ACTIONS(2376),
    [sym_keyword_desc] = ACTIONS(2376),
    [sym_keyword_asc] = ACTIONS(2376),
    [sym_keyword_limit] = ACTIONS(2376),
    [sym_keyword_primary] = ACTIONS(2376),
    [sym_keyword_create] = ACTIONS(2376),
    [sym_keyword_as] = ACTIONS(2378),
    [sym_keyword_constraint] = ACTIONS(2376),
    [sym_keyword_separator] = ACTIONS(2376),
    [sym_keyword_when] = ACTIONS(2376),
    [sym_keyword_then] = ACTIONS(2376),
    [sym_keyword_else] = ACTIONS(2376),
    [sym_keyword_end] = ACTIONS(2376),
    [sym_keyword_in] = ACTIONS(2376),
    [sym_keyword_and] = ACTIONS(2376),
    [sym_keyword_or] = ACTIONS(2376),
    [sym_keyword_is] = ACTIONS(2376),
    [sym_keyword_not] = ACTIONS(2376),
    [sym_keyword_using] = ACTIONS(2376),
    [sym_keyword_auto_increment] = ACTIONS(2376),
    [sym_keyword_generated] = ACTIONS(2376),
    [sym_keyword_default] = ACTIONS(2376),
    [sym_keyword_with] = ACTIONS(2376),
    [sym_keyword_returning] = ACTIONS(2376),
    [sym_keyword_first] = ACTIONS(2376),
    [sym_keyword_after] = ACTIONS(2376),
    [sym_keyword_range] = ACTIONS(2376),
    [sym_keyword_rows] = ACTIONS(2376),
    [sym_keyword_groups] = ACTIONS(2376),
    [sym_keyword_between] = ACTIONS(2376),
    [sym_keyword_preceding] = ACTIONS(2376),
    [sym_keyword_following] = ACTIONS(2376),
    [sym_keyword_unique] = ACTIONS(2376),
    [sym_keyword_references] = ACTIONS(2376),
    [aux_sym_keyword_like_token1] = ACTIONS(2376),
    [aux_sym_keyword_like_token2] = ACTIONS(2376),
    [sym_keyword_similar] = ACTIONS(2376),
    [sym_keyword_check] = ACTIONS(2376),
    [sym_keyword_stored] = ACTIONS(2376),
    [sym_keyword_virtual] = ACTIONS(2376),
    [sym_keyword_comment] = ACTIONS(2376),
    [sym_keyword_null] = ACTIONS(2376),
    [sym_keyword_array] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_RBRACK] = ACTIONS(2376),
    [anon_sym_RPAREN] = ACTIONS(2376),
    [anon_sym_COMMA] = ACTIONS(2376),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_GT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(2376),
    [anon_sym_GT_EQ] = ACTIONS(2376),
    [anon_sym_COLON] = ACTIONS(2378),
    [sym_op_other] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2378),
    [anon_sym_SLASH] = ACTIONS(2378),
    [anon_sym_PERCENT] = ACTIONS(2376),
    [anon_sym_CARET] = ACTIONS(2378),
    [anon_sym_BANG_EQ] = ACTIONS(2376),
    [anon_sym_LT_GT] = ACTIONS(2376),
  },
  [277] = {
    [ts_builtin_sym_end] = ACTIONS(2162),
    [anon_sym_SEMI] = ACTIONS(2162),
    [sym_keyword_from] = ACTIONS(2162),
    [sym_keyword_on] = ACTIONS(2162),
    [sym_keyword_where] = ACTIONS(2162),
    [sym_keyword_desc] = ACTIONS(2162),
    [sym_keyword_asc] = ACTIONS(2162),
    [sym_keyword_limit] = ACTIONS(2162),
    [sym_keyword_primary] = ACTIONS(2162),
    [sym_keyword_create] = ACTIONS(2162),
    [sym_keyword_as] = ACTIONS(2164),
    [sym_keyword_constraint] = ACTIONS(2162),
    [sym_keyword_separator] = ACTIONS(2162),
    [sym_keyword_when] = ACTIONS(2162),
    [sym_keyword_then] = ACTIONS(2162),
    [sym_keyword_else] = ACTIONS(2162),
    [sym_keyword_end] = ACTIONS(2162),
    [sym_keyword_in] = ACTIONS(2162),
    [sym_keyword_and] = ACTIONS(2162),
    [sym_keyword_or] = ACTIONS(2162),
    [sym_keyword_is] = ACTIONS(2162),
    [sym_keyword_not] = ACTIONS(2162),
    [sym_keyword_using] = ACTIONS(2162),
    [sym_keyword_auto_increment] = ACTIONS(2162),
    [sym_keyword_generated] = ACTIONS(2162),
    [sym_keyword_default] = ACTIONS(2162),
    [sym_keyword_with] = ACTIONS(2162),
    [sym_keyword_returning] = ACTIONS(2162),
    [sym_keyword_first] = ACTIONS(2162),
    [sym_keyword_after] = ACTIONS(2162),
    [sym_keyword_range] = ACTIONS(2162),
    [sym_keyword_rows] = ACTIONS(2162),
    [sym_keyword_groups] = ACTIONS(2162),
    [sym_keyword_between] = ACTIONS(2162),
    [sym_keyword_preceding] = ACTIONS(2162),
    [sym_keyword_following] = ACTIONS(2162),
    [sym_keyword_unique] = ACTIONS(2162),
    [sym_keyword_references] = ACTIONS(2162),
    [aux_sym_keyword_like_token1] = ACTIONS(2162),
    [aux_sym_keyword_like_token2] = ACTIONS(2162),
    [sym_keyword_similar] = ACTIONS(2162),
    [sym_keyword_check] = ACTIONS(2162),
    [sym_keyword_stored] = ACTIONS(2162),
    [sym_keyword_virtual] = ACTIONS(2162),
    [sym_keyword_comment] = ACTIONS(2162),
    [sym_keyword_null] = ACTIONS(2162),
    [sym_keyword_array] = ACTIONS(2162),
    [anon_sym_LBRACK] = ACTIONS(2162),
    [anon_sym_RBRACK] = ACTIONS(2162),
    [anon_sym_RPAREN] = ACTIONS(2162),
    [anon_sym_COMMA] = ACTIONS(2162),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(2162),
    [anon_sym_COLON_COLON] = ACTIONS(2162),
    [anon_sym_LT] = ACTIONS(2164),
    [anon_sym_GT] = ACTIONS(2164),
    [anon_sym_LT_EQ] = ACTIONS(2162),
    [anon_sym_GT_EQ] = ACTIONS(2162),
    [anon_sym_COLON] = ACTIONS(2164),
    [sym_op_other] = ACTIONS(2162),
    [anon_sym_PLUS] = ACTIONS(2162),
    [anon_sym_DASH] = ACTIONS(2164),
    [anon_sym_SLASH] = ACTIONS(2164),
    [anon_sym_PERCENT] = ACTIONS(2162),
    [anon_sym_CARET] = ACTIONS(2164),
    [anon_sym_BANG_EQ] = ACTIONS(2162),
    [anon_sym_LT_GT] = ACTIONS(2162),
  },
  [278] = {
    [ts_builtin_sym_end] = ACTIONS(2168),
    [anon_sym_SEMI] = ACTIONS(2168),
    [sym_keyword_from] = ACTIONS(2168),
    [sym_keyword_on] = ACTIONS(2168),
    [sym_keyword_where] = ACTIONS(2168),
    [sym_keyword_desc] = ACTIONS(2168),
    [sym_keyword_asc] = ACTIONS(2168),
    [sym_keyword_limit] = ACTIONS(2168),
    [sym_keyword_primary] = ACTIONS(2168),
    [sym_keyword_create] = ACTIONS(2168),
    [sym_keyword_as] = ACTIONS(2170),
    [sym_keyword_constraint] = ACTIONS(2168),
    [sym_keyword_separator] = ACTIONS(2168),
    [sym_keyword_when] = ACTIONS(2168),
    [sym_keyword_then] = ACTIONS(2168),
    [sym_keyword_else] = ACTIONS(2168),
    [sym_keyword_end] = ACTIONS(2168),
    [sym_keyword_in] = ACTIONS(2168),
    [sym_keyword_and] = ACTIONS(2168),
    [sym_keyword_or] = ACTIONS(2168),
    [sym_keyword_is] = ACTIONS(2168),
    [sym_keyword_not] = ACTIONS(2168),
    [sym_keyword_using] = ACTIONS(2168),
    [sym_keyword_auto_increment] = ACTIONS(2168),
    [sym_keyword_generated] = ACTIONS(2168),
    [sym_keyword_default] = ACTIONS(2168),
    [sym_keyword_with] = ACTIONS(2168),
    [sym_keyword_returning] = ACTIONS(2168),
    [sym_keyword_first] = ACTIONS(2168),
    [sym_keyword_after] = ACTIONS(2168),
    [sym_keyword_range] = ACTIONS(2168),
    [sym_keyword_rows] = ACTIONS(2168),
    [sym_keyword_groups] = ACTIONS(2168),
    [sym_keyword_between] = ACTIONS(2168),
    [sym_keyword_preceding] = ACTIONS(2168),
    [sym_keyword_following] = ACTIONS(2168),
    [sym_keyword_unique] = ACTIONS(2168),
    [sym_keyword_references] = ACTIONS(2168),
    [aux_sym_keyword_like_token1] = ACTIONS(2168),
    [aux_sym_keyword_like_token2] = ACTIONS(2168),
    [sym_keyword_similar] = ACTIONS(2168),
    [sym_keyword_check] = ACTIONS(2168),
    [sym_keyword_stored] = ACTIONS(2168),
    [sym_keyword_virtual] = ACTIONS(2168),
    [sym_keyword_comment] = ACTIONS(2168),
    [sym_keyword_null] = ACTIONS(2168),
    [sym_keyword_array] = ACTIONS(2168),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_RBRACK] = ACTIONS(2168),
    [anon_sym_RPAREN] = ACTIONS(2168),
    [anon_sym_COMMA] = ACTIONS(2168),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2168),
    [anon_sym_STAR] = ACTIONS(2168),
    [anon_sym_COLON_COLON] = ACTIONS(2168),
    [anon_sym_LT] = ACTIONS(2170),
    [anon_sym_GT] = ACTIONS(2170),
    [anon_sym_LT_EQ] = ACTIONS(2168),
    [anon_sym_GT_EQ] = ACTIONS(2168),
    [anon_sym_COLON] = ACTIONS(2170),
    [sym_op_other] = ACTIONS(2168),
    [anon_sym_PLUS] = ACTIONS(2168),
    [anon_sym_DASH] = ACTIONS(2170),
    [anon_sym_SLASH] = ACTIONS(2170),
    [anon_sym_PERCENT] = ACTIONS(2168),
    [anon_sym_CARET] = ACTIONS(2170),
    [anon_sym_BANG_EQ] = ACTIONS(2168),
    [anon_sym_LT_GT] = ACTIONS(2168),
  },
  [279] = {
    [sym__identifier] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1384),
    [sym_keyword_from] = ACTIONS(1386),
    [sym_keyword_on] = ACTIONS(1386),
    [sym_keyword_partition] = ACTIONS(1386),
    [sym_keyword_create] = ACTIONS(1386),
    [sym_keyword_as] = ACTIONS(1386),
    [sym_keyword_when] = ACTIONS(1386),
    [sym_keyword_in] = ACTIONS(1386),
    [sym_keyword_and] = ACTIONS(1386),
    [sym_keyword_or] = ACTIONS(1386),
    [sym_keyword_is] = ACTIONS(1386),
    [sym_keyword_not] = ACTIONS(1386),
    [sym_keyword_force] = ACTIONS(1386),
    [sym_keyword_collate] = ACTIONS(1386),
    [sym_keyword_cascade] = ACTIONS(1386),
    [sym_keyword_restrict] = ACTIONS(1386),
    [sym_keyword_with] = ACTIONS(1386),
    [sym_keyword_schema] = ACTIONS(1386),
    [sym_keyword_union] = ACTIONS(1386),
    [sym_keyword_except] = ACTIONS(1386),
    [sym_keyword_intersect] = ACTIONS(1386),
    [sym_keyword_returning] = ACTIONS(1386),
    [sym_keyword_rows] = ACTIONS(1386),
    [sym_keyword_between] = ACTIONS(1386),
    [aux_sym_keyword_like_token1] = ACTIONS(1386),
    [aux_sym_keyword_like_token2] = ACTIONS(1386),
    [sym_keyword_similar] = ACTIONS(1386),
    [sym_keyword_authorization] = ACTIONS(1386),
    [sym_keyword_returns] = ACTIONS(1386),
    [sym_keyword_language] = ACTIONS(1386),
    [sym_keyword_immutable] = ACTIONS(1386),
    [sym_keyword_stable] = ACTIONS(1386),
    [sym_keyword_volatile] = ACTIONS(1386),
    [sym_keyword_leakproof] = ACTIONS(1386),
    [sym_keyword_parallel] = ACTIONS(1386),
    [sym_keyword_called] = ACTIONS(1386),
    [sym_keyword_strict] = ACTIONS(1386),
    [sym_keyword_cost] = ACTIONS(1386),
    [sym_keyword_support] = ACTIONS(1386),
    [sym_keyword_security] = ACTIONS(1386),
    [sym_keyword_version] = ACTIONS(1386),
    [sym_keyword_external] = ACTIONS(1386),
    [sym_keyword_array] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1384),
    [anon_sym_DOT] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_COLON_COLON] = ACTIONS(1384),
    [anon_sym_LT] = ACTIONS(1386),
    [anon_sym_GT] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1384),
    [anon_sym_GT_EQ] = ACTIONS(1384),
    [sym_op_other] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1386),
    [anon_sym_PERCENT] = ACTIONS(1384),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1384),
    [anon_sym_LT_GT] = ACTIONS(1384),
    [sym__double_quote_string] = ACTIONS(1384),
    [aux_sym__single_quote_string_token1] = ACTIONS(1384),
    [aux_sym_identifier_token1] = ACTIONS(1384),
    [sym__dollar_quoted_string_end_tag] = ACTIONS(1384),
  },
  [280] = {
    [ts_builtin_sym_end] = ACTIONS(2380),
    [anon_sym_SEMI] = ACTIONS(2380),
    [sym_keyword_from] = ACTIONS(2380),
    [sym_keyword_on] = ACTIONS(2380),
    [sym_keyword_where] = ACTIONS(2380),
    [sym_keyword_desc] = ACTIONS(2380),
    [sym_keyword_asc] = ACTIONS(2380),
    [sym_keyword_limit] = ACTIONS(2380),
    [sym_keyword_primary] = ACTIONS(2380),
    [sym_keyword_create] = ACTIONS(2380),
    [sym_keyword_as] = ACTIONS(2382),
    [sym_keyword_constraint] = ACTIONS(2380),
    [sym_keyword_separator] = ACTIONS(2380),
    [sym_keyword_when] = ACTIONS(2380),
    [sym_keyword_then] = ACTIONS(2380),
    [sym_keyword_else] = ACTIONS(2380),
    [sym_keyword_end] = ACTIONS(2380),
    [sym_keyword_in] = ACTIONS(2380),
    [sym_keyword_and] = ACTIONS(2380),
    [sym_keyword_or] = ACTIONS(2380),
    [sym_keyword_is] = ACTIONS(2380),
    [sym_keyword_not] = ACTIONS(2380),
    [sym_keyword_using] = ACTIONS(2380),
    [sym_keyword_auto_increment] = ACTIONS(2380),
    [sym_keyword_generated] = ACTIONS(2380),
    [sym_keyword_default] = ACTIONS(2380),
    [sym_keyword_with] = ACTIONS(2380),
    [sym_keyword_returning] = ACTIONS(2380),
    [sym_keyword_first] = ACTIONS(2380),
    [sym_keyword_after] = ACTIONS(2380),
    [sym_keyword_range] = ACTIONS(2380),
    [sym_keyword_rows] = ACTIONS(2380),
    [sym_keyword_groups] = ACTIONS(2380),
    [sym_keyword_between] = ACTIONS(2380),
    [sym_keyword_preceding] = ACTIONS(2380),
    [sym_keyword_following] = ACTIONS(2380),
    [sym_keyword_unique] = ACTIONS(2380),
    [sym_keyword_references] = ACTIONS(2380),
    [aux_sym_keyword_like_token1] = ACTIONS(2380),
    [aux_sym_keyword_like_token2] = ACTIONS(2380),
    [sym_keyword_similar] = ACTIONS(2380),
    [sym_keyword_check] = ACTIONS(2380),
    [sym_keyword_stored] = ACTIONS(2380),
    [sym_keyword_virtual] = ACTIONS(2380),
    [sym_keyword_comment] = ACTIONS(2380),
    [sym_keyword_null] = ACTIONS(2380),
    [sym_keyword_array] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(2380),
    [anon_sym_RBRACK] = ACTIONS(2380),
    [anon_sym_RPAREN] = ACTIONS(2380),
    [anon_sym_COMMA] = ACTIONS(2380),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(2380),
    [anon_sym_COLON_COLON] = ACTIONS(2380),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_GT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2380),
    [anon_sym_COLON] = ACTIONS(2382),
    [sym_op_other] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(2380),
    [anon_sym_DASH] = ACTIONS(2382),
    [anon_sym_SLASH] = ACTIONS(2382),
    [anon_sym_PERCENT] = ACTIONS(2380),
    [anon_sym_CARET] = ACTIONS(2382),
    [anon_sym_BANG_EQ] = ACTIONS(2380),
    [anon_sym_LT_GT] = ACTIONS(2380),
  },
  [281] = {
    [ts_builtin_sym_end] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2190),
    [sym_keyword_from] = ACTIONS(2190),
    [sym_keyword_on] = ACTIONS(2190),
    [sym_keyword_where] = ACTIONS(2190),
    [sym_keyword_desc] = ACTIONS(2190),
    [sym_keyword_asc] = ACTIONS(2190),
    [sym_keyword_limit] = ACTIONS(2190),
    [sym_keyword_primary] = ACTIONS(2190),
    [sym_keyword_create] = ACTIONS(2190),
    [sym_keyword_as] = ACTIONS(2192),
    [sym_keyword_constraint] = ACTIONS(2190),
    [sym_keyword_separator] = ACTIONS(2190),
    [sym_keyword_when] = ACTIONS(2190),
    [sym_keyword_then] = ACTIONS(2190),
    [sym_keyword_else] = ACTIONS(2190),
    [sym_keyword_end] = ACTIONS(2190),
    [sym_keyword_in] = ACTIONS(2190),
    [sym_keyword_and] = ACTIONS(2190),
    [sym_keyword_or] = ACTIONS(2190),
    [sym_keyword_is] = ACTIONS(2190),
    [sym_keyword_not] = ACTIONS(2190),
    [sym_keyword_using] = ACTIONS(2190),
    [sym_keyword_auto_increment] = ACTIONS(2190),
    [sym_keyword_generated] = ACTIONS(2190),
    [sym_keyword_default] = ACTIONS(2190),
    [sym_keyword_with] = ACTIONS(2190),
    [sym_keyword_returning] = ACTIONS(2190),
    [sym_keyword_first] = ACTIONS(2190),
    [sym_keyword_after] = ACTIONS(2190),
    [sym_keyword_range] = ACTIONS(2190),
    [sym_keyword_rows] = ACTIONS(2190),
    [sym_keyword_groups] = ACTIONS(2190),
    [sym_keyword_between] = ACTIONS(2190),
    [sym_keyword_preceding] = ACTIONS(2190),
    [sym_keyword_following] = ACTIONS(2190),
    [sym_keyword_unique] = ACTIONS(2190),
    [sym_keyword_references] = ACTIONS(2190),
    [aux_sym_keyword_like_token1] = ACTIONS(2190),
    [aux_sym_keyword_like_token2] = ACTIONS(2190),
    [sym_keyword_similar] = ACTIONS(2190),
    [sym_keyword_check] = ACTIONS(2190),
    [sym_keyword_stored] = ACTIONS(2190),
    [sym_keyword_virtual] = ACTIONS(2190),
    [sym_keyword_comment] = ACTIONS(2190),
    [sym_keyword_null] = ACTIONS(2190),
    [sym_keyword_array] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2190),
    [anon_sym_RBRACK] = ACTIONS(2190),
    [anon_sym_RPAREN] = ACTIONS(2190),
    [anon_sym_COMMA] = ACTIONS(2190),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(2190),
    [anon_sym_COLON_COLON] = ACTIONS(2190),
    [anon_sym_LT] = ACTIONS(2192),
    [anon_sym_GT] = ACTIONS(2192),
    [anon_sym_LT_EQ] = ACTIONS(2190),
    [anon_sym_GT_EQ] = ACTIONS(2190),
    [anon_sym_COLON] = ACTIONS(2192),
    [sym_op_other] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2192),
    [anon_sym_SLASH] = ACTIONS(2192),
    [anon_sym_PERCENT] = ACTIONS(2190),
    [anon_sym_CARET] = ACTIONS(2192),
    [anon_sym_BANG_EQ] = ACTIONS(2190),
    [anon_sym_LT_GT] = ACTIONS(2190),
  },
  [282] = {
    [ts_builtin_sym_end] = ACTIONS(2067),
    [anon_sym_SEMI] = ACTIONS(2067),
    [sym_keyword_from] = ACTIONS(2067),
    [sym_keyword_on] = ACTIONS(2067),
    [sym_keyword_where] = ACTIONS(2067),
    [sym_keyword_desc] = ACTIONS(2067),
    [sym_keyword_asc] = ACTIONS(2067),
    [sym_keyword_limit] = ACTIONS(2067),
    [sym_keyword_primary] = ACTIONS(2067),
    [sym_keyword_create] = ACTIONS(2067),
    [sym_keyword_as] = ACTIONS(2069),
    [sym_keyword_constraint] = ACTIONS(2067),
    [sym_keyword_separator] = ACTIONS(2067),
    [sym_keyword_when] = ACTIONS(2067),
    [sym_keyword_then] = ACTIONS(2067),
    [sym_keyword_else] = ACTIONS(2067),
    [sym_keyword_end] = ACTIONS(2067),
    [sym_keyword_in] = ACTIONS(2067),
    [sym_keyword_and] = ACTIONS(2067),
    [sym_keyword_or] = ACTIONS(2067),
    [sym_keyword_is] = ACTIONS(2067),
    [sym_keyword_not] = ACTIONS(2067),
    [sym_keyword_using] = ACTIONS(2067),
    [sym_keyword_auto_increment] = ACTIONS(2067),
    [sym_keyword_generated] = ACTIONS(2067),
    [sym_keyword_default] = ACTIONS(2067),
    [sym_keyword_with] = ACTIONS(2067),
    [sym_keyword_returning] = ACTIONS(2067),
    [sym_keyword_first] = ACTIONS(2067),
    [sym_keyword_after] = ACTIONS(2067),
    [sym_keyword_range] = ACTIONS(2067),
    [sym_keyword_rows] = ACTIONS(2067),
    [sym_keyword_groups] = ACTIONS(2067),
    [sym_keyword_between] = ACTIONS(2067),
    [sym_keyword_preceding] = ACTIONS(2067),
    [sym_keyword_following] = ACTIONS(2067),
    [sym_keyword_unique] = ACTIONS(2067),
    [sym_keyword_references] = ACTIONS(2067),
    [aux_sym_keyword_like_token1] = ACTIONS(2067),
    [aux_sym_keyword_like_token2] = ACTIONS(2067),
    [sym_keyword_similar] = ACTIONS(2067),
    [sym_keyword_check] = ACTIONS(2067),
    [sym_keyword_stored] = ACTIONS(2067),
    [sym_keyword_virtual] = ACTIONS(2067),
    [sym_keyword_comment] = ACTIONS(2067),
    [sym_keyword_null] = ACTIONS(2067),
    [sym_keyword_array] = ACTIONS(2067),
    [anon_sym_LBRACK] = ACTIONS(2067),
    [anon_sym_RBRACK] = ACTIONS(2067),
    [anon_sym_RPAREN] = ACTIONS(2067),
    [anon_sym_COMMA] = ACTIONS(2067),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2067),
    [anon_sym_STAR] = ACTIONS(2067),
    [anon_sym_COLON_COLON] = ACTIONS(2067),
    [anon_sym_LT] = ACTIONS(2069),
    [anon_sym_GT] = ACTIONS(2069),
    [anon_sym_LT_EQ] = ACTIONS(2067),
    [anon_sym_GT_EQ] = ACTIONS(2067),
    [anon_sym_COLON] = ACTIONS(2069),
    [sym_op_other] = ACTIONS(2067),
    [anon_sym_PLUS] = ACTIONS(2067),
    [anon_sym_DASH] = ACTIONS(2069),
    [anon_sym_SLASH] = ACTIONS(2069),
    [anon_sym_PERCENT] = ACTIONS(2067),
    [anon_sym_CARET] = ACTIONS(2069),
    [anon_sym_BANG_EQ] = ACTIONS(2067),
    [anon_sym_LT_GT] = ACTIONS(2067),
  },
  [283] = {
    [ts_builtin_sym_end] = ACTIONS(2384),
    [anon_sym_SEMI] = ACTIONS(2384),
    [sym_keyword_from] = ACTIONS(2384),
    [sym_keyword_on] = ACTIONS(2384),
    [sym_keyword_where] = ACTIONS(2384),
    [sym_keyword_desc] = ACTIONS(2384),
    [sym_keyword_asc] = ACTIONS(2384),
    [sym_keyword_limit] = ACTIONS(2384),
    [sym_keyword_primary] = ACTIONS(2384),
    [sym_keyword_create] = ACTIONS(2384),
    [sym_keyword_as] = ACTIONS(2386),
    [sym_keyword_constraint] = ACTIONS(2384),
    [sym_keyword_separator] = ACTIONS(2384),
    [sym_keyword_when] = ACTIONS(2384),
    [sym_keyword_then] = ACTIONS(2384),
    [sym_keyword_else] = ACTIONS(2384),
    [sym_keyword_end] = ACTIONS(2384),
    [sym_keyword_in] = ACTIONS(2384),
    [sym_keyword_and] = ACTIONS(2384),
    [sym_keyword_or] = ACTIONS(2384),
    [sym_keyword_is] = ACTIONS(2384),
    [sym_keyword_not] = ACTIONS(2384),
    [sym_keyword_using] = ACTIONS(2384),
    [sym_keyword_auto_increment] = ACTIONS(2384),
    [sym_keyword_generated] = ACTIONS(2384),
    [sym_keyword_default] = ACTIONS(2384),
    [sym_keyword_with] = ACTIONS(2384),
    [sym_keyword_returning] = ACTIONS(2384),
    [sym_keyword_first] = ACTIONS(2384),
    [sym_keyword_after] = ACTIONS(2384),
    [sym_keyword_range] = ACTIONS(2384),
    [sym_keyword_rows] = ACTIONS(2384),
    [sym_keyword_groups] = ACTIONS(2384),
    [sym_keyword_between] = ACTIONS(2384),
    [sym_keyword_preceding] = ACTIONS(2384),
    [sym_keyword_following] = ACTIONS(2384),
    [sym_keyword_unique] = ACTIONS(2384),
    [sym_keyword_references] = ACTIONS(2384),
    [aux_sym_keyword_like_token1] = ACTIONS(2384),
    [aux_sym_keyword_like_token2] = ACTIONS(2384),
    [sym_keyword_similar] = ACTIONS(2384),
    [sym_keyword_check] = ACTIONS(2384),
    [sym_keyword_stored] = ACTIONS(2384),
    [sym_keyword_virtual] = ACTIONS(2384),
    [sym_keyword_comment] = ACTIONS(2384),
    [sym_keyword_null] = ACTIONS(2384),
    [sym_keyword_array] = ACTIONS(2384),
    [anon_sym_LBRACK] = ACTIONS(2384),
    [anon_sym_RBRACK] = ACTIONS(2384),
    [anon_sym_RPAREN] = ACTIONS(2384),
    [anon_sym_COMMA] = ACTIONS(2384),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2384),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_COLON_COLON] = ACTIONS(2384),
    [anon_sym_LT] = ACTIONS(2386),
    [anon_sym_GT] = ACTIONS(2386),
    [anon_sym_LT_EQ] = ACTIONS(2384),
    [anon_sym_GT_EQ] = ACTIONS(2384),
    [anon_sym_COLON] = ACTIONS(2386),
    [sym_op_other] = ACTIONS(2384),
    [anon_sym_PLUS] = ACTIONS(2384),
    [anon_sym_DASH] = ACTIONS(2386),
    [anon_sym_SLASH] = ACTIONS(2386),
    [anon_sym_PERCENT] = ACTIONS(2384),
    [anon_sym_CARET] = ACTIONS(2386),
    [anon_sym_BANG_EQ] = ACTIONS(2384),
    [anon_sym_LT_GT] = ACTIONS(2384),
  },
  [284] = {
    [ts_builtin_sym_end] = ACTIONS(2196),
    [anon_sym_SEMI] = ACTIONS(2196),
    [sym_keyword_from] = ACTIONS(2196),
    [sym_keyword_on] = ACTIONS(2196),
    [sym_keyword_where] = ACTIONS(2196),
    [sym_keyword_desc] = ACTIONS(2196),
    [sym_keyword_asc] = ACTIONS(2196),
    [sym_keyword_limit] = ACTIONS(2196),
    [sym_keyword_primary] = ACTIONS(2196),
    [sym_keyword_create] = ACTIONS(2196),
    [sym_keyword_as] = ACTIONS(2198),
    [sym_keyword_constraint] = ACTIONS(2196),
    [sym_keyword_separator] = ACTIONS(2196),
    [sym_keyword_when] = ACTIONS(2196),
    [sym_keyword_then] = ACTIONS(2196),
    [sym_keyword_else] = ACTIONS(2196),
    [sym_keyword_end] = ACTIONS(2196),
    [sym_keyword_in] = ACTIONS(2196),
    [sym_keyword_and] = ACTIONS(2196),
    [sym_keyword_or] = ACTIONS(2196),
    [sym_keyword_is] = ACTIONS(2196),
    [sym_keyword_not] = ACTIONS(2196),
    [sym_keyword_using] = ACTIONS(2196),
    [sym_keyword_auto_increment] = ACTIONS(2196),
    [sym_keyword_generated] = ACTIONS(2196),
    [sym_keyword_default] = ACTIONS(2196),
    [sym_keyword_with] = ACTIONS(2196),
    [sym_keyword_returning] = ACTIONS(2196),
    [sym_keyword_first] = ACTIONS(2196),
    [sym_keyword_after] = ACTIONS(2196),
    [sym_keyword_range] = ACTIONS(2196),
    [sym_keyword_rows] = ACTIONS(2196),
    [sym_keyword_groups] = ACTIONS(2196),
    [sym_keyword_between] = ACTIONS(2196),
    [sym_keyword_preceding] = ACTIONS(2196),
    [sym_keyword_following] = ACTIONS(2196),
    [sym_keyword_unique] = ACTIONS(2196),
    [sym_keyword_references] = ACTIONS(2196),
    [aux_sym_keyword_like_token1] = ACTIONS(2196),
    [aux_sym_keyword_like_token2] = ACTIONS(2196),
    [sym_keyword_similar] = ACTIONS(2196),
    [sym_keyword_check] = ACTIONS(2196),
    [sym_keyword_stored] = ACTIONS(2196),
    [sym_keyword_virtual] = ACTIONS(2196),
    [sym_keyword_comment] = ACTIONS(2196),
    [sym_keyword_null] = ACTIONS(2196),
    [sym_keyword_array] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2196),
    [anon_sym_RBRACK] = ACTIONS(2196),
    [anon_sym_RPAREN] = ACTIONS(2196),
    [anon_sym_COMMA] = ACTIONS(2196),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2196),
    [anon_sym_STAR] = ACTIONS(2196),
    [anon_sym_COLON_COLON] = ACTIONS(2196),
    [anon_sym_LT] = ACTIONS(2198),
    [anon_sym_GT] = ACTIONS(2198),
    [anon_sym_LT_EQ] = ACTIONS(2196),
    [anon_sym_GT_EQ] = ACTIONS(2196),
    [anon_sym_COLON] = ACTIONS(2198),
    [sym_op_other] = ACTIONS(2196),
    [anon_sym_PLUS] = ACTIONS(2196),
    [anon_sym_DASH] = ACTIONS(2198),
    [anon_sym_SLASH] = ACTIONS(2198),
    [anon_sym_PERCENT] = ACTIONS(2196),
    [anon_sym_CARET] = ACTIONS(2198),
    [anon_sym_BANG_EQ] = ACTIONS(2196),
    [anon_sym_LT_GT] = ACTIONS(2196),
  },
  [285] = {
    [ts_builtin_sym_end] = ACTIONS(2388),
    [anon_sym_SEMI] = ACTIONS(2388),
    [sym_keyword_from] = ACTIONS(2388),
    [sym_keyword_on] = ACTIONS(2388),
    [sym_keyword_where] = ACTIONS(2388),
    [sym_keyword_desc] = ACTIONS(2388),
    [sym_keyword_asc] = ACTIONS(2388),
    [sym_keyword_limit] = ACTIONS(2388),
    [sym_keyword_primary] = ACTIONS(2388),
    [sym_keyword_create] = ACTIONS(2388),
    [sym_keyword_as] = ACTIONS(2390),
    [sym_keyword_constraint] = ACTIONS(2388),
    [sym_keyword_separator] = ACTIONS(2388),
    [sym_keyword_when] = ACTIONS(2388),
    [sym_keyword_then] = ACTIONS(2388),
    [sym_keyword_else] = ACTIONS(2388),
    [sym_keyword_end] = ACTIONS(2388),
    [sym_keyword_in] = ACTIONS(2388),
    [sym_keyword_and] = ACTIONS(2388),
    [sym_keyword_or] = ACTIONS(2388),
    [sym_keyword_is] = ACTIONS(2388),
    [sym_keyword_not] = ACTIONS(2388),
    [sym_keyword_using] = ACTIONS(2388),
    [sym_keyword_auto_increment] = ACTIONS(2388),
    [sym_keyword_generated] = ACTIONS(2388),
    [sym_keyword_default] = ACTIONS(2388),
    [sym_keyword_with] = ACTIONS(2388),
    [sym_keyword_returning] = ACTIONS(2388),
    [sym_keyword_first] = ACTIONS(2388),
    [sym_keyword_after] = ACTIONS(2388),
    [sym_keyword_range] = ACTIONS(2388),
    [sym_keyword_rows] = ACTIONS(2388),
    [sym_keyword_groups] = ACTIONS(2388),
    [sym_keyword_between] = ACTIONS(2388),
    [sym_keyword_preceding] = ACTIONS(2388),
    [sym_keyword_following] = ACTIONS(2388),
    [sym_keyword_unique] = ACTIONS(2388),
    [sym_keyword_references] = ACTIONS(2388),
    [aux_sym_keyword_like_token1] = ACTIONS(2388),
    [aux_sym_keyword_like_token2] = ACTIONS(2388),
    [sym_keyword_similar] = ACTIONS(2388),
    [sym_keyword_check] = ACTIONS(2388),
    [sym_keyword_stored] = ACTIONS(2388),
    [sym_keyword_virtual] = ACTIONS(2388),
    [sym_keyword_comment] = ACTIONS(2388),
    [sym_keyword_null] = ACTIONS(2388),
    [sym_keyword_array] = ACTIONS(2388),
    [anon_sym_LBRACK] = ACTIONS(2388),
    [anon_sym_RBRACK] = ACTIONS(2388),
    [anon_sym_RPAREN] = ACTIONS(2388),
    [anon_sym_COMMA] = ACTIONS(2388),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2388),
    [anon_sym_STAR] = ACTIONS(2388),
    [anon_sym_COLON_COLON] = ACTIONS(2388),
    [anon_sym_LT] = ACTIONS(2390),
    [anon_sym_GT] = ACTIONS(2390),
    [anon_sym_LT_EQ] = ACTIONS(2388),
    [anon_sym_GT_EQ] = ACTIONS(2388),
    [anon_sym_COLON] = ACTIONS(2390),
    [sym_op_other] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2388),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_SLASH] = ACTIONS(2390),
    [anon_sym_PERCENT] = ACTIONS(2388),
    [anon_sym_CARET] = ACTIONS(2390),
    [anon_sym_BANG_EQ] = ACTIONS(2388),
    [anon_sym_LT_GT] = ACTIONS(2388),
  },
  [286] = {
    [ts_builtin_sym_end] = ACTIONS(2392),
    [anon_sym_SEMI] = ACTIONS(2392),
    [sym_keyword_from] = ACTIONS(2392),
    [sym_keyword_on] = ACTIONS(2392),
    [sym_keyword_where] = ACTIONS(2392),
    [sym_keyword_desc] = ACTIONS(2392),
    [sym_keyword_asc] = ACTIONS(2392),
    [sym_keyword_limit] = ACTIONS(2392),
    [sym_keyword_primary] = ACTIONS(2392),
    [sym_keyword_create] = ACTIONS(2392),
    [sym_keyword_as] = ACTIONS(2394),
    [sym_keyword_constraint] = ACTIONS(2392),
    [sym_keyword_separator] = ACTIONS(2392),
    [sym_keyword_when] = ACTIONS(2392),
    [sym_keyword_then] = ACTIONS(2392),
    [sym_keyword_else] = ACTIONS(2392),
    [sym_keyword_end] = ACTIONS(2392),
    [sym_keyword_in] = ACTIONS(2392),
    [sym_keyword_and] = ACTIONS(2392),
    [sym_keyword_or] = ACTIONS(2392),
    [sym_keyword_is] = ACTIONS(2392),
    [sym_keyword_not] = ACTIONS(2392),
    [sym_keyword_using] = ACTIONS(2392),
    [sym_keyword_auto_increment] = ACTIONS(2392),
    [sym_keyword_generated] = ACTIONS(2392),
    [sym_keyword_default] = ACTIONS(2392),
    [sym_keyword_with] = ACTIONS(2392),
    [sym_keyword_returning] = ACTIONS(2392),
    [sym_keyword_first] = ACTIONS(2392),
    [sym_keyword_after] = ACTIONS(2392),
    [sym_keyword_range] = ACTIONS(2392),
    [sym_keyword_rows] = ACTIONS(2392),
    [sym_keyword_groups] = ACTIONS(2392),
    [sym_keyword_between] = ACTIONS(2392),
    [sym_keyword_preceding] = ACTIONS(2392),
    [sym_keyword_following] = ACTIONS(2392),
    [sym_keyword_unique] = ACTIONS(2392),
    [sym_keyword_references] = ACTIONS(2392),
    [aux_sym_keyword_like_token1] = ACTIONS(2392),
    [aux_sym_keyword_like_token2] = ACTIONS(2392),
    [sym_keyword_similar] = ACTIONS(2392),
    [sym_keyword_check] = ACTIONS(2392),
    [sym_keyword_stored] = ACTIONS(2392),
    [sym_keyword_virtual] = ACTIONS(2392),
    [sym_keyword_comment] = ACTIONS(2392),
    [sym_keyword_null] = ACTIONS(2392),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [anon_sym_RBRACK] = ACTIONS(2392),
    [anon_sym_RPAREN] = ACTIONS(2392),
    [anon_sym_COMMA] = ACTIONS(2392),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2392),
    [anon_sym_STAR] = ACTIONS(2392),
    [anon_sym_COLON_COLON] = ACTIONS(2392),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_GT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(2392),
    [anon_sym_GT_EQ] = ACTIONS(2392),
    [anon_sym_COLON] = ACTIONS(2394),
    [sym_op_other] = ACTIONS(2392),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_DASH] = ACTIONS(2394),
    [anon_sym_SLASH] = ACTIONS(2394),
    [anon_sym_PERCENT] = ACTIONS(2392),
    [anon_sym_CARET] = ACTIONS(2394),
    [anon_sym_BANG_EQ] = ACTIONS(2392),
    [anon_sym_LT_GT] = ACTIONS(2392),
  },
  [287] = {
    [ts_builtin_sym_end] = ACTIONS(2396),
    [anon_sym_SEMI] = ACTIONS(2396),
    [sym_keyword_from] = ACTIONS(2396),
    [sym_keyword_on] = ACTIONS(2396),
    [sym_keyword_where] = ACTIONS(2396),
    [sym_keyword_desc] = ACTIONS(2396),
    [sym_keyword_asc] = ACTIONS(2396),
    [sym_keyword_limit] = ACTIONS(2396),
    [sym_keyword_primary] = ACTIONS(2396),
    [sym_keyword_create] = ACTIONS(2396),
    [sym_keyword_as] = ACTIONS(2398),
    [sym_keyword_constraint] = ACTIONS(2396),
    [sym_keyword_separator] = ACTIONS(2396),
    [sym_keyword_when] = ACTIONS(2396),
    [sym_keyword_then] = ACTIONS(2396),
    [sym_keyword_else] = ACTIONS(2396),
    [sym_keyword_end] = ACTIONS(2396),
    [sym_keyword_in] = ACTIONS(2396),
    [sym_keyword_and] = ACTIONS(2396),
    [sym_keyword_or] = ACTIONS(2396),
    [sym_keyword_is] = ACTIONS(2396),
    [sym_keyword_not] = ACTIONS(2396),
    [sym_keyword_using] = ACTIONS(2396),
    [sym_keyword_auto_increment] = ACTIONS(2396),
    [sym_keyword_generated] = ACTIONS(2396),
    [sym_keyword_default] = ACTIONS(2396),
    [sym_keyword_with] = ACTIONS(2396),
    [sym_keyword_returning] = ACTIONS(2396),
    [sym_keyword_first] = ACTIONS(2396),
    [sym_keyword_after] = ACTIONS(2396),
    [sym_keyword_range] = ACTIONS(2396),
    [sym_keyword_rows] = ACTIONS(2396),
    [sym_keyword_groups] = ACTIONS(2396),
    [sym_keyword_between] = ACTIONS(2396),
    [sym_keyword_preceding] = ACTIONS(2396),
    [sym_keyword_following] = ACTIONS(2396),
    [sym_keyword_unique] = ACTIONS(2396),
    [sym_keyword_references] = ACTIONS(2396),
    [aux_sym_keyword_like_token1] = ACTIONS(2396),
    [aux_sym_keyword_like_token2] = ACTIONS(2396),
    [sym_keyword_similar] = ACTIONS(2396),
    [sym_keyword_check] = ACTIONS(2396),
    [sym_keyword_stored] = ACTIONS(2396),
    [sym_keyword_virtual] = ACTIONS(2396),
    [sym_keyword_comment] = ACTIONS(2396),
    [sym_keyword_null] = ACTIONS(2396),
    [anon_sym_LBRACK] = ACTIONS(2396),
    [anon_sym_RBRACK] = ACTIONS(2396),
    [anon_sym_RPAREN] = ACTIONS(2396),
    [anon_sym_COMMA] = ACTIONS(2396),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2396),
    [anon_sym_STAR] = ACTIONS(2396),
    [anon_sym_COLON_COLON] = ACTIONS(2396),
    [anon_sym_LT] = ACTIONS(2398),
    [anon_sym_GT] = ACTIONS(2398),
    [anon_sym_LT_EQ] = ACTIONS(2396),
    [anon_sym_GT_EQ] = ACTIONS(2396),
    [anon_sym_COLON] = ACTIONS(2398),
    [sym_op_other] = ACTIONS(2396),
    [anon_sym_PLUS] = ACTIONS(2396),
    [anon_sym_DASH] = ACTIONS(2398),
    [anon_sym_SLASH] = ACTIONS(2398),
    [anon_sym_PERCENT] = ACTIONS(2396),
    [anon_sym_CARET] = ACTIONS(2398),
    [anon_sym_BANG_EQ] = ACTIONS(2396),
    [anon_sym_LT_GT] = ACTIONS(2396),
  },
  [288] = {
    [ts_builtin_sym_end] = ACTIONS(2400),
    [anon_sym_SEMI] = ACTIONS(2400),
    [sym_keyword_from] = ACTIONS(2400),
    [sym_keyword_on] = ACTIONS(2400),
    [sym_keyword_where] = ACTIONS(2400),
    [sym_keyword_desc] = ACTIONS(2400),
    [sym_keyword_asc] = ACTIONS(2400),
    [sym_keyword_limit] = ACTIONS(2400),
    [sym_keyword_primary] = ACTIONS(2400),
    [sym_keyword_create] = ACTIONS(2400),
    [sym_keyword_as] = ACTIONS(2402),
    [sym_keyword_constraint] = ACTIONS(2400),
    [sym_keyword_separator] = ACTIONS(2400),
    [sym_keyword_when] = ACTIONS(2400),
    [sym_keyword_then] = ACTIONS(2400),
    [sym_keyword_else] = ACTIONS(2400),
    [sym_keyword_end] = ACTIONS(2400),
    [sym_keyword_in] = ACTIONS(2400),
    [sym_keyword_and] = ACTIONS(2400),
    [sym_keyword_or] = ACTIONS(2400),
    [sym_keyword_is] = ACTIONS(2400),
    [sym_keyword_not] = ACTIONS(2400),
    [sym_keyword_using] = ACTIONS(2400),
    [sym_keyword_auto_increment] = ACTIONS(2400),
    [sym_keyword_generated] = ACTIONS(2400),
    [sym_keyword_default] = ACTIONS(2400),
    [sym_keyword_with] = ACTIONS(2400),
    [sym_keyword_returning] = ACTIONS(2400),
    [sym_keyword_first] = ACTIONS(2400),
    [sym_keyword_after] = ACTIONS(2400),
    [sym_keyword_range] = ACTIONS(2400),
    [sym_keyword_rows] = ACTIONS(2400),
    [sym_keyword_groups] = ACTIONS(2400),
    [sym_keyword_between] = ACTIONS(2400),
    [sym_keyword_preceding] = ACTIONS(2400),
    [sym_keyword_following] = ACTIONS(2400),
    [sym_keyword_unique] = ACTIONS(2400),
    [sym_keyword_references] = ACTIONS(2400),
    [aux_sym_keyword_like_token1] = ACTIONS(2400),
    [aux_sym_keyword_like_token2] = ACTIONS(2400),
    [sym_keyword_similar] = ACTIONS(2400),
    [sym_keyword_check] = ACTIONS(2400),
    [sym_keyword_stored] = ACTIONS(2400),
    [sym_keyword_virtual] = ACTIONS(2400),
    [sym_keyword_comment] = ACTIONS(2400),
    [sym_keyword_null] = ACTIONS(2400),
    [anon_sym_LBRACK] = ACTIONS(2400),
    [anon_sym_RBRACK] = ACTIONS(2400),
    [anon_sym_RPAREN] = ACTIONS(2400),
    [anon_sym_COMMA] = ACTIONS(2400),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2400),
    [anon_sym_STAR] = ACTIONS(2400),
    [anon_sym_COLON_COLON] = ACTIONS(2400),
    [anon_sym_LT] = ACTIONS(2402),
    [anon_sym_GT] = ACTIONS(2402),
    [anon_sym_LT_EQ] = ACTIONS(2400),
    [anon_sym_GT_EQ] = ACTIONS(2400),
    [anon_sym_COLON] = ACTIONS(2402),
    [sym_op_other] = ACTIONS(2400),
    [anon_sym_PLUS] = ACTIONS(2400),
    [anon_sym_DASH] = ACTIONS(2402),
    [anon_sym_SLASH] = ACTIONS(2402),
    [anon_sym_PERCENT] = ACTIONS(2400),
    [anon_sym_CARET] = ACTIONS(2402),
    [anon_sym_BANG_EQ] = ACTIONS(2400),
    [anon_sym_LT_GT] = ACTIONS(2400),
  },
  [289] = {
    [ts_builtin_sym_end] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(2404),
    [sym_keyword_from] = ACTIONS(2404),
    [sym_keyword_on] = ACTIONS(2404),
    [sym_keyword_where] = ACTIONS(2404),
    [sym_keyword_desc] = ACTIONS(2404),
    [sym_keyword_asc] = ACTIONS(2404),
    [sym_keyword_limit] = ACTIONS(2404),
    [sym_keyword_primary] = ACTIONS(2404),
    [sym_keyword_create] = ACTIONS(2404),
    [sym_keyword_as] = ACTIONS(2406),
    [sym_keyword_constraint] = ACTIONS(2404),
    [sym_keyword_separator] = ACTIONS(2404),
    [sym_keyword_when] = ACTIONS(2404),
    [sym_keyword_then] = ACTIONS(2404),
    [sym_keyword_else] = ACTIONS(2404),
    [sym_keyword_end] = ACTIONS(2404),
    [sym_keyword_in] = ACTIONS(2404),
    [sym_keyword_and] = ACTIONS(2404),
    [sym_keyword_or] = ACTIONS(2404),
    [sym_keyword_is] = ACTIONS(2404),
    [sym_keyword_not] = ACTIONS(2404),
    [sym_keyword_using] = ACTIONS(2404),
    [sym_keyword_auto_increment] = ACTIONS(2404),
    [sym_keyword_generated] = ACTIONS(2404),
    [sym_keyword_default] = ACTIONS(2404),
    [sym_keyword_with] = ACTIONS(2404),
    [sym_keyword_returning] = ACTIONS(2404),
    [sym_keyword_first] = ACTIONS(2404),
    [sym_keyword_after] = ACTIONS(2404),
    [sym_keyword_range] = ACTIONS(2404),
    [sym_keyword_rows] = ACTIONS(2404),
    [sym_keyword_groups] = ACTIONS(2404),
    [sym_keyword_between] = ACTIONS(2404),
    [sym_keyword_preceding] = ACTIONS(2404),
    [sym_keyword_following] = ACTIONS(2404),
    [sym_keyword_unique] = ACTIONS(2404),
    [sym_keyword_references] = ACTIONS(2404),
    [aux_sym_keyword_like_token1] = ACTIONS(2404),
    [aux_sym_keyword_like_token2] = ACTIONS(2404),
    [sym_keyword_similar] = ACTIONS(2404),
    [sym_keyword_check] = ACTIONS(2404),
    [sym_keyword_stored] = ACTIONS(2404),
    [sym_keyword_virtual] = ACTIONS(2404),
    [sym_keyword_comment] = ACTIONS(2404),
    [sym_keyword_null] = ACTIONS(2404),
    [anon_sym_LBRACK] = ACTIONS(2404),
    [anon_sym_RBRACK] = ACTIONS(2404),
    [anon_sym_RPAREN] = ACTIONS(2404),
    [anon_sym_COMMA] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2404),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_COLON_COLON] = ACTIONS(2404),
    [anon_sym_LT] = ACTIONS(2406),
    [anon_sym_GT] = ACTIONS(2406),
    [anon_sym_LT_EQ] = ACTIONS(2404),
    [anon_sym_GT_EQ] = ACTIONS(2404),
    [anon_sym_COLON] = ACTIONS(2406),
    [sym_op_other] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2404),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_SLASH] = ACTIONS(2406),
    [anon_sym_PERCENT] = ACTIONS(2404),
    [anon_sym_CARET] = ACTIONS(2406),
    [anon_sym_BANG_EQ] = ACTIONS(2404),
    [anon_sym_LT_GT] = ACTIONS(2404),
  },
  [290] = {
    [ts_builtin_sym_end] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2408),
    [sym_keyword_from] = ACTIONS(2408),
    [sym_keyword_on] = ACTIONS(2408),
    [sym_keyword_where] = ACTIONS(2408),
    [sym_keyword_desc] = ACTIONS(2408),
    [sym_keyword_asc] = ACTIONS(2408),
    [sym_keyword_limit] = ACTIONS(2408),
    [sym_keyword_primary] = ACTIONS(2408),
    [sym_keyword_create] = ACTIONS(2408),
    [sym_keyword_as] = ACTIONS(2410),
    [sym_keyword_constraint] = ACTIONS(2408),
    [sym_keyword_separator] = ACTIONS(2408),
    [sym_keyword_when] = ACTIONS(2408),
    [sym_keyword_then] = ACTIONS(2408),
    [sym_keyword_else] = ACTIONS(2408),
    [sym_keyword_end] = ACTIONS(2408),
    [sym_keyword_in] = ACTIONS(2408),
    [sym_keyword_and] = ACTIONS(2408),
    [sym_keyword_or] = ACTIONS(2408),
    [sym_keyword_is] = ACTIONS(2408),
    [sym_keyword_not] = ACTIONS(2408),
    [sym_keyword_using] = ACTIONS(2408),
    [sym_keyword_auto_increment] = ACTIONS(2408),
    [sym_keyword_generated] = ACTIONS(2408),
    [sym_keyword_default] = ACTIONS(2408),
    [sym_keyword_with] = ACTIONS(2408),
    [sym_keyword_returning] = ACTIONS(2408),
    [sym_keyword_first] = ACTIONS(2408),
    [sym_keyword_after] = ACTIONS(2408),
    [sym_keyword_range] = ACTIONS(2408),
    [sym_keyword_rows] = ACTIONS(2408),
    [sym_keyword_groups] = ACTIONS(2408),
    [sym_keyword_between] = ACTIONS(2408),
    [sym_keyword_preceding] = ACTIONS(2408),
    [sym_keyword_following] = ACTIONS(2408),
    [sym_keyword_unique] = ACTIONS(2408),
    [sym_keyword_references] = ACTIONS(2408),
    [aux_sym_keyword_like_token1] = ACTIONS(2408),
    [aux_sym_keyword_like_token2] = ACTIONS(2408),
    [sym_keyword_similar] = ACTIONS(2408),
    [sym_keyword_check] = ACTIONS(2408),
    [sym_keyword_stored] = ACTIONS(2408),
    [sym_keyword_virtual] = ACTIONS(2408),
    [sym_keyword_comment] = ACTIONS(2408),
    [sym_keyword_null] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_RBRACK] = ACTIONS(2408),
    [anon_sym_RPAREN] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2408),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [anon_sym_LT] = ACTIONS(2410),
    [anon_sym_GT] = ACTIONS(2410),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2408),
    [anon_sym_COLON] = ACTIONS(2410),
    [sym_op_other] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_SLASH] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_CARET] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2408),
    [anon_sym_LT_GT] = ACTIONS(2408),
  },
  [291] = {
    [ts_builtin_sym_end] = ACTIONS(2412),
    [anon_sym_SEMI] = ACTIONS(2412),
    [sym_keyword_from] = ACTIONS(2412),
    [sym_keyword_on] = ACTIONS(2412),
    [sym_keyword_where] = ACTIONS(2412),
    [sym_keyword_desc] = ACTIONS(2412),
    [sym_keyword_asc] = ACTIONS(2412),
    [sym_keyword_limit] = ACTIONS(2412),
    [sym_keyword_primary] = ACTIONS(2412),
    [sym_keyword_create] = ACTIONS(2412),
    [sym_keyword_as] = ACTIONS(2414),
    [sym_keyword_constraint] = ACTIONS(2412),
    [sym_keyword_separator] = ACTIONS(2412),
    [sym_keyword_when] = ACTIONS(2412),
    [sym_keyword_then] = ACTIONS(2412),
    [sym_keyword_else] = ACTIONS(2412),
    [sym_keyword_end] = ACTIONS(2412),
    [sym_keyword_in] = ACTIONS(2412),
    [sym_keyword_and] = ACTIONS(2412),
    [sym_keyword_or] = ACTIONS(2412),
    [sym_keyword_is] = ACTIONS(2412),
    [sym_keyword_not] = ACTIONS(2412),
    [sym_keyword_using] = ACTIONS(2412),
    [sym_keyword_auto_increment] = ACTIONS(2412),
    [sym_keyword_generated] = ACTIONS(2412),
    [sym_keyword_default] = ACTIONS(2412),
    [sym_keyword_with] = ACTIONS(2412),
    [sym_keyword_returning] = ACTIONS(2412),
    [sym_keyword_first] = ACTIONS(2412),
    [sym_keyword_after] = ACTIONS(2412),
    [sym_keyword_range] = ACTIONS(2412),
    [sym_keyword_rows] = ACTIONS(2412),
    [sym_keyword_groups] = ACTIONS(2412),
    [sym_keyword_between] = ACTIONS(2412),
    [sym_keyword_preceding] = ACTIONS(2412),
    [sym_keyword_following] = ACTIONS(2412),
    [sym_keyword_unique] = ACTIONS(2412),
    [sym_keyword_references] = ACTIONS(2412),
    [aux_sym_keyword_like_token1] = ACTIONS(2412),
    [aux_sym_keyword_like_token2] = ACTIONS(2412),
    [sym_keyword_similar] = ACTIONS(2412),
    [sym_keyword_check] = ACTIONS(2412),
    [sym_keyword_stored] = ACTIONS(2412),
    [sym_keyword_virtual] = ACTIONS(2412),
    [sym_keyword_comment] = ACTIONS(2412),
    [sym_keyword_null] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2412),
    [anon_sym_RBRACK] = ACTIONS(2412),
    [anon_sym_RPAREN] = ACTIONS(2412),
    [anon_sym_COMMA] = ACTIONS(2412),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_GT] = ACTIONS(2414),
    [anon_sym_LT_EQ] = ACTIONS(2412),
    [anon_sym_GT_EQ] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2414),
    [sym_op_other] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2412),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_SLASH] = ACTIONS(2414),
    [anon_sym_PERCENT] = ACTIONS(2412),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_LT_GT] = ACTIONS(2412),
  },
  [292] = {
    [aux_sym__single_quote_string_repeat1] = STATE(293),
    [sym__identifier] = ACTIONS(1369),
    [anon_sym_SEMI] = ACTIONS(1367),
    [sym_keyword_from] = ACTIONS(1369),
    [sym_keyword_on] = ACTIONS(1369),
    [sym_keyword_offset] = ACTIONS(1369),
    [sym_keyword_create] = ACTIONS(1369),
    [sym_keyword_as] = ACTIONS(1369),
    [sym_keyword_when] = ACTIONS(1369),
    [sym_keyword_in] = ACTIONS(1369),
    [sym_keyword_and] = ACTIONS(1369),
    [sym_keyword_or] = ACTIONS(1369),
    [sym_keyword_is] = ACTIONS(1369),
    [sym_keyword_not] = ACTIONS(1369),
    [sym_keyword_cascade] = ACTIONS(1369),
    [sym_keyword_with] = ACTIONS(1369),
    [sym_keyword_password] = ACTIONS(1369),
    [sym_keyword_encrypted] = ACTIONS(1369),
    [sym_keyword_valid] = ACTIONS(1369),
    [sym_keyword_connection] = ACTIONS(1369),
    [sym_keyword_union] = ACTIONS(1369),
    [sym_keyword_except] = ACTIONS(1369),
    [sym_keyword_intersect] = ACTIONS(1369),
    [sym_keyword_returning] = ACTIONS(1369),
    [sym_keyword_after] = ACTIONS(1369),
    [sym_keyword_before] = ACTIONS(1369),
    [sym_keyword_rows] = ACTIONS(1369),
    [sym_keyword_between] = ACTIONS(1369),
    [aux_sym_keyword_like_token1] = ACTIONS(1369),
    [aux_sym_keyword_like_token2] = ACTIONS(1369),
    [sym_keyword_similar] = ACTIONS(1369),
    [sym_keyword_returns] = ACTIONS(1369),
    [sym_keyword_language] = ACTIONS(1369),
    [sym_keyword_immutable] = ACTIONS(1369),
    [sym_keyword_stable] = ACTIONS(1369),
    [sym_keyword_volatile] = ACTIONS(1369),
    [sym_keyword_leakproof] = ACTIONS(1369),
    [sym_keyword_parallel] = ACTIONS(1369),
    [sym_keyword_called] = ACTIONS(1369),
    [sym_keyword_strict] = ACTIONS(1369),
    [sym_keyword_cost] = ACTIONS(1369),
    [sym_keyword_support] = ACTIONS(1369),
    [sym_keyword_security] = ACTIONS(1369),
    [sym_keyword_external] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [anon_sym_COMMA] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1367),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1369),
    [anon_sym_LT_EQ] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1367),
    [sym_op_other] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1369),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_PERCENT] = ACTIONS(1367),
    [anon_sym_CARET] = ACTIONS(1369),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_LT_GT] = ACTIONS(1367),
    [sym__double_quote_string] = ACTIONS(1367),
    [aux_sym__single_quote_string_token2] = ACTIONS(2416),
    [aux_sym_identifier_token1] = ACTIONS(1367),
    [sym__dollar_quoted_string_end_tag] = ACTIONS(1367),
  },
  [293] = {
    [aux_sym__single_quote_string_repeat1] = STATE(294),
    [sym__identifier] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [sym_keyword_from] = ACTIONS(1363),
    [sym_keyword_on] = ACTIONS(1363),
    [sym_keyword_offset] = ACTIONS(1363),
    [sym_keyword_create] = ACTIONS(1363),
    [sym_keyword_as] = ACTIONS(1363),
    [sym_keyword_when] = ACTIONS(1363),
    [sym_keyword_in] = ACTIONS(1363),
    [sym_keyword_and] = ACTIONS(1363),
    [sym_keyword_or] = ACTIONS(1363),
    [sym_keyword_is] = ACTIONS(1363),
    [sym_keyword_not] = ACTIONS(1363),
    [sym_keyword_cascade] = ACTIONS(1363),
    [sym_keyword_with] = ACTIONS(1363),
    [sym_keyword_password] = ACTIONS(1363),
    [sym_keyword_encrypted] = ACTIONS(1363),
    [sym_keyword_valid] = ACTIONS(1363),
    [sym_keyword_connection] = ACTIONS(1363),
    [sym_keyword_union] = ACTIONS(1363),
    [sym_keyword_except] = ACTIONS(1363),
    [sym_keyword_intersect] = ACTIONS(1363),
    [sym_keyword_returning] = ACTIONS(1363),
    [sym_keyword_after] = ACTIONS(1363),
    [sym_keyword_before] = ACTIONS(1363),
    [sym_keyword_rows] = ACTIONS(1363),
    [sym_keyword_between] = ACTIONS(1363),
    [aux_sym_keyword_like_token1] = ACTIONS(1363),
    [aux_sym_keyword_like_token2] = ACTIONS(1363),
    [sym_keyword_similar] = ACTIONS(1363),
    [sym_keyword_returns] = ACTIONS(1363),
    [sym_keyword_language] = ACTIONS(1363),
    [sym_keyword_immutable] = ACTIONS(1363),
    [sym_keyword_stable] = ACTIONS(1363),
    [sym_keyword_volatile] = ACTIONS(1363),
    [sym_keyword_leakproof] = ACTIONS(1363),
    [sym_keyword_parallel] = ACTIONS(1363),
    [sym_keyword_called] = ACTIONS(1363),
    [sym_keyword_strict] = ACTIONS(1363),
    [sym_keyword_cost] = ACTIONS(1363),
    [sym_keyword_support] = ACTIONS(1363),
    [sym_keyword_security] = ACTIONS(1363),
    [sym_keyword_external] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_COLON_COLON] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [sym_op_other] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PERCENT] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [sym__double_quote_string] = ACTIONS(1361),
    [aux_sym__single_quote_string_token2] = ACTIONS(2418),
    [aux_sym_identifier_token1] = ACTIONS(1361),
    [sym__dollar_quoted_string_end_tag] = ACTIONS(1361),
  },
  [294] = {
    [aux_sym__single_quote_string_repeat1] = STATE(294),
    [sym__identifier] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1373),
    [sym_keyword_from] = ACTIONS(1375),
    [sym_keyword_on] = ACTIONS(1375),
    [sym_keyword_offset] = ACTIONS(1375),
    [sym_keyword_create] = ACTIONS(1375),
    [sym_keyword_as] = ACTIONS(1375),
    [sym_keyword_when] = ACTIONS(1375),
    [sym_keyword_in] = ACTIONS(1375),
    [sym_keyword_and] = ACTIONS(1375),
    [sym_keyword_or] = ACTIONS(1375),
    [sym_keyword_is] = ACTIONS(1375),
    [sym_keyword_not] = ACTIONS(1375),
    [sym_keyword_cascade] = ACTIONS(1375),
    [sym_keyword_with] = ACTIONS(1375),
    [sym_keyword_password] = ACTIONS(1375),
    [sym_keyword_encrypted] = ACTIONS(1375),
    [sym_keyword_valid] = ACTIONS(1375),
    [sym_keyword_connection] = ACTIONS(1375),
    [sym_keyword_union] = ACTIONS(1375),
    [sym_keyword_except] = ACTIONS(1375),
    [sym_keyword_intersect] = ACTIONS(1375),
    [sym_keyword_returning] = ACTIONS(1375),
    [sym_keyword_after] = ACTIONS(1375),
    [sym_keyword_before] = ACTIONS(1375),
    [sym_keyword_rows] = ACTIONS(1375),
    [sym_keyword_between] = ACTIONS(1375),
    [aux_sym_keyword_like_token1] = ACTIONS(1375),
    [aux_sym_keyword_like_token2] = ACTIONS(1375),
    [sym_keyword_similar] = ACTIONS(1375),
    [sym_keyword_returns] = ACTIONS(1375),
    [sym_keyword_language] = ACTIONS(1375),
    [sym_keyword_immutable] = ACTIONS(1375),
    [sym_keyword_stable] = ACTIONS(1375),
    [sym_keyword_volatile] = ACTIONS(1375),
    [sym_keyword_leakproof] = ACTIONS(1375),
    [sym_keyword_parallel] = ACTIONS(1375),
    [sym_keyword_called] = ACTIONS(1375),
    [sym_keyword_strict] = ACTIONS(1375),
    [sym_keyword_cost] = ACTIONS(1375),
    [sym_keyword_support] = ACTIONS(1375),
    [sym_keyword_security] = ACTIONS(1375),
    [sym_keyword_external] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1373),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1373),
    [anon_sym_STAR] = ACTIONS(1373),
    [anon_sym_COLON_COLON] = ACTIONS(1373),
    [anon_sym_LT] = ACTIONS(1375),
    [anon_sym_GT] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1373),
    [anon_sym_GT_EQ] = ACTIONS(1373),
    [sym_op_other] = ACTIONS(1373),
    [anon_sym_PLUS] = ACTIONS(1373),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1375),
    [anon_sym_PERCENT] = ACTIONS(1373),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1373),
    [anon_sym_LT_GT] = ACTIONS(1373),
    [sym__double_quote_string] = ACTIONS(1373),
    [aux_sym__single_quote_string_token2] = ACTIONS(2420),
    [aux_sym_identifier_token1] = ACTIONS(1373),
    [sym__dollar_quoted_string_end_tag] = ACTIONS(1373),
  },
  [295] = {
    [sym_array] = STATE(5385),
    [sym__cte] = STATE(8493),
    [sym__dml_read] = STATE(14007),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_select] = STATE(7520),
    [sym_object_reference] = STATE(10841),
    [sym__inner_default_expression] = STATE(13935),
    [sym_case] = STATE(5385),
    [sym__qualified_field] = STATE(2518),
    [sym_implicit_cast] = STATE(5385),
    [sym_interval] = STATE(5385),
    [sym_cast] = STATE(5385),
    [sym_invocation] = STATE(6612),
    [sym_exists] = STATE(5385),
    [sym_window_function] = STATE(5385),
    [sym__expression] = STATE(5385),
    [sym_parenthesized_expression] = STATE(5385),
    [sym_subscript] = STATE(5385),
    [sym_binary_expression] = STATE(5385),
    [sym_unary_expression] = STATE(5385),
    [sym_between_expression] = STATE(5385),
    [sym_subquery] = STATE(5385),
    [sym_list] = STATE(5385),
    [sym_literal] = STATE(5385),
    [sym__single_quote_string] = STATE(783),
    [sym__literal_string] = STATE(2503),
    [sym__integer] = STATE(2503),
    [sym__decimal_number] = STATE(2503),
    [sym__bit_string] = STATE(2503),
    [sym__string_casting] = STATE(2503),
    [sym_identifier] = STATE(1151),
    [sym__identifier] = ACTIONS(399),
    [sym_keyword_select] = ACTIONS(2423),
    [sym_keyword_show] = ACTIONS(2425),
    [sym_keyword_cast] = ACTIONS(2427),
    [sym_keyword_case] = ACTIONS(2429),
    [sym_keyword_not] = ACTIONS(2431),
    [sym_keyword_exists] = ACTIONS(2433),
    [sym_keyword_with] = ACTIONS(2435),
    [sym_keyword_all] = ACTIONS(2431),
    [sym_keyword_any] = ACTIONS(2431),
    [sym_keyword_some] = ACTIONS(2431),
    [sym_keyword_current_timestamp] = ACTIONS(2437),
    [sym_keyword_null] = ACTIONS(2439),
    [sym_keyword_true] = ACTIONS(2439),
    [sym_keyword_false] = ACTIONS(2439),
    [sym_keyword_interval] = ACTIONS(2441),
    [sym_keyword_array] = ACTIONS(2443),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_RPAREN] = ACTIONS(2447),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym_parameter] = ACTIONS(2449),
    [anon_sym_PLUS] = ACTIONS(2451),
    [anon_sym_DASH] = ACTIONS(2453),
    [sym_op_unary_other] = ACTIONS(2455),
    [sym__double_quote_string] = ACTIONS(2457),
    [aux_sym__single_quote_string_token1] = ACTIONS(2459),
    [aux_sym__integer_token1] = ACTIONS(2461),
    [aux_sym__decimal_number_token1] = ACTIONS(2463),
    [aux_sym__bit_string_token1] = ACTIONS(2465),
    [sym_bang] = ACTIONS(2431),
    [aux_sym_identifier_token1] = ACTIONS(403),
    [sym__dollar_quoted_string] = ACTIONS(2467),
  },
  [296] = {
    [sym_array] = STATE(5433),
    [sym__cte] = STATE(8493),
    [sym__dml_read] = STATE(14007),
    [sym__show_statement] = STATE(8162),
    [sym_set_operation] = STATE(8173),
    [sym__select_statement] = STATE(7638),
    [sym_select] = STATE(7520),
    [sym_object_reference] = STATE(10841),
    [sym__inner_default_expression] = STATE(12574),
    [sym_case] = STATE(5433),
    [sym__qualified_field] = STATE(2518),
    [sym_implicit_cast] = STATE(5433),
    [sym_interval] = STATE(5433),
    [sym_cast] = STATE(5433),
    [sym_invocation] = STATE(6612),
    [sym_exists] = STATE(5433),
    [sym_window_function] = STATE(5433),
    [sym__expression] = STATE(5433),
    [sym_parenthesized_expression] = STATE(5433),
    [sym_subscript] = STATE(5433),
    [sym_binary_expression] = STATE(5433),
    [sym_unary_expression] = STATE(5433),
    [sym_between_expression] = STATE(5433),
    [sym_subquery] = STATE(5433),
    [sym_list] = STATE(5433),
    [sym_literal] = STATE(5433),
    [sym__single_quote_string] = STATE(783),
    [sym__literal_string] = STATE(2503),
    [sym__integer] = STATE(2503),
    [sym__decimal_number] = STATE(2503),
    [sym__bit_string] = STATE(2503),
    [sym__string_casting] = STATE(2503),
    [sym_identifier] = STATE(1151),
    [sym__identifier] = ACTIONS(399),
    [sym_keyword_select] = ACTIONS(2423),
    [sym_keyword_show] = ACTIONS(2425),
    [sym_keyword_cast] = ACTIONS(2427),
    [sym_keyword_case] = ACTIONS(2429),
    [sym_keyword_not] = ACTIONS(2431),
    [sym_keyword_exists] = ACTIONS(2433),
    [sym_keyword_with] = ACTIONS(2435),
    [sym_keyword_all] = ACTIONS(2431),
    [sym_keyword_any] = ACTIONS(2431),
    [sym_keyword_some] = ACTIONS(2431),
    [sym_keyword_current_timestamp] = ACTIONS(2469),
    [sym_keyword_null] = ACTIONS(2439),
    [sym_keyword_true] = ACTIONS(2439),
    [sym_keyword_false] = ACTIONS(2439),
    [sym_keyword_interval] = ACTIONS(2441),
    [sym_keyword_array] = ACTIONS(2443),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_RPAREN] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym_parameter] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2451),
    [anon_sym_DASH] = ACTIONS(2453),
    [sym_op_unary_other] = ACTIONS(2455),
    [sym__double_quote_string] = ACTIONS(2457),
    [aux_sym__single_quote_string_token1] = ACTIONS(2459),
    [aux_sym__integer_token1] = ACTIONS(2461),
    [aux_sym__decimal_number_token1] = ACTIONS(2463),
    [aux_sym__bit_string_token1] = ACTIONS(2465),
    [sym_bang] = ACTIONS(2431),
    [aux_sym_identifier_token1] = ACTIONS(403),
    [sym__dollar_quoted_string] = ACTIONS(2467),
  },
  [297] = {
    [ts_builtin_sym_end] = ACTIONS(1384),
    [sym__identifier] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1384),
    [sym_keyword_set] = ACTIONS(1386),
    [sym_keyword_from] = ACTIONS(1386),
    [sym_keyword_create] = ACTIONS(1386),
    [sym_keyword_as] = ACTIONS(1386),
    [sym_keyword_in] = ACTIONS(1386),
    [sym_keyword_and] = ACTIONS(1386),
    [sym_keyword_or] = ACTIONS(1386),
    [sym_keyword_is] = ACTIONS(1386),
    [sym_keyword_not] = ACTIONS(1386),
    [sym_keyword_with] = ACTIONS(1386),
    [sym_keyword_rename] = ACTIONS(1386),
    [sym_keyword_user] = ACTIONS(1386),
    [sym_keyword_admin] = ACTIONS(1386),
    [sym_keyword_password] = ACTIONS(1386),
    [sym_keyword_encrypted] = ACTIONS(1386),
    [sym_keyword_valid] = ACTIONS(1386),
    [sym_keyword_connection] = ACTIONS(1386),
    [sym_keyword_role] = ACTIONS(1386),
    [sym_keyword_reset] = ACTIONS(1386),
    [sym_keyword_begin] = ACTIONS(1386),
    [sym_keyword_rows] = ACTIONS(1386),
    [sym_keyword_between] = ACTIONS(1386),
    [aux_sym_keyword_like_token1] = ACTIONS(1386),
    [aux_sym_keyword_like_token2] = ACTIONS(1386),
    [sym_keyword_similar] = ACTIONS(1386),
    [sym_keyword_returns] = ACTIONS(1386),
    [sym_keyword_return] = ACTIONS(1386),
    [sym_keyword_language] = ACTIONS(1386),
    [sym_keyword_immutable] = ACTIONS(1386),
    [sym_keyword_stable] = ACTIONS(1386),
    [sym_keyword_volatile] = ACTIONS(1386),
    [sym_keyword_leakproof] = ACTIONS(1386),
    [sym_keyword_parallel] = ACTIONS(1386),
    [sym_keyword_called] = ACTIONS(1386),
    [sym_keyword_strict] = ACTIONS(1386),
    [sym_keyword_cost] = ACTIONS(1386),
    [sym_keyword_support] = ACTIONS(1386),
    [sym_keyword_security] = ACTIONS(1386),
    [sym_keyword_external] = ACTIONS(1386),
    [sym_keyword_array] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_RPAREN] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1384),
    [anon_sym_DOT] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_COLON_COLON] = ACTIONS(1384),
    [anon_sym_LT] = ACTIONS(1386),
    [anon_sym_GT] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1384),
    [anon_sym_GT_EQ] = ACTIONS(1384),
    [sym_op_other] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1386),
    [anon_sym_PERCENT] = ACTIONS(1384),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1384),
    [anon_sym_LT_GT] = ACTIONS(1384),
    [sym__double_quote_string] = ACTIONS(1384),
    [aux_sym_identifier_token1] = ACTIONS(1384),
  },
  [298] = {
    [ts_builtin_sym_end] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1384),
    [sym_keyword_on] = ACTIONS(1384),
    [sym_keyword_order] = ACTIONS(1384),
    [sym_keyword_group] = ACTIONS(1384),
    [sym_keyword_having] = ACTIONS(1384),
    [sym_keyword_desc] = ACTIONS(1384),
    [sym_keyword_asc] = ACTIONS(1384),
    [sym_keyword_limit] = ACTIONS(1384),
    [sym_keyword_primary] = ACTIONS(1384),
    [sym_keyword_create] = ACTIONS(1384),
    [sym_keyword_as] = ACTIONS(1386),
    [sym_keyword_constraint] = ACTIONS(1384),
    [sym_keyword_when] = ACTIONS(1384),
    [sym_keyword_in] = ACTIONS(1386),
    [sym_keyword_and] = ACTIONS(1384),
    [sym_keyword_or] = ACTIONS(1386),
    [sym_keyword_is] = ACTIONS(1384),
    [sym_keyword_not] = ACTIONS(1384),
    [sym_keyword_auto_increment] = ACTIONS(1384),
    [sym_keyword_generated] = ACTIONS(1384),
    [sym_keyword_default] = ACTIONS(1384),
    [sym_keyword_with] = ACTIONS(1384),
    [sym_keyword_union] = ACTIONS(1384),
    [sym_keyword_except] = ACTIONS(1384),
    [sym_keyword_intersect] = ACTIONS(1384),
    [sym_keyword_returning] = ACTIONS(1384),
    [sym_keyword_first] = ACTIONS(1384),
    [sym_keyword_after] = ACTIONS(1384),
    [sym_keyword_window] = ACTIONS(1384),
    [sym_keyword_between] = ACTIONS(1384),
    [sym_keyword_unique] = ACTIONS(1384),
    [sym_keyword_references] = ACTIONS(1384),
    [aux_sym_keyword_like_token1] = ACTIONS(1384),
    [aux_sym_keyword_like_token2] = ACTIONS(1384),
    [sym_keyword_similar] = ACTIONS(1384),
    [sym_keyword_check] = ACTIONS(1384),
    [sym_keyword_stored] = ACTIONS(1384),
    [sym_keyword_virtual] = ACTIONS(1384),
    [sym_keyword_comment] = ACTIONS(1384),
    [sym_keyword_null] = ACTIONS(1384),
    [sym_keyword_array] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1384),
    [anon_sym_RPAREN] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1384),
    [anon_sym_DOT] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_COLON_COLON] = ACTIONS(1384),
    [anon_sym_LT] = ACTIONS(1386),
    [anon_sym_GT] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1384),
    [anon_sym_GT_EQ] = ACTIONS(1384),
    [sym_op_other] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1386),
    [anon_sym_PERCENT] = ACTIONS(1384),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1384),
    [anon_sym_LT_GT] = ACTIONS(1384),
    [aux_sym__single_quote_string_token1] = ACTIONS(1384),
  },
  [299] = {
    [ts_builtin_sym_end] = ACTIONS(1384),
    [sym__identifier] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1384),
    [sym_keyword_set] = ACTIONS(1386),
    [sym_keyword_left] = ACTIONS(1386),
    [sym_keyword_right] = ACTIONS(1386),
    [sym_keyword_inner] = ACTIONS(1386),
    [sym_keyword_full] = ACTIONS(1386),
    [sym_keyword_cross] = ACTIONS(1386),
    [sym_keyword_join] = ACTIONS(1386),
    [sym_keyword_natural] = ACTIONS(1386),
    [sym_keyword_on] = ACTIONS(1386),
    [sym_keyword_where] = ACTIONS(1386),
    [sym_keyword_order] = ACTIONS(1386),
    [sym_keyword_group] = ACTIONS(1386),
    [sym_keyword_limit] = ACTIONS(1386),
    [sym_keyword_primary] = ACTIONS(1386),
    [sym_keyword_create] = ACTIONS(1386),
    [sym_keyword_increment] = ACTIONS(1386),
    [sym_keyword_minvalue] = ACTIONS(1386),
    [sym_keyword_maxvalue] = ACTIONS(1386),
    [sym_keyword_owned] = ACTIONS(1386),
    [sym_keyword_start] = ACTIONS(1386),
    [sym_keyword_restart] = ACTIONS(1386),
    [sym_keyword_key] = ACTIONS(1386),
    [sym_keyword_as] = ACTIONS(1386),
    [sym_keyword_constraint] = ACTIONS(1386),
    [sym_keyword_separator] = ACTIONS(1386),
    [sym_keyword_when] = ACTIONS(1386),
    [sym_keyword_force] = ACTIONS(1386),
    [sym_keyword_ignore] = ACTIONS(1386),
    [sym_keyword_using] = ACTIONS(1386),
    [sym_keyword_use] = ACTIONS(1386),
    [sym_keyword_index] = ACTIONS(1386),
    [sym_keyword_with] = ACTIONS(1386),
    [sym_keyword_no] = ACTIONS(1386),
    [sym_keyword_rename] = ACTIONS(1386),
    [sym_keyword_owner] = ACTIONS(1386),
    [sym_keyword_password] = ACTIONS(1386),
    [sym_keyword_encrypted] = ACTIONS(1386),
    [sym_keyword_valid] = ACTIONS(1386),
    [sym_keyword_connection] = ACTIONS(1386),
    [sym_keyword_cycle] = ACTIONS(1386),
    [sym_keyword_union] = ACTIONS(1386),
    [sym_keyword_except] = ACTIONS(1386),
    [sym_keyword_intersect] = ACTIONS(1386),
    [sym_keyword_returning] = ACTIONS(1386),
    [sym_keyword_after] = ACTIONS(1386),
    [sym_keyword_before] = ACTIONS(1386),
    [sym_keyword_window] = ACTIONS(1386),
    [sym_keyword_unique] = ACTIONS(1386),
    [sym_keyword_foreign] = ACTIONS(1386),
    [sym_keyword_check] = ACTIONS(1386),
    [sym_keyword_instead] = ACTIONS(1386),
    [sym_keyword_cache] = ACTIONS(1386),
    [sym_keyword_array] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1384),
    [anon_sym_RPAREN] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_DOT] = ACTIONS(1384),
    [sym__double_quote_string] = ACTIONS(1384),
    [aux_sym_identifier_token1] = ACTIONS(1384),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(2477), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11030), 1,
      sym_object_reference,
    STATE(14007), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5343), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(2479), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(10841), 1,
      sym_object_reference,
    STATE(14007), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5506), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [282] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(2481), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11959), 1,
      sym_object_reference,
    STATE(14007), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5345), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [423] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(2483), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(10841), 1,
      sym_object_reference,
    STATE(14007), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5411), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [564] = 8,
    ACTIONS(2489), 1,
      sym_keyword_is,
    ACTIONS(2491), 1,
      anon_sym_LBRACK,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1103), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1102), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2487), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2485), 46,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [645] = 13,
    ACTIONS(2489), 1,
      sym_keyword_is,
    ACTIONS(2491), 1,
      anon_sym_LBRACK,
    ACTIONS(2495), 1,
      anon_sym_PLUS,
    ACTIONS(2497), 1,
      anon_sym_DASH,
    ACTIONS(2499), 1,
      anon_sym_SLASH,
    ACTIONS(2501), 1,
      anon_sym_CARET,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2487), 3,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1103), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1102), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 43,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [736] = 6,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1103), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1102), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [813] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(2507), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(10841), 1,
      sym_object_reference,
    STATE(14007), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5415), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [954] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(2477), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(10841), 1,
      sym_object_reference,
    STATE(14007), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5343), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [1095] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2509), 1,
      anon_sym_RPAREN,
    ACTIONS(2511), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11959), 1,
      sym_object_reference,
    STATE(13974), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5463), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [1236] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(2513), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(10841), 1,
      sym_object_reference,
    STATE(14007), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5453), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [1377] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2515), 1,
      anon_sym_RPAREN,
    ACTIONS(2517), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11959), 1,
      sym_object_reference,
    STATE(14724), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5383), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [1518] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2519), 1,
      anon_sym_RPAREN,
    ACTIONS(2521), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11060), 1,
      sym_object_reference,
    STATE(13289), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5355), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [1659] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(2523), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(10841), 1,
      sym_object_reference,
    STATE(14007), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5368), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [1800] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(2525), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(10841), 1,
      sym_object_reference,
    STATE(14007), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5454), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [1941] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(2477), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(8219), 1,
      sym__cte,
    STATE(8542), 1,
      sym_select,
    STATE(9637), 1,
      sym__select_statement,
    STATE(10841), 1,
      sym_object_reference,
    STATE(14007), 1,
      sym__dml_read,
    STATE(14504), 1,
      sym__show_statement,
    STATE(14667), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5343), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [2082] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2527), 1,
      anon_sym_RPAREN,
    ACTIONS(2529), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11959), 1,
      sym_object_reference,
    STATE(12587), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5396), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [2223] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2531), 1,
      anon_sym_RPAREN,
    ACTIONS(2533), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11079), 1,
      sym_object_reference,
    STATE(14119), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5359), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [2364] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(2535), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(10841), 1,
      sym_object_reference,
    STATE(14007), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5449), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [2505] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2537), 1,
      anon_sym_RPAREN,
    ACTIONS(2539), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11959), 1,
      sym_object_reference,
    STATE(12990), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5404), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [2646] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2541), 1,
      anon_sym_RPAREN,
    ACTIONS(2543), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11113), 1,
      sym_object_reference,
    STATE(14811), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5362), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [2787] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(2545), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(10841), 1,
      sym_object_reference,
    STATE(14007), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5450), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [2928] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2547), 1,
      anon_sym_RPAREN,
    ACTIONS(2549), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11959), 1,
      sym_object_reference,
    STATE(13474), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5414), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [3069] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2551), 1,
      anon_sym_RPAREN,
    ACTIONS(2553), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11119), 1,
      sym_object_reference,
    STATE(12732), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5367), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [3210] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2555), 1,
      anon_sym_RPAREN,
    ACTIONS(2557), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11959), 1,
      sym_object_reference,
    STATE(13843), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5419), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [3351] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2447), 1,
      anon_sym_RPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2559), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11124), 1,
      sym_object_reference,
    STATE(13972), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5375), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [3492] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2509), 1,
      anon_sym_RPAREN,
    ACTIONS(2561), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11306), 1,
      sym_object_reference,
    STATE(13974), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5358), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [3633] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2563), 1,
      anon_sym_RPAREN,
    ACTIONS(2565), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11959), 1,
      sym_object_reference,
    STATE(14043), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5423), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [3774] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2515), 1,
      anon_sym_RPAREN,
    ACTIONS(2567), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11129), 1,
      sym_object_reference,
    STATE(14724), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5381), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [3915] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2569), 1,
      anon_sym_RPAREN,
    ACTIONS(2571), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11959), 1,
      sym_object_reference,
    STATE(14286), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5426), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [4056] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2573), 1,
      anon_sym_RPAREN,
    ACTIONS(2575), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11134), 1,
      sym_object_reference,
    STATE(14591), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5394), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [4197] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2471), 1,
      anon_sym_RPAREN,
    ACTIONS(2577), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11959), 1,
      sym_object_reference,
    STATE(14586), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5429), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [4338] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2527), 1,
      anon_sym_RPAREN,
    ACTIONS(2579), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11139), 1,
      sym_object_reference,
    STATE(12587), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5402), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [4479] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2581), 1,
      anon_sym_RPAREN,
    ACTIONS(2583), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11959), 1,
      sym_object_reference,
    STATE(13668), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5432), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [4620] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2537), 1,
      anon_sym_RPAREN,
    ACTIONS(2585), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11144), 1,
      sym_object_reference,
    STATE(12990), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5410), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [4761] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2587), 1,
      anon_sym_RPAREN,
    ACTIONS(2589), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11959), 1,
      sym_object_reference,
    STATE(14732), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5435), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [4902] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(2591), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(10841), 1,
      sym_object_reference,
    STATE(14007), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5507), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [5043] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2555), 1,
      anon_sym_RPAREN,
    ACTIONS(2593), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11157), 1,
      sym_object_reference,
    STATE(13843), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5421), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [5184] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2563), 1,
      anon_sym_RPAREN,
    ACTIONS(2595), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11161), 1,
      sym_object_reference,
    STATE(14043), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5424), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [5325] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2569), 1,
      anon_sym_RPAREN,
    ACTIONS(2597), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11169), 1,
      sym_object_reference,
    STATE(14286), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5427), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [5466] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2471), 1,
      anon_sym_RPAREN,
    ACTIONS(2599), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11176), 1,
      sym_object_reference,
    STATE(14586), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5430), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [5607] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2581), 1,
      anon_sym_RPAREN,
    ACTIONS(2601), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11178), 1,
      sym_object_reference,
    STATE(13668), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5436), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [5748] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(2603), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(10841), 1,
      sym_object_reference,
    STATE(14007), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5408), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [5889] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2587), 1,
      anon_sym_RPAREN,
    ACTIONS(2605), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11179), 1,
      sym_object_reference,
    STATE(14732), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5437), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [6030] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2519), 1,
      anon_sym_RPAREN,
    ACTIONS(2607), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11959), 1,
      sym_object_reference,
    STATE(13289), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5357), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [6171] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2531), 1,
      anon_sym_RPAREN,
    ACTIONS(2609), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11959), 1,
      sym_object_reference,
    STATE(14119), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5361), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [6312] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2541), 1,
      anon_sym_RPAREN,
    ACTIONS(2611), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11959), 1,
      sym_object_reference,
    STATE(14811), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5364), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [6453] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2551), 1,
      anon_sym_RPAREN,
    ACTIONS(2613), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11959), 1,
      sym_object_reference,
    STATE(12732), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5371), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [6594] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2447), 1,
      anon_sym_RPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2615), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11959), 1,
      sym_object_reference,
    STATE(13972), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5377), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [6735] = 21,
    ACTIONS(2489), 1,
      sym_keyword_is,
    ACTIONS(2491), 1,
      anon_sym_LBRACK,
    ACTIONS(2495), 1,
      anon_sym_PLUS,
    ACTIONS(2497), 1,
      anon_sym_DASH,
    ACTIONS(2499), 1,
      anon_sym_SLASH,
    ACTIONS(2501), 1,
      anon_sym_CARET,
    ACTIONS(2505), 1,
      sym_keyword_as,
    ACTIONS(2617), 1,
      sym_keyword_in,
    ACTIONS(2619), 1,
      sym_keyword_not,
    ACTIONS(2621), 1,
      sym_keyword_between,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2631), 1,
      sym_op_other,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2629), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1103), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1102), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2627), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [6842] = 22,
    ACTIONS(2489), 1,
      sym_keyword_is,
    ACTIONS(2491), 1,
      anon_sym_LBRACK,
    ACTIONS(2495), 1,
      anon_sym_PLUS,
    ACTIONS(2497), 1,
      anon_sym_DASH,
    ACTIONS(2499), 1,
      anon_sym_SLASH,
    ACTIONS(2501), 1,
      anon_sym_CARET,
    ACTIONS(2505), 1,
      sym_keyword_as,
    ACTIONS(2617), 1,
      sym_keyword_in,
    ACTIONS(2619), 1,
      sym_keyword_not,
    ACTIONS(2621), 1,
      sym_keyword_between,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2631), 1,
      sym_op_other,
    ACTIONS(2633), 1,
      sym_keyword_and,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2629), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1103), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1102), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2627), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [6951] = 16,
    ACTIONS(2489), 1,
      sym_keyword_is,
    ACTIONS(2491), 1,
      anon_sym_LBRACK,
    ACTIONS(2495), 1,
      anon_sym_PLUS,
    ACTIONS(2497), 1,
      anon_sym_DASH,
    ACTIONS(2499), 1,
      anon_sym_SLASH,
    ACTIONS(2501), 1,
      anon_sym_CARET,
    ACTIONS(2617), 1,
      sym_keyword_in,
    ACTIONS(2631), 1,
      sym_op_other,
    ACTIONS(2635), 1,
      sym_keyword_not,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2505), 3,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1103), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1102), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 40,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [7048] = 9,
    ACTIONS(2489), 1,
      sym_keyword_is,
    ACTIONS(2491), 1,
      anon_sym_LBRACK,
    ACTIONS(2501), 1,
      anon_sym_CARET,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1103), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1102), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 5,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2503), 46,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [7131] = 13,
    ACTIONS(2489), 1,
      sym_keyword_is,
    ACTIONS(2491), 1,
      anon_sym_LBRACK,
    ACTIONS(2495), 1,
      anon_sym_PLUS,
    ACTIONS(2497), 1,
      anon_sym_DASH,
    ACTIONS(2499), 1,
      anon_sym_SLASH,
    ACTIONS(2501), 1,
      anon_sym_CARET,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2505), 3,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1103), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1102), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 43,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [7222] = 11,
    ACTIONS(2489), 1,
      sym_keyword_is,
    ACTIONS(2491), 1,
      anon_sym_LBRACK,
    ACTIONS(2499), 1,
      anon_sym_SLASH,
    ACTIONS(2501), 1,
      anon_sym_CARET,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1103), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2505), 4,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1102), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 44,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [7309] = 8,
    ACTIONS(2489), 1,
      sym_keyword_is,
    ACTIONS(2491), 1,
      anon_sym_LBRACK,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1103), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1102), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 46,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [7390] = 18,
    ACTIONS(2489), 1,
      sym_keyword_is,
    ACTIONS(2491), 1,
      anon_sym_LBRACK,
    ACTIONS(2495), 1,
      anon_sym_PLUS,
    ACTIONS(2497), 1,
      anon_sym_DASH,
    ACTIONS(2499), 1,
      anon_sym_SLASH,
    ACTIONS(2501), 1,
      anon_sym_CARET,
    ACTIONS(2505), 1,
      sym_keyword_as,
    ACTIONS(2617), 1,
      sym_keyword_in,
    ACTIONS(2631), 1,
      sym_op_other,
    ACTIONS(2635), 1,
      sym_keyword_not,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2629), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1103), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1102), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2627), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [7491] = 20,
    ACTIONS(2489), 1,
      sym_keyword_is,
    ACTIONS(2491), 1,
      anon_sym_LBRACK,
    ACTIONS(2495), 1,
      anon_sym_PLUS,
    ACTIONS(2497), 1,
      anon_sym_DASH,
    ACTIONS(2499), 1,
      anon_sym_SLASH,
    ACTIONS(2501), 1,
      anon_sym_CARET,
    ACTIONS(2617), 1,
      sym_keyword_in,
    ACTIONS(2619), 1,
      sym_keyword_not,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2631), 1,
      sym_op_other,
    ACTIONS(2640), 1,
      sym_keyword_as,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2629), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1103), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1102), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2627), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2638), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [7596] = 20,
    ACTIONS(2489), 1,
      sym_keyword_is,
    ACTIONS(2491), 1,
      anon_sym_LBRACK,
    ACTIONS(2495), 1,
      anon_sym_PLUS,
    ACTIONS(2497), 1,
      anon_sym_DASH,
    ACTIONS(2499), 1,
      anon_sym_SLASH,
    ACTIONS(2501), 1,
      anon_sym_CARET,
    ACTIONS(2617), 1,
      sym_keyword_in,
    ACTIONS(2619), 1,
      sym_keyword_not,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2631), 1,
      sym_op_other,
    ACTIONS(2644), 1,
      sym_keyword_as,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2629), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1103), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1102), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2627), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2642), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [7701] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2573), 1,
      anon_sym_RPAREN,
    ACTIONS(2646), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11959), 1,
      sym_object_reference,
    STATE(14591), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5387), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [7842] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(2648), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(10841), 1,
      sym_object_reference,
    STATE(14007), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5438), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [7983] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(2650), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(10841), 1,
      sym_object_reference,
    STATE(14007), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5440), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [8124] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(2652), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(10841), 1,
      sym_object_reference,
    STATE(14007), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5441), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [8265] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(2654), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(10841), 1,
      sym_object_reference,
    STATE(14007), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5442), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [8406] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(2656), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(10841), 1,
      sym_object_reference,
    STATE(14007), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5443), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [8547] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(2658), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(10841), 1,
      sym_object_reference,
    STATE(14007), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [8688] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2519), 1,
      anon_sym_RPAREN,
    ACTIONS(2521), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11099), 1,
      sym_object_reference,
    STATE(13289), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5355), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [8829] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2547), 1,
      anon_sym_RPAREN,
    ACTIONS(2660), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11153), 1,
      sym_object_reference,
    STATE(13474), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5417), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [8970] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(2662), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(10841), 1,
      sym_object_reference,
    STATE(14007), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5502), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [9111] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(2664), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(10841), 1,
      sym_object_reference,
    STATE(14007), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5503), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [9252] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(2666), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(10841), 1,
      sym_object_reference,
    STATE(14007), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5504), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [9393] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(2668), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(10841), 1,
      sym_object_reference,
    STATE(14007), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5505), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [9534] = 38,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2547), 1,
      anon_sym_RPAREN,
    ACTIONS(2660), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(11147), 1,
      sym_object_reference,
    STATE(13474), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5417), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [9675] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(409), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2670), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2672), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [9749] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(408), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [9823] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(413), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2680), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2682), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [9897] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(411), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [9971] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(414), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2688), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2690), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10045] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(416), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2692), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2694), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10119] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(404), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2696), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2698), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10193] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1380), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1382), 45,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_cascade,
      sym_keyword_with,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_rows,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10263] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(415), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2700), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2702), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10337] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(399), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2704), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2706), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10411] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(401), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2708), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2710), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10485] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(407), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2712), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2714), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10559] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(396), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2716), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2718), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10633] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(412), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2720), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2722), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10707] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(400), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2726), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10781] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(406), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2730), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10855] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(402), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10929] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(405), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2736), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2738), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [11003] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(410), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2740), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2742), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [11077] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(397), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [11151] = 5,
    ACTIONS(2748), 1,
      aux_sym__single_quote_string_token2,
    STATE(395), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1369), 8,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1367), 50,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [11224] = 5,
    ACTIONS(2750), 1,
      aux_sym__single_quote_string_token2,
    STATE(394), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1375), 8,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1373), 50,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [11297] = 5,
    ACTIONS(2753), 1,
      aux_sym__single_quote_string_token2,
    STATE(394), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1363), 8,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1361), 50,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [11370] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2755), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2757), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [11438] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2759), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2761), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [11506] = 7,
    ACTIONS(2763), 1,
      sym_keyword_unsigned,
    ACTIONS(2765), 1,
      sym_keyword_zerofill,
    ACTIONS(2767), 1,
      sym_keyword_precision,
    ACTIONS(2769), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [11582] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2771), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2773), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [11650] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2775), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2777), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [11718] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2688), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2690), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [11786] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2779), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2781), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [11854] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2783), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2785), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [11922] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2680), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2682), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [11990] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2716), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2718), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12058] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2720), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2722), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12126] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2787), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2789), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12194] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2793), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12262] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2795), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2797), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12330] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12398] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2670), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2672), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12466] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2712), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2714), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12534] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2799), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2801), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12602] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12670] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2803), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2805), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12738] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2807), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2809), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12806] = 5,
    ACTIONS(2811), 1,
      sym_keyword_filter,
    STATE(573), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2700), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2702), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12877] = 5,
    ACTIONS(2811), 1,
      sym_keyword_filter,
    STATE(572), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2712), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2714), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12948] = 5,
    ACTIONS(2811), 1,
      sym_keyword_filter,
    STATE(580), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [13019] = 5,
    ACTIONS(2811), 1,
      sym_keyword_filter,
    STATE(582), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [13090] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1382), 8,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 50,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [13157] = 5,
    ACTIONS(2811), 1,
      sym_keyword_filter,
    STATE(583), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2736), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2738), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [13228] = 5,
    ACTIONS(2811), 1,
      sym_keyword_filter,
    STATE(585), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2670), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2672), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [13299] = 5,
    ACTIONS(2811), 1,
      sym_keyword_filter,
    STATE(586), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2716), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2718), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [13370] = 7,
    ACTIONS(2813), 1,
      sym_keyword_with,
    ACTIONS(2815), 1,
      sym_keyword_without,
    ACTIONS(2817), 1,
      anon_sym_LPAREN,
    STATE(849), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [13445] = 7,
    ACTIONS(2813), 1,
      sym_keyword_with,
    ACTIONS(2815), 1,
      sym_keyword_without,
    ACTIONS(2819), 1,
      anon_sym_LPAREN,
    STATE(850), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [13520] = 5,
    ACTIONS(2811), 1,
      sym_keyword_filter,
    STATE(577), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [13591] = 5,
    ACTIONS(2811), 1,
      sym_keyword_filter,
    STATE(578), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [13662] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1841), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1839), 52,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [13729] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2821), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2823), 41,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [13796] = 7,
    ACTIONS(2829), 1,
      sym_keyword_array,
    STATE(287), 1,
      sym_array_size_definition,
    STATE(290), 1,
      sym__array_size_definition,
    STATE(606), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2827), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2825), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [13871] = 7,
    ACTIONS(2829), 1,
      sym_keyword_array,
    STATE(286), 1,
      sym_array_size_definition,
    STATE(290), 1,
      sym__array_size_definition,
    STATE(606), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2833), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2831), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [13946] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1845), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1843), 52,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [14013] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1386), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1384), 52,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [14080] = 7,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(2842), 1,
      aux_sym__single_quote_string_token1,
    STATE(891), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2837), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2835), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [14155] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1849), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1847), 52,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [14222] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1853), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1851), 52,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [14289] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1837), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1835), 52,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [14356] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1867), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1865), 52,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [14423] = 6,
    ACTIONS(2844), 1,
      sym_keyword_unsigned,
    ACTIONS(2846), 1,
      sym_keyword_zerofill,
    ACTIONS(2848), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1857), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1855), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [14496] = 5,
    ACTIONS(2811), 1,
      sym_keyword_filter,
    STATE(579), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2680), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2682), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [14567] = 6,
    ACTIONS(2850), 1,
      sym_keyword_unsigned,
    ACTIONS(2852), 1,
      sym_keyword_zerofill,
    ACTIONS(2854), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1871), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1869), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [14640] = 6,
    ACTIONS(2856), 1,
      sym_keyword_unsigned,
    ACTIONS(2858), 1,
      sym_keyword_zerofill,
    ACTIONS(2860), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1817), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1815), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [14713] = 6,
    ACTIONS(2862), 1,
      sym_keyword_unsigned,
    ACTIONS(2864), 1,
      sym_keyword_zerofill,
    ACTIONS(2866), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1917), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1915), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [14786] = 6,
    ACTIONS(2868), 1,
      sym_keyword_unsigned,
    ACTIONS(2870), 1,
      sym_keyword_zerofill,
    ACTIONS(2872), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1897), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1895), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [14859] = 6,
    ACTIONS(2874), 1,
      sym_keyword_unsigned,
    ACTIONS(2876), 1,
      sym_keyword_zerofill,
    ACTIONS(2878), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1905), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [14932] = 5,
    ACTIONS(2811), 1,
      sym_keyword_filter,
    STATE(539), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2704), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2706), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [15003] = 5,
    ACTIONS(2811), 1,
      sym_keyword_filter,
    STATE(542), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2730), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [15074] = 5,
    ACTIONS(2811), 1,
      sym_keyword_filter,
    STATE(554), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2708), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2710), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [15145] = 5,
    ACTIONS(2811), 1,
      sym_keyword_filter,
    STATE(558), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2720), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2722), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [15216] = 5,
    ACTIONS(2811), 1,
      sym_keyword_filter,
    STATE(561), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2726), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [15287] = 6,
    ACTIONS(2763), 1,
      sym_keyword_unsigned,
    ACTIONS(2765), 1,
      sym_keyword_zerofill,
    ACTIONS(2769), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [15360] = 6,
    ACTIONS(2880), 1,
      sym_keyword_unsigned,
    ACTIONS(2882), 1,
      sym_keyword_zerofill,
    ACTIONS(2884), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [15433] = 5,
    ACTIONS(2811), 1,
      sym_keyword_filter,
    STATE(564), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2688), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2690), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [15504] = 5,
    ACTIONS(2811), 1,
      sym_keyword_filter,
    STATE(567), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2692), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2694), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [15575] = 5,
    ACTIONS(2811), 1,
      sym_keyword_filter,
    STATE(569), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2696), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2698), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [15646] = 5,
    ACTIONS(2811), 1,
      sym_keyword_filter,
    STATE(574), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2740), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2742), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [15717] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2886), 1,
      sym_keyword_distinct,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2904), 1,
      anon_sym_RPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8201), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [15843] = 5,
    ACTIONS(2928), 1,
      sym_keyword_filter,
    STATE(834), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [15913] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(2930), 1,
      sym_keyword_distinct,
    ACTIONS(2932), 1,
      anon_sym_RPAREN,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8265), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [16039] = 5,
    ACTIONS(2928), 1,
      sym_keyword_filter,
    STATE(835), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2740), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [16109] = 5,
    ACTIONS(2928), 1,
      sym_keyword_filter,
    STATE(836), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [16179] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(2934), 1,
      sym_keyword_distinct,
    ACTIONS(2936), 1,
      anon_sym_RPAREN,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8113), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [16305] = 5,
    ACTIONS(2928), 1,
      sym_keyword_filter,
    STATE(837), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [16375] = 5,
    ACTIONS(2928), 1,
      sym_keyword_filter,
    STATE(838), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [16445] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(2938), 1,
      sym_keyword_distinct,
    ACTIONS(2940), 1,
      anon_sym_RPAREN,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8121), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [16571] = 5,
    ACTIONS(2928), 1,
      sym_keyword_filter,
    STATE(839), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [16641] = 5,
    ACTIONS(2928), 1,
      sym_keyword_filter,
    STATE(841), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [16711] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(2942), 1,
      sym_keyword_distinct,
    ACTIONS(2944), 1,
      anon_sym_RPAREN,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8128), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [16837] = 5,
    ACTIONS(2928), 1,
      sym_keyword_filter,
    STATE(842), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2738), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2736), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [16907] = 5,
    ACTIONS(2928), 1,
      sym_keyword_filter,
    STATE(844), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [16977] = 5,
    ACTIONS(2928), 1,
      sym_keyword_filter,
    STATE(845), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17047] = 8,
    ACTIONS(2946), 1,
      sym_keyword_is,
    ACTIONS(2948), 1,
      anon_sym_LBRACK,
    STATE(10547), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1448), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2487), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2485), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17123] = 13,
    ACTIONS(2946), 1,
      sym_keyword_is,
    ACTIONS(2948), 1,
      anon_sym_LBRACK,
    ACTIONS(2952), 1,
      anon_sym_PLUS,
    ACTIONS(2954), 1,
      anon_sym_DASH,
    ACTIONS(2956), 1,
      anon_sym_SLASH,
    ACTIONS(2958), 1,
      anon_sym_CARET,
    STATE(10547), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2487), 3,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1448), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17209] = 21,
    ACTIONS(2505), 1,
      sym_keyword_as,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2946), 1,
      sym_keyword_is,
    ACTIONS(2948), 1,
      anon_sym_LBRACK,
    ACTIONS(2952), 1,
      anon_sym_PLUS,
    ACTIONS(2954), 1,
      anon_sym_DASH,
    ACTIONS(2956), 1,
      anon_sym_SLASH,
    ACTIONS(2958), 1,
      anon_sym_CARET,
    ACTIONS(2960), 1,
      sym_keyword_in,
    ACTIONS(2962), 1,
      sym_keyword_not,
    ACTIONS(2964), 1,
      sym_keyword_between,
    ACTIONS(2970), 1,
      sym_op_other,
    STATE(10547), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2968), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1448), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2966), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [17311] = 22,
    ACTIONS(2505), 1,
      sym_keyword_as,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2946), 1,
      sym_keyword_is,
    ACTIONS(2948), 1,
      anon_sym_LBRACK,
    ACTIONS(2952), 1,
      anon_sym_PLUS,
    ACTIONS(2954), 1,
      anon_sym_DASH,
    ACTIONS(2956), 1,
      anon_sym_SLASH,
    ACTIONS(2958), 1,
      anon_sym_CARET,
    ACTIONS(2960), 1,
      sym_keyword_in,
    ACTIONS(2962), 1,
      sym_keyword_not,
    ACTIONS(2964), 1,
      sym_keyword_between,
    ACTIONS(2970), 1,
      sym_op_other,
    ACTIONS(2972), 1,
      sym_keyword_and,
    STATE(10547), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2968), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1448), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2966), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 25,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [17415] = 6,
    STATE(10547), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1448), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17487] = 16,
    ACTIONS(2946), 1,
      sym_keyword_is,
    ACTIONS(2948), 1,
      anon_sym_LBRACK,
    ACTIONS(2952), 1,
      anon_sym_PLUS,
    ACTIONS(2954), 1,
      anon_sym_DASH,
    ACTIONS(2956), 1,
      anon_sym_SLASH,
    ACTIONS(2958), 1,
      anon_sym_CARET,
    ACTIONS(2960), 1,
      sym_keyword_in,
    ACTIONS(2970), 1,
      sym_op_other,
    ACTIONS(2974), 1,
      sym_keyword_not,
    STATE(10547), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2505), 3,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1448), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17579] = 9,
    ACTIONS(2946), 1,
      sym_keyword_is,
    ACTIONS(2948), 1,
      anon_sym_LBRACK,
    ACTIONS(2958), 1,
      anon_sym_CARET,
    STATE(10547), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1448), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 5,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2503), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17657] = 13,
    ACTIONS(2946), 1,
      sym_keyword_is,
    ACTIONS(2948), 1,
      anon_sym_LBRACK,
    ACTIONS(2952), 1,
      anon_sym_PLUS,
    ACTIONS(2954), 1,
      anon_sym_DASH,
    ACTIONS(2956), 1,
      anon_sym_SLASH,
    ACTIONS(2958), 1,
      anon_sym_CARET,
    STATE(10547), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2505), 3,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1448), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17743] = 11,
    ACTIONS(2946), 1,
      sym_keyword_is,
    ACTIONS(2948), 1,
      anon_sym_LBRACK,
    ACTIONS(2956), 1,
      anon_sym_SLASH,
    ACTIONS(2958), 1,
      anon_sym_CARET,
    STATE(10547), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2505), 4,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1448), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 39,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17825] = 8,
    ACTIONS(2946), 1,
      sym_keyword_is,
    ACTIONS(2948), 1,
      anon_sym_LBRACK,
    STATE(10547), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1448), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17901] = 5,
    ACTIONS(2977), 1,
      aux_sym__single_quote_string_token2,
    STATE(483), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1375), 37,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [17971] = 18,
    ACTIONS(2505), 1,
      sym_keyword_as,
    ACTIONS(2946), 1,
      sym_keyword_is,
    ACTIONS(2948), 1,
      anon_sym_LBRACK,
    ACTIONS(2952), 1,
      anon_sym_PLUS,
    ACTIONS(2954), 1,
      anon_sym_DASH,
    ACTIONS(2956), 1,
      anon_sym_SLASH,
    ACTIONS(2958), 1,
      anon_sym_CARET,
    ACTIONS(2960), 1,
      sym_keyword_in,
    ACTIONS(2970), 1,
      sym_op_other,
    ACTIONS(2974), 1,
      sym_keyword_not,
    STATE(10547), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2968), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1448), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2966), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [18067] = 20,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2640), 1,
      sym_keyword_as,
    ACTIONS(2946), 1,
      sym_keyword_is,
    ACTIONS(2948), 1,
      anon_sym_LBRACK,
    ACTIONS(2952), 1,
      anon_sym_PLUS,
    ACTIONS(2954), 1,
      anon_sym_DASH,
    ACTIONS(2956), 1,
      anon_sym_SLASH,
    ACTIONS(2958), 1,
      anon_sym_CARET,
    ACTIONS(2960), 1,
      sym_keyword_in,
    ACTIONS(2962), 1,
      sym_keyword_not,
    ACTIONS(2970), 1,
      sym_op_other,
    STATE(10547), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2968), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1448), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2966), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2638), 27,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [18167] = 20,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2644), 1,
      sym_keyword_as,
    ACTIONS(2946), 1,
      sym_keyword_is,
    ACTIONS(2948), 1,
      anon_sym_LBRACK,
    ACTIONS(2952), 1,
      anon_sym_PLUS,
    ACTIONS(2954), 1,
      anon_sym_DASH,
    ACTIONS(2956), 1,
      anon_sym_SLASH,
    ACTIONS(2958), 1,
      anon_sym_CARET,
    ACTIONS(2960), 1,
      sym_keyword_in,
    ACTIONS(2962), 1,
      sym_keyword_not,
    ACTIONS(2970), 1,
      sym_op_other,
    STATE(10547), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2968), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1448), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2966), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2642), 27,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [18267] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(2980), 1,
      sym_keyword_distinct,
    ACTIONS(2982), 1,
      anon_sym_RPAREN,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8215), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [18393] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(2984), 1,
      sym_keyword_distinct,
    ACTIONS(2986), 1,
      anon_sym_RPAREN,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8184), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [18519] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1382), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [18587] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2053), 7,
      sym_keyword_as,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2051), 50,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [18653] = 6,
    ACTIONS(2813), 1,
      sym_keyword_with,
    ACTIONS(2815), 1,
      sym_keyword_without,
    STATE(747), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1957), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1955), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [18725] = 6,
    ACTIONS(2813), 1,
      sym_keyword_with,
    ACTIONS(2815), 1,
      sym_keyword_without,
    STATE(748), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1961), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1959), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [18797] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(2988), 1,
      sym_keyword_distinct,
    ACTIONS(2990), 1,
      anon_sym_RPAREN,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8228), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [18923] = 33,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(2992), 1,
      sym_keyword_distinct,
    ACTIONS(2994), 1,
      sym_keyword_cast,
    ACTIONS(2996), 1,
      sym_keyword_case,
    ACTIONS(3000), 1,
      sym_keyword_exists,
    ACTIONS(3004), 1,
      sym_keyword_interval,
    ACTIONS(3006), 1,
      sym_keyword_array,
    ACTIONS(3008), 1,
      anon_sym_LPAREN,
    ACTIONS(3010), 1,
      anon_sym_STAR,
    ACTIONS(3012), 1,
      sym_parameter,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3018), 1,
      sym_op_unary_other,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(3057), 1,
      sym_identifier,
    STATE(4384), 1,
      sym_invocation,
    STATE(4658), 1,
      sym__qualified_field,
    STATE(6993), 1,
      sym_all_fields,
    STATE(7607), 1,
      sym_select_expression,
    STATE(7798), 1,
      sym_term,
    STATE(11766), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2434), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [19049] = 33,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3032), 1,
      sym_keyword_distinct,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(7518), 1,
      sym_select_expression,
    STATE(9019), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [19175] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3042), 1,
      sym_keyword_distinct,
    ACTIONS(3044), 1,
      anon_sym_RPAREN,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8206), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [19301] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3046), 1,
      sym_keyword_distinct,
    ACTIONS(3048), 1,
      anon_sym_RPAREN,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8151), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [19427] = 5,
    ACTIONS(2928), 1,
      sym_keyword_filter,
    STATE(833), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [19497] = 5,
    ACTIONS(3050), 1,
      aux_sym__single_quote_string_token2,
    STATE(506), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1369), 37,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [19567] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3052), 1,
      sym_keyword_distinct,
    ACTIONS(3054), 1,
      anon_sym_RPAREN,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8242), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [19693] = 35,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3058), 1,
      sym_keyword_between,
    ACTIONS(3060), 1,
      sym_keyword_unbounded,
    ACTIONS(3062), 1,
      sym_keyword_current,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3066), 1,
      sym_parameter,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(6476), 1,
      sym_identifier,
    STATE(6633), 1,
      sym_binary_expression,
    STATE(8751), 1,
      sym_frame_definition,
    STATE(10655), 1,
      sym__current_row,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6634), 2,
      sym__literal_string,
      sym__integer,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2503), 3,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6378), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [19823] = 4,
    ACTIONS(3070), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2015), 50,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [19891] = 5,
    ACTIONS(3072), 1,
      sym_keyword_varying,
    ACTIONS(3074), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1927), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1925), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [19961] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3076), 1,
      sym_keyword_distinct,
    ACTIONS(3078), 1,
      anon_sym_RPAREN,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8262), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [20087] = 33,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3080), 1,
      sym_keyword_distinct,
    ACTIONS(3082), 1,
      sym_keyword_cast,
    ACTIONS(3084), 1,
      sym_keyword_case,
    ACTIONS(3088), 1,
      sym_keyword_exists,
    ACTIONS(3092), 1,
      sym_keyword_interval,
    ACTIONS(3094), 1,
      sym_keyword_array,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    ACTIONS(3098), 1,
      sym_parameter,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3104), 1,
      sym_op_unary_other,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2739), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_invocation,
    STATE(4048), 1,
      sym__qualified_field,
    STATE(6971), 1,
      sym_all_fields,
    STATE(7437), 1,
      sym_term,
    STATE(7518), 1,
      sym_select_expression,
    STATE(12152), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3086), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1863), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [20213] = 5,
    ACTIONS(3118), 1,
      aux_sym__single_quote_string_token2,
    STATE(483), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1363), 37,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [20283] = 5,
    ACTIONS(2928), 1,
      sym_keyword_filter,
    STATE(805), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2706), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2704), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [20353] = 33,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3010), 1,
      anon_sym_STAR,
    ACTIONS(3120), 1,
      sym_keyword_distinct,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3138), 1,
      sym_parameter,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5690), 1,
      sym_invocation,
    STATE(6993), 1,
      sym_all_fields,
    STATE(7607), 1,
      sym_select_expression,
    STATE(8569), 1,
      sym_term,
    STATE(11790), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3153), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [20479] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3158), 1,
      sym_keyword_distinct,
    ACTIONS(3160), 1,
      anon_sym_RPAREN,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8260), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [20605] = 5,
    ACTIONS(2928), 1,
      sym_keyword_filter,
    STATE(867), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [20675] = 5,
    ACTIONS(2928), 1,
      sym_keyword_filter,
    STATE(820), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [20745] = 5,
    ACTIONS(2928), 1,
      sym_keyword_filter,
    STATE(822), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [20815] = 33,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3082), 1,
      sym_keyword_cast,
    ACTIONS(3084), 1,
      sym_keyword_case,
    ACTIONS(3088), 1,
      sym_keyword_exists,
    ACTIONS(3092), 1,
      sym_keyword_interval,
    ACTIONS(3094), 1,
      sym_keyword_array,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3104), 1,
      sym_op_unary_other,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(3162), 1,
      sym_keyword_distinct,
    ACTIONS(3164), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2739), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_invocation,
    STATE(4048), 1,
      sym__qualified_field,
    STATE(6971), 1,
      sym_all_fields,
    STATE(7518), 1,
      sym_select_expression,
    STATE(7657), 1,
      sym_term,
    STATE(12152), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3086), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2199), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [20941] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3166), 1,
      sym_keyword_distinct,
    ACTIONS(3168), 1,
      anon_sym_RPAREN,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8178), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [21067] = 5,
    ACTIONS(2928), 1,
      sym_keyword_filter,
    STATE(823), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [21137] = 5,
    ACTIONS(3170), 1,
      sym_keyword_precision,
    ACTIONS(3172), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [21207] = 5,
    ACTIONS(2928), 1,
      sym_keyword_filter,
    STATE(826), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [21277] = 5,
    ACTIONS(3174), 1,
      sym_keyword_unsigned,
    ACTIONS(3176), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1977), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1975), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [21347] = 33,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3178), 1,
      sym_keyword_distinct,
    ACTIONS(3182), 1,
      sym_parameter,
    ACTIONS(3184), 1,
      sym_op_unary_other,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(7518), 1,
      sym_select_expression,
    STATE(8622), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3180), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3356), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [21473] = 5,
    ACTIONS(3186), 1,
      sym_keyword_unsigned,
    ACTIONS(3188), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1993), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1991), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [21543] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3190), 1,
      sym_keyword_distinct,
    ACTIONS(3192), 1,
      anon_sym_RPAREN,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8211), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [21669] = 5,
    ACTIONS(2928), 1,
      sym_keyword_filter,
    STATE(828), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2694), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2692), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [21739] = 5,
    ACTIONS(2928), 1,
      sym_keyword_filter,
    STATE(831), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2698), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2696), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [21809] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3194), 1,
      sym_keyword_distinct,
    ACTIONS(3196), 1,
      anon_sym_RPAREN,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8254), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [21935] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3198), 1,
      sym_keyword_distinct,
    ACTIONS(3200), 1,
      anon_sym_RPAREN,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8122), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [22061] = 5,
    ACTIONS(3202), 1,
      sym_keyword_unsigned,
    ACTIONS(3204), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2001), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1999), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [22131] = 5,
    ACTIONS(3206), 1,
      sym_keyword_unsigned,
    ACTIONS(3208), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [22201] = 5,
    ACTIONS(3210), 1,
      sym_keyword_unsigned,
    ACTIONS(3212), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1949), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1947), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [22271] = 5,
    ACTIONS(3214), 1,
      sym_keyword_unsigned,
    ACTIONS(3216), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1965), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1963), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [22341] = 5,
    ACTIONS(3218), 1,
      sym_keyword_unsigned,
    ACTIONS(3220), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1985), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1983), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [22411] = 33,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(2994), 1,
      sym_keyword_cast,
    ACTIONS(2996), 1,
      sym_keyword_case,
    ACTIONS(3000), 1,
      sym_keyword_exists,
    ACTIONS(3004), 1,
      sym_keyword_interval,
    ACTIONS(3006), 1,
      sym_keyword_array,
    ACTIONS(3008), 1,
      anon_sym_LPAREN,
    ACTIONS(3010), 1,
      anon_sym_STAR,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3018), 1,
      sym_op_unary_other,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    ACTIONS(3222), 1,
      sym_keyword_distinct,
    ACTIONS(3224), 1,
      sym_parameter,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(3057), 1,
      sym_identifier,
    STATE(4384), 1,
      sym_invocation,
    STATE(4658), 1,
      sym__qualified_field,
    STATE(6993), 1,
      sym_all_fields,
    STATE(7541), 1,
      sym_term,
    STATE(7607), 1,
      sym_select_expression,
    STATE(11766), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2057), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [22537] = 5,
    ACTIONS(3226), 1,
      sym_keyword_unsigned,
    ACTIONS(3228), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2007), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [22607] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3230), 1,
      sym_keyword_distinct,
    ACTIONS(3232), 1,
      anon_sym_RPAREN,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8205), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [22733] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6004), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [22858] = 4,
    ACTIONS(3236), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [22925] = 6,
    ACTIONS(3238), 1,
      anon_sym_LBRACK,
    STATE(536), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(894), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2085), 47,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [22996] = 4,
    ACTIONS(3241), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [23063] = 18,
    ACTIONS(2505), 1,
      sym_keyword_or,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3247), 1,
      sym_keyword_not,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [23158] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2771), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2773), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [23223] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5895), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [23348] = 32,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(3268), 1,
      anon_sym_RPAREN,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(11385), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [23471] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2720), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2722), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [23536] = 4,
    ACTIONS(3270), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [23603] = 4,
    ACTIONS(3272), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2168), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [23670] = 4,
    ACTIONS(3274), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2190), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [23737] = 4,
    ACTIONS(3276), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [23804] = 4,
    ACTIONS(3278), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [23871] = 32,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(3280), 1,
      anon_sym_RPAREN,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(11442), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [23994] = 32,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(3282), 1,
      anon_sym_RPAREN,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(11500), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [24117] = 4,
    ACTIONS(3284), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [24184] = 20,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2640), 1,
      sym_keyword_or,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2638), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [24283] = 4,
    ACTIONS(3288), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2041), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2039), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [24350] = 4,
    ACTIONS(3290), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2047), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2045), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [24417] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2688), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2690), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [24482] = 32,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(3292), 1,
      anon_sym_RPAREN,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(10482), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [24605] = 32,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(3294), 1,
      anon_sym_RPAREN,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(10489), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [24728] = 32,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(3296), 1,
      anon_sym_RPAREN,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(10495), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [24851] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2712), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2714), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [24916] = 32,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(3298), 1,
      anon_sym_RPAREN,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(10501), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [25039] = 32,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(3300), 1,
      anon_sym_RPAREN,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(10507), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [25162] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2775), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2777), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [25227] = 20,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2644), 1,
      sym_keyword_or,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2642), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [25326] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5824), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [25451] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [25516] = 8,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2487), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2485), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [25591] = 13,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2487), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [25676] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2807), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2809), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [25741] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2783), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2785), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [25806] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2680), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2682), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [25871] = 32,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(7529), 1,
      sym_select_expression,
    STATE(9019), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [25994] = 32,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3182), 1,
      sym_parameter,
    ACTIONS(3184), 1,
      sym_op_unary_other,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(8622), 1,
      sym_term,
    STATE(10856), 1,
      sym_select_expression,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3180), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3356), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [26117] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2787), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2789), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [26182] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2803), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2805), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [26247] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [26312] = 32,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(3302), 1,
      anon_sym_RPAREN,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(11298), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [26435] = 6,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [26506] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2759), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2761), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [26571] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2793), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [26636] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2799), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2801), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [26701] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2670), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2672), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [26766] = 32,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3082), 1,
      sym_keyword_cast,
    ACTIONS(3084), 1,
      sym_keyword_case,
    ACTIONS(3088), 1,
      sym_keyword_exists,
    ACTIONS(3092), 1,
      sym_keyword_interval,
    ACTIONS(3094), 1,
      sym_keyword_array,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    ACTIONS(3098), 1,
      sym_parameter,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3104), 1,
      sym_op_unary_other,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2739), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_invocation,
    STATE(4048), 1,
      sym__qualified_field,
    STATE(6971), 1,
      sym_all_fields,
    STATE(7437), 1,
      sym_term,
    STATE(7529), 1,
      sym_select_expression,
    STATE(12152), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3086), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1863), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [26889] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2779), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2781), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [26954] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2716), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2718), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [27019] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5861), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [27144] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2795), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2797), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [27209] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2755), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2757), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [27274] = 32,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3010), 1,
      anon_sym_STAR,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3138), 1,
      sym_parameter,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5690), 1,
      sym_invocation,
    STATE(6993), 1,
      sym_all_fields,
    STATE(8569), 1,
      sym_term,
    STATE(11790), 1,
      sym_object_reference,
    STATE(11852), 1,
      sym_select_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3153), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [27397] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5943), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [27522] = 5,
    ACTIONS(3308), 1,
      aux_sym__single_quote_string_token2,
    STATE(597), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3306), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3304), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [27591] = 32,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(3310), 1,
      anon_sym_RPAREN,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(11089), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [27714] = 32,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [27837] = 4,
    ACTIONS(3312), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2106), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2104), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [27904] = 4,
    ACTIONS(3314), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2112), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2110), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [27971] = 34,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3060), 1,
      sym_keyword_unbounded,
    ACTIONS(3062), 1,
      sym_keyword_current,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3066), 1,
      sym_parameter,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(6476), 1,
      sym_identifier,
    STATE(6633), 1,
      sym_binary_expression,
    STATE(8329), 1,
      sym_frame_definition,
    STATE(10655), 1,
      sym__current_row,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6634), 2,
      sym__literal_string,
      sym__integer,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2503), 3,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6378), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [28098] = 32,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(3316), 1,
      anon_sym_RPAREN,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(11214), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [28221] = 32,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(2994), 1,
      sym_keyword_cast,
    ACTIONS(2996), 1,
      sym_keyword_case,
    ACTIONS(3000), 1,
      sym_keyword_exists,
    ACTIONS(3004), 1,
      sym_keyword_interval,
    ACTIONS(3006), 1,
      sym_keyword_array,
    ACTIONS(3008), 1,
      anon_sym_LPAREN,
    ACTIONS(3010), 1,
      anon_sym_STAR,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3018), 1,
      sym_op_unary_other,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    ACTIONS(3224), 1,
      sym_parameter,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(3057), 1,
      sym_identifier,
    STATE(4384), 1,
      sym_invocation,
    STATE(4658), 1,
      sym__qualified_field,
    STATE(6993), 1,
      sym_all_fields,
    STATE(7541), 1,
      sym_term,
    STATE(7603), 1,
      sym_select_expression,
    STATE(11766), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2057), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [28344] = 5,
    ACTIONS(3322), 1,
      aux_sym__single_quote_string_token2,
    STATE(604), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3320), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3318), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [28413] = 34,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3060), 1,
      sym_keyword_unbounded,
    ACTIONS(3062), 1,
      sym_keyword_current,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3066), 1,
      sym_parameter,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(6476), 1,
      sym_identifier,
    STATE(6633), 1,
      sym_binary_expression,
    STATE(8765), 1,
      sym_frame_definition,
    STATE(10655), 1,
      sym__current_row,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6634), 2,
      sym__literal_string,
      sym__integer,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2503), 3,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6378), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [28540] = 4,
    ACTIONS(3324), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2122), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2120), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [28607] = 4,
    ACTIONS(3326), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2128), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2126), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [28674] = 4,
    ACTIONS(3328), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(57), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(111), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [28741] = 5,
    ACTIONS(3322), 1,
      aux_sym__single_quote_string_token2,
    STATE(604), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1363), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1361), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [28810] = 5,
    ACTIONS(3330), 1,
      aux_sym__single_quote_string_token2,
    STATE(602), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1369), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1367), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [28879] = 5,
    ACTIONS(3332), 1,
      aux_sym__single_quote_string_token2,
    STATE(604), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1375), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1373), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [28948] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2015), 50,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [29013] = 5,
    STATE(193), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(290), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3337), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3335), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [29082] = 4,
    ACTIONS(3339), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2142), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2140), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [29149] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2148), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2146), 50,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [29214] = 4,
    ACTIONS(3341), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [29281] = 4,
    ACTIONS(3343), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [29348] = 32,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(3345), 1,
      anon_sym_RPAREN,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(11315), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [29471] = 32,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(9019), 1,
      sym_term,
    STATE(10856), 1,
      sym_select_expression,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [29594] = 21,
    ACTIONS(2505), 1,
      sym_keyword_or,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [29695] = 22,
    ACTIONS(2505), 1,
      sym_keyword_or,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    ACTIONS(3349), 1,
      sym_keyword_and,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [29798] = 16,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3247), 1,
      sym_keyword_not,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2505), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [29889] = 9,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2503), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [29966] = 13,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2505), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [30051] = 4,
    ACTIONS(3351), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2176), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2174), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [30118] = 4,
    ACTIONS(3353), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2182), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2180), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [30185] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2188), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2186), 50,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [30250] = 4,
    ACTIONS(3355), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [30317] = 11,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 5,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2503), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [30398] = 4,
    ACTIONS(3357), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [30465] = 4,
    ACTIONS(3359), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [30532] = 4,
    ACTIONS(3361), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [30599] = 4,
    ACTIONS(3363), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [30666] = 32,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(3365), 1,
      anon_sym_RPAREN,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(11448), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [30789] = 32,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(3367), 1,
      anon_sym_RPAREN,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(10517), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [30912] = 32,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(3369), 1,
      anon_sym_RPAREN,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(10535), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [31035] = 32,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(3371), 1,
      anon_sym_RPAREN,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(10552), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [31158] = 32,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(3373), 1,
      anon_sym_RPAREN,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(10563), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [31281] = 32,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3082), 1,
      sym_keyword_cast,
    ACTIONS(3084), 1,
      sym_keyword_case,
    ACTIONS(3088), 1,
      sym_keyword_exists,
    ACTIONS(3092), 1,
      sym_keyword_interval,
    ACTIONS(3094), 1,
      sym_keyword_array,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3104), 1,
      sym_op_unary_other,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(3164), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2739), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_invocation,
    STATE(4048), 1,
      sym__qualified_field,
    STATE(6971), 1,
      sym_all_fields,
    STATE(7529), 1,
      sym_select_expression,
    STATE(7657), 1,
      sym_term,
    STATE(12152), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3086), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2199), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [31404] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5939), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [31529] = 4,
    ACTIONS(3375), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [31596] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5945), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [31721] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5946), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [31846] = 32,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(3377), 1,
      anon_sym_RPAREN,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(10582), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [31969] = 32,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(3379), 1,
      anon_sym_RPAREN,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(10592), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [32092] = 32,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(3381), 1,
      anon_sym_RPAREN,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(10602), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [32215] = 32,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(3383), 1,
      anon_sym_RPAREN,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(10609), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [32338] = 32,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(3385), 1,
      anon_sym_RPAREN,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(10614), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [32461] = 32,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(3387), 1,
      anon_sym_RPAREN,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(10619), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [32584] = 32,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3182), 1,
      sym_parameter,
    ACTIONS(3184), 1,
      sym_op_unary_other,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(7529), 1,
      sym_select_expression,
    STATE(8622), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3180), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3356), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [32707] = 32,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3010), 1,
      anon_sym_STAR,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3138), 1,
      sym_parameter,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5690), 1,
      sym_invocation,
    STATE(6993), 1,
      sym_all_fields,
    STATE(7603), 1,
      sym_select_expression,
    STATE(8569), 1,
      sym_term,
    STATE(11790), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3153), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [32830] = 32,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(2994), 1,
      sym_keyword_cast,
    ACTIONS(2996), 1,
      sym_keyword_case,
    ACTIONS(3000), 1,
      sym_keyword_exists,
    ACTIONS(3004), 1,
      sym_keyword_interval,
    ACTIONS(3006), 1,
      sym_keyword_array,
    ACTIONS(3008), 1,
      anon_sym_LPAREN,
    ACTIONS(3010), 1,
      anon_sym_STAR,
    ACTIONS(3012), 1,
      sym_parameter,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3018), 1,
      sym_op_unary_other,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(3057), 1,
      sym_identifier,
    STATE(4384), 1,
      sym_invocation,
    STATE(4658), 1,
      sym__qualified_field,
    STATE(6993), 1,
      sym_all_fields,
    STATE(7603), 1,
      sym_select_expression,
    STATE(7798), 1,
      sym_term,
    STATE(11766), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2434), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [32953] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5970), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [33078] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5972), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [33203] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5973), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [33328] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5974), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [33453] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5976), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [33578] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5978), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [33703] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5979), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [33828] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5980), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [33953] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5981), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [34078] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5982), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [34203] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5983), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [34328] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5984), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [34453] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5985), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [34578] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5986), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [34703] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5987), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [34828] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5988), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [34953] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5989), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [35078] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5990), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [35203] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5991), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [35328] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5992), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [35453] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6156), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [35578] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5993), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [35703] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5994), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [35828] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5995), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [35953] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5997), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [36078] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5998), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [36203] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5999), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [36328] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6000), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [36453] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6001), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [36578] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6002), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [36703] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6003), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [36828] = 4,
    ACTIONS(3389), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [36895] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6005), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [37020] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6006), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [37145] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6007), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [37270] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6008), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [37395] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6009), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [37520] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6010), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [37645] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6011), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [37770] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6013), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [37895] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6015), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [38020] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6016), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [38145] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6017), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [38270] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6018), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [38395] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6019), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [38520] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6021), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [38645] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6022), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [38770] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6023), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [38895] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6024), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [39020] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6026), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [39145] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6027), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [39270] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6028), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [39395] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6029), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [39520] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6030), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [39645] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6031), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [39770] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6032), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [39895] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6033), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [40020] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6034), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [40145] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6035), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [40270] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6036), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [40395] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6038), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [40520] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6039), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [40645] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6040), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [40770] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(6041), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [40895] = 4,
    ACTIONS(3172), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [40962] = 4,
    ACTIONS(3391), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2134), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2132), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [41029] = 4,
    ACTIONS(3393), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [41096] = 4,
    ACTIONS(2882), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [41163] = 8,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [41238] = 4,
    ACTIONS(3395), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [41305] = 4,
    ACTIONS(3397), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [41372] = 4,
    ACTIONS(3399), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [41439] = 4,
    ACTIONS(3401), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [41506] = 33,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3234), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(5944), 1,
      sym__literal_string,
    STATE(7611), 1,
      sym_all_fields,
    STATE(9805), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3715), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [41631] = 31,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8118), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [41751] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2210), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2208), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [41815] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2254), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2252), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [41879] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2258), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2256), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [41943] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2262), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2260), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [42007] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2266), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2264), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [42071] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2270), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2268), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [42135] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2274), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2272), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [42199] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2278), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2276), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [42263] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2282), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2280), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [42327] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2286), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2284), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [42391] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2290), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2288), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [42455] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2294), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2292), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [42519] = 5,
    ACTIONS(3403), 1,
      aux_sym__single_quote_string_token2,
    STATE(736), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1363), 7,
      sym_keyword_as,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1361), 46,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [42587] = 31,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(7475), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [42707] = 31,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3010), 1,
      anon_sym_STAR,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3138), 1,
      sym_parameter,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5690), 1,
      sym_invocation,
    STATE(6993), 1,
      sym_all_fields,
    STATE(7507), 1,
      sym_term,
    STATE(11790), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3153), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [42827] = 5,
    ACTIONS(3405), 1,
      aux_sym__single_quote_string_token2,
    STATE(736), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1375), 7,
      sym_keyword_as,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1373), 46,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [42895] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    ACTIONS(3349), 1,
      sym_keyword_and,
    ACTIONS(3410), 1,
      sym_keyword_or,
    ACTIONS(3412), 1,
      anon_sym_COLON_COLON,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3408), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [42999] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2326), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2324), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43063] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2330), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2328), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43127] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2342), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2340), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43191] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2346), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2344), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43255] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2350), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2348), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43319] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2354), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2352), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43383] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2362), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2360), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43447] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2366), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2364), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43511] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2370), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2368), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43575] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2374), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2372), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43639] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2378), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2376), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43703] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43767] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    ACTIONS(3349), 1,
      sym_keyword_and,
    ACTIONS(3410), 1,
      sym_keyword_or,
    ACTIONS(3412), 1,
      anon_sym_COLON_COLON,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3414), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [43871] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2168), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43935] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    ACTIONS(3349), 1,
      sym_keyword_and,
    ACTIONS(3410), 1,
      sym_keyword_or,
    ACTIONS(3412), 1,
      anon_sym_COLON_COLON,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3416), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [44039] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2190), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44103] = 31,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3082), 1,
      sym_keyword_cast,
    ACTIONS(3084), 1,
      sym_keyword_case,
    ACTIONS(3088), 1,
      sym_keyword_exists,
    ACTIONS(3092), 1,
      sym_keyword_interval,
    ACTIONS(3094), 1,
      sym_keyword_array,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    ACTIONS(3098), 1,
      sym_parameter,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3104), 1,
      sym_op_unary_other,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2739), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_invocation,
    STATE(4048), 1,
      sym__qualified_field,
    STATE(6971), 1,
      sym_all_fields,
    STATE(7475), 1,
      sym_term,
    STATE(12152), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3086), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1863), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [44223] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44287] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    ACTIONS(3349), 1,
      sym_keyword_and,
    ACTIONS(3410), 1,
      sym_keyword_or,
    ACTIONS(3412), 1,
      anon_sym_COLON_COLON,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3418), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [44391] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44455] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2314), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2312), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44519] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2250), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2248), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44583] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2334), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2332), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44647] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2338), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2336), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44711] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2358), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2356), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44775] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44839] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44903] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2226), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2224), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44967] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2007), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [45031] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [45095] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    ACTIONS(3349), 1,
      sym_keyword_and,
    ACTIONS(3410), 1,
      sym_keyword_or,
    ACTIONS(3412), 1,
      anon_sym_COLON_COLON,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3420), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [45199] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    ACTIONS(3349), 1,
      sym_keyword_and,
    ACTIONS(3410), 1,
      sym_keyword_or,
    ACTIONS(3412), 1,
      anon_sym_COLON_COLON,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3422), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [45303] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2041), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2039), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [45367] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2310), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2308), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [45431] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2390), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2388), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [45495] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2047), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2045), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [45559] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2318), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2316), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [45623] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2322), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2320), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [45687] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    ACTIONS(3349), 1,
      sym_keyword_and,
    ACTIONS(3410), 1,
      sym_keyword_or,
    ACTIONS(3412), 1,
      anon_sym_COLON_COLON,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3424), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [45791] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2298), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2296), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [45855] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2302), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2300), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [45919] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2306), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2304), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [45983] = 8,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2487), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2485), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [46057] = 13,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2487), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [46141] = 6,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [46211] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1380), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1382), 37,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [46275] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    ACTIONS(3349), 1,
      sym_keyword_and,
    ACTIONS(3410), 1,
      sym_keyword_or,
    ACTIONS(3412), 1,
      anon_sym_COLON_COLON,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3440), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [46379] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2053), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2051), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [46443] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2821), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2823), 39,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [46507] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3442), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3444), 37,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [46571] = 4,
    ACTIONS(3450), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3448), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3446), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [46637] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    ACTIONS(3349), 1,
      sym_keyword_and,
    ACTIONS(3410), 1,
      sym_keyword_or,
    ACTIONS(3412), 1,
      anon_sym_COLON_COLON,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3452), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [46741] = 31,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(2994), 1,
      sym_keyword_cast,
    ACTIONS(2996), 1,
      sym_keyword_case,
    ACTIONS(3000), 1,
      sym_keyword_exists,
    ACTIONS(3004), 1,
      sym_keyword_interval,
    ACTIONS(3006), 1,
      sym_keyword_array,
    ACTIONS(3008), 1,
      anon_sym_LPAREN,
    ACTIONS(3010), 1,
      anon_sym_STAR,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3018), 1,
      sym_op_unary_other,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    ACTIONS(3224), 1,
      sym_parameter,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(3057), 1,
      sym_identifier,
    STATE(4384), 1,
      sym_invocation,
    STATE(4658), 1,
      sym__qualified_field,
    STATE(6993), 1,
      sym_all_fields,
    STATE(7507), 1,
      sym_term,
    STATE(11766), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2057), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [46861] = 21,
    ACTIONS(2505), 1,
      sym_keyword_or,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 24,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COLON_COLON,
  [46961] = 22,
    ACTIONS(2505), 1,
      sym_keyword_or,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3466), 1,
      sym_keyword_and,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 23,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COLON_COLON,
  [47063] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    ACTIONS(3349), 1,
      sym_keyword_and,
    ACTIONS(3410), 1,
      sym_keyword_or,
    ACTIONS(3412), 1,
      anon_sym_COLON_COLON,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3468), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [47167] = 31,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3082), 1,
      sym_keyword_cast,
    ACTIONS(3084), 1,
      sym_keyword_case,
    ACTIONS(3088), 1,
      sym_keyword_exists,
    ACTIONS(3092), 1,
      sym_keyword_interval,
    ACTIONS(3094), 1,
      sym_keyword_array,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3104), 1,
      sym_op_unary_other,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(3164), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2739), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_invocation,
    STATE(4048), 1,
      sym__qualified_field,
    STATE(6971), 1,
      sym_all_fields,
    STATE(7475), 1,
      sym_term,
    STATE(12152), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3086), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2199), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [47287] = 16,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3470), 1,
      sym_keyword_not,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2505), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [47377] = 31,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8214), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [47497] = 9,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2503), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [47573] = 13,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2505), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [47657] = 11,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 5,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2503), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [47737] = 8,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [47811] = 18,
    ACTIONS(2505), 1,
      sym_keyword_or,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3470), 1,
      sym_keyword_not,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 28,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COLON_COLON,
  [47905] = 31,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8127), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [48025] = 31,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8154), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [48145] = 31,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8187), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [48265] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2773), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2771), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [48329] = 31,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8207), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [48449] = 31,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8221), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [48569] = 31,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8234), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [48689] = 31,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8244), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [48809] = 31,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8264), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [48929] = 31,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8103), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [49049] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [49113] = 31,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8222), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [49233] = 31,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8257), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [49353] = 31,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8106), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [49473] = 20,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2640), 1,
      sym_keyword_or,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3464), 1,
      sym_op_other,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2638), 25,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_COLON_COLON,
  [49571] = 31,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8116), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [49691] = 31,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8123), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [49811] = 31,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8129), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [49931] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [49995] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2053), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2051), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [50059] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [50123] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2777), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2775), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [50187] = 20,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2644), 1,
      sym_keyword_or,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3464), 1,
      sym_op_other,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2642), 25,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_COLON_COLON,
  [50285] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    ACTIONS(3349), 1,
      sym_keyword_and,
    ACTIONS(3410), 1,
      sym_keyword_or,
    ACTIONS(3412), 1,
      anon_sym_COLON_COLON,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3473), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [50389] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [50453] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3475), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3477), 37,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [50517] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2809), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2807), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [50581] = 31,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(2994), 1,
      sym_keyword_cast,
    ACTIONS(2996), 1,
      sym_keyword_case,
    ACTIONS(3000), 1,
      sym_keyword_exists,
    ACTIONS(3004), 1,
      sym_keyword_interval,
    ACTIONS(3006), 1,
      sym_keyword_array,
    ACTIONS(3008), 1,
      anon_sym_LPAREN,
    ACTIONS(3010), 1,
      anon_sym_STAR,
    ACTIONS(3012), 1,
      sym_parameter,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3018), 1,
      sym_op_unary_other,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(3057), 1,
      sym_identifier,
    STATE(4384), 1,
      sym_invocation,
    STATE(4658), 1,
      sym__qualified_field,
    STATE(6993), 1,
      sym_all_fields,
    STATE(7507), 1,
      sym_term,
    STATE(11766), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2434), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [50701] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2785), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2783), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [50765] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [50829] = 31,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3182), 1,
      sym_parameter,
    ACTIONS(3184), 1,
      sym_op_unary_other,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(7475), 1,
      sym_term,
    STATE(11549), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3180), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3356), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [50949] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2787), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [51013] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2805), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2803), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [51077] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [51141] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2761), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2759), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [51205] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2793), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2791), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [51269] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [51333] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [51397] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    ACTIONS(3349), 1,
      sym_keyword_and,
    ACTIONS(3410), 1,
      sym_keyword_or,
    ACTIONS(3412), 1,
      anon_sym_COLON_COLON,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3479), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [51501] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2781), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2779), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [51565] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [51629] = 31,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(10170), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [51749] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [51813] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2757), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2755), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [51877] = 31,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3038), 1,
      sym_parameter,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(6971), 1,
      sym_all_fields,
    STATE(11549), 1,
      sym_object_reference,
    STATE(11689), 1,
      sym_term,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3611), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [51997] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [52061] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [52125] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2214), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2212), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [52189] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2218), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2216), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [52253] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [52317] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [52381] = 4,
    STATE(288), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [52447] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    ACTIONS(3349), 1,
      sym_keyword_and,
    ACTIONS(3410), 1,
      sym_keyword_or,
    ACTIONS(3412), 1,
      anon_sym_COLON_COLON,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3485), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [52551] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [52615] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [52679] = 5,
    ACTIONS(3487), 1,
      aux_sym__single_quote_string_token2,
    STATE(733), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1369), 7,
      sym_keyword_as,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1367), 46,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [52747] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [52811] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2222), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2220), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [52875] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [52939] = 31,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_STAR,
    ACTIONS(2908), 1,
      sym_parameter,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(7611), 1,
      sym_all_fields,
    STATE(8125), 1,
      sym_term,
    STATE(11746), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [53059] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2246), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2244), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [53123] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2230), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2228), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [53187] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2234), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2232), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [53251] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2238), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2236), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [53315] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2242), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2240), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [53379] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [53443] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3466), 1,
      sym_keyword_and,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3418), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [53546] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3466), 1,
      sym_keyword_and,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3416), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [53649] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3495), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3493), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [53712] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3499), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3497), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [53775] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [53838] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [53901] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3507), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3505), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [53964] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3511), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3509), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54027] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3515), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3513), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54090] = 31,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2842), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3517), 1,
      sym_keyword_cast,
    ACTIONS(3521), 1,
      sym_keyword_current_timestamp,
    ACTIONS(3525), 1,
      sym_keyword_array,
    ACTIONS(3527), 1,
      anon_sym_LPAREN,
    ACTIONS(3529), 1,
      sym_parameter,
    ACTIONS(3531), 1,
      anon_sym_PLUS,
    ACTIONS(3533), 1,
      anon_sym_DASH,
    ACTIONS(3535), 1,
      sym_op_unary_other,
    ACTIONS(3537), 1,
      sym__double_quote_string,
    ACTIONS(3539), 1,
      aux_sym__integer_token1,
    ACTIONS(3541), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3543), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3545), 1,
      sym__dollar_quoted_string,
    STATE(435), 1,
      sym_identifier,
    STATE(904), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2656), 1,
      sym_invocation,
    STATE(6808), 1,
      sym__inner_default_expression,
    STATE(11866), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3523), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3519), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(885), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2769), 7,
      sym_array,
      sym_implicit_cast,
      sym_cast,
      sym_binary_expression,
      sym_unary_expression,
      sym_list,
      sym_literal,
    STATE(6333), 9,
      sym_case,
      sym_interval,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_between_expression,
      sym_subquery,
  [54209] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3547), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54272] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3553), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3551), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54335] = 23,
    ACTIONS(2489), 1,
      sym_keyword_is,
    ACTIONS(2491), 1,
      anon_sym_LBRACK,
    ACTIONS(2495), 1,
      anon_sym_PLUS,
    ACTIONS(2497), 1,
      anon_sym_DASH,
    ACTIONS(2499), 1,
      anon_sym_SLASH,
    ACTIONS(2501), 1,
      anon_sym_CARET,
    ACTIONS(2617), 1,
      sym_keyword_in,
    ACTIONS(2621), 1,
      sym_keyword_between,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2631), 1,
      sym_op_other,
    ACTIONS(2633), 1,
      sym_keyword_and,
    ACTIONS(3557), 1,
      sym_keyword_as,
    ACTIONS(3559), 1,
      sym_keyword_or,
    ACTIONS(3561), 1,
      anon_sym_COLON_COLON,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2629), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1103), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1102), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2627), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3555), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [54438] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3565), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3563), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54501] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3569), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3567), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54564] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3573), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3571), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54627] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3577), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3575), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54690] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54753] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3444), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3442), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54816] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3585), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3583), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54879] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3477), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3475), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54942] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3589), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3587), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55005] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3466), 1,
      sym_keyword_and,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3408), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [55108] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3593), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3591), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55171] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55234] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2398), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2396), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55297] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2410), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2408), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55360] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2404), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55423] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3601), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3599), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55486] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3605), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3603), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55549] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3466), 1,
      sym_keyword_and,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3485), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [55652] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3609), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3607), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55715] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3466), 1,
      sym_keyword_and,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3422), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [55818] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3466), 1,
      sym_keyword_and,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3424), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [55921] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3466), 1,
      sym_keyword_and,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3440), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [56024] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3466), 1,
      sym_keyword_and,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3452), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [56127] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1382), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [56190] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3466), 1,
      sym_keyword_and,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3473), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [56293] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3466), 1,
      sym_keyword_and,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3468), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [56396] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3466), 1,
      sym_keyword_and,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3479), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [56499] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3613), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3611), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [56562] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3617), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3615), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [56625] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3621), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3619), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [56688] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3625), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3623), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [56751] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3629), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3627), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [56814] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [56877] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2402), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2400), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [56940] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2412), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [57003] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2823), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2821), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [57066] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3631), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [57129] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3637), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3635), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [57192] = 23,
    ACTIONS(2489), 1,
      sym_keyword_is,
    ACTIONS(2491), 1,
      anon_sym_LBRACK,
    ACTIONS(2495), 1,
      anon_sym_PLUS,
    ACTIONS(2497), 1,
      anon_sym_DASH,
    ACTIONS(2499), 1,
      anon_sym_SLASH,
    ACTIONS(2501), 1,
      anon_sym_CARET,
    ACTIONS(2617), 1,
      sym_keyword_in,
    ACTIONS(2621), 1,
      sym_keyword_between,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2631), 1,
      sym_op_other,
    ACTIONS(2633), 1,
      sym_keyword_and,
    ACTIONS(3559), 1,
      sym_keyword_or,
    ACTIONS(3561), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3641), 1,
      sym_keyword_as,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2629), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1103), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1102), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2627), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3639), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [57295] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3645), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3643), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [57358] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3649), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3647), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [57421] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3653), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3651), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [57484] = 31,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(3655), 1,
      sym_keyword_cast,
    ACTIONS(3659), 1,
      sym_keyword_current_timestamp,
    ACTIONS(3663), 1,
      sym_keyword_array,
    ACTIONS(3665), 1,
      anon_sym_LPAREN,
    ACTIONS(3667), 1,
      sym_parameter,
    ACTIONS(3669), 1,
      anon_sym_PLUS,
    ACTIONS(3671), 1,
      anon_sym_DASH,
    ACTIONS(3673), 1,
      sym_op_unary_other,
    ACTIONS(3675), 1,
      sym__double_quote_string,
    ACTIONS(3677), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3679), 1,
      aux_sym__integer_token1,
    ACTIONS(3681), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3683), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3685), 1,
      sym__dollar_quoted_string,
    STATE(2095), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2867), 1,
      sym_invocation,
    STATE(6550), 1,
      sym_identifier,
    STATE(6906), 1,
      sym__inner_default_expression,
    STATE(11947), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3657), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2366), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3017), 7,
      sym_array,
      sym_implicit_cast,
      sym_cast,
      sym_binary_expression,
      sym_unary_expression,
      sym_list,
      sym_literal,
    STATE(6384), 9,
      sym_case,
      sym_interval,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_between_expression,
      sym_subquery,
  [57603] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3466), 1,
      sym_keyword_and,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3414), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [57706] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3466), 1,
      sym_keyword_and,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3420), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [57809] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(3687), 1,
      sym_keyword_when,
    ACTIONS(3689), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6154), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [57923] = 30,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(2994), 1,
      sym_keyword_cast,
    ACTIONS(2996), 1,
      sym_keyword_case,
    ACTIONS(3000), 1,
      sym_keyword_exists,
    ACTIONS(3004), 1,
      sym_keyword_interval,
    ACTIONS(3006), 1,
      sym_keyword_array,
    ACTIONS(3008), 1,
      anon_sym_LPAREN,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3018), 1,
      sym_op_unary_other,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    ACTIONS(3691), 1,
      sym_keyword_distinct,
    ACTIONS(3693), 1,
      sym_keyword_not,
    ACTIONS(3695), 1,
      sym_parameter,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(3057), 1,
      sym_identifier,
    STATE(4384), 1,
      sym_invocation,
    STATE(4658), 1,
      sym__qualified_field,
    STATE(11898), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2998), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2362), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [58039] = 29,
    ACTIONS(765), 1,
      sym__identifier,
    ACTIONS(769), 1,
      aux_sym_identifier_token1,
    ACTIONS(2842), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3517), 1,
      sym_keyword_cast,
    ACTIONS(3525), 1,
      sym_keyword_array,
    ACTIONS(3531), 1,
      anon_sym_PLUS,
    ACTIONS(3533), 1,
      anon_sym_DASH,
    ACTIONS(3535), 1,
      sym_op_unary_other,
    ACTIONS(3537), 1,
      sym__double_quote_string,
    ACTIONS(3539), 1,
      aux_sym__integer_token1,
    ACTIONS(3541), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3543), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3545), 1,
      sym__dollar_quoted_string,
    ACTIONS(3697), 1,
      sym_keyword_case,
    ACTIONS(3699), 1,
      sym_keyword_exists,
    ACTIONS(3701), 1,
      sym_keyword_interval,
    ACTIONS(3703), 1,
      anon_sym_LPAREN,
    ACTIONS(3705), 1,
      sym_parameter,
    STATE(435), 1,
      sym_identifier,
    STATE(788), 1,
      sym_invocation,
    STATE(904), 1,
      sym__single_quote_string,
    STATE(921), 1,
      sym__qualified_field,
    STATE(7046), 1,
      sym_order_target,
    STATE(11857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3523), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3519), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(885), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2455), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [58153] = 11,
    ACTIONS(3709), 1,
      sym_keyword_distinct,
    STATE(933), 1,
      sym_identifier,
    STATE(2081), 1,
      sym_invocation,
    STATE(2095), 1,
      sym__single_quote_string,
    STATE(2310), 1,
      sym__qualified_field,
    STATE(11944), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2366), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3711), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(473), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3707), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [58231] = 11,
    ACTIONS(3709), 1,
      sym_keyword_distinct,
    STATE(435), 1,
      sym_identifier,
    STATE(788), 1,
      sym_invocation,
    STATE(904), 1,
      sym__single_quote_string,
    STATE(921), 1,
      sym__qualified_field,
    STATE(11857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(885), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3711), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(304), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3707), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [58309] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(3713), 1,
      anon_sym_RBRACK,
    ACTIONS(3715), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5434), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [58423] = 30,
    ACTIONS(1155), 1,
      sym__identifier,
    ACTIONS(1213), 1,
      aux_sym_identifier_token1,
    ACTIONS(3691), 1,
      sym_keyword_distinct,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3721), 1,
      sym_keyword_not,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3735), 1,
      sym_parameter,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    STATE(3143), 1,
      sym_identifier,
    STATE(4627), 1,
      sym_invocation,
    STATE(4768), 1,
      sym__single_quote_string,
    STATE(4776), 1,
      sym__qualified_field,
    STATE(11943), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4738), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2398), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [58539] = 7,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(3677), 1,
      aux_sym__single_quote_string_token1,
    STATE(2091), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2837), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2835), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [58609] = 11,
    ACTIONS(3709), 1,
      sym_keyword_distinct,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3711), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(780), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3707), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [58687] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(3755), 1,
      anon_sym_RBRACK,
    ACTIONS(3757), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5356), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [58801] = 11,
    ACTIONS(3709), 1,
      sym_keyword_distinct,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3711), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(2215), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3707), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [58879] = 29,
    ACTIONS(1155), 1,
      sym__identifier,
    ACTIONS(1213), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(3759), 1,
      sym_parameter,
    STATE(3143), 1,
      sym_identifier,
    STATE(4627), 1,
      sym_invocation,
    STATE(4768), 1,
      sym__single_quote_string,
    STATE(4776), 1,
      sym__qualified_field,
    STATE(7513), 1,
      sym_order_target,
    STATE(11943), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4738), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2389), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [58993] = 29,
    ACTIONS(705), 1,
      sym__identifier,
    ACTIONS(763), 1,
      aux_sym_identifier_token1,
    ACTIONS(3761), 1,
      sym_keyword_cast,
    ACTIONS(3763), 1,
      sym_keyword_case,
    ACTIONS(3767), 1,
      sym_keyword_exists,
    ACTIONS(3771), 1,
      sym_keyword_interval,
    ACTIONS(3773), 1,
      sym_keyword_array,
    ACTIONS(3775), 1,
      anon_sym_LPAREN,
    ACTIONS(3777), 1,
      sym_parameter,
    ACTIONS(3779), 1,
      anon_sym_PLUS,
    ACTIONS(3781), 1,
      anon_sym_DASH,
    ACTIONS(3783), 1,
      sym_op_unary_other,
    ACTIONS(3785), 1,
      sym__double_quote_string,
    ACTIONS(3787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3789), 1,
      aux_sym__integer_token1,
    ACTIONS(3791), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3793), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3795), 1,
      sym__dollar_quoted_string,
    STATE(2925), 1,
      sym_identifier,
    STATE(4142), 1,
      sym_invocation,
    STATE(4484), 1,
      sym__qualified_field,
    STATE(4645), 1,
      sym__single_quote_string,
    STATE(7691), 1,
      sym_order_target,
    STATE(11838), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3769), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3765), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4630), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2674), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [59107] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(3797), 1,
      anon_sym_RBRACK,
    ACTIONS(3799), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5386), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [59221] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(3801), 1,
      anon_sym_RBRACK,
    ACTIONS(3803), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5363), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [59335] = 30,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3082), 1,
      sym_keyword_cast,
    ACTIONS(3084), 1,
      sym_keyword_case,
    ACTIONS(3088), 1,
      sym_keyword_exists,
    ACTIONS(3092), 1,
      sym_keyword_interval,
    ACTIONS(3094), 1,
      sym_keyword_array,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3104), 1,
      sym_op_unary_other,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(3691), 1,
      sym_keyword_distinct,
    ACTIONS(3805), 1,
      sym_keyword_not,
    ACTIONS(3807), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2739), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_invocation,
    STATE(4048), 1,
      sym__qualified_field,
    STATE(11563), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3086), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2060), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [59451] = 29,
    ACTIONS(705), 1,
      sym__identifier,
    ACTIONS(763), 1,
      aux_sym_identifier_token1,
    ACTIONS(3761), 1,
      sym_keyword_cast,
    ACTIONS(3763), 1,
      sym_keyword_case,
    ACTIONS(3767), 1,
      sym_keyword_exists,
    ACTIONS(3771), 1,
      sym_keyword_interval,
    ACTIONS(3773), 1,
      sym_keyword_array,
    ACTIONS(3775), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_PLUS,
    ACTIONS(3781), 1,
      anon_sym_DASH,
    ACTIONS(3783), 1,
      sym_op_unary_other,
    ACTIONS(3785), 1,
      sym__double_quote_string,
    ACTIONS(3787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3789), 1,
      aux_sym__integer_token1,
    ACTIONS(3791), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3793), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3795), 1,
      sym__dollar_quoted_string,
    ACTIONS(3809), 1,
      sym_parameter,
    STATE(2925), 1,
      sym_identifier,
    STATE(4142), 1,
      sym_invocation,
    STATE(4484), 1,
      sym__qualified_field,
    STATE(4645), 1,
      sym__single_quote_string,
    STATE(7451), 1,
      sym_order_target,
    STATE(11838), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3769), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3765), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4630), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2280), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [59565] = 30,
    ACTIONS(891), 1,
      sym__identifier,
    ACTIONS(949), 1,
      aux_sym_identifier_token1,
    ACTIONS(3691), 1,
      sym_keyword_distinct,
    ACTIONS(3811), 1,
      sym_keyword_cast,
    ACTIONS(3813), 1,
      sym_keyword_case,
    ACTIONS(3815), 1,
      sym_keyword_not,
    ACTIONS(3817), 1,
      sym_keyword_exists,
    ACTIONS(3823), 1,
      sym_keyword_interval,
    ACTIONS(3825), 1,
      sym_keyword_array,
    ACTIONS(3827), 1,
      anon_sym_LPAREN,
    ACTIONS(3829), 1,
      sym_parameter,
    ACTIONS(3831), 1,
      anon_sym_PLUS,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3835), 1,
      sym_op_unary_other,
    ACTIONS(3837), 1,
      sym__double_quote_string,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3841), 1,
      aux_sym__integer_token1,
    ACTIONS(3843), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3845), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3847), 1,
      sym__dollar_quoted_string,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3821), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3819), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1972), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [59681] = 11,
    ACTIONS(3709), 1,
      sym_keyword_distinct,
    STATE(4896), 1,
      sym_identifier,
    STATE(5798), 1,
      sym_invocation,
    STATE(5901), 1,
      sym__qualified_field,
    STATE(6051), 1,
      sym__single_quote_string,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5879), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3711), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(4134), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3707), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [59759] = 30,
    ACTIONS(1215), 1,
      sym__identifier,
    ACTIONS(1219), 1,
      aux_sym_identifier_token1,
    ACTIONS(3655), 1,
      sym_keyword_cast,
    ACTIONS(3663), 1,
      sym_keyword_array,
    ACTIONS(3669), 1,
      anon_sym_PLUS,
    ACTIONS(3671), 1,
      anon_sym_DASH,
    ACTIONS(3673), 1,
      sym_op_unary_other,
    ACTIONS(3675), 1,
      sym__double_quote_string,
    ACTIONS(3677), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3679), 1,
      aux_sym__integer_token1,
    ACTIONS(3681), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3683), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3685), 1,
      sym__dollar_quoted_string,
    ACTIONS(3691), 1,
      sym_keyword_distinct,
    ACTIONS(3849), 1,
      sym_keyword_case,
    ACTIONS(3851), 1,
      sym_keyword_not,
    ACTIONS(3853), 1,
      sym_keyword_exists,
    ACTIONS(3855), 1,
      sym_keyword_interval,
    ACTIONS(3857), 1,
      anon_sym_LPAREN,
    ACTIONS(3859), 1,
      sym_parameter,
    STATE(933), 1,
      sym_identifier,
    STATE(2081), 1,
      sym_invocation,
    STATE(2095), 1,
      sym__single_quote_string,
    STATE(2310), 1,
      sym__qualified_field,
    STATE(11944), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3657), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2366), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(477), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [59875] = 30,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3691), 1,
      sym_keyword_distinct,
    ACTIONS(3861), 1,
      sym_keyword_not,
    ACTIONS(3863), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(11767), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4056), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [59991] = 30,
    ACTIONS(3691), 1,
      sym_keyword_distinct,
    ACTIONS(3865), 1,
      sym__identifier,
    ACTIONS(3867), 1,
      sym_keyword_cast,
    ACTIONS(3869), 1,
      sym_keyword_case,
    ACTIONS(3871), 1,
      sym_keyword_not,
    ACTIONS(3873), 1,
      sym_keyword_exists,
    ACTIONS(3879), 1,
      sym_keyword_interval,
    ACTIONS(3881), 1,
      sym_keyword_array,
    ACTIONS(3883), 1,
      anon_sym_LPAREN,
    ACTIONS(3885), 1,
      sym_parameter,
    ACTIONS(3887), 1,
      anon_sym_PLUS,
    ACTIONS(3889), 1,
      anon_sym_DASH,
    ACTIONS(3891), 1,
      sym_op_unary_other,
    ACTIONS(3893), 1,
      sym__double_quote_string,
    ACTIONS(3895), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3897), 1,
      aux_sym__integer_token1,
    ACTIONS(3899), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3901), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3903), 1,
      aux_sym_identifier_token1,
    ACTIONS(3905), 1,
      sym__dollar_quoted_string,
    STATE(4896), 1,
      sym_identifier,
    STATE(5798), 1,
      sym_invocation,
    STATE(5901), 1,
      sym__qualified_field,
    STATE(6051), 1,
      sym__single_quote_string,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3877), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3875), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5879), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4139), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [60107] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2537), 1,
      anon_sym_RPAREN,
    ACTIONS(2539), 1,
      sym_parameter,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5404), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [60221] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(3907), 1,
      anon_sym_RBRACK,
    ACTIONS(3909), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5395), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [60335] = 11,
    ACTIONS(3709), 1,
      sym_keyword_distinct,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(2745), 1,
      sym_identifier,
    STATE(3665), 1,
      sym_invocation,
    STATE(4192), 1,
      sym__qualified_field,
    STATE(11791), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4138), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3711), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(2067), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3707), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [60413] = 30,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3691), 1,
      sym_keyword_distinct,
    ACTIONS(3911), 1,
      sym_keyword_not,
    ACTIONS(3915), 1,
      anon_sym_LPAREN,
    ACTIONS(3917), 1,
      sym_parameter,
    ACTIONS(3919), 1,
      sym_op_unary_other,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5296), 1,
      sym_invocation,
    STATE(11889), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3913), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3860), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [60529] = 11,
    ACTIONS(3709), 1,
      sym_keyword_distinct,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3711), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(565), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3707), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [60607] = 30,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3691), 1,
      sym_keyword_distinct,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3925), 1,
      sym_keyword_not,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3939), 1,
      sym_parameter,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3931), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(782), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [60723] = 30,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3691), 1,
      sym_keyword_distinct,
    ACTIONS(3959), 1,
      sym_keyword_not,
    ACTIONS(3961), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3951), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [60839] = 30,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(3691), 1,
      sym_keyword_distinct,
    ACTIONS(3963), 1,
      sym_keyword_not,
    ACTIONS(3965), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1168), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [60955] = 11,
    ACTIONS(3709), 1,
      sym_keyword_distinct,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3711), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(4140), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3707), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [61033] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(3967), 1,
      anon_sym_RBRACK,
    ACTIONS(3969), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5403), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [61147] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(3971), 1,
      anon_sym_RBRACK,
    ACTIONS(3973), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5369), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [61261] = 29,
    ACTIONS(705), 1,
      sym__identifier,
    ACTIONS(763), 1,
      aux_sym_identifier_token1,
    ACTIONS(3761), 1,
      sym_keyword_cast,
    ACTIONS(3763), 1,
      sym_keyword_case,
    ACTIONS(3767), 1,
      sym_keyword_exists,
    ACTIONS(3771), 1,
      sym_keyword_interval,
    ACTIONS(3773), 1,
      sym_keyword_array,
    ACTIONS(3775), 1,
      anon_sym_LPAREN,
    ACTIONS(3777), 1,
      sym_parameter,
    ACTIONS(3779), 1,
      anon_sym_PLUS,
    ACTIONS(3781), 1,
      anon_sym_DASH,
    ACTIONS(3783), 1,
      sym_op_unary_other,
    ACTIONS(3785), 1,
      sym__double_quote_string,
    ACTIONS(3787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3789), 1,
      aux_sym__integer_token1,
    ACTIONS(3791), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3793), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3795), 1,
      sym__dollar_quoted_string,
    STATE(2925), 1,
      sym_identifier,
    STATE(4142), 1,
      sym_invocation,
    STATE(4484), 1,
      sym__qualified_field,
    STATE(4645), 1,
      sym__single_quote_string,
    STATE(7046), 1,
      sym_order_target,
    STATE(11838), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3769), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3765), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4630), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2674), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [61375] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(3975), 1,
      anon_sym_RBRACK,
    ACTIONS(3977), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5360), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [61489] = 30,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3691), 1,
      sym_keyword_distinct,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3983), 1,
      sym_keyword_not,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      sym_parameter,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(2745), 1,
      sym_identifier,
    STATE(3665), 1,
      sym_invocation,
    STATE(4192), 1,
      sym__qualified_field,
    STATE(11791), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4138), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1952), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [61605] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4017), 1,
      anon_sym_RBRACK,
    ACTIONS(4019), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5175), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [61719] = 11,
    ACTIONS(3709), 1,
      sym_keyword_distinct,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3711), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(1934), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3707), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [61797] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    ACTIONS(3349), 1,
      sym_keyword_and,
    ACTIONS(3410), 1,
      sym_keyword_or,
    ACTIONS(4021), 1,
      anon_sym_COLON_COLON,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3473), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [61899] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    ACTIONS(3349), 1,
      sym_keyword_and,
    ACTIONS(3410), 1,
      sym_keyword_or,
    ACTIONS(4021), 1,
      anon_sym_COLON_COLON,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3414), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [62001] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    ACTIONS(3349), 1,
      sym_keyword_and,
    ACTIONS(3410), 1,
      sym_keyword_or,
    ACTIONS(4021), 1,
      anon_sym_COLON_COLON,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3416), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [62103] = 30,
    ACTIONS(1285), 1,
      sym__identifier,
    ACTIONS(1343), 1,
      aux_sym_identifier_token1,
    ACTIONS(3691), 1,
      sym_keyword_distinct,
    ACTIONS(4023), 1,
      sym_keyword_cast,
    ACTIONS(4025), 1,
      sym_keyword_case,
    ACTIONS(4027), 1,
      sym_keyword_not,
    ACTIONS(4029), 1,
      sym_keyword_exists,
    ACTIONS(4035), 1,
      sym_keyword_interval,
    ACTIONS(4037), 1,
      sym_keyword_array,
    ACTIONS(4039), 1,
      anon_sym_LPAREN,
    ACTIONS(4041), 1,
      sym_parameter,
    ACTIONS(4043), 1,
      anon_sym_PLUS,
    ACTIONS(4045), 1,
      anon_sym_DASH,
    ACTIONS(4047), 1,
      sym_op_unary_other,
    ACTIONS(4049), 1,
      sym__double_quote_string,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4053), 1,
      aux_sym__integer_token1,
    ACTIONS(4055), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4057), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4059), 1,
      sym__dollar_quoted_string,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4033), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4031), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2217), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [62219] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    ACTIONS(3349), 1,
      sym_keyword_and,
    ACTIONS(3410), 1,
      sym_keyword_or,
    ACTIONS(4021), 1,
      anon_sym_COLON_COLON,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3424), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [62321] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    ACTIONS(3349), 1,
      sym_keyword_and,
    ACTIONS(3410), 1,
      sym_keyword_or,
    ACTIONS(4021), 1,
      anon_sym_COLON_COLON,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3440), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [62423] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    ACTIONS(3349), 1,
      sym_keyword_and,
    ACTIONS(3410), 1,
      sym_keyword_or,
    ACTIONS(4021), 1,
      anon_sym_COLON_COLON,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3468), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [62525] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4061), 1,
      sym_keyword_when,
    ACTIONS(4063), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6122), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [62639] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    ACTIONS(3349), 1,
      sym_keyword_and,
    ACTIONS(3410), 1,
      sym_keyword_or,
    ACTIONS(4021), 1,
      anon_sym_COLON_COLON,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3479), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [62741] = 30,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3184), 1,
      sym_op_unary_other,
    ACTIONS(3691), 1,
      sym_keyword_distinct,
    ACTIONS(4065), 1,
      sym_keyword_not,
    ACTIONS(4067), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3180), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4149), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [62857] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    ACTIONS(3349), 1,
      sym_keyword_and,
    ACTIONS(3410), 1,
      sym_keyword_or,
    ACTIONS(4021), 1,
      anon_sym_COLON_COLON,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3408), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [62959] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    ACTIONS(3349), 1,
      sym_keyword_and,
    ACTIONS(3410), 1,
      sym_keyword_or,
    ACTIONS(4021), 1,
      anon_sym_COLON_COLON,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3418), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [63061] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    ACTIONS(3349), 1,
      sym_keyword_and,
    ACTIONS(3410), 1,
      sym_keyword_or,
    ACTIONS(4021), 1,
      anon_sym_COLON_COLON,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3420), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [63163] = 30,
    ACTIONS(645), 1,
      sym__identifier,
    ACTIONS(703), 1,
      aux_sym_identifier_token1,
    ACTIONS(3691), 1,
      sym_keyword_distinct,
    ACTIONS(4069), 1,
      sym_keyword_cast,
    ACTIONS(4071), 1,
      sym_keyword_case,
    ACTIONS(4073), 1,
      sym_keyword_not,
    ACTIONS(4075), 1,
      sym_keyword_exists,
    ACTIONS(4081), 1,
      sym_keyword_interval,
    ACTIONS(4083), 1,
      sym_keyword_array,
    ACTIONS(4085), 1,
      anon_sym_LPAREN,
    ACTIONS(4087), 1,
      sym_parameter,
    ACTIONS(4089), 1,
      anon_sym_PLUS,
    ACTIONS(4091), 1,
      anon_sym_DASH,
    ACTIONS(4093), 1,
      sym_op_unary_other,
    ACTIONS(4095), 1,
      sym__double_quote_string,
    ACTIONS(4097), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4099), 1,
      aux_sym__integer_token1,
    ACTIONS(4101), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4103), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4105), 1,
      sym__dollar_quoted_string,
    STATE(1004), 1,
      sym__single_quote_string,
    STATE(5447), 1,
      sym_identifier,
    STATE(6258), 1,
      sym_invocation,
    STATE(6412), 1,
      sym__qualified_field,
    STATE(11821), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4079), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4077), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6450), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4739), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [63279] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    ACTIONS(3349), 1,
      sym_keyword_and,
    ACTIONS(3410), 1,
      sym_keyword_or,
    ACTIONS(4021), 1,
      anon_sym_COLON_COLON,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3485), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [63381] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    ACTIONS(3349), 1,
      sym_keyword_and,
    ACTIONS(3410), 1,
      sym_keyword_or,
    ACTIONS(4021), 1,
      anon_sym_COLON_COLON,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3422), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [63483] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3243), 1,
      sym_keyword_in,
    ACTIONS(3245), 1,
      sym_keyword_is,
    ACTIONS(3250), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      sym_op_other,
    ACTIONS(3260), 1,
      anon_sym_PLUS,
    ACTIONS(3262), 1,
      anon_sym_DASH,
    ACTIONS(3264), 1,
      anon_sym_SLASH,
    ACTIONS(3266), 1,
      anon_sym_CARET,
    ACTIONS(3286), 1,
      sym_keyword_not,
    ACTIONS(3347), 1,
      sym_keyword_between,
    ACTIONS(3349), 1,
      sym_keyword_and,
    ACTIONS(3410), 1,
      sym_keyword_or,
    ACTIONS(4021), 1,
      anon_sym_COLON_COLON,
    STATE(11052), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3254), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3256), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1117), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1116), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3252), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3452), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [63585] = 30,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3691), 1,
      sym_keyword_distinct,
    ACTIONS(4107), 1,
      sym_keyword_not,
    ACTIONS(4111), 1,
      anon_sym_LPAREN,
    ACTIONS(4113), 1,
      sym_parameter,
    ACTIONS(4115), 1,
      sym_op_unary_other,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(4786), 1,
      sym_invocation,
    STATE(11803), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4109), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2852), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [63701] = 11,
    ACTIONS(3709), 1,
      sym_keyword_distinct,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3711), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(4336), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3707), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [63779] = 30,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(3691), 1,
      sym_keyword_distinct,
    ACTIONS(4117), 1,
      sym_keyword_not,
    ACTIONS(4119), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4537), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [63895] = 11,
    ACTIONS(3709), 1,
      sym_keyword_distinct,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3711), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(4565), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3707), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [63973] = 29,
    ACTIONS(1155), 1,
      sym__identifier,
    ACTIONS(1213), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(4121), 1,
      sym_parameter,
    STATE(3143), 1,
      sym_identifier,
    STATE(4627), 1,
      sym_invocation,
    STATE(4768), 1,
      sym__single_quote_string,
    STATE(4776), 1,
      sym__qualified_field,
    STATE(7892), 1,
      sym_order_target,
    STATE(11943), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4738), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2767), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [64087] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4123), 1,
      anon_sym_RBRACK,
    ACTIONS(4125), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5431), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [64201] = 30,
    ACTIONS(765), 1,
      sym__identifier,
    ACTIONS(769), 1,
      aux_sym_identifier_token1,
    ACTIONS(2842), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3517), 1,
      sym_keyword_cast,
    ACTIONS(3525), 1,
      sym_keyword_array,
    ACTIONS(3531), 1,
      anon_sym_PLUS,
    ACTIONS(3533), 1,
      anon_sym_DASH,
    ACTIONS(3535), 1,
      sym_op_unary_other,
    ACTIONS(3537), 1,
      sym__double_quote_string,
    ACTIONS(3539), 1,
      aux_sym__integer_token1,
    ACTIONS(3541), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3543), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3545), 1,
      sym__dollar_quoted_string,
    ACTIONS(3691), 1,
      sym_keyword_distinct,
    ACTIONS(3697), 1,
      sym_keyword_case,
    ACTIONS(3699), 1,
      sym_keyword_exists,
    ACTIONS(3701), 1,
      sym_keyword_interval,
    ACTIONS(3703), 1,
      anon_sym_LPAREN,
    ACTIONS(4127), 1,
      sym_keyword_not,
    ACTIONS(4129), 1,
      sym_parameter,
    STATE(435), 1,
      sym_identifier,
    STATE(788), 1,
      sym_invocation,
    STATE(904), 1,
      sym__single_quote_string,
    STATE(921), 1,
      sym__qualified_field,
    STATE(11857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3523), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3519), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(885), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(306), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [64317] = 11,
    ACTIONS(3709), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(4786), 1,
      sym_invocation,
    STATE(11803), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3711), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(2788), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3707), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [64395] = 30,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3691), 1,
      sym_keyword_distinct,
    ACTIONS(4131), 1,
      sym_keyword_not,
    ACTIONS(4133), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5690), 1,
      sym_invocation,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4343), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [64511] = 11,
    ACTIONS(3709), 1,
      sym_keyword_distinct,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5690), 1,
      sym_invocation,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3711), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(4341), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3707), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [64589] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4135), 1,
      anon_sym_RBRACK,
    ACTIONS(4137), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5412), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [64703] = 11,
    ACTIONS(3709), 1,
      sym_keyword_distinct,
    STATE(1004), 1,
      sym__single_quote_string,
    STATE(5447), 1,
      sym_identifier,
    STATE(6258), 1,
      sym_invocation,
    STATE(6412), 1,
      sym__qualified_field,
    STATE(11821), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6450), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3711), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(4725), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3707), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [64781] = 30,
    ACTIONS(1035), 1,
      sym__identifier,
    ACTIONS(1093), 1,
      aux_sym_identifier_token1,
    ACTIONS(3691), 1,
      sym_keyword_distinct,
    ACTIONS(4139), 1,
      sym_keyword_cast,
    ACTIONS(4141), 1,
      sym_keyword_case,
    ACTIONS(4143), 1,
      sym_keyword_not,
    ACTIONS(4145), 1,
      sym_keyword_exists,
    ACTIONS(4151), 1,
      sym_keyword_interval,
    ACTIONS(4153), 1,
      sym_keyword_array,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    ACTIONS(4157), 1,
      sym_parameter,
    ACTIONS(4159), 1,
      anon_sym_PLUS,
    ACTIONS(4161), 1,
      anon_sym_DASH,
    ACTIONS(4163), 1,
      sym_op_unary_other,
    ACTIONS(4165), 1,
      sym__double_quote_string,
    ACTIONS(4167), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4169), 1,
      aux_sym__integer_token1,
    ACTIONS(4171), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4173), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4175), 1,
      sym__dollar_quoted_string,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(3075), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_invocation,
    STATE(4493), 1,
      sym__qualified_field,
    STATE(11923), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4149), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4147), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4624), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2113), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [64897] = 11,
    ACTIONS(3709), 1,
      sym_keyword_distinct,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(3057), 1,
      sym_identifier,
    STATE(4384), 1,
      sym_invocation,
    STATE(4658), 1,
      sym__qualified_field,
    STATE(11898), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3711), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(2358), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3707), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [64975] = 29,
    ACTIONS(1155), 1,
      sym__identifier,
    ACTIONS(1213), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(3759), 1,
      sym_parameter,
    STATE(3143), 1,
      sym_identifier,
    STATE(4627), 1,
      sym_invocation,
    STATE(4768), 1,
      sym__single_quote_string,
    STATE(4776), 1,
      sym__qualified_field,
    STATE(7597), 1,
      sym_order_target,
    STATE(11943), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4738), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2389), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [65089] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4177), 1,
      anon_sym_RBRACK,
    ACTIONS(4179), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5418), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [65203] = 30,
    ACTIONS(705), 1,
      sym__identifier,
    ACTIONS(763), 1,
      aux_sym_identifier_token1,
    ACTIONS(3691), 1,
      sym_keyword_distinct,
    ACTIONS(3761), 1,
      sym_keyword_cast,
    ACTIONS(3763), 1,
      sym_keyword_case,
    ACTIONS(3767), 1,
      sym_keyword_exists,
    ACTIONS(3771), 1,
      sym_keyword_interval,
    ACTIONS(3773), 1,
      sym_keyword_array,
    ACTIONS(3775), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_PLUS,
    ACTIONS(3781), 1,
      anon_sym_DASH,
    ACTIONS(3783), 1,
      sym_op_unary_other,
    ACTIONS(3785), 1,
      sym__double_quote_string,
    ACTIONS(3787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3789), 1,
      aux_sym__integer_token1,
    ACTIONS(3791), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3793), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3795), 1,
      sym__dollar_quoted_string,
    ACTIONS(4181), 1,
      sym_keyword_not,
    ACTIONS(4183), 1,
      sym_parameter,
    STATE(2925), 1,
      sym_identifier,
    STATE(4142), 1,
      sym_invocation,
    STATE(4484), 1,
      sym__qualified_field,
    STATE(4645), 1,
      sym__single_quote_string,
    STATE(11838), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3769), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3765), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4630), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2141), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [65319] = 30,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(3691), 1,
      sym_keyword_distinct,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4189), 1,
      sym_keyword_not,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4203), 1,
      sym_parameter,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4195), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(576), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [65435] = 11,
    ACTIONS(3709), 1,
      sym_keyword_distinct,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(11767), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3711), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(4000), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3707), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [65513] = 11,
    ACTIONS(3709), 1,
      sym_keyword_distinct,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5296), 1,
      sym_invocation,
    STATE(11889), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3711), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(3815), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3707), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [65591] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4223), 1,
      anon_sym_RBRACK,
    ACTIONS(4225), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5376), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [65705] = 7,
    ACTIONS(4227), 1,
      sym_keyword_array,
    STATE(893), 1,
      sym_array_size_definition,
    STATE(894), 1,
      sym__array_size_definition,
    STATE(1856), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2827), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2825), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [65775] = 7,
    ACTIONS(4227), 1,
      sym_keyword_array,
    STATE(894), 1,
      sym__array_size_definition,
    STATE(913), 1,
      sym_array_size_definition,
    STATE(1856), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2833), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2831), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [65845] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1382), 7,
      sym_keyword_as,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 46,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [65907] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4229), 1,
      anon_sym_RBRACK,
    ACTIONS(4231), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5422), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [66021] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1386), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1384), 47,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [66083] = 29,
    ACTIONS(1215), 1,
      sym__identifier,
    ACTIONS(1219), 1,
      aux_sym_identifier_token1,
    ACTIONS(3655), 1,
      sym_keyword_cast,
    ACTIONS(3663), 1,
      sym_keyword_array,
    ACTIONS(3669), 1,
      anon_sym_PLUS,
    ACTIONS(3671), 1,
      anon_sym_DASH,
    ACTIONS(3673), 1,
      sym_op_unary_other,
    ACTIONS(3675), 1,
      sym__double_quote_string,
    ACTIONS(3677), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3679), 1,
      aux_sym__integer_token1,
    ACTIONS(3681), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3683), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3685), 1,
      sym__dollar_quoted_string,
    ACTIONS(3849), 1,
      sym_keyword_case,
    ACTIONS(3853), 1,
      sym_keyword_exists,
    ACTIONS(3855), 1,
      sym_keyword_interval,
    ACTIONS(3857), 1,
      anon_sym_LPAREN,
    ACTIONS(4233), 1,
      sym_parameter,
    STATE(933), 1,
      sym_identifier,
    STATE(2081), 1,
      sym_invocation,
    STATE(2095), 1,
      sym__single_quote_string,
    STATE(2310), 1,
      sym__qualified_field,
    STATE(8394), 1,
      sym_order_target,
    STATE(11944), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3657), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2366), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3862), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [66197] = 29,
    ACTIONS(1215), 1,
      sym__identifier,
    ACTIONS(1219), 1,
      aux_sym_identifier_token1,
    ACTIONS(3655), 1,
      sym_keyword_cast,
    ACTIONS(3663), 1,
      sym_keyword_array,
    ACTIONS(3669), 1,
      anon_sym_PLUS,
    ACTIONS(3671), 1,
      anon_sym_DASH,
    ACTIONS(3673), 1,
      sym_op_unary_other,
    ACTIONS(3675), 1,
      sym__double_quote_string,
    ACTIONS(3677), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3679), 1,
      aux_sym__integer_token1,
    ACTIONS(3681), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3683), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3685), 1,
      sym__dollar_quoted_string,
    ACTIONS(3849), 1,
      sym_keyword_case,
    ACTIONS(3853), 1,
      sym_keyword_exists,
    ACTIONS(3855), 1,
      sym_keyword_interval,
    ACTIONS(3857), 1,
      anon_sym_LPAREN,
    ACTIONS(4233), 1,
      sym_parameter,
    STATE(933), 1,
      sym_identifier,
    STATE(2081), 1,
      sym_invocation,
    STATE(2095), 1,
      sym__single_quote_string,
    STATE(2310), 1,
      sym__qualified_field,
    STATE(7513), 1,
      sym_order_target,
    STATE(11944), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3657), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2366), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3862), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [66311] = 11,
    ACTIONS(3709), 1,
      sym_keyword_distinct,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(3075), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_invocation,
    STATE(4493), 1,
      sym__qualified_field,
    STATE(11923), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4624), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3711), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(2109), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3707), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [66389] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4235), 1,
      anon_sym_RBRACK,
    ACTIONS(4237), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5344), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [66503] = 29,
    ACTIONS(705), 1,
      sym__identifier,
    ACTIONS(763), 1,
      aux_sym_identifier_token1,
    ACTIONS(3761), 1,
      sym_keyword_cast,
    ACTIONS(3763), 1,
      sym_keyword_case,
    ACTIONS(3767), 1,
      sym_keyword_exists,
    ACTIONS(3771), 1,
      sym_keyword_interval,
    ACTIONS(3773), 1,
      sym_keyword_array,
    ACTIONS(3775), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_PLUS,
    ACTIONS(3781), 1,
      anon_sym_DASH,
    ACTIONS(3783), 1,
      sym_op_unary_other,
    ACTIONS(3785), 1,
      sym__double_quote_string,
    ACTIONS(3787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3789), 1,
      aux_sym__integer_token1,
    ACTIONS(3791), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3793), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3795), 1,
      sym__dollar_quoted_string,
    ACTIONS(3809), 1,
      sym_parameter,
    STATE(2925), 1,
      sym_identifier,
    STATE(4142), 1,
      sym_invocation,
    STATE(4484), 1,
      sym__qualified_field,
    STATE(4645), 1,
      sym__single_quote_string,
    STATE(7046), 1,
      sym_order_target,
    STATE(11838), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3769), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3765), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4630), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2280), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [66617] = 11,
    ACTIONS(3709), 1,
      sym_keyword_distinct,
    STATE(2925), 1,
      sym_identifier,
    STATE(4142), 1,
      sym_invocation,
    STATE(4484), 1,
      sym__qualified_field,
    STATE(4645), 1,
      sym__single_quote_string,
    STATE(11838), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4630), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3711), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(2121), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3707), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [66695] = 11,
    ACTIONS(3709), 1,
      sym_keyword_distinct,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3711), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(1153), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3707), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [66773] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4239), 1,
      anon_sym_RBRACK,
    ACTIONS(4241), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5425), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [66887] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2946), 1,
      sym_keyword_is,
    ACTIONS(2948), 1,
      anon_sym_LBRACK,
    ACTIONS(2952), 1,
      anon_sym_PLUS,
    ACTIONS(2954), 1,
      anon_sym_DASH,
    ACTIONS(2956), 1,
      anon_sym_SLASH,
    ACTIONS(2958), 1,
      anon_sym_CARET,
    ACTIONS(2960), 1,
      sym_keyword_in,
    ACTIONS(2964), 1,
      sym_keyword_between,
    ACTIONS(2970), 1,
      sym_op_other,
    ACTIONS(2972), 1,
      sym_keyword_and,
    ACTIONS(3557), 1,
      sym_keyword_as,
    ACTIONS(4243), 1,
      sym_keyword_or,
    ACTIONS(4245), 1,
      anon_sym_COLON_COLON,
    STATE(10547), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2968), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1448), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2966), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3555), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [66989] = 30,
    ACTIONS(3691), 1,
      sym_keyword_distinct,
    ACTIONS(4247), 1,
      sym__identifier,
    ACTIONS(4249), 1,
      sym_keyword_cast,
    ACTIONS(4251), 1,
      sym_keyword_case,
    ACTIONS(4253), 1,
      sym_keyword_not,
    ACTIONS(4255), 1,
      sym_keyword_exists,
    ACTIONS(4261), 1,
      sym_keyword_interval,
    ACTIONS(4263), 1,
      sym_keyword_array,
    ACTIONS(4265), 1,
      anon_sym_LPAREN,
    ACTIONS(4267), 1,
      sym_parameter,
    ACTIONS(4269), 1,
      anon_sym_PLUS,
    ACTIONS(4271), 1,
      anon_sym_DASH,
    ACTIONS(4273), 1,
      sym_op_unary_other,
    ACTIONS(4275), 1,
      sym__double_quote_string,
    ACTIONS(4277), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4279), 1,
      aux_sym__integer_token1,
    ACTIONS(4281), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4283), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4285), 1,
      aux_sym_identifier_token1,
    ACTIONS(4287), 1,
      sym__dollar_quoted_string,
    STATE(4835), 1,
      sym_identifier,
    STATE(5420), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__qualified_field,
    STATE(5659), 1,
      sym__single_quote_string,
    STATE(11936), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4259), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4257), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3719), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [67105] = 11,
    ACTIONS(3709), 1,
      sym_keyword_distinct,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2739), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_invocation,
    STATE(4048), 1,
      sym__qualified_field,
    STATE(11563), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3711), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(2062), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3707), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [67183] = 11,
    ACTIONS(3709), 1,
      sym_keyword_distinct,
    STATE(4835), 1,
      sym_identifier,
    STATE(5420), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__qualified_field,
    STATE(5659), 1,
      sym__single_quote_string,
    STATE(11936), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3711), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(3711), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3707), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [67261] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4289), 1,
      sym_keyword_when,
    ACTIONS(4291), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6129), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [67375] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4293), 1,
      sym_keyword_when,
    ACTIONS(4295), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6132), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [67489] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4297), 1,
      sym_keyword_when,
    ACTIONS(4299), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6134), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [67603] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4301), 1,
      sym_keyword_when,
    ACTIONS(4303), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6136), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [67717] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4305), 1,
      sym_keyword_when,
    ACTIONS(4307), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6137), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [67831] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4309), 1,
      sym_keyword_when,
    ACTIONS(4311), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6138), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [67945] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4313), 1,
      sym_keyword_when,
    ACTIONS(4315), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6139), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [68059] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4317), 1,
      sym_keyword_when,
    ACTIONS(4319), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6140), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [68173] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4321), 1,
      sym_keyword_when,
    ACTIONS(4323), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6142), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [68287] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4325), 1,
      sym_keyword_when,
    ACTIONS(4327), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6143), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [68401] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4329), 1,
      sym_keyword_when,
    ACTIONS(4331), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6145), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [68515] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4333), 1,
      sym_keyword_when,
    ACTIONS(4335), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6147), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [68629] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4337), 1,
      sym_keyword_when,
    ACTIONS(4339), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6148), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [68743] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4341), 1,
      sym_keyword_when,
    ACTIONS(4343), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6150), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [68857] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4345), 1,
      sym_keyword_when,
    ACTIONS(4347), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6151), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [68971] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym_keyword_when,
    ACTIONS(4351), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6152), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [69085] = 7,
    ACTIONS(4353), 1,
      sym_keyword_unsigned,
    ACTIONS(4355), 1,
      sym_keyword_zerofill,
    ACTIONS(4357), 1,
      sym_keyword_precision,
    ACTIONS(4359), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [69155] = 29,
    ACTIONS(765), 1,
      sym__identifier,
    ACTIONS(769), 1,
      aux_sym_identifier_token1,
    ACTIONS(2842), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3517), 1,
      sym_keyword_cast,
    ACTIONS(3525), 1,
      sym_keyword_array,
    ACTIONS(3531), 1,
      anon_sym_PLUS,
    ACTIONS(3533), 1,
      anon_sym_DASH,
    ACTIONS(3535), 1,
      sym_op_unary_other,
    ACTIONS(3537), 1,
      sym__double_quote_string,
    ACTIONS(3539), 1,
      aux_sym__integer_token1,
    ACTIONS(3541), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3543), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3545), 1,
      sym__dollar_quoted_string,
    ACTIONS(3697), 1,
      sym_keyword_case,
    ACTIONS(3699), 1,
      sym_keyword_exists,
    ACTIONS(3701), 1,
      sym_keyword_interval,
    ACTIONS(3703), 1,
      anon_sym_LPAREN,
    ACTIONS(3705), 1,
      sym_parameter,
    STATE(435), 1,
      sym_identifier,
    STATE(788), 1,
      sym_invocation,
    STATE(904), 1,
      sym__single_quote_string,
    STATE(921), 1,
      sym__qualified_field,
    STATE(7554), 1,
      sym_order_target,
    STATE(11857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3523), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3519), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(885), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2455), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [69269] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4361), 1,
      anon_sym_RBRACK,
    ACTIONS(4363), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5428), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [69383] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2946), 1,
      sym_keyword_is,
    ACTIONS(2948), 1,
      anon_sym_LBRACK,
    ACTIONS(2952), 1,
      anon_sym_PLUS,
    ACTIONS(2954), 1,
      anon_sym_DASH,
    ACTIONS(2956), 1,
      anon_sym_SLASH,
    ACTIONS(2958), 1,
      anon_sym_CARET,
    ACTIONS(2960), 1,
      sym_keyword_in,
    ACTIONS(2964), 1,
      sym_keyword_between,
    ACTIONS(2970), 1,
      sym_op_other,
    ACTIONS(2972), 1,
      sym_keyword_and,
    ACTIONS(3641), 1,
      sym_keyword_as,
    ACTIONS(4243), 1,
      sym_keyword_or,
    ACTIONS(4245), 1,
      anon_sym_COLON_COLON,
    STATE(10547), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2968), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1448), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2966), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3639), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [69485] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2509), 1,
      anon_sym_RPAREN,
    ACTIONS(2511), 1,
      sym_parameter,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5463), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [69599] = 11,
    ACTIONS(3709), 1,
      sym_keyword_distinct,
    STATE(3143), 1,
      sym_identifier,
    STATE(4627), 1,
      sym_invocation,
    STATE(4768), 1,
      sym__single_quote_string,
    STATE(4776), 1,
      sym__qualified_field,
    STATE(11943), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4738), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3711), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(2391), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3707), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [69677] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4365), 1,
      anon_sym_RBRACK,
    ACTIONS(4367), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5382), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [69791] = 29,
    ACTIONS(1155), 1,
      sym__identifier,
    ACTIONS(1213), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(4121), 1,
      sym_parameter,
    STATE(3143), 1,
      sym_identifier,
    STATE(4627), 1,
      sym_invocation,
    STATE(4768), 1,
      sym__single_quote_string,
    STATE(4776), 1,
      sym__qualified_field,
    STATE(7513), 1,
      sym_order_target,
    STATE(11943), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4738), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2767), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [69905] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4369), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6181), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [70016] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4371), 1,
      anon_sym_LPAREN,
    ACTIONS(4373), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5483), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [70127] = 28,
    ACTIONS(645), 1,
      sym__identifier,
    ACTIONS(703), 1,
      aux_sym_identifier_token1,
    ACTIONS(4069), 1,
      sym_keyword_cast,
    ACTIONS(4071), 1,
      sym_keyword_case,
    ACTIONS(4075), 1,
      sym_keyword_exists,
    ACTIONS(4081), 1,
      sym_keyword_interval,
    ACTIONS(4083), 1,
      sym_keyword_array,
    ACTIONS(4085), 1,
      anon_sym_LPAREN,
    ACTIONS(4089), 1,
      anon_sym_PLUS,
    ACTIONS(4091), 1,
      anon_sym_DASH,
    ACTIONS(4093), 1,
      sym_op_unary_other,
    ACTIONS(4095), 1,
      sym__double_quote_string,
    ACTIONS(4097), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4099), 1,
      aux_sym__integer_token1,
    ACTIONS(4101), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4103), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4105), 1,
      sym__dollar_quoted_string,
    ACTIONS(4375), 1,
      sym_parameter,
    STATE(1004), 1,
      sym__single_quote_string,
    STATE(5447), 1,
      sym_identifier,
    STATE(6258), 1,
      sym_invocation,
    STATE(6412), 1,
      sym__qualified_field,
    STATE(11821), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4079), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4077), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6450), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4729), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [70238] = 28,
    ACTIONS(645), 1,
      sym__identifier,
    ACTIONS(703), 1,
      aux_sym_identifier_token1,
    ACTIONS(4069), 1,
      sym_keyword_cast,
    ACTIONS(4071), 1,
      sym_keyword_case,
    ACTIONS(4075), 1,
      sym_keyword_exists,
    ACTIONS(4081), 1,
      sym_keyword_interval,
    ACTIONS(4083), 1,
      sym_keyword_array,
    ACTIONS(4085), 1,
      anon_sym_LPAREN,
    ACTIONS(4089), 1,
      anon_sym_PLUS,
    ACTIONS(4091), 1,
      anon_sym_DASH,
    ACTIONS(4093), 1,
      sym_op_unary_other,
    ACTIONS(4095), 1,
      sym__double_quote_string,
    ACTIONS(4097), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4099), 1,
      aux_sym__integer_token1,
    ACTIONS(4101), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4103), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4105), 1,
      sym__dollar_quoted_string,
    ACTIONS(4377), 1,
      sym_parameter,
    STATE(1004), 1,
      sym__single_quote_string,
    STATE(5447), 1,
      sym_identifier,
    STATE(6258), 1,
      sym_invocation,
    STATE(6412), 1,
      sym__qualified_field,
    STATE(11821), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4079), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4077), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6450), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4716), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [70349] = 28,
    ACTIONS(645), 1,
      sym__identifier,
    ACTIONS(703), 1,
      aux_sym_identifier_token1,
    ACTIONS(4069), 1,
      sym_keyword_cast,
    ACTIONS(4071), 1,
      sym_keyword_case,
    ACTIONS(4075), 1,
      sym_keyword_exists,
    ACTIONS(4081), 1,
      sym_keyword_interval,
    ACTIONS(4083), 1,
      sym_keyword_array,
    ACTIONS(4085), 1,
      anon_sym_LPAREN,
    ACTIONS(4089), 1,
      anon_sym_PLUS,
    ACTIONS(4091), 1,
      anon_sym_DASH,
    ACTIONS(4093), 1,
      sym_op_unary_other,
    ACTIONS(4095), 1,
      sym__double_quote_string,
    ACTIONS(4097), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4099), 1,
      aux_sym__integer_token1,
    ACTIONS(4101), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4103), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4105), 1,
      sym__dollar_quoted_string,
    ACTIONS(4379), 1,
      sym_parameter,
    STATE(1004), 1,
      sym__single_quote_string,
    STATE(5447), 1,
      sym_identifier,
    STATE(6258), 1,
      sym_invocation,
    STATE(6412), 1,
      sym__qualified_field,
    STATE(11821), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4079), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4077), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6450), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4717), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [70460] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4381), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5446), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [70571] = 28,
    ACTIONS(645), 1,
      sym__identifier,
    ACTIONS(703), 1,
      aux_sym_identifier_token1,
    ACTIONS(4069), 1,
      sym_keyword_cast,
    ACTIONS(4071), 1,
      sym_keyword_case,
    ACTIONS(4075), 1,
      sym_keyword_exists,
    ACTIONS(4081), 1,
      sym_keyword_interval,
    ACTIONS(4083), 1,
      sym_keyword_array,
    ACTIONS(4085), 1,
      anon_sym_LPAREN,
    ACTIONS(4089), 1,
      anon_sym_PLUS,
    ACTIONS(4091), 1,
      anon_sym_DASH,
    ACTIONS(4093), 1,
      sym_op_unary_other,
    ACTIONS(4095), 1,
      sym__double_quote_string,
    ACTIONS(4097), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4099), 1,
      aux_sym__integer_token1,
    ACTIONS(4101), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4103), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4105), 1,
      sym__dollar_quoted_string,
    ACTIONS(4383), 1,
      sym_parameter,
    STATE(1004), 1,
      sym__single_quote_string,
    STATE(5447), 1,
      sym_identifier,
    STATE(6258), 1,
      sym_invocation,
    STATE(6412), 1,
      sym__qualified_field,
    STATE(11821), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4079), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4077), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6450), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4770), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [70682] = 28,
    ACTIONS(645), 1,
      sym__identifier,
    ACTIONS(703), 1,
      aux_sym_identifier_token1,
    ACTIONS(4069), 1,
      sym_keyword_cast,
    ACTIONS(4071), 1,
      sym_keyword_case,
    ACTIONS(4075), 1,
      sym_keyword_exists,
    ACTIONS(4081), 1,
      sym_keyword_interval,
    ACTIONS(4083), 1,
      sym_keyword_array,
    ACTIONS(4085), 1,
      anon_sym_LPAREN,
    ACTIONS(4089), 1,
      anon_sym_PLUS,
    ACTIONS(4091), 1,
      anon_sym_DASH,
    ACTIONS(4093), 1,
      sym_op_unary_other,
    ACTIONS(4095), 1,
      sym__double_quote_string,
    ACTIONS(4097), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4099), 1,
      aux_sym__integer_token1,
    ACTIONS(4101), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4103), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4105), 1,
      sym__dollar_quoted_string,
    ACTIONS(4385), 1,
      sym_parameter,
    STATE(1004), 1,
      sym__single_quote_string,
    STATE(5447), 1,
      sym_identifier,
    STATE(6258), 1,
      sym_invocation,
    STATE(6412), 1,
      sym__qualified_field,
    STATE(11821), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4079), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4077), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6450), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4721), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [70793] = 28,
    ACTIONS(645), 1,
      sym__identifier,
    ACTIONS(703), 1,
      aux_sym_identifier_token1,
    ACTIONS(4069), 1,
      sym_keyword_cast,
    ACTIONS(4071), 1,
      sym_keyword_case,
    ACTIONS(4075), 1,
      sym_keyword_exists,
    ACTIONS(4081), 1,
      sym_keyword_interval,
    ACTIONS(4083), 1,
      sym_keyword_array,
    ACTIONS(4085), 1,
      anon_sym_LPAREN,
    ACTIONS(4089), 1,
      anon_sym_PLUS,
    ACTIONS(4091), 1,
      anon_sym_DASH,
    ACTIONS(4093), 1,
      sym_op_unary_other,
    ACTIONS(4095), 1,
      sym__double_quote_string,
    ACTIONS(4097), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4099), 1,
      aux_sym__integer_token1,
    ACTIONS(4101), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4103), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4105), 1,
      sym__dollar_quoted_string,
    ACTIONS(4387), 1,
      sym_parameter,
    STATE(1004), 1,
      sym__single_quote_string,
    STATE(5447), 1,
      sym_identifier,
    STATE(6258), 1,
      sym_invocation,
    STATE(6412), 1,
      sym__qualified_field,
    STATE(11821), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4079), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4077), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6450), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4692), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [70904] = 28,
    ACTIONS(645), 1,
      sym__identifier,
    ACTIONS(703), 1,
      aux_sym_identifier_token1,
    ACTIONS(4069), 1,
      sym_keyword_cast,
    ACTIONS(4071), 1,
      sym_keyword_case,
    ACTIONS(4075), 1,
      sym_keyword_exists,
    ACTIONS(4081), 1,
      sym_keyword_interval,
    ACTIONS(4083), 1,
      sym_keyword_array,
    ACTIONS(4085), 1,
      anon_sym_LPAREN,
    ACTIONS(4089), 1,
      anon_sym_PLUS,
    ACTIONS(4091), 1,
      anon_sym_DASH,
    ACTIONS(4093), 1,
      sym_op_unary_other,
    ACTIONS(4095), 1,
      sym__double_quote_string,
    ACTIONS(4097), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4099), 1,
      aux_sym__integer_token1,
    ACTIONS(4101), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4103), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4105), 1,
      sym__dollar_quoted_string,
    ACTIONS(4389), 1,
      sym_parameter,
    STATE(1004), 1,
      sym__single_quote_string,
    STATE(5447), 1,
      sym_identifier,
    STATE(6258), 1,
      sym_invocation,
    STATE(6412), 1,
      sym__qualified_field,
    STATE(11821), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4079), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4077), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6450), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4752), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [71015] = 28,
    ACTIONS(645), 1,
      sym__identifier,
    ACTIONS(703), 1,
      aux_sym_identifier_token1,
    ACTIONS(4069), 1,
      sym_keyword_cast,
    ACTIONS(4071), 1,
      sym_keyword_case,
    ACTIONS(4075), 1,
      sym_keyword_exists,
    ACTIONS(4081), 1,
      sym_keyword_interval,
    ACTIONS(4083), 1,
      sym_keyword_array,
    ACTIONS(4085), 1,
      anon_sym_LPAREN,
    ACTIONS(4089), 1,
      anon_sym_PLUS,
    ACTIONS(4091), 1,
      anon_sym_DASH,
    ACTIONS(4093), 1,
      sym_op_unary_other,
    ACTIONS(4095), 1,
      sym__double_quote_string,
    ACTIONS(4097), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4099), 1,
      aux_sym__integer_token1,
    ACTIONS(4101), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4103), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4105), 1,
      sym__dollar_quoted_string,
    ACTIONS(4391), 1,
      sym_parameter,
    STATE(1004), 1,
      sym__single_quote_string,
    STATE(5447), 1,
      sym_identifier,
    STATE(6258), 1,
      sym_invocation,
    STATE(6412), 1,
      sym__qualified_field,
    STATE(11821), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4079), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4077), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6450), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4737), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [71126] = 28,
    ACTIONS(645), 1,
      sym__identifier,
    ACTIONS(703), 1,
      aux_sym_identifier_token1,
    ACTIONS(4069), 1,
      sym_keyword_cast,
    ACTIONS(4071), 1,
      sym_keyword_case,
    ACTIONS(4075), 1,
      sym_keyword_exists,
    ACTIONS(4081), 1,
      sym_keyword_interval,
    ACTIONS(4083), 1,
      sym_keyword_array,
    ACTIONS(4085), 1,
      anon_sym_LPAREN,
    ACTIONS(4089), 1,
      anon_sym_PLUS,
    ACTIONS(4091), 1,
      anon_sym_DASH,
    ACTIONS(4093), 1,
      sym_op_unary_other,
    ACTIONS(4095), 1,
      sym__double_quote_string,
    ACTIONS(4097), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4099), 1,
      aux_sym__integer_token1,
    ACTIONS(4101), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4103), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4105), 1,
      sym__dollar_quoted_string,
    ACTIONS(4393), 1,
      sym_parameter,
    STATE(1004), 1,
      sym__single_quote_string,
    STATE(5447), 1,
      sym_identifier,
    STATE(6258), 1,
      sym_invocation,
    STATE(6412), 1,
      sym__qualified_field,
    STATE(11821), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4079), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4077), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6450), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4781), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [71237] = 28,
    ACTIONS(645), 1,
      sym__identifier,
    ACTIONS(703), 1,
      aux_sym_identifier_token1,
    ACTIONS(4069), 1,
      sym_keyword_cast,
    ACTIONS(4071), 1,
      sym_keyword_case,
    ACTIONS(4075), 1,
      sym_keyword_exists,
    ACTIONS(4081), 1,
      sym_keyword_interval,
    ACTIONS(4083), 1,
      sym_keyword_array,
    ACTIONS(4085), 1,
      anon_sym_LPAREN,
    ACTIONS(4087), 1,
      sym_parameter,
    ACTIONS(4089), 1,
      anon_sym_PLUS,
    ACTIONS(4091), 1,
      anon_sym_DASH,
    ACTIONS(4093), 1,
      sym_op_unary_other,
    ACTIONS(4095), 1,
      sym__double_quote_string,
    ACTIONS(4097), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4099), 1,
      aux_sym__integer_token1,
    ACTIONS(4101), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4103), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4105), 1,
      sym__dollar_quoted_string,
    STATE(1004), 1,
      sym__single_quote_string,
    STATE(5447), 1,
      sym_identifier,
    STATE(6258), 1,
      sym_invocation,
    STATE(6412), 1,
      sym__qualified_field,
    STATE(11821), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4079), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4077), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6450), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4739), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [71348] = 5,
    ACTIONS(4395), 1,
      sym_keyword_filter,
    STATE(1981), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2704), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2706), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [71413] = 5,
    ACTIONS(4395), 1,
      sym_keyword_filter,
    STATE(1970), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2730), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [71478] = 28,
    ACTIONS(645), 1,
      sym__identifier,
    ACTIONS(703), 1,
      aux_sym_identifier_token1,
    ACTIONS(4069), 1,
      sym_keyword_cast,
    ACTIONS(4071), 1,
      sym_keyword_case,
    ACTIONS(4075), 1,
      sym_keyword_exists,
    ACTIONS(4081), 1,
      sym_keyword_interval,
    ACTIONS(4083), 1,
      sym_keyword_array,
    ACTIONS(4085), 1,
      anon_sym_LPAREN,
    ACTIONS(4089), 1,
      anon_sym_PLUS,
    ACTIONS(4091), 1,
      anon_sym_DASH,
    ACTIONS(4093), 1,
      sym_op_unary_other,
    ACTIONS(4095), 1,
      sym__double_quote_string,
    ACTIONS(4097), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4099), 1,
      aux_sym__integer_token1,
    ACTIONS(4101), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4103), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4105), 1,
      sym__dollar_quoted_string,
    ACTIONS(4397), 1,
      sym_parameter,
    STATE(1004), 1,
      sym__single_quote_string,
    STATE(5447), 1,
      sym_identifier,
    STATE(6258), 1,
      sym_invocation,
    STATE(6412), 1,
      sym__qualified_field,
    STATE(11821), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4079), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4077), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6450), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4713), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [71589] = 5,
    ACTIONS(4395), 1,
      sym_keyword_filter,
    STATE(2048), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2708), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2710), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [71654] = 5,
    ACTIONS(4395), 1,
      sym_keyword_filter,
    STATE(1983), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2720), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2722), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [71719] = 5,
    ACTIONS(4395), 1,
      sym_keyword_filter,
    STATE(2009), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2726), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [71784] = 28,
    ACTIONS(645), 1,
      sym__identifier,
    ACTIONS(703), 1,
      aux_sym_identifier_token1,
    ACTIONS(4069), 1,
      sym_keyword_cast,
    ACTIONS(4071), 1,
      sym_keyword_case,
    ACTIONS(4075), 1,
      sym_keyword_exists,
    ACTIONS(4081), 1,
      sym_keyword_interval,
    ACTIONS(4083), 1,
      sym_keyword_array,
    ACTIONS(4085), 1,
      anon_sym_LPAREN,
    ACTIONS(4089), 1,
      anon_sym_PLUS,
    ACTIONS(4091), 1,
      anon_sym_DASH,
    ACTIONS(4093), 1,
      sym_op_unary_other,
    ACTIONS(4095), 1,
      sym__double_quote_string,
    ACTIONS(4097), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4099), 1,
      aux_sym__integer_token1,
    ACTIONS(4101), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4103), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4105), 1,
      sym__dollar_quoted_string,
    ACTIONS(4399), 1,
      sym_parameter,
    STATE(1004), 1,
      sym__single_quote_string,
    STATE(5447), 1,
      sym_identifier,
    STATE(6258), 1,
      sym_invocation,
    STATE(6412), 1,
      sym__qualified_field,
    STATE(11821), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4079), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4077), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6450), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4772), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [71895] = 28,
    ACTIONS(765), 1,
      sym__identifier,
    ACTIONS(769), 1,
      aux_sym_identifier_token1,
    ACTIONS(2842), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3517), 1,
      sym_keyword_cast,
    ACTIONS(3525), 1,
      sym_keyword_array,
    ACTIONS(3531), 1,
      anon_sym_PLUS,
    ACTIONS(3533), 1,
      anon_sym_DASH,
    ACTIONS(3535), 1,
      sym_op_unary_other,
    ACTIONS(3537), 1,
      sym__double_quote_string,
    ACTIONS(3539), 1,
      aux_sym__integer_token1,
    ACTIONS(3541), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3543), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3545), 1,
      sym__dollar_quoted_string,
    ACTIONS(3697), 1,
      sym_keyword_case,
    ACTIONS(3699), 1,
      sym_keyword_exists,
    ACTIONS(3701), 1,
      sym_keyword_interval,
    ACTIONS(3703), 1,
      anon_sym_LPAREN,
    ACTIONS(4401), 1,
      sym_parameter,
    STATE(435), 1,
      sym_identifier,
    STATE(788), 1,
      sym_invocation,
    STATE(904), 1,
      sym__single_quote_string,
    STATE(921), 1,
      sym__qualified_field,
    STATE(11857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3523), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3519), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(885), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(880), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [72006] = 5,
    ACTIONS(4395), 1,
      sym_keyword_filter,
    STATE(2046), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2688), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2690), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [72071] = 5,
    ACTIONS(4395), 1,
      sym_keyword_filter,
    STATE(2053), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2692), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2694), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [72136] = 5,
    ACTIONS(4395), 1,
      sym_keyword_filter,
    STATE(1947), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2696), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2698), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [72201] = 5,
    ACTIONS(4395), 1,
      sym_keyword_filter,
    STATE(1971), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2712), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2714), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [72266] = 5,
    ACTIONS(4395), 1,
      sym_keyword_filter,
    STATE(1979), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2700), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2702), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [72331] = 29,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4195), 1,
      sym_keyword_null,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(4405), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4403), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(750), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [72444] = 5,
    ACTIONS(4395), 1,
      sym_keyword_filter,
    STATE(1982), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2740), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2742), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [72509] = 5,
    ACTIONS(4395), 1,
      sym_keyword_filter,
    STATE(1989), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [72574] = 5,
    ACTIONS(4395), 1,
      sym_keyword_filter,
    STATE(1990), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [72639] = 5,
    ACTIONS(4395), 1,
      sym_keyword_filter,
    STATE(1997), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2680), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2682), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [72704] = 5,
    ACTIONS(4395), 1,
      sym_keyword_filter,
    STATE(1998), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [72769] = 5,
    ACTIONS(4395), 1,
      sym_keyword_filter,
    STATE(2005), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [72834] = 5,
    ACTIONS(4395), 1,
      sym_keyword_filter,
    STATE(2006), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2736), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2738), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [72899] = 5,
    ACTIONS(4395), 1,
      sym_keyword_filter,
    STATE(2023), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2670), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2672), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [72964] = 5,
    ACTIONS(4395), 1,
      sym_keyword_filter,
    STATE(2038), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2716), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2718), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [73029] = 29,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4195), 1,
      sym_keyword_null,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(4409), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4407), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(752), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [73142] = 28,
    ACTIONS(705), 1,
      sym__identifier,
    ACTIONS(763), 1,
      aux_sym_identifier_token1,
    ACTIONS(3761), 1,
      sym_keyword_cast,
    ACTIONS(3763), 1,
      sym_keyword_case,
    ACTIONS(3767), 1,
      sym_keyword_exists,
    ACTIONS(3771), 1,
      sym_keyword_interval,
    ACTIONS(3773), 1,
      sym_keyword_array,
    ACTIONS(3775), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_PLUS,
    ACTIONS(3781), 1,
      anon_sym_DASH,
    ACTIONS(3783), 1,
      sym_op_unary_other,
    ACTIONS(3785), 1,
      sym__double_quote_string,
    ACTIONS(3787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3789), 1,
      aux_sym__integer_token1,
    ACTIONS(3791), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3793), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3795), 1,
      sym__dollar_quoted_string,
    ACTIONS(4411), 1,
      sym_parameter,
    STATE(2925), 1,
      sym_identifier,
    STATE(4142), 1,
      sym_invocation,
    STATE(4484), 1,
      sym__qualified_field,
    STATE(4645), 1,
      sym__single_quote_string,
    STATE(11838), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3769), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3765), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4630), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2127), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [73253] = 28,
    ACTIONS(705), 1,
      sym__identifier,
    ACTIONS(763), 1,
      aux_sym_identifier_token1,
    ACTIONS(3761), 1,
      sym_keyword_cast,
    ACTIONS(3763), 1,
      sym_keyword_case,
    ACTIONS(3767), 1,
      sym_keyword_exists,
    ACTIONS(3771), 1,
      sym_keyword_interval,
    ACTIONS(3773), 1,
      sym_keyword_array,
    ACTIONS(3775), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_PLUS,
    ACTIONS(3781), 1,
      anon_sym_DASH,
    ACTIONS(3783), 1,
      sym_op_unary_other,
    ACTIONS(3785), 1,
      sym__double_quote_string,
    ACTIONS(3787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3789), 1,
      aux_sym__integer_token1,
    ACTIONS(3791), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3793), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3795), 1,
      sym__dollar_quoted_string,
    ACTIONS(4413), 1,
      sym_parameter,
    STATE(2925), 1,
      sym_identifier,
    STATE(4142), 1,
      sym_invocation,
    STATE(4484), 1,
      sym__qualified_field,
    STATE(4645), 1,
      sym__single_quote_string,
    STATE(11838), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3769), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3765), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4630), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2138), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [73364] = 28,
    ACTIONS(705), 1,
      sym__identifier,
    ACTIONS(763), 1,
      aux_sym_identifier_token1,
    ACTIONS(3761), 1,
      sym_keyword_cast,
    ACTIONS(3763), 1,
      sym_keyword_case,
    ACTIONS(3767), 1,
      sym_keyword_exists,
    ACTIONS(3771), 1,
      sym_keyword_interval,
    ACTIONS(3773), 1,
      sym_keyword_array,
    ACTIONS(3775), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_PLUS,
    ACTIONS(3781), 1,
      anon_sym_DASH,
    ACTIONS(3783), 1,
      sym_op_unary_other,
    ACTIONS(3785), 1,
      sym__double_quote_string,
    ACTIONS(3787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3789), 1,
      aux_sym__integer_token1,
    ACTIONS(3791), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3793), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3795), 1,
      sym__dollar_quoted_string,
    ACTIONS(4415), 1,
      sym_parameter,
    STATE(2925), 1,
      sym_identifier,
    STATE(4142), 1,
      sym_invocation,
    STATE(4484), 1,
      sym__qualified_field,
    STATE(4645), 1,
      sym__single_quote_string,
    STATE(11838), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3769), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3765), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4630), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2140), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [73475] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4417), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5448), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [73586] = 28,
    ACTIONS(705), 1,
      sym__identifier,
    ACTIONS(763), 1,
      aux_sym_identifier_token1,
    ACTIONS(3761), 1,
      sym_keyword_cast,
    ACTIONS(3763), 1,
      sym_keyword_case,
    ACTIONS(3767), 1,
      sym_keyword_exists,
    ACTIONS(3771), 1,
      sym_keyword_interval,
    ACTIONS(3773), 1,
      sym_keyword_array,
    ACTIONS(3775), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_PLUS,
    ACTIONS(3781), 1,
      anon_sym_DASH,
    ACTIONS(3783), 1,
      sym_op_unary_other,
    ACTIONS(3785), 1,
      sym__double_quote_string,
    ACTIONS(3787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3789), 1,
      aux_sym__integer_token1,
    ACTIONS(3791), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3793), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3795), 1,
      sym__dollar_quoted_string,
    ACTIONS(4419), 1,
      sym_parameter,
    STATE(2925), 1,
      sym_identifier,
    STATE(4142), 1,
      sym_invocation,
    STATE(4484), 1,
      sym__qualified_field,
    STATE(4645), 1,
      sym__single_quote_string,
    STATE(11838), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3769), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3765), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4630), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2143), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [73697] = 28,
    ACTIONS(705), 1,
      sym__identifier,
    ACTIONS(763), 1,
      aux_sym_identifier_token1,
    ACTIONS(3761), 1,
      sym_keyword_cast,
    ACTIONS(3763), 1,
      sym_keyword_case,
    ACTIONS(3767), 1,
      sym_keyword_exists,
    ACTIONS(3771), 1,
      sym_keyword_interval,
    ACTIONS(3773), 1,
      sym_keyword_array,
    ACTIONS(3775), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_PLUS,
    ACTIONS(3781), 1,
      anon_sym_DASH,
    ACTIONS(3783), 1,
      sym_op_unary_other,
    ACTIONS(3785), 1,
      sym__double_quote_string,
    ACTIONS(3787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3789), 1,
      aux_sym__integer_token1,
    ACTIONS(3791), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3793), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3795), 1,
      sym__dollar_quoted_string,
    ACTIONS(4421), 1,
      sym_parameter,
    STATE(2925), 1,
      sym_identifier,
    STATE(4142), 1,
      sym_invocation,
    STATE(4484), 1,
      sym__qualified_field,
    STATE(4645), 1,
      sym__single_quote_string,
    STATE(11838), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3769), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3765), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4630), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2144), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [73808] = 28,
    ACTIONS(705), 1,
      sym__identifier,
    ACTIONS(763), 1,
      aux_sym_identifier_token1,
    ACTIONS(3761), 1,
      sym_keyword_cast,
    ACTIONS(3763), 1,
      sym_keyword_case,
    ACTIONS(3767), 1,
      sym_keyword_exists,
    ACTIONS(3771), 1,
      sym_keyword_interval,
    ACTIONS(3773), 1,
      sym_keyword_array,
    ACTIONS(3775), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_PLUS,
    ACTIONS(3781), 1,
      anon_sym_DASH,
    ACTIONS(3783), 1,
      sym_op_unary_other,
    ACTIONS(3785), 1,
      sym__double_quote_string,
    ACTIONS(3787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3789), 1,
      aux_sym__integer_token1,
    ACTIONS(3791), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3793), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3795), 1,
      sym__dollar_quoted_string,
    ACTIONS(4423), 1,
      sym_parameter,
    STATE(2925), 1,
      sym_identifier,
    STATE(4142), 1,
      sym_invocation,
    STATE(4484), 1,
      sym__qualified_field,
    STATE(4645), 1,
      sym__single_quote_string,
    STATE(11838), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3769), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3765), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4630), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2145), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [73919] = 28,
    ACTIONS(705), 1,
      sym__identifier,
    ACTIONS(763), 1,
      aux_sym_identifier_token1,
    ACTIONS(3761), 1,
      sym_keyword_cast,
    ACTIONS(3763), 1,
      sym_keyword_case,
    ACTIONS(3767), 1,
      sym_keyword_exists,
    ACTIONS(3771), 1,
      sym_keyword_interval,
    ACTIONS(3773), 1,
      sym_keyword_array,
    ACTIONS(3775), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_PLUS,
    ACTIONS(3781), 1,
      anon_sym_DASH,
    ACTIONS(3783), 1,
      sym_op_unary_other,
    ACTIONS(3785), 1,
      sym__double_quote_string,
    ACTIONS(3787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3789), 1,
      aux_sym__integer_token1,
    ACTIONS(3791), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3793), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3795), 1,
      sym__dollar_quoted_string,
    ACTIONS(4425), 1,
      sym_parameter,
    STATE(2925), 1,
      sym_identifier,
    STATE(4142), 1,
      sym_invocation,
    STATE(4484), 1,
      sym__qualified_field,
    STATE(4645), 1,
      sym__single_quote_string,
    STATE(11838), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3769), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3765), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4630), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2147), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [74030] = 28,
    ACTIONS(705), 1,
      sym__identifier,
    ACTIONS(763), 1,
      aux_sym_identifier_token1,
    ACTIONS(3761), 1,
      sym_keyword_cast,
    ACTIONS(3763), 1,
      sym_keyword_case,
    ACTIONS(3767), 1,
      sym_keyword_exists,
    ACTIONS(3771), 1,
      sym_keyword_interval,
    ACTIONS(3773), 1,
      sym_keyword_array,
    ACTIONS(3775), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_PLUS,
    ACTIONS(3781), 1,
      anon_sym_DASH,
    ACTIONS(3783), 1,
      sym_op_unary_other,
    ACTIONS(3785), 1,
      sym__double_quote_string,
    ACTIONS(3787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3789), 1,
      aux_sym__integer_token1,
    ACTIONS(3791), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3793), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3795), 1,
      sym__dollar_quoted_string,
    ACTIONS(4427), 1,
      sym_parameter,
    STATE(2925), 1,
      sym_identifier,
    STATE(4142), 1,
      sym_invocation,
    STATE(4484), 1,
      sym__qualified_field,
    STATE(4645), 1,
      sym__single_quote_string,
    STATE(11838), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3769), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3765), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4630), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2148), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [74141] = 28,
    ACTIONS(705), 1,
      sym__identifier,
    ACTIONS(763), 1,
      aux_sym_identifier_token1,
    ACTIONS(3761), 1,
      sym_keyword_cast,
    ACTIONS(3763), 1,
      sym_keyword_case,
    ACTIONS(3767), 1,
      sym_keyword_exists,
    ACTIONS(3771), 1,
      sym_keyword_interval,
    ACTIONS(3773), 1,
      sym_keyword_array,
    ACTIONS(3775), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_PLUS,
    ACTIONS(3781), 1,
      anon_sym_DASH,
    ACTIONS(3783), 1,
      sym_op_unary_other,
    ACTIONS(3785), 1,
      sym__double_quote_string,
    ACTIONS(3787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3789), 1,
      aux_sym__integer_token1,
    ACTIONS(3791), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3793), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3795), 1,
      sym__dollar_quoted_string,
    ACTIONS(4429), 1,
      sym_parameter,
    STATE(2925), 1,
      sym_identifier,
    STATE(4142), 1,
      sym_invocation,
    STATE(4484), 1,
      sym__qualified_field,
    STATE(4645), 1,
      sym__single_quote_string,
    STATE(11838), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3769), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3765), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4630), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2151), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [74252] = 28,
    ACTIONS(705), 1,
      sym__identifier,
    ACTIONS(763), 1,
      aux_sym_identifier_token1,
    ACTIONS(3761), 1,
      sym_keyword_cast,
    ACTIONS(3763), 1,
      sym_keyword_case,
    ACTIONS(3767), 1,
      sym_keyword_exists,
    ACTIONS(3771), 1,
      sym_keyword_interval,
    ACTIONS(3773), 1,
      sym_keyword_array,
    ACTIONS(3775), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_PLUS,
    ACTIONS(3781), 1,
      anon_sym_DASH,
    ACTIONS(3783), 1,
      sym_op_unary_other,
    ACTIONS(3785), 1,
      sym__double_quote_string,
    ACTIONS(3787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3789), 1,
      aux_sym__integer_token1,
    ACTIONS(3791), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3793), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3795), 1,
      sym__dollar_quoted_string,
    ACTIONS(4183), 1,
      sym_parameter,
    STATE(2925), 1,
      sym_identifier,
    STATE(4142), 1,
      sym_invocation,
    STATE(4484), 1,
      sym__qualified_field,
    STATE(4645), 1,
      sym__single_quote_string,
    STATE(11838), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3769), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3765), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4630), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2141), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [74363] = 28,
    ACTIONS(705), 1,
      sym__identifier,
    ACTIONS(763), 1,
      aux_sym_identifier_token1,
    ACTIONS(3761), 1,
      sym_keyword_cast,
    ACTIONS(3763), 1,
      sym_keyword_case,
    ACTIONS(3767), 1,
      sym_keyword_exists,
    ACTIONS(3771), 1,
      sym_keyword_interval,
    ACTIONS(3773), 1,
      sym_keyword_array,
    ACTIONS(3775), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_PLUS,
    ACTIONS(3781), 1,
      anon_sym_DASH,
    ACTIONS(3783), 1,
      sym_op_unary_other,
    ACTIONS(3785), 1,
      sym__double_quote_string,
    ACTIONS(3787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3789), 1,
      aux_sym__integer_token1,
    ACTIONS(3791), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3793), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3795), 1,
      sym__dollar_quoted_string,
    ACTIONS(4431), 1,
      sym_parameter,
    STATE(2925), 1,
      sym_identifier,
    STATE(4142), 1,
      sym_invocation,
    STATE(4484), 1,
      sym__qualified_field,
    STATE(4645), 1,
      sym__single_quote_string,
    STATE(11838), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3769), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3765), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4630), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2162), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [74474] = 28,
    ACTIONS(705), 1,
      sym__identifier,
    ACTIONS(763), 1,
      aux_sym_identifier_token1,
    ACTIONS(3761), 1,
      sym_keyword_cast,
    ACTIONS(3763), 1,
      sym_keyword_case,
    ACTIONS(3767), 1,
      sym_keyword_exists,
    ACTIONS(3771), 1,
      sym_keyword_interval,
    ACTIONS(3773), 1,
      sym_keyword_array,
    ACTIONS(3775), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_PLUS,
    ACTIONS(3781), 1,
      anon_sym_DASH,
    ACTIONS(3783), 1,
      sym_op_unary_other,
    ACTIONS(3785), 1,
      sym__double_quote_string,
    ACTIONS(3787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3789), 1,
      aux_sym__integer_token1,
    ACTIONS(3791), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3793), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3795), 1,
      sym__dollar_quoted_string,
    ACTIONS(4433), 1,
      sym_parameter,
    STATE(2925), 1,
      sym_identifier,
    STATE(4142), 1,
      sym_invocation,
    STATE(4484), 1,
      sym__qualified_field,
    STATE(4645), 1,
      sym__single_quote_string,
    STATE(11838), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3769), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3765), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4630), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2170), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [74585] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4435), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5969), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [74696] = 28,
    ACTIONS(765), 1,
      sym__identifier,
    ACTIONS(769), 1,
      aux_sym_identifier_token1,
    ACTIONS(2842), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3517), 1,
      sym_keyword_cast,
    ACTIONS(3525), 1,
      sym_keyword_array,
    ACTIONS(3531), 1,
      anon_sym_PLUS,
    ACTIONS(3533), 1,
      anon_sym_DASH,
    ACTIONS(3535), 1,
      sym_op_unary_other,
    ACTIONS(3537), 1,
      sym__double_quote_string,
    ACTIONS(3539), 1,
      aux_sym__integer_token1,
    ACTIONS(3541), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3543), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3545), 1,
      sym__dollar_quoted_string,
    ACTIONS(3697), 1,
      sym_keyword_case,
    ACTIONS(3699), 1,
      sym_keyword_exists,
    ACTIONS(3701), 1,
      sym_keyword_interval,
    ACTIONS(3703), 1,
      anon_sym_LPAREN,
    ACTIONS(4437), 1,
      sym_parameter,
    STATE(435), 1,
      sym_identifier,
    STATE(788), 1,
      sym_invocation,
    STATE(904), 1,
      sym__single_quote_string,
    STATE(921), 1,
      sym__qualified_field,
    STATE(11857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3523), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3519), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(885), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(305), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [74807] = 28,
    ACTIONS(765), 1,
      sym__identifier,
    ACTIONS(769), 1,
      aux_sym_identifier_token1,
    ACTIONS(2842), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3517), 1,
      sym_keyword_cast,
    ACTIONS(3525), 1,
      sym_keyword_array,
    ACTIONS(3531), 1,
      anon_sym_PLUS,
    ACTIONS(3533), 1,
      anon_sym_DASH,
    ACTIONS(3535), 1,
      sym_op_unary_other,
    ACTIONS(3537), 1,
      sym__double_quote_string,
    ACTIONS(3539), 1,
      aux_sym__integer_token1,
    ACTIONS(3541), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3543), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3545), 1,
      sym__dollar_quoted_string,
    ACTIONS(3697), 1,
      sym_keyword_case,
    ACTIONS(3699), 1,
      sym_keyword_exists,
    ACTIONS(3701), 1,
      sym_keyword_interval,
    ACTIONS(3703), 1,
      anon_sym_LPAREN,
    ACTIONS(4439), 1,
      sym_parameter,
    STATE(435), 1,
      sym_identifier,
    STATE(788), 1,
      sym_invocation,
    STATE(904), 1,
      sym__single_quote_string,
    STATE(921), 1,
      sym__qualified_field,
    STATE(11857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3523), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3519), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(885), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(349), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [74918] = 28,
    ACTIONS(765), 1,
      sym__identifier,
    ACTIONS(769), 1,
      aux_sym_identifier_token1,
    ACTIONS(2842), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3517), 1,
      sym_keyword_cast,
    ACTIONS(3525), 1,
      sym_keyword_array,
    ACTIONS(3531), 1,
      anon_sym_PLUS,
    ACTIONS(3533), 1,
      anon_sym_DASH,
    ACTIONS(3535), 1,
      sym_op_unary_other,
    ACTIONS(3537), 1,
      sym__double_quote_string,
    ACTIONS(3539), 1,
      aux_sym__integer_token1,
    ACTIONS(3541), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3543), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3545), 1,
      sym__dollar_quoted_string,
    ACTIONS(3697), 1,
      sym_keyword_case,
    ACTIONS(3699), 1,
      sym_keyword_exists,
    ACTIONS(3701), 1,
      sym_keyword_interval,
    ACTIONS(3703), 1,
      anon_sym_LPAREN,
    ACTIONS(4441), 1,
      sym_parameter,
    STATE(435), 1,
      sym_identifier,
    STATE(788), 1,
      sym_invocation,
    STATE(904), 1,
      sym__single_quote_string,
    STATE(921), 1,
      sym__qualified_field,
    STATE(11857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3523), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3519), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(885), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(350), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75029] = 28,
    ACTIONS(765), 1,
      sym__identifier,
    ACTIONS(769), 1,
      aux_sym_identifier_token1,
    ACTIONS(2842), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3517), 1,
      sym_keyword_cast,
    ACTIONS(3525), 1,
      sym_keyword_array,
    ACTIONS(3531), 1,
      anon_sym_PLUS,
    ACTIONS(3533), 1,
      anon_sym_DASH,
    ACTIONS(3535), 1,
      sym_op_unary_other,
    ACTIONS(3537), 1,
      sym__double_quote_string,
    ACTIONS(3539), 1,
      aux_sym__integer_token1,
    ACTIONS(3541), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3543), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3545), 1,
      sym__dollar_quoted_string,
    ACTIONS(3697), 1,
      sym_keyword_case,
    ACTIONS(3699), 1,
      sym_keyword_exists,
    ACTIONS(3701), 1,
      sym_keyword_interval,
    ACTIONS(3703), 1,
      anon_sym_LPAREN,
    ACTIONS(4443), 1,
      sym_parameter,
    STATE(435), 1,
      sym_identifier,
    STATE(788), 1,
      sym_invocation,
    STATE(904), 1,
      sym__single_quote_string,
    STATE(921), 1,
      sym__qualified_field,
    STATE(11857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3523), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3519), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(885), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(351), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75140] = 28,
    ACTIONS(765), 1,
      sym__identifier,
    ACTIONS(769), 1,
      aux_sym_identifier_token1,
    ACTIONS(2842), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3517), 1,
      sym_keyword_cast,
    ACTIONS(3525), 1,
      sym_keyword_array,
    ACTIONS(3531), 1,
      anon_sym_PLUS,
    ACTIONS(3533), 1,
      anon_sym_DASH,
    ACTIONS(3535), 1,
      sym_op_unary_other,
    ACTIONS(3537), 1,
      sym__double_quote_string,
    ACTIONS(3539), 1,
      aux_sym__integer_token1,
    ACTIONS(3541), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3543), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3545), 1,
      sym__dollar_quoted_string,
    ACTIONS(3697), 1,
      sym_keyword_case,
    ACTIONS(3699), 1,
      sym_keyword_exists,
    ACTIONS(3701), 1,
      sym_keyword_interval,
    ACTIONS(3703), 1,
      anon_sym_LPAREN,
    ACTIONS(4445), 1,
      sym_parameter,
    STATE(435), 1,
      sym_identifier,
    STATE(788), 1,
      sym_invocation,
    STATE(904), 1,
      sym__single_quote_string,
    STATE(921), 1,
      sym__qualified_field,
    STATE(11857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3523), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3519), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(885), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(352), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75251] = 28,
    ACTIONS(765), 1,
      sym__identifier,
    ACTIONS(769), 1,
      aux_sym_identifier_token1,
    ACTIONS(2842), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3517), 1,
      sym_keyword_cast,
    ACTIONS(3525), 1,
      sym_keyword_array,
    ACTIONS(3531), 1,
      anon_sym_PLUS,
    ACTIONS(3533), 1,
      anon_sym_DASH,
    ACTIONS(3535), 1,
      sym_op_unary_other,
    ACTIONS(3537), 1,
      sym__double_quote_string,
    ACTIONS(3539), 1,
      aux_sym__integer_token1,
    ACTIONS(3541), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3543), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3545), 1,
      sym__dollar_quoted_string,
    ACTIONS(3697), 1,
      sym_keyword_case,
    ACTIONS(3699), 1,
      sym_keyword_exists,
    ACTIONS(3701), 1,
      sym_keyword_interval,
    ACTIONS(3703), 1,
      anon_sym_LPAREN,
    ACTIONS(4447), 1,
      sym_parameter,
    STATE(435), 1,
      sym_identifier,
    STATE(788), 1,
      sym_invocation,
    STATE(904), 1,
      sym__single_quote_string,
    STATE(921), 1,
      sym__qualified_field,
    STATE(11857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3523), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3519), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(885), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(353), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75362] = 28,
    ACTIONS(765), 1,
      sym__identifier,
    ACTIONS(769), 1,
      aux_sym_identifier_token1,
    ACTIONS(2842), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3517), 1,
      sym_keyword_cast,
    ACTIONS(3525), 1,
      sym_keyword_array,
    ACTIONS(3531), 1,
      anon_sym_PLUS,
    ACTIONS(3533), 1,
      anon_sym_DASH,
    ACTIONS(3535), 1,
      sym_op_unary_other,
    ACTIONS(3537), 1,
      sym__double_quote_string,
    ACTIONS(3539), 1,
      aux_sym__integer_token1,
    ACTIONS(3541), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3543), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3545), 1,
      sym__dollar_quoted_string,
    ACTIONS(3697), 1,
      sym_keyword_case,
    ACTIONS(3699), 1,
      sym_keyword_exists,
    ACTIONS(3701), 1,
      sym_keyword_interval,
    ACTIONS(3703), 1,
      anon_sym_LPAREN,
    ACTIONS(4449), 1,
      sym_parameter,
    STATE(435), 1,
      sym_identifier,
    STATE(788), 1,
      sym_invocation,
    STATE(904), 1,
      sym__single_quote_string,
    STATE(921), 1,
      sym__qualified_field,
    STATE(11857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3523), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3519), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(885), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(354), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75473] = 28,
    ACTIONS(765), 1,
      sym__identifier,
    ACTIONS(769), 1,
      aux_sym_identifier_token1,
    ACTIONS(2842), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3517), 1,
      sym_keyword_cast,
    ACTIONS(3525), 1,
      sym_keyword_array,
    ACTIONS(3531), 1,
      anon_sym_PLUS,
    ACTIONS(3533), 1,
      anon_sym_DASH,
    ACTIONS(3535), 1,
      sym_op_unary_other,
    ACTIONS(3537), 1,
      sym__double_quote_string,
    ACTIONS(3539), 1,
      aux_sym__integer_token1,
    ACTIONS(3541), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3543), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3545), 1,
      sym__dollar_quoted_string,
    ACTIONS(3697), 1,
      sym_keyword_case,
    ACTIONS(3699), 1,
      sym_keyword_exists,
    ACTIONS(3701), 1,
      sym_keyword_interval,
    ACTIONS(3703), 1,
      anon_sym_LPAREN,
    ACTIONS(4451), 1,
      sym_parameter,
    STATE(435), 1,
      sym_identifier,
    STATE(788), 1,
      sym_invocation,
    STATE(904), 1,
      sym__single_quote_string,
    STATE(921), 1,
      sym__qualified_field,
    STATE(11857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3523), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3519), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(885), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(355), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75584] = 28,
    ACTIONS(765), 1,
      sym__identifier,
    ACTIONS(769), 1,
      aux_sym_identifier_token1,
    ACTIONS(2842), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3517), 1,
      sym_keyword_cast,
    ACTIONS(3525), 1,
      sym_keyword_array,
    ACTIONS(3531), 1,
      anon_sym_PLUS,
    ACTIONS(3533), 1,
      anon_sym_DASH,
    ACTIONS(3535), 1,
      sym_op_unary_other,
    ACTIONS(3537), 1,
      sym__double_quote_string,
    ACTIONS(3539), 1,
      aux_sym__integer_token1,
    ACTIONS(3541), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3543), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3545), 1,
      sym__dollar_quoted_string,
    ACTIONS(3697), 1,
      sym_keyword_case,
    ACTIONS(3699), 1,
      sym_keyword_exists,
    ACTIONS(3701), 1,
      sym_keyword_interval,
    ACTIONS(3703), 1,
      anon_sym_LPAREN,
    ACTIONS(4453), 1,
      sym_parameter,
    STATE(435), 1,
      sym_identifier,
    STATE(788), 1,
      sym_invocation,
    STATE(904), 1,
      sym__single_quote_string,
    STATE(921), 1,
      sym__qualified_field,
    STATE(11857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3523), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3519), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(885), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(356), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75695] = 28,
    ACTIONS(765), 1,
      sym__identifier,
    ACTIONS(769), 1,
      aux_sym_identifier_token1,
    ACTIONS(2842), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3517), 1,
      sym_keyword_cast,
    ACTIONS(3525), 1,
      sym_keyword_array,
    ACTIONS(3531), 1,
      anon_sym_PLUS,
    ACTIONS(3533), 1,
      anon_sym_DASH,
    ACTIONS(3535), 1,
      sym_op_unary_other,
    ACTIONS(3537), 1,
      sym__double_quote_string,
    ACTIONS(3539), 1,
      aux_sym__integer_token1,
    ACTIONS(3541), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3543), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3545), 1,
      sym__dollar_quoted_string,
    ACTIONS(3697), 1,
      sym_keyword_case,
    ACTIONS(3699), 1,
      sym_keyword_exists,
    ACTIONS(3701), 1,
      sym_keyword_interval,
    ACTIONS(3703), 1,
      anon_sym_LPAREN,
    ACTIONS(4129), 1,
      sym_parameter,
    STATE(435), 1,
      sym_identifier,
    STATE(788), 1,
      sym_invocation,
    STATE(904), 1,
      sym__single_quote_string,
    STATE(921), 1,
      sym__qualified_field,
    STATE(11857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3523), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3519), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(885), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(306), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75806] = 28,
    ACTIONS(765), 1,
      sym__identifier,
    ACTIONS(769), 1,
      aux_sym_identifier_token1,
    ACTIONS(2842), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3517), 1,
      sym_keyword_cast,
    ACTIONS(3525), 1,
      sym_keyword_array,
    ACTIONS(3531), 1,
      anon_sym_PLUS,
    ACTIONS(3533), 1,
      anon_sym_DASH,
    ACTIONS(3535), 1,
      sym_op_unary_other,
    ACTIONS(3537), 1,
      sym__double_quote_string,
    ACTIONS(3539), 1,
      aux_sym__integer_token1,
    ACTIONS(3541), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3543), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3545), 1,
      sym__dollar_quoted_string,
    ACTIONS(3697), 1,
      sym_keyword_case,
    ACTIONS(3699), 1,
      sym_keyword_exists,
    ACTIONS(3701), 1,
      sym_keyword_interval,
    ACTIONS(3703), 1,
      anon_sym_LPAREN,
    ACTIONS(4455), 1,
      sym_parameter,
    STATE(435), 1,
      sym_identifier,
    STATE(788), 1,
      sym_invocation,
    STATE(904), 1,
      sym__single_quote_string,
    STATE(921), 1,
      sym__qualified_field,
    STATE(11857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3523), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3519), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(885), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(357), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75917] = 28,
    ACTIONS(765), 1,
      sym__identifier,
    ACTIONS(769), 1,
      aux_sym_identifier_token1,
    ACTIONS(2842), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3517), 1,
      sym_keyword_cast,
    ACTIONS(3525), 1,
      sym_keyword_array,
    ACTIONS(3531), 1,
      anon_sym_PLUS,
    ACTIONS(3533), 1,
      anon_sym_DASH,
    ACTIONS(3535), 1,
      sym_op_unary_other,
    ACTIONS(3537), 1,
      sym__double_quote_string,
    ACTIONS(3539), 1,
      aux_sym__integer_token1,
    ACTIONS(3541), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3543), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3545), 1,
      sym__dollar_quoted_string,
    ACTIONS(3697), 1,
      sym_keyword_case,
    ACTIONS(3699), 1,
      sym_keyword_exists,
    ACTIONS(3701), 1,
      sym_keyword_interval,
    ACTIONS(3703), 1,
      anon_sym_LPAREN,
    ACTIONS(4457), 1,
      sym_parameter,
    STATE(435), 1,
      sym_identifier,
    STATE(788), 1,
      sym_invocation,
    STATE(904), 1,
      sym__single_quote_string,
    STATE(921), 1,
      sym__qualified_field,
    STATE(11857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3523), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3519), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(885), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(358), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76028] = 28,
    ACTIONS(645), 1,
      sym__identifier,
    ACTIONS(703), 1,
      aux_sym_identifier_token1,
    ACTIONS(4069), 1,
      sym_keyword_cast,
    ACTIONS(4071), 1,
      sym_keyword_case,
    ACTIONS(4075), 1,
      sym_keyword_exists,
    ACTIONS(4081), 1,
      sym_keyword_interval,
    ACTIONS(4083), 1,
      sym_keyword_array,
    ACTIONS(4085), 1,
      anon_sym_LPAREN,
    ACTIONS(4089), 1,
      anon_sym_PLUS,
    ACTIONS(4091), 1,
      anon_sym_DASH,
    ACTIONS(4093), 1,
      sym_op_unary_other,
    ACTIONS(4095), 1,
      sym__double_quote_string,
    ACTIONS(4097), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4099), 1,
      aux_sym__integer_token1,
    ACTIONS(4101), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4103), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4105), 1,
      sym__dollar_quoted_string,
    ACTIONS(4459), 1,
      sym_parameter,
    STATE(1004), 1,
      sym__single_quote_string,
    STATE(5447), 1,
      sym_identifier,
    STATE(6258), 1,
      sym_invocation,
    STATE(6412), 1,
      sym__qualified_field,
    STATE(11821), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4079), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4077), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6450), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4760), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76139] = 28,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(4461), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4195), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(566), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76250] = 28,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(4463), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4195), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(613), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76361] = 28,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(4465), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4195), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(614), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76472] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(4467), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5975), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76583] = 28,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(4469), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4195), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(615), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76694] = 28,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(4471), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4195), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(616), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76805] = 28,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(4473), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4195), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(617), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76916] = 28,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(4475), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4195), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(622), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [77027] = 28,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(4477), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4195), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(714), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [77138] = 28,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(4479), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4195), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(538), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [77249] = 28,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4203), 1,
      sym_parameter,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4195), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(576), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [77360] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1841), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1839), 45,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [77421] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1845), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1843), 45,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [77482] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1849), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1847), 45,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [77543] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1853), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1851), 45,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [77604] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1837), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1835), 45,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [77665] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1867), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1865), 45,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [77726] = 6,
    ACTIONS(4481), 1,
      sym_keyword_unsigned,
    ACTIONS(4483), 1,
      sym_keyword_zerofill,
    ACTIONS(4485), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1857), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1855), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [77793] = 6,
    ACTIONS(4487), 1,
      sym_keyword_unsigned,
    ACTIONS(4489), 1,
      sym_keyword_zerofill,
    ACTIONS(4491), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1871), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1869), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [77860] = 6,
    ACTIONS(4493), 1,
      sym_keyword_unsigned,
    ACTIONS(4495), 1,
      sym_keyword_zerofill,
    ACTIONS(4497), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1817), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1815), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [77927] = 6,
    ACTIONS(4499), 1,
      sym_keyword_unsigned,
    ACTIONS(4501), 1,
      sym_keyword_zerofill,
    ACTIONS(4503), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1917), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1915), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [77994] = 6,
    ACTIONS(4505), 1,
      sym_keyword_unsigned,
    ACTIONS(4507), 1,
      sym_keyword_zerofill,
    ACTIONS(4509), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1897), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1895), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [78061] = 6,
    ACTIONS(4511), 1,
      sym_keyword_unsigned,
    ACTIONS(4513), 1,
      sym_keyword_zerofill,
    ACTIONS(4515), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1905), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [78128] = 6,
    ACTIONS(4353), 1,
      sym_keyword_unsigned,
    ACTIONS(4355), 1,
      sym_keyword_zerofill,
    ACTIONS(4359), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [78195] = 28,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(4517), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4195), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(551), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [78306] = 6,
    ACTIONS(4519), 1,
      sym_keyword_unsigned,
    ACTIONS(4521), 1,
      sym_keyword_zerofill,
    ACTIONS(4523), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [78373] = 28,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(4525), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4195), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(562), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [78484] = 7,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    STATE(2486), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2837), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2835), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [78553] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4527), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(6665), 1,
      sym_binary_expression,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6219), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [78666] = 29,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4195), 1,
      sym_keyword_null,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(4531), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4529), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(776), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [78779] = 29,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4195), 1,
      sym_keyword_null,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(4535), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4533), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(784), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [78892] = 7,
    ACTIONS(4537), 1,
      sym_keyword_array,
    STATE(1949), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2385), 1,
      sym_array_size_definition,
    STATE(2386), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2825), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [78961] = 7,
    ACTIONS(4539), 1,
      sym_keyword_with,
    ACTIONS(4541), 1,
      sym_keyword_without,
    ACTIONS(4543), 1,
      anon_sym_LPAREN,
    STATE(2208), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [79030] = 7,
    ACTIONS(4539), 1,
      sym_keyword_with,
    ACTIONS(4541), 1,
      sym_keyword_without,
    ACTIONS(4545), 1,
      anon_sym_LPAREN,
    STATE(2211), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [79099] = 7,
    ACTIONS(4537), 1,
      sym_keyword_array,
    STATE(1949), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2386), 1,
      sym__array_size_definition,
    STATE(2440), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2833), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2831), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [79168] = 28,
    ACTIONS(645), 1,
      sym__identifier,
    ACTIONS(703), 1,
      aux_sym_identifier_token1,
    ACTIONS(4069), 1,
      sym_keyword_cast,
    ACTIONS(4071), 1,
      sym_keyword_case,
    ACTIONS(4075), 1,
      sym_keyword_exists,
    ACTIONS(4081), 1,
      sym_keyword_interval,
    ACTIONS(4083), 1,
      sym_keyword_array,
    ACTIONS(4085), 1,
      anon_sym_LPAREN,
    ACTIONS(4089), 1,
      anon_sym_PLUS,
    ACTIONS(4091), 1,
      anon_sym_DASH,
    ACTIONS(4093), 1,
      sym_op_unary_other,
    ACTIONS(4095), 1,
      sym__double_quote_string,
    ACTIONS(4097), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4099), 1,
      aux_sym__integer_token1,
    ACTIONS(4101), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4103), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4105), 1,
      sym__dollar_quoted_string,
    ACTIONS(4547), 1,
      sym_parameter,
    STATE(1004), 1,
      sym__single_quote_string,
    STATE(5447), 1,
      sym_identifier,
    STATE(6258), 1,
      sym_invocation,
    STATE(6412), 1,
      sym__qualified_field,
    STATE(11821), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4079), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4077), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6450), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4723), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [79279] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4549), 1,
      anon_sym_LPAREN,
    ACTIONS(4551), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5996), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [79390] = 29,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4195), 1,
      sym_keyword_null,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(4555), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4553), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(793), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [79503] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4557), 1,
      anon_sym_LPAREN,
    ACTIONS(4559), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6014), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [79614] = 7,
    ACTIONS(4561), 1,
      sym_keyword_unsigned,
    ACTIONS(4563), 1,
      sym_keyword_zerofill,
    ACTIONS(4565), 1,
      sym_keyword_precision,
    ACTIONS(4567), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [79683] = 29,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4195), 1,
      sym_keyword_null,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(4571), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4569), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(840), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [79796] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1384), 45,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [79857] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4573), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1153), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [79968] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4575), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1154), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [80079] = 8,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(4577), 1,
      anon_sym_RPAREN,
    STATE(2569), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2835), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2837), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [80150] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4580), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4937), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [80261] = 8,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2487), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2485), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [80332] = 13,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2487), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [80413] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4596), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1166), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [80524] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4598), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1167), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [80635] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4600), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1169), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [80746] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4602), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1170), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [80857] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4604), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1175), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [80968] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4606), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1176), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [81079] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4608), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1177), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [81190] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4610), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1178), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [81301] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(3965), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1168), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [81412] = 28,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3082), 1,
      sym_keyword_cast,
    ACTIONS(3084), 1,
      sym_keyword_case,
    ACTIONS(3088), 1,
      sym_keyword_exists,
    ACTIONS(3092), 1,
      sym_keyword_interval,
    ACTIONS(3094), 1,
      sym_keyword_array,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3104), 1,
      sym_op_unary_other,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(4612), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2739), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_invocation,
    STATE(4048), 1,
      sym__qualified_field,
    STATE(11563), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3086), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1974), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [81523] = 28,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3082), 1,
      sym_keyword_cast,
    ACTIONS(3084), 1,
      sym_keyword_case,
    ACTIONS(3088), 1,
      sym_keyword_exists,
    ACTIONS(3092), 1,
      sym_keyword_interval,
    ACTIONS(3094), 1,
      sym_keyword_array,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3104), 1,
      sym_op_unary_other,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(4614), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2739), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_invocation,
    STATE(4048), 1,
      sym__qualified_field,
    STATE(11563), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3086), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2001), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [81634] = 21,
    ACTIONS(2505), 1,
      anon_sym_COLON,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_preceding,
      sym_keyword_following,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [81731] = 22,
    ACTIONS(2505), 1,
      anon_sym_COLON,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_preceding,
      sym_keyword_following,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [81830] = 6,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 38,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [81897] = 16,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4630), 1,
      sym_keyword_not,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2505), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [81984] = 9,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2503), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [82057] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4633), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5028), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [82168] = 28,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3082), 1,
      sym_keyword_cast,
    ACTIONS(3084), 1,
      sym_keyword_case,
    ACTIONS(3088), 1,
      sym_keyword_exists,
    ACTIONS(3092), 1,
      sym_keyword_interval,
    ACTIONS(3094), 1,
      sym_keyword_array,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3104), 1,
      sym_op_unary_other,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(4635), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2739), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_invocation,
    STATE(4048), 1,
      sym__qualified_field,
    STATE(11563), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3086), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2004), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [82279] = 28,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3082), 1,
      sym_keyword_cast,
    ACTIONS(3084), 1,
      sym_keyword_case,
    ACTIONS(3088), 1,
      sym_keyword_exists,
    ACTIONS(3092), 1,
      sym_keyword_interval,
    ACTIONS(3094), 1,
      sym_keyword_array,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3104), 1,
      sym_op_unary_other,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(4637), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2739), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_invocation,
    STATE(4048), 1,
      sym__qualified_field,
    STATE(11563), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3086), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2035), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [82390] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4639), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5913), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [82501] = 13,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2505), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [82582] = 11,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2505), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [82659] = 8,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [82730] = 18,
    ACTIONS(2505), 1,
      anon_sym_COLON,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4630), 1,
      sym_keyword_not,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [82821] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4641), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1195), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [82932] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4643), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4643), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [83043] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4645), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6298), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [83154] = 28,
    ACTIONS(645), 1,
      sym__identifier,
    ACTIONS(703), 1,
      aux_sym_identifier_token1,
    ACTIONS(4069), 1,
      sym_keyword_cast,
    ACTIONS(4071), 1,
      sym_keyword_case,
    ACTIONS(4075), 1,
      sym_keyword_exists,
    ACTIONS(4081), 1,
      sym_keyword_interval,
    ACTIONS(4083), 1,
      sym_keyword_array,
    ACTIONS(4085), 1,
      anon_sym_LPAREN,
    ACTIONS(4089), 1,
      anon_sym_PLUS,
    ACTIONS(4091), 1,
      anon_sym_DASH,
    ACTIONS(4093), 1,
      sym_op_unary_other,
    ACTIONS(4095), 1,
      sym__double_quote_string,
    ACTIONS(4097), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4099), 1,
      aux_sym__integer_token1,
    ACTIONS(4101), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4103), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4105), 1,
      sym__dollar_quoted_string,
    ACTIONS(4647), 1,
      sym_parameter,
    STATE(1004), 1,
      sym__single_quote_string,
    STATE(5447), 1,
      sym_identifier,
    STATE(6258), 1,
      sym_invocation,
    STATE(6412), 1,
      sym__qualified_field,
    STATE(11821), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4079), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4077), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6450), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4736), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [83265] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4649), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4840), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [83376] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4651), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5565), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [83487] = 28,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3082), 1,
      sym_keyword_cast,
    ACTIONS(3084), 1,
      sym_keyword_case,
    ACTIONS(3088), 1,
      sym_keyword_exists,
    ACTIONS(3092), 1,
      sym_keyword_interval,
    ACTIONS(3094), 1,
      sym_keyword_array,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3104), 1,
      sym_op_unary_other,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(4653), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2739), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_invocation,
    STATE(4048), 1,
      sym__qualified_field,
    STATE(11563), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3086), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2029), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [83598] = 28,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3082), 1,
      sym_keyword_cast,
    ACTIONS(3084), 1,
      sym_keyword_case,
    ACTIONS(3088), 1,
      sym_keyword_exists,
    ACTIONS(3092), 1,
      sym_keyword_interval,
    ACTIONS(3094), 1,
      sym_keyword_array,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3104), 1,
      sym_op_unary_other,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(4655), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2739), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_invocation,
    STATE(4048), 1,
      sym__qualified_field,
    STATE(11563), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3086), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1999), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [83709] = 28,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3082), 1,
      sym_keyword_cast,
    ACTIONS(3084), 1,
      sym_keyword_case,
    ACTIONS(3088), 1,
      sym_keyword_exists,
    ACTIONS(3092), 1,
      sym_keyword_interval,
    ACTIONS(3094), 1,
      sym_keyword_array,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3104), 1,
      sym_op_unary_other,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(4657), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2739), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_invocation,
    STATE(4048), 1,
      sym__qualified_field,
    STATE(11563), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3086), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1946), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [83820] = 28,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3082), 1,
      sym_keyword_cast,
    ACTIONS(3084), 1,
      sym_keyword_case,
    ACTIONS(3088), 1,
      sym_keyword_exists,
    ACTIONS(3092), 1,
      sym_keyword_interval,
    ACTIONS(3094), 1,
      sym_keyword_array,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3104), 1,
      sym_op_unary_other,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(4659), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2739), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_invocation,
    STATE(4048), 1,
      sym__qualified_field,
    STATE(11563), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3086), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1966), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [83931] = 28,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3082), 1,
      sym_keyword_cast,
    ACTIONS(3084), 1,
      sym_keyword_case,
    ACTIONS(3088), 1,
      sym_keyword_exists,
    ACTIONS(3092), 1,
      sym_keyword_interval,
    ACTIONS(3094), 1,
      sym_keyword_array,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3104), 1,
      sym_op_unary_other,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(4661), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2739), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_invocation,
    STATE(4048), 1,
      sym__qualified_field,
    STATE(11563), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3086), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1967), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [84042] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    ACTIONS(4663), 1,
      sym_parameter,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(2745), 1,
      sym_identifier,
    STATE(3665), 1,
      sym_invocation,
    STATE(4192), 1,
      sym__qualified_field,
    STATE(11791), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4138), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2071), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [84153] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4665), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5045), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [84264] = 28,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3082), 1,
      sym_keyword_cast,
    ACTIONS(3084), 1,
      sym_keyword_case,
    ACTIONS(3088), 1,
      sym_keyword_exists,
    ACTIONS(3092), 1,
      sym_keyword_interval,
    ACTIONS(3094), 1,
      sym_keyword_array,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3104), 1,
      sym_op_unary_other,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(4667), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2739), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_invocation,
    STATE(4048), 1,
      sym__qualified_field,
    STATE(11563), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3086), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1969), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [84375] = 28,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3082), 1,
      sym_keyword_cast,
    ACTIONS(3084), 1,
      sym_keyword_case,
    ACTIONS(3088), 1,
      sym_keyword_exists,
    ACTIONS(3092), 1,
      sym_keyword_interval,
    ACTIONS(3094), 1,
      sym_keyword_array,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3104), 1,
      sym_op_unary_other,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(3807), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2739), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_invocation,
    STATE(4048), 1,
      sym__qualified_field,
    STATE(11563), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3086), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2060), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [84486] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4669), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1202), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [84597] = 20,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2640), 1,
      anon_sym_COLON,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4626), 1,
      sym_op_other,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2638), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [84692] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4671), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4825), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [84803] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(4111), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      sym_op_unary_other,
    ACTIONS(4673), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(4786), 1,
      sym_invocation,
    STATE(11803), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4109), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4724), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [84914] = 28,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3082), 1,
      sym_keyword_cast,
    ACTIONS(3084), 1,
      sym_keyword_case,
    ACTIONS(3088), 1,
      sym_keyword_exists,
    ACTIONS(3092), 1,
      sym_keyword_interval,
    ACTIONS(3094), 1,
      sym_keyword_array,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3104), 1,
      sym_op_unary_other,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(4675), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2739), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_invocation,
    STATE(4048), 1,
      sym__qualified_field,
    STATE(11563), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3086), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2075), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [85025] = 7,
    ACTIONS(4677), 1,
      sym_keyword_unsigned,
    ACTIONS(4679), 1,
      sym_keyword_zerofill,
    ACTIONS(4681), 1,
      sym_keyword_precision,
    ACTIONS(4683), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [85094] = 28,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3082), 1,
      sym_keyword_cast,
    ACTIONS(3084), 1,
      sym_keyword_case,
    ACTIONS(3088), 1,
      sym_keyword_exists,
    ACTIONS(3092), 1,
      sym_keyword_interval,
    ACTIONS(3094), 1,
      sym_keyword_array,
    ACTIONS(3096), 1,
      anon_sym_LPAREN,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3104), 1,
      sym_op_unary_other,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(4685), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2739), 1,
      sym_identifier,
    STATE(3555), 1,
      sym_invocation,
    STATE(4048), 1,
      sym__qualified_field,
    STATE(11563), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3086), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2062), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [85205] = 28,
    ACTIONS(645), 1,
      sym__identifier,
    ACTIONS(703), 1,
      aux_sym_identifier_token1,
    ACTIONS(4069), 1,
      sym_keyword_cast,
    ACTIONS(4071), 1,
      sym_keyword_case,
    ACTIONS(4075), 1,
      sym_keyword_exists,
    ACTIONS(4081), 1,
      sym_keyword_interval,
    ACTIONS(4083), 1,
      sym_keyword_array,
    ACTIONS(4085), 1,
      anon_sym_LPAREN,
    ACTIONS(4089), 1,
      anon_sym_PLUS,
    ACTIONS(4091), 1,
      anon_sym_DASH,
    ACTIONS(4093), 1,
      sym_op_unary_other,
    ACTIONS(4095), 1,
      sym__double_quote_string,
    ACTIONS(4097), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4099), 1,
      aux_sym__integer_token1,
    ACTIONS(4101), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4103), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4105), 1,
      sym__dollar_quoted_string,
    ACTIONS(4687), 1,
      sym_parameter,
    STATE(1004), 1,
      sym__single_quote_string,
    STATE(5447), 1,
      sym_identifier,
    STATE(6258), 1,
      sym_invocation,
    STATE(6412), 1,
      sym__qualified_field,
    STATE(11821), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4079), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4077), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6450), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4705), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [85316] = 20,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2644), 1,
      anon_sym_COLON,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4626), 1,
      sym_op_other,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2642), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [85411] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4689), 1,
      anon_sym_LPAREN,
    ACTIONS(4691), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5346), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [85522] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(4693), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5804), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [85633] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4695), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5958), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [85744] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4697), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5962), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [85855] = 28,
    ACTIONS(765), 1,
      sym__identifier,
    ACTIONS(769), 1,
      aux_sym_identifier_token1,
    ACTIONS(2842), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3517), 1,
      sym_keyword_cast,
    ACTIONS(3525), 1,
      sym_keyword_array,
    ACTIONS(3531), 1,
      anon_sym_PLUS,
    ACTIONS(3533), 1,
      anon_sym_DASH,
    ACTIONS(3535), 1,
      sym_op_unary_other,
    ACTIONS(3537), 1,
      sym__double_quote_string,
    ACTIONS(3539), 1,
      aux_sym__integer_token1,
    ACTIONS(3541), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3543), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3545), 1,
      sym__dollar_quoted_string,
    ACTIONS(3697), 1,
      sym_keyword_case,
    ACTIONS(3699), 1,
      sym_keyword_exists,
    ACTIONS(3701), 1,
      sym_keyword_interval,
    ACTIONS(3703), 1,
      anon_sym_LPAREN,
    ACTIONS(4699), 1,
      sym_parameter,
    STATE(435), 1,
      sym_identifier,
    STATE(788), 1,
      sym_invocation,
    STATE(904), 1,
      sym__single_quote_string,
    STATE(921), 1,
      sym__qualified_field,
    STATE(11857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3523), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3519), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(885), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(919), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [85966] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4701), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6020), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [86077] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4703), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5820), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [86188] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4705), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5821), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [86299] = 5,
    ACTIONS(4707), 1,
      sym_keyword_filter,
    STATE(1955), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2706), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2704), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [86364] = 5,
    ACTIONS(4707), 1,
      sym_keyword_filter,
    STATE(2050), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [86429] = 5,
    ACTIONS(4707), 1,
      sym_keyword_filter,
    STATE(1960), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [86494] = 5,
    ACTIONS(4707), 1,
      sym_keyword_filter,
    STATE(1976), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [86559] = 5,
    ACTIONS(4707), 1,
      sym_keyword_filter,
    STATE(2002), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [86624] = 28,
    ACTIONS(645), 1,
      sym__identifier,
    ACTIONS(703), 1,
      aux_sym_identifier_token1,
    ACTIONS(4069), 1,
      sym_keyword_cast,
    ACTIONS(4071), 1,
      sym_keyword_case,
    ACTIONS(4075), 1,
      sym_keyword_exists,
    ACTIONS(4081), 1,
      sym_keyword_interval,
    ACTIONS(4083), 1,
      sym_keyword_array,
    ACTIONS(4085), 1,
      anon_sym_LPAREN,
    ACTIONS(4089), 1,
      anon_sym_PLUS,
    ACTIONS(4091), 1,
      anon_sym_DASH,
    ACTIONS(4093), 1,
      sym_op_unary_other,
    ACTIONS(4095), 1,
      sym__double_quote_string,
    ACTIONS(4097), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4099), 1,
      aux_sym__integer_token1,
    ACTIONS(4101), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4103), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4105), 1,
      sym__dollar_quoted_string,
    ACTIONS(4709), 1,
      sym_parameter,
    STATE(1004), 1,
      sym__single_quote_string,
    STATE(5447), 1,
      sym_identifier,
    STATE(6258), 1,
      sym_invocation,
    STATE(6412), 1,
      sym__qualified_field,
    STATE(11821), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4079), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4077), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6450), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4697), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [86735] = 5,
    ACTIONS(4707), 1,
      sym_keyword_filter,
    STATE(2041), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [86800] = 5,
    ACTIONS(4707), 1,
      sym_keyword_filter,
    STATE(2044), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2694), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2692), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [86865] = 5,
    ACTIONS(4707), 1,
      sym_keyword_filter,
    STATE(2049), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2698), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2696), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [86930] = 5,
    ACTIONS(4707), 1,
      sym_keyword_filter,
    STATE(1924), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [86995] = 5,
    ACTIONS(4707), 1,
      sym_keyword_filter,
    STATE(1928), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [87060] = 5,
    ACTIONS(4707), 1,
      sym_keyword_filter,
    STATE(1933), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2740), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [87125] = 5,
    ACTIONS(4707), 1,
      sym_keyword_filter,
    STATE(1936), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [87190] = 5,
    ACTIONS(4707), 1,
      sym_keyword_filter,
    STATE(1937), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [87255] = 5,
    ACTIONS(4707), 1,
      sym_keyword_filter,
    STATE(1939), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [87320] = 5,
    ACTIONS(4707), 1,
      sym_keyword_filter,
    STATE(1942), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [87385] = 5,
    ACTIONS(4707), 1,
      sym_keyword_filter,
    STATE(1945), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [87450] = 5,
    ACTIONS(4707), 1,
      sym_keyword_filter,
    STATE(1948), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2738), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2736), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [87515] = 5,
    ACTIONS(4707), 1,
      sym_keyword_filter,
    STATE(1950), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [87580] = 5,
    ACTIONS(4707), 1,
      sym_keyword_filter,
    STATE(1953), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [87645] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(4711), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5702), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [87756] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4713), 1,
      anon_sym_LPAREN,
    ACTIONS(4715), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5370), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [87867] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4717), 1,
      anon_sym_LPAREN,
    ACTIONS(4719), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5372), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [87978] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4721), 1,
      anon_sym_LPAREN,
    ACTIONS(4723), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5373), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [88089] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4725), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5844), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [88200] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1382), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [88263] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4727), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5384), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [88374] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4527), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(6667), 1,
      sym_binary_expression,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6219), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [88487] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(4729), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4884), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [88598] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4731), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5662), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [88709] = 29,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4195), 1,
      sym_keyword_null,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(4735), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4733), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(825), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [88822] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    ACTIONS(4737), 1,
      sym_parameter,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(2745), 1,
      sym_identifier,
    STATE(3665), 1,
      sym_invocation,
    STATE(4192), 1,
      sym__qualified_field,
    STATE(11791), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4138), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2661), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [88933] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    ACTIONS(4739), 1,
      sym_parameter,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(2745), 1,
      sym_identifier,
    STATE(3665), 1,
      sym_invocation,
    STATE(4192), 1,
      sym__qualified_field,
    STATE(11791), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4138), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2737), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [89044] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4741), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5868), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [89155] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(4743), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4763), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [89266] = 28,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(4745), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4195), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(737), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [89377] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(4747), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4932), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [89488] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(4111), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      sym_op_unary_other,
    ACTIONS(4749), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(4786), 1,
      sym_invocation,
    STATE(11803), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4109), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2907), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [89599] = 28,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(4751), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4195), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(756), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [89710] = 28,
    ACTIONS(1215), 1,
      sym__identifier,
    ACTIONS(1219), 1,
      aux_sym_identifier_token1,
    ACTIONS(3655), 1,
      sym_keyword_cast,
    ACTIONS(3663), 1,
      sym_keyword_array,
    ACTIONS(3669), 1,
      anon_sym_PLUS,
    ACTIONS(3671), 1,
      anon_sym_DASH,
    ACTIONS(3673), 1,
      sym_op_unary_other,
    ACTIONS(3675), 1,
      sym__double_quote_string,
    ACTIONS(3677), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3679), 1,
      aux_sym__integer_token1,
    ACTIONS(3681), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3683), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3685), 1,
      sym__dollar_quoted_string,
    ACTIONS(3849), 1,
      sym_keyword_case,
    ACTIONS(3853), 1,
      sym_keyword_exists,
    ACTIONS(3855), 1,
      sym_keyword_interval,
    ACTIONS(3857), 1,
      anon_sym_LPAREN,
    ACTIONS(4753), 1,
      sym_parameter,
    STATE(933), 1,
      sym_identifier,
    STATE(2081), 1,
      sym_invocation,
    STATE(2095), 1,
      sym__single_quote_string,
    STATE(2310), 1,
      sym__qualified_field,
    STATE(11944), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3657), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2366), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1038), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [89821] = 28,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(4755), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4195), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(768), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [89932] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3915), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      sym_op_unary_other,
    ACTIONS(4757), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5296), 1,
      sym_invocation,
    STATE(11889), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3913), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5790), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [90043] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3915), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      sym_op_unary_other,
    ACTIONS(4759), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5296), 1,
      sym_invocation,
    STATE(11889), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3913), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5172), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [90154] = 29,
    ACTIONS(891), 1,
      sym__identifier,
    ACTIONS(949), 1,
      aux_sym_identifier_token1,
    ACTIONS(3811), 1,
      sym_keyword_cast,
    ACTIONS(3813), 1,
      sym_keyword_case,
    ACTIONS(3817), 1,
      sym_keyword_exists,
    ACTIONS(3821), 1,
      sym_keyword_null,
    ACTIONS(3823), 1,
      sym_keyword_interval,
    ACTIONS(3825), 1,
      sym_keyword_array,
    ACTIONS(3827), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_PLUS,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3835), 1,
      sym_op_unary_other,
    ACTIONS(3837), 1,
      sym__double_quote_string,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3841), 1,
      aux_sym__integer_token1,
    ACTIONS(3843), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3845), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3847), 1,
      sym__dollar_quoted_string,
    ACTIONS(4763), 1,
      sym_parameter,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4761), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3819), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1957), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [90267] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(4111), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      sym_op_unary_other,
    ACTIONS(4765), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(4786), 1,
      sym_invocation,
    STATE(11803), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4109), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4595), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [90378] = 28,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(4767), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4195), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(854), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [90489] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3915), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      sym_op_unary_other,
    ACTIONS(4769), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5296), 1,
      sym_invocation,
    STATE(11889), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3913), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5174), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [90600] = 28,
    ACTIONS(1215), 1,
      sym__identifier,
    ACTIONS(1219), 1,
      aux_sym_identifier_token1,
    ACTIONS(3655), 1,
      sym_keyword_cast,
    ACTIONS(3663), 1,
      sym_keyword_array,
    ACTIONS(3669), 1,
      anon_sym_PLUS,
    ACTIONS(3671), 1,
      anon_sym_DASH,
    ACTIONS(3673), 1,
      sym_op_unary_other,
    ACTIONS(3675), 1,
      sym__double_quote_string,
    ACTIONS(3677), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3679), 1,
      aux_sym__integer_token1,
    ACTIONS(3681), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3683), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3685), 1,
      sym__dollar_quoted_string,
    ACTIONS(3849), 1,
      sym_keyword_case,
    ACTIONS(3853), 1,
      sym_keyword_exists,
    ACTIONS(3855), 1,
      sym_keyword_interval,
    ACTIONS(3857), 1,
      anon_sym_LPAREN,
    ACTIONS(4771), 1,
      sym_parameter,
    STATE(933), 1,
      sym_identifier,
    STATE(2081), 1,
      sym_invocation,
    STATE(2095), 1,
      sym__single_quote_string,
    STATE(2310), 1,
      sym__qualified_field,
    STATE(11944), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3657), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2366), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1015), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [90711] = 29,
    ACTIONS(891), 1,
      sym__identifier,
    ACTIONS(949), 1,
      aux_sym_identifier_token1,
    ACTIONS(3811), 1,
      sym_keyword_cast,
    ACTIONS(3813), 1,
      sym_keyword_case,
    ACTIONS(3817), 1,
      sym_keyword_exists,
    ACTIONS(3821), 1,
      sym_keyword_null,
    ACTIONS(3823), 1,
      sym_keyword_interval,
    ACTIONS(3825), 1,
      sym_keyword_array,
    ACTIONS(3827), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_PLUS,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3835), 1,
      sym_op_unary_other,
    ACTIONS(3837), 1,
      sym__double_quote_string,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3841), 1,
      aux_sym__integer_token1,
    ACTIONS(3843), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3845), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3847), 1,
      sym__dollar_quoted_string,
    ACTIONS(4775), 1,
      sym_parameter,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4773), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3819), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2082), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [90824] = 29,
    ACTIONS(891), 1,
      sym__identifier,
    ACTIONS(949), 1,
      aux_sym_identifier_token1,
    ACTIONS(3811), 1,
      sym_keyword_cast,
    ACTIONS(3813), 1,
      sym_keyword_case,
    ACTIONS(3817), 1,
      sym_keyword_exists,
    ACTIONS(3821), 1,
      sym_keyword_null,
    ACTIONS(3823), 1,
      sym_keyword_interval,
    ACTIONS(3825), 1,
      sym_keyword_array,
    ACTIONS(3827), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_PLUS,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3835), 1,
      sym_op_unary_other,
    ACTIONS(3837), 1,
      sym__double_quote_string,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3841), 1,
      aux_sym__integer_token1,
    ACTIONS(3843), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3845), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3847), 1,
      sym__dollar_quoted_string,
    ACTIONS(4779), 1,
      sym_parameter,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4777), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3819), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1920), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [90937] = 28,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(4781), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4195), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(769), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [91048] = 29,
    ACTIONS(891), 1,
      sym__identifier,
    ACTIONS(949), 1,
      aux_sym_identifier_token1,
    ACTIONS(3811), 1,
      sym_keyword_cast,
    ACTIONS(3813), 1,
      sym_keyword_case,
    ACTIONS(3817), 1,
      sym_keyword_exists,
    ACTIONS(3821), 1,
      sym_keyword_null,
    ACTIONS(3823), 1,
      sym_keyword_interval,
    ACTIONS(3825), 1,
      sym_keyword_array,
    ACTIONS(3827), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_PLUS,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3835), 1,
      sym_op_unary_other,
    ACTIONS(3837), 1,
      sym__double_quote_string,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3841), 1,
      aux_sym__integer_token1,
    ACTIONS(3843), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3845), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3847), 1,
      sym__dollar_quoted_string,
    ACTIONS(4785), 1,
      sym_parameter,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4783), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3819), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1938), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [91161] = 29,
    ACTIONS(891), 1,
      sym__identifier,
    ACTIONS(949), 1,
      aux_sym_identifier_token1,
    ACTIONS(3811), 1,
      sym_keyword_cast,
    ACTIONS(3813), 1,
      sym_keyword_case,
    ACTIONS(3817), 1,
      sym_keyword_exists,
    ACTIONS(3821), 1,
      sym_keyword_null,
    ACTIONS(3823), 1,
      sym_keyword_interval,
    ACTIONS(3825), 1,
      sym_keyword_array,
    ACTIONS(3827), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_PLUS,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3835), 1,
      sym_op_unary_other,
    ACTIONS(3837), 1,
      sym__double_quote_string,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3841), 1,
      aux_sym__integer_token1,
    ACTIONS(3843), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3845), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3847), 1,
      sym__dollar_quoted_string,
    ACTIONS(4789), 1,
      sym_parameter,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4787), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3819), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1940), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [91274] = 28,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(4791), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4195), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(789), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [91385] = 29,
    ACTIONS(891), 1,
      sym__identifier,
    ACTIONS(949), 1,
      aux_sym_identifier_token1,
    ACTIONS(3811), 1,
      sym_keyword_cast,
    ACTIONS(3813), 1,
      sym_keyword_case,
    ACTIONS(3817), 1,
      sym_keyword_exists,
    ACTIONS(3821), 1,
      sym_keyword_null,
    ACTIONS(3823), 1,
      sym_keyword_interval,
    ACTIONS(3825), 1,
      sym_keyword_array,
    ACTIONS(3827), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_PLUS,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3835), 1,
      sym_op_unary_other,
    ACTIONS(3837), 1,
      sym__double_quote_string,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3841), 1,
      aux_sym__integer_token1,
    ACTIONS(3843), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3845), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3847), 1,
      sym__dollar_quoted_string,
    ACTIONS(4795), 1,
      sym_parameter,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4793), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3819), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1988), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [91498] = 29,
    ACTIONS(891), 1,
      sym__identifier,
    ACTIONS(949), 1,
      aux_sym_identifier_token1,
    ACTIONS(3811), 1,
      sym_keyword_cast,
    ACTIONS(3813), 1,
      sym_keyword_case,
    ACTIONS(3817), 1,
      sym_keyword_exists,
    ACTIONS(3821), 1,
      sym_keyword_null,
    ACTIONS(3823), 1,
      sym_keyword_interval,
    ACTIONS(3825), 1,
      sym_keyword_array,
    ACTIONS(3827), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_PLUS,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3835), 1,
      sym_op_unary_other,
    ACTIONS(3837), 1,
      sym__double_quote_string,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3841), 1,
      aux_sym__integer_token1,
    ACTIONS(3843), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3845), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3847), 1,
      sym__dollar_quoted_string,
    ACTIONS(4799), 1,
      sym_parameter,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4797), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3819), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1993), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [91611] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(4801), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4140), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [91722] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(4803), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4141), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [91833] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(4805), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3949), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [91944] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(4807), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3950), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [92055] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(4809), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3952), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [92166] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(4811), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3953), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [92277] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(4813), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3954), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [92388] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(4815), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3955), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [92499] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(4817), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3956), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [92610] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(4819), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3957), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [92721] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3961), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3951), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [92832] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(4821), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3958), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [92943] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(4823), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3959), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [93054] = 28,
    ACTIONS(645), 1,
      sym__identifier,
    ACTIONS(703), 1,
      aux_sym_identifier_token1,
    ACTIONS(4069), 1,
      sym_keyword_cast,
    ACTIONS(4071), 1,
      sym_keyword_case,
    ACTIONS(4075), 1,
      sym_keyword_exists,
    ACTIONS(4081), 1,
      sym_keyword_interval,
    ACTIONS(4083), 1,
      sym_keyword_array,
    ACTIONS(4085), 1,
      anon_sym_LPAREN,
    ACTIONS(4089), 1,
      anon_sym_PLUS,
    ACTIONS(4091), 1,
      anon_sym_DASH,
    ACTIONS(4093), 1,
      sym_op_unary_other,
    ACTIONS(4095), 1,
      sym__double_quote_string,
    ACTIONS(4097), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4099), 1,
      aux_sym__integer_token1,
    ACTIONS(4101), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4103), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4105), 1,
      sym__dollar_quoted_string,
    ACTIONS(4825), 1,
      sym_parameter,
    STATE(1004), 1,
      sym__single_quote_string,
    STATE(5447), 1,
      sym_identifier,
    STATE(6258), 1,
      sym_invocation,
    STATE(6412), 1,
      sym__qualified_field,
    STATE(11821), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4079), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4077), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6450), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4725), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [93165] = 28,
    ACTIONS(3865), 1,
      sym__identifier,
    ACTIONS(3867), 1,
      sym_keyword_cast,
    ACTIONS(3869), 1,
      sym_keyword_case,
    ACTIONS(3873), 1,
      sym_keyword_exists,
    ACTIONS(3879), 1,
      sym_keyword_interval,
    ACTIONS(3881), 1,
      sym_keyword_array,
    ACTIONS(3883), 1,
      anon_sym_LPAREN,
    ACTIONS(3887), 1,
      anon_sym_PLUS,
    ACTIONS(3889), 1,
      anon_sym_DASH,
    ACTIONS(3891), 1,
      sym_op_unary_other,
    ACTIONS(3893), 1,
      sym__double_quote_string,
    ACTIONS(3895), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3897), 1,
      aux_sym__integer_token1,
    ACTIONS(3899), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3901), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3903), 1,
      aux_sym_identifier_token1,
    ACTIONS(3905), 1,
      sym__dollar_quoted_string,
    ACTIONS(4827), 1,
      sym_parameter,
    STATE(4896), 1,
      sym_identifier,
    STATE(5798), 1,
      sym_invocation,
    STATE(5901), 1,
      sym__qualified_field,
    STATE(6051), 1,
      sym__single_quote_string,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3877), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3875), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5879), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4135), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [93276] = 28,
    ACTIONS(3865), 1,
      sym__identifier,
    ACTIONS(3867), 1,
      sym_keyword_cast,
    ACTIONS(3869), 1,
      sym_keyword_case,
    ACTIONS(3873), 1,
      sym_keyword_exists,
    ACTIONS(3879), 1,
      sym_keyword_interval,
    ACTIONS(3881), 1,
      sym_keyword_array,
    ACTIONS(3883), 1,
      anon_sym_LPAREN,
    ACTIONS(3887), 1,
      anon_sym_PLUS,
    ACTIONS(3889), 1,
      anon_sym_DASH,
    ACTIONS(3891), 1,
      sym_op_unary_other,
    ACTIONS(3893), 1,
      sym__double_quote_string,
    ACTIONS(3895), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3897), 1,
      aux_sym__integer_token1,
    ACTIONS(3899), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3901), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3903), 1,
      aux_sym_identifier_token1,
    ACTIONS(3905), 1,
      sym__dollar_quoted_string,
    ACTIONS(4829), 1,
      sym_parameter,
    STATE(4896), 1,
      sym_identifier,
    STATE(5798), 1,
      sym_invocation,
    STATE(5901), 1,
      sym__qualified_field,
    STATE(6051), 1,
      sym__single_quote_string,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3877), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3875), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5879), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3970), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [93387] = 28,
    ACTIONS(3865), 1,
      sym__identifier,
    ACTIONS(3867), 1,
      sym_keyword_cast,
    ACTIONS(3869), 1,
      sym_keyword_case,
    ACTIONS(3873), 1,
      sym_keyword_exists,
    ACTIONS(3879), 1,
      sym_keyword_interval,
    ACTIONS(3881), 1,
      sym_keyword_array,
    ACTIONS(3883), 1,
      anon_sym_LPAREN,
    ACTIONS(3887), 1,
      anon_sym_PLUS,
    ACTIONS(3889), 1,
      anon_sym_DASH,
    ACTIONS(3891), 1,
      sym_op_unary_other,
    ACTIONS(3893), 1,
      sym__double_quote_string,
    ACTIONS(3895), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3897), 1,
      aux_sym__integer_token1,
    ACTIONS(3899), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3901), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3903), 1,
      aux_sym_identifier_token1,
    ACTIONS(3905), 1,
      sym__dollar_quoted_string,
    ACTIONS(4831), 1,
      sym_parameter,
    STATE(4896), 1,
      sym_identifier,
    STATE(5798), 1,
      sym_invocation,
    STATE(5901), 1,
      sym__qualified_field,
    STATE(6051), 1,
      sym__single_quote_string,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3877), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3875), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5879), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3971), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [93498] = 28,
    ACTIONS(3865), 1,
      sym__identifier,
    ACTIONS(3867), 1,
      sym_keyword_cast,
    ACTIONS(3869), 1,
      sym_keyword_case,
    ACTIONS(3873), 1,
      sym_keyword_exists,
    ACTIONS(3879), 1,
      sym_keyword_interval,
    ACTIONS(3881), 1,
      sym_keyword_array,
    ACTIONS(3883), 1,
      anon_sym_LPAREN,
    ACTIONS(3887), 1,
      anon_sym_PLUS,
    ACTIONS(3889), 1,
      anon_sym_DASH,
    ACTIONS(3891), 1,
      sym_op_unary_other,
    ACTIONS(3893), 1,
      sym__double_quote_string,
    ACTIONS(3895), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3897), 1,
      aux_sym__integer_token1,
    ACTIONS(3899), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3901), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3903), 1,
      aux_sym_identifier_token1,
    ACTIONS(3905), 1,
      sym__dollar_quoted_string,
    ACTIONS(4833), 1,
      sym_parameter,
    STATE(4896), 1,
      sym_identifier,
    STATE(5798), 1,
      sym_invocation,
    STATE(5901), 1,
      sym__qualified_field,
    STATE(6051), 1,
      sym__single_quote_string,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3877), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3875), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5879), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3976), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [93609] = 28,
    ACTIONS(3865), 1,
      sym__identifier,
    ACTIONS(3867), 1,
      sym_keyword_cast,
    ACTIONS(3869), 1,
      sym_keyword_case,
    ACTIONS(3873), 1,
      sym_keyword_exists,
    ACTIONS(3879), 1,
      sym_keyword_interval,
    ACTIONS(3881), 1,
      sym_keyword_array,
    ACTIONS(3883), 1,
      anon_sym_LPAREN,
    ACTIONS(3887), 1,
      anon_sym_PLUS,
    ACTIONS(3889), 1,
      anon_sym_DASH,
    ACTIONS(3891), 1,
      sym_op_unary_other,
    ACTIONS(3893), 1,
      sym__double_quote_string,
    ACTIONS(3895), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3897), 1,
      aux_sym__integer_token1,
    ACTIONS(3899), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3901), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3903), 1,
      aux_sym_identifier_token1,
    ACTIONS(3905), 1,
      sym__dollar_quoted_string,
    ACTIONS(4835), 1,
      sym_parameter,
    STATE(4896), 1,
      sym_identifier,
    STATE(5798), 1,
      sym_invocation,
    STATE(5901), 1,
      sym__qualified_field,
    STATE(6051), 1,
      sym__single_quote_string,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3877), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3875), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5879), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3977), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [93720] = 28,
    ACTIONS(3865), 1,
      sym__identifier,
    ACTIONS(3867), 1,
      sym_keyword_cast,
    ACTIONS(3869), 1,
      sym_keyword_case,
    ACTIONS(3873), 1,
      sym_keyword_exists,
    ACTIONS(3879), 1,
      sym_keyword_interval,
    ACTIONS(3881), 1,
      sym_keyword_array,
    ACTIONS(3883), 1,
      anon_sym_LPAREN,
    ACTIONS(3887), 1,
      anon_sym_PLUS,
    ACTIONS(3889), 1,
      anon_sym_DASH,
    ACTIONS(3891), 1,
      sym_op_unary_other,
    ACTIONS(3893), 1,
      sym__double_quote_string,
    ACTIONS(3895), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3897), 1,
      aux_sym__integer_token1,
    ACTIONS(3899), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3901), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3903), 1,
      aux_sym_identifier_token1,
    ACTIONS(3905), 1,
      sym__dollar_quoted_string,
    ACTIONS(4837), 1,
      sym_parameter,
    STATE(4896), 1,
      sym_identifier,
    STATE(5798), 1,
      sym_invocation,
    STATE(5901), 1,
      sym__qualified_field,
    STATE(6051), 1,
      sym__single_quote_string,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3877), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3875), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5879), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3998), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [93831] = 28,
    ACTIONS(3865), 1,
      sym__identifier,
    ACTIONS(3867), 1,
      sym_keyword_cast,
    ACTIONS(3869), 1,
      sym_keyword_case,
    ACTIONS(3873), 1,
      sym_keyword_exists,
    ACTIONS(3879), 1,
      sym_keyword_interval,
    ACTIONS(3881), 1,
      sym_keyword_array,
    ACTIONS(3883), 1,
      anon_sym_LPAREN,
    ACTIONS(3887), 1,
      anon_sym_PLUS,
    ACTIONS(3889), 1,
      anon_sym_DASH,
    ACTIONS(3891), 1,
      sym_op_unary_other,
    ACTIONS(3893), 1,
      sym__double_quote_string,
    ACTIONS(3895), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3897), 1,
      aux_sym__integer_token1,
    ACTIONS(3899), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3901), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3903), 1,
      aux_sym_identifier_token1,
    ACTIONS(3905), 1,
      sym__dollar_quoted_string,
    ACTIONS(4839), 1,
      sym_parameter,
    STATE(4896), 1,
      sym_identifier,
    STATE(5798), 1,
      sym_invocation,
    STATE(5901), 1,
      sym__qualified_field,
    STATE(6051), 1,
      sym__single_quote_string,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3877), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3875), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5879), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4002), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [93942] = 28,
    ACTIONS(3865), 1,
      sym__identifier,
    ACTIONS(3867), 1,
      sym_keyword_cast,
    ACTIONS(3869), 1,
      sym_keyword_case,
    ACTIONS(3873), 1,
      sym_keyword_exists,
    ACTIONS(3879), 1,
      sym_keyword_interval,
    ACTIONS(3881), 1,
      sym_keyword_array,
    ACTIONS(3883), 1,
      anon_sym_LPAREN,
    ACTIONS(3887), 1,
      anon_sym_PLUS,
    ACTIONS(3889), 1,
      anon_sym_DASH,
    ACTIONS(3891), 1,
      sym_op_unary_other,
    ACTIONS(3893), 1,
      sym__double_quote_string,
    ACTIONS(3895), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3897), 1,
      aux_sym__integer_token1,
    ACTIONS(3899), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3901), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3903), 1,
      aux_sym_identifier_token1,
    ACTIONS(3905), 1,
      sym__dollar_quoted_string,
    ACTIONS(4841), 1,
      sym_parameter,
    STATE(4896), 1,
      sym_identifier,
    STATE(5798), 1,
      sym_invocation,
    STATE(5901), 1,
      sym__qualified_field,
    STATE(6051), 1,
      sym__single_quote_string,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3877), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3875), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5879), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4004), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [94053] = 28,
    ACTIONS(3865), 1,
      sym__identifier,
    ACTIONS(3867), 1,
      sym_keyword_cast,
    ACTIONS(3869), 1,
      sym_keyword_case,
    ACTIONS(3873), 1,
      sym_keyword_exists,
    ACTIONS(3879), 1,
      sym_keyword_interval,
    ACTIONS(3881), 1,
      sym_keyword_array,
    ACTIONS(3883), 1,
      anon_sym_LPAREN,
    ACTIONS(3887), 1,
      anon_sym_PLUS,
    ACTIONS(3889), 1,
      anon_sym_DASH,
    ACTIONS(3891), 1,
      sym_op_unary_other,
    ACTIONS(3893), 1,
      sym__double_quote_string,
    ACTIONS(3895), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3897), 1,
      aux_sym__integer_token1,
    ACTIONS(3899), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3901), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3903), 1,
      aux_sym_identifier_token1,
    ACTIONS(3905), 1,
      sym__dollar_quoted_string,
    ACTIONS(4843), 1,
      sym_parameter,
    STATE(4896), 1,
      sym_identifier,
    STATE(5798), 1,
      sym_invocation,
    STATE(5901), 1,
      sym__qualified_field,
    STATE(6051), 1,
      sym__single_quote_string,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3877), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3875), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5879), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4005), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [94164] = 28,
    ACTIONS(3865), 1,
      sym__identifier,
    ACTIONS(3867), 1,
      sym_keyword_cast,
    ACTIONS(3869), 1,
      sym_keyword_case,
    ACTIONS(3873), 1,
      sym_keyword_exists,
    ACTIONS(3879), 1,
      sym_keyword_interval,
    ACTIONS(3881), 1,
      sym_keyword_array,
    ACTIONS(3883), 1,
      anon_sym_LPAREN,
    ACTIONS(3885), 1,
      sym_parameter,
    ACTIONS(3887), 1,
      anon_sym_PLUS,
    ACTIONS(3889), 1,
      anon_sym_DASH,
    ACTIONS(3891), 1,
      sym_op_unary_other,
    ACTIONS(3893), 1,
      sym__double_quote_string,
    ACTIONS(3895), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3897), 1,
      aux_sym__integer_token1,
    ACTIONS(3899), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3901), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3903), 1,
      aux_sym_identifier_token1,
    ACTIONS(3905), 1,
      sym__dollar_quoted_string,
    STATE(4896), 1,
      sym_identifier,
    STATE(5798), 1,
      sym_invocation,
    STATE(5901), 1,
      sym__qualified_field,
    STATE(6051), 1,
      sym__single_quote_string,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3877), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3875), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5879), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4139), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [94275] = 28,
    ACTIONS(3865), 1,
      sym__identifier,
    ACTIONS(3867), 1,
      sym_keyword_cast,
    ACTIONS(3869), 1,
      sym_keyword_case,
    ACTIONS(3873), 1,
      sym_keyword_exists,
    ACTIONS(3879), 1,
      sym_keyword_interval,
    ACTIONS(3881), 1,
      sym_keyword_array,
    ACTIONS(3883), 1,
      anon_sym_LPAREN,
    ACTIONS(3887), 1,
      anon_sym_PLUS,
    ACTIONS(3889), 1,
      anon_sym_DASH,
    ACTIONS(3891), 1,
      sym_op_unary_other,
    ACTIONS(3893), 1,
      sym__double_quote_string,
    ACTIONS(3895), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3897), 1,
      aux_sym__integer_token1,
    ACTIONS(3899), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3901), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3903), 1,
      aux_sym_identifier_token1,
    ACTIONS(3905), 1,
      sym__dollar_quoted_string,
    ACTIONS(4845), 1,
      sym_parameter,
    STATE(4896), 1,
      sym_identifier,
    STATE(5798), 1,
      sym_invocation,
    STATE(5901), 1,
      sym__qualified_field,
    STATE(6051), 1,
      sym__single_quote_string,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3877), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3875), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5879), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4046), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [94386] = 28,
    ACTIONS(3865), 1,
      sym__identifier,
    ACTIONS(3867), 1,
      sym_keyword_cast,
    ACTIONS(3869), 1,
      sym_keyword_case,
    ACTIONS(3873), 1,
      sym_keyword_exists,
    ACTIONS(3879), 1,
      sym_keyword_interval,
    ACTIONS(3881), 1,
      sym_keyword_array,
    ACTIONS(3883), 1,
      anon_sym_LPAREN,
    ACTIONS(3887), 1,
      anon_sym_PLUS,
    ACTIONS(3889), 1,
      anon_sym_DASH,
    ACTIONS(3891), 1,
      sym_op_unary_other,
    ACTIONS(3893), 1,
      sym__double_quote_string,
    ACTIONS(3895), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3897), 1,
      aux_sym__integer_token1,
    ACTIONS(3899), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3901), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3903), 1,
      aux_sym_identifier_token1,
    ACTIONS(3905), 1,
      sym__dollar_quoted_string,
    ACTIONS(4847), 1,
      sym_parameter,
    STATE(4896), 1,
      sym_identifier,
    STATE(5798), 1,
      sym_invocation,
    STATE(5901), 1,
      sym__qualified_field,
    STATE(6051), 1,
      sym__single_quote_string,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3877), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3875), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5879), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4070), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [94497] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3915), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      sym_op_unary_other,
    ACTIONS(4849), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5296), 1,
      sym_invocation,
    STATE(11889), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3913), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4794), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [94608] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    ACTIONS(4851), 1,
      sym_parameter,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(2745), 1,
      sym_identifier,
    STATE(3665), 1,
      sym_invocation,
    STATE(4192), 1,
      sym__qualified_field,
    STATE(11791), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4138), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2372), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [94719] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(4111), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      sym_op_unary_other,
    ACTIONS(4853), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(4786), 1,
      sym_invocation,
    STATE(11803), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4109), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4828), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [94830] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3915), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      sym_op_unary_other,
    ACTIONS(4855), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5296), 1,
      sym_invocation,
    STATE(11889), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3913), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4592), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [94941] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4857), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5797), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [95052] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3915), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      sym_op_unary_other,
    ACTIONS(4859), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5296), 1,
      sym_invocation,
    STATE(11889), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3913), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4799), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [95163] = 28,
    ACTIONS(1035), 1,
      sym__identifier,
    ACTIONS(1093), 1,
      aux_sym_identifier_token1,
    ACTIONS(4139), 1,
      sym_keyword_cast,
    ACTIONS(4141), 1,
      sym_keyword_case,
    ACTIONS(4145), 1,
      sym_keyword_exists,
    ACTIONS(4151), 1,
      sym_keyword_interval,
    ACTIONS(4153), 1,
      sym_keyword_array,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    ACTIONS(4159), 1,
      anon_sym_PLUS,
    ACTIONS(4161), 1,
      anon_sym_DASH,
    ACTIONS(4163), 1,
      sym_op_unary_other,
    ACTIONS(4165), 1,
      sym__double_quote_string,
    ACTIONS(4167), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4169), 1,
      aux_sym__integer_token1,
    ACTIONS(4171), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4173), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4175), 1,
      sym__dollar_quoted_string,
    ACTIONS(4861), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(3075), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_invocation,
    STATE(4493), 1,
      sym__qualified_field,
    STATE(11923), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4149), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4147), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4624), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2175), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [95274] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4863), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5531), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [95385] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(4865), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(11767), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4000), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [95496] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4867), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5541), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [95607] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(4869), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5670), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [95718] = 29,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3931), 1,
      sym_keyword_null,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(4873), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4871), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(905), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [95831] = 28,
    ACTIONS(1035), 1,
      sym__identifier,
    ACTIONS(1093), 1,
      aux_sym_identifier_token1,
    ACTIONS(4139), 1,
      sym_keyword_cast,
    ACTIONS(4141), 1,
      sym_keyword_case,
    ACTIONS(4145), 1,
      sym_keyword_exists,
    ACTIONS(4151), 1,
      sym_keyword_interval,
    ACTIONS(4153), 1,
      sym_keyword_array,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    ACTIONS(4159), 1,
      anon_sym_PLUS,
    ACTIONS(4161), 1,
      anon_sym_DASH,
    ACTIONS(4163), 1,
      sym_op_unary_other,
    ACTIONS(4165), 1,
      sym__double_quote_string,
    ACTIONS(4167), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4169), 1,
      aux_sym__integer_token1,
    ACTIONS(4171), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4173), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4175), 1,
      sym__dollar_quoted_string,
    ACTIONS(4875), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(3075), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_invocation,
    STATE(4493), 1,
      sym__qualified_field,
    STATE(11923), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4149), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4147), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4624), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3027), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [95942] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4877), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5544), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [96053] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(4879), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5674), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [96164] = 29,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3931), 1,
      sym_keyword_null,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(4883), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4881), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(924), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [96277] = 29,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3931), 1,
      sym_keyword_null,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(4887), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4885), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(869), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [96390] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4889), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5547), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [96501] = 29,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3931), 1,
      sym_keyword_null,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(4893), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4891), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(901), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [96614] = 29,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3931), 1,
      sym_keyword_null,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(4897), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4895), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(902), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [96727] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4899), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5548), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [96838] = 29,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3931), 1,
      sym_keyword_null,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(4903), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4901), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(906), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [96951] = 29,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3931), 1,
      sym_keyword_null,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(4907), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4905), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(907), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [97064] = 28,
    ACTIONS(705), 1,
      sym__identifier,
    ACTIONS(763), 1,
      aux_sym_identifier_token1,
    ACTIONS(3761), 1,
      sym_keyword_cast,
    ACTIONS(3763), 1,
      sym_keyword_case,
    ACTIONS(3767), 1,
      sym_keyword_exists,
    ACTIONS(3771), 1,
      sym_keyword_interval,
    ACTIONS(3773), 1,
      sym_keyword_array,
    ACTIONS(3775), 1,
      anon_sym_LPAREN,
    ACTIONS(3779), 1,
      anon_sym_PLUS,
    ACTIONS(3781), 1,
      anon_sym_DASH,
    ACTIONS(3783), 1,
      sym_op_unary_other,
    ACTIONS(3785), 1,
      sym__double_quote_string,
    ACTIONS(3787), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3789), 1,
      aux_sym__integer_token1,
    ACTIONS(3791), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3793), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3795), 1,
      sym__dollar_quoted_string,
    ACTIONS(4909), 1,
      sym_parameter,
    STATE(2925), 1,
      sym_identifier,
    STATE(4142), 1,
      sym_invocation,
    STATE(4484), 1,
      sym__qualified_field,
    STATE(4645), 1,
      sym__single_quote_string,
    STATE(11838), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3769), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3765), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4630), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2121), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [97175] = 28,
    ACTIONS(891), 1,
      sym__identifier,
    ACTIONS(949), 1,
      aux_sym_identifier_token1,
    ACTIONS(3811), 1,
      sym_keyword_cast,
    ACTIONS(3813), 1,
      sym_keyword_case,
    ACTIONS(3817), 1,
      sym_keyword_exists,
    ACTIONS(3823), 1,
      sym_keyword_interval,
    ACTIONS(3825), 1,
      sym_keyword_array,
    ACTIONS(3827), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_PLUS,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3835), 1,
      sym_op_unary_other,
    ACTIONS(3837), 1,
      sym__double_quote_string,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3841), 1,
      aux_sym__integer_token1,
    ACTIONS(3843), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3845), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3847), 1,
      sym__dollar_quoted_string,
    ACTIONS(4911), 1,
      sym_parameter,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3821), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3819), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1935), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [97286] = 28,
    ACTIONS(891), 1,
      sym__identifier,
    ACTIONS(949), 1,
      aux_sym_identifier_token1,
    ACTIONS(3811), 1,
      sym_keyword_cast,
    ACTIONS(3813), 1,
      sym_keyword_case,
    ACTIONS(3817), 1,
      sym_keyword_exists,
    ACTIONS(3823), 1,
      sym_keyword_interval,
    ACTIONS(3825), 1,
      sym_keyword_array,
    ACTIONS(3827), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_PLUS,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3835), 1,
      sym_op_unary_other,
    ACTIONS(3837), 1,
      sym__double_quote_string,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3841), 1,
      aux_sym__integer_token1,
    ACTIONS(3843), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3845), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3847), 1,
      sym__dollar_quoted_string,
    ACTIONS(4913), 1,
      sym_parameter,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3821), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3819), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2061), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [97397] = 28,
    ACTIONS(891), 1,
      sym__identifier,
    ACTIONS(949), 1,
      aux_sym_identifier_token1,
    ACTIONS(3811), 1,
      sym_keyword_cast,
    ACTIONS(3813), 1,
      sym_keyword_case,
    ACTIONS(3817), 1,
      sym_keyword_exists,
    ACTIONS(3823), 1,
      sym_keyword_interval,
    ACTIONS(3825), 1,
      sym_keyword_array,
    ACTIONS(3827), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_PLUS,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3835), 1,
      sym_op_unary_other,
    ACTIONS(3837), 1,
      sym__double_quote_string,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3841), 1,
      aux_sym__integer_token1,
    ACTIONS(3843), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3845), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3847), 1,
      sym__dollar_quoted_string,
    ACTIONS(4915), 1,
      sym_parameter,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3821), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3819), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2063), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [97508] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(4917), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(11767), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4014), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [97619] = 28,
    ACTIONS(891), 1,
      sym__identifier,
    ACTIONS(949), 1,
      aux_sym_identifier_token1,
    ACTIONS(3811), 1,
      sym_keyword_cast,
    ACTIONS(3813), 1,
      sym_keyword_case,
    ACTIONS(3817), 1,
      sym_keyword_exists,
    ACTIONS(3823), 1,
      sym_keyword_interval,
    ACTIONS(3825), 1,
      sym_keyword_array,
    ACTIONS(3827), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_PLUS,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3835), 1,
      sym_op_unary_other,
    ACTIONS(3837), 1,
      sym__double_quote_string,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3841), 1,
      aux_sym__integer_token1,
    ACTIONS(3843), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3845), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3847), 1,
      sym__dollar_quoted_string,
    ACTIONS(4919), 1,
      sym_parameter,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3821), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3819), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2079), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [97730] = 28,
    ACTIONS(891), 1,
      sym__identifier,
    ACTIONS(949), 1,
      aux_sym_identifier_token1,
    ACTIONS(3811), 1,
      sym_keyword_cast,
    ACTIONS(3813), 1,
      sym_keyword_case,
    ACTIONS(3817), 1,
      sym_keyword_exists,
    ACTIONS(3823), 1,
      sym_keyword_interval,
    ACTIONS(3825), 1,
      sym_keyword_array,
    ACTIONS(3827), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_PLUS,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3835), 1,
      sym_op_unary_other,
    ACTIONS(3837), 1,
      sym__double_quote_string,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3841), 1,
      aux_sym__integer_token1,
    ACTIONS(3843), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3845), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3847), 1,
      sym__dollar_quoted_string,
    ACTIONS(4921), 1,
      sym_parameter,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3821), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3819), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2011), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [97841] = 28,
    ACTIONS(891), 1,
      sym__identifier,
    ACTIONS(949), 1,
      aux_sym_identifier_token1,
    ACTIONS(3811), 1,
      sym_keyword_cast,
    ACTIONS(3813), 1,
      sym_keyword_case,
    ACTIONS(3817), 1,
      sym_keyword_exists,
    ACTIONS(3823), 1,
      sym_keyword_interval,
    ACTIONS(3825), 1,
      sym_keyword_array,
    ACTIONS(3827), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_PLUS,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3835), 1,
      sym_op_unary_other,
    ACTIONS(3837), 1,
      sym__double_quote_string,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3841), 1,
      aux_sym__integer_token1,
    ACTIONS(3843), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3845), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3847), 1,
      sym__dollar_quoted_string,
    ACTIONS(4923), 1,
      sym_parameter,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3821), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3819), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1921), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [97952] = 28,
    ACTIONS(891), 1,
      sym__identifier,
    ACTIONS(949), 1,
      aux_sym_identifier_token1,
    ACTIONS(3811), 1,
      sym_keyword_cast,
    ACTIONS(3813), 1,
      sym_keyword_case,
    ACTIONS(3817), 1,
      sym_keyword_exists,
    ACTIONS(3823), 1,
      sym_keyword_interval,
    ACTIONS(3825), 1,
      sym_keyword_array,
    ACTIONS(3827), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_PLUS,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3835), 1,
      sym_op_unary_other,
    ACTIONS(3837), 1,
      sym__double_quote_string,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3841), 1,
      aux_sym__integer_token1,
    ACTIONS(3843), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3845), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3847), 1,
      sym__dollar_quoted_string,
    ACTIONS(4925), 1,
      sym_parameter,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3821), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3819), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1922), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98063] = 28,
    ACTIONS(891), 1,
      sym__identifier,
    ACTIONS(949), 1,
      aux_sym_identifier_token1,
    ACTIONS(3811), 1,
      sym_keyword_cast,
    ACTIONS(3813), 1,
      sym_keyword_case,
    ACTIONS(3817), 1,
      sym_keyword_exists,
    ACTIONS(3823), 1,
      sym_keyword_interval,
    ACTIONS(3825), 1,
      sym_keyword_array,
    ACTIONS(3827), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_PLUS,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3835), 1,
      sym_op_unary_other,
    ACTIONS(3837), 1,
      sym__double_quote_string,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3841), 1,
      aux_sym__integer_token1,
    ACTIONS(3843), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3845), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3847), 1,
      sym__dollar_quoted_string,
    ACTIONS(4927), 1,
      sym_parameter,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3821), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3819), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1923), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98174] = 28,
    ACTIONS(891), 1,
      sym__identifier,
    ACTIONS(949), 1,
      aux_sym_identifier_token1,
    ACTIONS(3811), 1,
      sym_keyword_cast,
    ACTIONS(3813), 1,
      sym_keyword_case,
    ACTIONS(3817), 1,
      sym_keyword_exists,
    ACTIONS(3823), 1,
      sym_keyword_interval,
    ACTIONS(3825), 1,
      sym_keyword_array,
    ACTIONS(3827), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_PLUS,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3835), 1,
      sym_op_unary_other,
    ACTIONS(3837), 1,
      sym__double_quote_string,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3841), 1,
      aux_sym__integer_token1,
    ACTIONS(3843), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3845), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3847), 1,
      sym__dollar_quoted_string,
    ACTIONS(4929), 1,
      sym_parameter,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3821), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3819), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1925), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98285] = 28,
    ACTIONS(891), 1,
      sym__identifier,
    ACTIONS(949), 1,
      aux_sym_identifier_token1,
    ACTIONS(3811), 1,
      sym_keyword_cast,
    ACTIONS(3813), 1,
      sym_keyword_case,
    ACTIONS(3817), 1,
      sym_keyword_exists,
    ACTIONS(3823), 1,
      sym_keyword_interval,
    ACTIONS(3825), 1,
      sym_keyword_array,
    ACTIONS(3827), 1,
      anon_sym_LPAREN,
    ACTIONS(3829), 1,
      sym_parameter,
    ACTIONS(3831), 1,
      anon_sym_PLUS,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3835), 1,
      sym_op_unary_other,
    ACTIONS(3837), 1,
      sym__double_quote_string,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3841), 1,
      aux_sym__integer_token1,
    ACTIONS(3843), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3845), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3847), 1,
      sym__dollar_quoted_string,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3821), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3819), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1972), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98396] = 28,
    ACTIONS(891), 1,
      sym__identifier,
    ACTIONS(949), 1,
      aux_sym_identifier_token1,
    ACTIONS(3811), 1,
      sym_keyword_cast,
    ACTIONS(3813), 1,
      sym_keyword_case,
    ACTIONS(3817), 1,
      sym_keyword_exists,
    ACTIONS(3823), 1,
      sym_keyword_interval,
    ACTIONS(3825), 1,
      sym_keyword_array,
    ACTIONS(3827), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_PLUS,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3835), 1,
      sym_op_unary_other,
    ACTIONS(3837), 1,
      sym__double_quote_string,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3841), 1,
      aux_sym__integer_token1,
    ACTIONS(3843), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3845), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3847), 1,
      sym__dollar_quoted_string,
    ACTIONS(4931), 1,
      sym_parameter,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3821), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3819), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1926), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98507] = 28,
    ACTIONS(891), 1,
      sym__identifier,
    ACTIONS(949), 1,
      aux_sym_identifier_token1,
    ACTIONS(3811), 1,
      sym_keyword_cast,
    ACTIONS(3813), 1,
      sym_keyword_case,
    ACTIONS(3817), 1,
      sym_keyword_exists,
    ACTIONS(3823), 1,
      sym_keyword_interval,
    ACTIONS(3825), 1,
      sym_keyword_array,
    ACTIONS(3827), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_PLUS,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3835), 1,
      sym_op_unary_other,
    ACTIONS(3837), 1,
      sym__double_quote_string,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3841), 1,
      aux_sym__integer_token1,
    ACTIONS(3843), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3845), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3847), 1,
      sym__dollar_quoted_string,
    ACTIONS(4933), 1,
      sym_parameter,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3821), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3819), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1927), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98618] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1386), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [98679] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(4111), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      sym_op_unary_other,
    ACTIONS(4935), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(4786), 1,
      sym_invocation,
    STATE(11803), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4109), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2792), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98790] = 28,
    ACTIONS(3865), 1,
      sym__identifier,
    ACTIONS(3867), 1,
      sym_keyword_cast,
    ACTIONS(3869), 1,
      sym_keyword_case,
    ACTIONS(3873), 1,
      sym_keyword_exists,
    ACTIONS(3879), 1,
      sym_keyword_interval,
    ACTIONS(3881), 1,
      sym_keyword_array,
    ACTIONS(3883), 1,
      anon_sym_LPAREN,
    ACTIONS(3887), 1,
      anon_sym_PLUS,
    ACTIONS(3889), 1,
      anon_sym_DASH,
    ACTIONS(3891), 1,
      sym_op_unary_other,
    ACTIONS(3893), 1,
      sym__double_quote_string,
    ACTIONS(3895), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3897), 1,
      aux_sym__integer_token1,
    ACTIONS(3899), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3901), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3903), 1,
      aux_sym_identifier_token1,
    ACTIONS(3905), 1,
      sym__dollar_quoted_string,
    ACTIONS(4937), 1,
      sym_parameter,
    STATE(4896), 1,
      sym_identifier,
    STATE(5798), 1,
      sym_invocation,
    STATE(5901), 1,
      sym__qualified_field,
    STATE(6051), 1,
      sym__single_quote_string,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3877), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3875), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5879), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4385), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98901] = 28,
    ACTIONS(891), 1,
      sym__identifier,
    ACTIONS(949), 1,
      aux_sym_identifier_token1,
    ACTIONS(3811), 1,
      sym_keyword_cast,
    ACTIONS(3813), 1,
      sym_keyword_case,
    ACTIONS(3817), 1,
      sym_keyword_exists,
    ACTIONS(3823), 1,
      sym_keyword_interval,
    ACTIONS(3825), 1,
      sym_keyword_array,
    ACTIONS(3827), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_PLUS,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3835), 1,
      sym_op_unary_other,
    ACTIONS(3837), 1,
      sym__double_quote_string,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3841), 1,
      aux_sym__integer_token1,
    ACTIONS(3843), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3845), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3847), 1,
      sym__dollar_quoted_string,
    ACTIONS(4939), 1,
      sym_parameter,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3821), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3819), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1929), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99012] = 28,
    ACTIONS(4247), 1,
      sym__identifier,
    ACTIONS(4249), 1,
      sym_keyword_cast,
    ACTIONS(4251), 1,
      sym_keyword_case,
    ACTIONS(4255), 1,
      sym_keyword_exists,
    ACTIONS(4261), 1,
      sym_keyword_interval,
    ACTIONS(4263), 1,
      sym_keyword_array,
    ACTIONS(4265), 1,
      anon_sym_LPAREN,
    ACTIONS(4269), 1,
      anon_sym_PLUS,
    ACTIONS(4271), 1,
      anon_sym_DASH,
    ACTIONS(4273), 1,
      sym_op_unary_other,
    ACTIONS(4275), 1,
      sym__double_quote_string,
    ACTIONS(4277), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4279), 1,
      aux_sym__integer_token1,
    ACTIONS(4281), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4283), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4285), 1,
      aux_sym_identifier_token1,
    ACTIONS(4287), 1,
      sym__dollar_quoted_string,
    ACTIONS(4941), 1,
      sym_parameter,
    STATE(4835), 1,
      sym_identifier,
    STATE(5420), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__qualified_field,
    STATE(5659), 1,
      sym__single_quote_string,
    STATE(11936), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4259), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4257), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3441), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99123] = 28,
    ACTIONS(891), 1,
      sym__identifier,
    ACTIONS(949), 1,
      aux_sym_identifier_token1,
    ACTIONS(3811), 1,
      sym_keyword_cast,
    ACTIONS(3813), 1,
      sym_keyword_case,
    ACTIONS(3817), 1,
      sym_keyword_exists,
    ACTIONS(3823), 1,
      sym_keyword_interval,
    ACTIONS(3825), 1,
      sym_keyword_array,
    ACTIONS(3827), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_PLUS,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3835), 1,
      sym_op_unary_other,
    ACTIONS(3837), 1,
      sym__double_quote_string,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3841), 1,
      aux_sym__integer_token1,
    ACTIONS(3843), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3845), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3847), 1,
      sym__dollar_quoted_string,
    ACTIONS(4943), 1,
      sym_parameter,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3821), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3819), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2074), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99234] = 28,
    ACTIONS(891), 1,
      sym__identifier,
    ACTIONS(949), 1,
      aux_sym_identifier_token1,
    ACTIONS(3811), 1,
      sym_keyword_cast,
    ACTIONS(3813), 1,
      sym_keyword_case,
    ACTIONS(3817), 1,
      sym_keyword_exists,
    ACTIONS(3823), 1,
      sym_keyword_interval,
    ACTIONS(3825), 1,
      sym_keyword_array,
    ACTIONS(3827), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_PLUS,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3835), 1,
      sym_op_unary_other,
    ACTIONS(3837), 1,
      sym__double_quote_string,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3841), 1,
      aux_sym__integer_token1,
    ACTIONS(3843), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3845), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3847), 1,
      sym__dollar_quoted_string,
    ACTIONS(4945), 1,
      sym_parameter,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3821), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3819), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2043), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99345] = 29,
    ACTIONS(1285), 1,
      sym__identifier,
    ACTIONS(1343), 1,
      aux_sym_identifier_token1,
    ACTIONS(4023), 1,
      sym_keyword_cast,
    ACTIONS(4025), 1,
      sym_keyword_case,
    ACTIONS(4029), 1,
      sym_keyword_exists,
    ACTIONS(4033), 1,
      sym_keyword_null,
    ACTIONS(4035), 1,
      sym_keyword_interval,
    ACTIONS(4037), 1,
      sym_keyword_array,
    ACTIONS(4039), 1,
      anon_sym_LPAREN,
    ACTIONS(4043), 1,
      anon_sym_PLUS,
    ACTIONS(4045), 1,
      anon_sym_DASH,
    ACTIONS(4047), 1,
      sym_op_unary_other,
    ACTIONS(4049), 1,
      sym__double_quote_string,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4053), 1,
      aux_sym__integer_token1,
    ACTIONS(4055), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4057), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4059), 1,
      sym__dollar_quoted_string,
    ACTIONS(4949), 1,
      sym_parameter,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4947), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4031), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2279), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99458] = 28,
    ACTIONS(4247), 1,
      sym__identifier,
    ACTIONS(4249), 1,
      sym_keyword_cast,
    ACTIONS(4251), 1,
      sym_keyword_case,
    ACTIONS(4255), 1,
      sym_keyword_exists,
    ACTIONS(4261), 1,
      sym_keyword_interval,
    ACTIONS(4263), 1,
      sym_keyword_array,
    ACTIONS(4265), 1,
      anon_sym_LPAREN,
    ACTIONS(4269), 1,
      anon_sym_PLUS,
    ACTIONS(4271), 1,
      anon_sym_DASH,
    ACTIONS(4273), 1,
      sym_op_unary_other,
    ACTIONS(4275), 1,
      sym__double_quote_string,
    ACTIONS(4277), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4279), 1,
      aux_sym__integer_token1,
    ACTIONS(4281), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4283), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4285), 1,
      aux_sym_identifier_token1,
    ACTIONS(4287), 1,
      sym__dollar_quoted_string,
    ACTIONS(4951), 1,
      sym_parameter,
    STATE(4835), 1,
      sym_identifier,
    STATE(5420), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__qualified_field,
    STATE(5659), 1,
      sym__single_quote_string,
    STATE(11936), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4259), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4257), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4753), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99569] = 28,
    ACTIONS(891), 1,
      sym__identifier,
    ACTIONS(949), 1,
      aux_sym_identifier_token1,
    ACTIONS(3811), 1,
      sym_keyword_cast,
    ACTIONS(3813), 1,
      sym_keyword_case,
    ACTIONS(3817), 1,
      sym_keyword_exists,
    ACTIONS(3823), 1,
      sym_keyword_interval,
    ACTIONS(3825), 1,
      sym_keyword_array,
    ACTIONS(3827), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_PLUS,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3835), 1,
      sym_op_unary_other,
    ACTIONS(3837), 1,
      sym__double_quote_string,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3841), 1,
      aux_sym__integer_token1,
    ACTIONS(3843), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3845), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3847), 1,
      sym__dollar_quoted_string,
    ACTIONS(4953), 1,
      sym_parameter,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3821), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3819), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2051), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99680] = 29,
    ACTIONS(1285), 1,
      sym__identifier,
    ACTIONS(1343), 1,
      aux_sym_identifier_token1,
    ACTIONS(4023), 1,
      sym_keyword_cast,
    ACTIONS(4025), 1,
      sym_keyword_case,
    ACTIONS(4029), 1,
      sym_keyword_exists,
    ACTIONS(4033), 1,
      sym_keyword_null,
    ACTIONS(4035), 1,
      sym_keyword_interval,
    ACTIONS(4037), 1,
      sym_keyword_array,
    ACTIONS(4039), 1,
      anon_sym_LPAREN,
    ACTIONS(4043), 1,
      anon_sym_PLUS,
    ACTIONS(4045), 1,
      anon_sym_DASH,
    ACTIONS(4047), 1,
      sym_op_unary_other,
    ACTIONS(4049), 1,
      sym__double_quote_string,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4053), 1,
      aux_sym__integer_token1,
    ACTIONS(4055), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4057), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4059), 1,
      sym__dollar_quoted_string,
    ACTIONS(4957), 1,
      sym_parameter,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4955), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4031), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2120), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99793] = 29,
    ACTIONS(1285), 1,
      sym__identifier,
    ACTIONS(1343), 1,
      aux_sym_identifier_token1,
    ACTIONS(4023), 1,
      sym_keyword_cast,
    ACTIONS(4025), 1,
      sym_keyword_case,
    ACTIONS(4029), 1,
      sym_keyword_exists,
    ACTIONS(4033), 1,
      sym_keyword_null,
    ACTIONS(4035), 1,
      sym_keyword_interval,
    ACTIONS(4037), 1,
      sym_keyword_array,
    ACTIONS(4039), 1,
      anon_sym_LPAREN,
    ACTIONS(4043), 1,
      anon_sym_PLUS,
    ACTIONS(4045), 1,
      anon_sym_DASH,
    ACTIONS(4047), 1,
      sym_op_unary_other,
    ACTIONS(4049), 1,
      sym__double_quote_string,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4053), 1,
      aux_sym__integer_token1,
    ACTIONS(4055), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4057), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4059), 1,
      sym__dollar_quoted_string,
    ACTIONS(4961), 1,
      sym_parameter,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4959), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4031), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2132), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99906] = 28,
    ACTIONS(891), 1,
      sym__identifier,
    ACTIONS(949), 1,
      aux_sym_identifier_token1,
    ACTIONS(3811), 1,
      sym_keyword_cast,
    ACTIONS(3813), 1,
      sym_keyword_case,
    ACTIONS(3817), 1,
      sym_keyword_exists,
    ACTIONS(3823), 1,
      sym_keyword_interval,
    ACTIONS(3825), 1,
      sym_keyword_array,
    ACTIONS(3827), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_PLUS,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3835), 1,
      sym_op_unary_other,
    ACTIONS(3837), 1,
      sym__double_quote_string,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3841), 1,
      aux_sym__integer_token1,
    ACTIONS(3843), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3845), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3847), 1,
      sym__dollar_quoted_string,
    ACTIONS(4963), 1,
      sym_parameter,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3821), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3819), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1951), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [100017] = 29,
    ACTIONS(1285), 1,
      sym__identifier,
    ACTIONS(1343), 1,
      aux_sym_identifier_token1,
    ACTIONS(4023), 1,
      sym_keyword_cast,
    ACTIONS(4025), 1,
      sym_keyword_case,
    ACTIONS(4029), 1,
      sym_keyword_exists,
    ACTIONS(4033), 1,
      sym_keyword_null,
    ACTIONS(4035), 1,
      sym_keyword_interval,
    ACTIONS(4037), 1,
      sym_keyword_array,
    ACTIONS(4039), 1,
      anon_sym_LPAREN,
    ACTIONS(4043), 1,
      anon_sym_PLUS,
    ACTIONS(4045), 1,
      anon_sym_DASH,
    ACTIONS(4047), 1,
      sym_op_unary_other,
    ACTIONS(4049), 1,
      sym__double_quote_string,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4053), 1,
      aux_sym__integer_token1,
    ACTIONS(4055), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4057), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4059), 1,
      sym__dollar_quoted_string,
    ACTIONS(4967), 1,
      sym_parameter,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4965), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4031), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2133), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [100130] = 29,
    ACTIONS(1285), 1,
      sym__identifier,
    ACTIONS(1343), 1,
      aux_sym_identifier_token1,
    ACTIONS(4023), 1,
      sym_keyword_cast,
    ACTIONS(4025), 1,
      sym_keyword_case,
    ACTIONS(4029), 1,
      sym_keyword_exists,
    ACTIONS(4033), 1,
      sym_keyword_null,
    ACTIONS(4035), 1,
      sym_keyword_interval,
    ACTIONS(4037), 1,
      sym_keyword_array,
    ACTIONS(4039), 1,
      anon_sym_LPAREN,
    ACTIONS(4043), 1,
      anon_sym_PLUS,
    ACTIONS(4045), 1,
      anon_sym_DASH,
    ACTIONS(4047), 1,
      sym_op_unary_other,
    ACTIONS(4049), 1,
      sym__double_quote_string,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4053), 1,
      aux_sym__integer_token1,
    ACTIONS(4055), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4057), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4059), 1,
      sym__dollar_quoted_string,
    ACTIONS(4971), 1,
      sym_parameter,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4969), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4031), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2134), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [100243] = 28,
    ACTIONS(891), 1,
      sym__identifier,
    ACTIONS(949), 1,
      aux_sym_identifier_token1,
    ACTIONS(3811), 1,
      sym_keyword_cast,
    ACTIONS(3813), 1,
      sym_keyword_case,
    ACTIONS(3817), 1,
      sym_keyword_exists,
    ACTIONS(3823), 1,
      sym_keyword_interval,
    ACTIONS(3825), 1,
      sym_keyword_array,
    ACTIONS(3827), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_PLUS,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3835), 1,
      sym_op_unary_other,
    ACTIONS(3837), 1,
      sym__double_quote_string,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3841), 1,
      aux_sym__integer_token1,
    ACTIONS(3843), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3845), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3847), 1,
      sym__dollar_quoted_string,
    ACTIONS(4973), 1,
      sym_parameter,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3821), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3819), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1984), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [100354] = 29,
    ACTIONS(1285), 1,
      sym__identifier,
    ACTIONS(1343), 1,
      aux_sym_identifier_token1,
    ACTIONS(4023), 1,
      sym_keyword_cast,
    ACTIONS(4025), 1,
      sym_keyword_case,
    ACTIONS(4029), 1,
      sym_keyword_exists,
    ACTIONS(4033), 1,
      sym_keyword_null,
    ACTIONS(4035), 1,
      sym_keyword_interval,
    ACTIONS(4037), 1,
      sym_keyword_array,
    ACTIONS(4039), 1,
      anon_sym_LPAREN,
    ACTIONS(4043), 1,
      anon_sym_PLUS,
    ACTIONS(4045), 1,
      anon_sym_DASH,
    ACTIONS(4047), 1,
      sym_op_unary_other,
    ACTIONS(4049), 1,
      sym__double_quote_string,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4053), 1,
      aux_sym__integer_token1,
    ACTIONS(4055), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4057), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4059), 1,
      sym__dollar_quoted_string,
    ACTIONS(4977), 1,
      sym_parameter,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4975), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4031), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2136), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [100467] = 29,
    ACTIONS(1285), 1,
      sym__identifier,
    ACTIONS(1343), 1,
      aux_sym_identifier_token1,
    ACTIONS(4023), 1,
      sym_keyword_cast,
    ACTIONS(4025), 1,
      sym_keyword_case,
    ACTIONS(4029), 1,
      sym_keyword_exists,
    ACTIONS(4033), 1,
      sym_keyword_null,
    ACTIONS(4035), 1,
      sym_keyword_interval,
    ACTIONS(4037), 1,
      sym_keyword_array,
    ACTIONS(4039), 1,
      anon_sym_LPAREN,
    ACTIONS(4043), 1,
      anon_sym_PLUS,
    ACTIONS(4045), 1,
      anon_sym_DASH,
    ACTIONS(4047), 1,
      sym_op_unary_other,
    ACTIONS(4049), 1,
      sym__double_quote_string,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4053), 1,
      aux_sym__integer_token1,
    ACTIONS(4055), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4057), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4059), 1,
      sym__dollar_quoted_string,
    ACTIONS(4981), 1,
      sym_parameter,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4979), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4031), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2137), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [100580] = 28,
    ACTIONS(765), 1,
      sym__identifier,
    ACTIONS(769), 1,
      aux_sym_identifier_token1,
    ACTIONS(2842), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3517), 1,
      sym_keyword_cast,
    ACTIONS(3525), 1,
      sym_keyword_array,
    ACTIONS(3531), 1,
      anon_sym_PLUS,
    ACTIONS(3533), 1,
      anon_sym_DASH,
    ACTIONS(3535), 1,
      sym_op_unary_other,
    ACTIONS(3537), 1,
      sym__double_quote_string,
    ACTIONS(3539), 1,
      aux_sym__integer_token1,
    ACTIONS(3541), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3543), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3545), 1,
      sym__dollar_quoted_string,
    ACTIONS(3697), 1,
      sym_keyword_case,
    ACTIONS(3699), 1,
      sym_keyword_exists,
    ACTIONS(3701), 1,
      sym_keyword_interval,
    ACTIONS(3703), 1,
      anon_sym_LPAREN,
    ACTIONS(4983), 1,
      sym_parameter,
    STATE(435), 1,
      sym_identifier,
    STATE(788), 1,
      sym_invocation,
    STATE(904), 1,
      sym__single_quote_string,
    STATE(921), 1,
      sym__qualified_field,
    STATE(11857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3523), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3519), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(885), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(304), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [100691] = 28,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(2994), 1,
      sym_keyword_cast,
    ACTIONS(2996), 1,
      sym_keyword_case,
    ACTIONS(3000), 1,
      sym_keyword_exists,
    ACTIONS(3004), 1,
      sym_keyword_interval,
    ACTIONS(3006), 1,
      sym_keyword_array,
    ACTIONS(3008), 1,
      anon_sym_LPAREN,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3018), 1,
      sym_op_unary_other,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    ACTIONS(4985), 1,
      sym_parameter,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(3057), 1,
      sym_identifier,
    STATE(4384), 1,
      sym_invocation,
    STATE(4658), 1,
      sym__qualified_field,
    STATE(11898), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2361), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [100802] = 28,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(2994), 1,
      sym_keyword_cast,
    ACTIONS(2996), 1,
      sym_keyword_case,
    ACTIONS(3000), 1,
      sym_keyword_exists,
    ACTIONS(3004), 1,
      sym_keyword_interval,
    ACTIONS(3006), 1,
      sym_keyword_array,
    ACTIONS(3008), 1,
      anon_sym_LPAREN,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3018), 1,
      sym_op_unary_other,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    ACTIONS(4987), 1,
      sym_parameter,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(3057), 1,
      sym_identifier,
    STATE(4384), 1,
      sym_invocation,
    STATE(4658), 1,
      sym__qualified_field,
    STATE(11898), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2111), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [100913] = 28,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(2994), 1,
      sym_keyword_cast,
    ACTIONS(2996), 1,
      sym_keyword_case,
    ACTIONS(3000), 1,
      sym_keyword_exists,
    ACTIONS(3004), 1,
      sym_keyword_interval,
    ACTIONS(3006), 1,
      sym_keyword_array,
    ACTIONS(3008), 1,
      anon_sym_LPAREN,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3018), 1,
      sym_op_unary_other,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    ACTIONS(4989), 1,
      sym_parameter,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(3057), 1,
      sym_identifier,
    STATE(4384), 1,
      sym_invocation,
    STATE(4658), 1,
      sym__qualified_field,
    STATE(11898), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2112), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101024] = 28,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(2994), 1,
      sym_keyword_cast,
    ACTIONS(2996), 1,
      sym_keyword_case,
    ACTIONS(3000), 1,
      sym_keyword_exists,
    ACTIONS(3004), 1,
      sym_keyword_interval,
    ACTIONS(3006), 1,
      sym_keyword_array,
    ACTIONS(3008), 1,
      anon_sym_LPAREN,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3018), 1,
      sym_op_unary_other,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    ACTIONS(4991), 1,
      sym_parameter,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(3057), 1,
      sym_identifier,
    STATE(4384), 1,
      sym_invocation,
    STATE(4658), 1,
      sym__qualified_field,
    STATE(11898), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2114), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101135] = 28,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(2994), 1,
      sym_keyword_cast,
    ACTIONS(2996), 1,
      sym_keyword_case,
    ACTIONS(3000), 1,
      sym_keyword_exists,
    ACTIONS(3004), 1,
      sym_keyword_interval,
    ACTIONS(3006), 1,
      sym_keyword_array,
    ACTIONS(3008), 1,
      anon_sym_LPAREN,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3018), 1,
      sym_op_unary_other,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    ACTIONS(4993), 1,
      sym_parameter,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(3057), 1,
      sym_identifier,
    STATE(4384), 1,
      sym_invocation,
    STATE(4658), 1,
      sym__qualified_field,
    STATE(11898), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2115), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101246] = 28,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(2994), 1,
      sym_keyword_cast,
    ACTIONS(2996), 1,
      sym_keyword_case,
    ACTIONS(3000), 1,
      sym_keyword_exists,
    ACTIONS(3004), 1,
      sym_keyword_interval,
    ACTIONS(3006), 1,
      sym_keyword_array,
    ACTIONS(3008), 1,
      anon_sym_LPAREN,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3018), 1,
      sym_op_unary_other,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    ACTIONS(4995), 1,
      sym_parameter,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(3057), 1,
      sym_identifier,
    STATE(4384), 1,
      sym_invocation,
    STATE(4658), 1,
      sym__qualified_field,
    STATE(11898), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2128), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101357] = 28,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(2994), 1,
      sym_keyword_cast,
    ACTIONS(2996), 1,
      sym_keyword_case,
    ACTIONS(3000), 1,
      sym_keyword_exists,
    ACTIONS(3004), 1,
      sym_keyword_interval,
    ACTIONS(3006), 1,
      sym_keyword_array,
    ACTIONS(3008), 1,
      anon_sym_LPAREN,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3018), 1,
      sym_op_unary_other,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    ACTIONS(4997), 1,
      sym_parameter,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(3057), 1,
      sym_identifier,
    STATE(4384), 1,
      sym_invocation,
    STATE(4658), 1,
      sym__qualified_field,
    STATE(11898), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2129), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101468] = 28,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(2994), 1,
      sym_keyword_cast,
    ACTIONS(2996), 1,
      sym_keyword_case,
    ACTIONS(3000), 1,
      sym_keyword_exists,
    ACTIONS(3004), 1,
      sym_keyword_interval,
    ACTIONS(3006), 1,
      sym_keyword_array,
    ACTIONS(3008), 1,
      anon_sym_LPAREN,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3018), 1,
      sym_op_unary_other,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    ACTIONS(4999), 1,
      sym_parameter,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(3057), 1,
      sym_identifier,
    STATE(4384), 1,
      sym_invocation,
    STATE(4658), 1,
      sym__qualified_field,
    STATE(11898), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2130), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101579] = 28,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(2994), 1,
      sym_keyword_cast,
    ACTIONS(2996), 1,
      sym_keyword_case,
    ACTIONS(3000), 1,
      sym_keyword_exists,
    ACTIONS(3004), 1,
      sym_keyword_interval,
    ACTIONS(3006), 1,
      sym_keyword_array,
    ACTIONS(3008), 1,
      anon_sym_LPAREN,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3018), 1,
      sym_op_unary_other,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    ACTIONS(5001), 1,
      sym_parameter,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(3057), 1,
      sym_identifier,
    STATE(4384), 1,
      sym_invocation,
    STATE(4658), 1,
      sym__qualified_field,
    STATE(11898), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2131), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101690] = 28,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(2994), 1,
      sym_keyword_cast,
    ACTIONS(2996), 1,
      sym_keyword_case,
    ACTIONS(3000), 1,
      sym_keyword_exists,
    ACTIONS(3004), 1,
      sym_keyword_interval,
    ACTIONS(3006), 1,
      sym_keyword_array,
    ACTIONS(3008), 1,
      anon_sym_LPAREN,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3018), 1,
      sym_op_unary_other,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    ACTIONS(3695), 1,
      sym_parameter,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(3057), 1,
      sym_identifier,
    STATE(4384), 1,
      sym_invocation,
    STATE(4658), 1,
      sym__qualified_field,
    STATE(11898), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2362), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101801] = 28,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(2994), 1,
      sym_keyword_cast,
    ACTIONS(2996), 1,
      sym_keyword_case,
    ACTIONS(3000), 1,
      sym_keyword_exists,
    ACTIONS(3004), 1,
      sym_keyword_interval,
    ACTIONS(3006), 1,
      sym_keyword_array,
    ACTIONS(3008), 1,
      anon_sym_LPAREN,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3018), 1,
      sym_op_unary_other,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    ACTIONS(5003), 1,
      sym_parameter,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(3057), 1,
      sym_identifier,
    STATE(4384), 1,
      sym_invocation,
    STATE(4658), 1,
      sym__qualified_field,
    STATE(11898), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2142), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101912] = 28,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(2994), 1,
      sym_keyword_cast,
    ACTIONS(2996), 1,
      sym_keyword_case,
    ACTIONS(3000), 1,
      sym_keyword_exists,
    ACTIONS(3004), 1,
      sym_keyword_interval,
    ACTIONS(3006), 1,
      sym_keyword_array,
    ACTIONS(3008), 1,
      anon_sym_LPAREN,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3018), 1,
      sym_op_unary_other,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    ACTIONS(5005), 1,
      sym_parameter,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(3057), 1,
      sym_identifier,
    STATE(4384), 1,
      sym_invocation,
    STATE(4658), 1,
      sym__qualified_field,
    STATE(11898), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2146), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102023] = 28,
    ACTIONS(1035), 1,
      sym__identifier,
    ACTIONS(1093), 1,
      aux_sym_identifier_token1,
    ACTIONS(4139), 1,
      sym_keyword_cast,
    ACTIONS(4141), 1,
      sym_keyword_case,
    ACTIONS(4145), 1,
      sym_keyword_exists,
    ACTIONS(4151), 1,
      sym_keyword_interval,
    ACTIONS(4153), 1,
      sym_keyword_array,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    ACTIONS(4159), 1,
      anon_sym_PLUS,
    ACTIONS(4161), 1,
      anon_sym_DASH,
    ACTIONS(4163), 1,
      sym_op_unary_other,
    ACTIONS(4165), 1,
      sym__double_quote_string,
    ACTIONS(4167), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4169), 1,
      aux_sym__integer_token1,
    ACTIONS(4171), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4173), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4175), 1,
      sym__dollar_quoted_string,
    ACTIONS(5007), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(3075), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_invocation,
    STATE(4493), 1,
      sym__qualified_field,
    STATE(11923), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4149), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4147), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4624), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2705), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102134] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(5009), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4963), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102245] = 28,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5011), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3931), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(890), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102356] = 28,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5013), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3931), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(868), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102467] = 28,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5015), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3931), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(925), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102578] = 28,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5017), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3931), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(898), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102689] = 28,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5019), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3931), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(900), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102800] = 28,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5021), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3931), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(903), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102911] = 28,
    ACTIONS(3865), 1,
      sym__identifier,
    ACTIONS(3867), 1,
      sym_keyword_cast,
    ACTIONS(3869), 1,
      sym_keyword_case,
    ACTIONS(3873), 1,
      sym_keyword_exists,
    ACTIONS(3879), 1,
      sym_keyword_interval,
    ACTIONS(3881), 1,
      sym_keyword_array,
    ACTIONS(3883), 1,
      anon_sym_LPAREN,
    ACTIONS(3887), 1,
      anon_sym_PLUS,
    ACTIONS(3889), 1,
      anon_sym_DASH,
    ACTIONS(3891), 1,
      sym_op_unary_other,
    ACTIONS(3893), 1,
      sym__double_quote_string,
    ACTIONS(3895), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3897), 1,
      aux_sym__integer_token1,
    ACTIONS(3899), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3901), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3903), 1,
      aux_sym_identifier_token1,
    ACTIONS(3905), 1,
      sym__dollar_quoted_string,
    ACTIONS(5023), 1,
      sym_parameter,
    STATE(4896), 1,
      sym_identifier,
    STATE(5798), 1,
      sym_invocation,
    STATE(5901), 1,
      sym__qualified_field,
    STATE(6051), 1,
      sym__single_quote_string,
    STATE(11861), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3877), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3875), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5879), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4134), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103022] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3915), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      sym_op_unary_other,
    ACTIONS(5025), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5296), 1,
      sym_invocation,
    STATE(11889), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3913), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3832), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103133] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3915), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      sym_op_unary_other,
    ACTIONS(5027), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5296), 1,
      sym_invocation,
    STATE(11889), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3913), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3717), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103244] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3915), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      sym_op_unary_other,
    ACTIONS(5029), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5296), 1,
      sym_invocation,
    STATE(11889), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3913), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3718), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103355] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3915), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      sym_op_unary_other,
    ACTIONS(5031), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5296), 1,
      sym_invocation,
    STATE(11889), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3913), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3720), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103466] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3915), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      sym_op_unary_other,
    ACTIONS(5033), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5296), 1,
      sym_invocation,
    STATE(11889), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3913), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3721), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103577] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3915), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      sym_op_unary_other,
    ACTIONS(5035), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5296), 1,
      sym_invocation,
    STATE(11889), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3913), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3724), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103688] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3915), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      sym_op_unary_other,
    ACTIONS(5037), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5296), 1,
      sym_invocation,
    STATE(11889), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3913), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3725), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103799] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3915), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      sym_op_unary_other,
    ACTIONS(5039), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5296), 1,
      sym_invocation,
    STATE(11889), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3913), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3726), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103910] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3915), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      sym_op_unary_other,
    ACTIONS(5041), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5296), 1,
      sym_invocation,
    STATE(11889), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3913), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3727), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104021] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3915), 1,
      anon_sym_LPAREN,
    ACTIONS(3917), 1,
      sym_parameter,
    ACTIONS(3919), 1,
      sym_op_unary_other,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5296), 1,
      sym_invocation,
    STATE(11889), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3913), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3860), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104132] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(5043), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(11767), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4049), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104243] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3915), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      sym_op_unary_other,
    ACTIONS(5045), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5296), 1,
      sym_invocation,
    STATE(11889), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3913), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3732), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104354] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3915), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      sym_op_unary_other,
    ACTIONS(5047), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5296), 1,
      sym_invocation,
    STATE(11889), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3913), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3739), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104465] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(5049), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(11767), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4053), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104576] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(5051), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(11767), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4057), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104687] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(5053), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(11767), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4058), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104798] = 28,
    ACTIONS(4247), 1,
      sym__identifier,
    ACTIONS(4249), 1,
      sym_keyword_cast,
    ACTIONS(4251), 1,
      sym_keyword_case,
    ACTIONS(4255), 1,
      sym_keyword_exists,
    ACTIONS(4261), 1,
      sym_keyword_interval,
    ACTIONS(4263), 1,
      sym_keyword_array,
    ACTIONS(4265), 1,
      anon_sym_LPAREN,
    ACTIONS(4269), 1,
      anon_sym_PLUS,
    ACTIONS(4271), 1,
      anon_sym_DASH,
    ACTIONS(4273), 1,
      sym_op_unary_other,
    ACTIONS(4275), 1,
      sym__double_quote_string,
    ACTIONS(4277), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4279), 1,
      aux_sym__integer_token1,
    ACTIONS(4281), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4283), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4285), 1,
      aux_sym_identifier_token1,
    ACTIONS(4287), 1,
      sym__dollar_quoted_string,
    ACTIONS(5055), 1,
      sym_parameter,
    STATE(4835), 1,
      sym_identifier,
    STATE(5420), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__qualified_field,
    STATE(5659), 1,
      sym__single_quote_string,
    STATE(11936), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4259), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4257), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4174), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104909] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(5057), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(11767), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4066), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105020] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3915), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      sym_op_unary_other,
    ACTIONS(5059), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5296), 1,
      sym_invocation,
    STATE(11889), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3913), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4892), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105131] = 28,
    ACTIONS(1285), 1,
      sym__identifier,
    ACTIONS(1343), 1,
      aux_sym_identifier_token1,
    ACTIONS(4023), 1,
      sym_keyword_cast,
    ACTIONS(4025), 1,
      sym_keyword_case,
    ACTIONS(4029), 1,
      sym_keyword_exists,
    ACTIONS(4035), 1,
      sym_keyword_interval,
    ACTIONS(4037), 1,
      sym_keyword_array,
    ACTIONS(4039), 1,
      anon_sym_LPAREN,
    ACTIONS(4043), 1,
      anon_sym_PLUS,
    ACTIONS(4045), 1,
      anon_sym_DASH,
    ACTIONS(4047), 1,
      sym_op_unary_other,
    ACTIONS(4049), 1,
      sym__double_quote_string,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4053), 1,
      aux_sym__integer_token1,
    ACTIONS(4055), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4057), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4059), 1,
      sym__dollar_quoted_string,
    ACTIONS(5061), 1,
      sym_parameter,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4033), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4031), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2165), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105242] = 28,
    ACTIONS(1285), 1,
      sym__identifier,
    ACTIONS(1343), 1,
      aux_sym_identifier_token1,
    ACTIONS(4023), 1,
      sym_keyword_cast,
    ACTIONS(4025), 1,
      sym_keyword_case,
    ACTIONS(4029), 1,
      sym_keyword_exists,
    ACTIONS(4035), 1,
      sym_keyword_interval,
    ACTIONS(4037), 1,
      sym_keyword_array,
    ACTIONS(4039), 1,
      anon_sym_LPAREN,
    ACTIONS(4043), 1,
      anon_sym_PLUS,
    ACTIONS(4045), 1,
      anon_sym_DASH,
    ACTIONS(4047), 1,
      sym_op_unary_other,
    ACTIONS(4049), 1,
      sym__double_quote_string,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4053), 1,
      aux_sym__integer_token1,
    ACTIONS(4055), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4057), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4059), 1,
      sym__dollar_quoted_string,
    ACTIONS(5063), 1,
      sym_parameter,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4033), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4031), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2171), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105353] = 28,
    ACTIONS(1285), 1,
      sym__identifier,
    ACTIONS(1343), 1,
      aux_sym_identifier_token1,
    ACTIONS(4023), 1,
      sym_keyword_cast,
    ACTIONS(4025), 1,
      sym_keyword_case,
    ACTIONS(4029), 1,
      sym_keyword_exists,
    ACTIONS(4035), 1,
      sym_keyword_interval,
    ACTIONS(4037), 1,
      sym_keyword_array,
    ACTIONS(4039), 1,
      anon_sym_LPAREN,
    ACTIONS(4043), 1,
      anon_sym_PLUS,
    ACTIONS(4045), 1,
      anon_sym_DASH,
    ACTIONS(4047), 1,
      sym_op_unary_other,
    ACTIONS(4049), 1,
      sym__double_quote_string,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4053), 1,
      aux_sym__integer_token1,
    ACTIONS(4055), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4057), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4059), 1,
      sym__dollar_quoted_string,
    ACTIONS(5065), 1,
      sym_parameter,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4033), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4031), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2172), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105464] = 28,
    ACTIONS(1285), 1,
      sym__identifier,
    ACTIONS(1343), 1,
      aux_sym_identifier_token1,
    ACTIONS(4023), 1,
      sym_keyword_cast,
    ACTIONS(4025), 1,
      sym_keyword_case,
    ACTIONS(4029), 1,
      sym_keyword_exists,
    ACTIONS(4035), 1,
      sym_keyword_interval,
    ACTIONS(4037), 1,
      sym_keyword_array,
    ACTIONS(4039), 1,
      anon_sym_LPAREN,
    ACTIONS(4043), 1,
      anon_sym_PLUS,
    ACTIONS(4045), 1,
      anon_sym_DASH,
    ACTIONS(4047), 1,
      sym_op_unary_other,
    ACTIONS(4049), 1,
      sym__double_quote_string,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4053), 1,
      aux_sym__integer_token1,
    ACTIONS(4055), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4057), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4059), 1,
      sym__dollar_quoted_string,
    ACTIONS(5067), 1,
      sym_parameter,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4033), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4031), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2174), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105575] = 28,
    ACTIONS(1285), 1,
      sym__identifier,
    ACTIONS(1343), 1,
      aux_sym_identifier_token1,
    ACTIONS(4023), 1,
      sym_keyword_cast,
    ACTIONS(4025), 1,
      sym_keyword_case,
    ACTIONS(4029), 1,
      sym_keyword_exists,
    ACTIONS(4035), 1,
      sym_keyword_interval,
    ACTIONS(4037), 1,
      sym_keyword_array,
    ACTIONS(4039), 1,
      anon_sym_LPAREN,
    ACTIONS(4043), 1,
      anon_sym_PLUS,
    ACTIONS(4045), 1,
      anon_sym_DASH,
    ACTIONS(4047), 1,
      sym_op_unary_other,
    ACTIONS(4049), 1,
      sym__double_quote_string,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4053), 1,
      aux_sym__integer_token1,
    ACTIONS(4055), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4057), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4059), 1,
      sym__dollar_quoted_string,
    ACTIONS(5069), 1,
      sym_parameter,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4033), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4031), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2178), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105686] = 28,
    ACTIONS(1285), 1,
      sym__identifier,
    ACTIONS(1343), 1,
      aux_sym_identifier_token1,
    ACTIONS(4023), 1,
      sym_keyword_cast,
    ACTIONS(4025), 1,
      sym_keyword_case,
    ACTIONS(4029), 1,
      sym_keyword_exists,
    ACTIONS(4035), 1,
      sym_keyword_interval,
    ACTIONS(4037), 1,
      sym_keyword_array,
    ACTIONS(4039), 1,
      anon_sym_LPAREN,
    ACTIONS(4043), 1,
      anon_sym_PLUS,
    ACTIONS(4045), 1,
      anon_sym_DASH,
    ACTIONS(4047), 1,
      sym_op_unary_other,
    ACTIONS(4049), 1,
      sym__double_quote_string,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4053), 1,
      aux_sym__integer_token1,
    ACTIONS(4055), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4057), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4059), 1,
      sym__dollar_quoted_string,
    ACTIONS(5071), 1,
      sym_parameter,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4033), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4031), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2206), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105797] = 28,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(5073), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4195), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(565), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105908] = 28,
    ACTIONS(1035), 1,
      sym__identifier,
    ACTIONS(1093), 1,
      aux_sym_identifier_token1,
    ACTIONS(4139), 1,
      sym_keyword_cast,
    ACTIONS(4141), 1,
      sym_keyword_case,
    ACTIONS(4145), 1,
      sym_keyword_exists,
    ACTIONS(4151), 1,
      sym_keyword_interval,
    ACTIONS(4153), 1,
      sym_keyword_array,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    ACTIONS(4159), 1,
      anon_sym_PLUS,
    ACTIONS(4161), 1,
      anon_sym_DASH,
    ACTIONS(4163), 1,
      sym_op_unary_other,
    ACTIONS(4165), 1,
      sym__double_quote_string,
    ACTIONS(4167), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4169), 1,
      aux_sym__integer_token1,
    ACTIONS(4171), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4173), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4175), 1,
      sym__dollar_quoted_string,
    ACTIONS(5075), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(3075), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_invocation,
    STATE(4493), 1,
      sym__qualified_field,
    STATE(11923), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4149), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4147), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4624), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2110), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106019] = 28,
    ACTIONS(1035), 1,
      sym__identifier,
    ACTIONS(1093), 1,
      aux_sym_identifier_token1,
    ACTIONS(4139), 1,
      sym_keyword_cast,
    ACTIONS(4141), 1,
      sym_keyword_case,
    ACTIONS(4145), 1,
      sym_keyword_exists,
    ACTIONS(4151), 1,
      sym_keyword_interval,
    ACTIONS(4153), 1,
      sym_keyword_array,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    ACTIONS(4159), 1,
      anon_sym_PLUS,
    ACTIONS(4161), 1,
      anon_sym_DASH,
    ACTIONS(4163), 1,
      sym_op_unary_other,
    ACTIONS(4165), 1,
      sym__double_quote_string,
    ACTIONS(4167), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4169), 1,
      aux_sym__integer_token1,
    ACTIONS(4171), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4173), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4175), 1,
      sym__dollar_quoted_string,
    ACTIONS(5077), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(3075), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_invocation,
    STATE(4493), 1,
      sym__qualified_field,
    STATE(11923), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4149), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4147), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4624), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2181), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106130] = 28,
    ACTIONS(1035), 1,
      sym__identifier,
    ACTIONS(1093), 1,
      aux_sym_identifier_token1,
    ACTIONS(4139), 1,
      sym_keyword_cast,
    ACTIONS(4141), 1,
      sym_keyword_case,
    ACTIONS(4145), 1,
      sym_keyword_exists,
    ACTIONS(4151), 1,
      sym_keyword_interval,
    ACTIONS(4153), 1,
      sym_keyword_array,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    ACTIONS(4159), 1,
      anon_sym_PLUS,
    ACTIONS(4161), 1,
      anon_sym_DASH,
    ACTIONS(4163), 1,
      sym_op_unary_other,
    ACTIONS(4165), 1,
      sym__double_quote_string,
    ACTIONS(4167), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4169), 1,
      aux_sym__integer_token1,
    ACTIONS(4171), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4173), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4175), 1,
      sym__dollar_quoted_string,
    ACTIONS(5079), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(3075), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_invocation,
    STATE(4493), 1,
      sym__qualified_field,
    STATE(11923), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4149), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4147), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4624), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2182), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106241] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(5081), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(11767), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4067), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106352] = 28,
    ACTIONS(1035), 1,
      sym__identifier,
    ACTIONS(1093), 1,
      aux_sym_identifier_token1,
    ACTIONS(4139), 1,
      sym_keyword_cast,
    ACTIONS(4141), 1,
      sym_keyword_case,
    ACTIONS(4145), 1,
      sym_keyword_exists,
    ACTIONS(4151), 1,
      sym_keyword_interval,
    ACTIONS(4153), 1,
      sym_keyword_array,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    ACTIONS(4159), 1,
      anon_sym_PLUS,
    ACTIONS(4161), 1,
      anon_sym_DASH,
    ACTIONS(4163), 1,
      sym_op_unary_other,
    ACTIONS(4165), 1,
      sym__double_quote_string,
    ACTIONS(4167), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4169), 1,
      aux_sym__integer_token1,
    ACTIONS(4171), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4173), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4175), 1,
      sym__dollar_quoted_string,
    ACTIONS(5083), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(3075), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_invocation,
    STATE(4493), 1,
      sym__qualified_field,
    STATE(11923), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4149), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4147), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4624), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2185), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106463] = 28,
    ACTIONS(1035), 1,
      sym__identifier,
    ACTIONS(1093), 1,
      aux_sym_identifier_token1,
    ACTIONS(4139), 1,
      sym_keyword_cast,
    ACTIONS(4141), 1,
      sym_keyword_case,
    ACTIONS(4145), 1,
      sym_keyword_exists,
    ACTIONS(4151), 1,
      sym_keyword_interval,
    ACTIONS(4153), 1,
      sym_keyword_array,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    ACTIONS(4159), 1,
      anon_sym_PLUS,
    ACTIONS(4161), 1,
      anon_sym_DASH,
    ACTIONS(4163), 1,
      sym_op_unary_other,
    ACTIONS(4165), 1,
      sym__double_quote_string,
    ACTIONS(4167), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4169), 1,
      aux_sym__integer_token1,
    ACTIONS(4171), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4173), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4175), 1,
      sym__dollar_quoted_string,
    ACTIONS(5085), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(3075), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_invocation,
    STATE(4493), 1,
      sym__qualified_field,
    STATE(11923), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4149), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4147), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4624), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2186), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106574] = 28,
    ACTIONS(1035), 1,
      sym__identifier,
    ACTIONS(1093), 1,
      aux_sym_identifier_token1,
    ACTIONS(4139), 1,
      sym_keyword_cast,
    ACTIONS(4141), 1,
      sym_keyword_case,
    ACTIONS(4145), 1,
      sym_keyword_exists,
    ACTIONS(4151), 1,
      sym_keyword_interval,
    ACTIONS(4153), 1,
      sym_keyword_array,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    ACTIONS(4159), 1,
      anon_sym_PLUS,
    ACTIONS(4161), 1,
      anon_sym_DASH,
    ACTIONS(4163), 1,
      sym_op_unary_other,
    ACTIONS(4165), 1,
      sym__double_quote_string,
    ACTIONS(4167), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4169), 1,
      aux_sym__integer_token1,
    ACTIONS(4171), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4173), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4175), 1,
      sym__dollar_quoted_string,
    ACTIONS(5087), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(3075), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_invocation,
    STATE(4493), 1,
      sym__qualified_field,
    STATE(11923), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4149), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4147), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4624), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2190), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106685] = 28,
    ACTIONS(1035), 1,
      sym__identifier,
    ACTIONS(1093), 1,
      aux_sym_identifier_token1,
    ACTIONS(4139), 1,
      sym_keyword_cast,
    ACTIONS(4141), 1,
      sym_keyword_case,
    ACTIONS(4145), 1,
      sym_keyword_exists,
    ACTIONS(4151), 1,
      sym_keyword_interval,
    ACTIONS(4153), 1,
      sym_keyword_array,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    ACTIONS(4159), 1,
      anon_sym_PLUS,
    ACTIONS(4161), 1,
      anon_sym_DASH,
    ACTIONS(4163), 1,
      sym_op_unary_other,
    ACTIONS(4165), 1,
      sym__double_quote_string,
    ACTIONS(4167), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4169), 1,
      aux_sym__integer_token1,
    ACTIONS(4171), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4173), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4175), 1,
      sym__dollar_quoted_string,
    ACTIONS(5089), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(3075), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_invocation,
    STATE(4493), 1,
      sym__qualified_field,
    STATE(11923), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4149), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4147), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4624), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2195), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106796] = 28,
    ACTIONS(1035), 1,
      sym__identifier,
    ACTIONS(1093), 1,
      aux_sym_identifier_token1,
    ACTIONS(4139), 1,
      sym_keyword_cast,
    ACTIONS(4141), 1,
      sym_keyword_case,
    ACTIONS(4145), 1,
      sym_keyword_exists,
    ACTIONS(4151), 1,
      sym_keyword_interval,
    ACTIONS(4153), 1,
      sym_keyword_array,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    ACTIONS(4159), 1,
      anon_sym_PLUS,
    ACTIONS(4161), 1,
      anon_sym_DASH,
    ACTIONS(4163), 1,
      sym_op_unary_other,
    ACTIONS(4165), 1,
      sym__double_quote_string,
    ACTIONS(4167), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4169), 1,
      aux_sym__integer_token1,
    ACTIONS(4171), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4173), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4175), 1,
      sym__dollar_quoted_string,
    ACTIONS(5091), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(3075), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_invocation,
    STATE(4493), 1,
      sym__qualified_field,
    STATE(11923), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4149), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4147), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4624), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2196), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106907] = 28,
    ACTIONS(1035), 1,
      sym__identifier,
    ACTIONS(1093), 1,
      aux_sym_identifier_token1,
    ACTIONS(4139), 1,
      sym_keyword_cast,
    ACTIONS(4141), 1,
      sym_keyword_case,
    ACTIONS(4145), 1,
      sym_keyword_exists,
    ACTIONS(4151), 1,
      sym_keyword_interval,
    ACTIONS(4153), 1,
      sym_keyword_array,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    ACTIONS(4159), 1,
      anon_sym_PLUS,
    ACTIONS(4161), 1,
      anon_sym_DASH,
    ACTIONS(4163), 1,
      sym_op_unary_other,
    ACTIONS(4165), 1,
      sym__double_quote_string,
    ACTIONS(4167), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4169), 1,
      aux_sym__integer_token1,
    ACTIONS(4171), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4173), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4175), 1,
      sym__dollar_quoted_string,
    ACTIONS(5093), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(3075), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_invocation,
    STATE(4493), 1,
      sym__qualified_field,
    STATE(11923), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4149), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4147), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4624), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2202), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107018] = 28,
    ACTIONS(1035), 1,
      sym__identifier,
    ACTIONS(1093), 1,
      aux_sym_identifier_token1,
    ACTIONS(4139), 1,
      sym_keyword_cast,
    ACTIONS(4141), 1,
      sym_keyword_case,
    ACTIONS(4145), 1,
      sym_keyword_exists,
    ACTIONS(4151), 1,
      sym_keyword_interval,
    ACTIONS(4153), 1,
      sym_keyword_array,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    ACTIONS(4157), 1,
      sym_parameter,
    ACTIONS(4159), 1,
      anon_sym_PLUS,
    ACTIONS(4161), 1,
      anon_sym_DASH,
    ACTIONS(4163), 1,
      sym_op_unary_other,
    ACTIONS(4165), 1,
      sym__double_quote_string,
    ACTIONS(4167), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4169), 1,
      aux_sym__integer_token1,
    ACTIONS(4171), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4173), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4175), 1,
      sym__dollar_quoted_string,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(3075), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_invocation,
    STATE(4493), 1,
      sym__qualified_field,
    STATE(11923), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4149), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4147), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4624), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2113), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107129] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(5095), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(11767), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4068), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107240] = 28,
    ACTIONS(1035), 1,
      sym__identifier,
    ACTIONS(1093), 1,
      aux_sym_identifier_token1,
    ACTIONS(4139), 1,
      sym_keyword_cast,
    ACTIONS(4141), 1,
      sym_keyword_case,
    ACTIONS(4145), 1,
      sym_keyword_exists,
    ACTIONS(4151), 1,
      sym_keyword_interval,
    ACTIONS(4153), 1,
      sym_keyword_array,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    ACTIONS(4159), 1,
      anon_sym_PLUS,
    ACTIONS(4161), 1,
      anon_sym_DASH,
    ACTIONS(4163), 1,
      sym_op_unary_other,
    ACTIONS(4165), 1,
      sym__double_quote_string,
    ACTIONS(4167), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4169), 1,
      aux_sym__integer_token1,
    ACTIONS(4171), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4173), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4175), 1,
      sym__dollar_quoted_string,
    ACTIONS(5097), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(3075), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_invocation,
    STATE(4493), 1,
      sym__qualified_field,
    STATE(11923), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4149), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4147), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4624), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2203), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107351] = 28,
    ACTIONS(1035), 1,
      sym__identifier,
    ACTIONS(1093), 1,
      aux_sym_identifier_token1,
    ACTIONS(4139), 1,
      sym_keyword_cast,
    ACTIONS(4141), 1,
      sym_keyword_case,
    ACTIONS(4145), 1,
      sym_keyword_exists,
    ACTIONS(4151), 1,
      sym_keyword_interval,
    ACTIONS(4153), 1,
      sym_keyword_array,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    ACTIONS(4159), 1,
      anon_sym_PLUS,
    ACTIONS(4161), 1,
      anon_sym_DASH,
    ACTIONS(4163), 1,
      sym_op_unary_other,
    ACTIONS(4165), 1,
      sym__double_quote_string,
    ACTIONS(4167), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4169), 1,
      aux_sym__integer_token1,
    ACTIONS(4171), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4173), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4175), 1,
      sym__dollar_quoted_string,
    ACTIONS(5099), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(3075), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_invocation,
    STATE(4493), 1,
      sym__qualified_field,
    STATE(11923), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4149), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4147), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4624), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2204), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107462] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(5101), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(11767), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4069), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107573] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(3863), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(11767), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4056), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107684] = 28,
    ACTIONS(891), 1,
      sym__identifier,
    ACTIONS(949), 1,
      aux_sym_identifier_token1,
    ACTIONS(3811), 1,
      sym_keyword_cast,
    ACTIONS(3813), 1,
      sym_keyword_case,
    ACTIONS(3817), 1,
      sym_keyword_exists,
    ACTIONS(3823), 1,
      sym_keyword_interval,
    ACTIONS(3825), 1,
      sym_keyword_array,
    ACTIONS(3827), 1,
      anon_sym_LPAREN,
    ACTIONS(3831), 1,
      anon_sym_PLUS,
    ACTIONS(3833), 1,
      anon_sym_DASH,
    ACTIONS(3835), 1,
      sym_op_unary_other,
    ACTIONS(3837), 1,
      sym__double_quote_string,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3841), 1,
      aux_sym__integer_token1,
    ACTIONS(3843), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3845), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3847), 1,
      sym__dollar_quoted_string,
    ACTIONS(5103), 1,
      sym_parameter,
    STATE(2865), 1,
      sym_identifier,
    STATE(3821), 1,
      sym_invocation,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4076), 1,
      sym__qualified_field,
    STATE(11878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3821), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3819), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1934), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107795] = 28,
    ACTIONS(4247), 1,
      sym__identifier,
    ACTIONS(4249), 1,
      sym_keyword_cast,
    ACTIONS(4251), 1,
      sym_keyword_case,
    ACTIONS(4255), 1,
      sym_keyword_exists,
    ACTIONS(4261), 1,
      sym_keyword_interval,
    ACTIONS(4263), 1,
      sym_keyword_array,
    ACTIONS(4265), 1,
      anon_sym_LPAREN,
    ACTIONS(4269), 1,
      anon_sym_PLUS,
    ACTIONS(4271), 1,
      anon_sym_DASH,
    ACTIONS(4273), 1,
      sym_op_unary_other,
    ACTIONS(4275), 1,
      sym__double_quote_string,
    ACTIONS(4277), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4279), 1,
      aux_sym__integer_token1,
    ACTIONS(4281), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4283), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4285), 1,
      aux_sym_identifier_token1,
    ACTIONS(4287), 1,
      sym__dollar_quoted_string,
    ACTIONS(5105), 1,
      sym_parameter,
    STATE(4835), 1,
      sym_identifier,
    STATE(5420), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__qualified_field,
    STATE(5659), 1,
      sym__single_quote_string,
    STATE(11936), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4259), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4257), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3712), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107906] = 28,
    ACTIONS(4247), 1,
      sym__identifier,
    ACTIONS(4249), 1,
      sym_keyword_cast,
    ACTIONS(4251), 1,
      sym_keyword_case,
    ACTIONS(4255), 1,
      sym_keyword_exists,
    ACTIONS(4261), 1,
      sym_keyword_interval,
    ACTIONS(4263), 1,
      sym_keyword_array,
    ACTIONS(4265), 1,
      anon_sym_LPAREN,
    ACTIONS(4269), 1,
      anon_sym_PLUS,
    ACTIONS(4271), 1,
      anon_sym_DASH,
    ACTIONS(4273), 1,
      sym_op_unary_other,
    ACTIONS(4275), 1,
      sym__double_quote_string,
    ACTIONS(4277), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4279), 1,
      aux_sym__integer_token1,
    ACTIONS(4281), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4283), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4285), 1,
      aux_sym_identifier_token1,
    ACTIONS(4287), 1,
      sym__dollar_quoted_string,
    ACTIONS(5107), 1,
      sym_parameter,
    STATE(4835), 1,
      sym_identifier,
    STATE(5420), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__qualified_field,
    STATE(5659), 1,
      sym__single_quote_string,
    STATE(11936), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4259), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4257), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3806), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108017] = 28,
    ACTIONS(4247), 1,
      sym__identifier,
    ACTIONS(4249), 1,
      sym_keyword_cast,
    ACTIONS(4251), 1,
      sym_keyword_case,
    ACTIONS(4255), 1,
      sym_keyword_exists,
    ACTIONS(4261), 1,
      sym_keyword_interval,
    ACTIONS(4263), 1,
      sym_keyword_array,
    ACTIONS(4265), 1,
      anon_sym_LPAREN,
    ACTIONS(4269), 1,
      anon_sym_PLUS,
    ACTIONS(4271), 1,
      anon_sym_DASH,
    ACTIONS(4273), 1,
      sym_op_unary_other,
    ACTIONS(4275), 1,
      sym__double_quote_string,
    ACTIONS(4277), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4279), 1,
      aux_sym__integer_token1,
    ACTIONS(4281), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4283), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4285), 1,
      aux_sym_identifier_token1,
    ACTIONS(4287), 1,
      sym__dollar_quoted_string,
    ACTIONS(5109), 1,
      sym_parameter,
    STATE(4835), 1,
      sym_identifier,
    STATE(5420), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__qualified_field,
    STATE(5659), 1,
      sym__single_quote_string,
    STATE(11936), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4259), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4257), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3827), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108128] = 28,
    ACTIONS(4247), 1,
      sym__identifier,
    ACTIONS(4249), 1,
      sym_keyword_cast,
    ACTIONS(4251), 1,
      sym_keyword_case,
    ACTIONS(4255), 1,
      sym_keyword_exists,
    ACTIONS(4261), 1,
      sym_keyword_interval,
    ACTIONS(4263), 1,
      sym_keyword_array,
    ACTIONS(4265), 1,
      anon_sym_LPAREN,
    ACTIONS(4269), 1,
      anon_sym_PLUS,
    ACTIONS(4271), 1,
      anon_sym_DASH,
    ACTIONS(4273), 1,
      sym_op_unary_other,
    ACTIONS(4275), 1,
      sym__double_quote_string,
    ACTIONS(4277), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4279), 1,
      aux_sym__integer_token1,
    ACTIONS(4281), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4283), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4285), 1,
      aux_sym_identifier_token1,
    ACTIONS(4287), 1,
      sym__dollar_quoted_string,
    ACTIONS(5111), 1,
      sym_parameter,
    STATE(4835), 1,
      sym_identifier,
    STATE(5420), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__qualified_field,
    STATE(5659), 1,
      sym__single_quote_string,
    STATE(11936), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4259), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4257), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3828), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108239] = 28,
    ACTIONS(4247), 1,
      sym__identifier,
    ACTIONS(4249), 1,
      sym_keyword_cast,
    ACTIONS(4251), 1,
      sym_keyword_case,
    ACTIONS(4255), 1,
      sym_keyword_exists,
    ACTIONS(4261), 1,
      sym_keyword_interval,
    ACTIONS(4263), 1,
      sym_keyword_array,
    ACTIONS(4265), 1,
      anon_sym_LPAREN,
    ACTIONS(4269), 1,
      anon_sym_PLUS,
    ACTIONS(4271), 1,
      anon_sym_DASH,
    ACTIONS(4273), 1,
      sym_op_unary_other,
    ACTIONS(4275), 1,
      sym__double_quote_string,
    ACTIONS(4277), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4279), 1,
      aux_sym__integer_token1,
    ACTIONS(4281), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4283), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4285), 1,
      aux_sym_identifier_token1,
    ACTIONS(4287), 1,
      sym__dollar_quoted_string,
    ACTIONS(5113), 1,
      sym_parameter,
    STATE(4835), 1,
      sym_identifier,
    STATE(5420), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__qualified_field,
    STATE(5659), 1,
      sym__single_quote_string,
    STATE(11936), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4259), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4257), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3856), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108350] = 28,
    ACTIONS(4247), 1,
      sym__identifier,
    ACTIONS(4249), 1,
      sym_keyword_cast,
    ACTIONS(4251), 1,
      sym_keyword_case,
    ACTIONS(4255), 1,
      sym_keyword_exists,
    ACTIONS(4261), 1,
      sym_keyword_interval,
    ACTIONS(4263), 1,
      sym_keyword_array,
    ACTIONS(4265), 1,
      anon_sym_LPAREN,
    ACTIONS(4269), 1,
      anon_sym_PLUS,
    ACTIONS(4271), 1,
      anon_sym_DASH,
    ACTIONS(4273), 1,
      sym_op_unary_other,
    ACTIONS(4275), 1,
      sym__double_quote_string,
    ACTIONS(4277), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4279), 1,
      aux_sym__integer_token1,
    ACTIONS(4281), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4283), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4285), 1,
      aux_sym_identifier_token1,
    ACTIONS(4287), 1,
      sym__dollar_quoted_string,
    ACTIONS(5115), 1,
      sym_parameter,
    STATE(4835), 1,
      sym_identifier,
    STATE(5420), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__qualified_field,
    STATE(5659), 1,
      sym__single_quote_string,
    STATE(11936), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4259), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4257), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3809), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108461] = 28,
    ACTIONS(4247), 1,
      sym__identifier,
    ACTIONS(4249), 1,
      sym_keyword_cast,
    ACTIONS(4251), 1,
      sym_keyword_case,
    ACTIONS(4255), 1,
      sym_keyword_exists,
    ACTIONS(4261), 1,
      sym_keyword_interval,
    ACTIONS(4263), 1,
      sym_keyword_array,
    ACTIONS(4265), 1,
      anon_sym_LPAREN,
    ACTIONS(4269), 1,
      anon_sym_PLUS,
    ACTIONS(4271), 1,
      anon_sym_DASH,
    ACTIONS(4273), 1,
      sym_op_unary_other,
    ACTIONS(4275), 1,
      sym__double_quote_string,
    ACTIONS(4277), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4279), 1,
      aux_sym__integer_token1,
    ACTIONS(4281), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4283), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4285), 1,
      aux_sym_identifier_token1,
    ACTIONS(4287), 1,
      sym__dollar_quoted_string,
    ACTIONS(5117), 1,
      sym_parameter,
    STATE(4835), 1,
      sym_identifier,
    STATE(5420), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__qualified_field,
    STATE(5659), 1,
      sym__single_quote_string,
    STATE(11936), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4259), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4257), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3528), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108572] = 28,
    ACTIONS(4247), 1,
      sym__identifier,
    ACTIONS(4249), 1,
      sym_keyword_cast,
    ACTIONS(4251), 1,
      sym_keyword_case,
    ACTIONS(4255), 1,
      sym_keyword_exists,
    ACTIONS(4261), 1,
      sym_keyword_interval,
    ACTIONS(4263), 1,
      sym_keyword_array,
    ACTIONS(4265), 1,
      anon_sym_LPAREN,
    ACTIONS(4269), 1,
      anon_sym_PLUS,
    ACTIONS(4271), 1,
      anon_sym_DASH,
    ACTIONS(4273), 1,
      sym_op_unary_other,
    ACTIONS(4275), 1,
      sym__double_quote_string,
    ACTIONS(4277), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4279), 1,
      aux_sym__integer_token1,
    ACTIONS(4281), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4283), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4285), 1,
      aux_sym_identifier_token1,
    ACTIONS(4287), 1,
      sym__dollar_quoted_string,
    ACTIONS(5119), 1,
      sym_parameter,
    STATE(4835), 1,
      sym_identifier,
    STATE(5420), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__qualified_field,
    STATE(5659), 1,
      sym__single_quote_string,
    STATE(11936), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4259), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4257), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3567), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108683] = 28,
    ACTIONS(4247), 1,
      sym__identifier,
    ACTIONS(4249), 1,
      sym_keyword_cast,
    ACTIONS(4251), 1,
      sym_keyword_case,
    ACTIONS(4255), 1,
      sym_keyword_exists,
    ACTIONS(4261), 1,
      sym_keyword_interval,
    ACTIONS(4263), 1,
      sym_keyword_array,
    ACTIONS(4265), 1,
      anon_sym_LPAREN,
    ACTIONS(4269), 1,
      anon_sym_PLUS,
    ACTIONS(4271), 1,
      anon_sym_DASH,
    ACTIONS(4273), 1,
      sym_op_unary_other,
    ACTIONS(4275), 1,
      sym__double_quote_string,
    ACTIONS(4277), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4279), 1,
      aux_sym__integer_token1,
    ACTIONS(4281), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4283), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4285), 1,
      aux_sym_identifier_token1,
    ACTIONS(4287), 1,
      sym__dollar_quoted_string,
    ACTIONS(5121), 1,
      sym_parameter,
    STATE(4835), 1,
      sym_identifier,
    STATE(5420), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__qualified_field,
    STATE(5659), 1,
      sym__single_quote_string,
    STATE(11936), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4259), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4257), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3677), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108794] = 28,
    ACTIONS(4247), 1,
      sym__identifier,
    ACTIONS(4249), 1,
      sym_keyword_cast,
    ACTIONS(4251), 1,
      sym_keyword_case,
    ACTIONS(4255), 1,
      sym_keyword_exists,
    ACTIONS(4261), 1,
      sym_keyword_interval,
    ACTIONS(4263), 1,
      sym_keyword_array,
    ACTIONS(4265), 1,
      anon_sym_LPAREN,
    ACTIONS(4267), 1,
      sym_parameter,
    ACTIONS(4269), 1,
      anon_sym_PLUS,
    ACTIONS(4271), 1,
      anon_sym_DASH,
    ACTIONS(4273), 1,
      sym_op_unary_other,
    ACTIONS(4275), 1,
      sym__double_quote_string,
    ACTIONS(4277), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4279), 1,
      aux_sym__integer_token1,
    ACTIONS(4281), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4283), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4285), 1,
      aux_sym_identifier_token1,
    ACTIONS(4287), 1,
      sym__dollar_quoted_string,
    STATE(4835), 1,
      sym_identifier,
    STATE(5420), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__qualified_field,
    STATE(5659), 1,
      sym__single_quote_string,
    STATE(11936), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4259), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4257), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3719), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108905] = 28,
    ACTIONS(4247), 1,
      sym__identifier,
    ACTIONS(4249), 1,
      sym_keyword_cast,
    ACTIONS(4251), 1,
      sym_keyword_case,
    ACTIONS(4255), 1,
      sym_keyword_exists,
    ACTIONS(4261), 1,
      sym_keyword_interval,
    ACTIONS(4263), 1,
      sym_keyword_array,
    ACTIONS(4265), 1,
      anon_sym_LPAREN,
    ACTIONS(4269), 1,
      anon_sym_PLUS,
    ACTIONS(4271), 1,
      anon_sym_DASH,
    ACTIONS(4273), 1,
      sym_op_unary_other,
    ACTIONS(4275), 1,
      sym__double_quote_string,
    ACTIONS(4277), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4279), 1,
      aux_sym__integer_token1,
    ACTIONS(4281), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4283), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4285), 1,
      aux_sym_identifier_token1,
    ACTIONS(4287), 1,
      sym__dollar_quoted_string,
    ACTIONS(5123), 1,
      sym_parameter,
    STATE(4835), 1,
      sym_identifier,
    STATE(5420), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__qualified_field,
    STATE(5659), 1,
      sym__single_quote_string,
    STATE(11936), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4259), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4257), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3698), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109016] = 28,
    ACTIONS(4247), 1,
      sym__identifier,
    ACTIONS(4249), 1,
      sym_keyword_cast,
    ACTIONS(4251), 1,
      sym_keyword_case,
    ACTIONS(4255), 1,
      sym_keyword_exists,
    ACTIONS(4261), 1,
      sym_keyword_interval,
    ACTIONS(4263), 1,
      sym_keyword_array,
    ACTIONS(4265), 1,
      anon_sym_LPAREN,
    ACTIONS(4269), 1,
      anon_sym_PLUS,
    ACTIONS(4271), 1,
      anon_sym_DASH,
    ACTIONS(4273), 1,
      sym_op_unary_other,
    ACTIONS(4275), 1,
      sym__double_quote_string,
    ACTIONS(4277), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4279), 1,
      aux_sym__integer_token1,
    ACTIONS(4281), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4283), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4285), 1,
      aux_sym_identifier_token1,
    ACTIONS(4287), 1,
      sym__dollar_quoted_string,
    ACTIONS(5125), 1,
      sym_parameter,
    STATE(4835), 1,
      sym_identifier,
    STATE(5420), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__qualified_field,
    STATE(5659), 1,
      sym__single_quote_string,
    STATE(11936), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4259), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4257), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3700), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109127] = 28,
    ACTIONS(4247), 1,
      sym__identifier,
    ACTIONS(4249), 1,
      sym_keyword_cast,
    ACTIONS(4251), 1,
      sym_keyword_case,
    ACTIONS(4255), 1,
      sym_keyword_exists,
    ACTIONS(4261), 1,
      sym_keyword_interval,
    ACTIONS(4263), 1,
      sym_keyword_array,
    ACTIONS(4265), 1,
      anon_sym_LPAREN,
    ACTIONS(4269), 1,
      anon_sym_PLUS,
    ACTIONS(4271), 1,
      anon_sym_DASH,
    ACTIONS(4273), 1,
      sym_op_unary_other,
    ACTIONS(4275), 1,
      sym__double_quote_string,
    ACTIONS(4277), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4279), 1,
      aux_sym__integer_token1,
    ACTIONS(4281), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4283), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4285), 1,
      aux_sym_identifier_token1,
    ACTIONS(4287), 1,
      sym__dollar_quoted_string,
    ACTIONS(5127), 1,
      sym_parameter,
    STATE(4835), 1,
      sym_identifier,
    STATE(5420), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__qualified_field,
    STATE(5659), 1,
      sym__single_quote_string,
    STATE(11936), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4259), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4257), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4554), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109238] = 28,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(2994), 1,
      sym_keyword_cast,
    ACTIONS(2996), 1,
      sym_keyword_case,
    ACTIONS(3000), 1,
      sym_keyword_exists,
    ACTIONS(3004), 1,
      sym_keyword_interval,
    ACTIONS(3006), 1,
      sym_keyword_array,
    ACTIONS(3008), 1,
      anon_sym_LPAREN,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3018), 1,
      sym_op_unary_other,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    ACTIONS(5129), 1,
      sym_parameter,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(3057), 1,
      sym_identifier,
    STATE(4384), 1,
      sym_invocation,
    STATE(4658), 1,
      sym__qualified_field,
    STATE(11898), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2998), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2358), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109349] = 28,
    ACTIONS(1155), 1,
      sym__identifier,
    ACTIONS(1213), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(5131), 1,
      sym_parameter,
    STATE(3143), 1,
      sym_identifier,
    STATE(4627), 1,
      sym_invocation,
    STATE(4768), 1,
      sym__single_quote_string,
    STATE(4776), 1,
      sym__qualified_field,
    STATE(11943), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4738), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2392), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109460] = 28,
    ACTIONS(1155), 1,
      sym__identifier,
    ACTIONS(1213), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(5133), 1,
      sym_parameter,
    STATE(3143), 1,
      sym_identifier,
    STATE(4627), 1,
      sym_invocation,
    STATE(4768), 1,
      sym__single_quote_string,
    STATE(4776), 1,
      sym__qualified_field,
    STATE(11943), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4738), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2424), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109571] = 28,
    ACTIONS(1155), 1,
      sym__identifier,
    ACTIONS(1213), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(5135), 1,
      sym_parameter,
    STATE(3143), 1,
      sym_identifier,
    STATE(4627), 1,
      sym_invocation,
    STATE(4768), 1,
      sym__single_quote_string,
    STATE(4776), 1,
      sym__qualified_field,
    STATE(11943), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4738), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2425), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109682] = 28,
    ACTIONS(1155), 1,
      sym__identifier,
    ACTIONS(1213), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(5137), 1,
      sym_parameter,
    STATE(3143), 1,
      sym_identifier,
    STATE(4627), 1,
      sym_invocation,
    STATE(4768), 1,
      sym__single_quote_string,
    STATE(4776), 1,
      sym__qualified_field,
    STATE(11943), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4738), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2426), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109793] = 28,
    ACTIONS(1155), 1,
      sym__identifier,
    ACTIONS(1213), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(5139), 1,
      sym_parameter,
    STATE(3143), 1,
      sym_identifier,
    STATE(4627), 1,
      sym_invocation,
    STATE(4768), 1,
      sym__single_quote_string,
    STATE(4776), 1,
      sym__qualified_field,
    STATE(11943), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4738), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2427), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109904] = 28,
    ACTIONS(1155), 1,
      sym__identifier,
    ACTIONS(1213), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(5141), 1,
      sym_parameter,
    STATE(3143), 1,
      sym_identifier,
    STATE(4627), 1,
      sym_invocation,
    STATE(4768), 1,
      sym__single_quote_string,
    STATE(4776), 1,
      sym__qualified_field,
    STATE(11943), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4738), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2428), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110015] = 28,
    ACTIONS(1155), 1,
      sym__identifier,
    ACTIONS(1213), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(5143), 1,
      sym_parameter,
    STATE(3143), 1,
      sym_identifier,
    STATE(4627), 1,
      sym_invocation,
    STATE(4768), 1,
      sym__single_quote_string,
    STATE(4776), 1,
      sym__qualified_field,
    STATE(11943), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4738), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2429), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110126] = 28,
    ACTIONS(1155), 1,
      sym__identifier,
    ACTIONS(1213), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(5145), 1,
      sym_parameter,
    STATE(3143), 1,
      sym_identifier,
    STATE(4627), 1,
      sym_invocation,
    STATE(4768), 1,
      sym__single_quote_string,
    STATE(4776), 1,
      sym__qualified_field,
    STATE(11943), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4738), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2430), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110237] = 28,
    ACTIONS(1155), 1,
      sym__identifier,
    ACTIONS(1213), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(5147), 1,
      sym_parameter,
    STATE(3143), 1,
      sym_identifier,
    STATE(4627), 1,
      sym_invocation,
    STATE(4768), 1,
      sym__single_quote_string,
    STATE(4776), 1,
      sym__qualified_field,
    STATE(11943), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4738), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2431), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110348] = 28,
    ACTIONS(1155), 1,
      sym__identifier,
    ACTIONS(1213), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3735), 1,
      sym_parameter,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    STATE(3143), 1,
      sym_identifier,
    STATE(4627), 1,
      sym_invocation,
    STATE(4768), 1,
      sym__single_quote_string,
    STATE(4776), 1,
      sym__qualified_field,
    STATE(11943), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4738), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2398), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110459] = 28,
    ACTIONS(1155), 1,
      sym__identifier,
    ACTIONS(1213), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(5149), 1,
      sym_parameter,
    STATE(3143), 1,
      sym_identifier,
    STATE(4627), 1,
      sym_invocation,
    STATE(4768), 1,
      sym__single_quote_string,
    STATE(4776), 1,
      sym__qualified_field,
    STATE(11943), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4738), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2432), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110570] = 28,
    ACTIONS(1155), 1,
      sym__identifier,
    ACTIONS(1213), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(5151), 1,
      sym_parameter,
    STATE(3143), 1,
      sym_identifier,
    STATE(4627), 1,
      sym_invocation,
    STATE(4768), 1,
      sym__single_quote_string,
    STATE(4776), 1,
      sym__qualified_field,
    STATE(11943), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4738), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2433), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110681] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3915), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      sym_op_unary_other,
    ACTIONS(5153), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5296), 1,
      sym_invocation,
    STATE(11889), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3913), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3815), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110792] = 28,
    ACTIONS(1215), 1,
      sym__identifier,
    ACTIONS(1219), 1,
      aux_sym_identifier_token1,
    ACTIONS(3655), 1,
      sym_keyword_cast,
    ACTIONS(3663), 1,
      sym_keyword_array,
    ACTIONS(3669), 1,
      anon_sym_PLUS,
    ACTIONS(3671), 1,
      anon_sym_DASH,
    ACTIONS(3673), 1,
      sym_op_unary_other,
    ACTIONS(3675), 1,
      sym__double_quote_string,
    ACTIONS(3677), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3679), 1,
      aux_sym__integer_token1,
    ACTIONS(3681), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3683), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3685), 1,
      sym__dollar_quoted_string,
    ACTIONS(3849), 1,
      sym_keyword_case,
    ACTIONS(3853), 1,
      sym_keyword_exists,
    ACTIONS(3855), 1,
      sym_keyword_interval,
    ACTIONS(3857), 1,
      anon_sym_LPAREN,
    ACTIONS(5155), 1,
      sym_parameter,
    STATE(933), 1,
      sym_identifier,
    STATE(2081), 1,
      sym_invocation,
    STATE(2095), 1,
      sym__single_quote_string,
    STATE(2310), 1,
      sym__qualified_field,
    STATE(11944), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3657), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2366), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(474), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110903] = 28,
    ACTIONS(1215), 1,
      sym__identifier,
    ACTIONS(1219), 1,
      aux_sym_identifier_token1,
    ACTIONS(3655), 1,
      sym_keyword_cast,
    ACTIONS(3663), 1,
      sym_keyword_array,
    ACTIONS(3669), 1,
      anon_sym_PLUS,
    ACTIONS(3671), 1,
      anon_sym_DASH,
    ACTIONS(3673), 1,
      sym_op_unary_other,
    ACTIONS(3675), 1,
      sym__double_quote_string,
    ACTIONS(3677), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3679), 1,
      aux_sym__integer_token1,
    ACTIONS(3681), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3683), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3685), 1,
      sym__dollar_quoted_string,
    ACTIONS(3849), 1,
      sym_keyword_case,
    ACTIONS(3853), 1,
      sym_keyword_exists,
    ACTIONS(3855), 1,
      sym_keyword_interval,
    ACTIONS(3857), 1,
      anon_sym_LPAREN,
    ACTIONS(5157), 1,
      sym_parameter,
    STATE(933), 1,
      sym_identifier,
    STATE(2081), 1,
      sym_invocation,
    STATE(2095), 1,
      sym__single_quote_string,
    STATE(2310), 1,
      sym__qualified_field,
    STATE(11944), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3657), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2366), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(475), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111014] = 28,
    ACTIONS(1215), 1,
      sym__identifier,
    ACTIONS(1219), 1,
      aux_sym_identifier_token1,
    ACTIONS(3655), 1,
      sym_keyword_cast,
    ACTIONS(3663), 1,
      sym_keyword_array,
    ACTIONS(3669), 1,
      anon_sym_PLUS,
    ACTIONS(3671), 1,
      anon_sym_DASH,
    ACTIONS(3673), 1,
      sym_op_unary_other,
    ACTIONS(3675), 1,
      sym__double_quote_string,
    ACTIONS(3677), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3679), 1,
      aux_sym__integer_token1,
    ACTIONS(3681), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3683), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3685), 1,
      sym__dollar_quoted_string,
    ACTIONS(3849), 1,
      sym_keyword_case,
    ACTIONS(3853), 1,
      sym_keyword_exists,
    ACTIONS(3855), 1,
      sym_keyword_interval,
    ACTIONS(3857), 1,
      anon_sym_LPAREN,
    ACTIONS(5159), 1,
      sym_parameter,
    STATE(933), 1,
      sym_identifier,
    STATE(2081), 1,
      sym_invocation,
    STATE(2095), 1,
      sym__single_quote_string,
    STATE(2310), 1,
      sym__qualified_field,
    STATE(11944), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3657), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2366), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(476), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111125] = 28,
    ACTIONS(1215), 1,
      sym__identifier,
    ACTIONS(1219), 1,
      aux_sym_identifier_token1,
    ACTIONS(3655), 1,
      sym_keyword_cast,
    ACTIONS(3663), 1,
      sym_keyword_array,
    ACTIONS(3669), 1,
      anon_sym_PLUS,
    ACTIONS(3671), 1,
      anon_sym_DASH,
    ACTIONS(3673), 1,
      sym_op_unary_other,
    ACTIONS(3675), 1,
      sym__double_quote_string,
    ACTIONS(3677), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3679), 1,
      aux_sym__integer_token1,
    ACTIONS(3681), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3683), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3685), 1,
      sym__dollar_quoted_string,
    ACTIONS(3849), 1,
      sym_keyword_case,
    ACTIONS(3853), 1,
      sym_keyword_exists,
    ACTIONS(3855), 1,
      sym_keyword_interval,
    ACTIONS(3857), 1,
      anon_sym_LPAREN,
    ACTIONS(5161), 1,
      sym_parameter,
    STATE(933), 1,
      sym_identifier,
    STATE(2081), 1,
      sym_invocation,
    STATE(2095), 1,
      sym__single_quote_string,
    STATE(2310), 1,
      sym__qualified_field,
    STATE(11944), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3657), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2366), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(478), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111236] = 28,
    ACTIONS(1215), 1,
      sym__identifier,
    ACTIONS(1219), 1,
      aux_sym_identifier_token1,
    ACTIONS(3655), 1,
      sym_keyword_cast,
    ACTIONS(3663), 1,
      sym_keyword_array,
    ACTIONS(3669), 1,
      anon_sym_PLUS,
    ACTIONS(3671), 1,
      anon_sym_DASH,
    ACTIONS(3673), 1,
      sym_op_unary_other,
    ACTIONS(3675), 1,
      sym__double_quote_string,
    ACTIONS(3677), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3679), 1,
      aux_sym__integer_token1,
    ACTIONS(3681), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3683), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3685), 1,
      sym__dollar_quoted_string,
    ACTIONS(3849), 1,
      sym_keyword_case,
    ACTIONS(3853), 1,
      sym_keyword_exists,
    ACTIONS(3855), 1,
      sym_keyword_interval,
    ACTIONS(3857), 1,
      anon_sym_LPAREN,
    ACTIONS(5163), 1,
      sym_parameter,
    STATE(933), 1,
      sym_identifier,
    STATE(2081), 1,
      sym_invocation,
    STATE(2095), 1,
      sym__single_quote_string,
    STATE(2310), 1,
      sym__qualified_field,
    STATE(11944), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3657), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2366), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(479), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111347] = 28,
    ACTIONS(1215), 1,
      sym__identifier,
    ACTIONS(1219), 1,
      aux_sym_identifier_token1,
    ACTIONS(3655), 1,
      sym_keyword_cast,
    ACTIONS(3663), 1,
      sym_keyword_array,
    ACTIONS(3669), 1,
      anon_sym_PLUS,
    ACTIONS(3671), 1,
      anon_sym_DASH,
    ACTIONS(3673), 1,
      sym_op_unary_other,
    ACTIONS(3675), 1,
      sym__double_quote_string,
    ACTIONS(3677), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3679), 1,
      aux_sym__integer_token1,
    ACTIONS(3681), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3683), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3685), 1,
      sym__dollar_quoted_string,
    ACTIONS(3849), 1,
      sym_keyword_case,
    ACTIONS(3853), 1,
      sym_keyword_exists,
    ACTIONS(3855), 1,
      sym_keyword_interval,
    ACTIONS(3857), 1,
      anon_sym_LPAREN,
    ACTIONS(5165), 1,
      sym_parameter,
    STATE(933), 1,
      sym_identifier,
    STATE(2081), 1,
      sym_invocation,
    STATE(2095), 1,
      sym__single_quote_string,
    STATE(2310), 1,
      sym__qualified_field,
    STATE(11944), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3657), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2366), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(480), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111458] = 28,
    ACTIONS(1215), 1,
      sym__identifier,
    ACTIONS(1219), 1,
      aux_sym_identifier_token1,
    ACTIONS(3655), 1,
      sym_keyword_cast,
    ACTIONS(3663), 1,
      sym_keyword_array,
    ACTIONS(3669), 1,
      anon_sym_PLUS,
    ACTIONS(3671), 1,
      anon_sym_DASH,
    ACTIONS(3673), 1,
      sym_op_unary_other,
    ACTIONS(3675), 1,
      sym__double_quote_string,
    ACTIONS(3677), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3679), 1,
      aux_sym__integer_token1,
    ACTIONS(3681), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3683), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3685), 1,
      sym__dollar_quoted_string,
    ACTIONS(3849), 1,
      sym_keyword_case,
    ACTIONS(3853), 1,
      sym_keyword_exists,
    ACTIONS(3855), 1,
      sym_keyword_interval,
    ACTIONS(3857), 1,
      anon_sym_LPAREN,
    ACTIONS(5167), 1,
      sym_parameter,
    STATE(933), 1,
      sym_identifier,
    STATE(2081), 1,
      sym_invocation,
    STATE(2095), 1,
      sym__single_quote_string,
    STATE(2310), 1,
      sym__qualified_field,
    STATE(11944), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3657), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2366), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(481), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111569] = 28,
    ACTIONS(1215), 1,
      sym__identifier,
    ACTIONS(1219), 1,
      aux_sym_identifier_token1,
    ACTIONS(3655), 1,
      sym_keyword_cast,
    ACTIONS(3663), 1,
      sym_keyword_array,
    ACTIONS(3669), 1,
      anon_sym_PLUS,
    ACTIONS(3671), 1,
      anon_sym_DASH,
    ACTIONS(3673), 1,
      sym_op_unary_other,
    ACTIONS(3675), 1,
      sym__double_quote_string,
    ACTIONS(3677), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3679), 1,
      aux_sym__integer_token1,
    ACTIONS(3681), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3683), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3685), 1,
      sym__dollar_quoted_string,
    ACTIONS(3849), 1,
      sym_keyword_case,
    ACTIONS(3853), 1,
      sym_keyword_exists,
    ACTIONS(3855), 1,
      sym_keyword_interval,
    ACTIONS(3857), 1,
      anon_sym_LPAREN,
    ACTIONS(5169), 1,
      sym_parameter,
    STATE(933), 1,
      sym_identifier,
    STATE(2081), 1,
      sym_invocation,
    STATE(2095), 1,
      sym__single_quote_string,
    STATE(2310), 1,
      sym__qualified_field,
    STATE(11944), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3657), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2366), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(482), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111680] = 28,
    ACTIONS(1215), 1,
      sym__identifier,
    ACTIONS(1219), 1,
      aux_sym_identifier_token1,
    ACTIONS(3655), 1,
      sym_keyword_cast,
    ACTIONS(3663), 1,
      sym_keyword_array,
    ACTIONS(3669), 1,
      anon_sym_PLUS,
    ACTIONS(3671), 1,
      anon_sym_DASH,
    ACTIONS(3673), 1,
      sym_op_unary_other,
    ACTIONS(3675), 1,
      sym__double_quote_string,
    ACTIONS(3677), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3679), 1,
      aux_sym__integer_token1,
    ACTIONS(3681), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3683), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3685), 1,
      sym__dollar_quoted_string,
    ACTIONS(3849), 1,
      sym_keyword_case,
    ACTIONS(3853), 1,
      sym_keyword_exists,
    ACTIONS(3855), 1,
      sym_keyword_interval,
    ACTIONS(3857), 1,
      anon_sym_LPAREN,
    ACTIONS(5171), 1,
      sym_parameter,
    STATE(933), 1,
      sym_identifier,
    STATE(2081), 1,
      sym_invocation,
    STATE(2095), 1,
      sym__single_quote_string,
    STATE(2310), 1,
      sym__qualified_field,
    STATE(11944), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3657), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2366), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(484), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111791] = 28,
    ACTIONS(1215), 1,
      sym__identifier,
    ACTIONS(1219), 1,
      aux_sym_identifier_token1,
    ACTIONS(3655), 1,
      sym_keyword_cast,
    ACTIONS(3663), 1,
      sym_keyword_array,
    ACTIONS(3669), 1,
      anon_sym_PLUS,
    ACTIONS(3671), 1,
      anon_sym_DASH,
    ACTIONS(3673), 1,
      sym_op_unary_other,
    ACTIONS(3675), 1,
      sym__double_quote_string,
    ACTIONS(3677), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3679), 1,
      aux_sym__integer_token1,
    ACTIONS(3681), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3683), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3685), 1,
      sym__dollar_quoted_string,
    ACTIONS(3849), 1,
      sym_keyword_case,
    ACTIONS(3853), 1,
      sym_keyword_exists,
    ACTIONS(3855), 1,
      sym_keyword_interval,
    ACTIONS(3857), 1,
      anon_sym_LPAREN,
    ACTIONS(3859), 1,
      sym_parameter,
    STATE(933), 1,
      sym_identifier,
    STATE(2081), 1,
      sym_invocation,
    STATE(2095), 1,
      sym__single_quote_string,
    STATE(2310), 1,
      sym__qualified_field,
    STATE(11944), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3657), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2366), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(477), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111902] = 28,
    ACTIONS(1215), 1,
      sym__identifier,
    ACTIONS(1219), 1,
      aux_sym_identifier_token1,
    ACTIONS(3655), 1,
      sym_keyword_cast,
    ACTIONS(3663), 1,
      sym_keyword_array,
    ACTIONS(3669), 1,
      anon_sym_PLUS,
    ACTIONS(3671), 1,
      anon_sym_DASH,
    ACTIONS(3673), 1,
      sym_op_unary_other,
    ACTIONS(3675), 1,
      sym__double_quote_string,
    ACTIONS(3677), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3679), 1,
      aux_sym__integer_token1,
    ACTIONS(3681), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3683), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3685), 1,
      sym__dollar_quoted_string,
    ACTIONS(3849), 1,
      sym_keyword_case,
    ACTIONS(3853), 1,
      sym_keyword_exists,
    ACTIONS(3855), 1,
      sym_keyword_interval,
    ACTIONS(3857), 1,
      anon_sym_LPAREN,
    ACTIONS(5173), 1,
      sym_parameter,
    STATE(933), 1,
      sym_identifier,
    STATE(2081), 1,
      sym_invocation,
    STATE(2095), 1,
      sym__single_quote_string,
    STATE(2310), 1,
      sym__qualified_field,
    STATE(11944), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3657), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2366), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(485), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112013] = 28,
    ACTIONS(1215), 1,
      sym__identifier,
    ACTIONS(1219), 1,
      aux_sym_identifier_token1,
    ACTIONS(3655), 1,
      sym_keyword_cast,
    ACTIONS(3663), 1,
      sym_keyword_array,
    ACTIONS(3669), 1,
      anon_sym_PLUS,
    ACTIONS(3671), 1,
      anon_sym_DASH,
    ACTIONS(3673), 1,
      sym_op_unary_other,
    ACTIONS(3675), 1,
      sym__double_quote_string,
    ACTIONS(3677), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3679), 1,
      aux_sym__integer_token1,
    ACTIONS(3681), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3683), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3685), 1,
      sym__dollar_quoted_string,
    ACTIONS(3849), 1,
      sym_keyword_case,
    ACTIONS(3853), 1,
      sym_keyword_exists,
    ACTIONS(3855), 1,
      sym_keyword_interval,
    ACTIONS(3857), 1,
      anon_sym_LPAREN,
    ACTIONS(5175), 1,
      sym_parameter,
    STATE(933), 1,
      sym_identifier,
    STATE(2081), 1,
      sym_invocation,
    STATE(2095), 1,
      sym__single_quote_string,
    STATE(2310), 1,
      sym__qualified_field,
    STATE(11944), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3657), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2366), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(486), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112124] = 28,
    ACTIONS(1035), 1,
      sym__identifier,
    ACTIONS(1093), 1,
      aux_sym_identifier_token1,
    ACTIONS(4139), 1,
      sym_keyword_cast,
    ACTIONS(4141), 1,
      sym_keyword_case,
    ACTIONS(4145), 1,
      sym_keyword_exists,
    ACTIONS(4151), 1,
      sym_keyword_interval,
    ACTIONS(4153), 1,
      sym_keyword_array,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    ACTIONS(4159), 1,
      anon_sym_PLUS,
    ACTIONS(4161), 1,
      anon_sym_DASH,
    ACTIONS(4163), 1,
      sym_op_unary_other,
    ACTIONS(4165), 1,
      sym__double_quote_string,
    ACTIONS(4167), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4169), 1,
      aux_sym__integer_token1,
    ACTIONS(4171), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4173), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4175), 1,
      sym__dollar_quoted_string,
    ACTIONS(5177), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(3075), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_invocation,
    STATE(4493), 1,
      sym__qualified_field,
    STATE(11923), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4149), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4147), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4624), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2109), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112235] = 28,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5179), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3931), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(781), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112346] = 28,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5181), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3931), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(791), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112457] = 28,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5183), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3931), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(792), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112568] = 28,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5185), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3931), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(795), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112679] = 28,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5187), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3931), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(797), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112790] = 28,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5189), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3931), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(798), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112901] = 28,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5191), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3931), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(799), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113012] = 28,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5193), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3931), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(800), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113123] = 28,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5195), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3931), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(801), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113234] = 28,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3939), 1,
      sym_parameter,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3931), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(782), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113345] = 28,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5197), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3931), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(816), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113456] = 28,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5199), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3931), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(824), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113567] = 28,
    ACTIONS(4247), 1,
      sym__identifier,
    ACTIONS(4249), 1,
      sym_keyword_cast,
    ACTIONS(4251), 1,
      sym_keyword_case,
    ACTIONS(4255), 1,
      sym_keyword_exists,
    ACTIONS(4261), 1,
      sym_keyword_interval,
    ACTIONS(4263), 1,
      sym_keyword_array,
    ACTIONS(4265), 1,
      anon_sym_LPAREN,
    ACTIONS(4269), 1,
      anon_sym_PLUS,
    ACTIONS(4271), 1,
      anon_sym_DASH,
    ACTIONS(4273), 1,
      sym_op_unary_other,
    ACTIONS(4275), 1,
      sym__double_quote_string,
    ACTIONS(4277), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4279), 1,
      aux_sym__integer_token1,
    ACTIONS(4281), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4283), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4285), 1,
      aux_sym_identifier_token1,
    ACTIONS(4287), 1,
      sym__dollar_quoted_string,
    ACTIONS(5201), 1,
      sym_parameter,
    STATE(4835), 1,
      sym_identifier,
    STATE(5420), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__qualified_field,
    STATE(5659), 1,
      sym__single_quote_string,
    STATE(11936), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4259), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4257), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3711), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113678] = 28,
    ACTIONS(1285), 1,
      sym__identifier,
    ACTIONS(1343), 1,
      aux_sym_identifier_token1,
    ACTIONS(4023), 1,
      sym_keyword_cast,
    ACTIONS(4025), 1,
      sym_keyword_case,
    ACTIONS(4029), 1,
      sym_keyword_exists,
    ACTIONS(4035), 1,
      sym_keyword_interval,
    ACTIONS(4037), 1,
      sym_keyword_array,
    ACTIONS(4039), 1,
      anon_sym_LPAREN,
    ACTIONS(4043), 1,
      anon_sym_PLUS,
    ACTIONS(4045), 1,
      anon_sym_DASH,
    ACTIONS(4047), 1,
      sym_op_unary_other,
    ACTIONS(4049), 1,
      sym__double_quote_string,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4053), 1,
      aux_sym__integer_token1,
    ACTIONS(4055), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4057), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4059), 1,
      sym__dollar_quoted_string,
    ACTIONS(5203), 1,
      sym_parameter,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4033), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4031), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2216), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113789] = 28,
    ACTIONS(1285), 1,
      sym__identifier,
    ACTIONS(1343), 1,
      aux_sym_identifier_token1,
    ACTIONS(4023), 1,
      sym_keyword_cast,
    ACTIONS(4025), 1,
      sym_keyword_case,
    ACTIONS(4029), 1,
      sym_keyword_exists,
    ACTIONS(4035), 1,
      sym_keyword_interval,
    ACTIONS(4037), 1,
      sym_keyword_array,
    ACTIONS(4039), 1,
      anon_sym_LPAREN,
    ACTIONS(4043), 1,
      anon_sym_PLUS,
    ACTIONS(4045), 1,
      anon_sym_DASH,
    ACTIONS(4047), 1,
      sym_op_unary_other,
    ACTIONS(4049), 1,
      sym__double_quote_string,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4053), 1,
      aux_sym__integer_token1,
    ACTIONS(4055), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4057), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4059), 1,
      sym__dollar_quoted_string,
    ACTIONS(5205), 1,
      sym_parameter,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4033), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4031), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2298), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113900] = 28,
    ACTIONS(1285), 1,
      sym__identifier,
    ACTIONS(1343), 1,
      aux_sym_identifier_token1,
    ACTIONS(4023), 1,
      sym_keyword_cast,
    ACTIONS(4025), 1,
      sym_keyword_case,
    ACTIONS(4029), 1,
      sym_keyword_exists,
    ACTIONS(4035), 1,
      sym_keyword_interval,
    ACTIONS(4037), 1,
      sym_keyword_array,
    ACTIONS(4039), 1,
      anon_sym_LPAREN,
    ACTIONS(4043), 1,
      anon_sym_PLUS,
    ACTIONS(4045), 1,
      anon_sym_DASH,
    ACTIONS(4047), 1,
      sym_op_unary_other,
    ACTIONS(4049), 1,
      sym__double_quote_string,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4053), 1,
      aux_sym__integer_token1,
    ACTIONS(4055), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4057), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4059), 1,
      sym__dollar_quoted_string,
    ACTIONS(5207), 1,
      sym_parameter,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4033), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4031), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2299), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114011] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(5209), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(11767), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4091), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114122] = 28,
    ACTIONS(1285), 1,
      sym__identifier,
    ACTIONS(1343), 1,
      aux_sym_identifier_token1,
    ACTIONS(4023), 1,
      sym_keyword_cast,
    ACTIONS(4025), 1,
      sym_keyword_case,
    ACTIONS(4029), 1,
      sym_keyword_exists,
    ACTIONS(4035), 1,
      sym_keyword_interval,
    ACTIONS(4037), 1,
      sym_keyword_array,
    ACTIONS(4039), 1,
      anon_sym_LPAREN,
    ACTIONS(4043), 1,
      anon_sym_PLUS,
    ACTIONS(4045), 1,
      anon_sym_DASH,
    ACTIONS(4047), 1,
      sym_op_unary_other,
    ACTIONS(4049), 1,
      sym__double_quote_string,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4053), 1,
      aux_sym__integer_token1,
    ACTIONS(4055), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4057), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4059), 1,
      sym__dollar_quoted_string,
    ACTIONS(5211), 1,
      sym_parameter,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4033), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4031), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2300), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114233] = 28,
    ACTIONS(1285), 1,
      sym__identifier,
    ACTIONS(1343), 1,
      aux_sym_identifier_token1,
    ACTIONS(4023), 1,
      sym_keyword_cast,
    ACTIONS(4025), 1,
      sym_keyword_case,
    ACTIONS(4029), 1,
      sym_keyword_exists,
    ACTIONS(4035), 1,
      sym_keyword_interval,
    ACTIONS(4037), 1,
      sym_keyword_array,
    ACTIONS(4039), 1,
      anon_sym_LPAREN,
    ACTIONS(4043), 1,
      anon_sym_PLUS,
    ACTIONS(4045), 1,
      anon_sym_DASH,
    ACTIONS(4047), 1,
      sym_op_unary_other,
    ACTIONS(4049), 1,
      sym__double_quote_string,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4053), 1,
      aux_sym__integer_token1,
    ACTIONS(4055), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4057), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4059), 1,
      sym__dollar_quoted_string,
    ACTIONS(5213), 1,
      sym_parameter,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4033), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4031), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2301), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114344] = 28,
    ACTIONS(1285), 1,
      sym__identifier,
    ACTIONS(1343), 1,
      aux_sym_identifier_token1,
    ACTIONS(4023), 1,
      sym_keyword_cast,
    ACTIONS(4025), 1,
      sym_keyword_case,
    ACTIONS(4029), 1,
      sym_keyword_exists,
    ACTIONS(4035), 1,
      sym_keyword_interval,
    ACTIONS(4037), 1,
      sym_keyword_array,
    ACTIONS(4039), 1,
      anon_sym_LPAREN,
    ACTIONS(4043), 1,
      anon_sym_PLUS,
    ACTIONS(4045), 1,
      anon_sym_DASH,
    ACTIONS(4047), 1,
      sym_op_unary_other,
    ACTIONS(4049), 1,
      sym__double_quote_string,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4053), 1,
      aux_sym__integer_token1,
    ACTIONS(4055), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4057), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4059), 1,
      sym__dollar_quoted_string,
    ACTIONS(5215), 1,
      sym_parameter,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4033), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4031), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2302), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114455] = 28,
    ACTIONS(1285), 1,
      sym__identifier,
    ACTIONS(1343), 1,
      aux_sym_identifier_token1,
    ACTIONS(4023), 1,
      sym_keyword_cast,
    ACTIONS(4025), 1,
      sym_keyword_case,
    ACTIONS(4029), 1,
      sym_keyword_exists,
    ACTIONS(4035), 1,
      sym_keyword_interval,
    ACTIONS(4037), 1,
      sym_keyword_array,
    ACTIONS(4039), 1,
      anon_sym_LPAREN,
    ACTIONS(4043), 1,
      anon_sym_PLUS,
    ACTIONS(4045), 1,
      anon_sym_DASH,
    ACTIONS(4047), 1,
      sym_op_unary_other,
    ACTIONS(4049), 1,
      sym__double_quote_string,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4053), 1,
      aux_sym__integer_token1,
    ACTIONS(4055), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4057), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4059), 1,
      sym__dollar_quoted_string,
    ACTIONS(5217), 1,
      sym_parameter,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4033), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4031), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2303), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114566] = 28,
    ACTIONS(1285), 1,
      sym__identifier,
    ACTIONS(1343), 1,
      aux_sym_identifier_token1,
    ACTIONS(4023), 1,
      sym_keyword_cast,
    ACTIONS(4025), 1,
      sym_keyword_case,
    ACTIONS(4029), 1,
      sym_keyword_exists,
    ACTIONS(4035), 1,
      sym_keyword_interval,
    ACTIONS(4037), 1,
      sym_keyword_array,
    ACTIONS(4039), 1,
      anon_sym_LPAREN,
    ACTIONS(4043), 1,
      anon_sym_PLUS,
    ACTIONS(4045), 1,
      anon_sym_DASH,
    ACTIONS(4047), 1,
      sym_op_unary_other,
    ACTIONS(4049), 1,
      sym__double_quote_string,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4053), 1,
      aux_sym__integer_token1,
    ACTIONS(4055), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4057), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4059), 1,
      sym__dollar_quoted_string,
    ACTIONS(5219), 1,
      sym_parameter,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4033), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4031), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2304), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114677] = 28,
    ACTIONS(1285), 1,
      sym__identifier,
    ACTIONS(1343), 1,
      aux_sym_identifier_token1,
    ACTIONS(4023), 1,
      sym_keyword_cast,
    ACTIONS(4025), 1,
      sym_keyword_case,
    ACTIONS(4029), 1,
      sym_keyword_exists,
    ACTIONS(4035), 1,
      sym_keyword_interval,
    ACTIONS(4037), 1,
      sym_keyword_array,
    ACTIONS(4039), 1,
      anon_sym_LPAREN,
    ACTIONS(4043), 1,
      anon_sym_PLUS,
    ACTIONS(4045), 1,
      anon_sym_DASH,
    ACTIONS(4047), 1,
      sym_op_unary_other,
    ACTIONS(4049), 1,
      sym__double_quote_string,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4053), 1,
      aux_sym__integer_token1,
    ACTIONS(4055), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4057), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4059), 1,
      sym__dollar_quoted_string,
    ACTIONS(5221), 1,
      sym_parameter,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4033), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4031), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2305), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114788] = 28,
    ACTIONS(1285), 1,
      sym__identifier,
    ACTIONS(1343), 1,
      aux_sym_identifier_token1,
    ACTIONS(4023), 1,
      sym_keyword_cast,
    ACTIONS(4025), 1,
      sym_keyword_case,
    ACTIONS(4029), 1,
      sym_keyword_exists,
    ACTIONS(4035), 1,
      sym_keyword_interval,
    ACTIONS(4037), 1,
      sym_keyword_array,
    ACTIONS(4039), 1,
      anon_sym_LPAREN,
    ACTIONS(4041), 1,
      sym_parameter,
    ACTIONS(4043), 1,
      anon_sym_PLUS,
    ACTIONS(4045), 1,
      anon_sym_DASH,
    ACTIONS(4047), 1,
      sym_op_unary_other,
    ACTIONS(4049), 1,
      sym__double_quote_string,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4053), 1,
      aux_sym__integer_token1,
    ACTIONS(4055), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4057), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4059), 1,
      sym__dollar_quoted_string,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4033), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4031), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2217), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114899] = 28,
    ACTIONS(1285), 1,
      sym__identifier,
    ACTIONS(1343), 1,
      aux_sym_identifier_token1,
    ACTIONS(4023), 1,
      sym_keyword_cast,
    ACTIONS(4025), 1,
      sym_keyword_case,
    ACTIONS(4029), 1,
      sym_keyword_exists,
    ACTIONS(4035), 1,
      sym_keyword_interval,
    ACTIONS(4037), 1,
      sym_keyword_array,
    ACTIONS(4039), 1,
      anon_sym_LPAREN,
    ACTIONS(4043), 1,
      anon_sym_PLUS,
    ACTIONS(4045), 1,
      anon_sym_DASH,
    ACTIONS(4047), 1,
      sym_op_unary_other,
    ACTIONS(4049), 1,
      sym__double_quote_string,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4053), 1,
      aux_sym__integer_token1,
    ACTIONS(4055), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4057), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4059), 1,
      sym__dollar_quoted_string,
    ACTIONS(5223), 1,
      sym_parameter,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4033), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4031), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2307), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115010] = 28,
    ACTIONS(1285), 1,
      sym__identifier,
    ACTIONS(1343), 1,
      aux_sym_identifier_token1,
    ACTIONS(4023), 1,
      sym_keyword_cast,
    ACTIONS(4025), 1,
      sym_keyword_case,
    ACTIONS(4029), 1,
      sym_keyword_exists,
    ACTIONS(4035), 1,
      sym_keyword_interval,
    ACTIONS(4037), 1,
      sym_keyword_array,
    ACTIONS(4039), 1,
      anon_sym_LPAREN,
    ACTIONS(4043), 1,
      anon_sym_PLUS,
    ACTIONS(4045), 1,
      anon_sym_DASH,
    ACTIONS(4047), 1,
      sym_op_unary_other,
    ACTIONS(4049), 1,
      sym__double_quote_string,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4053), 1,
      aux_sym__integer_token1,
    ACTIONS(4055), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4057), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4059), 1,
      sym__dollar_quoted_string,
    ACTIONS(5225), 1,
      sym_parameter,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4033), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4031), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2308), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115121] = 28,
    ACTIONS(1155), 1,
      sym__identifier,
    ACTIONS(1213), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(5227), 1,
      sym_parameter,
    STATE(3143), 1,
      sym_identifier,
    STATE(4627), 1,
      sym_invocation,
    STATE(4768), 1,
      sym__single_quote_string,
    STATE(4776), 1,
      sym__qualified_field,
    STATE(11943), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4738), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2391), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115232] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2902), 1,
      anon_sym_LPAREN,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2914), 1,
      sym_op_unary_other,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(5229), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(5623), 1,
      sym_invocation,
    STATE(11767), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2892), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4101), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115343] = 28,
    ACTIONS(1215), 1,
      sym__identifier,
    ACTIONS(1219), 1,
      aux_sym_identifier_token1,
    ACTIONS(3655), 1,
      sym_keyword_cast,
    ACTIONS(3663), 1,
      sym_keyword_array,
    ACTIONS(3669), 1,
      anon_sym_PLUS,
    ACTIONS(3671), 1,
      anon_sym_DASH,
    ACTIONS(3673), 1,
      sym_op_unary_other,
    ACTIONS(3675), 1,
      sym__double_quote_string,
    ACTIONS(3677), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3679), 1,
      aux_sym__integer_token1,
    ACTIONS(3681), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3683), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3685), 1,
      sym__dollar_quoted_string,
    ACTIONS(3849), 1,
      sym_keyword_case,
    ACTIONS(3853), 1,
      sym_keyword_exists,
    ACTIONS(3855), 1,
      sym_keyword_interval,
    ACTIONS(3857), 1,
      anon_sym_LPAREN,
    ACTIONS(5231), 1,
      sym_parameter,
    STATE(933), 1,
      sym_identifier,
    STATE(2081), 1,
      sym_invocation,
    STATE(2095), 1,
      sym__single_quote_string,
    STATE(2310), 1,
      sym__qualified_field,
    STATE(11944), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3657), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2366), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(473), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115454] = 28,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5233), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3931), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(780), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115565] = 28,
    ACTIONS(1285), 1,
      sym__identifier,
    ACTIONS(1343), 1,
      aux_sym_identifier_token1,
    ACTIONS(4023), 1,
      sym_keyword_cast,
    ACTIONS(4025), 1,
      sym_keyword_case,
    ACTIONS(4029), 1,
      sym_keyword_exists,
    ACTIONS(4035), 1,
      sym_keyword_interval,
    ACTIONS(4037), 1,
      sym_keyword_array,
    ACTIONS(4039), 1,
      anon_sym_LPAREN,
    ACTIONS(4043), 1,
      anon_sym_PLUS,
    ACTIONS(4045), 1,
      anon_sym_DASH,
    ACTIONS(4047), 1,
      sym_op_unary_other,
    ACTIONS(4049), 1,
      sym__double_quote_string,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4053), 1,
      aux_sym__integer_token1,
    ACTIONS(4055), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4057), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4059), 1,
      sym__dollar_quoted_string,
    ACTIONS(5235), 1,
      sym_parameter,
    STATE(2941), 1,
      sym_identifier,
    STATE(4084), 1,
      sym_invocation,
    STATE(4435), 1,
      sym__qualified_field,
    STATE(4497), 1,
      sym__single_quote_string,
    STATE(11949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4033), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4031), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4465), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2215), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115676] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5237), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6323), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115787] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5239), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5532), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115898] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5241), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6327), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116009] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5243), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5079), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116120] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5245), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6125), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116231] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5247), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5019), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116342] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5249), 1,
      anon_sym_LPAREN,
    ACTIONS(5251), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5347), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116453] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5253), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6133), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116564] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5255), 1,
      anon_sym_LPAREN,
    ACTIONS(5257), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5348), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116675] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5259), 1,
      anon_sym_LPAREN,
    ACTIONS(5261), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5349), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116786] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5263), 1,
      anon_sym_LPAREN,
    ACTIONS(5265), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5518), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116897] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4527), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(6674), 1,
      sym_binary_expression,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6219), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117010] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5267), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6149), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117121] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5269), 1,
      anon_sym_LPAREN,
    ACTIONS(5271), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5351), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117232] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5273), 1,
      anon_sym_LPAREN,
    ACTIONS(5275), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5352), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117343] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5277), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5801), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117454] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4527), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(6662), 1,
      sym_binary_expression,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6219), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117567] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4549), 1,
      anon_sym_LPAREN,
    ACTIONS(5279), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5802), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117678] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4557), 1,
      anon_sym_LPAREN,
    ACTIONS(5281), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5803), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117789] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3184), 1,
      sym_op_unary_other,
    ACTIONS(5283), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3180), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4336), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117900] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3184), 1,
      sym_op_unary_other,
    ACTIONS(5285), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3180), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4337), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118011] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3184), 1,
      sym_op_unary_other,
    ACTIONS(5287), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3180), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4147), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118122] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3184), 1,
      sym_op_unary_other,
    ACTIONS(5289), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3180), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4148), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118233] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3184), 1,
      sym_op_unary_other,
    ACTIONS(5291), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3180), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4150), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118344] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3184), 1,
      sym_op_unary_other,
    ACTIONS(5293), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3180), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4151), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118455] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3184), 1,
      sym_op_unary_other,
    ACTIONS(5295), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3180), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4152), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118566] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3184), 1,
      sym_op_unary_other,
    ACTIONS(5297), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3180), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4153), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118677] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3184), 1,
      sym_op_unary_other,
    ACTIONS(5299), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3180), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4154), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118788] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3184), 1,
      sym_op_unary_other,
    ACTIONS(5301), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3180), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4155), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118899] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3184), 1,
      sym_op_unary_other,
    ACTIONS(4067), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3180), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4149), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119010] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3184), 1,
      sym_op_unary_other,
    ACTIONS(5303), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3180), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4160), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119121] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3184), 1,
      sym_op_unary_other,
    ACTIONS(5305), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3180), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4161), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119232] = 28,
    ACTIONS(645), 1,
      sym__identifier,
    ACTIONS(703), 1,
      aux_sym_identifier_token1,
    ACTIONS(4069), 1,
      sym_keyword_cast,
    ACTIONS(4071), 1,
      sym_keyword_case,
    ACTIONS(4075), 1,
      sym_keyword_exists,
    ACTIONS(4081), 1,
      sym_keyword_interval,
    ACTIONS(4083), 1,
      sym_keyword_array,
    ACTIONS(4085), 1,
      anon_sym_LPAREN,
    ACTIONS(4089), 1,
      anon_sym_PLUS,
    ACTIONS(4091), 1,
      anon_sym_DASH,
    ACTIONS(4093), 1,
      sym_op_unary_other,
    ACTIONS(4095), 1,
      sym__double_quote_string,
    ACTIONS(4097), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4099), 1,
      aux_sym__integer_token1,
    ACTIONS(4101), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4103), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4105), 1,
      sym__dollar_quoted_string,
    ACTIONS(5307), 1,
      sym_parameter,
    STATE(1004), 1,
      sym__single_quote_string,
    STATE(5447), 1,
      sym_identifier,
    STATE(6258), 1,
      sym_invocation,
    STATE(6412), 1,
      sym__qualified_field,
    STATE(11821), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4079), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4077), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6450), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4742), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119343] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    ACTIONS(5309), 1,
      sym_parameter,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(2745), 1,
      sym_identifier,
    STATE(3665), 1,
      sym_invocation,
    STATE(4192), 1,
      sym__qualified_field,
    STATE(11791), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4138), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2067), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119454] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    ACTIONS(5311), 1,
      sym_parameter,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(2745), 1,
      sym_identifier,
    STATE(3665), 1,
      sym_invocation,
    STATE(4192), 1,
      sym__qualified_field,
    STATE(11791), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4138), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2042), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119565] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(4111), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      sym_op_unary_other,
    ACTIONS(5313), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(4786), 1,
      sym_invocation,
    STATE(11803), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4109), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2811), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119676] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(4111), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      sym_op_unary_other,
    ACTIONS(5315), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(4786), 1,
      sym_invocation,
    STATE(11803), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4109), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2825), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119787] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(4111), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      sym_op_unary_other,
    ACTIONS(5317), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(4786), 1,
      sym_invocation,
    STATE(11803), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4109), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2853), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119898] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(4111), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      sym_op_unary_other,
    ACTIONS(5319), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(4786), 1,
      sym_invocation,
    STATE(11803), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4109), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2742), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120009] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(4111), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      sym_op_unary_other,
    ACTIONS(5321), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(4786), 1,
      sym_invocation,
    STATE(11803), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4109), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2760), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120120] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(4111), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      sym_op_unary_other,
    ACTIONS(5323), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(4786), 1,
      sym_invocation,
    STATE(11803), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4109), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2761), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120231] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(4111), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      sym_op_unary_other,
    ACTIONS(5325), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(4786), 1,
      sym_invocation,
    STATE(11803), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4109), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2762), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120342] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(4111), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      sym_op_unary_other,
    ACTIONS(5327), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(4786), 1,
      sym_invocation,
    STATE(11803), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4109), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2763), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120453] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(4111), 1,
      anon_sym_LPAREN,
    ACTIONS(4113), 1,
      sym_parameter,
    ACTIONS(4115), 1,
      sym_op_unary_other,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(4786), 1,
      sym_invocation,
    STATE(11803), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4109), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2852), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120564] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(4111), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      sym_op_unary_other,
    ACTIONS(5329), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(4786), 1,
      sym_invocation,
    STATE(11803), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4109), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2766), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120675] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(4111), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      sym_op_unary_other,
    ACTIONS(5331), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(4786), 1,
      sym_invocation,
    STATE(11803), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4109), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2770), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120786] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3466), 1,
      sym_keyword_and,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(5333), 1,
      anon_sym_COLON_COLON,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3473), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [120887] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3466), 1,
      sym_keyword_and,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(5333), 1,
      anon_sym_COLON_COLON,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3414), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [120988] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3466), 1,
      sym_keyword_and,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(5333), 1,
      anon_sym_COLON_COLON,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3416), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [121089] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3466), 1,
      sym_keyword_and,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(5333), 1,
      anon_sym_COLON_COLON,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3424), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [121190] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3466), 1,
      sym_keyword_and,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(5333), 1,
      anon_sym_COLON_COLON,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3440), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [121291] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3466), 1,
      sym_keyword_and,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(5333), 1,
      anon_sym_COLON_COLON,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3468), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [121392] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3466), 1,
      sym_keyword_and,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(5333), 1,
      anon_sym_COLON_COLON,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3479), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [121493] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3466), 1,
      sym_keyword_and,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(5333), 1,
      anon_sym_COLON_COLON,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3408), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [121594] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3466), 1,
      sym_keyword_and,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(5333), 1,
      anon_sym_COLON_COLON,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3418), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [121695] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3466), 1,
      sym_keyword_and,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(5333), 1,
      anon_sym_COLON_COLON,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3420), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [121796] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3466), 1,
      sym_keyword_and,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(5333), 1,
      anon_sym_COLON_COLON,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3485), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [121897] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3466), 1,
      sym_keyword_and,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(5333), 1,
      anon_sym_COLON_COLON,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3422), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [121998] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(3426), 1,
      sym_keyword_is,
    ACTIONS(3428), 1,
      anon_sym_LBRACK,
    ACTIONS(3432), 1,
      anon_sym_PLUS,
    ACTIONS(3434), 1,
      anon_sym_DASH,
    ACTIONS(3436), 1,
      anon_sym_SLASH,
    ACTIONS(3438), 1,
      anon_sym_CARET,
    ACTIONS(3454), 1,
      sym_keyword_in,
    ACTIONS(3456), 1,
      sym_keyword_not,
    ACTIONS(3458), 1,
      sym_keyword_between,
    ACTIONS(3464), 1,
      sym_op_other,
    ACTIONS(3466), 1,
      sym_keyword_and,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(5333), 1,
      anon_sym_COLON_COLON,
    STATE(10645), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3430), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3462), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1462), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1461), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3460), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3452), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [122099] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5335), 1,
      anon_sym_LPAREN,
    ACTIONS(5337), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5413), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122210] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    ACTIONS(5339), 1,
      sym_parameter,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(2745), 1,
      sym_identifier,
    STATE(3665), 1,
      sym_invocation,
    STATE(4192), 1,
      sym__qualified_field,
    STATE(11791), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4138), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3058), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122321] = 28,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(5341), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4195), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(974), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122432] = 28,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(5343), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4195), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(975), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122543] = 28,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(5345), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4195), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(976), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122654] = 28,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(5347), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4195), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(978), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122765] = 28,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(5349), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4195), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(979), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122876] = 28,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(5351), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4195), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(980), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122987] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(5353), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4565), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123098] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(5355), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4566), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123209] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(5357), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4535), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123320] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(5359), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4536), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123431] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(5361), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4538), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123542] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(5363), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4539), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123653] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(5365), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4540), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123764] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(5367), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4541), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123875] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(5369), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4542), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123986] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(5371), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4543), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124097] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(4119), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4537), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124208] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(5373), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4545), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124319] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3036), 1,
      anon_sym_LPAREN,
    ACTIONS(3040), 1,
      sym_op_unary_other,
    ACTIONS(5375), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(3884), 1,
      sym_identifier,
    STATE(5445), 1,
      sym_invocation,
    STATE(11747), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3034), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4546), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124430] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3915), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      sym_op_unary_other,
    ACTIONS(5377), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5296), 1,
      sym_invocation,
    STATE(11889), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3913), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5041), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124541] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    ACTIONS(5379), 1,
      sym_parameter,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(2745), 1,
      sym_identifier,
    STATE(3665), 1,
      sym_invocation,
    STATE(4192), 1,
      sym__qualified_field,
    STATE(11791), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4138), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2768), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124652] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3915), 1,
      anon_sym_LPAREN,
    ACTIONS(3919), 1,
      sym_op_unary_other,
    ACTIONS(5381), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5296), 1,
      sym_invocation,
    STATE(11889), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3913), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5091), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124763] = 28,
    ACTIONS(1035), 1,
      sym__identifier,
    ACTIONS(1093), 1,
      aux_sym_identifier_token1,
    ACTIONS(4139), 1,
      sym_keyword_cast,
    ACTIONS(4141), 1,
      sym_keyword_case,
    ACTIONS(4145), 1,
      sym_keyword_exists,
    ACTIONS(4151), 1,
      sym_keyword_interval,
    ACTIONS(4153), 1,
      sym_keyword_array,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    ACTIONS(4159), 1,
      anon_sym_PLUS,
    ACTIONS(4161), 1,
      anon_sym_DASH,
    ACTIONS(4163), 1,
      sym_op_unary_other,
    ACTIONS(4165), 1,
      sym__double_quote_string,
    ACTIONS(4167), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4169), 1,
      aux_sym__integer_token1,
    ACTIONS(4171), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4173), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4175), 1,
      sym__dollar_quoted_string,
    ACTIONS(5383), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(3075), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_invocation,
    STATE(4493), 1,
      sym__qualified_field,
    STATE(11923), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4149), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4147), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4624), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2655), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124874] = 29,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3931), 1,
      sym_keyword_null,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5385), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4871), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1530), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124987] = 28,
    ACTIONS(1035), 1,
      sym__identifier,
    ACTIONS(1093), 1,
      aux_sym_identifier_token1,
    ACTIONS(4139), 1,
      sym_keyword_cast,
    ACTIONS(4141), 1,
      sym_keyword_case,
    ACTIONS(4145), 1,
      sym_keyword_exists,
    ACTIONS(4151), 1,
      sym_keyword_interval,
    ACTIONS(4153), 1,
      sym_keyword_array,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    ACTIONS(4159), 1,
      anon_sym_PLUS,
    ACTIONS(4161), 1,
      anon_sym_DASH,
    ACTIONS(4163), 1,
      sym_op_unary_other,
    ACTIONS(4165), 1,
      sym__double_quote_string,
    ACTIONS(4167), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4169), 1,
      aux_sym__integer_token1,
    ACTIONS(4171), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4173), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4175), 1,
      sym__dollar_quoted_string,
    ACTIONS(5387), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(3075), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_invocation,
    STATE(4493), 1,
      sym__qualified_field,
    STATE(11923), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4149), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4147), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4624), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3638), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125098] = 29,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3931), 1,
      sym_keyword_null,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5389), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4881), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1531), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125211] = 29,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3931), 1,
      sym_keyword_null,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5391), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4885), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1532), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125324] = 29,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3931), 1,
      sym_keyword_null,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5393), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4891), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1533), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125437] = 29,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3931), 1,
      sym_keyword_null,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5395), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4895), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1534), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125550] = 29,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3931), 1,
      sym_keyword_null,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5397), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4901), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1535), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125663] = 29,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3931), 1,
      sym_keyword_null,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5399), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4905), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1536), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125776] = 28,
    ACTIONS(1035), 1,
      sym__identifier,
    ACTIONS(1093), 1,
      aux_sym_identifier_token1,
    ACTIONS(4139), 1,
      sym_keyword_cast,
    ACTIONS(4141), 1,
      sym_keyword_case,
    ACTIONS(4145), 1,
      sym_keyword_exists,
    ACTIONS(4151), 1,
      sym_keyword_interval,
    ACTIONS(4153), 1,
      sym_keyword_array,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    ACTIONS(4159), 1,
      anon_sym_PLUS,
    ACTIONS(4161), 1,
      anon_sym_DASH,
    ACTIONS(4163), 1,
      sym_op_unary_other,
    ACTIONS(4165), 1,
      sym__double_quote_string,
    ACTIONS(4167), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4169), 1,
      aux_sym__integer_token1,
    ACTIONS(4171), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4173), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4175), 1,
      sym__dollar_quoted_string,
    ACTIONS(5401), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(3075), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_invocation,
    STATE(4493), 1,
      sym__qualified_field,
    STATE(11923), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4149), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4147), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4624), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3066), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125887] = 28,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5403), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3931), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1537), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125998] = 28,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5405), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3931), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1538), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126109] = 28,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5407), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3931), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1539), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126220] = 28,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5409), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3931), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1540), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126331] = 28,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5411), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3931), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1541), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126442] = 28,
    ACTIONS(1221), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(3921), 1,
      sym_keyword_cast,
    ACTIONS(3923), 1,
      sym_keyword_case,
    ACTIONS(3927), 1,
      sym_keyword_exists,
    ACTIONS(3933), 1,
      sym_keyword_interval,
    ACTIONS(3935), 1,
      sym_keyword_array,
    ACTIONS(3937), 1,
      anon_sym_LPAREN,
    ACTIONS(3941), 1,
      anon_sym_PLUS,
    ACTIONS(3943), 1,
      anon_sym_DASH,
    ACTIONS(3945), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym__double_quote_string,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3951), 1,
      aux_sym__integer_token1,
    ACTIONS(3953), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3955), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3957), 1,
      sym__dollar_quoted_string,
    ACTIONS(5413), 1,
      sym_parameter,
    STATE(1916), 1,
      sym_identifier,
    STATE(2415), 1,
      sym_invocation,
    STATE(2672), 1,
      sym__qualified_field,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3931), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3929), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2659), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1542), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126553] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(5415), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5690), 1,
      sym_invocation,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4342), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126664] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(5417), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5690), 1,
      sym_invocation,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4344), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126775] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(5419), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5690), 1,
      sym_invocation,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4345), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126886] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(5421), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5690), 1,
      sym_invocation,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4346), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126997] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(5423), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5690), 1,
      sym_invocation,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4347), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127108] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(5425), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5690), 1,
      sym_invocation,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4348), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127219] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(5427), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5690), 1,
      sym_invocation,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4349), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127330] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(5429), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5690), 1,
      sym_invocation,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4350), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127441] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(5431), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5690), 1,
      sym_invocation,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4351), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127552] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(4133), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5690), 1,
      sym_invocation,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4343), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127663] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(5433), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5690), 1,
      sym_invocation,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4352), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127774] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(5435), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5690), 1,
      sym_invocation,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4353), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127885] = 28,
    ACTIONS(1035), 1,
      sym__identifier,
    ACTIONS(1093), 1,
      aux_sym_identifier_token1,
    ACTIONS(4139), 1,
      sym_keyword_cast,
    ACTIONS(4141), 1,
      sym_keyword_case,
    ACTIONS(4145), 1,
      sym_keyword_exists,
    ACTIONS(4151), 1,
      sym_keyword_interval,
    ACTIONS(4153), 1,
      sym_keyword_array,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    ACTIONS(4159), 1,
      anon_sym_PLUS,
    ACTIONS(4161), 1,
      anon_sym_DASH,
    ACTIONS(4163), 1,
      sym_op_unary_other,
    ACTIONS(4165), 1,
      sym__double_quote_string,
    ACTIONS(4167), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4169), 1,
      aux_sym__integer_token1,
    ACTIONS(4171), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4173), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4175), 1,
      sym__dollar_quoted_string,
    ACTIONS(5437), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(3075), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_invocation,
    STATE(4493), 1,
      sym__qualified_field,
    STATE(11923), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4149), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4147), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4624), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3355), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127996] = 28,
    ACTIONS(965), 1,
      sym__identifier,
    ACTIONS(969), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(5439), 1,
      sym_parameter,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(3710), 1,
      sym_identifier,
    STATE(4782), 1,
      sym__qualified_field,
    STATE(5690), 1,
      sym_invocation,
    STATE(11909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4824), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4341), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128107] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5441), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6376), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128218] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5443), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5553), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128329] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5445), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6382), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128440] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5447), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5034), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128551] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5449), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5813), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128662] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5451), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5076), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128773] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5453), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5814), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128884] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5455), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5815), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128995] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5457), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5816), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129106] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5459), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6268), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129217] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5461), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5559), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129328] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    ACTIONS(5463), 1,
      sym_parameter,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(2745), 1,
      sym_identifier,
    STATE(3665), 1,
      sym_invocation,
    STATE(4192), 1,
      sym__qualified_field,
    STATE(11791), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4138), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1941), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129439] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5465), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6269), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129550] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    ACTIONS(5467), 1,
      sym_parameter,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(2745), 1,
      sym_identifier,
    STATE(3665), 1,
      sym_invocation,
    STATE(4192), 1,
      sym__qualified_field,
    STATE(11791), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4138), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1943), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129661] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5469), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4975), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129772] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5471), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5818), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129883] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5473), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4990), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129994] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5475), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5819), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130105] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5477), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5822), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130216] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5479), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5823), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130327] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5481), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6178), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130438] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5483), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5564), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130549] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5485), 1,
      anon_sym_LPAREN,
    ACTIONS(5487), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5416), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130660] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5489), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6183), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130771] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    ACTIONS(5491), 1,
      sym_parameter,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(2745), 1,
      sym_identifier,
    STATE(3665), 1,
      sym_invocation,
    STATE(4192), 1,
      sym__qualified_field,
    STATE(11791), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4138), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1954), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130882] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5493), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4982), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130993] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5495), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5825), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131104] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5497), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4985), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131215] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5499), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5826), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131326] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5501), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5827), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131437] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5503), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5828), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131548] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5505), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6273), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131659] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5507), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5572), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131770] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    ACTIONS(5509), 1,
      sym_parameter,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(2745), 1,
      sym_identifier,
    STATE(3665), 1,
      sym_invocation,
    STATE(4192), 1,
      sym__qualified_field,
    STATE(11791), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4138), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1963), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131881] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5511), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6274), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131992] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    ACTIONS(5513), 1,
      sym_parameter,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(2745), 1,
      sym_identifier,
    STATE(3665), 1,
      sym_invocation,
    STATE(4192), 1,
      sym__qualified_field,
    STATE(11791), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4138), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2025), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132103] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5515), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4964), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132214] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5517), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5831), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132325] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5519), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4966), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132436] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5521), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5833), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132547] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5523), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5834), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132658] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5525), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5835), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132769] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5527), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6224), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132880] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5529), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5579), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132991] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    ACTIONS(5531), 1,
      sym_parameter,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(2745), 1,
      sym_identifier,
    STATE(3665), 1,
      sym_invocation,
    STATE(4192), 1,
      sym__qualified_field,
    STATE(11791), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4138), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2026), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133102] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5533), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6244), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133213] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    ACTIONS(5535), 1,
      sym_parameter,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(2745), 1,
      sym_identifier,
    STATE(3665), 1,
      sym_invocation,
    STATE(4192), 1,
      sym__qualified_field,
    STATE(11791), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4138), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2027), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133324] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5537), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4997), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133435] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5539), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5840), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133546] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5541), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4998), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133657] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5543), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5841), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133768] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5545), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5842), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133879] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5547), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5843), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133990] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5549), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6276), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134101] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5551), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5586), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134212] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    ACTIONS(5553), 1,
      sym_parameter,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(2745), 1,
      sym_identifier,
    STATE(3665), 1,
      sym_invocation,
    STATE(4192), 1,
      sym__qualified_field,
    STATE(11791), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4138), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2028), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134323] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5555), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6277), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134434] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      sym_parameter,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(2745), 1,
      sym_identifier,
    STATE(3665), 1,
      sym_invocation,
    STATE(4192), 1,
      sym__qualified_field,
    STATE(11791), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4138), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1952), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134545] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5557), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5046), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134656] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5559), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5848), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134767] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5561), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5047), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134878] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5563), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5849), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134989] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5565), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5850), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135100] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5567), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5851), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135211] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5569), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6303), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135322] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5571), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5591), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135433] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5573), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6330), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135544] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5575), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5105), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135655] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5577), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5855), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135766] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5579), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5107), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135877] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5581), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5857), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135988] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5583), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5858), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136099] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5585), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5859), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136210] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5587), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6374), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136321] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5589), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5601), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136432] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5591), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6377), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136543] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5593), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5037), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136654] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5595), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5864), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136765] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5597), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5123), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136876] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5599), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5865), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136987] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5601), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5866), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137098] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5603), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5867), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137209] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5605), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6161), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137320] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5607), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5610), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137431] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5609), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6165), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137542] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5611), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5001), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137653] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5613), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5871), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137764] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5615), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5006), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137875] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5617), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5872), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137986] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5619), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5873), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138097] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5621), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5874), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138208] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5623), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6176), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138319] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5625), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5621), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138430] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5627), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6208), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138541] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5629), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5011), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138652] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5631), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5880), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138763] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5633), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5032), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138874] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5635), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5881), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138985] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5637), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5882), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139096] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5639), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5883), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139207] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5641), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6206), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139318] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5643), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5627), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139429] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5645), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6218), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139540] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5647), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5090), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139651] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5649), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5887), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139762] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5651), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5050), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139873] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5653), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5888), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139984] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5655), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5889), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140095] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5657), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5890), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140206] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5659), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6241), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140317] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5661), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5634), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140428] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5663), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6245), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140539] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5665), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5027), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140650] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5667), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5894), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140761] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5669), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5040), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140872] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5671), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5896), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140983] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5673), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5897), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141094] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5675), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5898), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141205] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5677), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6286), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141316] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5679), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5640), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141427] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5681), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6293), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141538] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5683), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5004), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141649] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5685), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5903), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141760] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5687), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5009), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141871] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5689), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5904), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141982] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5691), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5905), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142093] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5693), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5906), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142204] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5695), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6331), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142315] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5697), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5649), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142426] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5699), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6341), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142537] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5701), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5053), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142648] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5703), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5915), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142759] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5705), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5069), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142870] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5707), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5916), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142981] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5709), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5917), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143092] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5711), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5918), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143203] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5713), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6280), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143314] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5715), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5653), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143425] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5717), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6281), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143536] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5719), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5100), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143647] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5721), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5923), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143758] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5723), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5111), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143869] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5725), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5924), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143980] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5727), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5925), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144091] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5729), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5926), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144202] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5731), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6365), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144313] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5733), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5657), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144424] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5735), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6370), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144535] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5737), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4968), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144646] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5739), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5931), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144757] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5741), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4969), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144868] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5743), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5932), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144979] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5745), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5933), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145090] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5747), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5934), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145201] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5749), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6380), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145312] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5751), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6383), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145423] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5753), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6166), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145534] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5755), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6170), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145645] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5757), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6177), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145756] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5759), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6180), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145867] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5761), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6187), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145978] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5763), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6193), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146089] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5765), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6202), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146200] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5767), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6204), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146311] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5769), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5058), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146422] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5771), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5075), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146533] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    ACTIONS(5773), 1,
      sym_parameter,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(2745), 1,
      sym_identifier,
    STATE(3665), 1,
      sym_invocation,
    STATE(4192), 1,
      sym__qualified_field,
    STATE(11791), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4138), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2416), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146644] = 29,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4195), 1,
      sym_keyword_null,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(5775), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4733), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(964), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146757] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    ACTIONS(5777), 1,
      sym_parameter,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(2745), 1,
      sym_identifier,
    STATE(3665), 1,
      sym_invocation,
    STATE(4192), 1,
      sym__qualified_field,
    STATE(11791), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4138), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3337), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146868] = 29,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4195), 1,
      sym_keyword_null,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(5779), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4403), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(965), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146981] = 29,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4195), 1,
      sym_keyword_null,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(5781), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4407), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(966), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147094] = 29,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4195), 1,
      sym_keyword_null,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(5783), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4529), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(968), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147207] = 29,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4195), 1,
      sym_keyword_null,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(5785), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4533), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(969), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147320] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4549), 1,
      anon_sym_LPAREN,
    ACTIONS(5787), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5952), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147431] = 29,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4195), 1,
      sym_keyword_null,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(5789), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4553), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(970), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147544] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(4557), 1,
      anon_sym_LPAREN,
    ACTIONS(5791), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5953), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147655] = 29,
    ACTIONS(827), 1,
      sym__identifier,
    ACTIONS(885), 1,
      aux_sym_identifier_token1,
    ACTIONS(4185), 1,
      sym_keyword_cast,
    ACTIONS(4187), 1,
      sym_keyword_case,
    ACTIONS(4191), 1,
      sym_keyword_exists,
    ACTIONS(4195), 1,
      sym_keyword_null,
    ACTIONS(4197), 1,
      sym_keyword_interval,
    ACTIONS(4199), 1,
      sym_keyword_array,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4205), 1,
      anon_sym_PLUS,
    ACTIONS(4207), 1,
      anon_sym_DASH,
    ACTIONS(4209), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym__double_quote_string,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4215), 1,
      aux_sym__integer_token1,
    ACTIONS(4217), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4219), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4221), 1,
      sym__dollar_quoted_string,
    ACTIONS(5793), 1,
      sym_parameter,
    STATE(1134), 1,
      sym_identifier,
    STATE(2222), 1,
      sym_invocation,
    STATE(2438), 1,
      sym__qualified_field,
    STATE(2608), 1,
      sym__single_quote_string,
    STATE(11870), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4569), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4193), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2380), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(972), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147768] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(4111), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      sym_op_unary_other,
    ACTIONS(5795), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(4786), 1,
      sym_invocation,
    STATE(11803), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4109), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2788), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147879] = 28,
    ACTIONS(641), 1,
      sym__identifier,
    ACTIONS(643), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_cast,
    ACTIONS(2890), 1,
      sym_keyword_case,
    ACTIONS(2894), 1,
      sym_keyword_exists,
    ACTIONS(2898), 1,
      sym_keyword_interval,
    ACTIONS(2900), 1,
      sym_keyword_array,
    ACTIONS(2910), 1,
      anon_sym_PLUS,
    ACTIONS(2912), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym__double_quote_string,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2920), 1,
      aux_sym__integer_token1,
    ACTIONS(2922), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2924), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2926), 1,
      sym__dollar_quoted_string,
    ACTIONS(4111), 1,
      anon_sym_LPAREN,
    ACTIONS(4115), 1,
      sym_op_unary_other,
    ACTIONS(5797), 1,
      sym_parameter,
    STATE(2684), 1,
      sym_identifier,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3796), 1,
      sym__qualified_field,
    STATE(4786), 1,
      sym_invocation,
    STATE(11803), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2896), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4109), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3715), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2789), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147990] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(5799), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5451), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148101] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(5801), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(3884), 1,
      sym_identifier,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5452), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148212] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    ACTIONS(5803), 1,
      sym_parameter,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(2745), 1,
      sym_identifier,
    STATE(3665), 1,
      sym_invocation,
    STATE(4192), 1,
      sym__qualified_field,
    STATE(11791), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4138), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2032), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148323] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    ACTIONS(5805), 1,
      sym_parameter,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(2745), 1,
      sym_identifier,
    STATE(3665), 1,
      sym_invocation,
    STATE(4192), 1,
      sym__qualified_field,
    STATE(11791), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4138), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1919), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148434] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5807), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6043), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148545] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5809), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6044), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148656] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5811), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6045), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148767] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5813), 1,
      anon_sym_LPAREN,
    ACTIONS(5815), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5460), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148878] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5817), 1,
      anon_sym_LPAREN,
    ACTIONS(5819), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5461), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148989] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5821), 1,
      anon_sym_LPAREN,
    ACTIONS(5823), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5462), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149100] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5825), 1,
      anon_sym_LPAREN,
    ACTIONS(5827), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5464), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149211] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5829), 1,
      anon_sym_LPAREN,
    ACTIONS(5831), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5465), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149322] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5833), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6057), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149433] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5835), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6058), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149544] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5837), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6059), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149655] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5839), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6060), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149766] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5841), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6061), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149877] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5843), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6062), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149988] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5845), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6063), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150099] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5847), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6064), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150210] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5849), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6065), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150321] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5851), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6066), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150432] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5853), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6067), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150543] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5855), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6068), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150654] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5857), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6069), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150765] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5859), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6070), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150876] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5861), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6071), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150987] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5863), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6072), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151098] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5865), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6073), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151209] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5867), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6074), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151320] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5869), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6075), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151431] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5871), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6076), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151542] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5873), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6077), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151653] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5875), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6078), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151764] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5877), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6079), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151875] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5879), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6080), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151986] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5881), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6083), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152097] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5883), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6084), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152208] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5885), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6085), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152319] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5887), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6087), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152430] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5889), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6088), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152541] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5891), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6089), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152652] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5893), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6091), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152763] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5895), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6092), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152874] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5897), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6093), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152985] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5899), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6096), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153096] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5901), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6097), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153207] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5903), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6098), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153318] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5905), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6101), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153429] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5907), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6102), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153540] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5909), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6103), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153651] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5911), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6107), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153762] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5913), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6108), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153873] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5915), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6109), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153984] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5917), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6110), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154095] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5919), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6111), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154206] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5921), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6112), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154317] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5923), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6113), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154428] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5925), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6114), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154539] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(403), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3064), 1,
      anon_sym_LPAREN,
    ACTIONS(3068), 1,
      sym_op_unary_other,
    ACTIONS(5927), 1,
      sym_parameter,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(1151), 1,
      sym_identifier,
    STATE(2518), 1,
      sym__qualified_field,
    STATE(2779), 1,
      sym_invocation,
    STATE(11959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3056), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2503), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6115), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154650] = 28,
    ACTIONS(1035), 1,
      sym__identifier,
    ACTIONS(1093), 1,
      aux_sym_identifier_token1,
    ACTIONS(4139), 1,
      sym_keyword_cast,
    ACTIONS(4141), 1,
      sym_keyword_case,
    ACTIONS(4145), 1,
      sym_keyword_exists,
    ACTIONS(4151), 1,
      sym_keyword_interval,
    ACTIONS(4153), 1,
      sym_keyword_array,
    ACTIONS(4155), 1,
      anon_sym_LPAREN,
    ACTIONS(4159), 1,
      anon_sym_PLUS,
    ACTIONS(4161), 1,
      anon_sym_DASH,
    ACTIONS(4163), 1,
      sym_op_unary_other,
    ACTIONS(4165), 1,
      sym__double_quote_string,
    ACTIONS(4167), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4169), 1,
      aux_sym__integer_token1,
    ACTIONS(4171), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4173), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4175), 1,
      sym__dollar_quoted_string,
    ACTIONS(5929), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(3075), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_invocation,
    STATE(4493), 1,
      sym__qualified_field,
    STATE(11923), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4149), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4147), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4624), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2862), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154761] = 5,
    ACTIONS(5931), 1,
      sym_keyword_filter,
    STATE(2191), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2712), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2714), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [154825] = 5,
    ACTIONS(5933), 1,
      sym_keyword_unsigned,
    ACTIONS(5935), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1965), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1963), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [154889] = 5,
    ACTIONS(5937), 1,
      sym_keyword_unsigned,
    ACTIONS(5939), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1985), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1983), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [154953] = 4,
    ACTIONS(5941), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(57), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(111), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [155015] = 5,
    ACTIONS(5943), 1,
      sym_keyword_unsigned,
    ACTIONS(5945), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2007), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [155079] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1839), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1841), 32,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [155139] = 5,
    ACTIONS(5947), 1,
      aux_sym__single_quote_string_token2,
    STATE(1849), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1369), 32,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [155203] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1843), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1845), 32,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [155263] = 5,
    ACTIONS(5931), 1,
      sym_keyword_filter,
    STATE(2166), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2704), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2706), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [155327] = 5,
    ACTIONS(5949), 1,
      aux_sym__single_quote_string_token2,
    STATE(1917), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3306), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3304), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [155391] = 5,
    ACTIONS(5951), 1,
      aux_sym__single_quote_string_token2,
    STATE(1848), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1363), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1361), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [155455] = 5,
    ACTIONS(5953), 1,
      aux_sym__single_quote_string_token2,
    STATE(1848), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1375), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1373), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [155519] = 5,
    ACTIONS(5956), 1,
      aux_sym__single_quote_string_token2,
    STATE(1894), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1363), 32,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [155583] = 5,
    ACTIONS(5958), 1,
      aux_sym__single_quote_string_token2,
    STATE(1847), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1369), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1367), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [155647] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1384), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [155707] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1847), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1849), 32,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [155767] = 7,
    ACTIONS(5960), 1,
      sym_keyword_with,
    ACTIONS(5962), 1,
      sym_keyword_without,
    ACTIONS(5964), 1,
      anon_sym_LPAREN,
    STATE(2462), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [155835] = 7,
    ACTIONS(5960), 1,
      sym_keyword_with,
    ACTIONS(5962), 1,
      sym_keyword_without,
    ACTIONS(5966), 1,
      anon_sym_LPAREN,
    STATE(2463), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [155903] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1851), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1853), 32,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [155963] = 5,
    STATE(536), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(894), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3337), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3335), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [156027] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1835), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1837), 32,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [156087] = 6,
    ACTIONS(4539), 1,
      sym_keyword_with,
    ACTIONS(4541), 1,
      sym_keyword_without,
    STATE(2306), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1957), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1955), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [156153] = 6,
    ACTIONS(4539), 1,
      sym_keyword_with,
    ACTIONS(4541), 1,
      sym_keyword_without,
    STATE(2311), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1961), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1959), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [156219] = 4,
    ACTIONS(5968), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(111), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(57), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_no,
      sym_keyword_rename,
      sym_keyword_owner,
      sym_keyword_cycle,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_after,
      sym_keyword_before,
      sym_keyword_window,
      sym_keyword_instead,
      sym_keyword_cache,
      sym_keyword_array,
      sym__identifier,
  [156281] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1865), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1867), 32,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [156341] = 6,
    ACTIONS(5970), 1,
      sym_keyword_unsigned,
    ACTIONS(5972), 1,
      sym_keyword_zerofill,
    ACTIONS(5974), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1855), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1857), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [156407] = 29,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(5980), 1,
      sym_keyword_as,
    ACTIONS(5982), 1,
      sym_keyword_in,
    ACTIONS(5984), 1,
      sym_keyword_and,
    ACTIONS(5986), 1,
      sym_keyword_or,
    ACTIONS(5988), 1,
      sym_keyword_is,
    ACTIONS(5990), 1,
      sym_keyword_not,
    ACTIONS(5992), 1,
      sym_keyword_between,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(5998), 1,
      anon_sym_LBRACK,
    ACTIONS(6004), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6008), 1,
      sym_op_other,
    ACTIONS(6010), 1,
      anon_sym_PLUS,
    ACTIONS(6012), 1,
      anon_sym_DASH,
    ACTIONS(6014), 1,
      anon_sym_SLASH,
    ACTIONS(6016), 1,
      anon_sym_CARET,
    STATE(6406), 1,
      sym_identifier,
    STATE(7089), 1,
      sym__alias,
    STATE(10832), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6002), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6006), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1193), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(5976), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(1192), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6000), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(5978), 8,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [156519] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [156581] = 5,
    ACTIONS(5931), 1,
      sym_keyword_filter,
    STATE(2173), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2730), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [156645] = 6,
    ACTIONS(6020), 1,
      anon_sym_LPAREN,
    STATE(2611), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6018), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1879), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1881), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [156711] = 6,
    ACTIONS(6022), 1,
      anon_sym_LPAREN,
    STATE(2612), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6018), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1889), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1891), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [156777] = 6,
    ACTIONS(6024), 1,
      sym_keyword_unsigned,
    ACTIONS(6026), 1,
      sym_keyword_zerofill,
    ACTIONS(6028), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1869), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1871), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [156843] = 6,
    ACTIONS(6030), 1,
      sym_keyword_unsigned,
    ACTIONS(6032), 1,
      sym_keyword_zerofill,
    ACTIONS(6034), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1815), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1817), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [156909] = 6,
    ACTIONS(6036), 1,
      sym_keyword_unsigned,
    ACTIONS(6038), 1,
      sym_keyword_zerofill,
    ACTIONS(6040), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1915), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1917), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [156975] = 6,
    ACTIONS(6042), 1,
      sym_keyword_unsigned,
    ACTIONS(6044), 1,
      sym_keyword_zerofill,
    ACTIONS(6046), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1895), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1897), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157041] = 6,
    ACTIONS(6048), 1,
      sym_keyword_unsigned,
    ACTIONS(6050), 1,
      sym_keyword_zerofill,
    ACTIONS(6052), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1905), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1907), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157107] = 5,
    ACTIONS(5931), 1,
      sym_keyword_filter,
    STATE(2177), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2708), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2710), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157171] = 5,
    ACTIONS(5931), 1,
      sym_keyword_filter,
    STATE(2179), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2720), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2722), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157235] = 5,
    ACTIONS(5931), 1,
      sym_keyword_filter,
    STATE(2183), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2726), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157299] = 6,
    ACTIONS(4561), 1,
      sym_keyword_unsigned,
    ACTIONS(4563), 1,
      sym_keyword_zerofill,
    ACTIONS(4567), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157365] = 5,
    ACTIONS(5931), 1,
      sym_keyword_filter,
    STATE(2184), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2688), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2690), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157429] = 5,
    ACTIONS(5931), 1,
      sym_keyword_filter,
    STATE(2187), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2692), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2694), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157493] = 5,
    ACTIONS(5931), 1,
      sym_keyword_filter,
    STATE(2189), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2696), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2698), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157557] = 7,
    ACTIONS(6054), 1,
      sym_keyword_array,
    STATE(2334), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2709), 1,
      sym_array_size_definition,
    STATE(2710), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2825), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [157625] = 7,
    ACTIONS(6054), 1,
      sym_keyword_array,
    STATE(2334), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2710), 1,
      sym__array_size_definition,
    STATE(2721), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2833), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2831), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [157693] = 5,
    ACTIONS(5931), 1,
      sym_keyword_filter,
    STATE(2194), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2740), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2742), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157757] = 5,
    ACTIONS(5931), 1,
      sym_keyword_filter,
    STATE(2197), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157821] = 5,
    ACTIONS(5931), 1,
      sym_keyword_filter,
    STATE(2198), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157885] = 5,
    ACTIONS(5931), 1,
      sym_keyword_filter,
    STATE(2200), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2680), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2682), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157949] = 5,
    ACTIONS(5931), 1,
      sym_keyword_filter,
    STATE(2201), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [158013] = 5,
    ACTIONS(5931), 1,
      sym_keyword_filter,
    STATE(2209), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [158077] = 5,
    ACTIONS(5931), 1,
      sym_keyword_filter,
    STATE(2210), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2736), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2738), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [158141] = 5,
    ACTIONS(5931), 1,
      sym_keyword_filter,
    STATE(2212), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2670), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2672), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [158205] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1380), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1382), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [158267] = 4,
    ACTIONS(6056), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2015), 43,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [158329] = 5,
    ACTIONS(6058), 1,
      sym_keyword_varying,
    ACTIONS(6060), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1927), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1925), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [158393] = 5,
    ACTIONS(5931), 1,
      sym_keyword_filter,
    STATE(2214), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2716), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2718), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [158457] = 5,
    ACTIONS(6062), 1,
      aux_sym__single_quote_string_token2,
    STATE(1894), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1375), 32,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [158521] = 6,
    ACTIONS(6065), 1,
      sym_keyword_unsigned,
    ACTIONS(6067), 1,
      sym_keyword_zerofill,
    ACTIONS(6069), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [158587] = 5,
    ACTIONS(6071), 1,
      sym_keyword_precision,
    ACTIONS(6073), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [158651] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1841), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1839), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [158711] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1845), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1843), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [158771] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1849), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1847), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [158831] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1853), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1851), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [158891] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1837), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1835), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [158951] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1867), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1865), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159011] = 6,
    ACTIONS(6075), 1,
      sym_keyword_unsigned,
    ACTIONS(6077), 1,
      sym_keyword_zerofill,
    ACTIONS(6079), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1857), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1855), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159077] = 6,
    ACTIONS(6081), 1,
      sym_keyword_unsigned,
    ACTIONS(6083), 1,
      sym_keyword_zerofill,
    ACTIONS(6085), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1871), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1869), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159143] = 6,
    ACTIONS(6087), 1,
      sym_keyword_unsigned,
    ACTIONS(6089), 1,
      sym_keyword_zerofill,
    ACTIONS(6091), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1817), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1815), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159209] = 6,
    ACTIONS(6093), 1,
      sym_keyword_unsigned,
    ACTIONS(6095), 1,
      sym_keyword_zerofill,
    ACTIONS(6097), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1917), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1915), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159275] = 6,
    ACTIONS(6099), 1,
      sym_keyword_unsigned,
    ACTIONS(6101), 1,
      sym_keyword_zerofill,
    ACTIONS(6103), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1897), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1895), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159341] = 6,
    ACTIONS(6105), 1,
      sym_keyword_unsigned,
    ACTIONS(6107), 1,
      sym_keyword_zerofill,
    ACTIONS(6109), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1905), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159407] = 6,
    ACTIONS(4677), 1,
      sym_keyword_unsigned,
    ACTIONS(4679), 1,
      sym_keyword_zerofill,
    ACTIONS(4683), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159473] = 6,
    ACTIONS(6111), 1,
      sym_keyword_unsigned,
    ACTIONS(6113), 1,
      sym_keyword_zerofill,
    ACTIONS(6115), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159539] = 5,
    ACTIONS(6117), 1,
      sym_keyword_unsigned,
    ACTIONS(6119), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1977), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1975), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159603] = 5,
    ACTIONS(6121), 1,
      sym_keyword_unsigned,
    ACTIONS(6123), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1993), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1991), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159667] = 5,
    ACTIONS(6125), 1,
      sym_keyword_unsigned,
    ACTIONS(6127), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2001), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1999), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159731] = 5,
    ACTIONS(6129), 1,
      sym_keyword_unsigned,
    ACTIONS(6131), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159795] = 5,
    ACTIONS(6133), 1,
      sym_keyword_unsigned,
    ACTIONS(6135), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1949), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1947), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159859] = 7,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    STATE(2667), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2837), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2835), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159927] = 5,
    ACTIONS(5951), 1,
      aux_sym__single_quote_string_token2,
    STATE(1848), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3320), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3318), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159991] = 5,
    ACTIONS(5931), 1,
      sym_keyword_filter,
    STATE(2192), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2700), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2702), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [160055] = 20,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2644), 1,
      sym_keyword_or,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6141), 1,
      sym_keyword_not,
    ACTIONS(6143), 1,
      anon_sym_LBRACK,
    ACTIONS(6151), 1,
      sym_op_other,
    ACTIONS(6153), 1,
      anon_sym_PLUS,
    ACTIONS(6155), 1,
      anon_sym_DASH,
    ACTIONS(6157), 1,
      anon_sym_SLASH,
    ACTIONS(6159), 1,
      anon_sym_CARET,
    STATE(10990), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6149), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1654), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1652), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6145), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2642), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [160148] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6161), 1,
      sym_keyword_in,
    ACTIONS(6163), 1,
      sym_keyword_and,
    ACTIONS(6165), 1,
      sym_keyword_or,
    ACTIONS(6167), 1,
      sym_keyword_is,
    ACTIONS(6169), 1,
      sym_keyword_not,
    ACTIONS(6171), 1,
      sym_keyword_between,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6179), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6183), 1,
      sym_op_other,
    ACTIONS(6185), 1,
      anon_sym_PLUS,
    ACTIONS(6187), 1,
      anon_sym_DASH,
    ACTIONS(6189), 1,
      anon_sym_SLASH,
    ACTIONS(6191), 1,
      anon_sym_CARET,
    STATE(10554), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6177), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6181), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1327), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1326), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6175), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3416), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [160247] = 13,
    ACTIONS(6167), 1,
      sym_keyword_is,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6185), 1,
      anon_sym_PLUS,
    ACTIONS(6187), 1,
      anon_sym_DASH,
    ACTIONS(6189), 1,
      anon_sym_SLASH,
    ACTIONS(6191), 1,
      anon_sym_CARET,
    STATE(10554), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6177), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1327), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2505), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1326), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [160326] = 11,
    ACTIONS(6167), 1,
      sym_keyword_is,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6189), 1,
      anon_sym_SLASH,
    ACTIONS(6191), 1,
      anon_sym_CARET,
    STATE(10554), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6177), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1327), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1326), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 5,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2503), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [160401] = 8,
    ACTIONS(6167), 1,
      sym_keyword_is,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    STATE(10554), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1327), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1326), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [160470] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2787), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [160529] = 18,
    ACTIONS(2505), 1,
      sym_keyword_or,
    ACTIONS(6161), 1,
      sym_keyword_in,
    ACTIONS(6167), 1,
      sym_keyword_is,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6183), 1,
      sym_op_other,
    ACTIONS(6185), 1,
      anon_sym_PLUS,
    ACTIONS(6187), 1,
      anon_sym_DASH,
    ACTIONS(6189), 1,
      anon_sym_SLASH,
    ACTIONS(6191), 1,
      anon_sym_CARET,
    ACTIONS(6193), 1,
      sym_keyword_not,
    STATE(10554), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6177), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6181), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1327), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1326), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6175), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [160618] = 20,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2640), 1,
      sym_keyword_or,
    ACTIONS(6161), 1,
      sym_keyword_in,
    ACTIONS(6167), 1,
      sym_keyword_is,
    ACTIONS(6169), 1,
      sym_keyword_not,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6183), 1,
      sym_op_other,
    ACTIONS(6185), 1,
      anon_sym_PLUS,
    ACTIONS(6187), 1,
      anon_sym_DASH,
    ACTIONS(6189), 1,
      anon_sym_SLASH,
    ACTIONS(6191), 1,
      anon_sym_CARET,
    STATE(10554), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6177), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6181), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1327), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1326), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6175), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2638), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [160711] = 20,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2644), 1,
      sym_keyword_or,
    ACTIONS(6161), 1,
      sym_keyword_in,
    ACTIONS(6167), 1,
      sym_keyword_is,
    ACTIONS(6169), 1,
      sym_keyword_not,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6183), 1,
      sym_op_other,
    ACTIONS(6185), 1,
      anon_sym_PLUS,
    ACTIONS(6187), 1,
      anon_sym_DASH,
    ACTIONS(6189), 1,
      anon_sym_SLASH,
    ACTIONS(6191), 1,
      anon_sym_CARET,
    STATE(10554), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6177), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6181), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1327), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1326), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6175), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2642), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [160804] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2805), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2803), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [160863] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6161), 1,
      sym_keyword_in,
    ACTIONS(6163), 1,
      sym_keyword_and,
    ACTIONS(6165), 1,
      sym_keyword_or,
    ACTIONS(6167), 1,
      sym_keyword_is,
    ACTIONS(6169), 1,
      sym_keyword_not,
    ACTIONS(6171), 1,
      sym_keyword_between,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6179), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6183), 1,
      sym_op_other,
    ACTIONS(6185), 1,
      anon_sym_PLUS,
    ACTIONS(6187), 1,
      anon_sym_DASH,
    ACTIONS(6189), 1,
      anon_sym_SLASH,
    ACTIONS(6191), 1,
      anon_sym_CARET,
    STATE(10554), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6177), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6181), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1327), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1326), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6175), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3408), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [160962] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2783), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2785), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [161021] = 5,
    ACTIONS(6196), 1,
      aux_sym__single_quote_string_token2,
    STATE(1932), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1363), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1361), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [161084] = 5,
    ACTIONS(6198), 1,
      aux_sym__single_quote_string_token2,
    STATE(1932), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1375), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1373), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [161147] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [161206] = 8,
    ACTIONS(6167), 1,
      sym_keyword_is,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    STATE(10554), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1327), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1326), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2487), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2485), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [161275] = 13,
    ACTIONS(6167), 1,
      sym_keyword_is,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6185), 1,
      anon_sym_PLUS,
    ACTIONS(6187), 1,
      anon_sym_DASH,
    ACTIONS(6189), 1,
      anon_sym_SLASH,
    ACTIONS(6191), 1,
      anon_sym_CARET,
    STATE(10554), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6177), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1327), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2487), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1326), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [161354] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2761), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2759), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [161413] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2793), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2791), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [161472] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6161), 1,
      sym_keyword_in,
    ACTIONS(6163), 1,
      sym_keyword_and,
    ACTIONS(6165), 1,
      sym_keyword_or,
    ACTIONS(6167), 1,
      sym_keyword_is,
    ACTIONS(6169), 1,
      sym_keyword_not,
    ACTIONS(6171), 1,
      sym_keyword_between,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6179), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6183), 1,
      sym_op_other,
    ACTIONS(6185), 1,
      anon_sym_PLUS,
    ACTIONS(6187), 1,
      anon_sym_DASH,
    ACTIONS(6189), 1,
      anon_sym_SLASH,
    ACTIONS(6191), 1,
      anon_sym_CARET,
    STATE(10554), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6177), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6181), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1327), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1326), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6175), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3424), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [161571] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [161630] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6161), 1,
      sym_keyword_in,
    ACTIONS(6163), 1,
      sym_keyword_and,
    ACTIONS(6165), 1,
      sym_keyword_or,
    ACTIONS(6167), 1,
      sym_keyword_is,
    ACTIONS(6169), 1,
      sym_keyword_not,
    ACTIONS(6171), 1,
      sym_keyword_between,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6179), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6183), 1,
      sym_op_other,
    ACTIONS(6185), 1,
      anon_sym_PLUS,
    ACTIONS(6187), 1,
      anon_sym_DASH,
    ACTIONS(6189), 1,
      anon_sym_SLASH,
    ACTIONS(6191), 1,
      anon_sym_CARET,
    STATE(10554), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6177), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6181), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1327), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1326), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6175), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3440), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [161729] = 21,
    ACTIONS(2505), 1,
      sym_keyword_or,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6141), 1,
      sym_keyword_not,
    ACTIONS(6143), 1,
      anon_sym_LBRACK,
    ACTIONS(6151), 1,
      sym_op_other,
    ACTIONS(6153), 1,
      anon_sym_PLUS,
    ACTIONS(6155), 1,
      anon_sym_DASH,
    ACTIONS(6157), 1,
      anon_sym_SLASH,
    ACTIONS(6159), 1,
      anon_sym_CARET,
    ACTIONS(6201), 1,
      sym_keyword_between,
    STATE(10990), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6149), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1654), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1652), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6145), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [161824] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [161883] = 22,
    ACTIONS(2505), 1,
      sym_keyword_or,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6141), 1,
      sym_keyword_not,
    ACTIONS(6143), 1,
      anon_sym_LBRACK,
    ACTIONS(6151), 1,
      sym_op_other,
    ACTIONS(6153), 1,
      anon_sym_PLUS,
    ACTIONS(6155), 1,
      anon_sym_DASH,
    ACTIONS(6157), 1,
      anon_sym_SLASH,
    ACTIONS(6159), 1,
      anon_sym_CARET,
    ACTIONS(6201), 1,
      sym_keyword_between,
    ACTIONS(6203), 1,
      sym_keyword_and,
    STATE(10990), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6149), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1654), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1652), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6145), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [161980] = 5,
    ACTIONS(6205), 1,
      sym_keyword_unsigned,
    ACTIONS(6207), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1947), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1949), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [162043] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2781), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2779), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162102] = 13,
    ACTIONS(5988), 1,
      sym_keyword_is,
    ACTIONS(5998), 1,
      anon_sym_LBRACK,
    ACTIONS(6010), 1,
      anon_sym_PLUS,
    ACTIONS(6012), 1,
      anon_sym_DASH,
    ACTIONS(6014), 1,
      anon_sym_SLASH,
    ACTIONS(6016), 1,
      anon_sym_CARET,
    STATE(10832), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6002), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1193), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1192), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 21,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [162181] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2680), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2682), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [162240] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162299] = 5,
    STATE(2055), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2386), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3337), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3335), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162362] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162421] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6161), 1,
      sym_keyword_in,
    ACTIONS(6163), 1,
      sym_keyword_and,
    ACTIONS(6165), 1,
      sym_keyword_or,
    ACTIONS(6167), 1,
      sym_keyword_is,
    ACTIONS(6169), 1,
      sym_keyword_not,
    ACTIONS(6171), 1,
      sym_keyword_between,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6179), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6183), 1,
      sym_op_other,
    ACTIONS(6185), 1,
      anon_sym_PLUS,
    ACTIONS(6187), 1,
      anon_sym_DASH,
    ACTIONS(6189), 1,
      anon_sym_SLASH,
    ACTIONS(6191), 1,
      anon_sym_CARET,
    STATE(10554), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6177), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6181), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1327), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1326), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6175), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3422), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [162520] = 6,
    STATE(10990), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1654), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1652), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162585] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2757), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2755), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162644] = 16,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6143), 1,
      anon_sym_LBRACK,
    ACTIONS(6151), 1,
      sym_op_other,
    ACTIONS(6153), 1,
      anon_sym_PLUS,
    ACTIONS(6155), 1,
      anon_sym_DASH,
    ACTIONS(6157), 1,
      anon_sym_SLASH,
    ACTIONS(6159), 1,
      anon_sym_CARET,
    ACTIONS(6209), 1,
      sym_keyword_not,
    STATE(10990), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2505), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1654), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1652), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162729] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2773), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2771), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162788] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162849] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6161), 1,
      sym_keyword_in,
    ACTIONS(6163), 1,
      sym_keyword_and,
    ACTIONS(6165), 1,
      sym_keyword_or,
    ACTIONS(6167), 1,
      sym_keyword_is,
    ACTIONS(6169), 1,
      sym_keyword_not,
    ACTIONS(6171), 1,
      sym_keyword_between,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6179), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6183), 1,
      sym_op_other,
    ACTIONS(6185), 1,
      anon_sym_PLUS,
    ACTIONS(6187), 1,
      anon_sym_DASH,
    ACTIONS(6189), 1,
      anon_sym_SLASH,
    ACTIONS(6191), 1,
      anon_sym_CARET,
    STATE(10554), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6177), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6181), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1327), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1326), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6175), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3473), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [162948] = 4,
    ACTIONS(6212), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [163009] = 4,
    ACTIONS(6214), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [163070] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [163129] = 5,
    ACTIONS(6216), 1,
      sym_keyword_unsigned,
    ACTIONS(6218), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2009), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [163192] = 5,
    ACTIONS(6220), 1,
      sym_keyword_varying,
    ACTIONS(6222), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1925), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1927), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [163255] = 9,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6143), 1,
      anon_sym_LBRACK,
    ACTIONS(6159), 1,
      anon_sym_CARET,
    STATE(10990), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1654), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1652), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2503), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [163326] = 4,
    ACTIONS(6224), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2041), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2039), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [163387] = 4,
    ACTIONS(6226), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2047), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2045), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [163448] = 11,
    ACTIONS(5988), 1,
      sym_keyword_is,
    ACTIONS(5998), 1,
      anon_sym_LBRACK,
    ACTIONS(6014), 1,
      anon_sym_SLASH,
    ACTIONS(6016), 1,
      anon_sym_CARET,
    STATE(10832), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6002), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1193), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1192), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [163523] = 8,
    ACTIONS(5988), 1,
      sym_keyword_is,
    ACTIONS(5998), 1,
      anon_sym_LBRACK,
    STATE(10832), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1193), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1192), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [163592] = 5,
    ACTIONS(6228), 1,
      aux_sym__single_quote_string_token2,
    STATE(1975), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3304), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3306), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [163655] = 18,
    ACTIONS(5982), 1,
      sym_keyword_in,
    ACTIONS(5988), 1,
      sym_keyword_is,
    ACTIONS(5998), 1,
      anon_sym_LBRACK,
    ACTIONS(6008), 1,
      sym_op_other,
    ACTIONS(6010), 1,
      anon_sym_PLUS,
    ACTIONS(6012), 1,
      anon_sym_DASH,
    ACTIONS(6014), 1,
      anon_sym_SLASH,
    ACTIONS(6016), 1,
      anon_sym_CARET,
    ACTIONS(6230), 1,
      sym_keyword_not,
    STATE(10832), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6002), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6006), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1193), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1192), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6000), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 17,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [163744] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2720), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2722), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [163803] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2787), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2789), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [163862] = 6,
    STATE(10554), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1327), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1326), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [163927] = 5,
    ACTIONS(6233), 1,
      aux_sym__single_quote_string_token2,
    STATE(1931), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1369), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1367), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [163990] = 13,
    ACTIONS(5988), 1,
      sym_keyword_is,
    ACTIONS(5998), 1,
      anon_sym_LBRACK,
    ACTIONS(6010), 1,
      anon_sym_PLUS,
    ACTIONS(6012), 1,
      anon_sym_DASH,
    ACTIONS(6014), 1,
      anon_sym_SLASH,
    ACTIONS(6016), 1,
      anon_sym_CARET,
    STATE(10832), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6002), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1193), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1192), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2487), 21,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [164069] = 5,
    ACTIONS(3118), 1,
      aux_sym__single_quote_string_token2,
    STATE(483), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3318), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3320), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [164132] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [164191] = 4,
    ACTIONS(6235), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2106), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2104), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [164252] = 4,
    ACTIONS(6237), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2112), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2110), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [164313] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2803), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2805), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [164372] = 5,
    ACTIONS(6239), 1,
      sym_keyword_unsigned,
    ACTIONS(6241), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1983), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1985), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [164435] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2771), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2773), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [164494] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [164553] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2712), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2714), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [164612] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6161), 1,
      sym_keyword_in,
    ACTIONS(6163), 1,
      sym_keyword_and,
    ACTIONS(6165), 1,
      sym_keyword_or,
    ACTIONS(6167), 1,
      sym_keyword_is,
    ACTIONS(6169), 1,
      sym_keyword_not,
    ACTIONS(6171), 1,
      sym_keyword_between,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6179), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6183), 1,
      sym_op_other,
    ACTIONS(6185), 1,
      anon_sym_PLUS,
    ACTIONS(6187), 1,
      anon_sym_DASH,
    ACTIONS(6189), 1,
      anon_sym_SLASH,
    ACTIONS(6191), 1,
      anon_sym_CARET,
    STATE(10554), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6177), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6181), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1327), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1326), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6175), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3452), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [164711] = 4,
    ACTIONS(6243), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2122), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2120), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [164772] = 4,
    ACTIONS(6245), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2128), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2126), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [164833] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1386), 2,
      sym_keyword_primary,
      sym_keyword_constraint,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1380), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1382), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_cascade,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [164896] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6161), 1,
      sym_keyword_in,
    ACTIONS(6163), 1,
      sym_keyword_and,
    ACTIONS(6165), 1,
      sym_keyword_or,
    ACTIONS(6167), 1,
      sym_keyword_is,
    ACTIONS(6169), 1,
      sym_keyword_not,
    ACTIONS(6171), 1,
      sym_keyword_between,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6179), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6183), 1,
      sym_op_other,
    ACTIONS(6185), 1,
      anon_sym_PLUS,
    ACTIONS(6187), 1,
      anon_sym_DASH,
    ACTIONS(6189), 1,
      anon_sym_SLASH,
    ACTIONS(6191), 1,
      anon_sym_CARET,
    STATE(10554), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6177), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6181), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1327), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1326), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6175), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3468), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [164995] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2759), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2761), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [165054] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2793), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [165113] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2015), 43,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [165172] = 4,
    ACTIONS(6247), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2142), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2140), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [165233] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6161), 1,
      sym_keyword_in,
    ACTIONS(6163), 1,
      sym_keyword_and,
    ACTIONS(6165), 1,
      sym_keyword_or,
    ACTIONS(6167), 1,
      sym_keyword_is,
    ACTIONS(6169), 1,
      sym_keyword_not,
    ACTIONS(6171), 1,
      sym_keyword_between,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6179), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6183), 1,
      sym_op_other,
    ACTIONS(6185), 1,
      anon_sym_PLUS,
    ACTIONS(6187), 1,
      anon_sym_DASH,
    ACTIONS(6189), 1,
      anon_sym_SLASH,
    ACTIONS(6191), 1,
      anon_sym_CARET,
    STATE(10554), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6177), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6181), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1327), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1326), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6175), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3479), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [165332] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2148), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2146), 43,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [165391] = 4,
    ACTIONS(6249), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [165452] = 4,
    ACTIONS(6251), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [165513] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2799), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2801), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [165572] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2670), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2672), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [165631] = 9,
    ACTIONS(5988), 1,
      sym_keyword_is,
    ACTIONS(5998), 1,
      anon_sym_LBRACK,
    ACTIONS(6016), 1,
      anon_sym_CARET,
    STATE(10832), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1193), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1192), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      sym__identifier,
  [165702] = 5,
    ACTIONS(6253), 1,
      sym_keyword_precision,
    ACTIONS(6255), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [165765] = 21,
    ACTIONS(5982), 1,
      sym_keyword_in,
    ACTIONS(5988), 1,
      sym_keyword_is,
    ACTIONS(5990), 1,
      sym_keyword_not,
    ACTIONS(5992), 1,
      sym_keyword_between,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(5998), 1,
      anon_sym_LBRACK,
    ACTIONS(6008), 1,
      sym_op_other,
    ACTIONS(6010), 1,
      anon_sym_PLUS,
    ACTIONS(6012), 1,
      anon_sym_DASH,
    ACTIONS(6014), 1,
      anon_sym_SLASH,
    ACTIONS(6016), 1,
      anon_sym_CARET,
    STATE(10832), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6002), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6006), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1193), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1192), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6000), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 13,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym__identifier,
  [165860] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2777), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2775), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [165919] = 4,
    ACTIONS(6257), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2017), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [165980] = 22,
    ACTIONS(5982), 1,
      sym_keyword_in,
    ACTIONS(5984), 1,
      sym_keyword_and,
    ACTIONS(5988), 1,
      sym_keyword_is,
    ACTIONS(5990), 1,
      sym_keyword_not,
    ACTIONS(5992), 1,
      sym_keyword_between,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(5998), 1,
      anon_sym_LBRACK,
    ACTIONS(6008), 1,
      sym_op_other,
    ACTIONS(6010), 1,
      anon_sym_PLUS,
    ACTIONS(6012), 1,
      anon_sym_DASH,
    ACTIONS(6014), 1,
      anon_sym_SLASH,
    ACTIONS(6016), 1,
      anon_sym_CARET,
    STATE(10832), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6002), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6006), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1193), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1192), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6000), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 12,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym__identifier,
  [166077] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2779), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2781), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [166136] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2716), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2718), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [166195] = 4,
    ACTIONS(6259), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2176), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2174), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [166256] = 4,
    ACTIONS(6261), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2182), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2180), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [166317] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2775), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2777), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [166376] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2188), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2186), 43,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [166435] = 9,
    ACTIONS(6167), 1,
      sym_keyword_is,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6191), 1,
      anon_sym_CARET,
    STATE(10554), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1327), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1326), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2503), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [166506] = 4,
    STATE(914), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [166567] = 4,
    ACTIONS(6263), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [166628] = 4,
    ACTIONS(6265), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(57), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(111), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [166689] = 4,
    ACTIONS(6267), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [166750] = 4,
    ACTIONS(6269), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [166811] = 4,
    ACTIONS(6271), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [166872] = 4,
    ACTIONS(6273), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [166933] = 4,
    ACTIONS(6073), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [166994] = 4,
    ACTIONS(6275), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2134), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2132), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [167055] = 4,
    ACTIONS(6277), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [167116] = 4,
    ACTIONS(4521), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [167177] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2795), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2797), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [167236] = 4,
    ACTIONS(6279), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [167297] = 13,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6143), 1,
      anon_sym_LBRACK,
    ACTIONS(6153), 1,
      anon_sym_PLUS,
    ACTIONS(6155), 1,
      anon_sym_DASH,
    ACTIONS(6157), 1,
      anon_sym_SLASH,
    ACTIONS(6159), 1,
      anon_sym_CARET,
    STATE(10990), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1654), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2505), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1652), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [167376] = 11,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6143), 1,
      anon_sym_LBRACK,
    ACTIONS(6157), 1,
      anon_sym_SLASH,
    ACTIONS(6159), 1,
      anon_sym_CARET,
    STATE(10990), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1654), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1652), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 5,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2503), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [167451] = 8,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6143), 1,
      anon_sym_LBRACK,
    STATE(10990), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1654), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1652), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [167520] = 18,
    ACTIONS(2505), 1,
      sym_keyword_or,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6143), 1,
      anon_sym_LBRACK,
    ACTIONS(6151), 1,
      sym_op_other,
    ACTIONS(6153), 1,
      anon_sym_PLUS,
    ACTIONS(6155), 1,
      anon_sym_DASH,
    ACTIONS(6157), 1,
      anon_sym_SLASH,
    ACTIONS(6159), 1,
      anon_sym_CARET,
    ACTIONS(6209), 1,
      sym_keyword_not,
    STATE(10990), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6149), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1654), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1652), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6145), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [167609] = 16,
    ACTIONS(5982), 1,
      sym_keyword_in,
    ACTIONS(5988), 1,
      sym_keyword_is,
    ACTIONS(5998), 1,
      anon_sym_LBRACK,
    ACTIONS(6008), 1,
      sym_op_other,
    ACTIONS(6010), 1,
      anon_sym_PLUS,
    ACTIONS(6012), 1,
      anon_sym_DASH,
    ACTIONS(6014), 1,
      anon_sym_SLASH,
    ACTIONS(6016), 1,
      anon_sym_CARET,
    ACTIONS(6230), 1,
      sym_keyword_not,
    STATE(10832), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6002), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1193), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1192), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 19,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [167694] = 4,
    ACTIONS(6281), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [167755] = 4,
    ACTIONS(6283), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [167816] = 20,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2640), 1,
      sym_keyword_or,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6141), 1,
      sym_keyword_not,
    ACTIONS(6143), 1,
      anon_sym_LBRACK,
    ACTIONS(6151), 1,
      sym_op_other,
    ACTIONS(6153), 1,
      anon_sym_PLUS,
    ACTIONS(6155), 1,
      anon_sym_DASH,
    ACTIONS(6157), 1,
      anon_sym_SLASH,
    ACTIONS(6159), 1,
      anon_sym_CARET,
    STATE(10990), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6149), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1654), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1652), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6145), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2638), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [167909] = 4,
    ACTIONS(6285), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [167970] = 4,
    ACTIONS(6287), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168031] = 20,
    ACTIONS(5982), 1,
      sym_keyword_in,
    ACTIONS(5988), 1,
      sym_keyword_is,
    ACTIONS(5990), 1,
      sym_keyword_not,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(5998), 1,
      anon_sym_LBRACK,
    ACTIONS(6008), 1,
      sym_op_other,
    ACTIONS(6010), 1,
      anon_sym_PLUS,
    ACTIONS(6012), 1,
      anon_sym_DASH,
    ACTIONS(6014), 1,
      anon_sym_SLASH,
    ACTIONS(6016), 1,
      anon_sym_CARET,
    STATE(10832), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6002), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6006), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1193), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1192), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6000), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2638), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2640), 14,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      sym__identifier,
  [168124] = 4,
    ACTIONS(6289), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2015), 42,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168185] = 5,
    ACTIONS(6291), 1,
      sym_keyword_varying,
    ACTIONS(6293), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1927), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1925), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168248] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2755), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2757), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [168307] = 6,
    ACTIONS(5960), 1,
      sym_keyword_with,
    ACTIONS(5962), 1,
      sym_keyword_without,
    STATE(2514), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1957), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1955), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168372] = 6,
    ACTIONS(5960), 1,
      sym_keyword_with,
    ACTIONS(5962), 1,
      sym_keyword_without,
    STATE(2515), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1961), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1959), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168437] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168496] = 13,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6143), 1,
      anon_sym_LBRACK,
    ACTIONS(6153), 1,
      anon_sym_PLUS,
    ACTIONS(6155), 1,
      anon_sym_DASH,
    ACTIONS(6157), 1,
      anon_sym_SLASH,
    ACTIONS(6159), 1,
      anon_sym_CARET,
    STATE(10990), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1654), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2487), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1652), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168575] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6161), 1,
      sym_keyword_in,
    ACTIONS(6163), 1,
      sym_keyword_and,
    ACTIONS(6165), 1,
      sym_keyword_or,
    ACTIONS(6167), 1,
      sym_keyword_is,
    ACTIONS(6169), 1,
      sym_keyword_not,
    ACTIONS(6171), 1,
      sym_keyword_between,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6179), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6183), 1,
      sym_op_other,
    ACTIONS(6185), 1,
      anon_sym_PLUS,
    ACTIONS(6187), 1,
      anon_sym_DASH,
    ACTIONS(6189), 1,
      anon_sym_SLASH,
    ACTIONS(6191), 1,
      anon_sym_CARET,
    STATE(10554), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6177), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6181), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1327), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1326), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6175), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3420), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [168674] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2809), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2807), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168733] = 5,
    ACTIONS(6295), 1,
      sym_keyword_unsigned,
    ACTIONS(6297), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1963), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1965), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [168796] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [168855] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2785), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2783), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168914] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2688), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2690), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [168973] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169032] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169091] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6161), 1,
      sym_keyword_in,
    ACTIONS(6163), 1,
      sym_keyword_and,
    ACTIONS(6165), 1,
      sym_keyword_or,
    ACTIONS(6167), 1,
      sym_keyword_is,
    ACTIONS(6169), 1,
      sym_keyword_not,
    ACTIONS(6171), 1,
      sym_keyword_between,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6179), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6183), 1,
      sym_op_other,
    ACTIONS(6185), 1,
      anon_sym_PLUS,
    ACTIONS(6187), 1,
      anon_sym_DASH,
    ACTIONS(6189), 1,
      anon_sym_SLASH,
    ACTIONS(6191), 1,
      anon_sym_CARET,
    STATE(10554), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6177), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6181), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1327), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1326), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6175), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3485), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [169190] = 5,
    ACTIONS(6299), 1,
      sym_keyword_precision,
    ACTIONS(6301), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169253] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2807), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2809), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [169312] = 4,
    ACTIONS(6303), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169373] = 6,
    ACTIONS(6305), 1,
      anon_sym_LBRACK,
    STATE(2055), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2386), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2085), 40,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169438] = 4,
    ACTIONS(6308), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169499] = 29,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(6310), 1,
      sym_keyword_as,
    ACTIONS(6312), 1,
      sym_keyword_in,
    ACTIONS(6314), 1,
      sym_keyword_and,
    ACTIONS(6316), 1,
      sym_keyword_or,
    ACTIONS(6318), 1,
      sym_keyword_is,
    ACTIONS(6320), 1,
      sym_keyword_not,
    ACTIONS(6322), 1,
      sym_keyword_between,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6330), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6334), 1,
      sym_op_other,
    ACTIONS(6336), 1,
      anon_sym_PLUS,
    ACTIONS(6338), 1,
      anon_sym_DASH,
    ACTIONS(6340), 1,
      anon_sym_SLASH,
    ACTIONS(6342), 1,
      anon_sym_CARET,
    STATE(6573), 1,
      sym_identifier,
    STATE(7568), 1,
      sym__alias,
    STATE(10864), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6332), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5976), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(1358), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1357), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6326), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(5978), 8,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [169610] = 5,
    ACTIONS(6344), 1,
      aux_sym__single_quote_string_token2,
    STATE(2059), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3306), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3304), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169673] = 5,
    ACTIONS(6196), 1,
      aux_sym__single_quote_string_token2,
    STATE(1932), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3320), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3318), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169736] = 6,
    STATE(10832), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1193), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1192), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [169801] = 21,
    ACTIONS(2505), 1,
      sym_keyword_or,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6161), 1,
      sym_keyword_in,
    ACTIONS(6167), 1,
      sym_keyword_is,
    ACTIONS(6169), 1,
      sym_keyword_not,
    ACTIONS(6171), 1,
      sym_keyword_between,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6183), 1,
      sym_op_other,
    ACTIONS(6185), 1,
      anon_sym_PLUS,
    ACTIONS(6187), 1,
      anon_sym_DASH,
    ACTIONS(6189), 1,
      anon_sym_SLASH,
    ACTIONS(6191), 1,
      anon_sym_CARET,
    STATE(10554), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6177), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6181), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1327), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1326), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6175), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [169896] = 8,
    ACTIONS(5988), 1,
      sym_keyword_is,
    ACTIONS(5998), 1,
      anon_sym_LBRACK,
    STATE(10832), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1193), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1192), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2487), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [169965] = 22,
    ACTIONS(2505), 1,
      sym_keyword_or,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6161), 1,
      sym_keyword_in,
    ACTIONS(6163), 1,
      sym_keyword_and,
    ACTIONS(6167), 1,
      sym_keyword_is,
    ACTIONS(6169), 1,
      sym_keyword_not,
    ACTIONS(6171), 1,
      sym_keyword_between,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6183), 1,
      sym_op_other,
    ACTIONS(6185), 1,
      anon_sym_PLUS,
    ACTIONS(6187), 1,
      anon_sym_DASH,
    ACTIONS(6189), 1,
      anon_sym_SLASH,
    ACTIONS(6191), 1,
      anon_sym_CARET,
    STATE(10554), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6177), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6181), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1327), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1326), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6175), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [170062] = 5,
    ACTIONS(6346), 1,
      sym_keyword_unsigned,
    ACTIONS(6348), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1977), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1975), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [170125] = 5,
    ACTIONS(6350), 1,
      sym_keyword_unsigned,
    ACTIONS(6352), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1993), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1991), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [170188] = 5,
    ACTIONS(6354), 1,
      sym_keyword_unsigned,
    ACTIONS(6356), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2001), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1999), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [170251] = 8,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6143), 1,
      anon_sym_LBRACK,
    STATE(10990), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1654), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1652), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2487), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2485), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [170320] = 5,
    ACTIONS(6358), 1,
      sym_keyword_unsigned,
    ACTIONS(6360), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [170383] = 5,
    ACTIONS(6362), 1,
      sym_keyword_unsigned,
    ACTIONS(6364), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1949), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1947), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [170446] = 4,
    ACTIONS(6366), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [170507] = 27,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6141), 1,
      sym_keyword_not,
    ACTIONS(6143), 1,
      anon_sym_LBRACK,
    ACTIONS(6151), 1,
      sym_op_other,
    ACTIONS(6153), 1,
      anon_sym_PLUS,
    ACTIONS(6155), 1,
      anon_sym_DASH,
    ACTIONS(6157), 1,
      anon_sym_SLASH,
    ACTIONS(6159), 1,
      anon_sym_CARET,
    ACTIONS(6201), 1,
      sym_keyword_between,
    ACTIONS(6203), 1,
      sym_keyword_and,
    ACTIONS(6370), 1,
      sym_keyword_having,
    ACTIONS(6372), 1,
      sym_keyword_or,
    ACTIONS(6374), 1,
      anon_sym_COMMA,
    ACTIONS(6376), 1,
      anon_sym_COLON_COLON,
    STATE(7036), 1,
      aux_sym_array_repeat1,
    STATE(7322), 1,
      sym__having,
    STATE(10990), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6149), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1654), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1652), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6145), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6368), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [170614] = 4,
    ACTIONS(6378), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2168), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [170675] = 4,
    ACTIONS(6380), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2190), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [170736] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6161), 1,
      sym_keyword_in,
    ACTIONS(6163), 1,
      sym_keyword_and,
    ACTIONS(6165), 1,
      sym_keyword_or,
    ACTIONS(6167), 1,
      sym_keyword_is,
    ACTIONS(6169), 1,
      sym_keyword_not,
    ACTIONS(6171), 1,
      sym_keyword_between,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6179), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6183), 1,
      sym_op_other,
    ACTIONS(6185), 1,
      anon_sym_PLUS,
    ACTIONS(6187), 1,
      anon_sym_DASH,
    ACTIONS(6189), 1,
      anon_sym_SLASH,
    ACTIONS(6191), 1,
      anon_sym_CARET,
    STATE(10554), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6177), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6181), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1327), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1326), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6175), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3418), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [170835] = 20,
    ACTIONS(5982), 1,
      sym_keyword_in,
    ACTIONS(5988), 1,
      sym_keyword_is,
    ACTIONS(5990), 1,
      sym_keyword_not,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(5998), 1,
      anon_sym_LBRACK,
    ACTIONS(6008), 1,
      sym_op_other,
    ACTIONS(6010), 1,
      anon_sym_PLUS,
    ACTIONS(6012), 1,
      anon_sym_DASH,
    ACTIONS(6014), 1,
      anon_sym_SLASH,
    ACTIONS(6016), 1,
      anon_sym_CARET,
    STATE(10832), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6002), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6006), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1193), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1192), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6000), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2642), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2644), 14,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      sym__identifier,
  [170928] = 5,
    ACTIONS(6382), 1,
      sym_keyword_unsigned,
    ACTIONS(6384), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1965), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1963), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [170991] = 5,
    ACTIONS(6386), 1,
      sym_keyword_unsigned,
    ACTIONS(6388), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1985), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1983), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [171054] = 5,
    ACTIONS(6390), 1,
      sym_keyword_unsigned,
    ACTIONS(6392), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2007), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [171117] = 16,
    ACTIONS(6161), 1,
      sym_keyword_in,
    ACTIONS(6167), 1,
      sym_keyword_is,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6183), 1,
      sym_op_other,
    ACTIONS(6185), 1,
      anon_sym_PLUS,
    ACTIONS(6187), 1,
      anon_sym_DASH,
    ACTIONS(6189), 1,
      anon_sym_SLASH,
    ACTIONS(6191), 1,
      anon_sym_CARET,
    ACTIONS(6193), 1,
      sym_keyword_not,
    STATE(10554), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6177), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2505), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1327), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1326), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [171202] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2053), 7,
      sym_keyword_in,
      sym_keyword_return,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2051), 43,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [171261] = 4,
    ACTIONS(6394), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3448), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3446), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [171322] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6161), 1,
      sym_keyword_in,
    ACTIONS(6163), 1,
      sym_keyword_and,
    ACTIONS(6165), 1,
      sym_keyword_or,
    ACTIONS(6167), 1,
      sym_keyword_is,
    ACTIONS(6169), 1,
      sym_keyword_not,
    ACTIONS(6171), 1,
      sym_keyword_between,
    ACTIONS(6173), 1,
      anon_sym_LBRACK,
    ACTIONS(6179), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6183), 1,
      sym_op_other,
    ACTIONS(6185), 1,
      anon_sym_PLUS,
    ACTIONS(6187), 1,
      anon_sym_DASH,
    ACTIONS(6189), 1,
      anon_sym_SLASH,
    ACTIONS(6191), 1,
      anon_sym_CARET,
    STATE(10554), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6177), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6181), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1327), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1326), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6175), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3414), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [171421] = 5,
    STATE(2404), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6018), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1955), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1957), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [171484] = 4,
    ACTIONS(6396), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [171545] = 5,
    STATE(2405), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6018), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1959), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1961), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [171608] = 5,
    ACTIONS(6398), 1,
      sym_keyword_unsigned,
    ACTIONS(6400), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1975), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1977), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [171671] = 5,
    ACTIONS(6402), 1,
      sym_keyword_unsigned,
    ACTIONS(6404), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1991), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1993), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [171734] = 5,
    ACTIONS(6406), 1,
      sym_keyword_unsigned,
    ACTIONS(6408), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1999), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2001), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [171797] = 5,
    ACTIONS(6410), 1,
      sym_keyword_unsigned,
    ACTIONS(6412), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1939), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1941), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [171860] = 4,
    ACTIONS(6414), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [171921] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3593), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3591), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [171979] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [172037] = 5,
    ACTIONS(6416), 1,
      aux_sym__single_quote_string_token2,
    STATE(2094), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1363), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1361), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [172099] = 5,
    ACTIONS(6418), 1,
      aux_sym__single_quote_string_token2,
    STATE(2094), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1375), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1373), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [172161] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1382), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [172219] = 4,
    STATE(2446), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [172279] = 4,
    ACTIONS(6421), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2021), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2023), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [172339] = 4,
    ACTIONS(6423), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2039), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2041), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [172399] = 4,
    ACTIONS(6425), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2120), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2122), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [172459] = 4,
    ACTIONS(6427), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2126), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2128), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [172519] = 4,
    ACTIONS(6429), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2045), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2047), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [172579] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2017), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [172637] = 4,
    ACTIONS(6431), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2142), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [172697] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2148), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [172755] = 4,
    ACTIONS(6433), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2150), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2152), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [172815] = 4,
    ACTIONS(6435), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2156), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2158), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [172875] = 7,
    ACTIONS(6437), 1,
      sym_keyword_unsigned,
    ACTIONS(6439), 1,
      sym_keyword_zerofill,
    ACTIONS(6441), 1,
      sym_keyword_precision,
    ACTIONS(6443), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [172941] = 4,
    ACTIONS(6445), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2162), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2164), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [173001] = 8,
    ACTIONS(6447), 1,
      sym_keyword_is,
    ACTIONS(6449), 1,
      anon_sym_LBRACK,
    STATE(11115), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1405), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2487), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2485), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173069] = 13,
    ACTIONS(6447), 1,
      sym_keyword_is,
    ACTIONS(6449), 1,
      anon_sym_LBRACK,
    ACTIONS(6453), 1,
      anon_sym_PLUS,
    ACTIONS(6455), 1,
      anon_sym_DASH,
    ACTIONS(6457), 1,
      anon_sym_SLASH,
    ACTIONS(6459), 1,
      anon_sym_CARET,
    STATE(11115), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6451), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2487), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1405), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173147] = 21,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(6312), 1,
      sym_keyword_in,
    ACTIONS(6318), 1,
      sym_keyword_is,
    ACTIONS(6320), 1,
      sym_keyword_not,
    ACTIONS(6322), 1,
      sym_keyword_between,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6334), 1,
      sym_op_other,
    ACTIONS(6336), 1,
      anon_sym_PLUS,
    ACTIONS(6338), 1,
      anon_sym_DASH,
    ACTIONS(6340), 1,
      anon_sym_SLASH,
    ACTIONS(6342), 1,
      anon_sym_CARET,
    STATE(10864), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6332), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1358), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1357), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6326), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 13,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym__identifier,
  [173241] = 22,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(6312), 1,
      sym_keyword_in,
    ACTIONS(6314), 1,
      sym_keyword_and,
    ACTIONS(6318), 1,
      sym_keyword_is,
    ACTIONS(6320), 1,
      sym_keyword_not,
    ACTIONS(6322), 1,
      sym_keyword_between,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6334), 1,
      sym_op_other,
    ACTIONS(6336), 1,
      anon_sym_PLUS,
    ACTIONS(6338), 1,
      anon_sym_DASH,
    ACTIONS(6340), 1,
      anon_sym_SLASH,
    ACTIONS(6342), 1,
      anon_sym_CARET,
    STATE(10864), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6332), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1358), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1357), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6326), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 12,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym__identifier,
  [173337] = 6,
    STATE(11115), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1405), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173401] = 16,
    ACTIONS(6312), 1,
      sym_keyword_in,
    ACTIONS(6318), 1,
      sym_keyword_is,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6334), 1,
      sym_op_other,
    ACTIONS(6336), 1,
      anon_sym_PLUS,
    ACTIONS(6338), 1,
      anon_sym_DASH,
    ACTIONS(6340), 1,
      anon_sym_SLASH,
    ACTIONS(6342), 1,
      anon_sym_CARET,
    ACTIONS(6461), 1,
      sym_keyword_not,
    STATE(10864), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1358), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1357), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 11,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 19,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [173485] = 9,
    ACTIONS(6318), 1,
      sym_keyword_is,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6342), 1,
      anon_sym_CARET,
    STATE(10864), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1358), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1357), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      sym__identifier,
  [173555] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1380), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1382), 32,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [173613] = 4,
    ACTIONS(6464), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2174), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2176), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [173673] = 4,
    ACTIONS(6466), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2180), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2182), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [173733] = 4,
    ACTIONS(6468), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2106), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [173793] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6470), 1,
      sym_keyword_in,
    ACTIONS(6472), 1,
      sym_keyword_and,
    ACTIONS(6474), 1,
      sym_keyword_or,
    ACTIONS(6476), 1,
      sym_keyword_is,
    ACTIONS(6478), 1,
      sym_keyword_not,
    ACTIONS(6480), 1,
      sym_keyword_between,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    ACTIONS(6488), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6492), 1,
      sym_op_other,
    ACTIONS(6494), 1,
      anon_sym_PLUS,
    ACTIONS(6496), 1,
      anon_sym_DASH,
    ACTIONS(6498), 1,
      anon_sym_SLASH,
    ACTIONS(6500), 1,
      anon_sym_CARET,
    STATE(10761), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6486), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6490), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1476), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1475), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6484), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3414), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [173891] = 8,
    ACTIONS(6502), 1,
      sym_keyword_is,
    ACTIONS(6504), 1,
      anon_sym_LBRACK,
    STATE(11369), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1090), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1089), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2487), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2485), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173959] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2298), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2296), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [174017] = 4,
    ACTIONS(6506), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2168), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2170), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [174077] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2302), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2300), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [174135] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3475), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3477), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [174193] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2306), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2304), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [174251] = 13,
    ACTIONS(6502), 1,
      sym_keyword_is,
    ACTIONS(6504), 1,
      anon_sym_LBRACK,
    ACTIONS(6510), 1,
      anon_sym_PLUS,
    ACTIONS(6512), 1,
      anon_sym_DASH,
    ACTIONS(6514), 1,
      anon_sym_SLASH,
    ACTIONS(6516), 1,
      anon_sym_CARET,
    STATE(11369), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6508), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2487), 3,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1090), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1089), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [174329] = 13,
    ACTIONS(6318), 1,
      sym_keyword_is,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6336), 1,
      anon_sym_PLUS,
    ACTIONS(6338), 1,
      anon_sym_DASH,
    ACTIONS(6340), 1,
      anon_sym_SLASH,
    ACTIONS(6342), 1,
      anon_sym_CARET,
    STATE(10864), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1358), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1357), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 21,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [174407] = 11,
    ACTIONS(6318), 1,
      sym_keyword_is,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6340), 1,
      anon_sym_SLASH,
    ACTIONS(6342), 1,
      anon_sym_CARET,
    STATE(10864), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1358), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1357), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [174481] = 8,
    ACTIONS(6318), 1,
      sym_keyword_is,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    STATE(10864), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1358), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1357), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [174549] = 18,
    ACTIONS(6312), 1,
      sym_keyword_in,
    ACTIONS(6318), 1,
      sym_keyword_is,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6334), 1,
      sym_op_other,
    ACTIONS(6336), 1,
      anon_sym_PLUS,
    ACTIONS(6338), 1,
      anon_sym_DASH,
    ACTIONS(6340), 1,
      anon_sym_SLASH,
    ACTIONS(6342), 1,
      anon_sym_CARET,
    ACTIONS(6461), 1,
      sym_keyword_not,
    STATE(10864), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6332), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1358), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1357), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6326), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 17,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [174637] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6470), 1,
      sym_keyword_in,
    ACTIONS(6472), 1,
      sym_keyword_and,
    ACTIONS(6474), 1,
      sym_keyword_or,
    ACTIONS(6476), 1,
      sym_keyword_is,
    ACTIONS(6478), 1,
      sym_keyword_not,
    ACTIONS(6480), 1,
      sym_keyword_between,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    ACTIONS(6488), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6492), 1,
      sym_op_other,
    ACTIONS(6494), 1,
      anon_sym_PLUS,
    ACTIONS(6496), 1,
      anon_sym_DASH,
    ACTIONS(6498), 1,
      anon_sym_SLASH,
    ACTIONS(6500), 1,
      anon_sym_CARET,
    STATE(10761), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6486), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6490), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1476), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1475), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6484), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3416), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [174735] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6470), 1,
      sym_keyword_in,
    ACTIONS(6472), 1,
      sym_keyword_and,
    ACTIONS(6474), 1,
      sym_keyword_or,
    ACTIONS(6476), 1,
      sym_keyword_is,
    ACTIONS(6478), 1,
      sym_keyword_not,
    ACTIONS(6480), 1,
      sym_keyword_between,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    ACTIONS(6488), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6492), 1,
      sym_op_other,
    ACTIONS(6494), 1,
      anon_sym_PLUS,
    ACTIONS(6496), 1,
      anon_sym_DASH,
    ACTIONS(6498), 1,
      anon_sym_SLASH,
    ACTIONS(6500), 1,
      anon_sym_CARET,
    STATE(10761), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6486), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6490), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1476), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1475), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6484), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3424), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [174833] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6470), 1,
      sym_keyword_in,
    ACTIONS(6472), 1,
      sym_keyword_and,
    ACTIONS(6474), 1,
      sym_keyword_or,
    ACTIONS(6476), 1,
      sym_keyword_is,
    ACTIONS(6478), 1,
      sym_keyword_not,
    ACTIONS(6480), 1,
      sym_keyword_between,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    ACTIONS(6488), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6492), 1,
      sym_op_other,
    ACTIONS(6494), 1,
      anon_sym_PLUS,
    ACTIONS(6496), 1,
      anon_sym_DASH,
    ACTIONS(6498), 1,
      anon_sym_SLASH,
    ACTIONS(6500), 1,
      anon_sym_CARET,
    STATE(10761), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6486), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6490), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1476), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1475), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6484), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3440), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [174931] = 4,
    ACTIONS(6518), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2110), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2112), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [174991] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6470), 1,
      sym_keyword_in,
    ACTIONS(6472), 1,
      sym_keyword_and,
    ACTIONS(6474), 1,
      sym_keyword_or,
    ACTIONS(6476), 1,
      sym_keyword_is,
    ACTIONS(6478), 1,
      sym_keyword_not,
    ACTIONS(6480), 1,
      sym_keyword_between,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    ACTIONS(6488), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6492), 1,
      sym_op_other,
    ACTIONS(6494), 1,
      anon_sym_PLUS,
    ACTIONS(6496), 1,
      anon_sym_DASH,
    ACTIONS(6498), 1,
      anon_sym_SLASH,
    ACTIONS(6500), 1,
      anon_sym_CARET,
    STATE(10761), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6486), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6490), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1476), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1475), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6484), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3468), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [175089] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6470), 1,
      sym_keyword_in,
    ACTIONS(6472), 1,
      sym_keyword_and,
    ACTIONS(6474), 1,
      sym_keyword_or,
    ACTIONS(6476), 1,
      sym_keyword_is,
    ACTIONS(6478), 1,
      sym_keyword_not,
    ACTIONS(6480), 1,
      sym_keyword_between,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    ACTIONS(6488), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6492), 1,
      sym_op_other,
    ACTIONS(6494), 1,
      anon_sym_PLUS,
    ACTIONS(6496), 1,
      anon_sym_DASH,
    ACTIONS(6498), 1,
      anon_sym_SLASH,
    ACTIONS(6500), 1,
      anon_sym_CARET,
    STATE(10761), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6486), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6490), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1476), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1475), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6484), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3479), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [175187] = 20,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6502), 1,
      sym_keyword_is,
    ACTIONS(6504), 1,
      anon_sym_LBRACK,
    ACTIONS(6510), 1,
      anon_sym_PLUS,
    ACTIONS(6512), 1,
      anon_sym_DASH,
    ACTIONS(6514), 1,
      anon_sym_SLASH,
    ACTIONS(6516), 1,
      anon_sym_CARET,
    ACTIONS(6520), 1,
      sym_keyword_in,
    ACTIONS(6522), 1,
      sym_keyword_not,
    ACTIONS(6524), 1,
      sym_keyword_between,
    ACTIONS(6530), 1,
      sym_op_other,
    STATE(11369), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6508), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1090), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1089), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6526), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [175279] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [175337] = 21,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6502), 1,
      sym_keyword_is,
    ACTIONS(6504), 1,
      anon_sym_LBRACK,
    ACTIONS(6510), 1,
      anon_sym_PLUS,
    ACTIONS(6512), 1,
      anon_sym_DASH,
    ACTIONS(6514), 1,
      anon_sym_SLASH,
    ACTIONS(6516), 1,
      anon_sym_CARET,
    ACTIONS(6520), 1,
      sym_keyword_in,
    ACTIONS(6522), 1,
      sym_keyword_not,
    ACTIONS(6524), 1,
      sym_keyword_between,
    ACTIONS(6530), 1,
      sym_op_other,
    ACTIONS(6532), 1,
      sym_keyword_and,
    STATE(11369), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6508), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1090), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1089), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6526), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [175431] = 6,
    STATE(11369), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1090), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1089), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [175495] = 20,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(6312), 1,
      sym_keyword_in,
    ACTIONS(6318), 1,
      sym_keyword_is,
    ACTIONS(6320), 1,
      sym_keyword_not,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6334), 1,
      sym_op_other,
    ACTIONS(6336), 1,
      anon_sym_PLUS,
    ACTIONS(6338), 1,
      anon_sym_DASH,
    ACTIONS(6340), 1,
      anon_sym_SLASH,
    ACTIONS(6342), 1,
      anon_sym_CARET,
    STATE(10864), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6332), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1358), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1357), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6326), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2638), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2640), 14,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      sym__identifier,
  [175587] = 16,
    ACTIONS(6502), 1,
      sym_keyword_is,
    ACTIONS(6504), 1,
      anon_sym_LBRACK,
    ACTIONS(6510), 1,
      anon_sym_PLUS,
    ACTIONS(6512), 1,
      anon_sym_DASH,
    ACTIONS(6514), 1,
      anon_sym_SLASH,
    ACTIONS(6516), 1,
      anon_sym_CARET,
    ACTIONS(6520), 1,
      sym_keyword_in,
    ACTIONS(6530), 1,
      sym_op_other,
    ACTIONS(6534), 1,
      sym_keyword_not,
    STATE(11369), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6508), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1090), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1089), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [175671] = 9,
    ACTIONS(6502), 1,
      sym_keyword_is,
    ACTIONS(6504), 1,
      anon_sym_LBRACK,
    ACTIONS(6516), 1,
      anon_sym_CARET,
    STATE(11369), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1090), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1089), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 5,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2503), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [175741] = 13,
    ACTIONS(6502), 1,
      sym_keyword_is,
    ACTIONS(6504), 1,
      anon_sym_LBRACK,
    ACTIONS(6510), 1,
      anon_sym_PLUS,
    ACTIONS(6512), 1,
      anon_sym_DASH,
    ACTIONS(6514), 1,
      anon_sym_SLASH,
    ACTIONS(6516), 1,
      anon_sym_CARET,
    STATE(11369), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6508), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2505), 3,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1090), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1089), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [175819] = 20,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(6312), 1,
      sym_keyword_in,
    ACTIONS(6318), 1,
      sym_keyword_is,
    ACTIONS(6320), 1,
      sym_keyword_not,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6334), 1,
      sym_op_other,
    ACTIONS(6336), 1,
      anon_sym_PLUS,
    ACTIONS(6338), 1,
      anon_sym_DASH,
    ACTIONS(6340), 1,
      anon_sym_SLASH,
    ACTIONS(6342), 1,
      anon_sym_CARET,
    STATE(10864), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6332), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1358), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1357), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6326), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2642), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2644), 14,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      sym__identifier,
  [175911] = 11,
    ACTIONS(6502), 1,
      sym_keyword_is,
    ACTIONS(6504), 1,
      anon_sym_LBRACK,
    ACTIONS(6514), 1,
      anon_sym_SLASH,
    ACTIONS(6516), 1,
      anon_sym_CARET,
    STATE(11369), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6508), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1090), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2505), 4,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1089), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [175985] = 8,
    ACTIONS(6502), 1,
      sym_keyword_is,
    ACTIONS(6504), 1,
      anon_sym_LBRACK,
    STATE(11369), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1090), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1089), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [176053] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2186), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2188), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [176111] = 4,
    ACTIONS(6537), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2100), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [176171] = 17,
    ACTIONS(6502), 1,
      sym_keyword_is,
    ACTIONS(6504), 1,
      anon_sym_LBRACK,
    ACTIONS(6510), 1,
      anon_sym_PLUS,
    ACTIONS(6512), 1,
      anon_sym_DASH,
    ACTIONS(6514), 1,
      anon_sym_SLASH,
    ACTIONS(6516), 1,
      anon_sym_CARET,
    ACTIONS(6520), 1,
      sym_keyword_in,
    ACTIONS(6530), 1,
      sym_op_other,
    ACTIONS(6534), 1,
      sym_keyword_not,
    STATE(11369), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6508), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1090), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1089), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6526), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [176257] = 4,
    ACTIONS(6539), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2031), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2033), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [176317] = 4,
    ACTIONS(6541), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2055), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2057), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [176377] = 4,
    ACTIONS(6543), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2061), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2063), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [176437] = 4,
    ACTIONS(6545), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2067), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2069), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [176497] = 4,
    ACTIONS(6547), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2073), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2075), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [176557] = 4,
    ACTIONS(6255), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [176617] = 4,
    ACTIONS(6549), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2132), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2134), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [176677] = 4,
    ACTIONS(6551), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2100), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [176737] = 4,
    ACTIONS(6067), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [176797] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2051), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2053), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [176855] = 19,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6502), 1,
      sym_keyword_is,
    ACTIONS(6504), 1,
      anon_sym_LBRACK,
    ACTIONS(6510), 1,
      anon_sym_PLUS,
    ACTIONS(6512), 1,
      anon_sym_DASH,
    ACTIONS(6514), 1,
      anon_sym_SLASH,
    ACTIONS(6516), 1,
      anon_sym_CARET,
    ACTIONS(6520), 1,
      sym_keyword_in,
    ACTIONS(6522), 1,
      sym_keyword_not,
    ACTIONS(6530), 1,
      sym_op_other,
    STATE(11369), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6508), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1090), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1089), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6526), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2638), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [176945] = 4,
    ACTIONS(6553), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2031), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2033), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [177005] = 4,
    ACTIONS(6555), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2055), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2057), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [177065] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6470), 1,
      sym_keyword_in,
    ACTIONS(6472), 1,
      sym_keyword_and,
    ACTIONS(6474), 1,
      sym_keyword_or,
    ACTIONS(6476), 1,
      sym_keyword_is,
    ACTIONS(6478), 1,
      sym_keyword_not,
    ACTIONS(6480), 1,
      sym_keyword_between,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    ACTIONS(6488), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6492), 1,
      sym_op_other,
    ACTIONS(6494), 1,
      anon_sym_PLUS,
    ACTIONS(6496), 1,
      anon_sym_DASH,
    ACTIONS(6498), 1,
      anon_sym_SLASH,
    ACTIONS(6500), 1,
      anon_sym_CARET,
    STATE(10761), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6486), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6490), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1476), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1475), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6484), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3408), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [177163] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2771), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2773), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [177221] = 4,
    ACTIONS(6557), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2061), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2063), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [177281] = 4,
    ACTIONS(6559), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2067), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2069), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [177341] = 4,
    ACTIONS(6561), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2073), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2075), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [177401] = 19,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6502), 1,
      sym_keyword_is,
    ACTIONS(6504), 1,
      anon_sym_LBRACK,
    ACTIONS(6510), 1,
      anon_sym_PLUS,
    ACTIONS(6512), 1,
      anon_sym_DASH,
    ACTIONS(6514), 1,
      anon_sym_SLASH,
    ACTIONS(6516), 1,
      anon_sym_CARET,
    ACTIONS(6520), 1,
      sym_keyword_in,
    ACTIONS(6522), 1,
      sym_keyword_not,
    ACTIONS(6530), 1,
      sym_op_other,
    STATE(11369), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6508), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1090), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1089), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6526), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2642), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [177491] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6470), 1,
      sym_keyword_in,
    ACTIONS(6472), 1,
      sym_keyword_and,
    ACTIONS(6474), 1,
      sym_keyword_or,
    ACTIONS(6476), 1,
      sym_keyword_is,
    ACTIONS(6478), 1,
      sym_keyword_not,
    ACTIONS(6480), 1,
      sym_keyword_between,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    ACTIONS(6488), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6492), 1,
      sym_op_other,
    ACTIONS(6494), 1,
      anon_sym_PLUS,
    ACTIONS(6496), 1,
      anon_sym_DASH,
    ACTIONS(6498), 1,
      anon_sym_SLASH,
    ACTIONS(6500), 1,
      anon_sym_CARET,
    STATE(10761), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6486), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6490), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1476), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1475), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6484), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3418), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [177589] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6470), 1,
      sym_keyword_in,
    ACTIONS(6472), 1,
      sym_keyword_and,
    ACTIONS(6474), 1,
      sym_keyword_or,
    ACTIONS(6476), 1,
      sym_keyword_is,
    ACTIONS(6478), 1,
      sym_keyword_not,
    ACTIONS(6480), 1,
      sym_keyword_between,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    ACTIONS(6488), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6492), 1,
      sym_op_other,
    ACTIONS(6494), 1,
      anon_sym_PLUS,
    ACTIONS(6496), 1,
      anon_sym_DASH,
    ACTIONS(6498), 1,
      anon_sym_SLASH,
    ACTIONS(6500), 1,
      anon_sym_CARET,
    STATE(10761), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6486), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6490), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1476), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1475), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6484), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3420), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [177687] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2720), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2722), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [177745] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6470), 1,
      sym_keyword_in,
    ACTIONS(6472), 1,
      sym_keyword_and,
    ACTIONS(6474), 1,
      sym_keyword_or,
    ACTIONS(6476), 1,
      sym_keyword_is,
    ACTIONS(6478), 1,
      sym_keyword_not,
    ACTIONS(6480), 1,
      sym_keyword_between,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    ACTIONS(6488), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6492), 1,
      sym_op_other,
    ACTIONS(6494), 1,
      anon_sym_PLUS,
    ACTIONS(6496), 1,
      anon_sym_DASH,
    ACTIONS(6498), 1,
      anon_sym_SLASH,
    ACTIONS(6500), 1,
      anon_sym_CARET,
    STATE(10761), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6486), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6490), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1476), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1475), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6484), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3485), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [177843] = 27,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6447), 1,
      sym_keyword_is,
    ACTIONS(6449), 1,
      anon_sym_LBRACK,
    ACTIONS(6453), 1,
      anon_sym_PLUS,
    ACTIONS(6455), 1,
      anon_sym_DASH,
    ACTIONS(6457), 1,
      anon_sym_SLASH,
    ACTIONS(6459), 1,
      anon_sym_CARET,
    ACTIONS(6563), 1,
      sym_keyword_having,
    ACTIONS(6565), 1,
      sym_keyword_in,
    ACTIONS(6567), 1,
      sym_keyword_and,
    ACTIONS(6569), 1,
      sym_keyword_or,
    ACTIONS(6571), 1,
      sym_keyword_not,
    ACTIONS(6573), 1,
      sym_keyword_between,
    ACTIONS(6575), 1,
      anon_sym_COMMA,
    ACTIONS(6579), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6583), 1,
      sym_op_other,
    STATE(7130), 1,
      aux_sym_array_repeat1,
    STATE(7452), 1,
      sym__having,
    STATE(11115), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6451), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6581), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1405), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6577), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6368), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [177949] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [178007] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2688), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2690), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [178065] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6470), 1,
      sym_keyword_in,
    ACTIONS(6472), 1,
      sym_keyword_and,
    ACTIONS(6474), 1,
      sym_keyword_or,
    ACTIONS(6476), 1,
      sym_keyword_is,
    ACTIONS(6478), 1,
      sym_keyword_not,
    ACTIONS(6480), 1,
      sym_keyword_between,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    ACTIONS(6488), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6492), 1,
      sym_op_other,
    ACTIONS(6494), 1,
      anon_sym_PLUS,
    ACTIONS(6496), 1,
      anon_sym_DASH,
    ACTIONS(6498), 1,
      anon_sym_SLASH,
    ACTIONS(6500), 1,
      anon_sym_CARET,
    STATE(10761), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6486), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6490), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1476), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1475), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6484), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3422), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [178163] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2712), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2714), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [178221] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3442), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3444), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [178279] = 21,
    ACTIONS(2505), 1,
      sym_keyword_or,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6447), 1,
      sym_keyword_is,
    ACTIONS(6449), 1,
      anon_sym_LBRACK,
    ACTIONS(6453), 1,
      anon_sym_PLUS,
    ACTIONS(6455), 1,
      anon_sym_DASH,
    ACTIONS(6457), 1,
      anon_sym_SLASH,
    ACTIONS(6459), 1,
      anon_sym_CARET,
    ACTIONS(6565), 1,
      sym_keyword_in,
    ACTIONS(6571), 1,
      sym_keyword_not,
    ACTIONS(6573), 1,
      sym_keyword_between,
    ACTIONS(6583), 1,
      sym_op_other,
    STATE(11115), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6451), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6581), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1405), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6577), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [178373] = 22,
    ACTIONS(2505), 1,
      sym_keyword_or,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6447), 1,
      sym_keyword_is,
    ACTIONS(6449), 1,
      anon_sym_LBRACK,
    ACTIONS(6453), 1,
      anon_sym_PLUS,
    ACTIONS(6455), 1,
      anon_sym_DASH,
    ACTIONS(6457), 1,
      anon_sym_SLASH,
    ACTIONS(6459), 1,
      anon_sym_CARET,
    ACTIONS(6565), 1,
      sym_keyword_in,
    ACTIONS(6567), 1,
      sym_keyword_and,
    ACTIONS(6571), 1,
      sym_keyword_not,
    ACTIONS(6573), 1,
      sym_keyword_between,
    ACTIONS(6583), 1,
      sym_op_other,
    STATE(11115), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6451), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6581), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1405), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6577), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [178469] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2775), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2777), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [178527] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [178585] = 16,
    ACTIONS(6447), 1,
      sym_keyword_is,
    ACTIONS(6449), 1,
      anon_sym_LBRACK,
    ACTIONS(6453), 1,
      anon_sym_PLUS,
    ACTIONS(6455), 1,
      anon_sym_DASH,
    ACTIONS(6457), 1,
      anon_sym_SLASH,
    ACTIONS(6459), 1,
      anon_sym_CARET,
    ACTIONS(6565), 1,
      sym_keyword_in,
    ACTIONS(6583), 1,
      sym_op_other,
    ACTIONS(6585), 1,
      sym_keyword_not,
    STATE(11115), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6451), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2505), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1405), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 27,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [178669] = 9,
    ACTIONS(6447), 1,
      sym_keyword_is,
    ACTIONS(6449), 1,
      anon_sym_LBRACK,
    ACTIONS(6459), 1,
      anon_sym_CARET,
    STATE(11115), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1405), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2503), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [178739] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2807), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2809), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [178797] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2783), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2785), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [178855] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2680), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2682), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [178913] = 13,
    ACTIONS(6447), 1,
      sym_keyword_is,
    ACTIONS(6449), 1,
      anon_sym_LBRACK,
    ACTIONS(6453), 1,
      anon_sym_PLUS,
    ACTIONS(6455), 1,
      anon_sym_DASH,
    ACTIONS(6457), 1,
      anon_sym_SLASH,
    ACTIONS(6459), 1,
      anon_sym_CARET,
    STATE(11115), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6451), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2505), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1405), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [178991] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2787), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2789), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [179049] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2803), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2805), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [179107] = 4,
    ACTIONS(6588), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2190), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2192), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [179167] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [179225] = 11,
    ACTIONS(6447), 1,
      sym_keyword_is,
    ACTIONS(6449), 1,
      anon_sym_LBRACK,
    ACTIONS(6457), 1,
      anon_sym_SLASH,
    ACTIONS(6459), 1,
      anon_sym_CARET,
    STATE(11115), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6451), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1405), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 5,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2503), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [179299] = 8,
    ACTIONS(6447), 1,
      sym_keyword_is,
    ACTIONS(6449), 1,
      anon_sym_LBRACK,
    STATE(11115), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1405), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [179367] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2759), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2761), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [179425] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2793), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [179483] = 29,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(5980), 1,
      sym_keyword_as,
    ACTIONS(5982), 1,
      sym_keyword_in,
    ACTIONS(5984), 1,
      sym_keyword_and,
    ACTIONS(5986), 1,
      sym_keyword_or,
    ACTIONS(5988), 1,
      sym_keyword_is,
    ACTIONS(5990), 1,
      sym_keyword_not,
    ACTIONS(5992), 1,
      sym_keyword_between,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(5998), 1,
      anon_sym_LBRACK,
    ACTIONS(6008), 1,
      sym_op_other,
    ACTIONS(6010), 1,
      anon_sym_PLUS,
    ACTIONS(6012), 1,
      anon_sym_DASH,
    ACTIONS(6014), 1,
      anon_sym_SLASH,
    ACTIONS(6016), 1,
      anon_sym_CARET,
    ACTIONS(6590), 1,
      anon_sym_COLON_COLON,
    STATE(6406), 1,
      sym_identifier,
    STATE(7089), 1,
      sym__alias,
    STATE(10832), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6002), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6006), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1193), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(5976), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(1192), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6000), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(5978), 6,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [179593] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2799), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2801), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [179651] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2670), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2672), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [179709] = 18,
    ACTIONS(2505), 1,
      sym_keyword_or,
    ACTIONS(6447), 1,
      sym_keyword_is,
    ACTIONS(6449), 1,
      anon_sym_LBRACK,
    ACTIONS(6453), 1,
      anon_sym_PLUS,
    ACTIONS(6455), 1,
      anon_sym_DASH,
    ACTIONS(6457), 1,
      anon_sym_SLASH,
    ACTIONS(6459), 1,
      anon_sym_CARET,
    ACTIONS(6565), 1,
      sym_keyword_in,
    ACTIONS(6583), 1,
      sym_op_other,
    ACTIONS(6585), 1,
      sym_keyword_not,
    STATE(11115), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6451), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6581), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1405), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6577), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [179797] = 20,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2640), 1,
      sym_keyword_or,
    ACTIONS(6447), 1,
      sym_keyword_is,
    ACTIONS(6449), 1,
      anon_sym_LBRACK,
    ACTIONS(6453), 1,
      anon_sym_PLUS,
    ACTIONS(6455), 1,
      anon_sym_DASH,
    ACTIONS(6457), 1,
      anon_sym_SLASH,
    ACTIONS(6459), 1,
      anon_sym_CARET,
    ACTIONS(6565), 1,
      sym_keyword_in,
    ACTIONS(6571), 1,
      sym_keyword_not,
    ACTIONS(6583), 1,
      sym_op_other,
    STATE(11115), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6451), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6581), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1405), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6577), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2638), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [179889] = 20,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2644), 1,
      sym_keyword_or,
    ACTIONS(6447), 1,
      sym_keyword_is,
    ACTIONS(6449), 1,
      anon_sym_LBRACK,
    ACTIONS(6453), 1,
      anon_sym_PLUS,
    ACTIONS(6455), 1,
      anon_sym_DASH,
    ACTIONS(6457), 1,
      anon_sym_SLASH,
    ACTIONS(6459), 1,
      anon_sym_CARET,
    ACTIONS(6565), 1,
      sym_keyword_in,
    ACTIONS(6571), 1,
      sym_keyword_not,
    ACTIONS(6583), 1,
      sym_op_other,
    STATE(11115), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6451), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6581), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1405), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6577), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2642), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [179981] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180039] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6470), 1,
      sym_keyword_in,
    ACTIONS(6472), 1,
      sym_keyword_and,
    ACTIONS(6474), 1,
      sym_keyword_or,
    ACTIONS(6476), 1,
      sym_keyword_is,
    ACTIONS(6478), 1,
      sym_keyword_not,
    ACTIONS(6480), 1,
      sym_keyword_between,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    ACTIONS(6488), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6492), 1,
      sym_op_other,
    ACTIONS(6494), 1,
      anon_sym_PLUS,
    ACTIONS(6496), 1,
      anon_sym_DASH,
    ACTIONS(6498), 1,
      anon_sym_SLASH,
    ACTIONS(6500), 1,
      anon_sym_CARET,
    STATE(10761), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6486), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6490), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1476), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1475), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6484), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3452), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [180137] = 4,
    ACTIONS(6592), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2196), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2198), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [180197] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2214), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2212), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180255] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2779), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2781), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [180313] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2716), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2718), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [180371] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2218), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2216), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180429] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2795), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2797), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [180487] = 4,
    ACTIONS(6594), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2202), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2204), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [180547] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2755), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2757), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [180605] = 8,
    ACTIONS(6476), 1,
      sym_keyword_is,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    STATE(10761), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1476), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1475), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2487), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2485), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180673] = 13,
    ACTIONS(6476), 1,
      sym_keyword_is,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    ACTIONS(6494), 1,
      anon_sym_PLUS,
    ACTIONS(6496), 1,
      anon_sym_DASH,
    ACTIONS(6498), 1,
      anon_sym_SLASH,
    ACTIONS(6500), 1,
      anon_sym_CARET,
    STATE(10761), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6486), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1476), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2487), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1475), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180751] = 6,
    STATE(10761), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1476), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1475), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180815] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180873] = 5,
    ACTIONS(6596), 1,
      aux_sym__single_quote_string_token2,
    STATE(2365), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3306), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3304), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180935] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180993] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181051] = 4,
    ACTIONS(6598), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3448), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3446), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181111] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181169] = 4,
    ACTIONS(6600), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2079), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2081), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [181229] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181287] = 4,
    ACTIONS(6602), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2106), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2104), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181347] = 4,
    ACTIONS(6604), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2112), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2110), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181407] = 4,
    ACTIONS(6606), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2122), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2120), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181467] = 4,
    ACTIONS(6608), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2128), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2126), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181527] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2222), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2220), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181585] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181643] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2015), 42,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181701] = 4,
    ACTIONS(6610), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2142), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2140), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181761] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2148), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2146), 42,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181819] = 4,
    ACTIONS(6612), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181879] = 4,
    ACTIONS(6614), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181939] = 7,
    ACTIONS(4541), 1,
      sym_keyword_without,
    ACTIONS(6616), 1,
      sym_keyword_with,
    ACTIONS(6619), 1,
      anon_sym_LPAREN,
    STATE(2208), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 38,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182005] = 7,
    ACTIONS(4541), 1,
      sym_keyword_without,
    ACTIONS(6621), 1,
      sym_keyword_with,
    ACTIONS(6624), 1,
      anon_sym_LPAREN,
    STATE(2211), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 38,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182071] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2230), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2228), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182129] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2234), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2232), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182187] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2238), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2236), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182245] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2242), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2240), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182303] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3589), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3587), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182361] = 4,
    ACTIONS(6626), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2176), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2174), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182421] = 4,
    ACTIONS(6628), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2182), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2180), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182481] = 6,
    ACTIONS(6630), 1,
      anon_sym_LBRACK,
    STATE(2246), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2714), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2085), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2087), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [182545] = 4,
    ACTIONS(6633), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2079), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2081), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [182605] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2188), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2186), 42,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182663] = 4,
    ACTIONS(6635), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182723] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2210), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2208), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182781] = 4,
    ACTIONS(6637), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182841] = 4,
    ACTIONS(6639), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182901] = 4,
    ACTIONS(6641), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182961] = 4,
    ACTIONS(6643), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183021] = 4,
    ACTIONS(6645), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183081] = 4,
    ACTIONS(6301), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183141] = 4,
    ACTIONS(6647), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2134), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2132), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183201] = 4,
    ACTIONS(6649), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183261] = 4,
    ACTIONS(6113), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183321] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2254), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2252), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183379] = 4,
    ACTIONS(6651), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183439] = 4,
    ACTIONS(6653), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183499] = 4,
    ACTIONS(6655), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183559] = 4,
    ACTIONS(6657), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183619] = 4,
    ACTIONS(6659), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183679] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2258), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2256), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183737] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2262), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2260), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183795] = 4,
    ACTIONS(6661), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183855] = 6,
    ACTIONS(6663), 1,
      anon_sym_LBRACK,
    STATE(2269), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2710), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2085), 39,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183919] = 4,
    ACTIONS(6666), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183979] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2266), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2264), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184037] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2270), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2268), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184095] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2274), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2272), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184153] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2278), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2276), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184211] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2282), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2280), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184269] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2286), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2284), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184327] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2290), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2288), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184385] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2294), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2292), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184443] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6470), 1,
      sym_keyword_in,
    ACTIONS(6472), 1,
      sym_keyword_and,
    ACTIONS(6474), 1,
      sym_keyword_or,
    ACTIONS(6476), 1,
      sym_keyword_is,
    ACTIONS(6478), 1,
      sym_keyword_not,
    ACTIONS(6480), 1,
      sym_keyword_between,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    ACTIONS(6488), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6492), 1,
      sym_op_other,
    ACTIONS(6494), 1,
      anon_sym_PLUS,
    ACTIONS(6496), 1,
      anon_sym_DASH,
    ACTIONS(6498), 1,
      anon_sym_SLASH,
    ACTIONS(6500), 1,
      anon_sym_CARET,
    STATE(10761), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6486), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6490), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1476), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1475), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6484), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3473), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [184541] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6502), 1,
      sym_keyword_is,
    ACTIONS(6504), 1,
      anon_sym_LBRACK,
    ACTIONS(6510), 1,
      anon_sym_PLUS,
    ACTIONS(6512), 1,
      anon_sym_DASH,
    ACTIONS(6514), 1,
      anon_sym_SLASH,
    ACTIONS(6516), 1,
      anon_sym_CARET,
    ACTIONS(6520), 1,
      sym_keyword_in,
    ACTIONS(6522), 1,
      sym_keyword_not,
    ACTIONS(6524), 1,
      sym_keyword_between,
    ACTIONS(6530), 1,
      sym_op_other,
    ACTIONS(6532), 1,
      sym_keyword_and,
    ACTIONS(6672), 1,
      sym_keyword_or,
    ACTIONS(6674), 1,
      sym_keyword_using,
    ACTIONS(6676), 1,
      anon_sym_COLON_COLON,
    STATE(6996), 1,
      sym_direction,
    STATE(11369), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6508), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6528), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6670), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    STATE(1090), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1089), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6526), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6668), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [184645] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2326), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2324), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184703] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2330), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2328), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184761] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2342), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2340), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184819] = 4,
    ACTIONS(6678), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184879] = 4,
    ACTIONS(6680), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2168), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184939] = 4,
    ACTIONS(6682), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2190), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184999] = 4,
    ACTIONS(6684), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185059] = 4,
    ACTIONS(6686), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185119] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2346), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2344), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185177] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2350), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2348), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185235] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2354), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2352), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185293] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2362), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2360), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185351] = 4,
    ACTIONS(6688), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185411] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2366), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2364), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185469] = 4,
    ACTIONS(6690), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2041), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2039), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185529] = 4,
    ACTIONS(6692), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2047), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2045), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185589] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2370), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2368), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185647] = 21,
    ACTIONS(2505), 1,
      sym_keyword_or,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6470), 1,
      sym_keyword_in,
    ACTIONS(6476), 1,
      sym_keyword_is,
    ACTIONS(6478), 1,
      sym_keyword_not,
    ACTIONS(6480), 1,
      sym_keyword_between,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_op_other,
    ACTIONS(6494), 1,
      anon_sym_PLUS,
    ACTIONS(6496), 1,
      anon_sym_DASH,
    ACTIONS(6498), 1,
      anon_sym_SLASH,
    ACTIONS(6500), 1,
      anon_sym_CARET,
    STATE(10761), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6486), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6490), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1476), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1475), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6484), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COLON_COLON,
  [185741] = 22,
    ACTIONS(2505), 1,
      sym_keyword_or,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6470), 1,
      sym_keyword_in,
    ACTIONS(6472), 1,
      sym_keyword_and,
    ACTIONS(6476), 1,
      sym_keyword_is,
    ACTIONS(6478), 1,
      sym_keyword_not,
    ACTIONS(6480), 1,
      sym_keyword_between,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_op_other,
    ACTIONS(6494), 1,
      anon_sym_PLUS,
    ACTIONS(6496), 1,
      anon_sym_DASH,
    ACTIONS(6498), 1,
      anon_sym_SLASH,
    ACTIONS(6500), 1,
      anon_sym_CARET,
    STATE(10761), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6486), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6490), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1476), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1475), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6484), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COLON_COLON,
  [185837] = 16,
    ACTIONS(6470), 1,
      sym_keyword_in,
    ACTIONS(6476), 1,
      sym_keyword_is,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_op_other,
    ACTIONS(6494), 1,
      anon_sym_PLUS,
    ACTIONS(6496), 1,
      anon_sym_DASH,
    ACTIONS(6498), 1,
      anon_sym_SLASH,
    ACTIONS(6500), 1,
      anon_sym_CARET,
    ACTIONS(6694), 1,
      sym_keyword_not,
    STATE(10761), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6486), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2505), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1476), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1475), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 27,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185921] = 9,
    ACTIONS(6476), 1,
      sym_keyword_is,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    ACTIONS(6500), 1,
      anon_sym_CARET,
    STATE(10761), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1476), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1475), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2503), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185991] = 13,
    ACTIONS(6476), 1,
      sym_keyword_is,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    ACTIONS(6494), 1,
      anon_sym_PLUS,
    ACTIONS(6496), 1,
      anon_sym_DASH,
    ACTIONS(6498), 1,
      anon_sym_SLASH,
    ACTIONS(6500), 1,
      anon_sym_CARET,
    STATE(10761), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6486), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1476), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2505), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1475), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186069] = 11,
    ACTIONS(6476), 1,
      sym_keyword_is,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    ACTIONS(6498), 1,
      anon_sym_SLASH,
    ACTIONS(6500), 1,
      anon_sym_CARET,
    STATE(10761), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6486), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1476), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1475), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 5,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2503), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186143] = 8,
    ACTIONS(6476), 1,
      sym_keyword_is,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    STATE(10761), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1476), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1475), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186211] = 18,
    ACTIONS(2505), 1,
      sym_keyword_or,
    ACTIONS(6470), 1,
      sym_keyword_in,
    ACTIONS(6476), 1,
      sym_keyword_is,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_op_other,
    ACTIONS(6494), 1,
      anon_sym_PLUS,
    ACTIONS(6496), 1,
      anon_sym_DASH,
    ACTIONS(6498), 1,
      anon_sym_SLASH,
    ACTIONS(6500), 1,
      anon_sym_CARET,
    ACTIONS(6694), 1,
      sym_keyword_not,
    STATE(10761), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6486), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6490), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1476), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1475), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6484), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COLON_COLON,
  [186299] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2374), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2372), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186357] = 20,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2640), 1,
      sym_keyword_or,
    ACTIONS(6470), 1,
      sym_keyword_in,
    ACTIONS(6476), 1,
      sym_keyword_is,
    ACTIONS(6478), 1,
      sym_keyword_not,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_op_other,
    ACTIONS(6494), 1,
      anon_sym_PLUS,
    ACTIONS(6496), 1,
      anon_sym_DASH,
    ACTIONS(6498), 1,
      anon_sym_SLASH,
    ACTIONS(6500), 1,
      anon_sym_CARET,
    STATE(10761), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6486), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6490), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1476), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1475), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6484), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2638), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_COLON_COLON,
  [186449] = 20,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2644), 1,
      sym_keyword_or,
    ACTIONS(6470), 1,
      sym_keyword_in,
    ACTIONS(6476), 1,
      sym_keyword_is,
    ACTIONS(6478), 1,
      sym_keyword_not,
    ACTIONS(6482), 1,
      anon_sym_LBRACK,
    ACTIONS(6492), 1,
      sym_op_other,
    ACTIONS(6494), 1,
      anon_sym_PLUS,
    ACTIONS(6496), 1,
      anon_sym_DASH,
    ACTIONS(6498), 1,
      anon_sym_SLASH,
    ACTIONS(6500), 1,
      anon_sym_CARET,
    STATE(10761), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6486), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6490), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1476), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1475), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6484), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2642), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_COLON_COLON,
  [186541] = 5,
    ACTIONS(6697), 1,
      aux_sym__single_quote_string_token2,
    STATE(2093), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1369), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1367), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186603] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3649), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3647), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186661] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2378), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2376), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186719] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3585), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3583), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186777] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3605), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3603), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186835] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3609), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3607), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186893] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3613), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3611), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186951] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2823), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2821), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187009] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187067] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3601), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3599), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187125] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187183] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187241] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2168), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187299] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2190), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187357] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187415] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3637), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3635), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187473] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187531] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2314), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2312), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187589] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2053), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2051), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187647] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3511), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3509), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187705] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3553), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3551), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187763] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3569), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3567), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187821] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2250), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2248), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187879] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3621), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3619), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187937] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3631), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187995] = 5,
    STATE(2269), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2710), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3337), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3335), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188057] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3645), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3643), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188115] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3653), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3651), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188173] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2334), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2332), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188231] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2338), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2336), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188289] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2358), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2356), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188347] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3507), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3505), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188405] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3515), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3513), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188463] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188521] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3565), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3563), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188579] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3577), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3575), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188637] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188695] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2226), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2224), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188753] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2007), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188811] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188869] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2041), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2039), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188927] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3617), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3615), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188985] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3625), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3623), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189043] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3629), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3627), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189101] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2310), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2308), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189159] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2390), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2388), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189217] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2047), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2045), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189275] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2318), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2316), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189333] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2322), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2320), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189391] = 8,
    ACTIONS(6318), 1,
      sym_keyword_is,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    STATE(10864), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1358), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1357), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2487), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [189459] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3495), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3493), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189517] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3499), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3497), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189575] = 13,
    ACTIONS(6318), 1,
      sym_keyword_is,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6336), 1,
      anon_sym_PLUS,
    ACTIONS(6338), 1,
      anon_sym_DASH,
    ACTIONS(6340), 1,
      anon_sym_SLASH,
    ACTIONS(6342), 1,
      anon_sym_CARET,
    STATE(10864), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1358), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1357), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2487), 21,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [189653] = 6,
    STATE(10864), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1358), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1357), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [189717] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3547), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189775] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3573), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3571), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189833] = 5,
    ACTIONS(6416), 1,
      aux_sym__single_quote_string_token2,
    STATE(2094), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3320), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3318), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189895] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189953] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3444), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3442), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190011] = 4,
    ACTIONS(6699), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(57), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(111), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190071] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3477), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3475), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190129] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2246), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2244), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190187] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3505), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3507), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [190244] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6141), 1,
      sym_keyword_not,
    ACTIONS(6143), 1,
      anon_sym_LBRACK,
    ACTIONS(6151), 1,
      sym_op_other,
    ACTIONS(6153), 1,
      anon_sym_PLUS,
    ACTIONS(6155), 1,
      anon_sym_DASH,
    ACTIONS(6157), 1,
      anon_sym_SLASH,
    ACTIONS(6159), 1,
      anon_sym_CARET,
    ACTIONS(6201), 1,
      sym_keyword_between,
    ACTIONS(6203), 1,
      sym_keyword_and,
    ACTIONS(6372), 1,
      sym_keyword_or,
    ACTIONS(6376), 1,
      anon_sym_COLON_COLON,
    STATE(10990), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6149), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1654), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1652), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6145), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6701), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [190341] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3567), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3569), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [190398] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2031), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2033), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [190455] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3619), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3621), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [190512] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3547), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190569] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3571), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190626] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3631), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3633), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [190683] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2055), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2057), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [190740] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190797] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2061), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2063), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [190854] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2067), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2069), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [190911] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3444), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3442), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190968] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2073), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2075), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [191025] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2398), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2396), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191082] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2410), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2408), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191139] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2348), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2350), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [191196] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2352), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2354), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [191253] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6705), 1,
      sym_keyword_in,
    ACTIONS(6707), 1,
      sym_keyword_and,
    ACTIONS(6709), 1,
      sym_keyword_or,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6713), 1,
      sym_keyword_not,
    ACTIONS(6715), 1,
      sym_keyword_using,
    ACTIONS(6717), 1,
      sym_keyword_between,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6725), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6729), 1,
      sym_op_other,
    ACTIONS(6731), 1,
      anon_sym_PLUS,
    ACTIONS(6733), 1,
      anon_sym_DASH,
    ACTIONS(6735), 1,
      anon_sym_SLASH,
    ACTIONS(6737), 1,
      anon_sym_CARET,
    STATE(7444), 1,
      sym_direction,
    STATE(11452), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6703), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(6723), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6727), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1436), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1435), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6721), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6668), 11,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
  [191356] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1839), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1841), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [191413] = 8,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    STATE(11452), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1436), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1435), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2487), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2485), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191480] = 13,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6731), 1,
      anon_sym_PLUS,
    ACTIONS(6733), 1,
      anon_sym_DASH,
    ACTIONS(6735), 1,
      anon_sym_SLASH,
    ACTIONS(6737), 1,
      anon_sym_CARET,
    STATE(11452), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6723), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2487), 3,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1436), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1435), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191557] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1843), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1845), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [191614] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2360), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2362), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [191671] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1847), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1849), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [191728] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1851), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1853), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [191785] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1835), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1837), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [191842] = 6,
    STATE(11452), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1436), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1435), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191905] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1865), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1867), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [191962] = 6,
    ACTIONS(6739), 1,
      sym_keyword_unsigned,
    ACTIONS(6741), 1,
      sym_keyword_zerofill,
    ACTIONS(6743), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1855), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1857), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [192025] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2364), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2366), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [192082] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3553), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3551), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [192139] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2368), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2370), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [192196] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2372), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2374), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [192253] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2376), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2378), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [192310] = 6,
    ACTIONS(6745), 1,
      sym_keyword_unsigned,
    ACTIONS(6747), 1,
      sym_keyword_zerofill,
    ACTIONS(6749), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1869), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1871), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [192373] = 6,
    ACTIONS(6751), 1,
      sym_keyword_unsigned,
    ACTIONS(6753), 1,
      sym_keyword_zerofill,
    ACTIONS(6755), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1815), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1817), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [192436] = 6,
    ACTIONS(6757), 1,
      sym_keyword_unsigned,
    ACTIONS(6759), 1,
      sym_keyword_zerofill,
    ACTIONS(6761), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1915), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1917), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [192499] = 6,
    ACTIONS(6763), 1,
      sym_keyword_unsigned,
    ACTIONS(6765), 1,
      sym_keyword_zerofill,
    ACTIONS(6767), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1895), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1897), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [192562] = 6,
    ACTIONS(6769), 1,
      sym_keyword_unsigned,
    ACTIONS(6771), 1,
      sym_keyword_zerofill,
    ACTIONS(6773), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1905), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1907), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [192625] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3569), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3567), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [192682] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2053), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2051), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [192739] = 6,
    ACTIONS(6437), 1,
      sym_keyword_unsigned,
    ACTIONS(6439), 1,
      sym_keyword_zerofill,
    ACTIONS(6443), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [192802] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2190), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2192), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [192859] = 4,
    ACTIONS(6775), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3448), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3446), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [192918] = 27,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6141), 1,
      sym_keyword_not,
    ACTIONS(6143), 1,
      anon_sym_LBRACK,
    ACTIONS(6151), 1,
      sym_op_other,
    ACTIONS(6153), 1,
      anon_sym_PLUS,
    ACTIONS(6155), 1,
      anon_sym_DASH,
    ACTIONS(6157), 1,
      anon_sym_SLASH,
    ACTIONS(6159), 1,
      anon_sym_CARET,
    ACTIONS(6201), 1,
      sym_keyword_between,
    ACTIONS(6203), 1,
      sym_keyword_and,
    ACTIONS(6372), 1,
      sym_keyword_or,
    ACTIONS(6777), 1,
      sym_keyword_having,
    ACTIONS(6779), 1,
      anon_sym_COMMA,
    ACTIONS(6781), 1,
      anon_sym_COLON_COLON,
    STATE(7201), 1,
      aux_sym_array_repeat1,
    STATE(7322), 1,
      sym__having,
    STATE(10990), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6149), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1654), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1652), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6145), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6368), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [193023] = 5,
    ACTIONS(6783), 1,
      aux_sym__single_quote_string_token2,
    STATE(2418), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1363), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [193084] = 5,
    ACTIONS(6785), 1,
      aux_sym__single_quote_string_token2,
    STATE(2418), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1375), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [193145] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3477), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3475), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [193202] = 6,
    ACTIONS(6790), 1,
      anon_sym_LPAREN,
    STATE(2988), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6788), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1879), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1881), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [193265] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2196), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2198), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [193322] = 6,
    ACTIONS(6792), 1,
      anon_sym_LPAREN,
    STATE(2989), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6788), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1889), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1891), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [193385] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2202), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2204), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [193442] = 20,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6705), 1,
      sym_keyword_in,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6713), 1,
      sym_keyword_not,
    ACTIONS(6717), 1,
      sym_keyword_between,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      sym_op_other,
    ACTIONS(6731), 1,
      anon_sym_PLUS,
    ACTIONS(6733), 1,
      anon_sym_DASH,
    ACTIONS(6735), 1,
      anon_sym_SLASH,
    ACTIONS(6737), 1,
      anon_sym_CARET,
    STATE(11452), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6723), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6727), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1436), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1435), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6721), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [193533] = 21,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6705), 1,
      sym_keyword_in,
    ACTIONS(6707), 1,
      sym_keyword_and,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6713), 1,
      sym_keyword_not,
    ACTIONS(6717), 1,
      sym_keyword_between,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      sym_op_other,
    ACTIONS(6731), 1,
      anon_sym_PLUS,
    ACTIONS(6733), 1,
      anon_sym_DASH,
    ACTIONS(6735), 1,
      anon_sym_SLASH,
    ACTIONS(6737), 1,
      anon_sym_CARET,
    STATE(11452), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6723), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6727), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1436), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1435), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6721), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [193626] = 16,
    ACTIONS(6705), 1,
      sym_keyword_in,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      sym_op_other,
    ACTIONS(6731), 1,
      anon_sym_PLUS,
    ACTIONS(6733), 1,
      anon_sym_DASH,
    ACTIONS(6735), 1,
      anon_sym_SLASH,
    ACTIONS(6737), 1,
      anon_sym_CARET,
    ACTIONS(6794), 1,
      sym_keyword_not,
    STATE(11452), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6723), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1436), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1435), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 27,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [193709] = 9,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6737), 1,
      anon_sym_CARET,
    STATE(11452), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1436), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1435), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 5,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2503), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [193778] = 13,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6731), 1,
      anon_sym_PLUS,
    ACTIONS(6733), 1,
      anon_sym_DASH,
    ACTIONS(6735), 1,
      anon_sym_SLASH,
    ACTIONS(6737), 1,
      anon_sym_CARET,
    STATE(11452), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6723), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2505), 3,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1436), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1435), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [193855] = 11,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6735), 1,
      anon_sym_SLASH,
    ACTIONS(6737), 1,
      anon_sym_CARET,
    STATE(11452), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6723), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1436), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2505), 4,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1435), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [193928] = 8,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    STATE(11452), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1436), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1435), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [193995] = 17,
    ACTIONS(6705), 1,
      sym_keyword_in,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      sym_op_other,
    ACTIONS(6731), 1,
      anon_sym_PLUS,
    ACTIONS(6733), 1,
      anon_sym_DASH,
    ACTIONS(6735), 1,
      anon_sym_SLASH,
    ACTIONS(6737), 1,
      anon_sym_CARET,
    ACTIONS(6794), 1,
      sym_keyword_not,
    STATE(11452), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6723), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6727), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1436), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1435), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6721), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [194080] = 19,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6705), 1,
      sym_keyword_in,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6713), 1,
      sym_keyword_not,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      sym_op_other,
    ACTIONS(6731), 1,
      anon_sym_PLUS,
    ACTIONS(6733), 1,
      anon_sym_DASH,
    ACTIONS(6735), 1,
      anon_sym_SLASH,
    ACTIONS(6737), 1,
      anon_sym_CARET,
    STATE(11452), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6723), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6727), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1436), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1435), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6721), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2638), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [194169] = 19,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6705), 1,
      sym_keyword_in,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6713), 1,
      sym_keyword_not,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      sym_op_other,
    ACTIONS(6731), 1,
      anon_sym_PLUS,
    ACTIONS(6733), 1,
      anon_sym_DASH,
    ACTIONS(6735), 1,
      anon_sym_SLASH,
    ACTIONS(6737), 1,
      anon_sym_CARET,
    STATE(11452), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6723), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6727), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1436), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1435), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6721), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2642), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [194258] = 29,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(6310), 1,
      sym_keyword_as,
    ACTIONS(6312), 1,
      sym_keyword_in,
    ACTIONS(6314), 1,
      sym_keyword_and,
    ACTIONS(6316), 1,
      sym_keyword_or,
    ACTIONS(6318), 1,
      sym_keyword_is,
    ACTIONS(6320), 1,
      sym_keyword_not,
    ACTIONS(6322), 1,
      sym_keyword_between,
    ACTIONS(6324), 1,
      anon_sym_LBRACK,
    ACTIONS(6334), 1,
      sym_op_other,
    ACTIONS(6336), 1,
      anon_sym_PLUS,
    ACTIONS(6338), 1,
      anon_sym_DASH,
    ACTIONS(6340), 1,
      anon_sym_SLASH,
    ACTIONS(6342), 1,
      anon_sym_CARET,
    ACTIONS(6797), 1,
      anon_sym_COLON_COLON,
    STATE(6573), 1,
      sym_identifier,
    STATE(7568), 1,
      sym__alias,
    STATE(10864), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6328), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6332), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5976), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(1358), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1357), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6326), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(5978), 6,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [194367] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3643), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3645), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [194424] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3651), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3653), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [194481] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3513), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3515), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [194538] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3649), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3647), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [194595] = 6,
    ACTIONS(6799), 1,
      sym_keyword_unsigned,
    ACTIONS(6801), 1,
      sym_keyword_zerofill,
    ACTIONS(6803), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [194658] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [194715] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2298), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2296), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [194772] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2302), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2300), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [194829] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2306), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2304), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [194886] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3585), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3583), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [194943] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3605), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3603), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195000] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2402), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2400), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195057] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2412), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195114] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3609), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3607), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195171] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3589), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3587), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195228] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195285] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2404), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195342] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2220), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2222), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [195399] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2079), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2081), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [195456] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2228), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2230), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [195513] = 26,
    ACTIONS(2489), 1,
      sym_keyword_is,
    ACTIONS(2491), 1,
      anon_sym_LBRACK,
    ACTIONS(2495), 1,
      anon_sym_PLUS,
    ACTIONS(2497), 1,
      anon_sym_DASH,
    ACTIONS(2499), 1,
      anon_sym_SLASH,
    ACTIONS(2501), 1,
      anon_sym_CARET,
    ACTIONS(2617), 1,
      sym_keyword_in,
    ACTIONS(2619), 1,
      sym_keyword_not,
    ACTIONS(2621), 1,
      sym_keyword_between,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2631), 1,
      sym_op_other,
    ACTIONS(2633), 1,
      sym_keyword_and,
    ACTIONS(3559), 1,
      sym_keyword_or,
    ACTIONS(3561), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6674), 1,
      sym_keyword_using,
    STATE(6996), 1,
      sym_direction,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2629), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6670), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    STATE(1103), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1102), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2627), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6668), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [195616] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3563), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3565), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [195673] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3575), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3577), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [195730] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2224), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2226), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [195787] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2384), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2386), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [195844] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195901] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195958] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2214), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2212), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [196015] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2218), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2216), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [196072] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3621), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3619), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [196129] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [196186] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [196243] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [196300] = 7,
    ACTIONS(5962), 1,
      sym_keyword_without,
    ACTIONS(6805), 1,
      sym_keyword_with,
    ACTIONS(6808), 1,
      anon_sym_LPAREN,
    STATE(2462), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 37,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [196365] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [196422] = 7,
    ACTIONS(5962), 1,
      sym_keyword_without,
    ACTIONS(6810), 1,
      sym_keyword_with,
    ACTIONS(6813), 1,
      anon_sym_LPAREN,
    STATE(2463), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 37,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [196487] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [196544] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2232), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2234), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [196601] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2236), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2238), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [196658] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2240), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2242), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [196715] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2244), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2246), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [196772] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [196829] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3615), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3617), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [196886] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2222), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2220), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [196943] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197000] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2230), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2228), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197057] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2234), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2232), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197114] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2238), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2236), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197171] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2242), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2240), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197228] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2246), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2244), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197285] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3623), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3625), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [197342] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3593), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3591), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197399] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2009), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [197456] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2210), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2208), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197513] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2254), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2252), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197570] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2258), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2256), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197627] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2262), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2260), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197684] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2266), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2264), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197741] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2270), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2268), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197798] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2274), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2272), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197855] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2278), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2276), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197912] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2282), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2280), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197969] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2286), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2284), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [198026] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2290), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2288), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [198083] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2294), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2292), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [198140] = 6,
    ACTIONS(4541), 1,
      sym_keyword_without,
    ACTIONS(6815), 1,
      sym_keyword_with,
    STATE(2306), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1957), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1955), 38,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [198203] = 6,
    ACTIONS(4541), 1,
      sym_keyword_without,
    ACTIONS(6818), 1,
      sym_keyword_with,
    STATE(2311), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1961), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1959), 38,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [198266] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2162), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2164), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [198323] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [198380] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2326), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2324), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [198437] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2330), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2328), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [198494] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3511), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3509), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [198551] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2342), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2340), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [198608] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2346), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2344), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [198665] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2350), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2348), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [198722] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2354), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2352), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [198779] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2362), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2360), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [198836] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2366), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2364), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [198893] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2370), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2368), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [198950] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2374), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2372), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [199007] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2378), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2376), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [199064] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [199121] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2168), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [199178] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3647), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3649), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [199235] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2190), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [199292] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [199349] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [199406] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3627), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3629), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [199463] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2021), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2023), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [199520] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2314), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2312), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [199577] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2250), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2248), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [199634] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [199691] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2334), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2332), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [199748] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2338), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2336), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [199805] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2358), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2356), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [199862] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [199919] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [199976] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2208), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2210), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [200033] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2252), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2254), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [200090] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2256), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2258), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [200147] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2226), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2224), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [200204] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2007), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [200261] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2039), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2041), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [200318] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [200375] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3631), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [200432] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3583), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3585), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [200489] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2041), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2039), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [200546] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3493), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3495), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [200603] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2260), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2262), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [200660] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2310), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2308), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [200717] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2390), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2388), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [200774] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3603), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3605), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [200831] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2047), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2045), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [200888] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2318), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2316), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [200945] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2322), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2320), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [201002] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3607), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3609), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201059] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3645), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3643), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [201116] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3653), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3651), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [201173] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3507), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3505), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [201230] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3515), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3513), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [201287] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3587), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3589), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201344] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [201401] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2264), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2266), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201458] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2268), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2270), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201515] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2272), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2274), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201572] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3497), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3499), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201629] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2276), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2278), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201686] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3565), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3563), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [201743] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3577), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3575), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [201800] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2280), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2282), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201857] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2284), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2286), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201914] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2288), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2290), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201971] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2292), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2294), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [202028] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [202085] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3591), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3593), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [202142] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2821), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2823), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [202199] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3611), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3613), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [202256] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3547), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3549), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [202313] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3595), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3597), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [202370] = 7,
    ACTIONS(6821), 1,
      sym_keyword_unsigned,
    ACTIONS(6823), 1,
      sym_keyword_zerofill,
    ACTIONS(6825), 1,
      sym_keyword_precision,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [202435] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3613), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3611), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [202492] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3599), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3601), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [202549] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [202606] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3501), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3503), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [202663] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2503), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [202720] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2324), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2326), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [202777] = 6,
    ACTIONS(6831), 1,
      anon_sym_LPAREN,
    STATE(3415), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6829), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1879), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1881), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [202840] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2328), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2330), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [202897] = 6,
    ACTIONS(6833), 1,
      anon_sym_LPAREN,
    STATE(3416), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6829), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1889), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1891), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [202960] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2308), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2310), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [203017] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2388), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2390), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [203074] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2045), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2047), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [203131] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2316), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2318), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [203188] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3601), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3599), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203245] = 4,
    STATE(2629), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203304] = 7,
    ACTIONS(6835), 1,
      sym_keyword_array,
    STATE(287), 1,
      sym_array_size_definition,
    STATE(290), 1,
      sym__array_size_definition,
    STATE(2785), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2827), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2825), 38,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203369] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2168), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2170), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [203426] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3617), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3615), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203483] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203540] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3625), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3623), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203597] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3629), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3627), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203654] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3495), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3493), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203711] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203768] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2320), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2322), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [203825] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2340), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2342), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [203882] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203939] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203996] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2312), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2314), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204053] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2248), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2250), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204110] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3499), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3497), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [204167] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2100), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204224] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3571), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3573), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204281] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204338] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [204395] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2332), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2334), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204452] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2296), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2298), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204509] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2212), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2214), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204566] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2216), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2218), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204623] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3635), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3637), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204680] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2300), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2302), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204737] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2304), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2306), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204794] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3637), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3635), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [204851] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [204908] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2336), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2338), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204965] = 7,
    ACTIONS(6835), 1,
      sym_keyword_array,
    STATE(286), 1,
      sym_array_size_definition,
    STATE(290), 1,
      sym__array_size_definition,
    STATE(2785), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2833), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2831), 38,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205030] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2356), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2358), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [205087] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205144] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2380), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2382), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [205201] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2344), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2346), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [205258] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3509), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3511), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [205315] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3551), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3553), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [205372] = 5,
    ACTIONS(6837), 1,
      aux_sym__single_quote_string_token2,
    STATE(2417), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1369), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [205433] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3565), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3563), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205489] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3569), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3567), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205545] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2402), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2400), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205601] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2412), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205657] = 7,
    ACTIONS(6839), 1,
      sym_keyword_array,
    STATE(3071), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(3791), 1,
      sym__array_size_definition,
    STATE(3810), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2831), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2833), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [205721] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3631), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205777] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3645), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3643), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205833] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3653), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3651), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205889] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3507), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3505), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205945] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3515), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3513), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206001] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3577), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3575), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206057] = 6,
    ACTIONS(5962), 1,
      sym_keyword_without,
    ACTIONS(6841), 1,
      sym_keyword_with,
    STATE(2514), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1957), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1955), 37,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206119] = 6,
    ACTIONS(5962), 1,
      sym_keyword_without,
    ACTIONS(6844), 1,
      sym_keyword_with,
    STATE(2515), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1961), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1959), 37,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206181] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3617), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3615), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206237] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206293] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2404), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206349] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3625), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3623), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206405] = 5,
    STATE(3025), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6788), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1955), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1957), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [206465] = 5,
    STATE(3026), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6788), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1959), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1961), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [206525] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3629), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3627), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206581] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3495), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3493), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206637] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3499), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3497), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206693] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3547), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206749] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3571), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206805] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206861] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206919] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1386), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [206975] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207031] = 27,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6447), 1,
      sym_keyword_is,
    ACTIONS(6449), 1,
      anon_sym_LBRACK,
    ACTIONS(6453), 1,
      anon_sym_PLUS,
    ACTIONS(6455), 1,
      anon_sym_DASH,
    ACTIONS(6457), 1,
      anon_sym_SLASH,
    ACTIONS(6459), 1,
      anon_sym_CARET,
    ACTIONS(6565), 1,
      sym_keyword_in,
    ACTIONS(6567), 1,
      sym_keyword_and,
    ACTIONS(6569), 1,
      sym_keyword_or,
    ACTIONS(6571), 1,
      sym_keyword_not,
    ACTIONS(6573), 1,
      sym_keyword_between,
    ACTIONS(6583), 1,
      sym_op_other,
    ACTIONS(6847), 1,
      sym_keyword_having,
    ACTIONS(6849), 1,
      anon_sym_COMMA,
    ACTIONS(6851), 1,
      anon_sym_COLON_COLON,
    STATE(7303), 1,
      aux_sym_array_repeat1,
    STATE(7452), 1,
      sym__having,
    STATE(11115), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6451), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6581), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1405), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6577), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6368), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [207135] = 6,
    ACTIONS(6855), 1,
      sym_keyword_as,
    ACTIONS(6857), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3448), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3446), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6853), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [207197] = 7,
    ACTIONS(6859), 1,
      sym_keyword_with,
    ACTIONS(6861), 1,
      sym_keyword_without,
    ACTIONS(6863), 1,
      anon_sym_LPAREN,
    STATE(3509), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207261] = 7,
    ACTIONS(6859), 1,
      sym_keyword_with,
    ACTIONS(6861), 1,
      sym_keyword_without,
    ACTIONS(6865), 1,
      anon_sym_LPAREN,
    STATE(3510), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207325] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207381] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3444), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3442), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207437] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6141), 1,
      sym_keyword_not,
    ACTIONS(6143), 1,
      anon_sym_LBRACK,
    ACTIONS(6151), 1,
      sym_op_other,
    ACTIONS(6153), 1,
      anon_sym_PLUS,
    ACTIONS(6155), 1,
      anon_sym_DASH,
    ACTIONS(6157), 1,
      anon_sym_SLASH,
    ACTIONS(6159), 1,
      anon_sym_CARET,
    ACTIONS(6201), 1,
      sym_keyword_between,
    ACTIONS(6203), 1,
      sym_keyword_and,
    ACTIONS(6372), 1,
      sym_keyword_or,
    ACTIONS(6376), 1,
      anon_sym_COLON_COLON,
    STATE(10990), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6149), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1654), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1652), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6145), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6867), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [207533] = 5,
    ACTIONS(6869), 1,
      sym_keyword_varying,
    ACTIONS(6871), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1925), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1927), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [207593] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2404), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2406), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [207649] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3477), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3475), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207705] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3589), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3587), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207761] = 5,
    STATE(3174), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6829), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1955), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1957), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [207821] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3593), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3591), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207877] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207933] = 4,
    ACTIONS(6873), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(57), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(111), 40,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207991] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2400), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2402), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [208047] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [208103] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3649), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3647), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [208159] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [208215] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6502), 1,
      sym_keyword_is,
    ACTIONS(6504), 1,
      anon_sym_LBRACK,
    ACTIONS(6510), 1,
      anon_sym_PLUS,
    ACTIONS(6512), 1,
      anon_sym_DASH,
    ACTIONS(6514), 1,
      anon_sym_SLASH,
    ACTIONS(6516), 1,
      anon_sym_CARET,
    ACTIONS(6520), 1,
      sym_keyword_in,
    ACTIONS(6522), 1,
      sym_keyword_not,
    ACTIONS(6524), 1,
      sym_keyword_between,
    ACTIONS(6530), 1,
      sym_op_other,
    ACTIONS(6532), 1,
      sym_keyword_and,
    ACTIONS(6672), 1,
      sym_keyword_or,
    ACTIONS(6674), 1,
      sym_keyword_using,
    ACTIONS(6875), 1,
      anon_sym_COLON_COLON,
    STATE(6996), 1,
      sym_direction,
    STATE(11369), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6508), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6528), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6670), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    STATE(1090), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1089), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6526), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6668), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [208317] = 5,
    ACTIONS(6877), 1,
      sym_keyword_unsigned,
    ACTIONS(6879), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1975), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1977), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [208377] = 5,
    ACTIONS(6881), 1,
      sym_keyword_unsigned,
    ACTIONS(6883), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1991), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1993), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [208437] = 7,
    ACTIONS(6839), 1,
      sym_keyword_array,
    STATE(3071), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(3790), 1,
      sym_array_size_definition,
    STATE(3791), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2825), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2827), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [208501] = 5,
    STATE(3222), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6829), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1959), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1961), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [208561] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1839), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1841), 29,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [208617] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1843), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1845), 29,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [208673] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1847), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1849), 29,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [208729] = 5,
    ACTIONS(6885), 1,
      sym_keyword_unsigned,
    ACTIONS(6887), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1999), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2001), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [208789] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1851), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1853), 29,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [208845] = 7,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    STATE(3469), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2835), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2837), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [208909] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1835), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1837), 29,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [208965] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3585), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3583), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [209021] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1865), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1867), 29,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209077] = 6,
    ACTIONS(6889), 1,
      sym_keyword_unsigned,
    ACTIONS(6891), 1,
      sym_keyword_zerofill,
    ACTIONS(6893), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1855), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1857), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209139] = 5,
    ACTIONS(6895), 1,
      sym_keyword_unsigned,
    ACTIONS(6897), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1939), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1941), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209199] = 5,
    ACTIONS(6899), 1,
      sym_keyword_unsigned,
    ACTIONS(6901), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1947), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1949), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209259] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3605), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3603), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [209315] = 7,
    ACTIONS(6903), 1,
      sym_keyword_unsigned,
    ACTIONS(6905), 1,
      sym_keyword_zerofill,
    ACTIONS(6907), 1,
      sym_keyword_precision,
    ACTIONS(6909), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [209379] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2412), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2414), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209435] = 5,
    ACTIONS(6911), 1,
      sym_keyword_unsigned,
    ACTIONS(6913), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1963), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1965), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209495] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3609), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3607), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [209551] = 5,
    ACTIONS(6915), 1,
      sym_keyword_unsigned,
    ACTIONS(6917), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1983), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1985), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209611] = 6,
    ACTIONS(6919), 1,
      sym_keyword_unsigned,
    ACTIONS(6921), 1,
      sym_keyword_zerofill,
    ACTIONS(6923), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1869), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1871), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209673] = 6,
    ACTIONS(6925), 1,
      sym_keyword_unsigned,
    ACTIONS(6927), 1,
      sym_keyword_zerofill,
    ACTIONS(6929), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1815), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1817), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209735] = 6,
    ACTIONS(6931), 1,
      sym_keyword_unsigned,
    ACTIONS(6933), 1,
      sym_keyword_zerofill,
    ACTIONS(6935), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1915), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1917), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209797] = 6,
    ACTIONS(6937), 1,
      sym_keyword_unsigned,
    ACTIONS(6939), 1,
      sym_keyword_zerofill,
    ACTIONS(6941), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1895), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1897), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209859] = 6,
    ACTIONS(6943), 1,
      sym_keyword_unsigned,
    ACTIONS(6945), 1,
      sym_keyword_zerofill,
    ACTIONS(6947), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1905), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1907), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209921] = 6,
    ACTIONS(6821), 1,
      sym_keyword_unsigned,
    ACTIONS(6823), 1,
      sym_keyword_zerofill,
    ACTIONS(6827), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209983] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3613), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3611), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [210039] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3601), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3599), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [210095] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6447), 1,
      sym_keyword_is,
    ACTIONS(6449), 1,
      anon_sym_LBRACK,
    ACTIONS(6453), 1,
      anon_sym_PLUS,
    ACTIONS(6455), 1,
      anon_sym_DASH,
    ACTIONS(6457), 1,
      anon_sym_SLASH,
    ACTIONS(6459), 1,
      anon_sym_CARET,
    ACTIONS(6565), 1,
      sym_keyword_in,
    ACTIONS(6567), 1,
      sym_keyword_and,
    ACTIONS(6569), 1,
      sym_keyword_or,
    ACTIONS(6571), 1,
      sym_keyword_not,
    ACTIONS(6573), 1,
      sym_keyword_between,
    ACTIONS(6579), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6583), 1,
      sym_op_other,
    STATE(11115), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6451), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6581), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1405), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6577), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6701), 14,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [210191] = 6,
    ACTIONS(6949), 1,
      sym_keyword_unsigned,
    ACTIONS(6951), 1,
      sym_keyword_zerofill,
    ACTIONS(6953), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [210253] = 5,
    ACTIONS(6955), 1,
      sym_keyword_unsigned,
    ACTIONS(6957), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2009), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [210313] = 7,
    ACTIONS(6959), 1,
      sym_keyword_unsigned,
    ACTIONS(6961), 1,
      sym_keyword_zerofill,
    ACTIONS(6963), 1,
      sym_keyword_precision,
    ACTIONS(6965), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [210377] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2398), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2396), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [210433] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2410), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2408), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [210489] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2392), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [210545] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [210601] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2396), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2398), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [210657] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2408), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2410), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [210713] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [210769] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [210825] = 4,
    ACTIONS(6967), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2017), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [210883] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [210939] = 5,
    ACTIONS(6969), 1,
      sym_keyword_precision,
    ACTIONS(6971), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [210999] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [211055] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [211111] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3637), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3635), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [211167] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3511), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3509), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [211223] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3553), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3551), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [211279] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3621), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3619), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [211335] = 4,
    ACTIONS(6973), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2021), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2023), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211392] = 5,
    ACTIONS(6975), 1,
      sym_keyword_varying,
    ACTIONS(6977), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1925), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1927), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211451] = 4,
    ACTIONS(6979), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2067), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2069), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211508] = 5,
    ACTIONS(3515), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3513), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(3595), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [211567] = 4,
    ACTIONS(6981), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2174), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2176), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211624] = 5,
    ACTIONS(6983), 1,
      sym_keyword_unsigned,
    ACTIONS(6985), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1991), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1993), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211683] = 4,
    ACTIONS(6987), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2180), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2182), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211740] = 7,
    ACTIONS(6989), 1,
      sym_keyword_array,
    STATE(3286), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(3901), 1,
      sym__array_size_definition,
    STATE(3917), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2833), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2831), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [211803] = 7,
    ACTIONS(6991), 1,
      sym_keyword_unsigned,
    ACTIONS(6993), 1,
      sym_keyword_zerofill,
    ACTIONS(6995), 1,
      sym_keyword_precision,
    ACTIONS(6997), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [211866] = 6,
    ACTIONS(6999), 1,
      sym_keyword_unsigned,
    ACTIONS(7001), 1,
      sym_keyword_zerofill,
    ACTIONS(7003), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1857), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1855), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [211927] = 6,
    ACTIONS(7005), 1,
      sym_keyword_unsigned,
    ACTIONS(7007), 1,
      sym_keyword_zerofill,
    ACTIONS(7009), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [211988] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6141), 1,
      sym_keyword_not,
    ACTIONS(6143), 1,
      anon_sym_LBRACK,
    ACTIONS(6151), 1,
      sym_op_other,
    ACTIONS(6153), 1,
      anon_sym_PLUS,
    ACTIONS(6155), 1,
      anon_sym_DASH,
    ACTIONS(6157), 1,
      anon_sym_SLASH,
    ACTIONS(6159), 1,
      anon_sym_CARET,
    ACTIONS(6201), 1,
      sym_keyword_between,
    ACTIONS(6203), 1,
      sym_keyword_and,
    ACTIONS(6372), 1,
      sym_keyword_or,
    ACTIONS(6376), 1,
      anon_sym_COLON_COLON,
    STATE(10990), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6149), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1654), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1652), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6145), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(7011), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [212083] = 5,
    ACTIONS(7013), 1,
      sym_keyword_filter,
    STATE(3429), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2716), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2718), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [212142] = 7,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(3324), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2835), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2837), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [212205] = 5,
    ACTIONS(7015), 1,
      sym_keyword_unsigned,
    ACTIONS(7017), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2009), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [212264] = 5,
    ACTIONS(7019), 1,
      sym_keyword_unsigned,
    ACTIONS(7021), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1999), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2001), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [212323] = 9,
    ACTIONS(7023), 1,
      sym_keyword_is,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7027), 1,
      anon_sym_CARET,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1527), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1526), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 5,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2503), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [212390] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1380), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1382), 27,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_cascade,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [212447] = 5,
    ACTIONS(1685), 1,
      aux_sym__single_quote_string_token2,
    STATE(119), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3318), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3320), 27,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [212506] = 7,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    STATE(3872), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2837), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2835), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [212569] = 5,
    ACTIONS(7029), 1,
      sym_keyword_unsigned,
    ACTIONS(7031), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1983), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1985), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [212628] = 4,
    ACTIONS(7033), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2073), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2075), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [212685] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1853), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1851), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [212740] = 4,
    ACTIONS(7035), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2126), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2128), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [212797] = 5,
    ACTIONS(7037), 1,
      sym_keyword_unsigned,
    ACTIONS(7039), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1939), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1941), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [212856] = 4,
    ACTIONS(7041), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2079), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2081), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [212913] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1380), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1382), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [212970] = 5,
    ACTIONS(7013), 1,
      sym_keyword_filter,
    STATE(3288), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213029] = 6,
    ACTIONS(7043), 1,
      anon_sym_LBRACK,
    STATE(2754), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(3285), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2085), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2087), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213090] = 4,
    ACTIONS(7046), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2079), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2081), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213147] = 5,
    ACTIONS(7048), 1,
      sym_keyword_unsigned,
    ACTIONS(7050), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1963), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1965), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213206] = 7,
    ACTIONS(7052), 1,
      sym_keyword_with,
    ACTIONS(7054), 1,
      sym_keyword_without,
    ACTIONS(7056), 1,
      anon_sym_LPAREN,
    STATE(3707), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [213269] = 5,
    ACTIONS(7013), 1,
      sym_keyword_filter,
    STATE(3408), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2704), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2706), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213328] = 5,
    ACTIONS(7058), 1,
      sym_keyword_unsigned,
    ACTIONS(7060), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1947), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1949), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213387] = 13,
    ACTIONS(7023), 1,
      sym_keyword_is,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7027), 1,
      anon_sym_CARET,
    ACTIONS(7064), 1,
      anon_sym_PLUS,
    ACTIONS(7066), 1,
      anon_sym_DASH,
    ACTIONS(7068), 1,
      anon_sym_SLASH,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7062), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2505), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1527), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1526), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [213462] = 11,
    ACTIONS(7023), 1,
      sym_keyword_is,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7027), 1,
      anon_sym_CARET,
    ACTIONS(7068), 1,
      anon_sym_SLASH,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7062), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1527), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2505), 4,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1526), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [213533] = 8,
    ACTIONS(7023), 1,
      sym_keyword_is,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1527), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1526), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [213598] = 18,
    ACTIONS(2505), 1,
      sym_keyword_or,
    ACTIONS(7023), 1,
      sym_keyword_is,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7027), 1,
      anon_sym_CARET,
    ACTIONS(7064), 1,
      anon_sym_PLUS,
    ACTIONS(7066), 1,
      anon_sym_DASH,
    ACTIONS(7068), 1,
      anon_sym_SLASH,
    ACTIONS(7070), 1,
      sym_keyword_in,
    ACTIONS(7072), 1,
      sym_keyword_not,
    ACTIONS(7079), 1,
      sym_op_other,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7062), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7077), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1527), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1526), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7075), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [213683] = 4,
    ACTIONS(7081), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2067), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2069), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213740] = 6,
    ACTIONS(7083), 1,
      sym_keyword_unsigned,
    ACTIONS(7085), 1,
      sym_keyword_zerofill,
    ACTIONS(7087), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1905), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [213801] = 20,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2640), 1,
      sym_keyword_or,
    ACTIONS(7023), 1,
      sym_keyword_is,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7027), 1,
      anon_sym_CARET,
    ACTIONS(7064), 1,
      anon_sym_PLUS,
    ACTIONS(7066), 1,
      anon_sym_DASH,
    ACTIONS(7068), 1,
      anon_sym_SLASH,
    ACTIONS(7070), 1,
      sym_keyword_in,
    ACTIONS(7079), 1,
      sym_op_other,
    ACTIONS(7089), 1,
      sym_keyword_not,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7062), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7077), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1527), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1526), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7075), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2638), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [213890] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6705), 1,
      sym_keyword_in,
    ACTIONS(6707), 1,
      sym_keyword_and,
    ACTIONS(6709), 1,
      sym_keyword_or,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6713), 1,
      sym_keyword_not,
    ACTIONS(6715), 1,
      sym_keyword_using,
    ACTIONS(6717), 1,
      sym_keyword_between,
    ACTIONS(6719), 1,
      anon_sym_LBRACK,
    ACTIONS(6729), 1,
      sym_op_other,
    ACTIONS(6731), 1,
      anon_sym_PLUS,
    ACTIONS(6733), 1,
      anon_sym_DASH,
    ACTIONS(6735), 1,
      anon_sym_SLASH,
    ACTIONS(6737), 1,
      anon_sym_CARET,
    ACTIONS(7091), 1,
      anon_sym_COLON_COLON,
    STATE(7444), 1,
      sym_direction,
    STATE(11452), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6703), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(6723), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6727), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1436), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1435), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6721), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6668), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_COMMA,
  [213991] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6141), 1,
      sym_keyword_not,
    ACTIONS(6143), 1,
      anon_sym_LBRACK,
    ACTIONS(6151), 1,
      sym_op_other,
    ACTIONS(6153), 1,
      anon_sym_PLUS,
    ACTIONS(6155), 1,
      anon_sym_DASH,
    ACTIONS(6157), 1,
      anon_sym_SLASH,
    ACTIONS(6159), 1,
      anon_sym_CARET,
    ACTIONS(6201), 1,
      sym_keyword_between,
    ACTIONS(6203), 1,
      sym_keyword_and,
    ACTIONS(6372), 1,
      sym_keyword_or,
    ACTIONS(6781), 1,
      anon_sym_COLON_COLON,
    STATE(10990), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6149), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1654), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1652), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6145), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6701), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [214086] = 5,
    ACTIONS(6855), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3448), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3446), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6853), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [214145] = 20,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2644), 1,
      sym_keyword_or,
    ACTIONS(7023), 1,
      sym_keyword_is,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7027), 1,
      anon_sym_CARET,
    ACTIONS(7064), 1,
      anon_sym_PLUS,
    ACTIONS(7066), 1,
      anon_sym_DASH,
    ACTIONS(7068), 1,
      anon_sym_SLASH,
    ACTIONS(7070), 1,
      sym_keyword_in,
    ACTIONS(7079), 1,
      sym_op_other,
    ACTIONS(7089), 1,
      sym_keyword_not,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7062), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7077), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1527), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1526), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7075), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2642), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [214234] = 6,
    ACTIONS(7093), 1,
      sym_keyword_unsigned,
    ACTIONS(7095), 1,
      sym_keyword_zerofill,
    ACTIONS(7097), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [214295] = 7,
    ACTIONS(6989), 1,
      sym_keyword_array,
    STATE(3286), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(3900), 1,
      sym_array_size_definition,
    STATE(3901), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2825), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [214358] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1841), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1839), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [214413] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2148), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214468] = 4,
    ACTIONS(7099), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2150), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2152), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214525] = 4,
    ACTIONS(7101), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2162), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2164), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214582] = 4,
    ACTIONS(7103), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2168), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2170), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214639] = 4,
    ACTIONS(7105), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2190), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2192), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214696] = 4,
    ACTIONS(6857), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3448), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3446), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [214753] = 4,
    ACTIONS(7107), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2156), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2158), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214810] = 4,
    ACTIONS(7109), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2196), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2198), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214867] = 4,
    ACTIONS(7111), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2202), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2204), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214924] = 5,
    ACTIONS(7013), 1,
      sym_keyword_filter,
    STATE(3348), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214983] = 3,
    ACTIONS(7115), 1,
      sym_keyword_force,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7113), 45,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_freeze,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_force_quote,
      sym_keyword_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
      sym_keyword_header,
      sym_keyword_format,
      sym_keyword_delimiter,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [215038] = 5,
    STATE(193), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(290), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3337), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3335), 38,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [215097] = 7,
    ACTIONS(7117), 1,
      sym_keyword_array,
    STATE(2713), 1,
      sym_array_size_definition,
    STATE(2714), 1,
      sym__array_size_definition,
    STATE(3376), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2825), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2827), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [215160] = 4,
    ACTIONS(7119), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2055), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2057), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [215217] = 8,
    ACTIONS(7023), 1,
      sym_keyword_is,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1527), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1526), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2487), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2485), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [215282] = 13,
    ACTIONS(7023), 1,
      sym_keyword_is,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7027), 1,
      anon_sym_CARET,
    ACTIONS(7064), 1,
      anon_sym_PLUS,
    ACTIONS(7066), 1,
      anon_sym_DASH,
    ACTIONS(7068), 1,
      anon_sym_SLASH,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7062), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2487), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1527), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1526), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [215357] = 6,
    ACTIONS(7121), 1,
      sym_keyword_unsigned,
    ACTIONS(7123), 1,
      sym_keyword_zerofill,
    ACTIONS(7125), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1871), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1869), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [215418] = 5,
    ACTIONS(7013), 1,
      sym_keyword_filter,
    STATE(3158), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2700), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2702), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [215477] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(7023), 1,
      sym_keyword_is,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7027), 1,
      anon_sym_CARET,
    ACTIONS(7064), 1,
      anon_sym_PLUS,
    ACTIONS(7066), 1,
      anon_sym_DASH,
    ACTIONS(7068), 1,
      anon_sym_SLASH,
    ACTIONS(7070), 1,
      sym_keyword_in,
    ACTIONS(7079), 1,
      sym_op_other,
    ACTIONS(7089), 1,
      sym_keyword_not,
    ACTIONS(7127), 1,
      sym_keyword_and,
    ACTIONS(7129), 1,
      sym_keyword_or,
    ACTIONS(7131), 1,
      sym_keyword_between,
    ACTIONS(7133), 1,
      anon_sym_COLON_COLON,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7062), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7077), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1527), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1526), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7075), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6701), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [215572] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3475), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3477), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [215627] = 4,
    ACTIONS(7135), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2073), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2075), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [215684] = 4,
    ACTIONS(7137), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2061), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2063), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [215741] = 6,
    ACTIONS(7139), 1,
      sym_keyword_unsigned,
    ACTIONS(7141), 1,
      sym_keyword_zerofill,
    ACTIONS(7143), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1857), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1855), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [215802] = 7,
    ACTIONS(7117), 1,
      sym_keyword_array,
    STATE(2711), 1,
      sym_array_size_definition,
    STATE(2714), 1,
      sym__array_size_definition,
    STATE(3376), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2831), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2833), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [215865] = 4,
    ACTIONS(6971), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [215922] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1384), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [215977] = 7,
    ACTIONS(7145), 1,
      sym_keyword_array,
    STATE(3186), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4238), 1,
      sym_array_size_definition,
    STATE(4243), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2825), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [216040] = 7,
    ACTIONS(7145), 1,
      sym_keyword_array,
    STATE(3186), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4243), 1,
      sym__array_size_definition,
    STATE(4393), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2833), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2831), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [216103] = 4,
    ACTIONS(7147), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2110), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2112), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216160] = 4,
    ACTIONS(7149), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2142), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216217] = 5,
    ACTIONS(7013), 1,
      sym_keyword_filter,
    STATE(3424), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2730), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216276] = 6,
    ACTIONS(6959), 1,
      sym_keyword_unsigned,
    ACTIONS(6961), 1,
      sym_keyword_zerofill,
    ACTIONS(6965), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [216337] = 4,
    ACTIONS(7151), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2061), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2063), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216394] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1867), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1865), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [216449] = 5,
    ACTIONS(7013), 1,
      sym_keyword_filter,
    STATE(3442), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2708), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2710), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216508] = 5,
    ACTIONS(7013), 1,
      sym_keyword_filter,
    STATE(3444), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2720), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2722), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216567] = 5,
    ACTIONS(7013), 1,
      sym_keyword_filter,
    STATE(3302), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2726), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216626] = 21,
    ACTIONS(2505), 1,
      sym_keyword_or,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(7023), 1,
      sym_keyword_is,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7027), 1,
      anon_sym_CARET,
    ACTIONS(7064), 1,
      anon_sym_PLUS,
    ACTIONS(7066), 1,
      anon_sym_DASH,
    ACTIONS(7068), 1,
      anon_sym_SLASH,
    ACTIONS(7070), 1,
      sym_keyword_in,
    ACTIONS(7079), 1,
      sym_op_other,
    ACTIONS(7089), 1,
      sym_keyword_not,
    ACTIONS(7131), 1,
      sym_keyword_between,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7062), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7077), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1527), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1526), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7075), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [216717] = 4,
    ACTIONS(7153), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2039), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2041), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216774] = 4,
    ACTIONS(7155), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2045), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2047), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216831] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1837), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1835), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [216886] = 7,
    ACTIONS(7052), 1,
      sym_keyword_with,
    ACTIONS(7054), 1,
      sym_keyword_without,
    ACTIONS(7157), 1,
      anon_sym_LPAREN,
    STATE(3741), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [216949] = 6,
    ACTIONS(7159), 1,
      sym_keyword_unsigned,
    ACTIONS(7161), 1,
      sym_keyword_zerofill,
    ACTIONS(7163), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1871), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1869), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [217010] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3442), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3444), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [217065] = 6,
    ACTIONS(7165), 1,
      sym_keyword_unsigned,
    ACTIONS(7167), 1,
      sym_keyword_zerofill,
    ACTIONS(7169), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1817), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1815), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [217126] = 6,
    ACTIONS(7171), 1,
      sym_keyword_unsigned,
    ACTIONS(7173), 1,
      sym_keyword_zerofill,
    ACTIONS(7175), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1817), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1815), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [217187] = 5,
    ACTIONS(7013), 1,
      sym_keyword_filter,
    STATE(3137), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2680), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2682), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [217246] = 6,
    ACTIONS(7177), 1,
      sym_keyword_unsigned,
    ACTIONS(7179), 1,
      sym_keyword_zerofill,
    ACTIONS(7181), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1917), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1915), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [217307] = 6,
    ACTIONS(7183), 1,
      sym_keyword_unsigned,
    ACTIONS(7185), 1,
      sym_keyword_zerofill,
    ACTIONS(7187), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1897), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1895), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [217368] = 5,
    ACTIONS(7189), 1,
      sym_keyword_unsigned,
    ACTIONS(7191), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1975), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1977), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [217427] = 6,
    ACTIONS(7193), 1,
      sym_keyword_unsigned,
    ACTIONS(7195), 1,
      sym_keyword_zerofill,
    ACTIONS(7197), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1905), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [217488] = 22,
    ACTIONS(2505), 1,
      sym_keyword_or,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(7023), 1,
      sym_keyword_is,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7027), 1,
      anon_sym_CARET,
    ACTIONS(7064), 1,
      anon_sym_PLUS,
    ACTIONS(7066), 1,
      anon_sym_DASH,
    ACTIONS(7068), 1,
      anon_sym_SLASH,
    ACTIONS(7070), 1,
      sym_keyword_in,
    ACTIONS(7079), 1,
      sym_op_other,
    ACTIONS(7089), 1,
      sym_keyword_not,
    ACTIONS(7127), 1,
      sym_keyword_and,
    ACTIONS(7131), 1,
      sym_keyword_between,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7062), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7077), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1527), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1526), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7075), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [217581] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3475), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3477), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [217636] = 5,
    ACTIONS(7013), 1,
      sym_keyword_filter,
    STATE(3395), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [217695] = 5,
    ACTIONS(7013), 1,
      sym_keyword_filter,
    STATE(3397), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2736), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2738), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [217754] = 6,
    ACTIONS(6859), 1,
      sym_keyword_with,
    ACTIONS(6861), 1,
      sym_keyword_without,
    STATE(3695), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1957), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1955), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [217815] = 6,
    ACTIONS(6859), 1,
      sym_keyword_with,
    ACTIONS(6861), 1,
      sym_keyword_without,
    STATE(3697), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1961), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1959), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [217876] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1380), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1382), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [217931] = 4,
    ACTIONS(7199), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2132), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2134), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [217988] = 6,
    ACTIONS(6903), 1,
      sym_keyword_unsigned,
    ACTIONS(6905), 1,
      sym_keyword_zerofill,
    ACTIONS(6909), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [218049] = 6,
    ACTIONS(7201), 1,
      sym_keyword_unsigned,
    ACTIONS(7203), 1,
      sym_keyword_zerofill,
    ACTIONS(7205), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1917), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1915), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [218110] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1845), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1843), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [218165] = 4,
    ACTIONS(7207), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2120), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2122), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218222] = 6,
    ACTIONS(7209), 1,
      sym_keyword_unsigned,
    ACTIONS(7211), 1,
      sym_keyword_zerofill,
    ACTIONS(7213), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1897), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1895), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [218283] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2186), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2188), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218338] = 4,
    ACTIONS(7215), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2100), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218395] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1849), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1847), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [218450] = 4,
    ACTIONS(7217), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2100), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218507] = 4,
    ACTIONS(6801), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218564] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3442), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3444), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218619] = 7,
    ACTIONS(7219), 1,
      sym_keyword_with,
    ACTIONS(7221), 1,
      sym_keyword_without,
    ACTIONS(7223), 1,
      anon_sym_LPAREN,
    STATE(4210), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [218682] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2017), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218737] = 7,
    ACTIONS(7219), 1,
      sym_keyword_with,
    ACTIONS(7221), 1,
      sym_keyword_without,
    ACTIONS(7225), 1,
      anon_sym_LPAREN,
    STATE(4211), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [218800] = 7,
    ACTIONS(7227), 1,
      sym_keyword_unsigned,
    ACTIONS(7229), 1,
      sym_keyword_zerofill,
    ACTIONS(7231), 1,
      sym_keyword_precision,
    ACTIONS(7233), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [218863] = 4,
    ACTIONS(7235), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2017), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218920] = 5,
    ACTIONS(7237), 1,
      aux_sym__single_quote_string_token2,
    STATE(2744), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3304), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3306), 27,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218979] = 7,
    ACTIONS(7239), 1,
      sym_keyword_unsigned,
    ACTIONS(7241), 1,
      sym_keyword_zerofill,
    ACTIONS(7243), 1,
      sym_keyword_precision,
    ACTIONS(7245), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [219042] = 4,
    ACTIONS(7247), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2031), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2033), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [219099] = 6,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1527), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1526), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [219160] = 16,
    ACTIONS(7023), 1,
      sym_keyword_is,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7027), 1,
      anon_sym_CARET,
    ACTIONS(7064), 1,
      anon_sym_PLUS,
    ACTIONS(7066), 1,
      anon_sym_DASH,
    ACTIONS(7068), 1,
      anon_sym_SLASH,
    ACTIONS(7070), 1,
      sym_keyword_in,
    ACTIONS(7072), 1,
      sym_keyword_not,
    ACTIONS(7079), 1,
      sym_op_other,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7062), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2505), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1527), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1526), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [219241] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2051), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2053), 39,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_partition,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_cache,
      sym_keyword_array,
      sym__identifier,
  [219296] = 4,
    ACTIONS(7249), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2031), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2033), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [219353] = 5,
    ACTIONS(7013), 1,
      sym_keyword_filter,
    STATE(3398), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2670), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2672), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [219412] = 4,
    ACTIONS(7251), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2055), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2057), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [219469] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1841), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1839), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [219524] = 5,
    ACTIONS(7013), 1,
      sym_keyword_filter,
    STATE(3296), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2740), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2742), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [219583] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1845), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1843), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [219638] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1849), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1847), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [219693] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6447), 1,
      sym_keyword_is,
    ACTIONS(6449), 1,
      anon_sym_LBRACK,
    ACTIONS(6453), 1,
      anon_sym_PLUS,
    ACTIONS(6455), 1,
      anon_sym_DASH,
    ACTIONS(6457), 1,
      anon_sym_SLASH,
    ACTIONS(6459), 1,
      anon_sym_CARET,
    ACTIONS(6565), 1,
      sym_keyword_in,
    ACTIONS(6567), 1,
      sym_keyword_and,
    ACTIONS(6569), 1,
      sym_keyword_or,
    ACTIONS(6571), 1,
      sym_keyword_not,
    ACTIONS(6573), 1,
      sym_keyword_between,
    ACTIONS(6579), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6583), 1,
      sym_op_other,
    STATE(11115), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6451), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6581), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1405), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6577), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6867), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [219788] = 5,
    ACTIONS(7013), 1,
      sym_keyword_filter,
    STATE(3347), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [219847] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1853), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1851), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [219902] = 7,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    STATE(4402), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2837), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2835), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [219965] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1837), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1835), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220020] = 6,
    ACTIONS(6855), 1,
      sym_keyword_as,
    ACTIONS(6857), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3448), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(6853), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
    ACTIONS(3446), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220081] = 4,
    ACTIONS(7253), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2106), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [220138] = 3,
    ACTIONS(7257), 1,
      sym_keyword_force,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7255), 45,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_freeze,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_force_quote,
      sym_keyword_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
      sym_keyword_header,
      sym_keyword_format,
      sym_keyword_delimiter,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [220193] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1867), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1865), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220248] = 5,
    ACTIONS(7013), 1,
      sym_keyword_filter,
    STATE(3425), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2688), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2690), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [220307] = 5,
    ACTIONS(7013), 1,
      sym_keyword_filter,
    STATE(3127), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2692), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2694), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [220366] = 5,
    ACTIONS(7013), 1,
      sym_keyword_filter,
    STATE(3131), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2696), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2698), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [220425] = 5,
    ACTIONS(7013), 1,
      sym_keyword_filter,
    STATE(3157), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2712), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2714), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [220484] = 5,
    ACTIONS(7259), 1,
      sym_keyword_precision,
    ACTIONS(7261), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [220543] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3636), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2712), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2714), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [220601] = 5,
    ACTIONS(3515), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3513), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
    ACTIONS(3595), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220659] = 5,
    ACTIONS(7265), 1,
      sym_keyword_filter,
    STATE(3795), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2706), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2704), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220717] = 7,
    ACTIONS(7267), 1,
      sym_keyword_array,
    STATE(3859), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4673), 1,
      sym_array_size_definition,
    STATE(4674), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2825), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220779] = 7,
    ACTIONS(7269), 1,
      sym_keyword_unsigned,
    ACTIONS(7271), 1,
      sym_keyword_zerofill,
    ACTIONS(7273), 1,
      sym_keyword_precision,
    ACTIONS(7275), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220841] = 7,
    ACTIONS(7267), 1,
      sym_keyword_array,
    STATE(3859), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4674), 1,
      sym__array_size_definition,
    STATE(4687), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2833), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2831), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220903] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3853), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2708), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2710), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [220961] = 5,
    ACTIONS(7265), 1,
      sym_keyword_filter,
    STATE(3866), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [221019] = 5,
    ACTIONS(7265), 1,
      sym_keyword_filter,
    STATE(3455), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [221077] = 5,
    ACTIONS(7265), 1,
      sym_keyword_filter,
    STATE(3462), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [221135] = 5,
    ACTIONS(7265), 1,
      sym_keyword_filter,
    STATE(3486), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [221193] = 5,
    ACTIONS(7265), 1,
      sym_keyword_filter,
    STATE(3501), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [221251] = 5,
    ACTIONS(7265), 1,
      sym_keyword_filter,
    STATE(3515), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2694), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2692), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [221309] = 5,
    ACTIONS(7265), 1,
      sym_keyword_filter,
    STATE(3518), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2698), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2696), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [221367] = 5,
    ACTIONS(7265), 1,
      sym_keyword_filter,
    STATE(3530), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [221425] = 5,
    ACTIONS(7265), 1,
      sym_keyword_filter,
    STATE(3531), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [221483] = 5,
    ACTIONS(7265), 1,
      sym_keyword_filter,
    STATE(3532), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2740), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [221541] = 5,
    ACTIONS(7265), 1,
      sym_keyword_filter,
    STATE(3535), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [221599] = 5,
    ACTIONS(7265), 1,
      sym_keyword_filter,
    STATE(3537), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [221657] = 5,
    ACTIONS(7265), 1,
      sym_keyword_filter,
    STATE(3538), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [221715] = 5,
    ACTIONS(7265), 1,
      sym_keyword_filter,
    STATE(3541), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [221773] = 5,
    ACTIONS(7265), 1,
      sym_keyword_filter,
    STATE(3553), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [221831] = 5,
    ACTIONS(7265), 1,
      sym_keyword_filter,
    STATE(3554), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2738), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2736), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [221889] = 5,
    ACTIONS(7265), 1,
      sym_keyword_filter,
    STATE(3564), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [221947] = 5,
    ACTIONS(7265), 1,
      sym_keyword_filter,
    STATE(3566), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [222005] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3545), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2720), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2722), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222063] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3596), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2726), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222121] = 7,
    ACTIONS(7277), 1,
      sym_keyword_array,
    STATE(3756), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4525), 1,
      sym_array_size_definition,
    STATE(4526), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2827), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2825), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [222183] = 7,
    ACTIONS(7279), 1,
      sym_keyword_with,
    ACTIONS(7281), 1,
      sym_keyword_without,
    ACTIONS(7283), 1,
      anon_sym_LPAREN,
    STATE(4196), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [222245] = 7,
    ACTIONS(7279), 1,
      sym_keyword_with,
    ACTIONS(7281), 1,
      sym_keyword_without,
    ACTIONS(7285), 1,
      anon_sym_LPAREN,
    STATE(4197), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [222307] = 7,
    ACTIONS(7277), 1,
      sym_keyword_array,
    STATE(3756), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4526), 1,
      sym__array_size_definition,
    STATE(4553), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2833), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2831), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [222369] = 27,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(7023), 1,
      sym_keyword_is,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7027), 1,
      anon_sym_CARET,
    ACTIONS(7064), 1,
      anon_sym_PLUS,
    ACTIONS(7066), 1,
      anon_sym_DASH,
    ACTIONS(7068), 1,
      anon_sym_SLASH,
    ACTIONS(7070), 1,
      sym_keyword_in,
    ACTIONS(7079), 1,
      sym_op_other,
    ACTIONS(7089), 1,
      sym_keyword_not,
    ACTIONS(7127), 1,
      sym_keyword_and,
    ACTIONS(7129), 1,
      sym_keyword_or,
    ACTIONS(7131), 1,
      sym_keyword_between,
    ACTIONS(7133), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7287), 1,
      sym_keyword_having,
    ACTIONS(7289), 1,
      anon_sym_COMMA,
    STATE(7322), 1,
      sym__having,
    STATE(7588), 1,
      aux_sym_array_repeat1,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7062), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7077), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1527), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1526), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7075), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6368), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [222471] = 6,
    ACTIONS(7052), 1,
      sym_keyword_with,
    ACTIONS(7054), 1,
      sym_keyword_without,
    STATE(3784), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1957), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1955), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [222531] = 6,
    ACTIONS(7052), 1,
      sym_keyword_with,
    ACTIONS(7054), 1,
      sym_keyword_without,
    STATE(3785), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1961), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1959), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [222591] = 5,
    ACTIONS(7291), 1,
      sym_keyword_unsigned,
    ACTIONS(7293), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1977), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1975), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [222649] = 5,
    ACTIONS(7295), 1,
      sym_keyword_unsigned,
    ACTIONS(7297), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1993), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1991), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [222707] = 5,
    ACTIONS(7299), 1,
      sym_keyword_unsigned,
    ACTIONS(7301), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2001), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1999), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [222765] = 5,
    ACTIONS(7303), 1,
      sym_keyword_unsigned,
    ACTIONS(7305), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [222823] = 5,
    ACTIONS(7307), 1,
      sym_keyword_unsigned,
    ACTIONS(7309), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1949), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1947), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [222881] = 4,
    ACTIONS(7311), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2021), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2023), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222937] = 4,
    ACTIONS(7313), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2039), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2041), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222993] = 5,
    ACTIONS(7315), 1,
      sym_keyword_unsigned,
    ACTIONS(7317), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1965), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1963), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [223051] = 5,
    ACTIONS(7319), 1,
      sym_keyword_unsigned,
    ACTIONS(7321), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1985), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1983), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [223109] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3577), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2688), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2690), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223167] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3594), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2692), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2694), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223225] = 4,
    ACTIONS(7323), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2045), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2047), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223281] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3604), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2696), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2698), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223339] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3637), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2700), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2702), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223397] = 5,
    ACTIONS(7325), 1,
      sym_keyword_unsigned,
    ACTIONS(7327), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2007), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [223455] = 7,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(3787), 1,
      aux_sym__single_quote_string_token1,
    STATE(4649), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2837), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2835), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [223517] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1841), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1839), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [223571] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1845), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1843), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [223625] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1849), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1847), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [223679] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1853), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1851), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [223733] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1837), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1835), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [223787] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1867), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1865), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [223841] = 6,
    ACTIONS(7329), 1,
      sym_keyword_unsigned,
    ACTIONS(7331), 1,
      sym_keyword_zerofill,
    ACTIONS(7333), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1857), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1855), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [223901] = 6,
    ACTIONS(7335), 1,
      sym_keyword_unsigned,
    ACTIONS(7337), 1,
      sym_keyword_zerofill,
    ACTIONS(7339), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1871), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1869), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [223961] = 6,
    ACTIONS(7341), 1,
      sym_keyword_unsigned,
    ACTIONS(7343), 1,
      sym_keyword_zerofill,
    ACTIONS(7345), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1817), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1815), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [224021] = 6,
    ACTIONS(7347), 1,
      sym_keyword_unsigned,
    ACTIONS(7349), 1,
      sym_keyword_zerofill,
    ACTIONS(7351), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1917), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1915), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [224081] = 6,
    ACTIONS(7353), 1,
      sym_keyword_unsigned,
    ACTIONS(7355), 1,
      sym_keyword_zerofill,
    ACTIONS(7357), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1897), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1895), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [224141] = 6,
    ACTIONS(7359), 1,
      sym_keyword_unsigned,
    ACTIONS(7361), 1,
      sym_keyword_zerofill,
    ACTIONS(7363), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1905), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [224201] = 6,
    ACTIONS(6991), 1,
      sym_keyword_unsigned,
    ACTIONS(6993), 1,
      sym_keyword_zerofill,
    ACTIONS(6997), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [224261] = 6,
    ACTIONS(7365), 1,
      sym_keyword_unsigned,
    ACTIONS(7367), 1,
      sym_keyword_zerofill,
    ACTIONS(7369), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [224321] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1384), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [224375] = 7,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    STATE(4480), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2837), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2835), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [224437] = 7,
    ACTIONS(7371), 1,
      sym_keyword_with,
    ACTIONS(7373), 1,
      sym_keyword_without,
    ACTIONS(7375), 1,
      anon_sym_LPAREN,
    STATE(4406), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [224499] = 7,
    ACTIONS(7371), 1,
      sym_keyword_with,
    ACTIONS(7373), 1,
      sym_keyword_without,
    ACTIONS(7377), 1,
      anon_sym_LPAREN,
    STATE(4407), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [224561] = 4,
    ACTIONS(7379), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2015), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [224617] = 5,
    ACTIONS(7381), 1,
      sym_keyword_varying,
    ACTIONS(7383), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1927), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1925), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [224675] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3869), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2716), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2718), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224733] = 7,
    ACTIONS(7385), 1,
      sym_keyword_array,
    STATE(3460), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4531), 1,
      sym_array_size_definition,
    STATE(4532), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2825), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [224795] = 7,
    ACTIONS(7385), 1,
      sym_keyword_array,
    STATE(3460), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4532), 1,
      sym__array_size_definition,
    STATE(4567), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2833), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2831), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [224857] = 5,
    ACTIONS(7387), 1,
      sym_keyword_precision,
    ACTIONS(7389), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [224915] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1384), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [224969] = 6,
    ACTIONS(7219), 1,
      sym_keyword_with,
    ACTIONS(7221), 1,
      sym_keyword_without,
    STATE(4313), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1957), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1955), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [225029] = 6,
    ACTIONS(7219), 1,
      sym_keyword_with,
    ACTIONS(7221), 1,
      sym_keyword_without,
    STATE(4314), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1961), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1959), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [225089] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3683), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2704), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2706), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [225147] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3451), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2740), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2742), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [225205] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3463), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [225263] = 4,
    ACTIONS(7391), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2015), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [225319] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3464), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [225377] = 5,
    ACTIONS(7393), 1,
      sym_keyword_varying,
    ACTIONS(7395), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1927), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1925), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [225435] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3471), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2680), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2682), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [225493] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3491), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [225551] = 5,
    ACTIONS(7397), 1,
      sym_keyword_unsigned,
    ACTIONS(7399), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1977), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1975), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [225609] = 5,
    ACTIONS(7401), 1,
      sym_keyword_unsigned,
    ACTIONS(7403), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1993), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1991), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [225667] = 5,
    ACTIONS(7405), 1,
      sym_keyword_unsigned,
    ACTIONS(7407), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2001), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1999), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [225725] = 5,
    ACTIONS(7409), 1,
      sym_keyword_unsigned,
    ACTIONS(7411), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [225783] = 5,
    ACTIONS(7413), 1,
      sym_keyword_unsigned,
    ACTIONS(7415), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1949), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1947), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [225841] = 5,
    ACTIONS(7417), 1,
      sym_keyword_unsigned,
    ACTIONS(7419), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1965), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1963), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [225899] = 5,
    ACTIONS(7421), 1,
      sym_keyword_unsigned,
    ACTIONS(7423), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1985), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1983), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [225957] = 5,
    ACTIONS(7425), 1,
      sym_keyword_unsigned,
    ACTIONS(7427), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2007), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [226015] = 5,
    ACTIONS(7429), 1,
      aux_sym__single_quote_string_token2,
    STATE(2972), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1369), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226073] = 5,
    ACTIONS(7431), 1,
      aux_sym__single_quote_string_token2,
    STATE(2973), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3304), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3306), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226131] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1386), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1384), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [226185] = 5,
    ACTIONS(7433), 1,
      aux_sym__single_quote_string_token2,
    STATE(2985), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1363), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226243] = 5,
    ACTIONS(7433), 1,
      aux_sym__single_quote_string_token2,
    STATE(2985), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3318), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3320), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226301] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2296), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2298), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226355] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2300), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2302), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226409] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2304), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2306), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226463] = 4,
    ACTIONS(7435), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2162), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2164), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226519] = 4,
    ACTIONS(7437), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2168), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2170), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226575] = 4,
    ACTIONS(7439), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2190), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2192), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226631] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226685] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3448), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226743] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3449), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2736), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2738), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226801] = 4,
    ACTIONS(7441), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2196), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2198), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226857] = 4,
    ACTIONS(7443), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2202), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2204), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226913] = 5,
    ACTIONS(7445), 1,
      aux_sym__single_quote_string_token2,
    STATE(2985), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1375), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226971] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2100), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227025] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227079] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2212), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2214), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227133] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2216), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2218), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227187] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2031), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2033), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227241] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2055), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2057), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227295] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2061), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2063), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227349] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3453), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2670), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2672), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227407] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2067), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2069), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227461] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2073), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2075), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227515] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2220), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2222), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227569] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2079), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2081), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227623] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2228), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2230), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227677] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2232), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2234), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227731] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2236), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2238), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227785] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2240), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2242), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227839] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2244), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2246), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227893] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2208), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2210), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227947] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2252), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2254), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228001] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2256), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2258), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228055] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2260), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2262), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228109] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2264), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2266), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228163] = 4,
    ACTIONS(7448), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2079), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2081), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228219] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2272), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2274), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228273] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2276), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2278), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228327] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2280), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2282), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228381] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2284), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2286), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228435] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2288), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2290), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228489] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2292), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2294), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228543] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2324), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2326), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228597] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2328), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2330), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228651] = 5,
    ACTIONS(6855), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3448), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(6853), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
    ACTIONS(3446), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [228709] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2340), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2342), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228763] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2344), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2346), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228817] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2348), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2350), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228871] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2352), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2354), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228925] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2360), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2362), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228979] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2364), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2366), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [229033] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2368), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2370), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [229087] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2372), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2374), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [229141] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2376), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2378), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [229195] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6447), 1,
      sym_keyword_is,
    ACTIONS(6449), 1,
      anon_sym_LBRACK,
    ACTIONS(6453), 1,
      anon_sym_PLUS,
    ACTIONS(6455), 1,
      anon_sym_DASH,
    ACTIONS(6457), 1,
      anon_sym_SLASH,
    ACTIONS(6459), 1,
      anon_sym_CARET,
    ACTIONS(6565), 1,
      sym_keyword_in,
    ACTIONS(6567), 1,
      sym_keyword_and,
    ACTIONS(6569), 1,
      sym_keyword_or,
    ACTIONS(6571), 1,
      sym_keyword_not,
    ACTIONS(6573), 1,
      sym_keyword_between,
    ACTIONS(6579), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6583), 1,
      sym_op_other,
    STATE(11115), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6451), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6581), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1405), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6577), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(7011), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [229289] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2162), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2164), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [229343] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2168), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2170), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [229397] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1841), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1839), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [229451] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2190), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2192), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [229505] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1845), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1843), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [229559] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2196), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2198), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [229613] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1849), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1847), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [229667] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2202), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2204), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [229721] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2312), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2314), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [229775] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2248), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2250), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [229829] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1853), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1851), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [229883] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1837), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1835), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [229937] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2332), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2334), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [229991] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2336), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2338), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230045] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2356), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2358), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230099] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2380), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2382), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230153] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2384), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2386), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230207] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2224), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2226), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230261] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2009), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230315] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2021), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2023), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230369] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1867), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1865), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [230423] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2039), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2041), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230477] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2308), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2310), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230531] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2388), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2390), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230585] = 6,
    ACTIONS(7450), 1,
      sym_keyword_unsigned,
    ACTIONS(7452), 1,
      sym_keyword_zerofill,
    ACTIONS(7454), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1857), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1855), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [230645] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2045), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2047), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230699] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2316), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2318), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230753] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2320), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2322), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230807] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [230863] = 7,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    STATE(4010), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2835), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2837), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230925] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6141), 1,
      sym_keyword_not,
    ACTIONS(6143), 1,
      anon_sym_LBRACK,
    ACTIONS(6151), 1,
      sym_op_other,
    ACTIONS(6153), 1,
      anon_sym_PLUS,
    ACTIONS(6155), 1,
      anon_sym_DASH,
    ACTIONS(6157), 1,
      anon_sym_SLASH,
    ACTIONS(6159), 1,
      anon_sym_CARET,
    ACTIONS(6201), 1,
      sym_keyword_between,
    ACTIONS(6203), 1,
      sym_keyword_and,
    ACTIONS(6372), 1,
      sym_keyword_or,
    ACTIONS(6781), 1,
      anon_sym_COLON_COLON,
    STATE(10990), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6149), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1654), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1652), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6145), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6867), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [231019] = 6,
    ACTIONS(7456), 1,
      sym_keyword_unsigned,
    ACTIONS(7458), 1,
      sym_keyword_zerofill,
    ACTIONS(7460), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1871), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1869), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231079] = 6,
    ACTIONS(7462), 1,
      sym_keyword_unsigned,
    ACTIONS(7464), 1,
      sym_keyword_zerofill,
    ACTIONS(7466), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1817), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1815), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231139] = 6,
    ACTIONS(7468), 1,
      sym_keyword_unsigned,
    ACTIONS(7470), 1,
      sym_keyword_zerofill,
    ACTIONS(7472), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1917), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1915), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231199] = 6,
    ACTIONS(7474), 1,
      sym_keyword_unsigned,
    ACTIONS(7476), 1,
      sym_keyword_zerofill,
    ACTIONS(7478), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1897), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1895), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231259] = 6,
    ACTIONS(7480), 1,
      sym_keyword_unsigned,
    ACTIONS(7482), 1,
      sym_keyword_zerofill,
    ACTIONS(7484), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1905), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231319] = 6,
    ACTIONS(7227), 1,
      sym_keyword_unsigned,
    ACTIONS(7229), 1,
      sym_keyword_zerofill,
    ACTIONS(7233), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231379] = 7,
    ACTIONS(7486), 1,
      sym_keyword_array,
    STATE(3284), 1,
      sym_array_size_definition,
    STATE(3285), 1,
      sym__array_size_definition,
    STATE(3670), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2825), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2827), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [231441] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6447), 1,
      sym_keyword_is,
    ACTIONS(6449), 1,
      anon_sym_LBRACK,
    ACTIONS(6453), 1,
      anon_sym_PLUS,
    ACTIONS(6455), 1,
      anon_sym_DASH,
    ACTIONS(6457), 1,
      anon_sym_SLASH,
    ACTIONS(6459), 1,
      anon_sym_CARET,
    ACTIONS(6565), 1,
      sym_keyword_in,
    ACTIONS(6567), 1,
      sym_keyword_and,
    ACTIONS(6569), 1,
      sym_keyword_or,
    ACTIONS(6571), 1,
      sym_keyword_not,
    ACTIONS(6573), 1,
      sym_keyword_between,
    ACTIONS(6583), 1,
      sym_op_other,
    ACTIONS(6851), 1,
      anon_sym_COLON_COLON,
    STATE(11115), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6451), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6581), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1405), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6577), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6701), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_COMMA,
  [231535] = 5,
    ACTIONS(7488), 1,
      sym_keyword_precision,
    ACTIONS(7490), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231593] = 7,
    ACTIONS(7486), 1,
      sym_keyword_array,
    STATE(3285), 1,
      sym__array_size_definition,
    STATE(3292), 1,
      sym_array_size_definition,
    STATE(3670), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2831), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2833), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [231655] = 6,
    ACTIONS(7492), 1,
      sym_keyword_unsigned,
    ACTIONS(7494), 1,
      sym_keyword_zerofill,
    ACTIONS(7496), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231715] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3492), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2730), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [231773] = 5,
    STATE(3116), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(3791), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3335), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3337), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [231831] = 4,
    STATE(288), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 38,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231887] = 4,
    ACTIONS(7498), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2106), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [231943] = 4,
    ACTIONS(7500), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2110), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2112), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [231999] = 7,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(4167), 1,
      aux_sym__single_quote_string_token1,
    STATE(4637), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2837), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2835), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232061] = 4,
    ACTIONS(7502), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2120), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2122), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [232117] = 4,
    ACTIONS(7504), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2126), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2128), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [232173] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2017), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [232227] = 4,
    ACTIONS(7506), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2142), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [232283] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2148), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [232337] = 4,
    ACTIONS(7508), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2150), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2152), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [232393] = 4,
    ACTIONS(7510), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2156), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2158), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [232449] = 4,
    ACTIONS(7512), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2174), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2176), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [232505] = 4,
    ACTIONS(7514), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2180), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2182), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [232561] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1841), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1839), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232615] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1845), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1843), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232669] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1849), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1847), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232723] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1853), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1851), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232777] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2186), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2188), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [232831] = 4,
    ACTIONS(7516), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2100), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [232887] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1837), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1835), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232941] = 4,
    ACTIONS(7518), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2031), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2033), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [232997] = 4,
    ACTIONS(7520), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2055), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2057), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [233053] = 4,
    ACTIONS(7522), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2061), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2063), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [233109] = 4,
    ACTIONS(7524), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2067), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2069), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [233165] = 4,
    ACTIONS(7526), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2073), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2075), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [233221] = 4,
    ACTIONS(7261), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [233277] = 4,
    ACTIONS(7528), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2132), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2134), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [233333] = 4,
    ACTIONS(7530), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2100), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [233389] = 4,
    ACTIONS(6951), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [233445] = 4,
    ACTIONS(7532), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2031), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2033), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [233501] = 4,
    ACTIONS(7534), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2055), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2057), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [233557] = 4,
    ACTIONS(7536), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2061), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2063), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [233613] = 4,
    ACTIONS(7538), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2067), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2069), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [233669] = 4,
    ACTIONS(7540), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2073), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2075), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [233725] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1867), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1865), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233779] = 6,
    ACTIONS(7542), 1,
      sym_keyword_unsigned,
    ACTIONS(7544), 1,
      sym_keyword_zerofill,
    ACTIONS(7546), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1857), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1855), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233839] = 6,
    ACTIONS(7548), 1,
      sym_keyword_unsigned,
    ACTIONS(7550), 1,
      sym_keyword_zerofill,
    ACTIONS(7552), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1871), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1869), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233899] = 4,
    ACTIONS(7554), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2079), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2081), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [233955] = 6,
    ACTIONS(7556), 1,
      sym_keyword_unsigned,
    ACTIONS(7558), 1,
      sym_keyword_zerofill,
    ACTIONS(7560), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1817), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1815), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234015] = 6,
    ACTIONS(7562), 1,
      sym_keyword_unsigned,
    ACTIONS(7564), 1,
      sym_keyword_zerofill,
    ACTIONS(7566), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1917), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1915), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234075] = 6,
    ACTIONS(7568), 1,
      sym_keyword_unsigned,
    ACTIONS(7570), 1,
      sym_keyword_zerofill,
    ACTIONS(7572), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1897), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1895), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234135] = 6,
    ACTIONS(7574), 1,
      sym_keyword_unsigned,
    ACTIONS(7576), 1,
      sym_keyword_zerofill,
    ACTIONS(7578), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1905), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234195] = 6,
    ACTIONS(7239), 1,
      sym_keyword_unsigned,
    ACTIONS(7241), 1,
      sym_keyword_zerofill,
    ACTIONS(7245), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234255] = 6,
    ACTIONS(7580), 1,
      sym_keyword_unsigned,
    ACTIONS(7582), 1,
      sym_keyword_zerofill,
    ACTIONS(7584), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234315] = 6,
    ACTIONS(7586), 1,
      anon_sym_LBRACK,
    STATE(3116), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(3791), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2085), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2087), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [234375] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2268), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2270), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [234429] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(4021), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2738), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2736), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234486] = 6,
    ACTIONS(7279), 1,
      sym_keyword_with,
    ACTIONS(7281), 1,
      sym_keyword_without,
    STATE(4289), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1957), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1955), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234545] = 6,
    ACTIONS(7279), 1,
      sym_keyword_with,
    ACTIONS(7281), 1,
      sym_keyword_without,
    STATE(4291), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1961), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1959), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234604] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2308), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2310), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [234657] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2388), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2390), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [234710] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2045), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2047), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [234763] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2316), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2318), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [234816] = 4,
    ACTIONS(7591), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234871] = 4,
    ACTIONS(7593), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2041), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2039), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234926] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2807), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2809), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [234979] = 4,
    ACTIONS(7595), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2047), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2045), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235034] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2783), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2785), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [235087] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2320), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2322), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [235140] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2680), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2682), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [235193] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2288), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2290), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [235246] = 5,
    ACTIONS(7597), 1,
      sym_keyword_unsigned,
    ACTIONS(7599), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2007), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235303] = 4,
    ACTIONS(7601), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2015), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235358] = 7,
    ACTIONS(7603), 1,
      sym_keyword_array,
    STATE(4195), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4735), 1,
      sym__array_size_definition,
    STATE(4774), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2827), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2825), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235419] = 5,
    ACTIONS(7605), 1,
      sym_keyword_varying,
    ACTIONS(7607), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1927), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1925), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235476] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2799), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2801), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [235529] = 4,
    ACTIONS(7609), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235584] = 4,
    ACTIONS(7611), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235639] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235694] = 7,
    ACTIONS(7603), 1,
      sym_keyword_array,
    STATE(4195), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4726), 1,
      sym_array_size_definition,
    STATE(4735), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2833), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2831), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235755] = 5,
    ACTIONS(7613), 1,
      sym_keyword_precision,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235812] = 7,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    STATE(4756), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2837), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2835), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235873] = 5,
    ACTIONS(7617), 1,
      sym_keyword_unsigned,
    ACTIONS(7619), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1977), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1975), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235930] = 5,
    ACTIONS(7621), 1,
      sym_keyword_unsigned,
    ACTIONS(7623), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1993), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1991), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235987] = 5,
    ACTIONS(7625), 1,
      sym_keyword_unsigned,
    ACTIONS(7627), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2001), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1999), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236044] = 5,
    ACTIONS(7629), 1,
      sym_keyword_unsigned,
    ACTIONS(7631), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236101] = 5,
    ACTIONS(7633), 1,
      sym_keyword_unsigned,
    ACTIONS(7635), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1949), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1947), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236158] = 5,
    ACTIONS(7637), 1,
      sym_keyword_unsigned,
    ACTIONS(7639), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1965), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1963), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236215] = 5,
    ACTIONS(7641), 1,
      sym_keyword_unsigned,
    ACTIONS(7643), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1985), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1983), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236272] = 5,
    ACTIONS(7645), 1,
      sym_keyword_unsigned,
    ACTIONS(7647), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2007), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236329] = 5,
    ACTIONS(7649), 1,
      aux_sym__single_quote_string_token2,
    STATE(3155), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3306), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3304), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236386] = 29,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(6310), 1,
      sym_keyword_as,
    ACTIONS(7651), 1,
      sym_keyword_in,
    ACTIONS(7653), 1,
      sym_keyword_and,
    ACTIONS(7655), 1,
      sym_keyword_or,
    ACTIONS(7657), 1,
      sym_keyword_is,
    ACTIONS(7659), 1,
      sym_keyword_not,
    ACTIONS(7661), 1,
      sym_keyword_between,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(7669), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7673), 1,
      sym_op_other,
    ACTIONS(7675), 1,
      anon_sym_PLUS,
    ACTIONS(7677), 1,
      anon_sym_DASH,
    ACTIONS(7679), 1,
      anon_sym_SLASH,
    ACTIONS(7681), 1,
      anon_sym_CARET,
    STATE(6573), 1,
      sym_identifier,
    STATE(7568), 1,
      sym__alias,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(5978), 2,
      sym_keyword_from,
      sym_keyword_create,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7667), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7671), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5976), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(1592), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1591), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7665), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236491] = 4,
    ACTIONS(7683), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(111), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(57), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [236546] = 5,
    ACTIONS(5956), 1,
      aux_sym__single_quote_string_token2,
    STATE(1894), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3320), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3318), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236603] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2292), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2294), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [236656] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2787), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2789), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [236709] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2803), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2805), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [236762] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1382), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236817] = 5,
    ACTIONS(7685), 1,
      aux_sym__single_quote_string_token2,
    STATE(3343), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3306), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3304), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236874] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2340), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2342), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [236927] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3882), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2706), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2704), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236984] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2344), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2346), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [237037] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2348), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2350), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [237090] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2352), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2354), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [237143] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2360), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2362), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [237196] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2364), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2366), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [237249] = 4,
    ACTIONS(7687), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237304] = 4,
    ACTIONS(7689), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2106), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2104), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237359] = 4,
    ACTIONS(7691), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2112), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2110), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237414] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2368), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2370), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [237467] = 4,
    ACTIONS(7693), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2122), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2120), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237522] = 4,
    ACTIONS(7695), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2128), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2126), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237577] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2372), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2374), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [237630] = 6,
    ACTIONS(7371), 1,
      sym_keyword_with,
    ACTIONS(7373), 1,
      sym_keyword_without,
    STATE(4115), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1957), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1955), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237689] = 6,
    ACTIONS(7371), 1,
      sym_keyword_with,
    ACTIONS(7373), 1,
      sym_keyword_without,
    STATE(4117), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1961), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1959), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237748] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2015), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237801] = 4,
    ACTIONS(7697), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2142), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2140), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237856] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2148), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2146), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237909] = 4,
    ACTIONS(7699), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237964] = 4,
    ACTIONS(7701), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238019] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3918), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238076] = 4,
    ACTIONS(7703), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2176), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2174), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238131] = 4,
    ACTIONS(7705), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2182), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2180), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238186] = 4,
    ACTIONS(7707), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238241] = 5,
    STATE(3326), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4243), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3337), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3335), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238298] = 5,
    ACTIONS(7709), 1,
      sym_keyword_filter,
    STATE(4030), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238355] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238410] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2188), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2186), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238463] = 4,
    ACTIONS(7711), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238518] = 4,
    ACTIONS(7713), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238573] = 4,
    ACTIONS(7715), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238628] = 4,
    ACTIONS(7717), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238683] = 4,
    ACTIONS(7719), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238738] = 4,
    ACTIONS(7721), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238793] = 4,
    ACTIONS(7389), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238848] = 4,
    ACTIONS(7723), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2134), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2132), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238903] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1386), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1384), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [238956] = 4,
    ACTIONS(7725), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239011] = 7,
    ACTIONS(7727), 1,
      sym_keyword_with,
    ACTIONS(7729), 1,
      sym_keyword_without,
    ACTIONS(7731), 1,
      anon_sym_LPAREN,
    STATE(4611), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239072] = 7,
    ACTIONS(7727), 1,
      sym_keyword_with,
    ACTIONS(7729), 1,
      sym_keyword_without,
    ACTIONS(7733), 1,
      anon_sym_LPAREN,
    STATE(4615), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239133] = 4,
    ACTIONS(7095), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239188] = 4,
    ACTIONS(7735), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239243] = 4,
    ACTIONS(7737), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239298] = 4,
    ACTIONS(7739), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239353] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1841), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1839), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239406] = 4,
    ACTIONS(7741), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239461] = 4,
    ACTIONS(7743), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239516] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1845), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1843), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239569] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1849), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1847), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239622] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3938), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239679] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1853), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1851), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239732] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3960), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239789] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3963), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239846] = 4,
    ACTIONS(7745), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239901] = 6,
    ACTIONS(7747), 1,
      anon_sym_LBRACK,
    STATE(3216), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(3901), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2085), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239960] = 4,
    ACTIONS(7750), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240015] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1837), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1835), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240068] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1867), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1865), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240121] = 6,
    ACTIONS(7752), 1,
      sym_keyword_unsigned,
    ACTIONS(7754), 1,
      sym_keyword_zerofill,
    ACTIONS(7756), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1857), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1855), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240180] = 5,
    ACTIONS(7709), 1,
      sym_keyword_filter,
    STATE(4037), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2694), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2692), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240237] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2376), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2378), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [240290] = 6,
    ACTIONS(7758), 1,
      sym_keyword_unsigned,
    ACTIONS(7760), 1,
      sym_keyword_zerofill,
    ACTIONS(7762), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1871), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1869), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240349] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3978), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240406] = 6,
    ACTIONS(7764), 1,
      sym_keyword_unsigned,
    ACTIONS(7766), 1,
      sym_keyword_zerofill,
    ACTIONS(7768), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1817), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1815), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240465] = 6,
    ACTIONS(7770), 1,
      sym_keyword_unsigned,
    ACTIONS(7772), 1,
      sym_keyword_zerofill,
    ACTIONS(7774), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1917), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1915), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240524] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3980), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2694), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2692), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240581] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3982), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2698), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2696), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240638] = 6,
    ACTIONS(7776), 1,
      sym_keyword_unsigned,
    ACTIONS(7778), 1,
      sym_keyword_zerofill,
    ACTIONS(7780), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1897), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1895), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240697] = 6,
    ACTIONS(7782), 1,
      sym_keyword_unsigned,
    ACTIONS(7784), 1,
      sym_keyword_zerofill,
    ACTIONS(7786), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1905), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240756] = 6,
    ACTIONS(7269), 1,
      sym_keyword_unsigned,
    ACTIONS(7271), 1,
      sym_keyword_zerofill,
    ACTIONS(7275), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240815] = 5,
    ACTIONS(7709), 1,
      sym_keyword_filter,
    STATE(4047), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2698), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2696), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240872] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3984), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240929] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3870), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240986] = 4,
    ACTIONS(7788), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2106), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2104), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241041] = 4,
    ACTIONS(7790), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2112), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2110), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241096] = 4,
    ACTIONS(7792), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241151] = 4,
    ACTIONS(7794), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2168), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241206] = 4,
    ACTIONS(7796), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2190), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241261] = 4,
    ACTIONS(7798), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241316] = 4,
    ACTIONS(7800), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241371] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(4003), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2740), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241428] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(4016), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241485] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(4017), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241542] = 4,
    ACTIONS(7802), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241597] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(4018), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241654] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(4019), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241711] = 4,
    ACTIONS(7804), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241766] = 4,
    ACTIONS(7806), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2041), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2039), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241821] = 5,
    ACTIONS(7709), 1,
      sym_keyword_filter,
    STATE(4073), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241878] = 29,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7808), 1,
      sym_keyword_as,
    ACTIONS(7810), 1,
      sym_keyword_in,
    ACTIONS(7812), 1,
      sym_keyword_and,
    ACTIONS(7814), 1,
      sym_keyword_or,
    ACTIONS(7816), 1,
      sym_keyword_is,
    ACTIONS(7818), 1,
      sym_keyword_not,
    ACTIONS(7820), 1,
      sym_keyword_between,
    ACTIONS(7826), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7830), 1,
      sym_op_other,
    ACTIONS(7832), 1,
      anon_sym_PLUS,
    ACTIONS(7834), 1,
      anon_sym_DASH,
    ACTIONS(7836), 1,
      anon_sym_SLASH,
    ACTIONS(7838), 1,
      anon_sym_CARET,
    STATE(6406), 1,
      sym_identifier,
    STATE(7089), 1,
      sym__alias,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(5976), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7824), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7828), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5978), 3,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_separator,
    STATE(1411), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1410), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7822), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241983] = 4,
    ACTIONS(7840), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2047), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2045), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242038] = 5,
    ACTIONS(7842), 1,
      aux_sym__single_quote_string_token2,
    STATE(3388), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1369), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1367), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242095] = 5,
    ACTIONS(7844), 1,
      aux_sym__single_quote_string_token2,
    STATE(3389), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3304), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3306), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [242152] = 5,
    ACTIONS(7709), 1,
      sym_keyword_filter,
    STATE(4081), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242209] = 4,
    ACTIONS(7846), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(57), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(111), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242264] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(4020), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242321] = 5,
    ACTIONS(7709), 1,
      sym_keyword_filter,
    STATE(4177), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242378] = 5,
    ACTIONS(7848), 1,
      sym_keyword_filter,
    STATE(4036), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2706), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2704), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242435] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(4022), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242492] = 6,
    ACTIONS(7850), 1,
      sym_keyword_unsigned,
    ACTIONS(7852), 1,
      sym_keyword_zerofill,
    ACTIONS(7854), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242551] = 5,
    ACTIONS(7856), 1,
      sym_keyword_unsigned,
    ACTIONS(7858), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1977), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1975), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242608] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(4023), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242665] = 5,
    ACTIONS(7860), 1,
      sym_keyword_unsigned,
    ACTIONS(7862), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1993), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1991), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242722] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2162), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2164), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [242775] = 5,
    ACTIONS(7864), 1,
      sym_keyword_unsigned,
    ACTIONS(7866), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2001), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1999), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242832] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1386), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [242885] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2168), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2170), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [242938] = 5,
    ACTIONS(7868), 1,
      sym_keyword_unsigned,
    ACTIONS(7870), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242995] = 5,
    ACTIONS(7872), 1,
      sym_keyword_unsigned,
    ACTIONS(7874), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1949), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1947), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243052] = 4,
    ACTIONS(7876), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2122), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2120), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243107] = 5,
    ACTIONS(7709), 1,
      sym_keyword_filter,
    STATE(4173), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2740), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243164] = 4,
    ACTIONS(7878), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2128), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2126), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243219] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2190), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2192), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [243272] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2196), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2198), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [243325] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2015), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243378] = 5,
    ACTIONS(7848), 1,
      sym_keyword_filter,
    STATE(4060), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243435] = 4,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2142), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2140), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243490] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2148), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2146), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243543] = 4,
    ACTIONS(7882), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243598] = 4,
    ACTIONS(7884), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243653] = 5,
    ACTIONS(7709), 1,
      sym_keyword_filter,
    STATE(4179), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243710] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2202), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2204), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [243763] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2396), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2398), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [243816] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2408), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2410), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [243869] = 5,
    STATE(3216), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(3901), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3337), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3335), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243926] = 5,
    ACTIONS(7709), 1,
      sym_keyword_filter,
    STATE(4180), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243983] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2670), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2672), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [244036] = 5,
    ACTIONS(7886), 1,
      sym_keyword_filter,
    STATE(4182), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2704), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2706), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [244093] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2208), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2210), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [244146] = 5,
    ACTIONS(7709), 1,
      sym_keyword_filter,
    STATE(4184), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244203] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2392), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [244256] = 5,
    ACTIONS(7848), 1,
      sym_keyword_filter,
    STATE(4074), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244313] = 5,
    ACTIONS(7848), 1,
      sym_keyword_filter,
    STATE(4078), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244370] = 5,
    ACTIONS(7848), 1,
      sym_keyword_filter,
    STATE(4080), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244427] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [244480] = 4,
    ACTIONS(7888), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2176), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2174), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244535] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2400), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2402), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [244588] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2412), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2414), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [244641] = 4,
    ACTIONS(7890), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2182), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2180), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244696] = 5,
    ACTIONS(7709), 1,
      sym_keyword_filter,
    STATE(4185), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244753] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2775), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2777), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [244806] = 5,
    ACTIONS(7848), 1,
      sym_keyword_filter,
    STATE(4095), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244863] = 5,
    ACTIONS(7848), 1,
      sym_keyword_filter,
    STATE(4098), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2694), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2692), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244920] = 5,
    ACTIONS(7848), 1,
      sym_keyword_filter,
    STATE(4100), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2698), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2696), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244977] = 5,
    ACTIONS(7848), 1,
      sym_keyword_filter,
    STATE(4104), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245034] = 5,
    ACTIONS(7848), 1,
      sym_keyword_filter,
    STATE(4105), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245091] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2404), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2406), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [245144] = 5,
    ACTIONS(7709), 1,
      sym_keyword_filter,
    STATE(4381), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245201] = 4,
    ACTIONS(7892), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2015), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245256] = 5,
    ACTIONS(7894), 1,
      sym_keyword_varying,
    ACTIONS(7896), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1927), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1925), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245313] = 5,
    ACTIONS(7848), 1,
      sym_keyword_filter,
    STATE(4121), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2740), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245370] = 5,
    ACTIONS(7848), 1,
      sym_keyword_filter,
    STATE(4124), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245427] = 5,
    ACTIONS(7848), 1,
      sym_keyword_filter,
    STATE(4125), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245484] = 5,
    ACTIONS(7709), 1,
      sym_keyword_filter,
    STATE(4383), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2738), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2736), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245541] = 5,
    ACTIONS(7848), 1,
      sym_keyword_filter,
    STATE(4126), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245598] = 5,
    ACTIONS(7848), 1,
      sym_keyword_filter,
    STATE(4127), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245655] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2260), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2262), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [245708] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2312), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2314), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [245761] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2248), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2250), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [245814] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2264), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2266), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [245867] = 4,
    ACTIONS(7898), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245922] = 5,
    ACTIONS(7709), 1,
      sym_keyword_filter,
    STATE(3875), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245979] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3591), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3593), 27,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [246032] = 5,
    ACTIONS(7900), 1,
      sym_keyword_unsigned,
    ACTIONS(7902), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1965), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1963), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [246089] = 6,
    ACTIONS(7904), 1,
      anon_sym_LBRACK,
    STATE(3326), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4243), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2085), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [246148] = 5,
    ACTIONS(7907), 1,
      sym_keyword_unsigned,
    ACTIONS(7909), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1985), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1983), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [246205] = 4,
    ACTIONS(7911), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [246260] = 5,
    ACTIONS(7848), 1,
      sym_keyword_filter,
    STATE(4130), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [246317] = 5,
    ACTIONS(7848), 1,
      sym_keyword_filter,
    STATE(4131), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2738), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2736), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [246374] = 5,
    ACTIONS(7848), 1,
      sym_keyword_filter,
    STATE(4133), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [246431] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2268), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2270), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [246484] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2332), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2334), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [246537] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2336), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2338), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [246590] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2356), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2358), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [246643] = 5,
    ACTIONS(7848), 1,
      sym_keyword_filter,
    STATE(4137), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [246700] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6141), 1,
      sym_keyword_not,
    ACTIONS(6143), 1,
      anon_sym_LBRACK,
    ACTIONS(6151), 1,
      sym_op_other,
    ACTIONS(6153), 1,
      anon_sym_PLUS,
    ACTIONS(6155), 1,
      anon_sym_DASH,
    ACTIONS(6157), 1,
      anon_sym_SLASH,
    ACTIONS(6159), 1,
      anon_sym_CARET,
    ACTIONS(6201), 1,
      sym_keyword_between,
    ACTIONS(6203), 1,
      sym_keyword_and,
    ACTIONS(6372), 1,
      sym_keyword_or,
    ACTIONS(6781), 1,
      anon_sym_COLON_COLON,
    STATE(10990), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6147), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6149), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1654), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1652), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6145), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(7011), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [246793] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2380), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2382), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [246846] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2384), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2386), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [246899] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2324), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2326), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [246952] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2328), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2330), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [247005] = 5,
    ACTIONS(7709), 1,
      sym_keyword_filter,
    STATE(3891), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247062] = 5,
    ACTIONS(7913), 1,
      aux_sym__single_quote_string_token2,
    STATE(3390), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3320), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3318), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247119] = 5,
    ACTIONS(7915), 1,
      sym_keyword_unsigned,
    ACTIONS(7917), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2007), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247176] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2256), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2258), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [247229] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2051), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2053), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [247282] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2759), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2761), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [247335] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2793), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [247388] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2188), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2186), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247441] = 5,
    ACTIONS(7886), 1,
      sym_keyword_filter,
    STATE(4213), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2730), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [247498] = 4,
    ACTIONS(7919), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247553] = 5,
    ACTIONS(7886), 1,
      sym_keyword_filter,
    STATE(3937), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2670), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2672), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [247610] = 4,
    ACTIONS(7921), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247665] = 5,
    ACTIONS(7923), 1,
      sym_keyword_precision,
    ACTIONS(7925), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247722] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6447), 1,
      sym_keyword_is,
    ACTIONS(6449), 1,
      anon_sym_LBRACK,
    ACTIONS(6453), 1,
      anon_sym_PLUS,
    ACTIONS(6455), 1,
      anon_sym_DASH,
    ACTIONS(6457), 1,
      anon_sym_SLASH,
    ACTIONS(6459), 1,
      anon_sym_CARET,
    ACTIONS(6565), 1,
      sym_keyword_in,
    ACTIONS(6567), 1,
      sym_keyword_and,
    ACTIONS(6569), 1,
      sym_keyword_or,
    ACTIONS(6571), 1,
      sym_keyword_not,
    ACTIONS(6573), 1,
      sym_keyword_between,
    ACTIONS(6583), 1,
      sym_op_other,
    ACTIONS(6851), 1,
      anon_sym_COLON_COLON,
    STATE(11115), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6451), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6581), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1405), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6577), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6867), 11,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [247815] = 29,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(5980), 1,
      sym_keyword_as,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(7927), 1,
      sym_keyword_in,
    ACTIONS(7929), 1,
      sym_keyword_and,
    ACTIONS(7931), 1,
      sym_keyword_or,
    ACTIONS(7933), 1,
      sym_keyword_is,
    ACTIONS(7935), 1,
      sym_keyword_not,
    ACTIONS(7937), 1,
      sym_keyword_between,
    ACTIONS(7943), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7947), 1,
      sym_op_other,
    ACTIONS(7949), 1,
      anon_sym_PLUS,
    ACTIONS(7951), 1,
      anon_sym_DASH,
    ACTIONS(7953), 1,
      anon_sym_SLASH,
    ACTIONS(7955), 1,
      anon_sym_CARET,
    STATE(6406), 1,
      sym_identifier,
    STATE(7089), 1,
      sym__alias,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(5978), 2,
      sym_keyword_from,
      sym_keyword_create,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7941), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7945), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5976), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(1513), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1512), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7939), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247920] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3587), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3589), 27,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [247973] = 5,
    ACTIONS(7957), 1,
      sym_keyword_unsigned,
    ACTIONS(7959), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1965), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1963), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248030] = 4,
    ACTIONS(7961), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248085] = 4,
    ACTIONS(7963), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248140] = 5,
    ACTIONS(7886), 1,
      sym_keyword_filter,
    STATE(4239), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2708), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2710), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [248197] = 5,
    ACTIONS(7886), 1,
      sym_keyword_filter,
    STATE(4241), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2720), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2722), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [248254] = 5,
    ACTIONS(7886), 1,
      sym_keyword_filter,
    STATE(4242), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2726), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [248311] = 4,
    ACTIONS(7965), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248366] = 4,
    ACTIONS(7967), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248421] = 4,
    ACTIONS(7490), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248476] = 5,
    ACTIONS(7969), 1,
      sym_keyword_unsigned,
    ACTIONS(7971), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1985), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1983), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248533] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 27,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [248586] = 4,
    STATE(3823), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3481), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3483), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [248641] = 5,
    ACTIONS(7886), 1,
      sym_keyword_filter,
    STATE(4270), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2688), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2690), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [248698] = 5,
    ACTIONS(7886), 1,
      sym_keyword_filter,
    STATE(4271), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2692), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2694), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [248755] = 5,
    ACTIONS(7886), 1,
      sym_keyword_filter,
    STATE(4274), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2696), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2698), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [248812] = 5,
    ACTIONS(7886), 1,
      sym_keyword_filter,
    STATE(4276), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2712), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2714), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [248869] = 5,
    ACTIONS(7886), 1,
      sym_keyword_filter,
    STATE(4279), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2700), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2702), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [248926] = 4,
    ACTIONS(7973), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2134), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2132), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248981] = 5,
    STATE(2246), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2714), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3335), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3337), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [249038] = 5,
    ACTIONS(7975), 1,
      sym_keyword_unsigned,
    ACTIONS(7977), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1977), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1975), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249095] = 5,
    ACTIONS(7979), 1,
      sym_keyword_unsigned,
    ACTIONS(7981), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1993), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1991), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249152] = 5,
    ACTIONS(7983), 1,
      sym_keyword_unsigned,
    ACTIONS(7985), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2001), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1999), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249209] = 5,
    ACTIONS(7987), 1,
      sym_keyword_unsigned,
    ACTIONS(7989), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249266] = 5,
    ACTIONS(7991), 1,
      sym_keyword_unsigned,
    ACTIONS(7993), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1949), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1947), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249323] = 4,
    ACTIONS(7995), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249378] = 5,
    ACTIONS(7886), 1,
      sym_keyword_filter,
    STATE(4395), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2740), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2742), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [249435] = 5,
    ACTIONS(7886), 1,
      sym_keyword_filter,
    STATE(4396), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [249492] = 5,
    ACTIONS(7886), 1,
      sym_keyword_filter,
    STATE(4397), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [249549] = 5,
    ACTIONS(7886), 1,
      sym_keyword_filter,
    STATE(3987), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2680), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2682), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [249606] = 5,
    ACTIONS(7886), 1,
      sym_keyword_filter,
    STATE(4190), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [249663] = 5,
    ACTIONS(7913), 1,
      aux_sym__single_quote_string_token2,
    STATE(3390), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1363), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1361), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249720] = 5,
    ACTIONS(2418), 1,
      aux_sym__single_quote_string_token2,
    STATE(294), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3318), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3320), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [249777] = 5,
    ACTIONS(7997), 1,
      aux_sym__single_quote_string_token2,
    STATE(3390), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1375), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1373), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249834] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2296), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2298), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [249887] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2300), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2302), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [249940] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2304), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2306), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [249993] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2272), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2274), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250046] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2779), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2781), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250099] = 4,
    ACTIONS(8000), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(57), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(111), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [250154] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2716), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2718), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250207] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2795), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2797), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250260] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2224), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2226), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250313] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2009), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250366] = 5,
    ACTIONS(7886), 1,
      sym_keyword_filter,
    STATE(4026), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2716), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2718), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250423] = 5,
    ACTIONS(7709), 1,
      sym_keyword_filter,
    STATE(4398), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2706), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2704), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [250480] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250533] = 4,
    ACTIONS(8002), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2015), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [250588] = 5,
    ACTIONS(8004), 1,
      sym_keyword_varying,
    ACTIONS(8006), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1927), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1925), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [250645] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2021), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2023), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250698] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2276), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2278), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250751] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2771), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2773), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250804] = 4,
    ACTIONS(8008), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [250859] = 4,
    ACTIONS(8010), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2168), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [250914] = 4,
    ACTIONS(8012), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2190), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [250969] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2100), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251022] = 4,
    ACTIONS(8014), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [251077] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251130] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2212), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2214), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251183] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2216), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2218), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251236] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2031), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2033), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251289] = 4,
    ACTIONS(8016), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [251344] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2055), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2057), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251397] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2061), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2063), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251450] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2067), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2069), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251503] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2039), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2041), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251556] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2073), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2075), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251609] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2720), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2722), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251662] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251715] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2280), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2282), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251768] = 4,
    ACTIONS(7007), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [251823] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2284), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2286), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251876] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2755), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2757), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251929] = 5,
    ACTIONS(7886), 1,
      sym_keyword_filter,
    STATE(3931), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251986] = 5,
    ACTIONS(7886), 1,
      sym_keyword_filter,
    STATE(3932), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2736), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2738), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [252043] = 5,
    ACTIONS(7709), 1,
      sym_keyword_filter,
    STATE(4415), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [252100] = 5,
    ACTIONS(8018), 1,
      sym_keyword_precision,
    ACTIONS(8020), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [252157] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2220), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2222), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [252210] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2079), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2081), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [252263] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2228), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2230), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [252316] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2232), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2234), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [252369] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2236), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2238), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [252422] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2240), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2242), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [252475] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2244), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2246), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [252528] = 27,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(8022), 1,
      sym_keyword_having,
    ACTIONS(8024), 1,
      sym_keyword_in,
    ACTIONS(8026), 1,
      sym_keyword_and,
    ACTIONS(8028), 1,
      sym_keyword_or,
    ACTIONS(8030), 1,
      sym_keyword_is,
    ACTIONS(8032), 1,
      sym_keyword_not,
    ACTIONS(8034), 1,
      sym_keyword_between,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8038), 1,
      anon_sym_COMMA,
    ACTIONS(8044), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8048), 1,
      sym_op_other,
    ACTIONS(8050), 1,
      anon_sym_PLUS,
    ACTIONS(8052), 1,
      anon_sym_DASH,
    ACTIONS(8054), 1,
      anon_sym_SLASH,
    ACTIONS(8056), 1,
      anon_sym_CARET,
    STATE(7452), 1,
      sym__having,
    STATE(7684), 1,
      aux_sym_array_repeat1,
    STATE(11269), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8042), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8046), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1422), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1421), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8040), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6368), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [252629] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2688), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2690), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [252682] = 5,
    ACTIONS(7709), 1,
      sym_keyword_filter,
    STATE(4051), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [252739] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2712), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2714), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [252792] = 5,
    ACTIONS(7709), 1,
      sym_keyword_filter,
    STATE(4145), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [252849] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2252), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2254), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [252902] = 4,
    ACTIONS(8058), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [252956] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2779), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2781), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [253008] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2716), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2718), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [253060] = 4,
    ACTIONS(8060), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253114] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [253166] = 5,
    ACTIONS(8062), 1,
      aux_sym__single_quote_string_token2,
    STATE(3465), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3306), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3304), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253222] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2795), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2797), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [253274] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2390), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2388), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253326] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253378] = 5,
    ACTIONS(8064), 1,
      aux_sym__single_quote_string_token2,
    STATE(3506), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1369), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1367), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253434] = 4,
    ACTIONS(8066), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2015), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253488] = 4,
    ACTIONS(8068), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253542] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2053), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2051), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253594] = 5,
    STATE(3511), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4532), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3337), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3335), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253650] = 4,
    ACTIONS(8070), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253704] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253756] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2759), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2761), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [253808] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2793), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [253860] = 5,
    ACTIONS(8072), 1,
      aux_sym__single_quote_string_token2,
    STATE(3578), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3320), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3318), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253916] = 4,
    ACTIONS(8074), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253970] = 4,
    ACTIONS(8076), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254024] = 5,
    ACTIONS(8078), 1,
      sym_keyword_varying,
    ACTIONS(8080), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1927), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1925), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254080] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3591), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3593), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [254132] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3611), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3613), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [254184] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2799), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2801), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [254236] = 4,
    ACTIONS(8082), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254290] = 4,
    ACTIONS(7615), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254344] = 4,
    ACTIONS(8084), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2134), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2132), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254398] = 4,
    ACTIONS(8086), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254452] = 5,
    ACTIONS(8088), 1,
      aux_sym__single_quote_string_token2,
    STATE(3507), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3320), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3318), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254508] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3595), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3597), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [254560] = 4,
    ACTIONS(7367), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254614] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254666] = 4,
    STATE(3925), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254720] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2358), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2356), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254772] = 4,
    ACTIONS(8090), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254826] = 4,
    ACTIONS(8092), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254880] = 4,
    ACTIONS(8094), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(57), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(111), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254934] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2404), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2406), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [254986] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2777), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2775), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255038] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3599), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3601), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [255090] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3501), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3503), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [255142] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2503), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [255194] = 4,
    ACTIONS(8096), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255248] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2670), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2672), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [255300] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2720), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2722), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [255352] = 5,
    ACTIONS(8098), 1,
      sym_keyword_unsigned,
    ACTIONS(8100), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1977), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1975), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255408] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255460] = 5,
    ACTIONS(8102), 1,
      sym_keyword_unsigned,
    ACTIONS(8104), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1993), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1991), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255516] = 4,
    ACTIONS(8106), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255570] = 5,
    ACTIONS(8108), 1,
      sym_keyword_unsigned,
    ACTIONS(8110), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2001), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1999), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255626] = 5,
    ACTIONS(8112), 1,
      sym_keyword_unsigned,
    ACTIONS(8114), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255682] = 5,
    ACTIONS(8116), 1,
      sym_keyword_unsigned,
    ACTIONS(8118), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1949), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1947), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255738] = 4,
    ACTIONS(8120), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255792] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255844] = 6,
    ACTIONS(7727), 1,
      sym_keyword_with,
    ACTIONS(7729), 1,
      sym_keyword_without,
    STATE(4681), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1957), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1955), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255902] = 6,
    ACTIONS(7727), 1,
      sym_keyword_with,
    ACTIONS(7729), 1,
      sym_keyword_without,
    STATE(4682), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1961), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1959), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255960] = 4,
    ACTIONS(8122), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256014] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256066] = 5,
    ACTIONS(8088), 1,
      aux_sym__single_quote_string_token2,
    STATE(3507), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1363), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1361), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256122] = 5,
    ACTIONS(8124), 1,
      aux_sym__single_quote_string_token2,
    STATE(3507), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1375), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1373), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256178] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3635), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3637), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [256230] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2214), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2212), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256282] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2218), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2216), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256334] = 6,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    STATE(3511), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4532), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2085), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256392] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256444] = 4,
    ACTIONS(8130), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256498] = 4,
    ACTIONS(8132), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256552] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2809), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2807), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256604] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3509), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3511), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [256656] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2785), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2783), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256708] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256760] = 4,
    ACTIONS(8134), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2168), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256814] = 4,
    ACTIONS(8136), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2190), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256868] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3551), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3553), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [256920] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256972] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2047), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2045), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257024] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257076] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3567), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3569), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [257128] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2318), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2316), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257180] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3619), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3621), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [257232] = 11,
    ACTIONS(8030), 1,
      sym_keyword_is,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8054), 1,
      anon_sym_SLASH,
    ACTIONS(8056), 1,
      anon_sym_CARET,
    STATE(11269), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8042), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1422), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2505), 4,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1421), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 25,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257300] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257352] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2787), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257404] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2803), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257456] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257508] = 4,
    ACTIONS(8138), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257562] = 4,
    ACTIONS(8140), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257616] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2761), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2759), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257668] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3631), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3633), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [257720] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2793), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2791), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257772] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257824] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3643), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3645), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [257876] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3651), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3653), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [257928] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257980] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2322), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2320), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258032] = 5,
    ACTIONS(8142), 1,
      sym_keyword_unsigned,
    ACTIONS(8144), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1965), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1963), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258088] = 5,
    ACTIONS(8146), 1,
      sym_keyword_unsigned,
    ACTIONS(8148), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1985), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1983), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258144] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2712), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2714), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [258196] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3505), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3507), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [258248] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3513), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3515), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [258300] = 4,
    ACTIONS(8150), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258354] = 4,
    ACTIONS(8152), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2106), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2104), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258408] = 4,
    ACTIONS(8154), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2112), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2110), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258462] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3563), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3565), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [258514] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3575), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3577), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [258566] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2781), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2779), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258618] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258670] = 4,
    ACTIONS(8156), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3446), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3448), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [258724] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258776] = 4,
    ACTIONS(8158), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2168), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258830] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3615), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3617), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [258882] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3623), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3625), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [258934] = 4,
    ACTIONS(8160), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2190), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258988] = 4,
    ACTIONS(8162), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259042] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3627), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3629), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [259094] = 4,
    ACTIONS(8164), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259148] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259200] = 5,
    ACTIONS(8166), 1,
      sym_keyword_unsigned,
    ACTIONS(8168), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2007), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259256] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2757), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2755), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259308] = 8,
    ACTIONS(8030), 1,
      sym_keyword_is,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    STATE(11269), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1422), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1421), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 27,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259370] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1382), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259424] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2222), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2220), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259476] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1386), 35,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_cache,
      sym_keyword_array,
      sym__identifier,
  [259528] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3493), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3495), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [259580] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259632] = 4,
    ACTIONS(8170), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259686] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2230), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2228), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259738] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3497), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3499), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [259790] = 5,
    ACTIONS(8172), 1,
      aux_sym__single_quote_string_token2,
    STATE(3476), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3306), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3304), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259846] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [259898] = 5,
    ACTIONS(8174), 1,
      aux_sym__single_quote_string_token2,
    STATE(3578), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1375), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1373), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259954] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2234), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2232), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260006] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2238), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2236), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260058] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2222), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2220), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260110] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260162] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2242), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2240), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260214] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2246), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2244), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260266] = 4,
    ACTIONS(8177), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2041), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2039), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260320] = 4,
    ACTIONS(8179), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2047), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2045), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260374] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2230), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2228), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260426] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2234), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2232), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260478] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2238), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2236), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260530] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2242), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2240), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260582] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2246), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2244), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260634] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1386), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [260686] = 4,
    ACTIONS(8181), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(57), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(111), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260740] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2807), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2809), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [260792] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3547), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3549), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [260844] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2775), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2777), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [260896] = 4,
    ACTIONS(8183), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(111), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(57), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [260950] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2783), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2785), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [261002] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2210), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2208), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261054] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2254), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2252), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261106] = 4,
    ACTIONS(8185), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2122), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2120), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261160] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2258), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2256), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261212] = 4,
    ACTIONS(8187), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2128), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2126), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261266] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2680), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2682), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [261318] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2210), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2208), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261370] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3571), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3573), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [261422] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2254), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2252), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261474] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2262), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2260), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261526] = 4,
    ACTIONS(8189), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261580] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2258), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2256), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261632] = 29,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(5980), 1,
      sym_keyword_as,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(7927), 1,
      sym_keyword_in,
    ACTIONS(7943), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8191), 1,
      sym_keyword_and,
    ACTIONS(8193), 1,
      sym_keyword_or,
    ACTIONS(8195), 1,
      sym_keyword_is,
    ACTIONS(8197), 1,
      sym_keyword_not,
    ACTIONS(8199), 1,
      sym_keyword_between,
    ACTIONS(8207), 1,
      sym_op_other,
    ACTIONS(8209), 1,
      anon_sym_PLUS,
    ACTIONS(8211), 1,
      anon_sym_DASH,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    ACTIONS(8215), 1,
      anon_sym_CARET,
    STATE(6406), 1,
      sym_identifier,
    STATE(7089), 1,
      sym__alias,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(5976), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5978), 2,
      sym_keyword_from,
      sym_keyword_create,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8203), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8205), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1561), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1560), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8201), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261736] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2262), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2260), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261788] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2266), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2264), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261840] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2270), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2268), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261892] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2015), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261944] = 4,
    ACTIONS(8217), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2142), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2140), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261998] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2148), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2146), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262050] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2274), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2272), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262102] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2278), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2276), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262154] = 4,
    ACTIONS(8219), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262208] = 4,
    ACTIONS(8221), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262262] = 4,
    ACTIONS(8223), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(57), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(111), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262316] = 7,
    ACTIONS(6018), 1,
      sym_keyword_without,
    ACTIONS(8225), 1,
      sym_keyword_with,
    ACTIONS(8228), 1,
      anon_sym_LPAREN,
    STATE(2611), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1879), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1881), 22,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [262376] = 7,
    ACTIONS(6018), 1,
      sym_keyword_without,
    ACTIONS(8230), 1,
      sym_keyword_with,
    ACTIONS(8233), 1,
      anon_sym_LPAREN,
    STATE(2612), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1889), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1891), 22,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [262436] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262488] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2282), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2280), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262540] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2286), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2284), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262592] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2290), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2288), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262644] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2226), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2224), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262696] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2053), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2051), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262748] = 4,
    ACTIONS(8235), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2041), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2039), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262802] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2294), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2292), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262854] = 4,
    ACTIONS(8237), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2176), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2174), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262908] = 4,
    ACTIONS(8239), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2182), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2180), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262962] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2051), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2053), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [263014] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2787), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2789), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [263066] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2803), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2805), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [263118] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(6447), 1,
      sym_keyword_is,
    ACTIONS(6449), 1,
      anon_sym_LBRACK,
    ACTIONS(6453), 1,
      anon_sym_PLUS,
    ACTIONS(6455), 1,
      anon_sym_DASH,
    ACTIONS(6457), 1,
      anon_sym_SLASH,
    ACTIONS(6459), 1,
      anon_sym_CARET,
    ACTIONS(6565), 1,
      sym_keyword_in,
    ACTIONS(6567), 1,
      sym_keyword_and,
    ACTIONS(6569), 1,
      sym_keyword_or,
    ACTIONS(6571), 1,
      sym_keyword_not,
    ACTIONS(6573), 1,
      sym_keyword_between,
    ACTIONS(6583), 1,
      sym_op_other,
    ACTIONS(6851), 1,
      anon_sym_COLON_COLON,
    STATE(11115), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6451), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6581), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1406), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1405), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6577), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(7011), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [263210] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2266), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2264), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263262] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2270), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2268), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263314] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2274), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2272), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263366] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2278), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2276), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263418] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2282), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2280), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263470] = 4,
    ACTIONS(8241), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(111), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(57), 35,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_cache,
      sym_keyword_array,
      sym__identifier,
  [263524] = 4,
    ACTIONS(8243), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2047), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2045), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263578] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2286), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2284), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263630] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2290), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2288), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263682] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2188), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2186), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263734] = 4,
    ACTIONS(8245), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263788] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2294), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2292), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263840] = 4,
    ACTIONS(8247), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263894] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2007), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263946] = 4,
    ACTIONS(8249), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264000] = 4,
    ACTIONS(8251), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264054] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264106] = 4,
    ACTIONS(8253), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264160] = 4,
    ACTIONS(8255), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264214] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264266] = 4,
    ACTIONS(7925), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264320] = 4,
    ACTIONS(8257), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2134), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2132), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264374] = 4,
    ACTIONS(8259), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264428] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1386), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [264480] = 4,
    ACTIONS(7494), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264534] = 4,
    ACTIONS(8261), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2106), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2104), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264588] = 4,
    ACTIONS(8263), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3448), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3446), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264642] = 4,
    ACTIONS(8265), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264696] = 4,
    ACTIONS(8267), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264750] = 4,
    ACTIONS(8269), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264804] = 4,
    ACTIONS(8271), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264858] = 5,
    STATE(2754), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(3285), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3335), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3337), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [264914] = 4,
    ACTIONS(8273), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264968] = 4,
    ACTIONS(8275), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2112), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2110), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265022] = 4,
    ACTIONS(8277), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2041), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2039), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265076] = 5,
    ACTIONS(8072), 1,
      aux_sym__single_quote_string_token2,
    STATE(3578), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1363), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1361), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265132] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2326), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2324), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265184] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2330), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2328), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265236] = 18,
    ACTIONS(2505), 1,
      sym_keyword_or,
    ACTIONS(8024), 1,
      sym_keyword_in,
    ACTIONS(8030), 1,
      sym_keyword_is,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8048), 1,
      sym_op_other,
    ACTIONS(8050), 1,
      anon_sym_PLUS,
    ACTIONS(8052), 1,
      anon_sym_DASH,
    ACTIONS(8054), 1,
      anon_sym_SLASH,
    ACTIONS(8056), 1,
      anon_sym_CARET,
    ACTIONS(8279), 1,
      sym_keyword_not,
    STATE(11269), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8042), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8046), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1422), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1421), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8040), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [265318] = 5,
    ACTIONS(2753), 1,
      aux_sym__single_quote_string_token2,
    STATE(394), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3320), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3318), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265374] = 4,
    ACTIONS(8282), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265428] = 4,
    ACTIONS(8284), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265482] = 6,
    ACTIONS(8286), 1,
      anon_sym_LBRACK,
    STATE(3681), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4526), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2085), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265540] = 4,
    ACTIONS(8289), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265594] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2771), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2773), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [265646] = 4,
    ACTIONS(8291), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265700] = 4,
    ACTIONS(8293), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2047), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2045), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265754] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2342), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2340), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265806] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2346), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2344), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265858] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2350), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2348), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265910] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2354), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2352), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265962] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2362), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2360), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266014] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2366), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2364), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266066] = 4,
    STATE(2670), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3481), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3483), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [266120] = 6,
    ACTIONS(8295), 1,
      anon_sym_LBRACK,
    STATE(3693), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4674), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2085), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266178] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2370), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2368), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266230] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2374), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2372), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266282] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2821), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2823), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [266334] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2378), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2376), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266386] = 20,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2640), 1,
      sym_keyword_or,
    ACTIONS(8024), 1,
      sym_keyword_in,
    ACTIONS(8030), 1,
      sym_keyword_is,
    ACTIONS(8032), 1,
      sym_keyword_not,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8048), 1,
      sym_op_other,
    ACTIONS(8050), 1,
      anon_sym_PLUS,
    ACTIONS(8052), 1,
      anon_sym_DASH,
    ACTIONS(8054), 1,
      anon_sym_SLASH,
    ACTIONS(8056), 1,
      anon_sym_CARET,
    STATE(11269), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8042), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8046), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1422), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1421), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8040), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2638), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [266472] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266524] = 20,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2644), 1,
      sym_keyword_or,
    ACTIONS(8024), 1,
      sym_keyword_in,
    ACTIONS(8030), 1,
      sym_keyword_is,
    ACTIONS(8032), 1,
      sym_keyword_not,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8048), 1,
      sym_op_other,
    ACTIONS(8050), 1,
      anon_sym_PLUS,
    ACTIONS(8052), 1,
      anon_sym_DASH,
    ACTIONS(8054), 1,
      anon_sym_SLASH,
    ACTIONS(8056), 1,
      anon_sym_CARET,
    STATE(11269), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8042), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8046), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1422), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1421), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8040), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2642), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [266610] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2168), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266662] = 4,
    ACTIONS(8298), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2122), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2120), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266716] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2190), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266768] = 4,
    ACTIONS(8300), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2128), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2126), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266822] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1380), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1382), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [266874] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266926] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2214), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2212), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266978] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267030] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267082] = 7,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    STATE(4789), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2835), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2837), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [267142] = 8,
    ACTIONS(8030), 1,
      sym_keyword_is,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    STATE(11269), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1422), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1421), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2487), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2485), 27,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267204] = 13,
    ACTIONS(8030), 1,
      sym_keyword_is,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8050), 1,
      anon_sym_PLUS,
    ACTIONS(8052), 1,
      anon_sym_DASH,
    ACTIONS(8054), 1,
      anon_sym_SLASH,
    ACTIONS(8056), 1,
      anon_sym_CARET,
    STATE(11269), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8042), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2487), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1422), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1421), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 24,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267276] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267328] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267380] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [267432] = 5,
    ACTIONS(8302), 1,
      sym_keyword_filter,
    STATE(4600), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2706), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2704), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267488] = 20,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(8304), 1,
      sym_keyword_in,
    ACTIONS(8306), 1,
      sym_keyword_is,
    ACTIONS(8308), 1,
      sym_keyword_not,
    ACTIONS(8310), 1,
      sym_keyword_between,
    ACTIONS(8318), 1,
      sym_op_other,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_SLASH,
    ACTIONS(8326), 1,
      anon_sym_CARET,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8314), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8316), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1378), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8312), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [267574] = 21,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(8304), 1,
      sym_keyword_in,
    ACTIONS(8306), 1,
      sym_keyword_is,
    ACTIONS(8308), 1,
      sym_keyword_not,
    ACTIONS(8310), 1,
      sym_keyword_between,
    ACTIONS(8318), 1,
      sym_op_other,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_SLASH,
    ACTIONS(8326), 1,
      anon_sym_CARET,
    ACTIONS(8328), 1,
      sym_keyword_and,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8314), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8316), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1378), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8312), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [267662] = 6,
    STATE(11269), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1422), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1421), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267720] = 16,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(8304), 1,
      sym_keyword_in,
    ACTIONS(8306), 1,
      sym_keyword_is,
    ACTIONS(8318), 1,
      sym_op_other,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_SLASH,
    ACTIONS(8326), 1,
      anon_sym_CARET,
    ACTIONS(8330), 1,
      sym_keyword_not,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8314), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1378), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267798] = 9,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(8306), 1,
      sym_keyword_is,
    ACTIONS(8326), 1,
      anon_sym_CARET,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2505), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    STATE(1378), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 28,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267862] = 7,
    ACTIONS(7054), 1,
      sym_keyword_without,
    ACTIONS(8333), 1,
      sym_keyword_with,
    ACTIONS(8336), 1,
      anon_sym_LPAREN,
    STATE(3707), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267922] = 7,
    ACTIONS(7054), 1,
      sym_keyword_without,
    ACTIONS(8338), 1,
      sym_keyword_with,
    ACTIONS(8341), 1,
      anon_sym_LPAREN,
    STATE(3741), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267982] = 13,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(8306), 1,
      sym_keyword_is,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_SLASH,
    ACTIONS(8326), 1,
      anon_sym_CARET,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8314), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1378), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 25,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268054] = 11,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(8306), 1,
      sym_keyword_is,
    ACTIONS(8324), 1,
      anon_sym_SLASH,
    ACTIONS(8326), 1,
      anon_sym_CARET,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8314), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2505), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1378), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268122] = 8,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(8306), 1,
      sym_keyword_is,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1378), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 28,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268184] = 17,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(8304), 1,
      sym_keyword_in,
    ACTIONS(8306), 1,
      sym_keyword_is,
    ACTIONS(8318), 1,
      sym_op_other,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_SLASH,
    ACTIONS(8326), 1,
      anon_sym_CARET,
    ACTIONS(8330), 1,
      sym_keyword_not,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8314), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8316), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1378), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8312), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [268264] = 5,
    ACTIONS(8302), 1,
      sym_keyword_filter,
    STATE(4601), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268320] = 5,
    ACTIONS(8302), 1,
      sym_keyword_filter,
    STATE(4602), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268376] = 5,
    ACTIONS(8302), 1,
      sym_keyword_filter,
    STATE(4603), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268432] = 5,
    ACTIONS(8302), 1,
      sym_keyword_filter,
    STATE(4604), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268488] = 19,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(8304), 1,
      sym_keyword_in,
    ACTIONS(8306), 1,
      sym_keyword_is,
    ACTIONS(8308), 1,
      sym_keyword_not,
    ACTIONS(8318), 1,
      sym_op_other,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_SLASH,
    ACTIONS(8326), 1,
      anon_sym_CARET,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8314), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8316), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1378), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8312), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2638), 14,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [268572] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2326), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2324), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268624] = 5,
    ACTIONS(8302), 1,
      sym_keyword_filter,
    STATE(4606), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268680] = 5,
    ACTIONS(8302), 1,
      sym_keyword_filter,
    STATE(4608), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2694), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2692), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268736] = 5,
    ACTIONS(8302), 1,
      sym_keyword_filter,
    STATE(4610), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2698), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2696), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268792] = 5,
    ACTIONS(8302), 1,
      sym_keyword_filter,
    STATE(4612), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268848] = 5,
    ACTIONS(8302), 1,
      sym_keyword_filter,
    STATE(4613), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268904] = 19,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(8304), 1,
      sym_keyword_in,
    ACTIONS(8306), 1,
      sym_keyword_is,
    ACTIONS(8308), 1,
      sym_keyword_not,
    ACTIONS(8318), 1,
      sym_op_other,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_SLASH,
    ACTIONS(8326), 1,
      anon_sym_CARET,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8314), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8316), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1378), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8312), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2642), 14,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [268988] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2330), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2328), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269040] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2218), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2216), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269092] = 5,
    ACTIONS(8302), 1,
      sym_keyword_filter,
    STATE(4614), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2740), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269148] = 5,
    ACTIONS(8302), 1,
      sym_keyword_filter,
    STATE(4616), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269204] = 5,
    ACTIONS(8302), 1,
      sym_keyword_filter,
    STATE(4617), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269260] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2015), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269312] = 5,
    ACTIONS(8302), 1,
      sym_keyword_filter,
    STATE(4618), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269368] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2314), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2312), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269420] = 5,
    ACTIONS(8302), 1,
      sym_keyword_filter,
    STATE(4619), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269476] = 5,
    ACTIONS(8302), 1,
      sym_keyword_filter,
    STATE(4620), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269532] = 5,
    ACTIONS(8302), 1,
      sym_keyword_filter,
    STATE(4621), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2738), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2736), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269588] = 5,
    ACTIONS(8302), 1,
      sym_keyword_filter,
    STATE(4622), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269644] = 5,
    ACTIONS(8302), 1,
      sym_keyword_filter,
    STATE(4623), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269700] = 5,
    ACTIONS(8343), 1,
      aux_sym__single_quote_string_token2,
    STATE(3678), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3306), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3304), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269756] = 4,
    ACTIONS(8345), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269810] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2250), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2248), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269862] = 5,
    STATE(3681), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4526), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3337), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3335), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269918] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269970] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2298), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2296), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270022] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2334), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2332), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270074] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2338), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2336), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270126] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2358), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2356), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270178] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270230] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270282] = 4,
    ACTIONS(8347), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2168), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270336] = 4,
    ACTIONS(8349), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2190), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270390] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2302), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2300), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270442] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2306), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2304), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270494] = 4,
    ACTIONS(8351), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270548] = 4,
    ACTIONS(8353), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270602] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2226), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2224), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270654] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2007), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270706] = 4,
    ACTIONS(8355), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2106), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2104), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270760] = 4,
    ACTIONS(8357), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2142), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2140), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270814] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270866] = 4,
    ACTIONS(8359), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2112), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2110), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270920] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2342), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2340), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270972] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2346), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2344), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271024] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271076] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2350), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2348), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271128] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2354), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2352), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271180] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2362), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2360), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271232] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2366), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2364), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271284] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2370), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2368), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271336] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2374), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2372), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271388] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2378), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2376), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271440] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2148), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2146), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271492] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271544] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2041), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2039), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271596] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2168), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271648] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2396), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2398), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [271700] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2408), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2410), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [271752] = 4,
    ACTIONS(8361), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271806] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2190), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271858] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3442), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3444), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [271910] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2773), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2771), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271962] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3647), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3649), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [272014] = 4,
    ACTIONS(8363), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2122), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2120), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272068] = 4,
    ACTIONS(8365), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272122] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2310), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2308), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272174] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272226] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2390), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2388), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272278] = 5,
    ACTIONS(8367), 1,
      aux_sym__single_quote_string_token2,
    STATE(3674), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1369), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1367), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272334] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2047), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2045), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272386] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272438] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2318), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2316), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272490] = 21,
    ACTIONS(2505), 1,
      sym_keyword_or,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(8024), 1,
      sym_keyword_in,
    ACTIONS(8030), 1,
      sym_keyword_is,
    ACTIONS(8032), 1,
      sym_keyword_not,
    ACTIONS(8034), 1,
      sym_keyword_between,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8048), 1,
      sym_op_other,
    ACTIONS(8050), 1,
      anon_sym_PLUS,
    ACTIONS(8052), 1,
      anon_sym_DASH,
    ACTIONS(8054), 1,
      anon_sym_SLASH,
    ACTIONS(8056), 1,
      anon_sym_CARET,
    STATE(11269), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8042), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8046), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1422), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1421), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8040), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [272578] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2322), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2320), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272630] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2298), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2296), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272682] = 13,
    ACTIONS(8030), 1,
      sym_keyword_is,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8050), 1,
      anon_sym_PLUS,
    ACTIONS(8052), 1,
      anon_sym_DASH,
    ACTIONS(8054), 1,
      anon_sym_SLASH,
    ACTIONS(8056), 1,
      anon_sym_CARET,
    STATE(11269), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8042), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2505), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1422), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1421), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 24,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272754] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2392), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [272806] = 4,
    ACTIONS(8369), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2128), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2126), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272860] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272912] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2041), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2039), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272964] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273016] = 8,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(8306), 1,
      sym_keyword_is,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1378), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2487), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2485), 28,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273078] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2015), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273130] = 4,
    ACTIONS(8371), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2142), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2140), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273184] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2148), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2146), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273236] = 4,
    ACTIONS(8373), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273290] = 4,
    ACTIONS(8375), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273344] = 4,
    ACTIONS(8377), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3448), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3446), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273398] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3583), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3585), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [273450] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2400), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2402), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [273502] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2412), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2414), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [273554] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2314), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2312), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273606] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2250), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2248), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273658] = 22,
    ACTIONS(2505), 1,
      sym_keyword_or,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(8024), 1,
      sym_keyword_in,
    ACTIONS(8026), 1,
      sym_keyword_and,
    ACTIONS(8030), 1,
      sym_keyword_is,
    ACTIONS(8032), 1,
      sym_keyword_not,
    ACTIONS(8034), 1,
      sym_keyword_between,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8048), 1,
      sym_op_other,
    ACTIONS(8050), 1,
      anon_sym_PLUS,
    ACTIONS(8052), 1,
      anon_sym_DASH,
    ACTIONS(8054), 1,
      anon_sym_SLASH,
    ACTIONS(8056), 1,
      anon_sym_CARET,
    STATE(11269), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8042), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8046), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1422), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1421), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8040), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 11,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [273748] = 16,
    ACTIONS(8024), 1,
      sym_keyword_in,
    ACTIONS(8030), 1,
      sym_keyword_is,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8048), 1,
      sym_op_other,
    ACTIONS(8050), 1,
      anon_sym_PLUS,
    ACTIONS(8052), 1,
      anon_sym_DASH,
    ACTIONS(8054), 1,
      anon_sym_SLASH,
    ACTIONS(8056), 1,
      anon_sym_CARET,
    ACTIONS(8279), 1,
      sym_keyword_not,
    STATE(11269), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8042), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2505), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1422), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1421), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273826] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2334), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2332), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273878] = 4,
    ACTIONS(8379), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2176), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2174), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273932] = 4,
    ACTIONS(8381), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2182), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2180), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273986] = 13,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(8306), 1,
      sym_keyword_is,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_SLASH,
    ACTIONS(8326), 1,
      anon_sym_CARET,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2487), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8314), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1378), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 25,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274058] = 4,
    ACTIONS(8383), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2176), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2174), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274112] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3603), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3605), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [274164] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2188), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2186), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274216] = 4,
    ACTIONS(8385), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274270] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274322] = 4,
    ACTIONS(8387), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274376] = 4,
    ACTIONS(8389), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274430] = 4,
    ACTIONS(8391), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274484] = 4,
    ACTIONS(8393), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274538] = 4,
    ACTIONS(8395), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274592] = 4,
    ACTIONS(8020), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274646] = 4,
    ACTIONS(8397), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2134), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2132), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274700] = 4,
    ACTIONS(8399), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274754] = 4,
    ACTIONS(7582), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274808] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2338), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2336), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274860] = 4,
    ACTIONS(8401), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274914] = 4,
    ACTIONS(8403), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274968] = 4,
    ACTIONS(8405), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275022] = 4,
    ACTIONS(8407), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275076] = 4,
    ACTIONS(8409), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275130] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2688), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2690), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [275182] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3607), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3609), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [275234] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3475), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3477), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [275286] = 9,
    ACTIONS(8030), 1,
      sym_keyword_is,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8056), 1,
      anon_sym_CARET,
    STATE(11269), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1422), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1421), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 5,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2503), 27,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275350] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3587), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3589), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [275402] = 5,
    ACTIONS(8411), 1,
      sym_keyword_precision,
    ACTIONS(8413), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275458] = 5,
    STATE(3693), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4674), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3337), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3335), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275514] = 6,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1378), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275572] = 4,
    ACTIONS(8415), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2182), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2180), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275626] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2946), 1,
      sym_keyword_is,
    ACTIONS(2948), 1,
      anon_sym_LBRACK,
    ACTIONS(2952), 1,
      anon_sym_PLUS,
    ACTIONS(2954), 1,
      anon_sym_DASH,
    ACTIONS(2956), 1,
      anon_sym_SLASH,
    ACTIONS(2958), 1,
      anon_sym_CARET,
    ACTIONS(2960), 1,
      sym_keyword_in,
    ACTIONS(2962), 1,
      sym_keyword_not,
    ACTIONS(2964), 1,
      sym_keyword_between,
    ACTIONS(2970), 1,
      sym_op_other,
    ACTIONS(2972), 1,
      sym_keyword_and,
    ACTIONS(4243), 1,
      sym_keyword_or,
    ACTIONS(4245), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6715), 1,
      sym_keyword_using,
    STATE(7444), 1,
      sym_direction,
    STATE(10547), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2968), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6703), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1448), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2966), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6668), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_COMMA,
  [275724] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2302), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2300), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275776] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2310), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2308), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275828] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2188), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2186), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275880] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275932] = 4,
    STATE(3967), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275986] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2306), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2304), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276038] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2755), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2757), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [276090] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2805), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2803), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276141] = 6,
    ACTIONS(8417), 1,
      anon_sym_LBRACK,
    STATE(3871), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4735), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2085), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276198] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3593), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3591), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276249] = 4,
    ACTIONS(8420), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276302] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2823), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2821), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276353] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276404] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2226), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2224), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276455] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2007), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276506] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2210), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2208), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276557] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276608] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2254), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2252), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276659] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2258), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2256), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276710] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2773), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2771), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276761] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3547), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3549), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [276812] = 7,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    STATE(2569), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2835), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2837), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [276871] = 4,
    ACTIONS(8422), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(57), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(111), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276924] = 5,
    ACTIONS(8424), 1,
      aux_sym__single_quote_string_token2,
    STATE(3887), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1363), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1361), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276979] = 5,
    ACTIONS(8426), 1,
      aux_sym__single_quote_string_token2,
    STATE(3887), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1375), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1373), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277034] = 4,
    STATE(4572), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277087] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2041), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2039), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277138] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277189] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2757), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2755), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277240] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2310), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2308), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277291] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2390), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2388), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277342] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2262), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2260), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277393] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2047), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2045), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277444] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2318), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2316), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277495] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2322), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2320), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277546] = 7,
    ACTIONS(6788), 1,
      sym_keyword_without,
    ACTIONS(8429), 1,
      sym_keyword_with,
    ACTIONS(8432), 1,
      anon_sym_LPAREN,
    STATE(2988), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1879), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1881), 22,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [277605] = 7,
    ACTIONS(6788), 1,
      sym_keyword_without,
    ACTIONS(8434), 1,
      sym_keyword_with,
    ACTIONS(8437), 1,
      anon_sym_LPAREN,
    STATE(2989), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1889), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1891), 22,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [277664] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2398), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2396), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277715] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2410), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2408), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277766] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2266), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2264), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277817] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2314), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2312), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277868] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2270), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2268), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277919] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2250), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2248), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277970] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2274), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2272), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278021] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2278), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2276), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278072] = 4,
    ACTIONS(8439), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278125] = 4,
    ACTIONS(8441), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2168), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278178] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3603), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3605), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [278229] = 4,
    ACTIONS(8443), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2190), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278282] = 4,
    ACTIONS(8445), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278335] = 4,
    ACTIONS(8447), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278388] = 7,
    ACTIONS(7373), 1,
      sym_keyword_without,
    ACTIONS(8449), 1,
      sym_keyword_with,
    ACTIONS(8452), 1,
      anon_sym_LPAREN,
    STATE(4406), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278447] = 7,
    ACTIONS(7373), 1,
      sym_keyword_without,
    ACTIONS(8454), 1,
      sym_keyword_with,
    ACTIONS(8457), 1,
      anon_sym_LPAREN,
    STATE(4407), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278506] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1386), 24,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [278557] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278608] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278659] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2334), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2332), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278710] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2338), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2336), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278761] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3599), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3601), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [278812] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2358), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2356), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278863] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3501), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3503), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [278914] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278965] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2402), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2400), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279016] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2412), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279067] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279118] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2282), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2280), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279169] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2286), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2284), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279220] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3627), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3629), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [279271] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2779), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2781), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [279322] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2716), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2718), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [279373] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2290), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2288), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279424] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279475] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279526] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2294), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2292), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279577] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2795), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2797), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [279628] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279679] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2404), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279730] = 4,
    ACTIONS(8459), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279783] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279834] = 4,
    ACTIONS(8461), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2041), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2039), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279887] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2503), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [279938] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3493), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3495), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [279989] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280040] = 4,
    ACTIONS(8463), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2047), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2045), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280093] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280144] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3613), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3611), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280195] = 20,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 12,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [280280] = 21,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 11,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [280367] = 6,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280424] = 16,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8489), 1,
      sym_keyword_not,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 21,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280501] = 9,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2505), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 27,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280564] = 13,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280635] = 11,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2505), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280702] = 8,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(8465), 1,
      sym_keyword_is,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 27,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280763] = 17,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8489), 1,
      sym_keyword_not,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 16,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [280842] = 19,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2638), 13,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [280925] = 19,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2642), 13,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [281008] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281059] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3571), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3573), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [281110] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281161] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2777), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2775), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281212] = 5,
    ACTIONS(8492), 1,
      sym_keyword_filter,
    STATE(4734), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2704), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2706), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [281267] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3601), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3599), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281318] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281369] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2402), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2400), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281420] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281471] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281522] = 21,
    ACTIONS(2505), 1,
      sym_keyword_or,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(8494), 1,
      sym_keyword_in,
    ACTIONS(8496), 1,
      sym_keyword_is,
    ACTIONS(8498), 1,
      sym_keyword_not,
    ACTIONS(8500), 1,
      sym_keyword_between,
    ACTIONS(8502), 1,
      anon_sym_LBRACK,
    ACTIONS(8510), 1,
      sym_op_other,
    ACTIONS(8512), 1,
      anon_sym_PLUS,
    ACTIONS(8514), 1,
      anon_sym_DASH,
    ACTIONS(8516), 1,
      anon_sym_SLASH,
    ACTIONS(8518), 1,
      anon_sym_CARET,
    STATE(11091), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8506), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8508), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1290), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1289), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8504), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [281609] = 22,
    ACTIONS(2505), 1,
      sym_keyword_or,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(8494), 1,
      sym_keyword_in,
    ACTIONS(8496), 1,
      sym_keyword_is,
    ACTIONS(8498), 1,
      sym_keyword_not,
    ACTIONS(8500), 1,
      sym_keyword_between,
    ACTIONS(8502), 1,
      anon_sym_LBRACK,
    ACTIONS(8510), 1,
      sym_op_other,
    ACTIONS(8512), 1,
      anon_sym_PLUS,
    ACTIONS(8514), 1,
      anon_sym_DASH,
    ACTIONS(8516), 1,
      anon_sym_SLASH,
    ACTIONS(8518), 1,
      anon_sym_CARET,
    ACTIONS(8520), 1,
      sym_keyword_and,
    STATE(11091), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8506), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8508), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1290), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1289), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8504), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [281698] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3505), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [281749] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3513), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3515), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [281800] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281851] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2412), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281902] = 16,
    ACTIONS(8494), 1,
      sym_keyword_in,
    ACTIONS(8496), 1,
      sym_keyword_is,
    ACTIONS(8502), 1,
      anon_sym_LBRACK,
    ACTIONS(8510), 1,
      sym_op_other,
    ACTIONS(8512), 1,
      anon_sym_PLUS,
    ACTIONS(8514), 1,
      anon_sym_DASH,
    ACTIONS(8516), 1,
      anon_sym_SLASH,
    ACTIONS(8518), 1,
      anon_sym_CARET,
    ACTIONS(8522), 1,
      sym_keyword_not,
    STATE(11091), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8506), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2505), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1290), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1289), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281979] = 9,
    ACTIONS(8496), 1,
      sym_keyword_is,
    ACTIONS(8502), 1,
      anon_sym_LBRACK,
    ACTIONS(8518), 1,
      anon_sym_CARET,
    STATE(11091), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1290), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1289), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 5,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2503), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282042] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282093] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2226), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2224), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282144] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2809), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2807), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282195] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2785), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2783), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282246] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282297] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2007), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282348] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2787), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282399] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3625), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3623), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282450] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2404), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282501] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2799), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2801), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [282552] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2230), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2228), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282603] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2234), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2232), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282654] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2238), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2236), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282705] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2326), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2324), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282756] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2053), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2051), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282807] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282858] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2330), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2328), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282909] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2041), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2039), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282960] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2242), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2240), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283011] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3637), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3635), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283062] = 13,
    ACTIONS(8496), 1,
      sym_keyword_is,
    ACTIONS(8502), 1,
      anon_sym_LBRACK,
    ACTIONS(8512), 1,
      anon_sym_PLUS,
    ACTIONS(8514), 1,
      anon_sym_DASH,
    ACTIONS(8516), 1,
      anon_sym_SLASH,
    ACTIONS(8518), 1,
      anon_sym_CARET,
    STATE(11091), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8506), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2505), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1290), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1289), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283133] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283184] = 8,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7816), 1,
      sym_keyword_is,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1411), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1410), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2487), 18,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [283245] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [283296] = 11,
    ACTIONS(8496), 1,
      sym_keyword_is,
    ACTIONS(8502), 1,
      anon_sym_LBRACK,
    ACTIONS(8516), 1,
      anon_sym_SLASH,
    ACTIONS(8518), 1,
      anon_sym_CARET,
    STATE(11091), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8506), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1290), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2505), 4,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1289), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283363] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283414] = 8,
    ACTIONS(8496), 1,
      sym_keyword_is,
    ACTIONS(8502), 1,
      anon_sym_LBRACK,
    STATE(11091), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1290), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1289), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283475] = 18,
    ACTIONS(2505), 1,
      sym_keyword_or,
    ACTIONS(8494), 1,
      sym_keyword_in,
    ACTIONS(8496), 1,
      sym_keyword_is,
    ACTIONS(8502), 1,
      anon_sym_LBRACK,
    ACTIONS(8510), 1,
      sym_op_other,
    ACTIONS(8512), 1,
      anon_sym_PLUS,
    ACTIONS(8514), 1,
      anon_sym_DASH,
    ACTIONS(8516), 1,
      anon_sym_SLASH,
    ACTIONS(8518), 1,
      anon_sym_CARET,
    ACTIONS(8522), 1,
      sym_keyword_not,
    STATE(11091), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8506), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8508), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1290), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1289), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8504), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [283556] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2051), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2053), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [283607] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3587), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3589), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [283658] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3511), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3509), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283709] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3553), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3551), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283760] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3591), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3593), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [283811] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3569), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3567), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283862] = 5,
    ACTIONS(8492), 1,
      sym_keyword_filter,
    STATE(4719), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2730), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [283917] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3621), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3619), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283968] = 13,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7816), 1,
      sym_keyword_is,
    ACTIONS(7832), 1,
      anon_sym_PLUS,
    ACTIONS(7834), 1,
      anon_sym_DASH,
    ACTIONS(7836), 1,
      anon_sym_SLASH,
    ACTIONS(7838), 1,
      anon_sym_CARET,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7824), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1411), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1410), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2487), 15,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [284039] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3631), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284090] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2761), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2759), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284141] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2793), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2791), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284192] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284243] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284294] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2781), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2779), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284345] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284396] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284447] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2757), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2755), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284498] = 4,
    STATE(4557), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284551] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3547), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284602] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2755), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2757), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [284653] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3629), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3627), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284704] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2310), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2308), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284755] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2390), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2388), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284806] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284857] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2246), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2244), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284908] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2047), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2045), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284959] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2318), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2316), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285010] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2322), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2320), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285061] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2053), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2051), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285112] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2773), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2771), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285163] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2809), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2807), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285214] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2785), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2783), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285265] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3645), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3643), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285316] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3653), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3651), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285367] = 5,
    ACTIONS(8492), 1,
      sym_keyword_filter,
    STATE(4775), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2708), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2710), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [285422] = 5,
    ACTIONS(8492), 1,
      sym_keyword_filter,
    STATE(4691), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2720), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2722), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [285477] = 5,
    ACTIONS(8492), 1,
      sym_keyword_filter,
    STATE(4741), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2726), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [285532] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3507), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3505), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285583] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3515), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3513), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285634] = 20,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2640), 1,
      sym_keyword_or,
    ACTIONS(8494), 1,
      sym_keyword_in,
    ACTIONS(8496), 1,
      sym_keyword_is,
    ACTIONS(8498), 1,
      sym_keyword_not,
    ACTIONS(8502), 1,
      anon_sym_LBRACK,
    ACTIONS(8510), 1,
      sym_op_other,
    ACTIONS(8512), 1,
      anon_sym_PLUS,
    ACTIONS(8514), 1,
      anon_sym_DASH,
    ACTIONS(8516), 1,
      anon_sym_SLASH,
    ACTIONS(8518), 1,
      anon_sym_CARET,
    STATE(11091), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8506), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8508), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1290), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1289), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8504), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2638), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [285719] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285770] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3647), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3649), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [285821] = 21,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7810), 1,
      sym_keyword_in,
    ACTIONS(7816), 1,
      sym_keyword_is,
    ACTIONS(7818), 1,
      sym_keyword_not,
    ACTIONS(7820), 1,
      sym_keyword_between,
    ACTIONS(7830), 1,
      sym_op_other,
    ACTIONS(7832), 1,
      anon_sym_PLUS,
    ACTIONS(7834), 1,
      anon_sym_DASH,
    ACTIONS(7836), 1,
      anon_sym_SLASH,
    ACTIONS(7838), 1,
      anon_sym_CARET,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7824), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7828), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1411), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1410), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(7822), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2505), 7,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym__identifier,
  [285908] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3583), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3585), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [285959] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286010] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3565), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3563), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286061] = 22,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7810), 1,
      sym_keyword_in,
    ACTIONS(7812), 1,
      sym_keyword_and,
    ACTIONS(7816), 1,
      sym_keyword_is,
    ACTIONS(7818), 1,
      sym_keyword_not,
    ACTIONS(7820), 1,
      sym_keyword_between,
    ACTIONS(7830), 1,
      sym_op_other,
    ACTIONS(7832), 1,
      anon_sym_PLUS,
    ACTIONS(7834), 1,
      anon_sym_DASH,
    ACTIONS(7836), 1,
      anon_sym_SLASH,
    ACTIONS(7838), 1,
      anon_sym_CARET,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7824), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7828), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1411), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1410), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(7822), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2505), 6,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_or,
      sym__identifier,
  [286150] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3499), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3497), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286201] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3577), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3575), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286252] = 6,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1411), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1410), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 19,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [286309] = 16,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7810), 1,
      sym_keyword_in,
    ACTIONS(7816), 1,
      sym_keyword_is,
    ACTIONS(7830), 1,
      sym_op_other,
    ACTIONS(7832), 1,
      anon_sym_PLUS,
    ACTIONS(7834), 1,
      anon_sym_DASH,
    ACTIONS(7836), 1,
      anon_sym_SLASH,
    ACTIONS(7838), 1,
      anon_sym_CARET,
    ACTIONS(8525), 1,
      sym_keyword_not,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7824), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1411), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1410), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 13,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [286386] = 9,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7816), 1,
      sym_keyword_is,
    ACTIONS(7838), 1,
      anon_sym_CARET,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1411), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1410), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 17,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      sym__identifier,
  [286449] = 5,
    ACTIONS(8492), 1,
      sym_keyword_filter,
    STATE(4698), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2688), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2690), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [286504] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286555] = 5,
    ACTIONS(8492), 1,
      sym_keyword_filter,
    STATE(4699), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2692), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2694), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [286610] = 5,
    ACTIONS(8492), 1,
      sym_keyword_filter,
    STATE(4709), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2696), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2698), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [286665] = 5,
    ACTIONS(8492), 1,
      sym_keyword_filter,
    STATE(4720), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2712), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2714), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [286720] = 5,
    ACTIONS(8492), 1,
      sym_keyword_filter,
    STATE(4744), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2700), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2702), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [286775] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3617), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3615), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286826] = 13,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7816), 1,
      sym_keyword_is,
    ACTIONS(7832), 1,
      anon_sym_PLUS,
    ACTIONS(7834), 1,
      anon_sym_DASH,
    ACTIONS(7836), 1,
      anon_sym_SLASH,
    ACTIONS(7838), 1,
      anon_sym_CARET,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7824), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1411), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1410), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 15,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [286897] = 11,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7816), 1,
      sym_keyword_is,
    ACTIONS(7836), 1,
      anon_sym_SLASH,
    ACTIONS(7838), 1,
      anon_sym_CARET,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7824), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1411), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1410), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 12,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 16,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [286964] = 8,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7816), 1,
      sym_keyword_is,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1411), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1410), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 18,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [287025] = 18,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7810), 1,
      sym_keyword_in,
    ACTIONS(7816), 1,
      sym_keyword_is,
    ACTIONS(7830), 1,
      sym_op_other,
    ACTIONS(7832), 1,
      anon_sym_PLUS,
    ACTIONS(7834), 1,
      anon_sym_DASH,
    ACTIONS(7836), 1,
      anon_sym_SLASH,
    ACTIONS(7838), 1,
      anon_sym_CARET,
    ACTIONS(8525), 1,
      sym_keyword_not,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7824), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7828), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1411), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1410), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(7822), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2505), 11,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [287106] = 20,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2644), 1,
      sym_keyword_or,
    ACTIONS(8494), 1,
      sym_keyword_in,
    ACTIONS(8496), 1,
      sym_keyword_is,
    ACTIONS(8498), 1,
      sym_keyword_not,
    ACTIONS(8502), 1,
      anon_sym_LBRACK,
    ACTIONS(8510), 1,
      sym_op_other,
    ACTIONS(8512), 1,
      anon_sym_PLUS,
    ACTIONS(8514), 1,
      anon_sym_DASH,
    ACTIONS(8516), 1,
      anon_sym_SLASH,
    ACTIONS(8518), 1,
      anon_sym_CARET,
    STATE(11091), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8506), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8508), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1290), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1289), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8504), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2642), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [287191] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3625), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3623), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287242] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3571), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287293] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2787), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287344] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287395] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3611), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3613), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [287446] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3649), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3647), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287497] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3563), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3565), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [287548] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287599] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3575), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3577), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [287650] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2777), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2775), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287701] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2803), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287752] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2821), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2823), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [287803] = 5,
    ACTIONS(8528), 1,
      aux_sym__single_quote_string_token2,
    STATE(4136), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3306), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3304), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287858] = 4,
    ACTIONS(8530), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3448), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3446), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287911] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2342), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2340), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287962] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2346), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2344), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288013] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3629), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3627), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288064] = 5,
    ACTIONS(8492), 1,
      sym_keyword_filter,
    STATE(4740), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2740), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2742), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [288119] = 5,
    ACTIONS(8492), 1,
      sym_keyword_filter,
    STATE(4761), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [288174] = 5,
    ACTIONS(8492), 1,
      sym_keyword_filter,
    STATE(4764), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [288229] = 20,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7810), 1,
      sym_keyword_in,
    ACTIONS(7816), 1,
      sym_keyword_is,
    ACTIONS(7818), 1,
      sym_keyword_not,
    ACTIONS(7830), 1,
      sym_op_other,
    ACTIONS(7832), 1,
      anon_sym_PLUS,
    ACTIONS(7834), 1,
      anon_sym_DASH,
    ACTIONS(7836), 1,
      anon_sym_SLASH,
    ACTIONS(7838), 1,
      anon_sym_CARET,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7824), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7828), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1411), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1410), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2638), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(7822), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2640), 8,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      sym__identifier,
  [288314] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2298), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2296), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288365] = 5,
    ACTIONS(8492), 1,
      sym_keyword_filter,
    STATE(4765), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2680), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2682), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [288420] = 5,
    ACTIONS(8492), 1,
      sym_keyword_filter,
    STATE(4766), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [288475] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288526] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2350), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2348), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288577] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2354), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2352), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288628] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2809), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2807), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288679] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2785), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2783), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288730] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288781] = 20,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7810), 1,
      sym_keyword_in,
    ACTIONS(7816), 1,
      sym_keyword_is,
    ACTIONS(7818), 1,
      sym_keyword_not,
    ACTIONS(7830), 1,
      sym_op_other,
    ACTIONS(7832), 1,
      anon_sym_PLUS,
    ACTIONS(7834), 1,
      anon_sym_DASH,
    ACTIONS(7836), 1,
      anon_sym_SLASH,
    ACTIONS(7838), 1,
      anon_sym_CARET,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7824), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7828), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1411), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1410), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2642), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(7822), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2644), 8,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      sym__identifier,
  [288866] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3615), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3617), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [288917] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3495), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3493), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288968] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2787), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289019] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2803), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289070] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2823), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2821), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289121] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3585), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3583), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289172] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2362), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2360), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289223] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3623), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3625), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [289274] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3605), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3603), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289325] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3609), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3607), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289376] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2366), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2364), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289427] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2370), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2368), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289478] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2302), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2300), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289529] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2374), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2372), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289580] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2306), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2304), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289631] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2378), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2376), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289682] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289733] = 4,
    ACTIONS(8532), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2106), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2104), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289786] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3499), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3497), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289837] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289888] = 5,
    ACTIONS(8492), 1,
      sym_keyword_filter,
    STATE(4757), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [289943] = 5,
    ACTIONS(8492), 1,
      sym_keyword_filter,
    STATE(4767), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2736), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2738), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [289998] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2761), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2759), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290049] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2793), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2791), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290100] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290151] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290202] = 4,
    ACTIONS(8534), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2112), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2110), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290255] = 5,
    ACTIONS(8536), 1,
      aux_sym__single_quote_string_token2,
    STATE(3886), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1369), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1367), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290310] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2781), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2779), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290361] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290412] = 5,
    ACTIONS(8492), 1,
      sym_keyword_filter,
    STATE(4718), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2670), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2672), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [290467] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290518] = 8,
    ACTIONS(8496), 1,
      sym_keyword_is,
    ACTIONS(8502), 1,
      anon_sym_LBRACK,
    STATE(11091), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1290), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1289), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2487), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2485), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290579] = 13,
    ACTIONS(8496), 1,
      sym_keyword_is,
    ACTIONS(8502), 1,
      anon_sym_LBRACK,
    ACTIONS(8512), 1,
      anon_sym_PLUS,
    ACTIONS(8514), 1,
      anon_sym_DASH,
    ACTIONS(8516), 1,
      anon_sym_SLASH,
    ACTIONS(8518), 1,
      anon_sym_CARET,
    STATE(11091), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8506), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2487), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1290), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1289), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290650] = 5,
    ACTIONS(8424), 1,
      aux_sym__single_quote_string_token2,
    STATE(3887), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3320), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3318), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290705] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2757), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2755), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290756] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290807] = 6,
    STATE(11091), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1290), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1289), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290864] = 8,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(8465), 1,
      sym_keyword_is,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2487), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2485), 27,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290925] = 13,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2487), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290996] = 4,
    ACTIONS(8538), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3448), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3446), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291049] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2168), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291100] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2190), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291151] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291202] = 4,
    ACTIONS(8540), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2122), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2120), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291255] = 21,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(7927), 1,
      sym_keyword_in,
    ACTIONS(7933), 1,
      sym_keyword_is,
    ACTIONS(7935), 1,
      sym_keyword_not,
    ACTIONS(7937), 1,
      sym_keyword_between,
    ACTIONS(7947), 1,
      sym_op_other,
    ACTIONS(7949), 1,
      anon_sym_PLUS,
    ACTIONS(7951), 1,
      anon_sym_DASH,
    ACTIONS(7953), 1,
      anon_sym_SLASH,
    ACTIONS(7955), 1,
      anon_sym_CARET,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7941), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7945), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1513), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1512), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7939), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 6,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym__identifier,
  [291342] = 22,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(7927), 1,
      sym_keyword_in,
    ACTIONS(7929), 1,
      sym_keyword_and,
    ACTIONS(7933), 1,
      sym_keyword_is,
    ACTIONS(7935), 1,
      sym_keyword_not,
    ACTIONS(7937), 1,
      sym_keyword_between,
    ACTIONS(7947), 1,
      sym_op_other,
    ACTIONS(7949), 1,
      anon_sym_PLUS,
    ACTIONS(7951), 1,
      anon_sym_DASH,
    ACTIONS(7953), 1,
      anon_sym_SLASH,
    ACTIONS(7955), 1,
      anon_sym_CARET,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7941), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7945), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1513), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1512), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 5,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_or,
      sym__identifier,
    ACTIONS(7939), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [291431] = 6,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1513), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1512), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [291488] = 16,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(7927), 1,
      sym_keyword_in,
    ACTIONS(7933), 1,
      sym_keyword_is,
    ACTIONS(7947), 1,
      sym_op_other,
    ACTIONS(7949), 1,
      anon_sym_PLUS,
    ACTIONS(7951), 1,
      anon_sym_DASH,
    ACTIONS(7953), 1,
      anon_sym_SLASH,
    ACTIONS(7955), 1,
      anon_sym_CARET,
    ACTIONS(8542), 1,
      sym_keyword_not,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7941), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1513), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1512), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 12,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [291565] = 9,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(7933), 1,
      sym_keyword_is,
    ACTIONS(7955), 1,
      anon_sym_CARET,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1513), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1512), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 16,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      sym__identifier,
  [291628] = 13,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(7933), 1,
      sym_keyword_is,
    ACTIONS(7949), 1,
      anon_sym_PLUS,
    ACTIONS(7951), 1,
      anon_sym_DASH,
    ACTIONS(7953), 1,
      anon_sym_SLASH,
    ACTIONS(7955), 1,
      anon_sym_CARET,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7941), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1513), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1512), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 14,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [291699] = 11,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(7933), 1,
      sym_keyword_is,
    ACTIONS(7953), 1,
      anon_sym_SLASH,
    ACTIONS(7955), 1,
      anon_sym_CARET,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7941), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1513), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1512), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 15,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [291766] = 8,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(7933), 1,
      sym_keyword_is,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1513), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1512), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 17,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [291827] = 18,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(7927), 1,
      sym_keyword_in,
    ACTIONS(7933), 1,
      sym_keyword_is,
    ACTIONS(7947), 1,
      sym_op_other,
    ACTIONS(7949), 1,
      anon_sym_PLUS,
    ACTIONS(7951), 1,
      anon_sym_DASH,
    ACTIONS(7953), 1,
      anon_sym_SLASH,
    ACTIONS(7955), 1,
      anon_sym_CARET,
    ACTIONS(8542), 1,
      sym_keyword_not,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7941), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7945), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1513), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1512), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7939), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 10,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [291908] = 4,
    ACTIONS(8545), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3448), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3446), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291961] = 4,
    ACTIONS(8547), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2128), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2126), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292014] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2298), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2296), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292065] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2302), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2300), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292116] = 20,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(7927), 1,
      sym_keyword_in,
    ACTIONS(7933), 1,
      sym_keyword_is,
    ACTIONS(7935), 1,
      sym_keyword_not,
    ACTIONS(7947), 1,
      sym_op_other,
    ACTIONS(7949), 1,
      anon_sym_PLUS,
    ACTIONS(7951), 1,
      anon_sym_DASH,
    ACTIONS(7953), 1,
      anon_sym_SLASH,
    ACTIONS(7955), 1,
      anon_sym_CARET,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7941), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7945), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1513), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1512), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7939), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2638), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2640), 7,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      sym__identifier,
  [292201] = 20,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(7927), 1,
      sym_keyword_in,
    ACTIONS(7933), 1,
      sym_keyword_is,
    ACTIONS(7935), 1,
      sym_keyword_not,
    ACTIONS(7947), 1,
      sym_op_other,
    ACTIONS(7949), 1,
      anon_sym_PLUS,
    ACTIONS(7951), 1,
      anon_sym_DASH,
    ACTIONS(7953), 1,
      anon_sym_SLASH,
    ACTIONS(7955), 1,
      anon_sym_CARET,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7941), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7945), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1513), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1512), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7939), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2642), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2644), 7,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      sym__identifier,
  [292286] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2306), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2304), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292337] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292388] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292439] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2015), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292490] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292541] = 4,
    ACTIONS(8549), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2142), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2140), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292594] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2148), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2146), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292645] = 4,
    ACTIONS(8551), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292698] = 4,
    ACTIONS(8553), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292751] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3643), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3645), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [292802] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3651), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3653), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [292853] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292904] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(8024), 1,
      sym_keyword_in,
    ACTIONS(8026), 1,
      sym_keyword_and,
    ACTIONS(8028), 1,
      sym_keyword_or,
    ACTIONS(8030), 1,
      sym_keyword_is,
    ACTIONS(8032), 1,
      sym_keyword_not,
    ACTIONS(8034), 1,
      sym_keyword_between,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8044), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8048), 1,
      sym_op_other,
    ACTIONS(8050), 1,
      anon_sym_PLUS,
    ACTIONS(8052), 1,
      anon_sym_DASH,
    ACTIONS(8054), 1,
      anon_sym_SLASH,
    ACTIONS(8056), 1,
      anon_sym_CARET,
    STATE(11269), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8042), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8046), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1422), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1421), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8040), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6701), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [292995] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2222), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2220), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293046] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293097] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2777), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2775), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293148] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3617), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3615), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293199] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2761), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2759), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293250] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2793), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2791), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293301] = 4,
    ACTIONS(8555), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2176), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2174), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293354] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2771), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2773), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [293405] = 4,
    ACTIONS(8557), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2182), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2180), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293458] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293509] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293560] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3444), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3442), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293611] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3547), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293662] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2314), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2312), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293713] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2250), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2248), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293764] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2670), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2672), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [293815] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2334), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2332), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293866] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3649), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3647), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293917] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293968] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294019] = 5,
    STATE(3871), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4735), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3337), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3335), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294074] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2214), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2212), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294125] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2218), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2216), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294176] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294227] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2188), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2186), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294278] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294329] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294380] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294431] = 4,
    STATE(3298), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3481), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3483), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [294484] = 4,
    ACTIONS(8559), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294537] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294588] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294639] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3585), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3583), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294690] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2338), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2336), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294741] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294792] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2214), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2212), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294843] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2218), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2216), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294894] = 4,
    ACTIONS(8561), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294947] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2720), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2722), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [294998] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295049] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3605), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3603), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295100] = 4,
    ACTIONS(8563), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295153] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295204] = 4,
    ACTIONS(8565), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295257] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295308] = 4,
    ACTIONS(8567), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295361] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3609), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3607), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295412] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3607), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3609), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [295463] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295514] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2222), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2220), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295565] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295616] = 4,
    ACTIONS(8569), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295669] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2230), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2228), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295720] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3509), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3511), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [295771] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3551), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3553), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [295822] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3567), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3569), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [295873] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295924] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2234), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2232), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295975] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2238), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2236), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296026] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3619), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3621), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [296077] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2242), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2240), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296128] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3631), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3633), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [296179] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2246), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2244), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296230] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2398), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2396), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296281] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2688), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2690), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [296332] = 4,
    ACTIONS(8413), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296385] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2712), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2714), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [296436] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2775), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2777), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [296487] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2410), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2408), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296538] = 4,
    STATE(4483), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296591] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2222), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2220), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296642] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296693] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2210), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2208), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296744] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2254), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2252), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296795] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2258), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2256), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296846] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2262), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2260), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296897] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2266), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2264), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296948] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2270), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2268), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296999] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2274), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2272), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297050] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2278), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2276), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297101] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2282), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2280), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297152] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2286), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2284), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297203] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2290), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2288), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297254] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2294), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2292), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297305] = 6,
    ACTIONS(6018), 1,
      sym_keyword_without,
    ACTIONS(8571), 1,
      sym_keyword_with,
    STATE(2404), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1955), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1957), 22,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [297362] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3613), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3611), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297413] = 6,
    ACTIONS(6018), 1,
      sym_keyword_without,
    ACTIONS(8574), 1,
      sym_keyword_with,
    STATE(2405), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1961), 22,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [297470] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2230), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2228), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297521] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2234), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2232), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297572] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2238), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2236), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297623] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2242), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2240), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297674] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2246), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2244), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297725] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297776] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2326), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2324), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297827] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2330), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2328), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297878] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [297929] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2807), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2809), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [297980] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3601), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3599), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298031] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2783), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2785), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [298082] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2680), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2682), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [298133] = 5,
    ACTIONS(8492), 1,
      sym_keyword_filter,
    STATE(4728), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2716), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2718), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [298188] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2787), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2789), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [298239] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2210), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2208), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298290] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298341] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2803), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2805), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [298392] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298443] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2254), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2252), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298494] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2342), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2340), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298545] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2346), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2344), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298596] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2350), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2348), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298647] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2354), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2352), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298698] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2362), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2360), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298749] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2366), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2364), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298800] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2370), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2368), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298851] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2374), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2372), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298902] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2258), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2256), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298953] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2378), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2376), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299004] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2262), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2260), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299055] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2266), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2264), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299106] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2270), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2268), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299157] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2274), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2272), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299208] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2278), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2276), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299259] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2282), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2280), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299310] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2286), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2284), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299361] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2290), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2288), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299412] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2294), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2292), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299463] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2358), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2356), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299514] = 4,
    ACTIONS(8577), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2134), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2132), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299567] = 4,
    ACTIONS(8579), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299620] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2326), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2324), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299671] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2330), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2328), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299722] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2342), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2340), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299773] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2346), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2344), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299824] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2350), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2348), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299875] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2354), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2352), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299926] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2362), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2360), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299977] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2366), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2364), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300028] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2370), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2368), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300079] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2374), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2372), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300130] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2378), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2376), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300181] = 6,
    ACTIONS(7054), 1,
      sym_keyword_without,
    ACTIONS(8581), 1,
      sym_keyword_with,
    STATE(3784), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1957), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1955), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300238] = 4,
    ACTIONS(7852), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300291] = 6,
    ACTIONS(7054), 1,
      sym_keyword_without,
    ACTIONS(8584), 1,
      sym_keyword_with,
    STATE(3785), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1961), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1959), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300348] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300399] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2168), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300450] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300501] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2190), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300552] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300603] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300654] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1380), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1382), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [300707] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2314), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2312), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300758] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2250), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2248), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300809] = 4,
    ACTIONS(8587), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300862] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2334), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2332), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300913] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300964] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2338), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2336), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301015] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2358), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2356), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301066] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301117] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301168] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2226), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2224), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301219] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2168), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301270] = 8,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(7933), 1,
      sym_keyword_is,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1513), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1512), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2487), 17,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [301331] = 13,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(7933), 1,
      sym_keyword_is,
    ACTIONS(7949), 1,
      anon_sym_PLUS,
    ACTIONS(7951), 1,
      anon_sym_DASH,
    ACTIONS(7953), 1,
      anon_sym_SLASH,
    ACTIONS(7955), 1,
      anon_sym_CARET,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7941), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1513), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1512), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2487), 14,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [301402] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2007), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301453] = 4,
    ACTIONS(8589), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301506] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301557] = 8,
    ACTIONS(7657), 1,
      sym_keyword_is,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1592), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1591), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2487), 17,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [301618] = 13,
    ACTIONS(7657), 1,
      sym_keyword_is,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(7675), 1,
      anon_sym_PLUS,
    ACTIONS(7677), 1,
      anon_sym_DASH,
    ACTIONS(7679), 1,
      anon_sym_SLASH,
    ACTIONS(7681), 1,
      anon_sym_CARET,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7667), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1592), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1591), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2487), 14,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [301689] = 6,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1592), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1591), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [301746] = 21,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(7651), 1,
      sym_keyword_in,
    ACTIONS(7657), 1,
      sym_keyword_is,
    ACTIONS(7659), 1,
      sym_keyword_not,
    ACTIONS(7661), 1,
      sym_keyword_between,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      sym_op_other,
    ACTIONS(7675), 1,
      anon_sym_PLUS,
    ACTIONS(7677), 1,
      anon_sym_DASH,
    ACTIONS(7679), 1,
      anon_sym_SLASH,
    ACTIONS(7681), 1,
      anon_sym_CARET,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7667), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7671), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1592), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1591), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7665), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 6,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym__identifier,
  [301833] = 22,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(7651), 1,
      sym_keyword_in,
    ACTIONS(7653), 1,
      sym_keyword_and,
    ACTIONS(7657), 1,
      sym_keyword_is,
    ACTIONS(7659), 1,
      sym_keyword_not,
    ACTIONS(7661), 1,
      sym_keyword_between,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      sym_op_other,
    ACTIONS(7675), 1,
      anon_sym_PLUS,
    ACTIONS(7677), 1,
      anon_sym_DASH,
    ACTIONS(7679), 1,
      anon_sym_SLASH,
    ACTIONS(7681), 1,
      anon_sym_CARET,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7667), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7671), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1592), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1591), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 5,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_or,
      sym__identifier,
    ACTIONS(7665), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [301922] = 16,
    ACTIONS(7651), 1,
      sym_keyword_in,
    ACTIONS(7657), 1,
      sym_keyword_is,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      sym_op_other,
    ACTIONS(7675), 1,
      anon_sym_PLUS,
    ACTIONS(7677), 1,
      anon_sym_DASH,
    ACTIONS(7679), 1,
      anon_sym_SLASH,
    ACTIONS(7681), 1,
      anon_sym_CARET,
    ACTIONS(8591), 1,
      sym_keyword_not,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7667), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1592), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1591), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 11,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 12,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [301999] = 9,
    ACTIONS(7657), 1,
      sym_keyword_is,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(7681), 1,
      anon_sym_CARET,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1592), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1591), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 16,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      sym__identifier,
  [302062] = 13,
    ACTIONS(7657), 1,
      sym_keyword_is,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(7675), 1,
      anon_sym_PLUS,
    ACTIONS(7677), 1,
      anon_sym_DASH,
    ACTIONS(7679), 1,
      anon_sym_SLASH,
    ACTIONS(7681), 1,
      anon_sym_CARET,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7667), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1592), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1591), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 14,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [302133] = 11,
    ACTIONS(7657), 1,
      sym_keyword_is,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(7679), 1,
      anon_sym_SLASH,
    ACTIONS(7681), 1,
      anon_sym_CARET,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7667), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1592), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1591), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 15,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [302200] = 8,
    ACTIONS(7657), 1,
      sym_keyword_is,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1592), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1591), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 17,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [302261] = 18,
    ACTIONS(7651), 1,
      sym_keyword_in,
    ACTIONS(7657), 1,
      sym_keyword_is,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      sym_op_other,
    ACTIONS(7675), 1,
      anon_sym_PLUS,
    ACTIONS(7677), 1,
      anon_sym_DASH,
    ACTIONS(7679), 1,
      anon_sym_SLASH,
    ACTIONS(7681), 1,
      anon_sym_CARET,
    ACTIONS(8591), 1,
      sym_keyword_not,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7667), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7671), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1592), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1591), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7665), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 10,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [302342] = 20,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(7651), 1,
      sym_keyword_in,
    ACTIONS(7657), 1,
      sym_keyword_is,
    ACTIONS(7659), 1,
      sym_keyword_not,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      sym_op_other,
    ACTIONS(7675), 1,
      anon_sym_PLUS,
    ACTIONS(7677), 1,
      anon_sym_DASH,
    ACTIONS(7679), 1,
      anon_sym_SLASH,
    ACTIONS(7681), 1,
      anon_sym_CARET,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7667), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7671), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1592), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1591), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7665), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2638), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2640), 7,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      sym__identifier,
  [302427] = 20,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(7651), 1,
      sym_keyword_in,
    ACTIONS(7657), 1,
      sym_keyword_is,
    ACTIONS(7659), 1,
      sym_keyword_not,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(7673), 1,
      sym_op_other,
    ACTIONS(7675), 1,
      anon_sym_PLUS,
    ACTIONS(7677), 1,
      anon_sym_DASH,
    ACTIONS(7679), 1,
      anon_sym_SLASH,
    ACTIONS(7681), 1,
      anon_sym_CARET,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7667), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7671), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1592), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1591), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7665), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2642), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2644), 7,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      sym__identifier,
  [302512] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2190), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [302563] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [302614] = 4,
    ACTIONS(8594), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [302667] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [302718] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2041), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2039), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [302769] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2310), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2308), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [302820] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2390), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2388), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [302871] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2047), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2045), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [302922] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3637), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3635), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [302973] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2318), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2316), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303024] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2298), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2296), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303075] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2302), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2300), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303126] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2306), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2304), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303177] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2322), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2320), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303228] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3511), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3509), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303279] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3553), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3551), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303330] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3569), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3567), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303381] = 4,
    ACTIONS(8596), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303434] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3621), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3619), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303485] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3631), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303536] = 4,
    ACTIONS(8598), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303589] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3477), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3475), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303640] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3589), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3587), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303691] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3571), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303742] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303793] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3495), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3493), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303844] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303895] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2781), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2779), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303946] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3444), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3442), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303997] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304048] = 4,
    ACTIONS(8600), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3446), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3448), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [304101] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(8494), 1,
      sym_keyword_in,
    ACTIONS(8496), 1,
      sym_keyword_is,
    ACTIONS(8498), 1,
      sym_keyword_not,
    ACTIONS(8500), 1,
      sym_keyword_between,
    ACTIONS(8502), 1,
      anon_sym_LBRACK,
    ACTIONS(8510), 1,
      sym_op_other,
    ACTIONS(8512), 1,
      anon_sym_PLUS,
    ACTIONS(8514), 1,
      anon_sym_DASH,
    ACTIONS(8516), 1,
      anon_sym_SLASH,
    ACTIONS(8518), 1,
      anon_sym_CARET,
    ACTIONS(8520), 1,
      sym_keyword_and,
    ACTIONS(8602), 1,
      sym_keyword_or,
    ACTIONS(8604), 1,
      anon_sym_COLON_COLON,
    STATE(11091), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8506), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8508), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1290), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1289), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8504), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6867), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [304192] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3645), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3643), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304243] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3653), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3651), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304294] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3507), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3505), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304345] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3515), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3513), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304396] = 7,
    ACTIONS(7281), 1,
      sym_keyword_without,
    ACTIONS(8606), 1,
      sym_keyword_with,
    ACTIONS(8609), 1,
      anon_sym_LPAREN,
    STATE(4196), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304455] = 7,
    ACTIONS(7281), 1,
      sym_keyword_without,
    ACTIONS(8611), 1,
      sym_keyword_with,
    ACTIONS(8614), 1,
      anon_sym_LPAREN,
    STATE(4197), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304514] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304565] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304616] = 4,
    ACTIONS(8616), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304669] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [304720] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2759), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2761), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [304771] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2793), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [304822] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2773), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2771), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304873] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3477), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3475), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304924] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3589), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3587), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304975] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3595), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3597), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [305026] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3593), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3591), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305077] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305128] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305179] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3497), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3499), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [305230] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2214), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2212), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305281] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2218), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2216), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305332] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305383] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305434] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305485] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305536] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305587] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3565), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3563), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305638] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3577), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3575), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305689] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305740] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3635), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3637), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [305791] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305841] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2168), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305891] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2190), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305941] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3511), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3509), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305991] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306041] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3625), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3623), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306091] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3553), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3551), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306141] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3569), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3567), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306191] = 6,
    ACTIONS(7373), 1,
      sym_keyword_without,
    ACTIONS(8618), 1,
      sym_keyword_with,
    STATE(4115), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1957), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1955), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306247] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306297] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306347] = 6,
    ACTIONS(7373), 1,
      sym_keyword_without,
    ACTIONS(8621), 1,
      sym_keyword_with,
    STATE(4117), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1961), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1959), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306403] = 7,
    ACTIONS(7729), 1,
      sym_keyword_without,
    ACTIONS(8624), 1,
      sym_keyword_with,
    ACTIONS(8627), 1,
      anon_sym_LPAREN,
    STATE(4611), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306461] = 7,
    ACTIONS(7729), 1,
      sym_keyword_without,
    ACTIONS(8629), 1,
      sym_keyword_with,
    ACTIONS(8632), 1,
      anon_sym_LPAREN,
    STATE(4615), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306519] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306569] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3643), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3645), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [306619] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3651), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3653), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [306669] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3499), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3497), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306719] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3649), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3647), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306769] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3585), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3583), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306819] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3605), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3603), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306869] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3609), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3607), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306919] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3505), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [306969] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3621), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3619), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307019] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3513), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3515), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [307069] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3613), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3611), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307119] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3507), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3505), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307169] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2210), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2208), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307219] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2254), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2252), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307269] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3635), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3637), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [307319] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3601), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3599), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307369] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307419] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307469] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3631), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307519] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307569] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2258), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2256), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307619] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2314), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2312), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307669] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2250), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2248), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307719] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2262), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2260), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307769] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2266), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2264), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307819] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307869] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2334), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2332), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307919] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2338), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2336), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307969] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2270), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2268), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308019] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2358), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2356), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308069] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3563), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3565), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [308119] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3575), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3577), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [308169] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3515), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3513), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308219] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308269] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308319] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308369] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3444), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3442), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308419] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2298), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2296), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308469] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2302), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2300), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308519] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3547), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308569] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3509), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3511), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [308619] = 6,
    ACTIONS(7281), 1,
      sym_keyword_without,
    ACTIONS(8634), 1,
      sym_keyword_with,
    STATE(4289), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1957), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1955), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308675] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3551), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3553), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [308725] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2306), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2304), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308775] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3565), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3563), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308825] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3477), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3475), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308875] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3589), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3587), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308925] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3577), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3575), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308975] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3593), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3591), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309025] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3615), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3617), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [309075] = 6,
    ACTIONS(7281), 1,
      sym_keyword_without,
    ACTIONS(8637), 1,
      sym_keyword_with,
    STATE(4291), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1961), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1959), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309131] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2402), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2400), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309181] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3649), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3647), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309231] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3623), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3625), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [309281] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2226), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2224), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309331] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2007), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309381] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2412), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309431] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309481] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3567), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3569), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [309531] = 5,
    ACTIONS(8640), 1,
      aux_sym__single_quote_string_token2,
    STATE(4636), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3304), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3306), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [309585] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2274), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2272), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309635] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3649), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3647), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309685] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2041), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2039), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309735] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3571), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309785] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2310), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2308), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309835] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309885] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2390), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2388), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309935] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2278), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2276), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309985] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2282), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2280), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310035] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2047), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2045), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310085] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2318), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2316), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310135] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2322), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2320), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310185] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3585), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3583), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310235] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3605), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3603), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310285] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3609), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3607), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310335] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3613), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3611), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310385] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3601), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3599), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310435] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310485] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310535] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2238), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2236), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310585] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2242), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2240), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310635] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2246), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2244), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310685] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310735] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3619), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3621), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [310785] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3565), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3563), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310835] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2286), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2284), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310885] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3637), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3635), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310935] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3627), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3629), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [310985] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3585), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3583), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311035] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3605), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3603), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311085] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3511), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3509), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311135] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3553), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3551), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311185] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3569), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3567), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311235] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2398), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2396), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311285] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2410), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2408), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311335] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3621), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3619), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311385] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3637), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3635), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311435] = 4,
    STATE(4773), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311487] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3617), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3615), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311537] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2398), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2396), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311587] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2410), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2408), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311637] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3511), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3509), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311687] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3553), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3551), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311737] = 21,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(7927), 1,
      sym_keyword_in,
    ACTIONS(8195), 1,
      sym_keyword_is,
    ACTIONS(8197), 1,
      sym_keyword_not,
    ACTIONS(8199), 1,
      sym_keyword_between,
    ACTIONS(8207), 1,
      sym_op_other,
    ACTIONS(8209), 1,
      anon_sym_PLUS,
    ACTIONS(8211), 1,
      anon_sym_DASH,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    ACTIONS(8215), 1,
      anon_sym_CARET,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8203), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8205), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1561), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1560), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(8201), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2505), 6,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym__identifier,
  [311823] = 22,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(7927), 1,
      sym_keyword_in,
    ACTIONS(8191), 1,
      sym_keyword_and,
    ACTIONS(8195), 1,
      sym_keyword_is,
    ACTIONS(8197), 1,
      sym_keyword_not,
    ACTIONS(8199), 1,
      sym_keyword_between,
    ACTIONS(8207), 1,
      sym_op_other,
    ACTIONS(8209), 1,
      anon_sym_PLUS,
    ACTIONS(8211), 1,
      anon_sym_DASH,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    ACTIONS(8215), 1,
      anon_sym_CARET,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8203), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8205), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1561), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1560), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 5,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_or,
      sym__identifier,
    ACTIONS(8201), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311911] = 6,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1561), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1560), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [311967] = 16,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(7927), 1,
      sym_keyword_in,
    ACTIONS(8195), 1,
      sym_keyword_is,
    ACTIONS(8207), 1,
      sym_op_other,
    ACTIONS(8209), 1,
      anon_sym_PLUS,
    ACTIONS(8211), 1,
      anon_sym_DASH,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    ACTIONS(8215), 1,
      anon_sym_CARET,
    ACTIONS(8642), 1,
      sym_keyword_not,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8203), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1561), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1560), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 12,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [312043] = 9,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(8195), 1,
      sym_keyword_is,
    ACTIONS(8215), 1,
      anon_sym_CARET,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1561), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1560), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 16,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      sym__identifier,
  [312105] = 13,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(8195), 1,
      sym_keyword_is,
    ACTIONS(8209), 1,
      anon_sym_PLUS,
    ACTIONS(8211), 1,
      anon_sym_DASH,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    ACTIONS(8215), 1,
      anon_sym_CARET,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8203), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1561), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1560), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 14,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [312175] = 11,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(8195), 1,
      sym_keyword_is,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    ACTIONS(8215), 1,
      anon_sym_CARET,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8203), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1561), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1560), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 12,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 15,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [312241] = 8,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(8195), 1,
      sym_keyword_is,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1561), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1560), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 17,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [312301] = 18,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(7927), 1,
      sym_keyword_in,
    ACTIONS(8195), 1,
      sym_keyword_is,
    ACTIONS(8207), 1,
      sym_op_other,
    ACTIONS(8209), 1,
      anon_sym_PLUS,
    ACTIONS(8211), 1,
      anon_sym_DASH,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    ACTIONS(8215), 1,
      anon_sym_CARET,
    ACTIONS(8642), 1,
      sym_keyword_not,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8203), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8205), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1561), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1560), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(8201), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2505), 10,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [312381] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3569), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3567), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312431] = 20,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(7927), 1,
      sym_keyword_in,
    ACTIONS(8195), 1,
      sym_keyword_is,
    ACTIONS(8197), 1,
      sym_keyword_not,
    ACTIONS(8207), 1,
      sym_op_other,
    ACTIONS(8209), 1,
      anon_sym_PLUS,
    ACTIONS(8211), 1,
      anon_sym_DASH,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    ACTIONS(8215), 1,
      anon_sym_CARET,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8203), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8205), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1561), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1560), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2638), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(8201), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2640), 7,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      sym__identifier,
  [312515] = 20,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(5996), 1,
      sym_keyword_similar,
    ACTIONS(7927), 1,
      sym_keyword_in,
    ACTIONS(8195), 1,
      sym_keyword_is,
    ACTIONS(8197), 1,
      sym_keyword_not,
    ACTIONS(8207), 1,
      sym_op_other,
    ACTIONS(8209), 1,
      anon_sym_PLUS,
    ACTIONS(8211), 1,
      anon_sym_DASH,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    ACTIONS(8215), 1,
      anon_sym_CARET,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5994), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8203), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8205), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1561), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1560), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2642), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(8201), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2644), 7,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      sym__identifier,
  [312599] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3621), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3619), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312649] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3631), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312699] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3625), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3623), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312749] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3631), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312799] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3493), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3495), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [312849] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312899] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312949] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(8024), 1,
      sym_keyword_in,
    ACTIONS(8026), 1,
      sym_keyword_and,
    ACTIONS(8028), 1,
      sym_keyword_or,
    ACTIONS(8030), 1,
      sym_keyword_is,
    ACTIONS(8032), 1,
      sym_keyword_not,
    ACTIONS(8034), 1,
      sym_keyword_between,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8044), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8048), 1,
      sym_op_other,
    ACTIONS(8050), 1,
      anon_sym_PLUS,
    ACTIONS(8052), 1,
      anon_sym_DASH,
    ACTIONS(8054), 1,
      anon_sym_SLASH,
    ACTIONS(8056), 1,
      anon_sym_CARET,
    STATE(11269), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8042), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8046), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1422), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1421), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8040), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6867), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [313039] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2290), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2288), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313089] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2294), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2292), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313139] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2402), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2400), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313189] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3645), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3643), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313239] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3653), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3651), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313289] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3507), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3505), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313339] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3515), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3513), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313389] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2412), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313439] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3497), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3499), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [313489] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3629), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3627), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313539] = 8,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(8195), 1,
      sym_keyword_is,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1561), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1560), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2487), 17,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [313599] = 13,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(8195), 1,
      sym_keyword_is,
    ACTIONS(8209), 1,
      anon_sym_PLUS,
    ACTIONS(8211), 1,
      anon_sym_DASH,
    ACTIONS(8213), 1,
      anon_sym_SLASH,
    ACTIONS(8215), 1,
      anon_sym_CARET,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8203), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1561), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1560), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2487), 14,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [313669] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313719] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3565), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3563), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313769] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3617), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3615), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313819] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3617), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3615), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313869] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3625), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3623), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313919] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2402), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2400), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313969] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2412), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314019] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314069] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3547), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3549), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [314119] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2404), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314169] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3629), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3627), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314219] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3495), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3493), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314269] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3637), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3635), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314319] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3631), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3633), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [314369] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2222), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2220), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314419] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3577), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3575), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314469] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2404), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314519] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314569] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3571), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3573), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [314619] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3495), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3493), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314669] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2326), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2324), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314719] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2330), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2328), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314769] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3499), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3497), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314819] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3629), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3627), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314869] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3547), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314919] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(8304), 1,
      sym_keyword_in,
    ACTIONS(8306), 1,
      sym_keyword_is,
    ACTIONS(8308), 1,
      sym_keyword_not,
    ACTIONS(8310), 1,
      sym_keyword_between,
    ACTIONS(8318), 1,
      sym_op_other,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_SLASH,
    ACTIONS(8326), 1,
      anon_sym_CARET,
    ACTIONS(8328), 1,
      sym_keyword_and,
    ACTIONS(8647), 1,
      sym_keyword_or,
    ACTIONS(8649), 1,
      anon_sym_COLON_COLON,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8314), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8316), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1378), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8312), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(8645), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_COMMA,
  [315009] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2404), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315059] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3499), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3497), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315109] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(7023), 1,
      sym_keyword_is,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7027), 1,
      anon_sym_CARET,
    ACTIONS(7064), 1,
      anon_sym_PLUS,
    ACTIONS(7066), 1,
      anon_sym_DASH,
    ACTIONS(7068), 1,
      anon_sym_SLASH,
    ACTIONS(7070), 1,
      sym_keyword_in,
    ACTIONS(7079), 1,
      sym_op_other,
    ACTIONS(7089), 1,
      sym_keyword_not,
    ACTIONS(7127), 1,
      sym_keyword_and,
    ACTIONS(7129), 1,
      sym_keyword_or,
    ACTIONS(7131), 1,
      sym_keyword_between,
    ACTIONS(7133), 1,
      anon_sym_COLON_COLON,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7062), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7077), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1527), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1526), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7075), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(7011), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [315199] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3571), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315249] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2823), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2821), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315299] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315349] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2053), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2051), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315399] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2773), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2771), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315449] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315499] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315549] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315599] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2777), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2775), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315649] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3547), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315699] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315749] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315799] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2809), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2807), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315849] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2785), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2783), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315899] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315949] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2214), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2212), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315999] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2787), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316049] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2805), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2803), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316099] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316149] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2218), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2216), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316199] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2761), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2759), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316249] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2793), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2791), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316299] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316349] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316399] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2781), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2779), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316449] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316499] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316549] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2757), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2755), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316599] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316649] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3573), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3571), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316699] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3444), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3442), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316749] = 4,
    ACTIONS(8651), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3448), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3446), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316801] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3645), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3643), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316851] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316901] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316951] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317001] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3444), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3442), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317051] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3477), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3475), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317101] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3589), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3587), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317151] = 6,
    ACTIONS(6788), 1,
      sym_keyword_without,
    ACTIONS(8653), 1,
      sym_keyword_with,
    STATE(3025), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1955), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1957), 22,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [317207] = 5,
    ACTIONS(6783), 1,
      aux_sym__single_quote_string_token2,
    STATE(2418), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3318), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3320), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [317261] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3593), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3591), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317311] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2823), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2821), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317361] = 6,
    ACTIONS(6788), 1,
      sym_keyword_without,
    ACTIONS(8656), 1,
      sym_keyword_with,
    STATE(3026), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1961), 22,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [317417] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3477), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3475), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317467] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3589), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3587), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317517] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317567] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(8645), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_COMMA,
  [317657] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317707] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1382), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317757] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3609), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3607), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317807] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2230), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2228), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317857] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317907] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3593), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3591), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317957] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318007] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2234), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2232), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318057] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3645), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3643), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318107] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3653), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3651), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318157] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3613), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3611), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318207] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2821), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2823), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [318257] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2823), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2821), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318307] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1386), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1384), 35,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_nulls,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [318357] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3647), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3649), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [318407] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3495), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3493), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318457] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318507] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3507), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3505), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318557] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3515), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3513), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318607] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3583), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3585), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [318657] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318707] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2342), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2340), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318757] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3653), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3651), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318807] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318857] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3603), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3605), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [318907] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3607), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3609), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [318957] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2346), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2344), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319007] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3601), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3599), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319057] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2350), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2348), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319107] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2398), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2396), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319157] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2410), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2408), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319207] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319257] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2354), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2352), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319307] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2362), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2360), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319357] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3611), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3613), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [319407] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2366), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2364), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319457] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2370), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2368), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319507] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2374), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2372), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319557] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2378), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2376), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319607] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3595), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3597), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [319657] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319707] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3599), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3601), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [319757] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3501), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3503), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [319807] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319857] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2503), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [319907] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3577), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3575), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319957] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3569), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3567), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320006] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2712), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2714), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [320055] = 13,
    ACTIONS(8663), 1,
      sym_keyword_is,
    ACTIONS(8665), 1,
      anon_sym_LBRACK,
    ACTIONS(8669), 1,
      anon_sym_PLUS,
    ACTIONS(8671), 1,
      anon_sym_DASH,
    ACTIONS(8673), 1,
      anon_sym_SLASH,
    ACTIONS(8675), 1,
      anon_sym_CARET,
    STATE(11264), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8667), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2505), 3,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1055), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 21,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320124] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3585), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3583), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320173] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3605), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3603), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320222] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3609), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3607), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320271] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3573), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3571), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320320] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(8663), 1,
      sym_keyword_is,
    ACTIONS(8665), 1,
      anon_sym_LBRACK,
    ACTIONS(8669), 1,
      anon_sym_PLUS,
    ACTIONS(8671), 1,
      anon_sym_DASH,
    ACTIONS(8673), 1,
      anon_sym_SLASH,
    ACTIONS(8675), 1,
      anon_sym_CARET,
    ACTIONS(8677), 1,
      sym_keyword_in,
    ACTIONS(8679), 1,
      sym_keyword_and,
    ACTIONS(8681), 1,
      sym_keyword_or,
    ACTIONS(8683), 1,
      sym_keyword_not,
    ACTIONS(8685), 1,
      sym_keyword_between,
    ACTIONS(8689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_op_other,
    STATE(11264), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8667), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8691), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1055), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8687), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3420), 7,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
  [320409] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [320458] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2807), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2809), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [320507] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3515), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3513), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320556] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3629), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3627), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320605] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3613), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3611), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320654] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2783), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2785), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [320703] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320752] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(8663), 1,
      sym_keyword_is,
    ACTIONS(8665), 1,
      anon_sym_LBRACK,
    ACTIONS(8669), 1,
      anon_sym_PLUS,
    ACTIONS(8671), 1,
      anon_sym_DASH,
    ACTIONS(8673), 1,
      anon_sym_SLASH,
    ACTIONS(8675), 1,
      anon_sym_CARET,
    ACTIONS(8677), 1,
      sym_keyword_in,
    ACTIONS(8679), 1,
      sym_keyword_and,
    ACTIONS(8681), 1,
      sym_keyword_or,
    ACTIONS(8683), 1,
      sym_keyword_not,
    ACTIONS(8685), 1,
      sym_keyword_between,
    ACTIONS(8689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_op_other,
    STATE(11264), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8667), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8691), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1055), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8687), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3418), 7,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
  [320841] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3601), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3599), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320890] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320939] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320988] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2680), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2682), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [321037] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3477), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3475), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [321086] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3565), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3563), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [321135] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3589), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3587), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [321184] = 19,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(8663), 1,
      sym_keyword_is,
    ACTIONS(8665), 1,
      anon_sym_LBRACK,
    ACTIONS(8669), 1,
      anon_sym_PLUS,
    ACTIONS(8671), 1,
      anon_sym_DASH,
    ACTIONS(8673), 1,
      anon_sym_SLASH,
    ACTIONS(8675), 1,
      anon_sym_CARET,
    ACTIONS(8677), 1,
      sym_keyword_in,
    ACTIONS(8683), 1,
      sym_keyword_not,
    ACTIONS(8693), 1,
      sym_op_other,
    STATE(11264), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8667), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8691), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1055), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8687), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2638), 11,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      anon_sym_COLON_COLON,
  [321265] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3507), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3505), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [321314] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2412), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [321363] = 20,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(8663), 1,
      sym_keyword_is,
    ACTIONS(8665), 1,
      anon_sym_LBRACK,
    ACTIONS(8669), 1,
      anon_sym_PLUS,
    ACTIONS(8671), 1,
      anon_sym_DASH,
    ACTIONS(8673), 1,
      anon_sym_SLASH,
    ACTIONS(8675), 1,
      anon_sym_CARET,
    ACTIONS(8677), 1,
      sym_keyword_in,
    ACTIONS(8683), 1,
      sym_keyword_not,
    ACTIONS(8685), 1,
      sym_keyword_between,
    ACTIONS(8693), 1,
      sym_op_other,
    STATE(11264), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8667), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8691), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1055), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8687), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 10,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      anon_sym_COLON_COLON,
  [321446] = 21,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(8663), 1,
      sym_keyword_is,
    ACTIONS(8665), 1,
      anon_sym_LBRACK,
    ACTIONS(8669), 1,
      anon_sym_PLUS,
    ACTIONS(8671), 1,
      anon_sym_DASH,
    ACTIONS(8673), 1,
      anon_sym_SLASH,
    ACTIONS(8675), 1,
      anon_sym_CARET,
    ACTIONS(8677), 1,
      sym_keyword_in,
    ACTIONS(8679), 1,
      sym_keyword_and,
    ACTIONS(8683), 1,
      sym_keyword_not,
    ACTIONS(8685), 1,
      sym_keyword_between,
    ACTIONS(8693), 1,
      sym_op_other,
    STATE(11264), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8667), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8691), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1055), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8687), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 9,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_or,
      anon_sym_COLON_COLON,
  [321531] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2795), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2797), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [321580] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2720), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2722), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [321629] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2787), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2789), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [321678] = 9,
    ACTIONS(8663), 1,
      sym_keyword_is,
    ACTIONS(8665), 1,
      anon_sym_LBRACK,
    ACTIONS(8675), 1,
      anon_sym_CARET,
    STATE(11264), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1055), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 5,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2503), 24,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [321739] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2404), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [321788] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(8663), 1,
      sym_keyword_is,
    ACTIONS(8665), 1,
      anon_sym_LBRACK,
    ACTIONS(8669), 1,
      anon_sym_PLUS,
    ACTIONS(8671), 1,
      anon_sym_DASH,
    ACTIONS(8673), 1,
      anon_sym_SLASH,
    ACTIONS(8675), 1,
      anon_sym_CARET,
    ACTIONS(8677), 1,
      sym_keyword_in,
    ACTIONS(8679), 1,
      sym_keyword_and,
    ACTIONS(8681), 1,
      sym_keyword_or,
    ACTIONS(8683), 1,
      sym_keyword_not,
    ACTIONS(8685), 1,
      sym_keyword_between,
    ACTIONS(8689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_op_other,
    STATE(11264), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8667), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8691), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1055), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8687), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3452), 7,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
  [321877] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(7023), 1,
      sym_keyword_is,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7027), 1,
      anon_sym_CARET,
    ACTIONS(7064), 1,
      anon_sym_PLUS,
    ACTIONS(7066), 1,
      anon_sym_DASH,
    ACTIONS(7068), 1,
      anon_sym_SLASH,
    ACTIONS(7070), 1,
      sym_keyword_in,
    ACTIONS(7079), 1,
      sym_op_other,
    ACTIONS(7089), 1,
      sym_keyword_not,
    ACTIONS(7127), 1,
      sym_keyword_and,
    ACTIONS(7129), 1,
      sym_keyword_or,
    ACTIONS(7131), 1,
      sym_keyword_between,
    ACTIONS(7133), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7289), 1,
      anon_sym_COMMA,
    STATE(8328), 1,
      aux_sym_array_repeat1,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7062), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7077), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1527), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1526), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7075), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(8695), 5,
      sym_keyword_order,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
  [321970] = 8,
    ACTIONS(8663), 1,
      sym_keyword_is,
    ACTIONS(8665), 1,
      anon_sym_LBRACK,
    STATE(11264), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1055), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2487), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2485), 24,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [322029] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [322078] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3499), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3497), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [322127] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2755), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2757), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322176] = 13,
    ACTIONS(8663), 1,
      sym_keyword_is,
    ACTIONS(8665), 1,
      anon_sym_LBRACK,
    ACTIONS(8669), 1,
      anon_sym_PLUS,
    ACTIONS(8671), 1,
      anon_sym_DASH,
    ACTIONS(8673), 1,
      anon_sym_SLASH,
    ACTIONS(8675), 1,
      anon_sym_CARET,
    STATE(11264), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8667), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2487), 3,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1055), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2485), 21,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [322245] = 7,
    ACTIONS(8697), 1,
      sym_keyword_with,
    ACTIONS(8699), 1,
      sym_keyword_without,
    ACTIONS(8701), 1,
      anon_sym_LPAREN,
    STATE(5486), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [322302] = 7,
    ACTIONS(8697), 1,
      sym_keyword_with,
    ACTIONS(8699), 1,
      sym_keyword_without,
    ACTIONS(8703), 1,
      anon_sym_LPAREN,
    STATE(5487), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [322359] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3547), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [322408] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2823), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2821), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [322457] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2771), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2773), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322506] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2410), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2408), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [322555] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(8663), 1,
      sym_keyword_is,
    ACTIONS(8665), 1,
      anon_sym_LBRACK,
    ACTIONS(8669), 1,
      anon_sym_PLUS,
    ACTIONS(8671), 1,
      anon_sym_DASH,
    ACTIONS(8673), 1,
      anon_sym_SLASH,
    ACTIONS(8675), 1,
      anon_sym_CARET,
    ACTIONS(8677), 1,
      sym_keyword_in,
    ACTIONS(8679), 1,
      sym_keyword_and,
    ACTIONS(8681), 1,
      sym_keyword_or,
    ACTIONS(8683), 1,
      sym_keyword_not,
    ACTIONS(8685), 1,
      sym_keyword_between,
    ACTIONS(8689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_op_other,
    STATE(11264), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8667), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8691), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1055), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8687), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3408), 7,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
  [322644] = 8,
    ACTIONS(8663), 1,
      sym_keyword_is,
    ACTIONS(8665), 1,
      anon_sym_LBRACK,
    STATE(11264), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1055), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 24,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [322703] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [322752] = 6,
    STATE(11264), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1055), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2505), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [322807] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322856] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2775), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2777), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322905] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(8663), 1,
      sym_keyword_is,
    ACTIONS(8665), 1,
      anon_sym_LBRACK,
    ACTIONS(8669), 1,
      anon_sym_PLUS,
    ACTIONS(8671), 1,
      anon_sym_DASH,
    ACTIONS(8673), 1,
      anon_sym_SLASH,
    ACTIONS(8675), 1,
      anon_sym_CARET,
    ACTIONS(8677), 1,
      sym_keyword_in,
    ACTIONS(8679), 1,
      sym_keyword_and,
    ACTIONS(8681), 1,
      sym_keyword_or,
    ACTIONS(8683), 1,
      sym_keyword_not,
    ACTIONS(8685), 1,
      sym_keyword_between,
    ACTIONS(8689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_op_other,
    STATE(11264), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8667), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8691), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1055), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8687), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3485), 7,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
  [322994] = 7,
    ACTIONS(8705), 1,
      sym_keyword_unsigned,
    ACTIONS(8707), 1,
      sym_keyword_zerofill,
    ACTIONS(8709), 1,
      sym_keyword_precision,
    ACTIONS(8711), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323051] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2803), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2805), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [323100] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3577), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3575), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323149] = 7,
    ACTIONS(8713), 1,
      sym_keyword_unsigned,
    ACTIONS(8715), 1,
      sym_keyword_zerofill,
    ACTIONS(8717), 1,
      sym_keyword_precision,
    ACTIONS(8719), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [323206] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3444), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3442), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323255] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3637), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3635), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323304] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3617), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3615), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323353] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3511), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3509), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323402] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3553), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3551), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323451] = 11,
    ACTIONS(8663), 1,
      sym_keyword_is,
    ACTIONS(8665), 1,
      anon_sym_LBRACK,
    ACTIONS(8673), 1,
      anon_sym_SLASH,
    ACTIONS(8675), 1,
      anon_sym_CARET,
    STATE(11264), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8667), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1055), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2505), 4,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 22,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323516] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(8024), 1,
      sym_keyword_in,
    ACTIONS(8026), 1,
      sym_keyword_and,
    ACTIONS(8028), 1,
      sym_keyword_or,
    ACTIONS(8030), 1,
      sym_keyword_is,
    ACTIONS(8032), 1,
      sym_keyword_not,
    ACTIONS(8034), 1,
      sym_keyword_between,
    ACTIONS(8036), 1,
      anon_sym_LBRACK,
    ACTIONS(8044), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8048), 1,
      sym_op_other,
    ACTIONS(8050), 1,
      anon_sym_PLUS,
    ACTIONS(8052), 1,
      anon_sym_DASH,
    ACTIONS(8054), 1,
      anon_sym_SLASH,
    ACTIONS(8056), 1,
      anon_sym_CARET,
    STATE(11269), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8042), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8046), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1422), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1421), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8040), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(7011), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [323605] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3621), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3619), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323654] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3631), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323703] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3593), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3591), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323752] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2779), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2781), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [323801] = 4,
    ACTIONS(8721), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(57), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(111), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323852] = 6,
    ACTIONS(7729), 1,
      sym_keyword_without,
    ACTIONS(8723), 1,
      sym_keyword_with,
    STATE(4681), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1957), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1955), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323907] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(8663), 1,
      sym_keyword_is,
    ACTIONS(8665), 1,
      anon_sym_LBRACK,
    ACTIONS(8669), 1,
      anon_sym_PLUS,
    ACTIONS(8671), 1,
      anon_sym_DASH,
    ACTIONS(8673), 1,
      anon_sym_SLASH,
    ACTIONS(8675), 1,
      anon_sym_CARET,
    ACTIONS(8677), 1,
      sym_keyword_in,
    ACTIONS(8679), 1,
      sym_keyword_and,
    ACTIONS(8681), 1,
      sym_keyword_or,
    ACTIONS(8683), 1,
      sym_keyword_not,
    ACTIONS(8685), 1,
      sym_keyword_between,
    ACTIONS(8689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8693), 1,
      sym_op_other,
    STATE(11264), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8667), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8691), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1055), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8687), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3422), 7,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
  [323996] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2759), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2761), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [324045] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3625), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3623), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324094] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(8645), 7,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [324183] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2793), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [324232] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2799), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2801), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [324281] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2670), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2672), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [324330] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2716), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2718), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [324379] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1382), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324428] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3495), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3493), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324477] = 16,
    ACTIONS(8663), 1,
      sym_keyword_is,
    ACTIONS(8665), 1,
      anon_sym_LBRACK,
    ACTIONS(8669), 1,
      anon_sym_PLUS,
    ACTIONS(8671), 1,
      anon_sym_DASH,
    ACTIONS(8673), 1,
      anon_sym_SLASH,
    ACTIONS(8675), 1,
      anon_sym_CARET,
    ACTIONS(8677), 1,
      sym_keyword_in,
    ACTIONS(8693), 1,
      sym_op_other,
    ACTIONS(8728), 1,
      sym_keyword_not,
    STATE(11264), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8667), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1055), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2503), 19,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324552] = 6,
    ACTIONS(7729), 1,
      sym_keyword_without,
    ACTIONS(8731), 1,
      sym_keyword_with,
    STATE(4682), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1961), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1959), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324607] = 19,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(8663), 1,
      sym_keyword_is,
    ACTIONS(8665), 1,
      anon_sym_LBRACK,
    ACTIONS(8669), 1,
      anon_sym_PLUS,
    ACTIONS(8671), 1,
      anon_sym_DASH,
    ACTIONS(8673), 1,
      anon_sym_SLASH,
    ACTIONS(8675), 1,
      anon_sym_CARET,
    ACTIONS(8677), 1,
      sym_keyword_in,
    ACTIONS(8683), 1,
      sym_keyword_not,
    ACTIONS(8693), 1,
      sym_op_other,
    STATE(11264), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8667), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8691), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1055), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8687), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2642), 11,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      anon_sym_COLON_COLON,
  [324688] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2402), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2400), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324737] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2398), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2396), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324786] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2688), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2690), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [324835] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3649), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3647), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324884] = 6,
    ACTIONS(8736), 1,
      anon_sym_LPAREN,
    STATE(5182), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8734), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1879), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1881), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [324939] = 6,
    ACTIONS(8738), 1,
      anon_sym_LPAREN,
    STATE(5183), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8734), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1889), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1891), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [324994] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3645), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3643), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [325043] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3653), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3651), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [325092] = 17,
    ACTIONS(8663), 1,
      sym_keyword_is,
    ACTIONS(8665), 1,
      anon_sym_LBRACK,
    ACTIONS(8669), 1,
      anon_sym_PLUS,
    ACTIONS(8671), 1,
      anon_sym_DASH,
    ACTIONS(8673), 1,
      anon_sym_SLASH,
    ACTIONS(8675), 1,
      anon_sym_CARET,
    ACTIONS(8677), 1,
      sym_keyword_in,
    ACTIONS(8693), 1,
      sym_op_other,
    ACTIONS(8728), 1,
      sym_keyword_not,
    STATE(11264), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8667), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8691), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1055), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8687), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2503), 14,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COLON_COLON,
  [325169] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3647), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3649), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [325217] = 6,
    ACTIONS(8740), 1,
      sym_keyword_unsigned,
    ACTIONS(8742), 1,
      sym_keyword_zerofill,
    ACTIONS(8744), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1905), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [325271] = 6,
    ACTIONS(8705), 1,
      sym_keyword_unsigned,
    ACTIONS(8707), 1,
      sym_keyword_zerofill,
    ACTIONS(8711), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [325325] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3587), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3589), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [325373] = 4,
    ACTIONS(8746), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3448), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3446), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [325423] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1841), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1839), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [325471] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1845), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1843), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [325519] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3591), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3593), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [325567] = 6,
    ACTIONS(8748), 1,
      sym_keyword_unsigned,
    ACTIONS(8750), 1,
      sym_keyword_zerofill,
    ACTIONS(8752), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1897), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1895), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [325621] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3497), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3499), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [325669] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1849), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1847), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [325717] = 6,
    ACTIONS(8756), 1,
      anon_sym_LPAREN,
    STATE(5668), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8754), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1879), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1881), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [325771] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(8304), 1,
      sym_keyword_in,
    ACTIONS(8306), 1,
      sym_keyword_is,
    ACTIONS(8308), 1,
      sym_keyword_not,
    ACTIONS(8310), 1,
      sym_keyword_between,
    ACTIONS(8318), 1,
      sym_op_other,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_SLASH,
    ACTIONS(8326), 1,
      anon_sym_CARET,
    ACTIONS(8328), 1,
      sym_keyword_and,
    ACTIONS(8647), 1,
      sym_keyword_or,
    ACTIONS(8649), 1,
      anon_sym_COLON_COLON,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8314), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8316), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1378), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8312), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(8758), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [325859] = 6,
    ACTIONS(8760), 1,
      anon_sym_LPAREN,
    STATE(5669), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8754), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1889), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1891), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [325913] = 7,
    ACTIONS(8762), 1,
      sym_keyword_array,
    STATE(5008), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5747), 1,
      sym__array_size_definition,
    STATE(5757), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2833), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2831), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [325969] = 7,
    ACTIONS(8764), 1,
      sym_keyword_array,
    STATE(5020), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5644), 1,
      sym_array_size_definition,
    STATE(5647), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2825), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2827), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [326025] = 7,
    ACTIONS(8764), 1,
      sym_keyword_array,
    STATE(5020), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5647), 1,
      sym__array_size_definition,
    STATE(5676), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2831), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2833), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [326081] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(8304), 1,
      sym_keyword_in,
    ACTIONS(8306), 1,
      sym_keyword_is,
    ACTIONS(8308), 1,
      sym_keyword_not,
    ACTIONS(8310), 1,
      sym_keyword_between,
    ACTIONS(8318), 1,
      sym_op_other,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_SLASH,
    ACTIONS(8326), 1,
      anon_sym_CARET,
    ACTIONS(8328), 1,
      sym_keyword_and,
    ACTIONS(8647), 1,
      sym_keyword_or,
    ACTIONS(8649), 1,
      anon_sym_COLON_COLON,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8314), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8316), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1378), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8312), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(8766), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [326169] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3583), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3585), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [326217] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3603), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3605), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [326265] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3607), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3609), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [326313] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3611), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3613), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [326361] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3595), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3597), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [326409] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1853), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1851), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [326457] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3599), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3601), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [326505] = 7,
    ACTIONS(8768), 1,
      sym_keyword_unsigned,
    ACTIONS(8770), 1,
      sym_keyword_zerofill,
    ACTIONS(8772), 1,
      sym_keyword_precision,
    ACTIONS(8774), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [326561] = 7,
    ACTIONS(8776), 1,
      sym_keyword_array,
    STATE(893), 1,
      sym_array_size_definition,
    STATE(894), 1,
      sym__array_size_definition,
    STATE(5087), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2827), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2825), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [326617] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3501), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3503), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [326665] = 7,
    ACTIONS(8776), 1,
      sym_keyword_array,
    STATE(894), 1,
      sym__array_size_definition,
    STATE(913), 1,
      sym_array_size_definition,
    STATE(5087), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2833), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2831), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [326721] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2503), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2505), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [326769] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3627), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3629), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [326817] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1837), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1835), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [326865] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2821), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2823), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [326913] = 6,
    ACTIONS(8778), 1,
      sym_keyword_unsigned,
    ACTIONS(8780), 1,
      sym_keyword_zerofill,
    ACTIONS(8782), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [326967] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3547), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3549), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327015] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3615), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3617), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327063] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3623), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3625), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327111] = 7,
    ACTIONS(8784), 1,
      sym_keyword_unsigned,
    ACTIONS(8786), 1,
      sym_keyword_zerofill,
    ACTIONS(8788), 1,
      sym_keyword_precision,
    ACTIONS(8790), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [327167] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3571), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3573), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327215] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3563), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3565), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327263] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3575), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3577), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327311] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3493), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3495), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327359] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327407] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(8758), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [327495] = 6,
    ACTIONS(8792), 1,
      sym_keyword_unsigned,
    ACTIONS(8794), 1,
      sym_keyword_zerofill,
    ACTIONS(8796), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327549] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3635), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3637), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327597] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(7023), 1,
      sym_keyword_is,
    ACTIONS(7025), 1,
      anon_sym_LBRACK,
    ACTIONS(7027), 1,
      anon_sym_CARET,
    ACTIONS(7064), 1,
      anon_sym_PLUS,
    ACTIONS(7066), 1,
      anon_sym_DASH,
    ACTIONS(7068), 1,
      anon_sym_SLASH,
    ACTIONS(7070), 1,
      sym_keyword_in,
    ACTIONS(7079), 1,
      sym_op_other,
    ACTIONS(7089), 1,
      sym_keyword_not,
    ACTIONS(7127), 1,
      sym_keyword_and,
    ACTIONS(7129), 1,
      sym_keyword_or,
    ACTIONS(7131), 1,
      sym_keyword_between,
    ACTIONS(7133), 1,
      anon_sym_COLON_COLON,
    STATE(10754), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7062), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7077), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1527), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1526), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7075), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6867), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [327685] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3509), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3511), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327733] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3551), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3553), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327781] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3567), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3569), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327829] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3619), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3621), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327877] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3631), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3633), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327925] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3513), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3515), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327973] = 7,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(4277), 1,
      aux_sym__single_quote_string_token1,
    STATE(5723), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2837), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2835), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [328029] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1867), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1865), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [328077] = 6,
    ACTIONS(8798), 1,
      sym_keyword_unsigned,
    ACTIONS(8800), 1,
      sym_keyword_zerofill,
    ACTIONS(8802), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1857), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1855), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [328131] = 7,
    ACTIONS(8762), 1,
      sym_keyword_array,
    STATE(5008), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5745), 1,
      sym_array_size_definition,
    STATE(5747), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2827), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2825), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [328187] = 5,
    STATE(5218), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8734), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1959), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1961), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328239] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(8766), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [328327] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1839), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1841), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328375] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1843), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1845), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328423] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1847), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1849), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328471] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1851), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1853), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328519] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1835), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1837), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328567] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1865), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1867), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328615] = 6,
    ACTIONS(8804), 1,
      sym_keyword_unsigned,
    ACTIONS(8806), 1,
      sym_keyword_zerofill,
    ACTIONS(8808), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1855), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1857), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328669] = 6,
    ACTIONS(8810), 1,
      sym_keyword_unsigned,
    ACTIONS(8812), 1,
      sym_keyword_zerofill,
    ACTIONS(8814), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1869), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1871), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328723] = 6,
    ACTIONS(8816), 1,
      sym_keyword_unsigned,
    ACTIONS(8818), 1,
      sym_keyword_zerofill,
    ACTIONS(8820), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1815), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1817), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328777] = 6,
    ACTIONS(8822), 1,
      sym_keyword_unsigned,
    ACTIONS(8824), 1,
      sym_keyword_zerofill,
    ACTIONS(8826), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1915), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1917), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328831] = 6,
    ACTIONS(8828), 1,
      sym_keyword_unsigned,
    ACTIONS(8830), 1,
      sym_keyword_zerofill,
    ACTIONS(8832), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1895), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1897), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328885] = 7,
    ACTIONS(8834), 1,
      sym_keyword_with,
    ACTIONS(8836), 1,
      sym_keyword_without,
    ACTIONS(8838), 1,
      anon_sym_LPAREN,
    STATE(5751), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [328941] = 6,
    ACTIONS(8840), 1,
      sym_keyword_unsigned,
    ACTIONS(8842), 1,
      sym_keyword_zerofill,
    ACTIONS(8844), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1905), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1907), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328995] = 6,
    ACTIONS(8713), 1,
      sym_keyword_unsigned,
    ACTIONS(8715), 1,
      sym_keyword_zerofill,
    ACTIONS(8719), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [329049] = 6,
    ACTIONS(8697), 1,
      sym_keyword_with,
    ACTIONS(8699), 1,
      sym_keyword_without,
    STATE(5142), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1957), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1955), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329103] = 6,
    ACTIONS(8697), 1,
      sym_keyword_with,
    ACTIONS(8699), 1,
      sym_keyword_without,
    STATE(5143), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1961), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1959), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329157] = 7,
    ACTIONS(8834), 1,
      sym_keyword_with,
    ACTIONS(8836), 1,
      sym_keyword_without,
    ACTIONS(8846), 1,
      anon_sym_LPAREN,
    STATE(5753), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329213] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3505), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3507), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [329261] = 6,
    ACTIONS(8848), 1,
      sym_keyword_unsigned,
    ACTIONS(8850), 1,
      sym_keyword_zerofill,
    ACTIONS(8852), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1871), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1869), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329315] = 6,
    ACTIONS(8854), 1,
      sym_keyword_unsigned,
    ACTIONS(8856), 1,
      sym_keyword_zerofill,
    ACTIONS(8858), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1817), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1815), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329369] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3643), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3645), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [329417] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3651), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3653), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [329465] = 6,
    ACTIONS(8860), 1,
      sym_keyword_unsigned,
    ACTIONS(8862), 1,
      sym_keyword_zerofill,
    ACTIONS(8864), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1917), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1915), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329519] = 5,
    STATE(5217), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8734), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1955), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1957), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [329571] = 5,
    ACTIONS(8866), 1,
      sym_keyword_filter,
    STATE(5400), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329622] = 6,
    ACTIONS(8868), 1,
      sym_keyword_unsigned,
    ACTIONS(8870), 1,
      sym_keyword_zerofill,
    ACTIONS(8872), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1855), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1857), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [329675] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1845), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1843), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329722] = 5,
    ACTIONS(8866), 1,
      sym_keyword_filter,
    STATE(5366), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2706), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2704), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329773] = 5,
    ACTIONS(8874), 1,
      sym_keyword_unsigned,
    ACTIONS(8876), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1975), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1977), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [329824] = 6,
    ACTIONS(8878), 1,
      sym_keyword_unsigned,
    ACTIONS(8880), 1,
      sym_keyword_zerofill,
    ACTIONS(8882), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1869), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1871), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [329877] = 5,
    ACTIONS(8884), 1,
      sym_keyword_unsigned,
    ACTIONS(8886), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1985), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1983), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329928] = 6,
    ACTIONS(8834), 1,
      sym_keyword_with,
    ACTIONS(8836), 1,
      sym_keyword_without,
    STATE(5577), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1961), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1959), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329981] = 5,
    STATE(5743), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8754), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1955), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1957), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [330032] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1849), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1847), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [330079] = 6,
    ACTIONS(8888), 1,
      sym_keyword_unsigned,
    ACTIONS(8890), 1,
      sym_keyword_zerofill,
    ACTIONS(8892), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1815), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1817), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [330132] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1853), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1851), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [330179] = 6,
    ACTIONS(8894), 1,
      sym_keyword_unsigned,
    ACTIONS(8896), 1,
      sym_keyword_zerofill,
    ACTIONS(8898), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1915), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1917), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [330232] = 5,
    STATE(5744), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8754), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1959), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1961), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [330283] = 6,
    ACTIONS(8900), 1,
      sym_keyword_unsigned,
    ACTIONS(8902), 1,
      sym_keyword_zerofill,
    ACTIONS(8904), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1895), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1897), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [330336] = 6,
    ACTIONS(8906), 1,
      sym_keyword_unsigned,
    ACTIONS(8908), 1,
      sym_keyword_zerofill,
    ACTIONS(8910), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1905), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1907), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [330389] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1837), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1835), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [330436] = 6,
    ACTIONS(8768), 1,
      sym_keyword_unsigned,
    ACTIONS(8770), 1,
      sym_keyword_zerofill,
    ACTIONS(8774), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [330489] = 5,
    ACTIONS(8912), 1,
      sym_keyword_unsigned,
    ACTIONS(8914), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1991), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1993), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [330540] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(8758), 5,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [330627] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1867), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1865), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [330674] = 6,
    ACTIONS(8916), 1,
      sym_keyword_unsigned,
    ACTIONS(8918), 1,
      sym_keyword_zerofill,
    ACTIONS(8920), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1857), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1855), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [330727] = 5,
    ACTIONS(8922), 1,
      sym_keyword_unsigned,
    ACTIONS(8924), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1999), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2001), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [330778] = 5,
    ACTIONS(8926), 1,
      sym_keyword_unsigned,
    ACTIONS(8928), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2007), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [330829] = 6,
    ACTIONS(8930), 1,
      sym_keyword_unsigned,
    ACTIONS(8932), 1,
      sym_keyword_zerofill,
    ACTIONS(8934), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [330882] = 5,
    ACTIONS(8866), 1,
      sym_keyword_filter,
    STATE(5374), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [330933] = 5,
    ACTIONS(8936), 1,
      sym_keyword_unsigned,
    ACTIONS(8938), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2009), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [330984] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(8304), 1,
      sym_keyword_in,
    ACTIONS(8306), 1,
      sym_keyword_is,
    ACTIONS(8308), 1,
      sym_keyword_not,
    ACTIONS(8310), 1,
      sym_keyword_between,
    ACTIONS(8318), 1,
      sym_op_other,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_SLASH,
    ACTIONS(8326), 1,
      anon_sym_CARET,
    ACTIONS(8328), 1,
      sym_keyword_and,
    ACTIONS(8647), 1,
      sym_keyword_or,
    ACTIONS(8649), 1,
      anon_sym_COLON_COLON,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8314), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8316), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1378), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6867), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
    ACTIONS(8312), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331071] = 5,
    ACTIONS(8866), 1,
      sym_keyword_filter,
    STATE(5405), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331122] = 5,
    ACTIONS(8866), 1,
      sym_keyword_filter,
    STATE(5406), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2738), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2736), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331173] = 5,
    ACTIONS(8866), 1,
      sym_keyword_filter,
    STATE(5407), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331224] = 7,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(3895), 1,
      aux_sym__single_quote_string_token1,
    STATE(5899), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2837), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2835), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331279] = 5,
    ACTIONS(8940), 1,
      sym_keyword_precision,
    ACTIONS(8942), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331330] = 5,
    ACTIONS(8944), 1,
      sym_keyword_unsigned,
    ACTIONS(8946), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1939), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1941), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [331381] = 6,
    ACTIONS(8948), 1,
      sym_keyword_unsigned,
    ACTIONS(8950), 1,
      sym_keyword_zerofill,
    ACTIONS(8952), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1871), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1869), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331434] = 7,
    ACTIONS(8954), 1,
      sym_keyword_array,
    STATE(5354), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5885), 1,
      sym_array_size_definition,
    STATE(5886), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2825), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2827), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [331489] = 5,
    ACTIONS(8956), 1,
      sym_keyword_unsigned,
    ACTIONS(8958), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1947), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1949), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [331540] = 5,
    ACTIONS(8960), 1,
      sym_keyword_unsigned,
    ACTIONS(8962), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1977), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1975), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331591] = 7,
    ACTIONS(8954), 1,
      sym_keyword_array,
    STATE(5354), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5886), 1,
      sym__array_size_definition,
    STATE(5912), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2831), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2833), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [331646] = 6,
    ACTIONS(8964), 1,
      sym_keyword_unsigned,
    ACTIONS(8966), 1,
      sym_keyword_zerofill,
    ACTIONS(8968), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1817), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1815), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331699] = 7,
    ACTIONS(8970), 1,
      sym_keyword_array,
    STATE(5337), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5965), 1,
      sym_array_size_definition,
    STATE(5966), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2827), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2825), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331754] = 6,
    ACTIONS(8972), 1,
      sym_keyword_unsigned,
    ACTIONS(8974), 1,
      sym_keyword_zerofill,
    ACTIONS(8976), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1917), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1915), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331807] = 6,
    ACTIONS(8978), 1,
      sym_keyword_unsigned,
    ACTIONS(8980), 1,
      sym_keyword_zerofill,
    ACTIONS(8982), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1897), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1895), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331860] = 6,
    ACTIONS(8984), 1,
      sym_keyword_unsigned,
    ACTIONS(8986), 1,
      sym_keyword_zerofill,
    ACTIONS(8988), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1905), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331913] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1841), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1839), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331960] = 7,
    ACTIONS(8970), 1,
      sym_keyword_array,
    STATE(5337), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5966), 1,
      sym__array_size_definition,
    STATE(6046), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2833), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2831), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332015] = 6,
    ACTIONS(8784), 1,
      sym_keyword_unsigned,
    ACTIONS(8786), 1,
      sym_keyword_zerofill,
    ACTIONS(8790), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332068] = 4,
    ACTIONS(8990), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2015), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332117] = 23,
    ACTIONS(8994), 1,
      sym_keyword_left,
    ACTIONS(8998), 1,
      sym_keyword_inner,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9002), 1,
      sym_keyword_join,
    ACTIONS(9004), 1,
      sym_keyword_natural,
    ACTIONS(9006), 1,
      sym_keyword_where,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9010), 1,
      sym_keyword_group,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    STATE(6397), 1,
      sym_index_hint,
    STATE(6570), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6994), 1,
      sym_where,
    STATE(7083), 1,
      sym_group_by,
    STATE(7305), 1,
      sym_window_clause,
    STATE(7379), 1,
      sym_order_by,
    STATE(7658), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8996), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6395), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8992), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [332204] = 5,
    ACTIONS(9020), 1,
      sym_keyword_unsigned,
    ACTIONS(9022), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1993), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1991), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332255] = 6,
    ACTIONS(9024), 1,
      sym_keyword_unsigned,
    ACTIONS(9026), 1,
      sym_keyword_zerofill,
    ACTIONS(9028), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332308] = 23,
    ACTIONS(8994), 1,
      sym_keyword_left,
    ACTIONS(8998), 1,
      sym_keyword_inner,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9002), 1,
      sym_keyword_join,
    ACTIONS(9004), 1,
      sym_keyword_natural,
    ACTIONS(9006), 1,
      sym_keyword_where,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9010), 1,
      sym_keyword_group,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    STATE(4913), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6400), 1,
      sym_index_hint,
    STATE(7021), 1,
      sym_where,
    STATE(7138), 1,
      sym_group_by,
    STATE(7270), 1,
      sym_window_clause,
    STATE(7484), 1,
      sym_order_by,
    STATE(7642), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8996), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6401), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9030), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [332395] = 5,
    ACTIONS(9032), 1,
      sym_keyword_unsigned,
    ACTIONS(9034), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2001), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1999), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332446] = 23,
    ACTIONS(8994), 1,
      sym_keyword_left,
    ACTIONS(8998), 1,
      sym_keyword_inner,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9002), 1,
      sym_keyword_join,
    ACTIONS(9004), 1,
      sym_keyword_natural,
    ACTIONS(9006), 1,
      sym_keyword_where,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9010), 1,
      sym_keyword_group,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    STATE(6400), 1,
      sym_index_hint,
    STATE(6570), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(7021), 1,
      sym_where,
    STATE(7138), 1,
      sym_group_by,
    STATE(7270), 1,
      sym_window_clause,
    STATE(7484), 1,
      sym_order_by,
    STATE(7642), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8996), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6401), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9030), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [332533] = 5,
    ACTIONS(9036), 1,
      sym_keyword_unsigned,
    ACTIONS(9038), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332584] = 5,
    ACTIONS(9040), 1,
      sym_keyword_unsigned,
    ACTIONS(9042), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1949), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1947), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332635] = 5,
    ACTIONS(9044), 1,
      sym_keyword_unsigned,
    ACTIONS(9046), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1963), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1965), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [332686] = 5,
    ACTIONS(8866), 1,
      sym_keyword_filter,
    STATE(5378), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332737] = 4,
    ACTIONS(9048), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2017), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [332786] = 5,
    ACTIONS(8866), 1,
      sym_keyword_filter,
    STATE(5379), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332837] = 5,
    ACTIONS(9050), 1,
      sym_keyword_varying,
    ACTIONS(9052), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1925), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1927), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [332888] = 5,
    ACTIONS(8866), 1,
      sym_keyword_filter,
    STATE(5380), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332939] = 5,
    ACTIONS(8866), 1,
      sym_keyword_filter,
    STATE(5409), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332990] = 5,
    ACTIONS(8866), 1,
      sym_keyword_filter,
    STATE(5397), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2740), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333041] = 5,
    ACTIONS(8866), 1,
      sym_keyword_filter,
    STATE(5398), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333092] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1386), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1384), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [333139] = 5,
    ACTIONS(9054), 1,
      sym_keyword_unsigned,
    ACTIONS(9056), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1983), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1985), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [333190] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(8766), 5,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [333277] = 23,
    ACTIONS(8994), 1,
      sym_keyword_left,
    ACTIONS(8998), 1,
      sym_keyword_inner,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9002), 1,
      sym_keyword_join,
    ACTIONS(9004), 1,
      sym_keyword_natural,
    ACTIONS(9006), 1,
      sym_keyword_where,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9010), 1,
      sym_keyword_group,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    STATE(4918), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6428), 1,
      sym_index_hint,
    STATE(6992), 1,
      sym_where,
    STATE(7101), 1,
      sym_group_by,
    STATE(7316), 1,
      sym_window_clause,
    STATE(7482), 1,
      sym_order_by,
    STATE(7710), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8996), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6436), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9058), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [333364] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1839), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1841), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [333411] = 5,
    ACTIONS(9060), 1,
      sym_keyword_varying,
    ACTIONS(9062), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1927), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1925), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333462] = 5,
    ACTIONS(8866), 1,
      sym_keyword_filter,
    STATE(5399), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333513] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6867), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [333600] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1382), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333649] = 5,
    ACTIONS(8866), 1,
      sym_keyword_filter,
    STATE(5401), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333700] = 5,
    ACTIONS(8866), 1,
      sym_keyword_filter,
    STATE(5388), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333751] = 5,
    ACTIONS(8866), 1,
      sym_keyword_filter,
    STATE(5389), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2694), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2692), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333802] = 5,
    ACTIONS(8866), 1,
      sym_keyword_filter,
    STATE(5391), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2698), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2696), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333853] = 5,
    ACTIONS(8866), 1,
      sym_keyword_filter,
    STATE(5392), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333904] = 5,
    ACTIONS(8866), 1,
      sym_keyword_filter,
    STATE(5393), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333955] = 6,
    ACTIONS(8834), 1,
      sym_keyword_with,
    ACTIONS(8836), 1,
      sym_keyword_without,
    STATE(5576), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1957), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1955), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [334008] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1843), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1845), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334055] = 5,
    ACTIONS(9064), 1,
      sym_keyword_precision,
    ACTIONS(9066), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334106] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1847), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1849), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334153] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1851), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1853), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334200] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1835), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1837), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334247] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1865), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1867), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334294] = 5,
    ACTIONS(9068), 1,
      sym_keyword_unsigned,
    ACTIONS(9070), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1965), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1963), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [334345] = 4,
    ACTIONS(9072), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2100), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334393] = 4,
    ACTIONS(9074), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2162), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2164), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334441] = 5,
    ACTIONS(9076), 1,
      sym_keyword_filter,
    STATE(5625), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [334491] = 4,
    ACTIONS(9078), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [334539] = 5,
    ACTIONS(9076), 1,
      sym_keyword_filter,
    STATE(5607), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [334589] = 5,
    ACTIONS(9076), 1,
      sym_keyword_filter,
    STATE(5613), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [334639] = 5,
    ACTIONS(9080), 1,
      sym_keyword_unsigned,
    ACTIONS(9082), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2007), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [334689] = 4,
    ACTIONS(9084), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2039), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2041), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334737] = 4,
    ACTIONS(9086), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2041), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2039), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [334785] = 5,
    ACTIONS(9088), 1,
      sym_keyword_unsigned,
    ACTIONS(9090), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1965), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1963), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [334835] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(6867), 4,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [334921] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9094), 1,
      sym_keyword_else,
    ACTIONS(9096), 1,
      sym_keyword_end,
    STATE(10448), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335013] = 5,
    ACTIONS(9098), 1,
      sym_keyword_unsigned,
    ACTIONS(9100), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1975), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1977), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [335063] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9102), 1,
      sym_keyword_else,
    ACTIONS(9104), 1,
      sym_keyword_end,
    STATE(10455), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335155] = 4,
    ACTIONS(9106), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2128), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2126), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335203] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9108), 1,
      sym_keyword_else,
    ACTIONS(9110), 1,
      sym_keyword_end,
    STATE(9847), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335295] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9112), 1,
      sym_keyword_else,
    ACTIONS(9114), 1,
      sym_keyword_end,
    STATE(9850), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335387] = 5,
    ACTIONS(9116), 1,
      sym_keyword_unsigned,
    ACTIONS(9118), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1991), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1993), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [335437] = 5,
    ACTIONS(9120), 1,
      sym_keyword_unsigned,
    ACTIONS(9122), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1999), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2001), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [335487] = 5,
    ACTIONS(9124), 1,
      sym_keyword_unsigned,
    ACTIONS(9126), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1939), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1941), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [335537] = 4,
    ACTIONS(9128), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335585] = 6,
    ACTIONS(9130), 1,
      anon_sym_LBRACK,
    STATE(4974), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5747), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2085), 28,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335637] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9133), 1,
      sym_keyword_else,
    ACTIONS(9135), 1,
      sym_keyword_end,
    STATE(10330), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335729] = 5,
    ACTIONS(9137), 1,
      aux_sym__single_quote_string_token2,
    STATE(5102), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3320), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3318), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335779] = 4,
    ACTIONS(9139), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2182), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2180), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335827] = 4,
    ACTIONS(9141), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335875] = 5,
    ACTIONS(9143), 1,
      sym_keyword_unsigned,
    ACTIONS(9145), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1947), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1949), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [335925] = 5,
    ACTIONS(9147), 1,
      sym_keyword_unsigned,
    ACTIONS(9149), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1963), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1965), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [335975] = 5,
    ACTIONS(9151), 1,
      sym_keyword_unsigned,
    ACTIONS(9153), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1983), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1985), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [336025] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9155), 1,
      sym_keyword_else,
    ACTIONS(9157), 1,
      sym_keyword_end,
    STATE(10397), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336117] = 5,
    ACTIONS(9159), 1,
      sym_keyword_unsigned,
    ACTIONS(9161), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2009), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [336167] = 23,
    ACTIONS(9163), 1,
      sym_keyword_left,
    ACTIONS(9167), 1,
      sym_keyword_inner,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9171), 1,
      sym_keyword_join,
    ACTIONS(9173), 1,
      sym_keyword_natural,
    ACTIONS(9175), 1,
      sym_keyword_where,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9179), 1,
      sym_keyword_group,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(9187), 1,
      anon_sym_COMMA,
    STATE(6473), 1,
      sym_index_hint,
    STATE(6636), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(7060), 1,
      sym_where,
    STATE(7246), 1,
      sym_group_by,
    STATE(7447), 1,
      sym_window_clause,
    STATE(7531), 1,
      sym_order_by,
    STATE(7858), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9165), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9183), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6470), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8992), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [336253] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9189), 1,
      sym_keyword_else,
    ACTIONS(9191), 1,
      sym_keyword_end,
    STATE(10401), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336345] = 5,
    ACTIONS(9076), 1,
      sym_keyword_filter,
    STATE(5521), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336395] = 4,
    ACTIONS(9193), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336443] = 5,
    ACTIONS(9195), 1,
      sym_keyword_unsigned,
    ACTIONS(9197), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1985), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1983), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336493] = 7,
    ACTIONS(9199), 1,
      sym_keyword_unsigned,
    ACTIONS(9201), 1,
      sym_keyword_zerofill,
    ACTIONS(9203), 1,
      sym_keyword_precision,
    ACTIONS(9205), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336547] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9207), 1,
      sym_keyword_else,
    ACTIONS(9209), 1,
      sym_keyword_end,
    STATE(10333), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336639] = 5,
    ACTIONS(9076), 1,
      sym_keyword_filter,
    STATE(5523), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2694), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2692), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336689] = 5,
    ACTIONS(9076), 1,
      sym_keyword_filter,
    STATE(5578), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2698), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2696), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336739] = 4,
    ACTIONS(9211), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336787] = 4,
    ACTIONS(9213), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2168), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2170), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [336835] = 5,
    ACTIONS(9215), 1,
      aux_sym__single_quote_string_token2,
    STATE(4976), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3306), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3304), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336885] = 4,
    ACTIONS(8942), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336933] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9217), 1,
      sym_keyword_else,
    ACTIONS(9219), 1,
      sym_keyword_end,
    STATE(9686), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337025] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9221), 1,
      sym_keyword_else,
    ACTIONS(9223), 1,
      sym_keyword_end,
    STATE(9689), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337117] = 4,
    ACTIONS(9225), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2134), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2132), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337165] = 4,
    ACTIONS(9227), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337213] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9229), 1,
      sym_keyword_else,
    ACTIONS(9231), 1,
      sym_keyword_end,
    STATE(9754), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337305] = 5,
    ACTIONS(9076), 1,
      sym_keyword_filter,
    STATE(5588), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2740), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337355] = 4,
    ACTIONS(9233), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337403] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9235), 1,
      sym_keyword_else,
    ACTIONS(9237), 1,
      sym_keyword_end,
    STATE(9809), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337495] = 5,
    ACTIONS(9076), 1,
      sym_keyword_filter,
    STATE(5696), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337545] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9239), 1,
      sym_keyword_else,
    ACTIONS(9241), 1,
      sym_keyword_end,
    STATE(9755), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337637] = 4,
    ACTIONS(9243), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2047), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2045), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337685] = 5,
    STATE(4974), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5747), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3337), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3335), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337735] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9245), 1,
      sym_keyword_else,
    ACTIONS(9247), 1,
      sym_keyword_end,
    STATE(9810), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337827] = 4,
    ACTIONS(9249), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2106), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2104), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337875] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9251), 1,
      sym_keyword_else,
    ACTIONS(9253), 1,
      sym_keyword_end,
    STATE(9770), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337967] = 4,
    ACTIONS(9255), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(57), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(111), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338015] = 23,
    ACTIONS(9163), 1,
      sym_keyword_left,
    ACTIONS(9167), 1,
      sym_keyword_inner,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9171), 1,
      sym_keyword_join,
    ACTIONS(9173), 1,
      sym_keyword_natural,
    ACTIONS(9175), 1,
      sym_keyword_where,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9179), 1,
      sym_keyword_group,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(9187), 1,
      anon_sym_COMMA,
    STATE(5098), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6468), 1,
      sym_index_hint,
    STATE(7050), 1,
      sym_where,
    STATE(7153), 1,
      sym_group_by,
    STATE(7336), 1,
      sym_window_clause,
    STATE(7533), 1,
      sym_order_by,
    STATE(7788), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9165), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9183), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6467), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9058), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [338101] = 4,
    ACTIONS(9257), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(57), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(111), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338149] = 4,
    ACTIONS(8780), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338197] = 5,
    ACTIONS(9259), 1,
      sym_keyword_precision,
    ACTIONS(9261), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338247] = 7,
    ACTIONS(9263), 1,
      sym_keyword_with,
    ACTIONS(9265), 1,
      sym_keyword_without,
    ACTIONS(9267), 1,
      anon_sym_LPAREN,
    STATE(6179), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338301] = 7,
    ACTIONS(9263), 1,
      sym_keyword_with,
    ACTIONS(9265), 1,
      sym_keyword_without,
    ACTIONS(9269), 1,
      anon_sym_LPAREN,
    STATE(6263), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338355] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9271), 1,
      sym_keyword_else,
    ACTIONS(9273), 1,
      sym_keyword_end,
    STATE(9822), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338447] = 5,
    STATE(5070), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5647), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3335), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3337), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [338497] = 5,
    ACTIONS(9275), 1,
      sym_keyword_precision,
    ACTIONS(9277), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [338547] = 4,
    ACTIONS(9279), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2190), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2192), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [338595] = 4,
    ACTIONS(9281), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2196), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2198), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [338643] = 5,
    ACTIONS(9076), 1,
      sym_keyword_filter,
    STATE(5583), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338693] = 4,
    ACTIONS(9283), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(111), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(57), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [338741] = 5,
    ACTIONS(9076), 1,
      sym_keyword_filter,
    STATE(5585), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338791] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9285), 1,
      sym_keyword_else,
    ACTIONS(9287), 1,
      sym_keyword_end,
    STATE(9796), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338883] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9289), 1,
      sym_keyword_else,
    ACTIONS(9291), 1,
      sym_keyword_end,
    STATE(10167), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338975] = 4,
    ACTIONS(9293), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2045), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2047), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [339023] = 4,
    ACTIONS(9295), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2079), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2081), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [339071] = 4,
    ACTIONS(9297), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2202), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2204), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [339119] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9299), 1,
      sym_keyword_else,
    ACTIONS(9301), 1,
      sym_keyword_end,
    STATE(9771), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339211] = 4,
    ACTIONS(9303), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2073), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2075), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [339259] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9305), 1,
      sym_keyword_else,
    ACTIONS(9307), 1,
      sym_keyword_end,
    STATE(10176), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339351] = 4,
    ACTIONS(9309), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339399] = 4,
    ACTIONS(9311), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2176), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2174), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339447] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9313), 1,
      sym_keyword_else,
    ACTIONS(9315), 1,
      sym_keyword_end,
    STATE(9742), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339539] = 5,
    ACTIONS(9076), 1,
      sym_keyword_filter,
    STATE(5600), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339589] = 4,
    ACTIONS(9317), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2112), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2110), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339637] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9319), 1,
      sym_keyword_else,
    ACTIONS(9321), 1,
      sym_keyword_end,
    STATE(9797), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339729] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(8304), 1,
      sym_keyword_in,
    ACTIONS(8306), 1,
      sym_keyword_is,
    ACTIONS(8308), 1,
      sym_keyword_not,
    ACTIONS(8310), 1,
      sym_keyword_between,
    ACTIONS(8318), 1,
      sym_op_other,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_SLASH,
    ACTIONS(8326), 1,
      anon_sym_CARET,
    ACTIONS(8328), 1,
      sym_keyword_and,
    ACTIONS(8647), 1,
      sym_keyword_or,
    ACTIONS(9323), 1,
      anon_sym_COLON_COLON,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8314), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8316), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(8758), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
    STATE(1378), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8312), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339815] = 4,
    ACTIONS(9325), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2106), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [339863] = 4,
    ACTIONS(9327), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2110), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2112), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [339911] = 5,
    ACTIONS(9076), 1,
      sym_keyword_filter,
    STATE(5614), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339961] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9329), 1,
      sym_keyword_else,
    ACTIONS(9331), 1,
      sym_keyword_end,
    STATE(10467), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340053] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9333), 1,
      sym_keyword_else,
    ACTIONS(9335), 1,
      sym_keyword_end,
    STATE(9708), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340145] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9337), 1,
      sym_keyword_else,
    ACTIONS(9339), 1,
      sym_keyword_end,
    STATE(9711), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340237] = 4,
    ACTIONS(9341), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2015), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340285] = 4,
    ACTIONS(9343), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340333] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9345), 1,
      sym_keyword_else,
    ACTIONS(9347), 1,
      sym_keyword_end,
    STATE(9785), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340425] = 4,
    ACTIONS(9349), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2120), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2122), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [340473] = 4,
    ACTIONS(9351), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2126), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2128), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [340521] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9353), 1,
      sym_keyword_else,
    ACTIONS(9355), 1,
      sym_keyword_end,
    STATE(9824), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340613] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1382), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340661] = 4,
    ACTIONS(9357), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340709] = 4,
    ACTIONS(9359), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2168), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340757] = 4,
    ACTIONS(9361), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340805] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(9363), 1,
      anon_sym_COLON_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(8758), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340891] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2017), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [340937] = 4,
    ACTIONS(9365), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2142), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [340985] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2148), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [341031] = 4,
    ACTIONS(9367), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2150), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2152), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [341079] = 4,
    ACTIONS(9369), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2156), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2158), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [341127] = 4,
    ACTIONS(9371), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2190), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [341175] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2015), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [341221] = 23,
    ACTIONS(9163), 1,
      sym_keyword_left,
    ACTIONS(9167), 1,
      sym_keyword_inner,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9171), 1,
      sym_keyword_join,
    ACTIONS(9173), 1,
      sym_keyword_natural,
    ACTIONS(9175), 1,
      sym_keyword_where,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9179), 1,
      sym_keyword_group,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(9187), 1,
      anon_sym_COMMA,
    STATE(4984), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6469), 1,
      sym_index_hint,
    STATE(7042), 1,
      sym_where,
    STATE(7256), 1,
      sym_group_by,
    STATE(7490), 1,
      sym_window_clause,
    STATE(7585), 1,
      sym_order_by,
    STATE(7758), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9165), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9183), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6477), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9030), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [341307] = 4,
    ACTIONS(9373), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2067), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2069), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [341355] = 5,
    ACTIONS(9076), 1,
      sym_keyword_filter,
    STATE(5622), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2738), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2736), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [341405] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9375), 1,
      sym_keyword_else,
    ACTIONS(9377), 1,
      sym_keyword_end,
    STATE(9825), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [341497] = 6,
    ACTIONS(9379), 1,
      anon_sym_LBRACK,
    STATE(5070), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5647), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2085), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2087), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [341549] = 5,
    ACTIONS(9382), 1,
      sym_keyword_varying,
    ACTIONS(9384), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1927), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1925), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [341599] = 5,
    ACTIONS(9386), 1,
      aux_sym__single_quote_string_token2,
    STATE(5094), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1369), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1367), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [341649] = 4,
    ACTIONS(9388), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [341697] = 4,
    ACTIONS(9390), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2142), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2140), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [341745] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(9363), 1,
      anon_sym_COLON_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(8766), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [341831] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9392), 1,
      sym_keyword_else,
    ACTIONS(9394), 1,
      sym_keyword_end,
    STATE(10190), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [341923] = 5,
    ACTIONS(9396), 1,
      sym_keyword_varying,
    ACTIONS(9398), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1925), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1927), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [341973] = 4,
    ACTIONS(9400), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2122), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2120), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342021] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9402), 1,
      sym_keyword_else,
    ACTIONS(9404), 1,
      sym_keyword_end,
    STATE(9741), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342113] = 4,
    ACTIONS(9406), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342161] = 5,
    ACTIONS(9076), 1,
      sym_keyword_filter,
    STATE(5624), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342211] = 4,
    ACTIONS(9408), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2174), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2176), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [342259] = 4,
    ACTIONS(9410), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2180), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2182), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [342307] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1386), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1384), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [342353] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2148), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2146), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342399] = 4,
    ACTIONS(9412), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342447] = 5,
    STATE(536), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(894), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3337), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3335), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342497] = 4,
    ACTIONS(9414), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342545] = 4,
    ACTIONS(9416), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342593] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9418), 1,
      sym_keyword_else,
    ACTIONS(9420), 1,
      sym_keyword_end,
    STATE(9784), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342685] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(8304), 1,
      sym_keyword_in,
    ACTIONS(8306), 1,
      sym_keyword_is,
    ACTIONS(8308), 1,
      sym_keyword_not,
    ACTIONS(8310), 1,
      sym_keyword_between,
    ACTIONS(8318), 1,
      sym_op_other,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_SLASH,
    ACTIONS(8326), 1,
      anon_sym_CARET,
    ACTIONS(8328), 1,
      sym_keyword_and,
    ACTIONS(8647), 1,
      sym_keyword_or,
    ACTIONS(9323), 1,
      anon_sym_COLON_COLON,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8314), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8316), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(8766), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
    STATE(1378), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8312), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342771] = 5,
    ACTIONS(9422), 1,
      sym_keyword_unsigned,
    ACTIONS(9424), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1977), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1975), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342821] = 5,
    ACTIONS(9076), 1,
      sym_keyword_filter,
    STATE(5697), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342871] = 5,
    ACTIONS(9137), 1,
      aux_sym__single_quote_string_token2,
    STATE(5102), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1363), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1361), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342921] = 4,
    ACTIONS(9426), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2021), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2023), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [342969] = 4,
    ACTIONS(9428), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343017] = 5,
    ACTIONS(9076), 1,
      sym_keyword_filter,
    STATE(5603), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343067] = 23,
    ACTIONS(9163), 1,
      sym_keyword_left,
    ACTIONS(9167), 1,
      sym_keyword_inner,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9171), 1,
      sym_keyword_join,
    ACTIONS(9173), 1,
      sym_keyword_natural,
    ACTIONS(9175), 1,
      sym_keyword_where,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9179), 1,
      sym_keyword_group,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(9187), 1,
      anon_sym_COMMA,
    STATE(6469), 1,
      sym_index_hint,
    STATE(6636), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(7042), 1,
      sym_where,
    STATE(7256), 1,
      sym_group_by,
    STATE(7490), 1,
      sym_window_clause,
    STATE(7585), 1,
      sym_order_by,
    STATE(7758), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9165), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9183), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6477), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9030), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [343153] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2188), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2186), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343199] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9430), 1,
      sym_keyword_else,
    ACTIONS(9432), 1,
      sym_keyword_end,
    STATE(9833), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343291] = 7,
    ACTIONS(9434), 1,
      sym_keyword_unsigned,
    ACTIONS(9436), 1,
      sym_keyword_zerofill,
    ACTIONS(9438), 1,
      sym_keyword_precision,
    ACTIONS(9440), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1803), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [343345] = 5,
    ACTIONS(9442), 1,
      aux_sym__single_quote_string_token2,
    STATE(5102), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1375), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1373), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343395] = 7,
    ACTIONS(9445), 1,
      sym_keyword_with,
    ACTIONS(9447), 1,
      sym_keyword_without,
    ACTIONS(9449), 1,
      anon_sym_LPAREN,
    STATE(6232), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1879), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [343449] = 5,
    ACTIONS(9451), 1,
      sym_keyword_unsigned,
    ACTIONS(9453), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1993), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1991), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343499] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9455), 1,
      sym_keyword_else,
    ACTIONS(9457), 1,
      sym_keyword_end,
    STATE(9726), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343591] = 5,
    ACTIONS(9076), 1,
      sym_keyword_filter,
    STATE(5673), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2706), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2704), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343641] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9459), 1,
      sym_keyword_else,
    ACTIONS(9461), 1,
      sym_keyword_end,
    STATE(9727), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343733] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2186), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2188), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [343779] = 4,
    ACTIONS(9463), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2100), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [343827] = 5,
    ACTIONS(9465), 1,
      sym_keyword_unsigned,
    ACTIONS(9467), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2001), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1999), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343877] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9469), 1,
      sym_keyword_else,
    ACTIONS(9471), 1,
      sym_keyword_end,
    STATE(9834), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343969] = 4,
    ACTIONS(9473), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2031), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2033), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [344017] = 4,
    ACTIONS(9475), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2055), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2057), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [344065] = 4,
    ACTIONS(9477), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2061), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2063), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [344113] = 4,
    ACTIONS(9479), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2067), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2069), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [344161] = 4,
    ACTIONS(9481), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2073), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2075), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [344209] = 4,
    ACTIONS(9066), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [344257] = 5,
    ACTIONS(9483), 1,
      sym_keyword_unsigned,
    ACTIONS(9485), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344307] = 4,
    ACTIONS(9487), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344355] = 4,
    ACTIONS(9489), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344403] = 4,
    ACTIONS(9491), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2132), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2134), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [344451] = 4,
    ACTIONS(9493), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344499] = 26,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9495), 1,
      sym_keyword_else,
    ACTIONS(9497), 1,
      sym_keyword_end,
    STATE(9743), 1,
      aux_sym_case_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344591] = 5,
    ACTIONS(9076), 1,
      sym_keyword_filter,
    STATE(5781), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344641] = 5,
    ACTIONS(9076), 1,
      sym_keyword_filter,
    STATE(5746), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344691] = 5,
    ACTIONS(9499), 1,
      sym_keyword_unsigned,
    ACTIONS(9501), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1949), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1947), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344741] = 4,
    ACTIONS(8794), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [344789] = 4,
    ACTIONS(9503), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2061), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2063), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [344837] = 4,
    ACTIONS(9505), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2079), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2081), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [344885] = 4,
    ACTIONS(9507), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2031), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2033), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [344933] = 4,
    ACTIONS(9509), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2055), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2057), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [344981] = 7,
    ACTIONS(9445), 1,
      sym_keyword_with,
    ACTIONS(9447), 1,
      sym_keyword_without,
    ACTIONS(9511), 1,
      anon_sym_LPAREN,
    STATE(6234), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1889), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [345035] = 4,
    ACTIONS(9513), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2017), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [345083] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2330), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2328), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345128] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2342), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2340), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345173] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2346), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2344), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345218] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2350), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2348), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345263] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2354), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2352), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345308] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2362), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2360), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345353] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2366), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2364), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345398] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2370), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2368), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345443] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2374), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2372), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345488] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2378), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2376), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345533] = 6,
    ACTIONS(9515), 1,
      sym_keyword_unsigned,
    ACTIONS(9517), 1,
      sym_keyword_zerofill,
    ACTIONS(9519), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345584] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345629] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2168), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345674] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2190), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345719] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345764] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345809] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2314), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2312), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345854] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2250), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2248), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345899] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2334), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2332), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345944] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2338), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2336), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345989] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2358), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2356), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346034] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346079] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346124] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2226), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2224), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346169] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2007), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346214] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346259] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2041), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2039), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346304] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2310), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2308), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346349] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2390), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2388), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346394] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2047), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2045), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346439] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2318), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2316), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346484] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2322), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2320), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346529] = 6,
    ACTIONS(9263), 1,
      sym_keyword_with,
    ACTIONS(9265), 1,
      sym_keyword_without,
    STATE(6184), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1957), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1955), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346580] = 6,
    ACTIONS(9263), 1,
      sym_keyword_with,
    ACTIONS(9265), 1,
      sym_keyword_without,
    STATE(6197), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1961), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1959), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346631] = 7,
    ACTIONS(9521), 1,
      sym_keyword_array,
    STATE(5863), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6392), 1,
      sym_array_size_definition,
    STATE(6431), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2827), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2825), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346684] = 7,
    ACTIONS(9521), 1,
      sym_keyword_array,
    STATE(5863), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6402), 1,
      sym_array_size_definition,
    STATE(6431), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2833), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2831), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346737] = 4,
    STATE(5761), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346784] = 4,
    ACTIONS(9523), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(111), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(57), 20,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [346831] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(8304), 1,
      sym_keyword_in,
    ACTIONS(8306), 1,
      sym_keyword_is,
    ACTIONS(8308), 1,
      sym_keyword_not,
    ACTIONS(8310), 1,
      sym_keyword_between,
    ACTIONS(8318), 1,
      sym_op_other,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_SLASH,
    ACTIONS(8326), 1,
      anon_sym_CARET,
    ACTIONS(8328), 1,
      sym_keyword_and,
    ACTIONS(8647), 1,
      sym_keyword_or,
    ACTIONS(8649), 1,
      anon_sym_COLON_COLON,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8314), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8316), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(9525), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1378), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8312), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346916] = 5,
    ACTIONS(9527), 1,
      aux_sym__single_quote_string_token2,
    STATE(5316), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3320), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3318), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346965] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(8304), 1,
      sym_keyword_in,
    ACTIONS(8306), 1,
      sym_keyword_is,
    ACTIONS(8308), 1,
      sym_keyword_not,
    ACTIONS(8310), 1,
      sym_keyword_between,
    ACTIONS(8318), 1,
      sym_op_other,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_SLASH,
    ACTIONS(8326), 1,
      anon_sym_CARET,
    ACTIONS(8328), 1,
      sym_keyword_and,
    ACTIONS(8647), 1,
      sym_keyword_or,
    ACTIONS(8649), 1,
      anon_sym_COLON_COLON,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8314), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8316), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(9529), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1378), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8312), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [347050] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9531), 1,
      anon_sym_RBRACK,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    STATE(10857), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [347139] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2296), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2298), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347184] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2300), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2302), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347229] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2304), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2306), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347274] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347319] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2100), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347364] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347409] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2212), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2214), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347454] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2216), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2218), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347499] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2031), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2033), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347544] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2055), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2057), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347589] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2061), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2063), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347634] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2067), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2069), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347679] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2073), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2075), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347724] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2220), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2222), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347769] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2079), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2081), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347814] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2228), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2230), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347859] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2232), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2234), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347904] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2236), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2238), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347949] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2240), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2242), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347994] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2244), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2246), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348039] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2208), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2210), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348084] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2252), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2254), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348129] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2256), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2258), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348174] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2260), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2262), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348219] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2264), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2266), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348264] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2268), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2270), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348309] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2272), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2274), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348354] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2276), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2278), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348399] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2280), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2282), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348444] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2284), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2286), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348489] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2288), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2290), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348534] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2292), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2294), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348579] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2324), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2326), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348624] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2328), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2330), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348669] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2340), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2342), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348714] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2344), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2346), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348759] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2348), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2350), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348804] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2352), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2354), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348849] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2360), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2362), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348894] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2364), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2366), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348939] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2368), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2370), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348984] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2372), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2374), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349029] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2376), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2378), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349074] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2162), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2164), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349119] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2168), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2170), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349164] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2190), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2192), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349209] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2196), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2198), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349254] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2202), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2204), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349299] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2312), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2314), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349344] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2248), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2250), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349389] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2332), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2334), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349434] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2336), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2338), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349479] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2356), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2358), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349524] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2380), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2382), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349569] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2384), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2386), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349614] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2224), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2226), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349659] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2009), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349704] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2021), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2023), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349749] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2039), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2041), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349794] = 8,
    ACTIONS(9535), 1,
      sym_keyword_array,
    ACTIONS(9537), 1,
      anon_sym_LBRACK,
    STATE(5852), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6407), 1,
      sym__array_size_definition,
    STATE(6475), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2827), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2825), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [349849] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2308), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2310), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349894] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2388), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2390), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349939] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2045), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2047), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349984] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2316), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2318), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [350029] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2320), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2322), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [350074] = 5,
    ACTIONS(9539), 1,
      aux_sym__single_quote_string_token2,
    STATE(5173), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3306), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3304), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350123] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1841), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1839), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [350168] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1845), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1843), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [350213] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1849), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1847), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [350258] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1853), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1851), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [350303] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1837), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1835), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [350348] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1867), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1865), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [350393] = 4,
    ACTIONS(9541), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2106), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2104), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350440] = 4,
    ACTIONS(9543), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2112), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2110), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350487] = 6,
    ACTIONS(9545), 1,
      sym_keyword_unsigned,
    ACTIONS(9547), 1,
      sym_keyword_zerofill,
    ACTIONS(9549), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1857), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1855), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [350538] = 4,
    ACTIONS(9551), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2122), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2120), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350585] = 4,
    ACTIONS(9553), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2128), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2126), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350632] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2015), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350677] = 4,
    ACTIONS(9555), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2142), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2140), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350724] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2148), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2146), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350769] = 4,
    ACTIONS(9557), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350816] = 4,
    ACTIONS(9559), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350863] = 6,
    ACTIONS(9561), 1,
      sym_keyword_unsigned,
    ACTIONS(9563), 1,
      sym_keyword_zerofill,
    ACTIONS(9565), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1871), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1869), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [350914] = 6,
    ACTIONS(9567), 1,
      sym_keyword_unsigned,
    ACTIONS(9569), 1,
      sym_keyword_zerofill,
    ACTIONS(9571), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1817), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1815), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [350965] = 6,
    ACTIONS(9573), 1,
      sym_keyword_unsigned,
    ACTIONS(9575), 1,
      sym_keyword_zerofill,
    ACTIONS(9577), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1917), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1915), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [351016] = 6,
    ACTIONS(9579), 1,
      sym_keyword_unsigned,
    ACTIONS(9581), 1,
      sym_keyword_zerofill,
    ACTIONS(9583), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1897), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1895), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [351067] = 6,
    ACTIONS(9585), 1,
      sym_keyword_unsigned,
    ACTIONS(9587), 1,
      sym_keyword_zerofill,
    ACTIONS(9589), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1905), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [351118] = 6,
    ACTIONS(9434), 1,
      sym_keyword_unsigned,
    ACTIONS(9436), 1,
      sym_keyword_zerofill,
    ACTIONS(9440), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1803), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [351169] = 4,
    ACTIONS(9591), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2176), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2174), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351216] = 4,
    ACTIONS(9593), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2182), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2180), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351263] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2188), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2186), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351308] = 4,
    ACTIONS(9595), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351355] = 4,
    ACTIONS(9597), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351402] = 4,
    ACTIONS(9599), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351449] = 4,
    ACTIONS(9601), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351496] = 4,
    ACTIONS(9603), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351543] = 4,
    ACTIONS(9605), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351590] = 4,
    ACTIONS(9261), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351637] = 8,
    ACTIONS(9535), 1,
      sym_keyword_array,
    ACTIONS(9537), 1,
      anon_sym_LBRACK,
    STATE(5852), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6407), 1,
      sym__array_size_definition,
    STATE(6480), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2833), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2831), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [351692] = 4,
    ACTIONS(9607), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2134), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2132), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351739] = 4,
    ACTIONS(9609), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351786] = 4,
    ACTIONS(9026), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351833] = 4,
    ACTIONS(9611), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351880] = 4,
    ACTIONS(9613), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351927] = 4,
    ACTIONS(9615), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351974] = 4,
    ACTIONS(9617), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352021] = 4,
    ACTIONS(9619), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352068] = 4,
    ACTIONS(9621), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352115] = 6,
    ACTIONS(9623), 1,
      anon_sym_LBRACK,
    STATE(5284), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5966), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2085), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352166] = 4,
    ACTIONS(9626), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352213] = 4,
    ACTIONS(9628), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352260] = 4,
    ACTIONS(9630), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2168), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352307] = 4,
    ACTIONS(9632), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2190), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352354] = 4,
    ACTIONS(9634), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352401] = 4,
    ACTIONS(9636), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352448] = 4,
    ACTIONS(9638), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352495] = 4,
    ACTIONS(9640), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2041), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2039), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352542] = 4,
    ACTIONS(9642), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2047), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2045), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352589] = 4,
    ACTIONS(9644), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2106), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [352636] = 4,
    ACTIONS(9646), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2110), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2112), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [352683] = 4,
    ACTIONS(9648), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3448), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3446), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352730] = 4,
    ACTIONS(9650), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2120), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2122), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [352777] = 4,
    ACTIONS(9652), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2126), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2128), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [352824] = 6,
    ACTIONS(9654), 1,
      sym_keyword_unsigned,
    ACTIONS(9656), 1,
      sym_keyword_zerofill,
    ACTIONS(9658), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1825), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [352875] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2017), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [352920] = 4,
    ACTIONS(9660), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2142), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [352967] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2148), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353012] = 4,
    ACTIONS(9662), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2150), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2152), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353059] = 4,
    ACTIONS(9664), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2156), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2158), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353106] = 5,
    ACTIONS(9527), 1,
      aux_sym__single_quote_string_token2,
    STATE(5316), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1363), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1361), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [353155] = 4,
    ACTIONS(9666), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2174), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2176), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353202] = 4,
    ACTIONS(9668), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2180), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2182), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353249] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2186), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2188), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353294] = 4,
    ACTIONS(9670), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2100), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353341] = 4,
    ACTIONS(9672), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2031), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2033), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353388] = 4,
    ACTIONS(9674), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2055), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2057), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353435] = 4,
    ACTIONS(9676), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2061), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2063), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353482] = 4,
    ACTIONS(9678), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2067), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2069), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353529] = 4,
    ACTIONS(9680), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2073), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2075), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353576] = 4,
    ACTIONS(9277), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353623] = 5,
    ACTIONS(9682), 1,
      aux_sym__single_quote_string_token2,
    STATE(5316), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1375), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1373), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [353672] = 4,
    ACTIONS(9685), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2132), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2134), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353719] = 4,
    ACTIONS(9687), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2100), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353766] = 4,
    ACTIONS(8932), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353813] = 4,
    ACTIONS(9689), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2031), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2033), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353860] = 4,
    ACTIONS(9691), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2055), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2057), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353907] = 4,
    ACTIONS(9693), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2061), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2063), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353954] = 4,
    ACTIONS(9695), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2067), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2069), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [354001] = 4,
    ACTIONS(9697), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2073), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2075), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [354048] = 4,
    ACTIONS(9699), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2079), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2081), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [354095] = 6,
    ACTIONS(9701), 1,
      anon_sym_LBRACK,
    STATE(5326), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5886), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2085), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2087), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [354146] = 4,
    ACTIONS(9704), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2079), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2081), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [354193] = 4,
    ACTIONS(9706), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2162), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2164), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [354240] = 4,
    ACTIONS(9708), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2168), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2170), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [354287] = 4,
    ACTIONS(9710), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2190), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2192), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [354334] = 4,
    ACTIONS(9712), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2196), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2198), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [354381] = 4,
    ACTIONS(9714), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2202), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2204), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [354428] = 4,
    ACTIONS(9716), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2021), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2023), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [354475] = 4,
    ACTIONS(9718), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2039), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2041), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [354522] = 4,
    ACTIONS(9720), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2045), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2047), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [354569] = 5,
    ACTIONS(9722), 1,
      aux_sym__single_quote_string_token2,
    STATE(5305), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1369), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1367), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354618] = 5,
    STATE(5284), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5966), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3337), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3335), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354667] = 4,
    ACTIONS(9724), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(57), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(111), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354714] = 4,
    ACTIONS(9726), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(111), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(57), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [354761] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1386), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [354806] = 6,
    ACTIONS(9445), 1,
      sym_keyword_with,
    ACTIONS(9447), 1,
      sym_keyword_without,
    STATE(6351), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1957), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1955), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [354857] = 6,
    ACTIONS(9445), 1,
      sym_keyword_with,
    ACTIONS(9447), 1,
      sym_keyword_without,
    STATE(6352), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1961), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1959), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [354908] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9728), 1,
      anon_sym_RPAREN,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    STATE(10665), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354997] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(9732), 1,
      anon_sym_RBRACK,
    STATE(10746), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355086] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9734), 1,
      anon_sym_RPAREN,
    STATE(10665), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355175] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9736), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8954), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355262] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9738), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(9598), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355349] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9738), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8906), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355436] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9738), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8907), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355523] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2326), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2324), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355568] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9738), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8944), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355655] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9738), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8945), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355742] = 4,
    STATE(5680), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3481), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3483), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [355789] = 5,
    STATE(5326), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5886), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3335), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3337), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [355838] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9740), 1,
      anon_sym_RPAREN,
    STATE(10763), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355927] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(9742), 1,
      anon_sym_RBRACK,
    STATE(10779), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356016] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9744), 1,
      anon_sym_RPAREN,
    STATE(10763), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356105] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9746), 1,
      anon_sym_RPAREN,
    STATE(10896), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356194] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9748), 1,
      anon_sym_RPAREN,
    STATE(10975), 1,
      sym_not_in,
    STATE(10995), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356283] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(9750), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    STATE(11016), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356372] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9752), 1,
      anon_sym_RPAREN,
    STATE(10975), 1,
      sym_not_in,
    STATE(10995), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356461] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9754), 1,
      anon_sym_RPAREN,
    STATE(10975), 1,
      sym_not_in,
    STATE(11271), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356550] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(9756), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    STATE(11273), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356639] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9758), 1,
      anon_sym_RPAREN,
    STATE(10975), 1,
      sym_not_in,
    STATE(11271), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356728] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2053), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2051), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356773] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2773), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2771), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356818] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9760), 1,
      anon_sym_RPAREN,
    STATE(10975), 1,
      sym_not_in,
    STATE(11377), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356907] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9762), 1,
      anon_sym_RPAREN,
    STATE(10665), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356996] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(9764), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    STATE(11403), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357085] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9736), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(9081), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357172] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9766), 1,
      anon_sym_RPAREN,
    STATE(10975), 1,
      sym_not_in,
    STATE(11377), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357261] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9736), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(9082), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357348] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9736), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(9084), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357435] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357480] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9768), 1,
      anon_sym_RPAREN,
    STATE(10975), 1,
      sym_not_in,
    STATE(11502), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357569] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(9770), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    STATE(11066), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357658] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9772), 1,
      anon_sym_RPAREN,
    STATE(10975), 1,
      sym_not_in,
    STATE(11502), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357747] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357792] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357837] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2777), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2775), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357882] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9774), 1,
      anon_sym_RPAREN,
    STATE(10975), 1,
      sym_not_in,
    STATE(11188), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357971] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(9776), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    STATE(11446), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358060] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9778), 1,
      anon_sym_RPAREN,
    STATE(10975), 1,
      sym_not_in,
    STATE(11188), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358149] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(9525), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358234] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9780), 1,
      anon_sym_RPAREN,
    STATE(10975), 1,
      sym_not_in,
    STATE(11502), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358323] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(9782), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    STATE(11133), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358412] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9784), 1,
      anon_sym_RPAREN,
    STATE(10975), 1,
      sym_not_in,
    STATE(11070), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358501] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358546] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2809), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2807), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358591] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2785), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2783), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358636] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358681] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2787), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358726] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2805), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2803), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358771] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9786), 1,
      anon_sym_RPAREN,
    STATE(10975), 1,
      sym_not_in,
    STATE(11070), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358860] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(9788), 1,
      anon_sym_RBRACK,
    STATE(10625), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358949] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9790), 1,
      anon_sym_RPAREN,
    STATE(10586), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359038] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359083] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2761), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2759), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359128] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2793), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2791), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359173] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359218] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359263] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9792), 1,
      anon_sym_RPAREN,
    STATE(10586), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359352] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(9794), 1,
      anon_sym_RBRACK,
    STATE(10889), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359441] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9796), 1,
      anon_sym_RPAREN,
    STATE(10880), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359530] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2781), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2779), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359575] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359620] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359665] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9798), 1,
      anon_sym_RPAREN,
    STATE(10665), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359754] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2757), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2755), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359799] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9800), 1,
      anon_sym_RPAREN,
    STATE(10880), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359888] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9802), 1,
      anon_sym_RPAREN,
    STATE(10665), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359977] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(9804), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    STATE(11025), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [360066] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9736), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(9150), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [360153] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9806), 1,
      anon_sym_RPAREN,
    STATE(10975), 1,
      sym_not_in,
    STATE(11013), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [360242] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9808), 1,
      anon_sym_RPAREN,
    STATE(10665), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [360331] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9736), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(9152), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [360418] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9810), 1,
      anon_sym_RPAREN,
    STATE(10975), 1,
      sym_not_in,
    STATE(11013), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [360507] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(9812), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    STATE(11145), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [360596] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9814), 1,
      anon_sym_RPAREN,
    STATE(10975), 1,
      sym_not_in,
    STATE(11127), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [360685] = 4,
    ACTIONS(9816), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3448), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3446), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [360732] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9818), 1,
      anon_sym_RPAREN,
    STATE(10975), 1,
      sym_not_in,
    STATE(11127), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [360821] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(9820), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    STATE(11296), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [360910] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9822), 1,
      anon_sym_RPAREN,
    STATE(10975), 1,
      sym_not_in,
    STATE(11276), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [360999] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9824), 1,
      anon_sym_RPAREN,
    STATE(10975), 1,
      sym_not_in,
    STATE(11276), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361088] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(9826), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    STATE(11510), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361177] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9828), 1,
      anon_sym_RPAREN,
    STATE(10975), 1,
      sym_not_in,
    STATE(11479), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361266] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9830), 1,
      anon_sym_RPAREN,
    STATE(10975), 1,
      sym_not_in,
    STATE(11479), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361355] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(9832), 1,
      anon_sym_RBRACK,
    STATE(10581), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361444] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9834), 1,
      anon_sym_RPAREN,
    STATE(10561), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361533] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9836), 1,
      anon_sym_RPAREN,
    STATE(10561), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361622] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(9838), 1,
      anon_sym_RBRACK,
    STATE(10658), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361711] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9840), 1,
      anon_sym_RPAREN,
    STATE(10647), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361800] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9842), 1,
      anon_sym_RPAREN,
    STATE(10561), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361889] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(9844), 1,
      anon_sym_RBRACK,
    STATE(10774), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361978] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9846), 1,
      anon_sym_RPAREN,
    STATE(10768), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362067] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9848), 1,
      anon_sym_RPAREN,
    STATE(10647), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362156] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9850), 1,
      anon_sym_RPAREN,
    STATE(10768), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362245] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9852), 1,
      anon_sym_RPAREN,
    STATE(10665), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362334] = 4,
    STATE(914), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362381] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9854), 1,
      anon_sym_RPAREN,
    STATE(10665), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362470] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9856), 1,
      anon_sym_RPAREN,
    STATE(10665), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362559] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9858), 1,
      anon_sym_RPAREN,
    STATE(10665), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362648] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9860), 1,
      anon_sym_RPAREN,
    STATE(10665), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362737] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9862), 1,
      anon_sym_RPAREN,
    STATE(10665), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362826] = 4,
    ACTIONS(9864), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3446), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3448), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [362873] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(9529), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362958] = 7,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(4097), 1,
      aux_sym__single_quote_string_token1,
    STATE(6456), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2837), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2835), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363011] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(9866), 3,
      sym_keyword_when,
      sym_keyword_else,
      sym_keyword_end,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363096] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9868), 1,
      anon_sym_RPAREN,
    STATE(10665), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363185] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9870), 1,
      anon_sym_RPAREN,
    STATE(10665), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363274] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9363), 1,
      anon_sym_COLON_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8758), 3,
      sym_keyword_create,
      sym_keyword_with,
      anon_sym_RPAREN,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363359] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9363), 1,
      anon_sym_COLON_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8766), 3,
      sym_keyword_create,
      sym_keyword_with,
      anon_sym_RPAREN,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363444] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9872), 1,
      anon_sym_RPAREN,
    STATE(10665), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363533] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9874), 1,
      anon_sym_RPAREN,
    STATE(10665), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363622] = 9,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(7808), 1,
      sym_keyword_as,
    ACTIONS(9880), 1,
      anon_sym_LPAREN,
    STATE(6406), 1,
      sym_identifier,
    STATE(6478), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(9876), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(9878), 25,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [363679] = 23,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(9882), 1,
      sym_keyword_left,
    ACTIONS(9886), 1,
      sym_keyword_inner,
    ACTIONS(9888), 1,
      sym_keyword_join,
    ACTIONS(9890), 1,
      sym_keyword_natural,
    ACTIONS(9892), 1,
      sym_keyword_where,
    ACTIONS(9894), 1,
      sym_keyword_order,
    ACTIONS(9896), 1,
      sym_keyword_group,
    STATE(5458), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6504), 1,
      sym_index_hint,
    STATE(7114), 1,
      sym_where,
    STATE(7281), 1,
      sym_group_by,
    STATE(7482), 1,
      sym_order_by,
    STATE(7494), 1,
      sym_window_clause,
    STATE(7710), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9884), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6505), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9058), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [363764] = 23,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(9882), 1,
      sym_keyword_left,
    ACTIONS(9886), 1,
      sym_keyword_inner,
    ACTIONS(9888), 1,
      sym_keyword_join,
    ACTIONS(9890), 1,
      sym_keyword_natural,
    ACTIONS(9892), 1,
      sym_keyword_where,
    ACTIONS(9894), 1,
      sym_keyword_order,
    ACTIONS(9896), 1,
      sym_keyword_group,
    STATE(5459), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6506), 1,
      sym_index_hint,
    STATE(7117), 1,
      sym_where,
    STATE(7283), 1,
      sym_group_by,
    STATE(7484), 1,
      sym_order_by,
    STATE(7501), 1,
      sym_window_clause,
    STATE(7642), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9884), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6507), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9030), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [363849] = 23,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(9882), 1,
      sym_keyword_left,
    ACTIONS(9886), 1,
      sym_keyword_inner,
    ACTIONS(9888), 1,
      sym_keyword_join,
    ACTIONS(9890), 1,
      sym_keyword_natural,
    ACTIONS(9892), 1,
      sym_keyword_where,
    ACTIONS(9894), 1,
      sym_keyword_order,
    ACTIONS(9896), 1,
      sym_keyword_group,
    STATE(6506), 1,
      sym_index_hint,
    STATE(6570), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(7117), 1,
      sym_where,
    STATE(7283), 1,
      sym_group_by,
    STATE(7484), 1,
      sym_order_by,
    STATE(7501), 1,
      sym_window_clause,
    STATE(7642), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9884), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6507), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9030), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [363934] = 23,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(9882), 1,
      sym_keyword_left,
    ACTIONS(9886), 1,
      sym_keyword_inner,
    ACTIONS(9888), 1,
      sym_keyword_join,
    ACTIONS(9890), 1,
      sym_keyword_natural,
    ACTIONS(9892), 1,
      sym_keyword_where,
    ACTIONS(9894), 1,
      sym_keyword_order,
    ACTIONS(9896), 1,
      sym_keyword_group,
    STATE(6509), 1,
      sym_index_hint,
    STATE(6570), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(7119), 1,
      sym_where,
    STATE(7285), 1,
      sym_group_by,
    STATE(7379), 1,
      sym_order_by,
    STATE(7505), 1,
      sym_window_clause,
    STATE(7658), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9884), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6508), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8992), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [364019] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9898), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(10229), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364106] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9898), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(10230), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364193] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9898), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(10233), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364280] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9900), 1,
      anon_sym_RPAREN,
    STATE(10896), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364369] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9898), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(10241), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364456] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9898), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(10242), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364543] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2298), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2296), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364588] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2302), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2300), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364633] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2306), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2304), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364678] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364723] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1841), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1839), 30,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364768] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1845), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1843), 30,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364813] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1849), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1847), 30,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364858] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1853), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1851), 30,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364903] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1837), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1835), 30,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364948] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1867), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1865), 30,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364993] = 6,
    ACTIONS(9902), 1,
      sym_keyword_unsigned,
    ACTIONS(9904), 1,
      sym_keyword_zerofill,
    ACTIONS(9906), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1857), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1855), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365044] = 6,
    ACTIONS(9908), 1,
      sym_keyword_unsigned,
    ACTIONS(9910), 1,
      sym_keyword_zerofill,
    ACTIONS(9912), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1871), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1869), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365095] = 6,
    ACTIONS(9914), 1,
      sym_keyword_unsigned,
    ACTIONS(9916), 1,
      sym_keyword_zerofill,
    ACTIONS(9918), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1817), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1815), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365146] = 6,
    ACTIONS(9920), 1,
      sym_keyword_unsigned,
    ACTIONS(9922), 1,
      sym_keyword_zerofill,
    ACTIONS(9924), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1917), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1915), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365197] = 6,
    ACTIONS(9926), 1,
      sym_keyword_unsigned,
    ACTIONS(9928), 1,
      sym_keyword_zerofill,
    ACTIONS(9930), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1897), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1895), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365248] = 6,
    ACTIONS(9932), 1,
      sym_keyword_unsigned,
    ACTIONS(9934), 1,
      sym_keyword_zerofill,
    ACTIONS(9936), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1905), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365299] = 6,
    ACTIONS(9199), 1,
      sym_keyword_unsigned,
    ACTIONS(9201), 1,
      sym_keyword_zerofill,
    ACTIONS(9205), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365350] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9898), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(10220), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365437] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365482] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365527] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2214), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2212), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365572] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2218), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2216), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365617] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365662] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365707] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365752] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365797] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365842] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2222), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2220), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365887] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365932] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2230), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2228), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365977] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2234), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2232), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366022] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2238), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2236), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366067] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2242), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2240), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366112] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2246), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2244), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366157] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2210), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2208), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366202] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2254), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2252), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366247] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9938), 1,
      anon_sym_RPAREN,
    STATE(10665), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366336] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9940), 1,
      anon_sym_RPAREN,
    STATE(10665), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366425] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9942), 1,
      anon_sym_RPAREN,
    STATE(10665), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366514] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9944), 1,
      anon_sym_RPAREN,
    STATE(10665), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366603] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9946), 1,
      anon_sym_RPAREN,
    STATE(10665), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366692] = 25,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(9948), 1,
      anon_sym_RPAREN,
    STATE(10665), 1,
      aux_sym_array_repeat1,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366781] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2258), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2256), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366826] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2262), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2260), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366871] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2266), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2264), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366916] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2270), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2268), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366961] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2274), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2272), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367006] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2278), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2276), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367051] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2282), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2280), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367096] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2286), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2284), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367141] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2290), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2288), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367186] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2294), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2292), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367231] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9738), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8908), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367318] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2045), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2047), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [367362] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367406] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367450] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367494] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2809), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2807), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367538] = 5,
    ACTIONS(9950), 1,
      sym_keyword_unsigned,
    ACTIONS(9952), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1977), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1975), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [367586] = 5,
    ACTIONS(9954), 1,
      sym_keyword_unsigned,
    ACTIONS(9956), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1993), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1991), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [367634] = 5,
    ACTIONS(9958), 1,
      sym_keyword_unsigned,
    ACTIONS(9960), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2001), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1999), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [367682] = 5,
    ACTIONS(9962), 1,
      sym_keyword_unsigned,
    ACTIONS(9964), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1939), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [367730] = 5,
    ACTIONS(9966), 1,
      sym_keyword_unsigned,
    ACTIONS(9968), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1949), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1947), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [367778] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2404), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2406), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [367822] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2222), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2220), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367866] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3418), 2,
      sym_keyword_on,
      sym_keyword_using,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367950] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9970), 1,
      anon_sym_RBRACK,
    ACTIONS(9972), 1,
      anon_sym_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368036] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368080] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2785), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2783), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368124] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2230), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2228), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368168] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2234), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2232), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368212] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2238), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2236), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368256] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2242), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2240), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368300] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2246), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2244), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368344] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2210), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2208), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368388] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3420), 2,
      sym_keyword_on,
      sym_keyword_using,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368472] = 5,
    ACTIONS(9974), 1,
      sym_keyword_unsigned,
    ACTIONS(9976), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1965), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1963), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [368520] = 5,
    ACTIONS(9978), 1,
      sym_keyword_unsigned,
    ACTIONS(9980), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1985), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1983), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [368568] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3485), 2,
      sym_keyword_on,
      sym_keyword_using,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368652] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2254), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2252), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368696] = 5,
    ACTIONS(9982), 1,
      sym_keyword_unsigned,
    ACTIONS(9984), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2007), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [368744] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3422), 2,
      sym_keyword_on,
      sym_keyword_using,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368828] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3452), 2,
      sym_keyword_on,
      sym_keyword_using,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368912] = 4,
    STATE(5914), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3481), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3483), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [368958] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2258), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2256), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369002] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2262), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2260), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369046] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2266), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2264), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369090] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9986), 1,
      anon_sym_RBRACK,
    ACTIONS(9988), 1,
      anon_sym_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369176] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2270), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2268), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369220] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2274), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2272), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369264] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2278), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2276), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369308] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2282), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2280), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369352] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2823), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2821), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369396] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9990), 1,
      anon_sym_RBRACK,
    ACTIONS(9992), 1,
      anon_sym_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369482] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2286), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2284), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369526] = 8,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(7808), 1,
      sym_keyword_as,
    STATE(6406), 1,
      sym_identifier,
    STATE(6471), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(9994), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(9996), 25,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [369580] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2290), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2288), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369624] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2294), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2292), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369668] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9998), 1,
      anon_sym_RBRACK,
    ACTIONS(10000), 1,
      anon_sym_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369754] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10002), 1,
      anon_sym_RBRACK,
    ACTIONS(10004), 1,
      anon_sym_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369840] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2326), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2324), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369884] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2330), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2328), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369928] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2342), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2340), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369972] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2346), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2344), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370016] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2350), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2348), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370060] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2354), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2352), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370104] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10006), 1,
      anon_sym_RBRACK,
    ACTIONS(10008), 1,
      anon_sym_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370190] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2362), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2360), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370234] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2366), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2364), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370278] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2370), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2368), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370322] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2374), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2372), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370366] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2378), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2376), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370410] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370454] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10010), 1,
      anon_sym_RBRACK,
    ACTIONS(10012), 1,
      anon_sym_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370540] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370584] = 5,
    ACTIONS(10014), 1,
      sym_keyword_filter,
    STATE(6255), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370632] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2168), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370676] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2787), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370720] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2190), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370764] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2805), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2803), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370808] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10016), 1,
      anon_sym_RBRACK,
    ACTIONS(10018), 1,
      anon_sym_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370894] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370938] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370982] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371026] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2314), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2312), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371070] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10020), 1,
      anon_sym_RBRACK,
    ACTIONS(10022), 1,
      anon_sym_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371156] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2250), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2248), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371200] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2334), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2332), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371244] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2338), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2336), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371288] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2358), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2356), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371332] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371376] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371420] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2226), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2224), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371464] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2007), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371508] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2761), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2759), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371552] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10024), 1,
      anon_sym_RBRACK,
    ACTIONS(10026), 1,
      anon_sym_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371638] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371682] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2793), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2791), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371726] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2041), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2039), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371770] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2310), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2308), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371814] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2390), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2388), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371858] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371902] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2047), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2045), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371946] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2318), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2316), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371990] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10028), 1,
      anon_sym_RBRACK,
    ACTIONS(10030), 1,
      anon_sym_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372076] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2322), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2320), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372120] = 5,
    ACTIONS(10032), 1,
      sym_keyword_precision,
    ACTIONS(10034), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1825), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [372168] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372212] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2781), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2779), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372256] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2296), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2298), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [372300] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2300), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2302), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [372344] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2304), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2306), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [372388] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2298), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2296), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372432] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2302), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2300), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372476] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2306), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2304), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372520] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10036), 1,
      anon_sym_RBRACK,
    ACTIONS(10038), 1,
      anon_sym_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372606] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372650] = 4,
    ACTIONS(10040), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3446), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3448), 19,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [372696] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372740] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2757), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2755), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372784] = 5,
    ACTIONS(10014), 1,
      sym_keyword_filter,
    STATE(6292), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372832] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10042), 1,
      anon_sym_RBRACK,
    ACTIONS(10044), 1,
      anon_sym_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372918] = 5,
    ACTIONS(10046), 1,
      sym_keyword_unsigned,
    ACTIONS(10048), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1977), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1975), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372966] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3649), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3647), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373010] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [373054] = 5,
    ACTIONS(10050), 1,
      sym_keyword_unsigned,
    ACTIONS(10052), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1993), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1991), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373102] = 5,
    ACTIONS(10054), 1,
      sym_keyword_unsigned,
    ACTIONS(10056), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2001), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1999), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373150] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3585), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3583), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373194] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10058), 1,
      anon_sym_RBRACK,
    ACTIONS(10060), 1,
      anon_sym_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373280] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373324] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3605), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3603), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373368] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3609), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3607), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373412] = 5,
    ACTIONS(10062), 1,
      sym_keyword_unsigned,
    ACTIONS(10064), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373460] = 5,
    ACTIONS(10066), 1,
      sym_keyword_unsigned,
    ACTIONS(10068), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1949), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1947), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373508] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10070), 1,
      anon_sym_RBRACK,
    ACTIONS(10072), 1,
      anon_sym_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373594] = 5,
    ACTIONS(10074), 1,
      sym_keyword_unsigned,
    ACTIONS(10076), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1965), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1963), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373642] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3613), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3611), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373686] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373730] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2396), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2398), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [373774] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3601), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3599), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373818] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373862] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2408), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2410), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [373906] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373950] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10078), 1,
      anon_sym_RBRACK,
    ACTIONS(10080), 1,
      anon_sym_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374036] = 5,
    ACTIONS(10082), 1,
      sym_keyword_unsigned,
    ACTIONS(10084), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1985), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1983), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374084] = 5,
    ACTIONS(10086), 1,
      sym_keyword_unsigned,
    ACTIONS(10088), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2007), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374132] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1382), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374178] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10090), 1,
      anon_sym_RBRACK,
    ACTIONS(10092), 1,
      anon_sym_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374264] = 5,
    ACTIONS(10014), 1,
      sym_keyword_filter,
    STATE(6262), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374312] = 5,
    ACTIONS(10014), 1,
      sym_keyword_filter,
    STATE(6328), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374360] = 5,
    ACTIONS(10014), 1,
      sym_keyword_filter,
    STATE(6175), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2738), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2736), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374408] = 24,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10094), 1,
      anon_sym_RBRACK,
    ACTIONS(10096), 1,
      anon_sym_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374494] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2100), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [374538] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1382), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374582] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [374626] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3637), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3635), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374670] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6701), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374754] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3511), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3509), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374798] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3553), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3551), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374842] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3569), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3567), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374886] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3621), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3619), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374930] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3631), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374974] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2212), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2214), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [375018] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2216), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2218), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [375062] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(9525), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375146] = 5,
    ACTIONS(10014), 1,
      sym_keyword_filter,
    STATE(6233), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375194] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2031), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2033), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [375238] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2773), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2771), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375282] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(9529), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375366] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2055), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2057), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [375410] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2392), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [375454] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2061), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2063), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [375498] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3645), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3643), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375542] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3653), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3651), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375586] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2400), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2402), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [375630] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3507), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3505), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375674] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3515), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3513), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375718] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3565), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3563), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375762] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3577), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3575), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375806] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3617), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3615), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375850] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3625), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3623), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375894] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2067), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2069), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [375938] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3629), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3627), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375982] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3495), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3493), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [376026] = 4,
    ACTIONS(10098), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3446), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3448), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [376072] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3499), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3497), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [376116] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3547), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [376160] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3573), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3571), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [376204] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2412), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2414), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [376248] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2073), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2075), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [376292] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [376336] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [376380] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2220), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2222), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [376424] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2079), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2081), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [376468] = 4,
    ACTIONS(57), 1,
      sym_keyword_partition,
    ACTIONS(115), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(111), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_is,
      sym_keyword_using,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_rename,
      sym_keyword_to,
      sym_keyword_owner,
      sym_keyword_returning,
      sym_keyword_wait,
      sym_keyword_nowait,
      sym_keyword_compute,
      sym_keyword_rewrite,
      sym_keyword_partitioned,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [376514] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [376558] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6701), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [376642] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2228), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2230), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [376686] = 8,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(7808), 1,
      sym_keyword_as,
    STATE(6406), 1,
      sym_identifier,
    STATE(6479), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(9876), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(9878), 25,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [376740] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2232), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2234), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [376784] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2236), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2238), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [376828] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2240), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2242), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [376872] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2244), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2246), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [376916] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2208), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2210), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [376960] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2252), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2254), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [377004] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2256), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2258), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [377048] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2260), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2262), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [377092] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2264), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2266), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [377136] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2268), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2270), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [377180] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377224] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3444), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3442), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377268] = 23,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(9187), 1,
      anon_sym_COMMA,
    ACTIONS(10100), 1,
      sym_keyword_left,
    ACTIONS(10104), 1,
      sym_keyword_inner,
    ACTIONS(10106), 1,
      sym_keyword_join,
    ACTIONS(10108), 1,
      sym_keyword_natural,
    ACTIONS(10110), 1,
      sym_keyword_where,
    ACTIONS(10112), 1,
      sym_keyword_order,
    ACTIONS(10114), 1,
      sym_keyword_group,
    STATE(5719), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6557), 1,
      sym_index_hint,
    STATE(7221), 1,
      sym_where,
    STATE(7371), 1,
      sym_group_by,
    STATE(7533), 1,
      sym_order_by,
    STATE(7612), 1,
      sym_window_clause,
    STATE(7788), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10102), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9183), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6558), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9058), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [377352] = 23,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(9187), 1,
      anon_sym_COMMA,
    ACTIONS(10100), 1,
      sym_keyword_left,
    ACTIONS(10104), 1,
      sym_keyword_inner,
    ACTIONS(10106), 1,
      sym_keyword_join,
    ACTIONS(10108), 1,
      sym_keyword_natural,
    ACTIONS(10110), 1,
      sym_keyword_where,
    ACTIONS(10112), 1,
      sym_keyword_order,
    ACTIONS(10114), 1,
      sym_keyword_group,
    STATE(5720), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6559), 1,
      sym_index_hint,
    STATE(7222), 1,
      sym_where,
    STATE(7373), 1,
      sym_group_by,
    STATE(7585), 1,
      sym_order_by,
    STATE(7613), 1,
      sym_window_clause,
    STATE(7758), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10102), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9183), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6560), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9030), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [377436] = 23,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(9187), 1,
      anon_sym_COMMA,
    ACTIONS(10100), 1,
      sym_keyword_left,
    ACTIONS(10104), 1,
      sym_keyword_inner,
    ACTIONS(10106), 1,
      sym_keyword_join,
    ACTIONS(10108), 1,
      sym_keyword_natural,
    ACTIONS(10110), 1,
      sym_keyword_where,
    ACTIONS(10112), 1,
      sym_keyword_order,
    ACTIONS(10114), 1,
      sym_keyword_group,
    STATE(6559), 1,
      sym_index_hint,
    STATE(6636), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(7222), 1,
      sym_where,
    STATE(7373), 1,
      sym_group_by,
    STATE(7585), 1,
      sym_order_by,
    STATE(7613), 1,
      sym_window_clause,
    STATE(7758), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10102), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9183), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6560), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9030), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [377520] = 23,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(9187), 1,
      anon_sym_COMMA,
    ACTIONS(10100), 1,
      sym_keyword_left,
    ACTIONS(10104), 1,
      sym_keyword_inner,
    ACTIONS(10106), 1,
      sym_keyword_join,
    ACTIONS(10108), 1,
      sym_keyword_natural,
    ACTIONS(10110), 1,
      sym_keyword_where,
    ACTIONS(10112), 1,
      sym_keyword_order,
    ACTIONS(10114), 1,
      sym_keyword_group,
    STATE(6562), 1,
      sym_index_hint,
    STATE(6636), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(7223), 1,
      sym_where,
    STATE(7375), 1,
      sym_group_by,
    STATE(7531), 1,
      sym_order_by,
    STATE(7615), 1,
      sym_window_clause,
    STATE(7858), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10102), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9183), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6561), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8992), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [377604] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3477), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3475), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377648] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3589), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3587), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377692] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3593), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3591), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377736] = 5,
    ACTIONS(10014), 1,
      sym_keyword_filter,
    STATE(6282), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2706), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2704), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377784] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2272), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2274), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [377828] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2276), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2278), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [377872] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2280), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2282), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [377916] = 4,
    ACTIONS(10116), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2015), 28,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377962] = 5,
    ACTIONS(10118), 1,
      sym_keyword_varying,
    ACTIONS(10120), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1927), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1925), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378010] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2284), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2286), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [378054] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2288), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2290), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [378098] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2292), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2294), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [378142] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2324), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2326), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [378186] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2328), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2330), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [378230] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2340), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2342), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [378274] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2344), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2346), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [378318] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2348), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2350), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [378362] = 5,
    ACTIONS(10014), 1,
      sym_keyword_filter,
    STATE(6315), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378410] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2352), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2354), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [378454] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2360), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2362), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [378498] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2364), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2366), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [378542] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2368), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2370), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [378586] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2372), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2374), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [378630] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2376), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2378), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [378674] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2398), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2396), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378718] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378762] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2410), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2408), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378806] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2162), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2164), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [378850] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378894] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2168), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2170), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [378938] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2214), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2212), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378982] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2190), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2192), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [379026] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2218), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2216), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379070] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2196), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2198), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [379114] = 4,
    ACTIONS(10122), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2015), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [379160] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2202), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2204), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [379204] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379248] = 5,
    ACTIONS(10014), 1,
      sym_keyword_filter,
    STATE(6332), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379296] = 5,
    ACTIONS(10014), 1,
      sym_keyword_filter,
    STATE(6336), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379344] = 5,
    ACTIONS(10014), 1,
      sym_keyword_filter,
    STATE(6339), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379392] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2402), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2400), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379436] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2412), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379480] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2312), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2314), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [379524] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2248), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2250), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [379568] = 5,
    ACTIONS(10124), 1,
      sym_keyword_precision,
    ACTIONS(10126), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379616] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2332), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2334), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [379660] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2336), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2338), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [379704] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2356), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2358), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [379748] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2380), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2382), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [379792] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2384), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2386), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [379836] = 5,
    ACTIONS(10014), 1,
      sym_keyword_filter,
    STATE(6390), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379884] = 5,
    ACTIONS(10014), 1,
      sym_keyword_filter,
    STATE(6334), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2694), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2692), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379932] = 5,
    ACTIONS(10014), 1,
      sym_keyword_filter,
    STATE(6272), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2698), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2696), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379980] = 5,
    ACTIONS(10014), 1,
      sym_keyword_filter,
    STATE(6313), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380028] = 5,
    ACTIONS(10014), 1,
      sym_keyword_filter,
    STATE(6320), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380076] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2404), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380120] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2224), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2226), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [380164] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2009), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [380208] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380252] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2021), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2023), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [380296] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2777), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2775), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380340] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2039), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2041), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [380384] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2308), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2310), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [380428] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2388), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2390), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [380472] = 5,
    ACTIONS(10014), 1,
      sym_keyword_filter,
    STATE(6190), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380520] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380564] = 5,
    ACTIONS(10014), 1,
      sym_keyword_filter,
    STATE(6324), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2740), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380612] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2316), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2318), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [380656] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2320), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2322), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [380700] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(7663), 1,
      anon_sym_LBRACK,
    ACTIONS(8304), 1,
      sym_keyword_in,
    ACTIONS(8306), 1,
      sym_keyword_is,
    ACTIONS(8308), 1,
      sym_keyword_not,
    ACTIONS(8310), 1,
      sym_keyword_between,
    ACTIONS(8318), 1,
      sym_op_other,
    ACTIONS(8320), 1,
      anon_sym_PLUS,
    ACTIONS(8322), 1,
      anon_sym_DASH,
    ACTIONS(8324), 1,
      anon_sym_SLASH,
    ACTIONS(8326), 1,
      anon_sym_CARET,
    ACTIONS(8328), 1,
      sym_keyword_and,
    ACTIONS(8647), 1,
      sym_keyword_or,
    ACTIONS(8649), 1,
      anon_sym_COLON_COLON,
    STATE(11008), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8314), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8316), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(10128), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1378), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8312), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380784] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2053), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2051), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380828] = 4,
    STATE(6048), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380874] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380918] = 5,
    ACTIONS(10130), 1,
      sym_keyword_varying,
    ACTIONS(10132), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1927), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1925), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [380966] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2051), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2053), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [381010] = 5,
    ACTIONS(10014), 1,
      sym_keyword_filter,
    STATE(6265), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381058] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3408), 2,
      sym_keyword_on,
      sym_keyword_using,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381142] = 4,
    ACTIONS(10134), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3448), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3446), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381188] = 4,
    ACTIONS(10136), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2047), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2045), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381233] = 4,
    ACTIONS(9517), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381278] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10138), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381361] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10140), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381444] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10142), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381527] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(10144), 1,
      anon_sym_RPAREN,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381610] = 4,
    ACTIONS(10146), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2021), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [381655] = 4,
    ACTIONS(10148), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381700] = 4,
    ACTIONS(10150), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2041), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2039), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [381745] = 4,
    ACTIONS(10152), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2047), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2045), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [381790] = 4,
    ACTIONS(10154), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2168), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381835] = 4,
    ACTIONS(10156), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2190), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381880] = 4,
    ACTIONS(10158), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381925] = 4,
    ACTIONS(10160), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381970] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10162), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382053] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10164), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382136] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10166), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382219] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10168), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382302] = 4,
    ACTIONS(10170), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(57), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(111), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382347] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10172), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382430] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10174), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382513] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10176), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382596] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10178), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382679] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10180), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382762] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10182), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382845] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13139), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [382892] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10186), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382975] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10188), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383058] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10190), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383141] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10192), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383224] = 4,
    ACTIONS(10194), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383269] = 4,
    ACTIONS(10196), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2041), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2039), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383314] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10198), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383397] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2188), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2186), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [383440] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10200), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383523] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10202), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383606] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10204), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383689] = 4,
    ACTIONS(10206), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2098), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [383734] = 4,
    ACTIONS(10208), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2031), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [383779] = 4,
    ACTIONS(10210), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2055), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [383824] = 4,
    ACTIONS(10212), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2061), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [383869] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10214), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383952] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10216), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384035] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10218), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384118] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10220), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384201] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10128), 1,
      anon_sym_SEMI,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384284] = 4,
    ACTIONS(10222), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2067), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [384329] = 4,
    ACTIONS(10224), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2073), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [384374] = 4,
    ACTIONS(10034), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1825), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [384419] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10226), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384502] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10228), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384585] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10230), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384668] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10232), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384751] = 6,
    ACTIONS(9537), 1,
      anon_sym_LBRACK,
    STATE(6054), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6407), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3337), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(3335), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [384800] = 4,
    ACTIONS(10234), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2134), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2132), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [384845] = 23,
    ACTIONS(10238), 1,
      sym__identifier,
    ACTIONS(10241), 1,
      sym_keyword_partition,
    ACTIONS(10246), 1,
      sym_keyword_collate,
    ACTIONS(10249), 1,
      sym_keyword_engine,
    ACTIONS(10252), 1,
      sym_keyword_default,
    ACTIONS(10255), 1,
      sym_keyword_with,
    ACTIONS(10258), 1,
      sym_keyword_without,
    ACTIONS(10261), 1,
      sym_keyword_row,
    ACTIONS(10264), 1,
      sym_keyword_stored,
    ACTIONS(10267), 1,
      sym_keyword_tblproperties,
    ACTIONS(10270), 1,
      sym_keyword_location,
    ACTIONS(10273), 1,
      sym_keyword_partitioned,
    ACTIONS(10276), 1,
      sym_keyword_sort,
    ACTIONS(10279), 1,
      sym__double_quote_string,
    ACTIONS(10282), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10285), 1,
      aux_sym_identifier_token1,
    ACTIONS(10288), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10244), 2,
      sym_keyword_create,
      sym_keyword_as,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    ACTIONS(10236), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    STATE(5854), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [384928] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10291), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385011] = 4,
    ACTIONS(10293), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2098), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [385056] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10295), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385139] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10297), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385222] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10299), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385305] = 4,
    ACTIONS(9656), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1825), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [385350] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(14817), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [385397] = 4,
    ACTIONS(10301), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385442] = 5,
    STATE(6012), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6431), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3337), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3335), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385489] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10303), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385572] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10305), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385655] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10307), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385738] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10309), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385821] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10311), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385904] = 4,
    ACTIONS(10313), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2031), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [385949] = 4,
    ACTIONS(10315), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2055), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [385994] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10317), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386077] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10319), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386160] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10321), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386243] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10323), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386326] = 4,
    ACTIONS(10325), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2061), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [386371] = 4,
    ACTIONS(10327), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2106), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2104), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [386416] = 4,
    ACTIONS(10329), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2067), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [386461] = 4,
    ACTIONS(10331), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2112), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2110), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [386506] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386549] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10333), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386632] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10335), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386715] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10337), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386798] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10339), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386881] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3444), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3442), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386924] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2396), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2398), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [386967] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2408), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2410), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [387010] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10341), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387093] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10343), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387176] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10345), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387259] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10347), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387342] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3477), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3475), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387385] = 4,
    ACTIONS(10349), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2073), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [387430] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3589), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3587), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387473] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10351), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387556] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13430), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [387603] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10353), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387686] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10355), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387769] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10357), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387852] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3593), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3591), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387895] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387938] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3649), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3647), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387981] = 4,
    ACTIONS(10359), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2122), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2120), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [388026] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10361), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388109] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10363), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388192] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10365), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388275] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10367), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388358] = 4,
    ACTIONS(10369), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2128), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2126), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [388403] = 4,
    ACTIONS(10371), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388448] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3585), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3583), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388491] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3605), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3603), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388534] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3609), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3607), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388577] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2392), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [388620] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10373), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388703] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2400), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2402), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [388746] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10375), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388829] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10377), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388912] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10379), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388995] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10381), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389078] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2412), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2414), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [389121] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3613), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3611), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389164] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2823), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2821), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389207] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2015), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [389250] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10383), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389333] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10385), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389416] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10387), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389499] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10389), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389582] = 4,
    ACTIONS(10391), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2142), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2140), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [389627] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2148), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2146), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [389670] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3601), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3599), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389713] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389756] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10393), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389839] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10395), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389922] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10397), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390005] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10399), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390088] = 4,
    ACTIONS(10401), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2150), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [390133] = 4,
    ACTIONS(10403), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2156), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [390178] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2404), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2406), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [390221] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390264] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(14776), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [390311] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3637), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3635), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390354] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3511), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3509), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390397] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3553), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3551), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390440] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13508), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [390487] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13875), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [390534] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13990), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [390581] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(12902), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [390628] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3569), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3567), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390671] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3621), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3619), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390714] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3631), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390757] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3645), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3643), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390800] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3653), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3651), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390843] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10405), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390926] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10407), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391009] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3507), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3505), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391052] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3515), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3513), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391095] = 4,
    ACTIONS(10409), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2176), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2174), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [391140] = 4,
    ACTIONS(10411), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2182), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2180), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [391185] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(10413), 1,
      sym_keyword_as,
    ACTIONS(10415), 1,
      anon_sym_COLON_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391268] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3565), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3563), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391311] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3577), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3575), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391354] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 9,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1386), 25,
      sym_keyword_set,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_change,
      sym_keyword_modify,
      sym_keyword_drop,
      sym_keyword_add,
      sym_keyword_column,
      sym_keyword_as,
      sym_keyword_if,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_rename,
      sym_keyword_owner,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [391397] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10417), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391480] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3617), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3615), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391523] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3625), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3623), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391566] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2398), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2396), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391609] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2410), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2408), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391652] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3629), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3627), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391695] = 4,
    ACTIONS(10419), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391740] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10421), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391823] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(12617), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [391870] = 4,
    ACTIONS(10423), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391915] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(12794), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [391962] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(12811), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392009] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(12936), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392056] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8467), 1,
      sym_keyword_not,
    ACTIONS(8469), 1,
      sym_keyword_between,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    ACTIONS(10425), 1,
      anon_sym_RPAREN,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [392139] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13784), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392186] = 4,
    ACTIONS(10427), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [392231] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13871), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392278] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13877), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392325] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13899), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392372] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(14600), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392419] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(14627), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392466] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(14638), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392513] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(14683), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392560] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(14582), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392607] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(12321), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392654] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(12332), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392701] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(12422), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392748] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13599), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392795] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13688), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392842] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13703), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392889] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13754), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392936] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(14413), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392983] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(14419), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [393030] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(14448), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [393077] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10429), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [393160] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(12444), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [393207] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(12490), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [393254] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(12495), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [393301] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(12509), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [393348] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(12807), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [393395] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(12861), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [393442] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(12866), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [393489] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(12879), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [393536] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13255), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [393583] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13292), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [393630] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13314), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [393677] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13341), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [393724] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13608), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [393771] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13632), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [393818] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13636), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [393865] = 6,
    ACTIONS(10431), 1,
      anon_sym_LBRACK,
    STATE(6012), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6431), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2085), 25,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [393914] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13648), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [393961] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10434), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [394044] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13793), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394091] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13810), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394138] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13812), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394185] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13821), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394232] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13941), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394279] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10436), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [394362] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13975), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394409] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13983), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394456] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(14004), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394503] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(14207), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394550] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3495), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3493), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [394593] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(14229), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394640] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(14237), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394687] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(14256), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394734] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(14521), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394781] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(14556), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394828] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(14560), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394875] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(14569), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394922] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(14661), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394969] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(14687), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [395016] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(14692), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [395063] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(14701), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [395110] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3499), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3497), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395153] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(14816), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [395200] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(14833), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [395247] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(14836), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [395294] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(13198), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [395341] = 4,
    ACTIONS(10438), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395386] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(10415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10440), 1,
      sym_keyword_as,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395469] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10442), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395552] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10444), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395635] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395678] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3547), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395721] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2402), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2400), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395764] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2412), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395807] = 5,
    ACTIONS(10446), 1,
      aux_sym__single_quote_string_token2,
    STATE(6055), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3306), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3304), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395854] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1382), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395897] = 4,
    ACTIONS(10448), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2079), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [395942] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3573), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3571), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395985] = 6,
    ACTIONS(10450), 1,
      anon_sym_LBRACK,
    STATE(6054), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6407), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2087), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2085), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [396034] = 5,
    ACTIONS(3403), 1,
      aux_sym__single_quote_string_token2,
    STATE(736), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3320), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3318), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396081] = 4,
    ACTIONS(10453), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2079), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [396126] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(10415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10455), 1,
      sym_keyword_as,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396209] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10457), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396292] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10459), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396375] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(10415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10461), 1,
      sym_keyword_as,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396458] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10463), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396541] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10465), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396624] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(10415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10467), 1,
      sym_keyword_as,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396707] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10469), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396790] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10471), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396873] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(10415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10473), 1,
      sym_keyword_as,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396956] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10475), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397039] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10477), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397122] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(10415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10479), 1,
      sym_keyword_as,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397205] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10481), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397288] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10483), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397371] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(10415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10485), 1,
      sym_keyword_as,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397454] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10487), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397537] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10489), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397620] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(10415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10491), 1,
      sym_keyword_as,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397703] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10493), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397786] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10495), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397869] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(10415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10497), 1,
      sym_keyword_as,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397952] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10499), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398035] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10501), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398118] = 4,
    ACTIONS(10503), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2106), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2104), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398163] = 4,
    ACTIONS(10505), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2112), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2110), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398208] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(10415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10507), 1,
      sym_keyword_as,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398291] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10509), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398374] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10511), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398457] = 7,
    ACTIONS(1885), 1,
      sym_keyword_without,
    ACTIONS(10513), 1,
      sym_keyword_with,
    ACTIONS(10516), 1,
      anon_sym_LPAREN,
    STATE(223), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398508] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(10415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10518), 1,
      sym_keyword_as,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398591] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10520), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398674] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10522), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398757] = 7,
    ACTIONS(1885), 1,
      sym_keyword_without,
    ACTIONS(10524), 1,
      sym_keyword_with,
    ACTIONS(10527), 1,
      anon_sym_LPAREN,
    STATE(224), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398808] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(10415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10529), 1,
      sym_keyword_as,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398891] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10531), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398974] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10533), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399057] = 4,
    ACTIONS(10535), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2122), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2120), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399102] = 4,
    ACTIONS(10537), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2128), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2126), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399147] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(10415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10539), 1,
      sym_keyword_as,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399230] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10541), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399313] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10543), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399396] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2017), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2015), 28,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399439] = 4,
    ACTIONS(10545), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2142), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2140), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399484] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(10415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10547), 1,
      sym_keyword_as,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399567] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10549), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399650] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10551), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399733] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2148), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2146), 28,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399776] = 4,
    ACTIONS(10553), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399821] = 4,
    ACTIONS(10555), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399866] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(10415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10557), 1,
      sym_keyword_as,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399949] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10559), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400032] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10561), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400115] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(10415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10563), 1,
      sym_keyword_as,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400198] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10565), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400281] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10567), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400364] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(10415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10569), 1,
      sym_keyword_as,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400447] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10571), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400530] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10573), 1,
      sym_keyword_then,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400613] = 4,
    ACTIONS(10575), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2176), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2174), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400658] = 4,
    ACTIONS(10577), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2182), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2180), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400703] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2404), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400746] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2188), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2186), 28,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400789] = 4,
    ACTIONS(10579), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400834] = 4,
    ACTIONS(10581), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400879] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10583), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400962] = 4,
    ACTIONS(10585), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401007] = 4,
    ACTIONS(10587), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401052] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10589), 1,
      anon_sym_RBRACK,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401135] = 4,
    ACTIONS(10591), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401180] = 4,
    ACTIONS(10593), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401225] = 4,
    ACTIONS(10595), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401270] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10597), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401353] = 4,
    ACTIONS(10599), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2162), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [401398] = 4,
    ACTIONS(10601), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2168), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [401443] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10603), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401526] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10605), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401609] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10607), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401692] = 4,
    ACTIONS(10609), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2190), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [401737] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10611), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401820] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10613), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401903] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10615), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401986] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10617), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402069] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10619), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402152] = 4,
    ACTIONS(10621), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2196), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [402197] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10623), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402280] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10625), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402363] = 4,
    ACTIONS(10627), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2202), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [402408] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10629), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402491] = 4,
    ACTIONS(10126), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402536] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10631), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402619] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10633), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402702] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10635), 1,
      sym_keyword_end,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402785] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10637), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402868] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10639), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402951] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10641), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403034] = 4,
    ACTIONS(10643), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2134), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2132), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403079] = 23,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10645), 1,
      sym_keyword_when,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403162] = 4,
    ACTIONS(10647), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403207] = 5,
    ACTIONS(10184), 1,
      sym_keyword_limit,
    STATE(14361), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [403254] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403296] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403338] = 5,
    ACTIONS(9537), 1,
      anon_sym_LBRACK,
    STATE(6474), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(3481), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [403384] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2318), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2316), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403426] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10649), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403506] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2222), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2220), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403548] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2322), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2320), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403590] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403632] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10651), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403712] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10653), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403792] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2380), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [403834] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2079), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403876] = 24,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10659), 1,
      sym_keyword_create,
    ACTIONS(10661), 1,
      sym_keyword_as,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10655), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6188), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [403960] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10685), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404040] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2384), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [404082] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2314), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2312), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404124] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2250), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2248), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404166] = 24,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10659), 1,
      sym_keyword_create,
    ACTIONS(10661), 1,
      sym_keyword_as,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10655), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5854), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [404250] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404292] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10687), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404372] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10689), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404452] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10691), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404532] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2214), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2212), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404574] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10693), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404654] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10695), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404734] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2334), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2332), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404776] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10697), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404856] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2374), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2372), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404898] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2226), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2224), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [404940] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2007), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [404982] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10699), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405062] = 24,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(10703), 1,
      sym_keyword_create,
    ACTIONS(10705), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10701), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5854), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [405146] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2098), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [405188] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2761), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2759), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405230] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2230), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2228), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405272] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2234), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2232), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405314] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10707), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405394] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2238), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2236), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405436] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2242), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2240), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405478] = 24,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10711), 1,
      sym_keyword_partition,
    ACTIONS(10713), 1,
      sym_keyword_create,
    ACTIONS(10715), 1,
      sym_keyword_as,
    ACTIONS(10717), 1,
      sym_keyword_collate,
    ACTIONS(10719), 1,
      sym_keyword_engine,
    ACTIONS(10721), 1,
      sym_keyword_default,
    ACTIONS(10723), 1,
      sym_keyword_with,
    ACTIONS(10725), 1,
      sym_keyword_without,
    ACTIONS(10727), 1,
      sym_keyword_row,
    ACTIONS(10729), 1,
      sym_keyword_stored,
    ACTIONS(10731), 1,
      sym_keyword_tblproperties,
    ACTIONS(10733), 1,
      sym_keyword_location,
    ACTIONS(10735), 1,
      sym_keyword_partitioned,
    ACTIONS(10737), 1,
      sym_keyword_sort,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10709), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(12272), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6242), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [405562] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2378), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2376), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405604] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1825), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [405646] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2362), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2360), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405688] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2246), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2244), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405730] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2021), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [405772] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10739), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405852] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2210), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2208), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405894] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10741), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405974] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2254), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2252), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [406016] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10743), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [406096] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2258), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2256), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [406138] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10745), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [406218] = 23,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(10747), 1,
      sym_keyword_left,
    ACTIONS(10751), 1,
      sym_keyword_inner,
    ACTIONS(10753), 1,
      sym_keyword_join,
    ACTIONS(10755), 1,
      sym_keyword_natural,
    ACTIONS(10757), 1,
      sym_keyword_where,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(10761), 1,
      sym_keyword_group,
    ACTIONS(10763), 1,
      sym_keyword_window,
    STATE(6214), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6631), 1,
      sym_index_hint,
    STATE(7369), 1,
      sym_where,
    STATE(7482), 1,
      sym_order_by,
    STATE(7628), 1,
      sym_group_by,
    STATE(7710), 1,
      sym_limit,
    STATE(7991), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10749), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(9058), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6643), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [406300] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2222), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2220), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [406342] = 4,
    STATE(6403), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [406386] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2081), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2079), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [406428] = 23,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(10747), 1,
      sym_keyword_left,
    ACTIONS(10751), 1,
      sym_keyword_inner,
    ACTIONS(10753), 1,
      sym_keyword_join,
    ACTIONS(10755), 1,
      sym_keyword_natural,
    ACTIONS(10757), 1,
      sym_keyword_where,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(10761), 1,
      sym_keyword_group,
    ACTIONS(10763), 1,
      sym_keyword_window,
    STATE(6216), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6638), 1,
      sym_index_hint,
    STATE(7388), 1,
      sym_where,
    STATE(7484), 1,
      sym_order_by,
    STATE(7640), 1,
      sym_group_by,
    STATE(7642), 1,
      sym_limit,
    STATE(7994), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10749), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(9030), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6642), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [406510] = 23,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(10747), 1,
      sym_keyword_left,
    ACTIONS(10751), 1,
      sym_keyword_inner,
    ACTIONS(10753), 1,
      sym_keyword_join,
    ACTIONS(10755), 1,
      sym_keyword_natural,
    ACTIONS(10757), 1,
      sym_keyword_where,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(10761), 1,
      sym_keyword_group,
    ACTIONS(10763), 1,
      sym_keyword_window,
    STATE(6570), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6638), 1,
      sym_index_hint,
    STATE(7388), 1,
      sym_where,
    STATE(7484), 1,
      sym_order_by,
    STATE(7640), 1,
      sym_group_by,
    STATE(7642), 1,
      sym_limit,
    STATE(7994), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10749), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(9030), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6642), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [406592] = 24,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(10767), 1,
      sym_keyword_create,
    ACTIONS(10769), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10765), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5854), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [406676] = 23,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(10747), 1,
      sym_keyword_left,
    ACTIONS(10751), 1,
      sym_keyword_inner,
    ACTIONS(10753), 1,
      sym_keyword_join,
    ACTIONS(10755), 1,
      sym_keyword_natural,
    ACTIONS(10757), 1,
      sym_keyword_where,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(10761), 1,
      sym_keyword_group,
    ACTIONS(10763), 1,
      sym_keyword_window,
    STATE(6570), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6641), 1,
      sym_index_hint,
    STATE(7379), 1,
      sym_order_by,
    STATE(7401), 1,
      sym_where,
    STATE(7652), 1,
      sym_group_by,
    STATE(7658), 1,
      sym_limit,
    STATE(7997), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10749), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(8992), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6639), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [406758] = 24,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10711), 1,
      sym_keyword_partition,
    ACTIONS(10717), 1,
      sym_keyword_collate,
    ACTIONS(10719), 1,
      sym_keyword_engine,
    ACTIONS(10721), 1,
      sym_keyword_default,
    ACTIONS(10723), 1,
      sym_keyword_with,
    ACTIONS(10725), 1,
      sym_keyword_without,
    ACTIONS(10727), 1,
      sym_keyword_row,
    ACTIONS(10729), 1,
      sym_keyword_stored,
    ACTIONS(10731), 1,
      sym_keyword_tblproperties,
    ACTIONS(10733), 1,
      sym_keyword_location,
    ACTIONS(10735), 1,
      sym_keyword_partitioned,
    ACTIONS(10737), 1,
      sym_keyword_sort,
    ACTIONS(10767), 1,
      sym_keyword_create,
    ACTIONS(10771), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10765), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(12272), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6264), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [406842] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10773), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [406922] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(8465), 1,
      sym_keyword_is,
    ACTIONS(8477), 1,
      sym_op_other,
    ACTIONS(8479), 1,
      anon_sym_PLUS,
    ACTIONS(8481), 1,
      anon_sym_DASH,
    ACTIONS(8483), 1,
      anon_sym_SLASH,
    ACTIONS(8485), 1,
      anon_sym_CARET,
    ACTIONS(8487), 1,
      sym_keyword_and,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8726), 1,
      sym_keyword_or,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8473), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8475), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1277), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1276), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8471), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [407002] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2338), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2336), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [407044] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2358), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2356), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [407086] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [407128] = 9,
    ACTIONS(405), 1,
      sym__identifier,
    ACTIONS(10775), 1,
      sym_keyword_as,
    ACTIONS(10777), 1,
      anon_sym_LPAREN,
    STATE(6573), 1,
      sym_identifier,
    STATE(6587), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(463), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(9876), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(9878), 23,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [407182] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10779), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [407262] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [407304] = 23,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10781), 1,
      sym_keyword_set,
    ACTIONS(10783), 1,
      sym_keyword_alter,
    ACTIONS(10785), 1,
      sym_keyword_change,
    ACTIONS(10787), 1,
      sym_keyword_modify,
    ACTIONS(10789), 1,
      sym_keyword_drop,
    ACTIONS(10791), 1,
      sym_keyword_add,
    ACTIONS(10793), 1,
      sym_keyword_column,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(10797), 1,
      sym_keyword_rename,
    ACTIONS(10799), 1,
      sym_keyword_owner,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7839), 1,
      sym__if_not_exists,
    STATE(8381), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10074), 12,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_drop_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [407386] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2230), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2228), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407428] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2262), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2260), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [407470] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2234), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2232), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407512] = 23,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10781), 1,
      sym_keyword_set,
    ACTIONS(10783), 1,
      sym_keyword_alter,
    ACTIONS(10785), 1,
      sym_keyword_change,
    ACTIONS(10787), 1,
      sym_keyword_modify,
    ACTIONS(10789), 1,
      sym_keyword_drop,
    ACTIONS(10791), 1,
      sym_keyword_add,
    ACTIONS(10793), 1,
      sym_keyword_column,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(10797), 1,
      sym_keyword_rename,
    ACTIONS(10799), 1,
      sym_keyword_owner,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7839), 1,
      sym__if_not_exists,
    STATE(8381), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10115), 12,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_drop_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [407594] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1803), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407636] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2214), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2212), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407678] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [407720] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2218), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2216), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407762] = 24,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10659), 1,
      sym_keyword_create,
    ACTIONS(10711), 1,
      sym_keyword_partition,
    ACTIONS(10717), 1,
      sym_keyword_collate,
    ACTIONS(10719), 1,
      sym_keyword_engine,
    ACTIONS(10721), 1,
      sym_keyword_default,
    ACTIONS(10723), 1,
      sym_keyword_with,
    ACTIONS(10725), 1,
      sym_keyword_without,
    ACTIONS(10727), 1,
      sym_keyword_row,
    ACTIONS(10729), 1,
      sym_keyword_stored,
    ACTIONS(10731), 1,
      sym_keyword_tblproperties,
    ACTIONS(10733), 1,
      sym_keyword_location,
    ACTIONS(10735), 1,
      sym_keyword_partitioned,
    ACTIONS(10737), 1,
      sym_keyword_sort,
    ACTIONS(10807), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10655), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(12272), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6358), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [407846] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2226), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2224), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [407888] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2073), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407930] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2031), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407972] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2238), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2236), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [408014] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2075), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2073), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408056] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10809), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408136] = 24,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10659), 1,
      sym_keyword_create,
    ACTIONS(10711), 1,
      sym_keyword_partition,
    ACTIONS(10717), 1,
      sym_keyword_collate,
    ACTIONS(10719), 1,
      sym_keyword_engine,
    ACTIONS(10721), 1,
      sym_keyword_default,
    ACTIONS(10723), 1,
      sym_keyword_with,
    ACTIONS(10725), 1,
      sym_keyword_without,
    ACTIONS(10727), 1,
      sym_keyword_row,
    ACTIONS(10729), 1,
      sym_keyword_stored,
    ACTIONS(10731), 1,
      sym_keyword_tblproperties,
    ACTIONS(10733), 1,
      sym_keyword_location,
    ACTIONS(10735), 1,
      sym_keyword_partitioned,
    ACTIONS(10737), 1,
      sym_keyword_sort,
    ACTIONS(10807), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10655), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(12272), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6264), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [408220] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2242), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2240), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [408262] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10811), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408342] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10813), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408422] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2298), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2296), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408464] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2314), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2312), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [408506] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2041), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2039), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [408548] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408590] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2302), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2300), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408632] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2246), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2244), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [408674] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2306), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2304), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408716] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2310), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2308), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [408758] = 23,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10781), 1,
      sym_keyword_set,
    ACTIONS(10783), 1,
      sym_keyword_alter,
    ACTIONS(10785), 1,
      sym_keyword_change,
    ACTIONS(10787), 1,
      sym_keyword_modify,
    ACTIONS(10789), 1,
      sym_keyword_drop,
    ACTIONS(10791), 1,
      sym_keyword_add,
    ACTIONS(10793), 1,
      sym_keyword_column,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(10797), 1,
      sym_keyword_rename,
    ACTIONS(10799), 1,
      sym_keyword_owner,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7839), 1,
      sym__if_not_exists,
    STATE(8381), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10396), 12,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_drop_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [408840] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2757), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2755), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408882] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2055), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [408924] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2266), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2264), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408966] = 4,
    ACTIONS(10815), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3448), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3446), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409010] = 24,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(10703), 1,
      sym_keyword_create,
    ACTIONS(10705), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10701), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6215), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [409094] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2270), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2268), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409136] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2009), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2007), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409178] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409220] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2218), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2216), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409262] = 23,
    ACTIONS(10238), 1,
      sym__identifier,
    ACTIONS(10279), 1,
      sym__double_quote_string,
    ACTIONS(10282), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10285), 1,
      aux_sym_identifier_token1,
    ACTIONS(10288), 1,
      sym__dollar_quoted_string,
    ACTIONS(10817), 1,
      sym_keyword_partition,
    ACTIONS(10820), 1,
      sym_keyword_collate,
    ACTIONS(10823), 1,
      sym_keyword_engine,
    ACTIONS(10826), 1,
      sym_keyword_default,
    ACTIONS(10829), 1,
      sym_keyword_with,
    ACTIONS(10832), 1,
      sym_keyword_without,
    ACTIONS(10835), 1,
      sym_keyword_row,
    ACTIONS(10838), 1,
      sym_keyword_stored,
    ACTIONS(10841), 1,
      sym_keyword_tblproperties,
    ACTIONS(10844), 1,
      sym_keyword_location,
    ACTIONS(10847), 1,
      sym_keyword_partitioned,
    ACTIONS(10850), 1,
      sym_keyword_sort,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10236), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(10244), 2,
      sym_keyword_create,
      sym_keyword_as,
    STATE(12272), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6264), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [409344] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2793), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2791), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409386] = 7,
    ACTIONS(2815), 1,
      sym_keyword_without,
    ACTIONS(10853), 1,
      sym_keyword_with,
    ACTIONS(10856), 1,
      anon_sym_LPAREN,
    STATE(849), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 24,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409436] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2061), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [409478] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10858), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409558] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10860), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409638] = 7,
    ACTIONS(2815), 1,
      sym_keyword_without,
    ACTIONS(10862), 1,
      sym_keyword_with,
    ACTIONS(10865), 1,
      anon_sym_LPAREN,
    STATE(850), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 24,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409688] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2390), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2388), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [409730] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409772] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10867), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409852] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10869), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409932] = 23,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    ACTIONS(10871), 1,
      sym_keyword_set,
    ACTIONS(10873), 1,
      sym_keyword_alter,
    ACTIONS(10875), 1,
      sym_keyword_change,
    ACTIONS(10877), 1,
      sym_keyword_modify,
    ACTIONS(10879), 1,
      sym_keyword_drop,
    ACTIONS(10881), 1,
      sym_keyword_add,
    ACTIONS(10883), 1,
      sym_keyword_column,
    ACTIONS(10885), 1,
      sym_keyword_rename,
    ACTIONS(10887), 1,
      sym_keyword_owner,
    STATE(34), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7801), 1,
      sym__if_not_exists,
    STATE(8801), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10305), 12,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_drop_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [410014] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10889), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410094] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10891), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410174] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410216] = 23,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    ACTIONS(10871), 1,
      sym_keyword_set,
    ACTIONS(10873), 1,
      sym_keyword_alter,
    ACTIONS(10875), 1,
      sym_keyword_change,
    ACTIONS(10877), 1,
      sym_keyword_modify,
    ACTIONS(10879), 1,
      sym_keyword_drop,
    ACTIONS(10881), 1,
      sym_keyword_add,
    ACTIONS(10883), 1,
      sym_keyword_column,
    ACTIONS(10885), 1,
      sym_keyword_rename,
    ACTIONS(10887), 1,
      sym_keyword_owner,
    STATE(34), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7801), 1,
      sym__if_not_exists,
    STATE(8801), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11110), 12,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_drop_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [410298] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10893), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410378] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10895), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410458] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2773), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2771), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410500] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2210), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2208), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [410542] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2354), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2352), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410584] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2358), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2356), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [410626] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10897), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410706] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2067), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410748] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2254), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2252), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [410790] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2258), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2256), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [410832] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2262), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2260), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [410874] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2266), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2264), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [410916] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410958] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10899), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [411038] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2250), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2248), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [411080] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2270), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2268), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [411122] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2274), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2272), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [411164] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2041), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2039), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [411206] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10901), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [411286] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2278), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2276), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [411328] = 23,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10781), 1,
      sym_keyword_set,
    ACTIONS(10785), 1,
      sym_keyword_change,
    ACTIONS(10787), 1,
      sym_keyword_modify,
    ACTIONS(10789), 1,
      sym_keyword_drop,
    ACTIONS(10791), 1,
      sym_keyword_add,
    ACTIONS(10793), 1,
      sym_keyword_column,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(10797), 1,
      sym_keyword_rename,
    ACTIONS(10799), 1,
      sym_keyword_owner,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    ACTIONS(10903), 1,
      sym_keyword_alter,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7839), 1,
      sym__if_not_exists,
    STATE(8381), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11238), 12,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_drop_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [411410] = 23,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10781), 1,
      sym_keyword_set,
    ACTIONS(10785), 1,
      sym_keyword_change,
    ACTIONS(10787), 1,
      sym_keyword_modify,
    ACTIONS(10789), 1,
      sym_keyword_drop,
    ACTIONS(10791), 1,
      sym_keyword_add,
    ACTIONS(10793), 1,
      sym_keyword_column,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(10797), 1,
      sym_keyword_rename,
    ACTIONS(10799), 1,
      sym_keyword_owner,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    ACTIONS(10903), 1,
      sym_keyword_alter,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7839), 1,
      sym__if_not_exists,
    STATE(8381), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10115), 12,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_drop_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [411492] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2282), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2280), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [411534] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10905), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [411614] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2286), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2284), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [411656] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2290), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2288), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [411698] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2294), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2292), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [411740] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2274), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2272), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [411782] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2278), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2276), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [411824] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2282), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2280), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [411866] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2286), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2284), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [411908] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2290), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2288), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [411950] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2294), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2292), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [411992] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2787), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412034] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2326), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2324), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [412076] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412118] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2330), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2328), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [412160] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2033), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2031), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412202] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2310), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2308), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412244] = 23,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    ACTIONS(10871), 1,
      sym_keyword_set,
    ACTIONS(10873), 1,
      sym_keyword_alter,
    ACTIONS(10875), 1,
      sym_keyword_change,
    ACTIONS(10877), 1,
      sym_keyword_modify,
    ACTIONS(10879), 1,
      sym_keyword_drop,
    ACTIONS(10881), 1,
      sym_keyword_add,
    ACTIONS(10883), 1,
      sym_keyword_column,
    ACTIONS(10885), 1,
      sym_keyword_rename,
    ACTIONS(10887), 1,
      sym_keyword_owner,
    STATE(34), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7801), 1,
      sym__if_not_exists,
    STATE(8801), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10147), 12,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_drop_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [412326] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2805), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2803), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412368] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2390), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2388), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412410] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2298), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2296), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [412452] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10907), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412532] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412574] = 23,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    ACTIONS(10871), 1,
      sym_keyword_set,
    ACTIONS(10873), 1,
      sym_keyword_alter,
    ACTIONS(10875), 1,
      sym_keyword_change,
    ACTIONS(10877), 1,
      sym_keyword_modify,
    ACTIONS(10879), 1,
      sym_keyword_drop,
    ACTIONS(10881), 1,
      sym_keyword_add,
    ACTIONS(10883), 1,
      sym_keyword_column,
    ACTIONS(10885), 1,
      sym_keyword_rename,
    ACTIONS(10887), 1,
      sym_keyword_owner,
    STATE(34), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7801), 1,
      sym__if_not_exists,
    STATE(8801), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10225), 12,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_drop_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [412656] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2063), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2061), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412698] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10909), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412778] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2781), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2779), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412820] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2302), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2300), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [412862] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10911), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412942] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10913), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [413022] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [413064] = 22,
    ACTIONS(2489), 1,
      sym_keyword_is,
    ACTIONS(2495), 1,
      anon_sym_PLUS,
    ACTIONS(2497), 1,
      anon_sym_DASH,
    ACTIONS(2499), 1,
      anon_sym_SLASH,
    ACTIONS(2501), 1,
      anon_sym_CARET,
    ACTIONS(2617), 1,
      sym_keyword_in,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2631), 1,
      sym_op_other,
    ACTIONS(2633), 1,
      sym_keyword_and,
    ACTIONS(3559), 1,
      sym_keyword_or,
    ACTIONS(3561), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2629), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1103), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1102), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2627), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [413144] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2809), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2807), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [413186] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2342), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2340), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [413228] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [413270] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2346), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2344), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [413312] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2350), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2348), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [413354] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2777), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2775), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [413396] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2047), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2045), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [413438] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10915), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [413518] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2318), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2316), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [413560] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2354), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2352), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [413602] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2362), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2360), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [413644] = 6,
    ACTIONS(1885), 1,
      sym_keyword_without,
    ACTIONS(10917), 1,
      sym_keyword_with,
    STATE(275), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1957), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1955), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [413692] = 23,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10781), 1,
      sym_keyword_set,
    ACTIONS(10785), 1,
      sym_keyword_change,
    ACTIONS(10787), 1,
      sym_keyword_modify,
    ACTIONS(10789), 1,
      sym_keyword_drop,
    ACTIONS(10791), 1,
      sym_keyword_add,
    ACTIONS(10793), 1,
      sym_keyword_column,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(10797), 1,
      sym_keyword_rename,
    ACTIONS(10799), 1,
      sym_keyword_owner,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    ACTIONS(10903), 1,
      sym_keyword_alter,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7839), 1,
      sym__if_not_exists,
    STATE(8381), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11338), 12,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_drop_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [413774] = 23,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10781), 1,
      sym_keyword_set,
    ACTIONS(10785), 1,
      sym_keyword_change,
    ACTIONS(10787), 1,
      sym_keyword_modify,
    ACTIONS(10789), 1,
      sym_keyword_drop,
    ACTIONS(10791), 1,
      sym_keyword_add,
    ACTIONS(10793), 1,
      sym_keyword_column,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(10797), 1,
      sym_keyword_rename,
    ACTIONS(10799), 1,
      sym_keyword_owner,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    ACTIONS(10903), 1,
      sym_keyword_alter,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7839), 1,
      sym__if_not_exists,
    STATE(8381), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11350), 12,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_drop_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [413856] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2366), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2364), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [413898] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2326), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2324), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [413940] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2370), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2368), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [413982] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2374), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2372), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [414024] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2378), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2376), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [414066] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2322), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2320), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [414108] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2162), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [414150] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2168), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414192] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2168), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [414234] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2069), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2067), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [414276] = 24,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10703), 1,
      sym_keyword_create,
    ACTIONS(10711), 1,
      sym_keyword_partition,
    ACTIONS(10717), 1,
      sym_keyword_collate,
    ACTIONS(10719), 1,
      sym_keyword_engine,
    ACTIONS(10721), 1,
      sym_keyword_default,
    ACTIONS(10723), 1,
      sym_keyword_with,
    ACTIONS(10725), 1,
      sym_keyword_without,
    ACTIONS(10727), 1,
      sym_keyword_row,
    ACTIONS(10729), 1,
      sym_keyword_stored,
    ACTIONS(10731), 1,
      sym_keyword_tblproperties,
    ACTIONS(10733), 1,
      sym_keyword_location,
    ACTIONS(10735), 1,
      sym_keyword_partitioned,
    ACTIONS(10737), 1,
      sym_keyword_sort,
    ACTIONS(10920), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10701), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(12272), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6264), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [414360] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2306), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2304), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [414402] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2785), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2783), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414444] = 24,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10703), 1,
      sym_keyword_create,
    ACTIONS(10711), 1,
      sym_keyword_partition,
    ACTIONS(10717), 1,
      sym_keyword_collate,
    ACTIONS(10719), 1,
      sym_keyword_engine,
    ACTIONS(10721), 1,
      sym_keyword_default,
    ACTIONS(10723), 1,
      sym_keyword_with,
    ACTIONS(10725), 1,
      sym_keyword_without,
    ACTIONS(10727), 1,
      sym_keyword_row,
    ACTIONS(10729), 1,
      sym_keyword_stored,
    ACTIONS(10731), 1,
      sym_keyword_tblproperties,
    ACTIONS(10733), 1,
      sym_keyword_location,
    ACTIONS(10735), 1,
      sym_keyword_partitioned,
    ACTIONS(10737), 1,
      sym_keyword_sort,
    ACTIONS(10920), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10701), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(12272), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6217), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [414528] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2330), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2328), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414570] = 23,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10781), 1,
      sym_keyword_set,
    ACTIONS(10783), 1,
      sym_keyword_alter,
    ACTIONS(10785), 1,
      sym_keyword_change,
    ACTIONS(10787), 1,
      sym_keyword_modify,
    ACTIONS(10789), 1,
      sym_keyword_drop,
    ACTIONS(10791), 1,
      sym_keyword_add,
    ACTIONS(10793), 1,
      sym_keyword_column,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(10797), 1,
      sym_keyword_rename,
    ACTIONS(10799), 1,
      sym_keyword_owner,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7839), 1,
      sym__if_not_exists,
    STATE(8381), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9996), 12,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_drop_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [414652] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2342), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2340), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414694] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10922), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414774] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2346), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2344), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414816] = 6,
    ACTIONS(1885), 1,
      sym_keyword_without,
    ACTIONS(10924), 1,
      sym_keyword_with,
    STATE(276), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1961), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1959), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414864] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2190), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [414906] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2047), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2045), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414948] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10927), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415028] = 24,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(10713), 1,
      sym_keyword_create,
    ACTIONS(10929), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10709), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6174), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [415112] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2196), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [415154] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2190), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415196] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10931), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415276] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2366), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2364), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415318] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10933), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415398] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10935), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415478] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(4628), 1,
      sym_keyword_and,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415558] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415600] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10937), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415680] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2370), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2368), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415722] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10939), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415802] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(4582), 1,
      sym_keyword_is,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      anon_sym_PLUS,
    ACTIONS(4590), 1,
      anon_sym_DASH,
    ACTIONS(4592), 1,
      anon_sym_SLASH,
    ACTIONS(4594), 1,
      anon_sym_CARET,
    ACTIONS(4616), 1,
      sym_keyword_in,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    ACTIONS(4626), 1,
      sym_op_other,
    ACTIONS(8659), 1,
      sym_keyword_or,
    ACTIONS(8661), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10941), 1,
      sym_keyword_and,
    STATE(10975), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4586), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4624), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1163), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1162), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4622), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415882] = 22,
    ACTIONS(2625), 1,
      sym_keyword_similar,
    ACTIONS(2946), 1,
      sym_keyword_is,
    ACTIONS(2952), 1,
      anon_sym_PLUS,
    ACTIONS(2954), 1,
      anon_sym_DASH,
    ACTIONS(2956), 1,
      anon_sym_SLASH,
    ACTIONS(2958), 1,
      anon_sym_CARET,
    ACTIONS(2960), 1,
      sym_keyword_in,
    ACTIONS(2970), 1,
      sym_op_other,
    ACTIONS(2972), 1,
      sym_keyword_and,
    ACTIONS(4243), 1,
      sym_keyword_or,
    ACTIONS(4245), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4584), 1,
      anon_sym_LBRACK,
    ACTIONS(4618), 1,
      sym_keyword_not,
    ACTIONS(4620), 1,
      sym_keyword_between,
    STATE(10547), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2950), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2968), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1449), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1448), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2966), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415962] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2334), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2332), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [416004] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2202), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [416046] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2100), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2098), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [416088] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2338), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2336), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [416130] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2350), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2348), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [416172] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [416214] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2057), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2055), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [416256] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2398), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2396), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [416297] = 24,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(10943), 1,
      sym_keyword_as,
    ACTIONS(10945), 1,
      anon_sym_LPAREN,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(6361), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6486), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [416380] = 24,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(10947), 1,
      sym_keyword_as,
    ACTIONS(10949), 1,
      anon_sym_LPAREN,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(6259), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6513), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [416463] = 19,
    ACTIONS(8994), 1,
      sym_keyword_left,
    ACTIONS(8998), 1,
      sym_keyword_inner,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9002), 1,
      sym_keyword_join,
    ACTIONS(9004), 1,
      sym_keyword_natural,
    ACTIONS(9006), 1,
      sym_keyword_where,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9010), 1,
      sym_keyword_group,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    STATE(7015), 1,
      sym_where,
    STATE(7092), 1,
      sym_group_by,
    STATE(7259), 1,
      sym_window_clause,
    STATE(7381), 1,
      sym_order_by,
    STATE(7733), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8996), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6632), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10951), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [416536] = 19,
    ACTIONS(8994), 1,
      sym_keyword_left,
    ACTIONS(8998), 1,
      sym_keyword_inner,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9002), 1,
      sym_keyword_join,
    ACTIONS(9004), 1,
      sym_keyword_natural,
    ACTIONS(9006), 1,
      sym_keyword_where,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9010), 1,
      sym_keyword_group,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    STATE(6975), 1,
      sym_where,
    STATE(7099), 1,
      sym_group_by,
    STATE(7276), 1,
      sym_window_clause,
    STATE(7412), 1,
      sym_order_by,
    STATE(7650), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8996), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6632), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10953), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [416609] = 19,
    ACTIONS(8994), 1,
      sym_keyword_left,
    ACTIONS(8998), 1,
      sym_keyword_inner,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9002), 1,
      sym_keyword_join,
    ACTIONS(9004), 1,
      sym_keyword_natural,
    ACTIONS(9006), 1,
      sym_keyword_where,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9010), 1,
      sym_keyword_group,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    STATE(7015), 1,
      sym_where,
    STATE(7092), 1,
      sym_group_by,
    STATE(7259), 1,
      sym_window_clause,
    STATE(7381), 1,
      sym_order_by,
    STATE(7733), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8996), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6396), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10951), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [416682] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10955), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [416721] = 24,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(10949), 1,
      anon_sym_LPAREN,
    ACTIONS(10957), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(6169), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6487), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [416804] = 19,
    ACTIONS(8994), 1,
      sym_keyword_left,
    ACTIONS(8998), 1,
      sym_keyword_inner,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9002), 1,
      sym_keyword_join,
    ACTIONS(9004), 1,
      sym_keyword_natural,
    ACTIONS(9006), 1,
      sym_keyword_where,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9010), 1,
      sym_keyword_group,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    STATE(6994), 1,
      sym_where,
    STATE(7083), 1,
      sym_group_by,
    STATE(7305), 1,
      sym_window_clause,
    STATE(7379), 1,
      sym_order_by,
    STATE(7658), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8996), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6395), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8992), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [416877] = 19,
    ACTIONS(8994), 1,
      sym_keyword_left,
    ACTIONS(8998), 1,
      sym_keyword_inner,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9002), 1,
      sym_keyword_join,
    ACTIONS(9004), 1,
      sym_keyword_natural,
    ACTIONS(9006), 1,
      sym_keyword_where,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9010), 1,
      sym_keyword_group,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    STATE(6994), 1,
      sym_where,
    STATE(7083), 1,
      sym_group_by,
    STATE(7305), 1,
      sym_window_clause,
    STATE(7379), 1,
      sym_order_by,
    STATE(7658), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8996), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6632), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8992), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [416950] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [416991] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2402), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2400), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [417032] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2412), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [417073] = 24,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(10949), 1,
      anon_sym_LPAREN,
    ACTIONS(10959), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(6371), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6494), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [417156] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10961), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [417195] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2410), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2408), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [417236] = 23,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(9187), 1,
      anon_sym_COMMA,
    ACTIONS(10963), 1,
      sym_keyword_left,
    ACTIONS(10967), 1,
      sym_keyword_inner,
    ACTIONS(10969), 1,
      sym_keyword_join,
    ACTIONS(10971), 1,
      sym_keyword_natural,
    ACTIONS(10973), 1,
      sym_keyword_where,
    ACTIONS(10975), 1,
      sym_keyword_order,
    ACTIONS(10977), 1,
      sym_keyword_group,
    STATE(6410), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6645), 1,
      sym_index_hint,
    STATE(7533), 1,
      sym_order_by,
    STATE(7564), 1,
      sym_where,
    STATE(7788), 1,
      sym_limit,
    STATE(7872), 1,
      sym_group_by,
    STATE(8159), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10965), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9183), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(9058), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6658), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [417317] = 23,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(9187), 1,
      anon_sym_COMMA,
    ACTIONS(10963), 1,
      sym_keyword_left,
    ACTIONS(10967), 1,
      sym_keyword_inner,
    ACTIONS(10969), 1,
      sym_keyword_join,
    ACTIONS(10971), 1,
      sym_keyword_natural,
    ACTIONS(10973), 1,
      sym_keyword_where,
    ACTIONS(10975), 1,
      sym_keyword_order,
    ACTIONS(10977), 1,
      sym_keyword_group,
    STATE(6411), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6659), 1,
      sym_index_hint,
    STATE(7573), 1,
      sym_where,
    STATE(7585), 1,
      sym_order_by,
    STATE(7758), 1,
      sym_limit,
    STATE(7885), 1,
      sym_group_by,
    STATE(8163), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10965), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9183), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(9030), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6656), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [417398] = 23,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(9187), 1,
      anon_sym_COMMA,
    ACTIONS(10963), 1,
      sym_keyword_left,
    ACTIONS(10967), 1,
      sym_keyword_inner,
    ACTIONS(10969), 1,
      sym_keyword_join,
    ACTIONS(10971), 1,
      sym_keyword_natural,
    ACTIONS(10973), 1,
      sym_keyword_where,
    ACTIONS(10975), 1,
      sym_keyword_order,
    ACTIONS(10977), 1,
      sym_keyword_group,
    STATE(6636), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6659), 1,
      sym_index_hint,
    STATE(7573), 1,
      sym_where,
    STATE(7585), 1,
      sym_order_by,
    STATE(7758), 1,
      sym_limit,
    STATE(7885), 1,
      sym_group_by,
    STATE(8163), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10965), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9183), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(9030), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6656), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [417479] = 23,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(9187), 1,
      anon_sym_COMMA,
    ACTIONS(10963), 1,
      sym_keyword_left,
    ACTIONS(10967), 1,
      sym_keyword_inner,
    ACTIONS(10969), 1,
      sym_keyword_join,
    ACTIONS(10971), 1,
      sym_keyword_natural,
    ACTIONS(10973), 1,
      sym_keyword_where,
    ACTIONS(10975), 1,
      sym_keyword_order,
    ACTIONS(10977), 1,
      sym_keyword_group,
    STATE(6636), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6654), 1,
      sym_index_hint,
    STATE(7531), 1,
      sym_order_by,
    STATE(7579), 1,
      sym_where,
    STATE(7858), 1,
      sym_limit,
    STATE(7889), 1,
      sym_group_by,
    STATE(8165), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10965), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9183), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(8992), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6673), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [417560] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3649), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3647), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [417601] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3585), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3583), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [417642] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3605), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3603), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [417683] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3609), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3607), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [417724] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3613), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3611), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [417765] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [417806] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3601), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3599), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [417847] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [417888] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2505), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2503), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [417929] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2404), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [417970] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3637), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3635), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [418011] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3511), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3509), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [418052] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3553), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3551), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [418093] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3569), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3567), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [418134] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3621), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3619), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [418175] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3631), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [418216] = 19,
    ACTIONS(8994), 1,
      sym_keyword_left,
    ACTIONS(8998), 1,
      sym_keyword_inner,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9002), 1,
      sym_keyword_join,
    ACTIONS(9004), 1,
      sym_keyword_natural,
    ACTIONS(9006), 1,
      sym_keyword_where,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9010), 1,
      sym_keyword_group,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    STATE(7021), 1,
      sym_where,
    STATE(7138), 1,
      sym_group_by,
    STATE(7270), 1,
      sym_window_clause,
    STATE(7484), 1,
      sym_order_by,
    STATE(7642), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8996), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6401), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9030), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [418289] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3645), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3643), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [418330] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3653), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3651), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [418371] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2410), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2408), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [418412] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3515), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3513), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [418453] = 8,
    ACTIONS(405), 1,
      sym__identifier,
    ACTIONS(10775), 1,
      sym_keyword_as,
    STATE(6573), 1,
      sym_identifier,
    STATE(6589), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(463), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(9994), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(9996), 23,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [418504] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3565), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3563), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [418545] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3577), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3575), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [418586] = 19,
    ACTIONS(8994), 1,
      sym_keyword_left,
    ACTIONS(8998), 1,
      sym_keyword_inner,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9002), 1,
      sym_keyword_join,
    ACTIONS(9004), 1,
      sym_keyword_natural,
    ACTIONS(9006), 1,
      sym_keyword_where,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9010), 1,
      sym_keyword_group,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    STATE(7021), 1,
      sym_where,
    STATE(7138), 1,
      sym_group_by,
    STATE(7270), 1,
      sym_window_clause,
    STATE(7484), 1,
      sym_order_by,
    STATE(7642), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8996), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6632), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9030), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [418659] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3617), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3615), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [418700] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3625), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3623), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [418741] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3629), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3627), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [418782] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3495), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3493), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [418823] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3499), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3497), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [418864] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3547), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [418905] = 24,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(10709), 1,
      anon_sym_RPAREN,
    ACTIONS(10713), 1,
      sym_keyword_create,
    ACTIONS(10979), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6445), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [418988] = 24,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10655), 1,
      anon_sym_RPAREN,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10659), 1,
      sym_keyword_create,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(10981), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6447), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [419071] = 24,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10655), 1,
      anon_sym_RPAREN,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10659), 1,
      sym_keyword_create,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(10981), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5854), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [419154] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3573), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3571), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [419195] = 24,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(10701), 1,
      anon_sym_RPAREN,
    ACTIONS(10703), 1,
      sym_keyword_create,
    ACTIONS(10983), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5854), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [419278] = 24,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(10701), 1,
      anon_sym_RPAREN,
    ACTIONS(10703), 1,
      sym_keyword_create,
    ACTIONS(10983), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6449), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [419361] = 24,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(10765), 1,
      anon_sym_RPAREN,
    ACTIONS(10767), 1,
      sym_keyword_create,
    ACTIONS(10985), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5854), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [419444] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [419485] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3444), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3442), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [419526] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2412), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [419567] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3477), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3475), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [419608] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3589), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3587), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [419649] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2823), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2821), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [419690] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3593), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3591), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [419731] = 8,
    ACTIONS(405), 1,
      sym__identifier,
    ACTIONS(10775), 1,
      sym_keyword_as,
    STATE(6573), 1,
      sym_identifier,
    STATE(6586), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(463), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(9876), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(9878), 23,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [419782] = 6,
    ACTIONS(2815), 1,
      sym_keyword_without,
    ACTIONS(10987), 1,
      sym_keyword_with,
    STATE(747), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1957), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1955), 24,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [419829] = 6,
    ACTIONS(2815), 1,
      sym_keyword_without,
    ACTIONS(10990), 1,
      sym_keyword_with,
    STATE(748), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1961), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1959), 24,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [419876] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2404), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [419917] = 24,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(10945), 1,
      anon_sym_LPAREN,
    ACTIONS(10993), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(6196), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6482), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [420000] = 24,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(10945), 1,
      anon_sym_LPAREN,
    ACTIONS(10995), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(6235), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6484), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [420083] = 24,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(10949), 1,
      anon_sym_LPAREN,
    ACTIONS(10997), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(6443), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6521), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [420166] = 24,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(10949), 1,
      anon_sym_LPAREN,
    ACTIONS(10999), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(6444), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6522), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [420249] = 24,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(10949), 1,
      anon_sym_LPAREN,
    ACTIONS(11001), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(6448), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6523), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [420332] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3507), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3505), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [420373] = 19,
    ACTIONS(9163), 1,
      sym_keyword_left,
    ACTIONS(9167), 1,
      sym_keyword_inner,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9171), 1,
      sym_keyword_join,
    ACTIONS(9173), 1,
      sym_keyword_natural,
    ACTIONS(9175), 1,
      sym_keyword_where,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9179), 1,
      sym_keyword_group,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    STATE(7042), 1,
      sym_where,
    STATE(7256), 1,
      sym_group_by,
    STATE(7490), 1,
      sym_window_clause,
    STATE(7585), 1,
      sym_order_by,
    STATE(7758), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9165), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6649), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9030), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [420445] = 19,
    ACTIONS(9163), 1,
      sym_keyword_left,
    ACTIONS(9167), 1,
      sym_keyword_inner,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9171), 1,
      sym_keyword_join,
    ACTIONS(9173), 1,
      sym_keyword_natural,
    ACTIONS(9175), 1,
      sym_keyword_where,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9179), 1,
      sym_keyword_group,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    STATE(7042), 1,
      sym_where,
    STATE(7256), 1,
      sym_group_by,
    STATE(7490), 1,
      sym_window_clause,
    STATE(7585), 1,
      sym_order_by,
    STATE(7758), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9165), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6477), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9030), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [420517] = 19,
    ACTIONS(9163), 1,
      sym_keyword_left,
    ACTIONS(9167), 1,
      sym_keyword_inner,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9171), 1,
      sym_keyword_join,
    ACTIONS(9173), 1,
      sym_keyword_natural,
    ACTIONS(9175), 1,
      sym_keyword_where,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9179), 1,
      sym_keyword_group,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    STATE(7060), 1,
      sym_where,
    STATE(7246), 1,
      sym_group_by,
    STATE(7447), 1,
      sym_window_clause,
    STATE(7531), 1,
      sym_order_by,
    STATE(7858), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9165), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6470), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8992), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [420589] = 19,
    ACTIONS(9163), 1,
      sym_keyword_left,
    ACTIONS(9167), 1,
      sym_keyword_inner,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9171), 1,
      sym_keyword_join,
    ACTIONS(9173), 1,
      sym_keyword_natural,
    ACTIONS(9175), 1,
      sym_keyword_where,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9179), 1,
      sym_keyword_group,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    STATE(7040), 1,
      sym_where,
    STATE(7180), 1,
      sym_group_by,
    STATE(7415), 1,
      sym_window_clause,
    STATE(7543), 1,
      sym_order_by,
    STATE(7857), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9165), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6649), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10951), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [420661] = 4,
    ACTIONS(11005), 1,
      anon_sym_LPAREN,
    STATE(6542), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11003), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [420703] = 19,
    ACTIONS(9163), 1,
      sym_keyword_left,
    ACTIONS(9167), 1,
      sym_keyword_inner,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9171), 1,
      sym_keyword_join,
    ACTIONS(9173), 1,
      sym_keyword_natural,
    ACTIONS(9175), 1,
      sym_keyword_where,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9179), 1,
      sym_keyword_group,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    STATE(7029), 1,
      sym_where,
    STATE(7150), 1,
      sym_group_by,
    STATE(7457), 1,
      sym_window_clause,
    STATE(7510), 1,
      sym_order_by,
    STATE(7880), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9165), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6649), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10953), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [420775] = 19,
    ACTIONS(9163), 1,
      sym_keyword_left,
    ACTIONS(9167), 1,
      sym_keyword_inner,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9171), 1,
      sym_keyword_join,
    ACTIONS(9173), 1,
      sym_keyword_natural,
    ACTIONS(9175), 1,
      sym_keyword_where,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9179), 1,
      sym_keyword_group,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    STATE(7040), 1,
      sym_where,
    STATE(7180), 1,
      sym_group_by,
    STATE(7415), 1,
      sym_window_clause,
    STATE(7543), 1,
      sym_order_by,
    STATE(7857), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9165), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6472), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10951), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [420847] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2402), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2400), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [420887] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2398), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2396), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [420927] = 9,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(11007), 1,
      sym_keyword_preceding,
    ACTIONS(11009), 1,
      sym_keyword_following,
    STATE(2569), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2837), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2835), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [420979] = 19,
    ACTIONS(9163), 1,
      sym_keyword_left,
    ACTIONS(9167), 1,
      sym_keyword_inner,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9171), 1,
      sym_keyword_join,
    ACTIONS(9173), 1,
      sym_keyword_natural,
    ACTIONS(9175), 1,
      sym_keyword_where,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9179), 1,
      sym_keyword_group,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    STATE(7060), 1,
      sym_where,
    STATE(7246), 1,
      sym_group_by,
    STATE(7447), 1,
      sym_window_clause,
    STATE(7531), 1,
      sym_order_by,
    STATE(7858), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9165), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6649), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8992), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [421051] = 4,
    ACTIONS(11005), 1,
      anon_sym_LPAREN,
    STATE(6566), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11011), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [421093] = 4,
    ACTIONS(11005), 1,
      anon_sym_LPAREN,
    STATE(6567), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11011), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [421135] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2392), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [421175] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6540), 1,
      sym_function_body,
    STATE(14061), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6496), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [421248] = 22,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(10995), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5854), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [421325] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6537), 1,
      sym_function_body,
    STATE(14061), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6585), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [421398] = 22,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(10943), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5854), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [421475] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6539), 1,
      sym_function_body,
    STATE(14061), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6585), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [421548] = 22,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(11045), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5854), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [421625] = 22,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(10947), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5854), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [421702] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11047), 1,
      sym_keyword_as,
    ACTIONS(11049), 1,
      sym_keyword_begin,
    STATE(6577), 1,
      sym_function_body,
    STATE(13022), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6585), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [421775] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11047), 1,
      sym_keyword_as,
    ACTIONS(11049), 1,
      sym_keyword_begin,
    STATE(6579), 1,
      sym_function_body,
    STATE(13022), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6585), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [421848] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6569), 1,
      sym_function_body,
    STATE(14061), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6585), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [421921] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11047), 1,
      sym_keyword_as,
    ACTIONS(11049), 1,
      sym_keyword_begin,
    STATE(6577), 1,
      sym_function_body,
    STATE(13022), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6528), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [421994] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11047), 1,
      sym_keyword_as,
    ACTIONS(11049), 1,
      sym_keyword_begin,
    STATE(6582), 1,
      sym_function_body,
    STATE(13022), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6502), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [422067] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11047), 1,
      sym_keyword_as,
    ACTIONS(11049), 1,
      sym_keyword_begin,
    STATE(6584), 1,
      sym_function_body,
    STATE(13022), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6585), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [422140] = 22,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(10957), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5854), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [422217] = 14,
    ACTIONS(11055), 1,
      sym_keyword_primary,
    ACTIONS(11057), 1,
      sym_keyword_as,
    ACTIONS(11059), 1,
      sym_keyword_constraint,
    ACTIONS(11061), 1,
      sym_keyword_not,
    ACTIONS(11065), 1,
      sym_keyword_generated,
    ACTIONS(11067), 1,
      sym_keyword_default,
    ACTIONS(11069), 1,
      sym_keyword_references,
    ACTIONS(11071), 1,
      sym_keyword_check,
    ACTIONS(11073), 1,
      sym_keyword_comment,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11053), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(11063), 5,
      sym_keyword_auto_increment,
      sym_keyword_unique,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_null,
    ACTIONS(11051), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_first,
      sym_keyword_after,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(6525), 8,
      sym__not_null,
      sym__primary_key,
      sym_direction,
      sym__column_comment,
      sym__column_constraint,
      sym__check_constraint,
      sym__default_expression,
      aux_sym_column_definition_repeat1,
  [422278] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6555), 1,
      sym_function_body,
    STATE(14061), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6585), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [422351] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6569), 1,
      sym_function_body,
    STATE(14061), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6483), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [422424] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6531), 1,
      sym_function_body,
    STATE(14061), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6490), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [422497] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6529), 1,
      sym_function_body,
    STATE(14061), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6485), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [422570] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6554), 1,
      sym_function_body,
    STATE(14061), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6585), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [422643] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11047), 1,
      sym_keyword_as,
    ACTIONS(11049), 1,
      sym_keyword_begin,
    STATE(6599), 1,
      sym_function_body,
    STATE(13022), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6488), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [422716] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11047), 1,
      sym_keyword_as,
    ACTIONS(11049), 1,
      sym_keyword_begin,
    STATE(6608), 1,
      sym_function_body,
    STATE(13022), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6585), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [422789] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6531), 1,
      sym_function_body,
    STATE(14061), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6585), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [422862] = 19,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    ACTIONS(9882), 1,
      sym_keyword_left,
    ACTIONS(9886), 1,
      sym_keyword_inner,
    ACTIONS(9888), 1,
      sym_keyword_join,
    ACTIONS(9890), 1,
      sym_keyword_natural,
    ACTIONS(9892), 1,
      sym_keyword_where,
    ACTIONS(9894), 1,
      sym_keyword_order,
    ACTIONS(9896), 1,
      sym_keyword_group,
    STATE(7117), 1,
      sym_where,
    STATE(7283), 1,
      sym_group_by,
    STATE(7484), 1,
      sym_order_by,
    STATE(7501), 1,
      sym_window_clause,
    STATE(7642), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9884), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6507), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9030), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [422933] = 19,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    ACTIONS(9882), 1,
      sym_keyword_left,
    ACTIONS(9886), 1,
      sym_keyword_inner,
    ACTIONS(9888), 1,
      sym_keyword_join,
    ACTIONS(9890), 1,
      sym_keyword_natural,
    ACTIONS(9892), 1,
      sym_keyword_where,
    ACTIONS(9894), 1,
      sym_keyword_order,
    ACTIONS(9896), 1,
      sym_keyword_group,
    STATE(7117), 1,
      sym_where,
    STATE(7283), 1,
      sym_group_by,
    STATE(7484), 1,
      sym_order_by,
    STATE(7501), 1,
      sym_window_clause,
    STATE(7642), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9884), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6695), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9030), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [423004] = 19,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    ACTIONS(9882), 1,
      sym_keyword_left,
    ACTIONS(9886), 1,
      sym_keyword_inner,
    ACTIONS(9888), 1,
      sym_keyword_join,
    ACTIONS(9890), 1,
      sym_keyword_natural,
    ACTIONS(9892), 1,
      sym_keyword_where,
    ACTIONS(9894), 1,
      sym_keyword_order,
    ACTIONS(9896), 1,
      sym_keyword_group,
    STATE(7119), 1,
      sym_where,
    STATE(7285), 1,
      sym_group_by,
    STATE(7379), 1,
      sym_order_by,
    STATE(7505), 1,
      sym_window_clause,
    STATE(7658), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9884), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6508), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8992), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [423075] = 19,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    ACTIONS(9882), 1,
      sym_keyword_left,
    ACTIONS(9886), 1,
      sym_keyword_inner,
    ACTIONS(9888), 1,
      sym_keyword_join,
    ACTIONS(9890), 1,
      sym_keyword_natural,
    ACTIONS(9892), 1,
      sym_keyword_where,
    ACTIONS(9894), 1,
      sym_keyword_order,
    ACTIONS(9896), 1,
      sym_keyword_group,
    STATE(7119), 1,
      sym_where,
    STATE(7285), 1,
      sym_group_by,
    STATE(7379), 1,
      sym_order_by,
    STATE(7505), 1,
      sym_window_clause,
    STATE(7658), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9884), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6695), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8992), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [423146] = 19,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    ACTIONS(9882), 1,
      sym_keyword_left,
    ACTIONS(9886), 1,
      sym_keyword_inner,
    ACTIONS(9888), 1,
      sym_keyword_join,
    ACTIONS(9890), 1,
      sym_keyword_natural,
    ACTIONS(9892), 1,
      sym_keyword_where,
    ACTIONS(9894), 1,
      sym_keyword_order,
    ACTIONS(9896), 1,
      sym_keyword_group,
    STATE(7121), 1,
      sym_where,
    STATE(7286), 1,
      sym_group_by,
    STATE(7381), 1,
      sym_order_by,
    STATE(7511), 1,
      sym_window_clause,
    STATE(7733), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9884), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6695), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10951), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [423217] = 19,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    ACTIONS(9882), 1,
      sym_keyword_left,
    ACTIONS(9886), 1,
      sym_keyword_inner,
    ACTIONS(9888), 1,
      sym_keyword_join,
    ACTIONS(9890), 1,
      sym_keyword_natural,
    ACTIONS(9892), 1,
      sym_keyword_where,
    ACTIONS(9894), 1,
      sym_keyword_order,
    ACTIONS(9896), 1,
      sym_keyword_group,
    STATE(7121), 1,
      sym_where,
    STATE(7286), 1,
      sym_group_by,
    STATE(7381), 1,
      sym_order_by,
    STATE(7511), 1,
      sym_window_clause,
    STATE(7733), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9884), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6510), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10951), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [423288] = 19,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    ACTIONS(9882), 1,
      sym_keyword_left,
    ACTIONS(9886), 1,
      sym_keyword_inner,
    ACTIONS(9888), 1,
      sym_keyword_join,
    ACTIONS(9890), 1,
      sym_keyword_natural,
    ACTIONS(9892), 1,
      sym_keyword_where,
    ACTIONS(9894), 1,
      sym_keyword_order,
    ACTIONS(9896), 1,
      sym_keyword_group,
    STATE(7122), 1,
      sym_where,
    STATE(7288), 1,
      sym_group_by,
    STATE(7412), 1,
      sym_order_by,
    STATE(7515), 1,
      sym_window_clause,
    STATE(7650), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9884), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6695), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10953), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [423359] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6545), 1,
      sym_function_body,
    STATE(14061), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6585), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423432] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6547), 1,
      sym_function_body,
    STATE(14061), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6500), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423505] = 22,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(11075), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5854), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [423582] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6553), 1,
      sym_function_body,
    STATE(14061), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6503), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423655] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6556), 1,
      sym_function_body,
    STATE(14061), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6511), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423728] = 4,
    ACTIONS(11077), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(111), 5,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(57), 24,
      sym_keyword_set,
      sym_keyword_partition,
      sym_keyword_alter,
      sym_keyword_change,
      sym_keyword_modify,
      sym_keyword_drop,
      sym_keyword_add,
      sym_keyword_column,
      sym_keyword_as,
      sym_keyword_if,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_rename,
      sym_keyword_owner,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [423769] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11047), 1,
      sym_keyword_as,
    ACTIONS(11049), 1,
      sym_keyword_begin,
    STATE(6599), 1,
      sym_function_body,
    STATE(13022), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6585), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423842] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11047), 1,
      sym_keyword_as,
    ACTIONS(11049), 1,
      sym_keyword_begin,
    STATE(6615), 1,
      sym_function_body,
    STATE(13022), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6489), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423915] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11047), 1,
      sym_keyword_as,
    ACTIONS(11049), 1,
      sym_keyword_begin,
    STATE(6581), 1,
      sym_function_body,
    STATE(13022), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6585), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423988] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11047), 1,
      sym_keyword_as,
    ACTIONS(11049), 1,
      sym_keyword_begin,
    STATE(6598), 1,
      sym_function_body,
    STATE(13022), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6493), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [424061] = 22,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(10999), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5854), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [424138] = 22,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(11001), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5854), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [424215] = 22,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10657), 1,
      sym_keyword_partition,
    ACTIONS(10663), 1,
      sym_keyword_collate,
    ACTIONS(10665), 1,
      sym_keyword_engine,
    ACTIONS(10667), 1,
      sym_keyword_default,
    ACTIONS(10669), 1,
      sym_keyword_with,
    ACTIONS(10671), 1,
      sym_keyword_without,
    ACTIONS(10673), 1,
      sym_keyword_row,
    ACTIONS(10675), 1,
      sym_keyword_stored,
    ACTIONS(10677), 1,
      sym_keyword_tblproperties,
    ACTIONS(10679), 1,
      sym_keyword_location,
    ACTIONS(10681), 1,
      sym_keyword_partitioned,
    ACTIONS(10683), 1,
      sym_keyword_sort,
    ACTIONS(11079), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14118), 2,
      sym__literal_string,
      sym_identifier,
    STATE(5854), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [424292] = 14,
    ACTIONS(11055), 1,
      sym_keyword_primary,
    ACTIONS(11057), 1,
      sym_keyword_as,
    ACTIONS(11059), 1,
      sym_keyword_constraint,
    ACTIONS(11061), 1,
      sym_keyword_not,
    ACTIONS(11065), 1,
      sym_keyword_generated,
    ACTIONS(11067), 1,
      sym_keyword_default,
    ACTIONS(11069), 1,
      sym_keyword_references,
    ACTIONS(11071), 1,
      sym_keyword_check,
    ACTIONS(11073), 1,
      sym_keyword_comment,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11053), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(11083), 5,
      sym_keyword_auto_increment,
      sym_keyword_unique,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_null,
    ACTIONS(11081), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_first,
      sym_keyword_after,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(6495), 8,
      sym__not_null,
      sym__primary_key,
      sym_direction,
      sym__column_comment,
      sym__column_constraint,
      sym__check_constraint,
      sym__default_expression,
      aux_sym_column_definition_repeat1,
  [424353] = 14,
    ACTIONS(11090), 1,
      sym_keyword_primary,
    ACTIONS(11093), 1,
      sym_keyword_as,
    ACTIONS(11096), 1,
      sym_keyword_constraint,
    ACTIONS(11099), 1,
      sym_keyword_not,
    ACTIONS(11105), 1,
      sym_keyword_generated,
    ACTIONS(11108), 1,
      sym_keyword_default,
    ACTIONS(11111), 1,
      sym_keyword_references,
    ACTIONS(11114), 1,
      sym_keyword_check,
    ACTIONS(11117), 1,
      sym_keyword_comment,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11087), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(11102), 5,
      sym_keyword_auto_increment,
      sym_keyword_unique,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_null,
    ACTIONS(11085), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_first,
      sym_keyword_after,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(6525), 8,
      sym__not_null,
      sym__primary_key,
      sym_direction,
      sym__column_comment,
      sym__column_constraint,
      sym__check_constraint,
      sym__default_expression,
      aux_sym_column_definition_repeat1,
  [424414] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11047), 1,
      sym_keyword_as,
    ACTIONS(11049), 1,
      sym_keyword_begin,
    STATE(6600), 1,
      sym_function_body,
    STATE(13022), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6517), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [424487] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11047), 1,
      sym_keyword_as,
    ACTIONS(11049), 1,
      sym_keyword_begin,
    STATE(6603), 1,
      sym_function_body,
    STATE(13022), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6519), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [424560] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11047), 1,
      sym_keyword_as,
    ACTIONS(11049), 1,
      sym_keyword_begin,
    STATE(6606), 1,
      sym_function_body,
    STATE(13022), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6585), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [424633] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11122), 1,
      sym_keyword_language,
    ACTIONS(11124), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11120), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6538), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [424697] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11122), 1,
      sym_keyword_language,
    ACTIONS(11124), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11126), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6549), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [424761] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11122), 1,
      sym_keyword_language,
    ACTIONS(11124), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11128), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6568), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [424825] = 3,
    ACTIONS(11132), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11130), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [424863] = 14,
    ACTIONS(11136), 1,
      sym_keyword_primary,
    ACTIONS(11138), 1,
      sym_keyword_as,
    ACTIONS(11140), 1,
      sym_keyword_constraint,
    ACTIONS(11142), 1,
      sym_keyword_not,
    ACTIONS(11146), 1,
      sym_keyword_generated,
    ACTIONS(11148), 1,
      sym_keyword_default,
    ACTIONS(11150), 1,
      sym_keyword_references,
    ACTIONS(11152), 1,
      sym_keyword_check,
    ACTIONS(11154), 1,
      sym_keyword_comment,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11134), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(11081), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_first,
      sym_keyword_after,
      anon_sym_COMMA,
    ACTIONS(11144), 5,
      sym_keyword_auto_increment,
      sym_keyword_unique,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_null,
    STATE(6551), 8,
      sym__not_null,
      sym__primary_key,
      sym_direction,
      sym__column_comment,
      sym__column_constraint,
      sym__check_constraint,
      sym__default_expression,
      aux_sym_column_definition_repeat1,
  [424923] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11122), 1,
      sym_keyword_language,
    ACTIONS(11124), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11156), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6549), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [424987] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11122), 1,
      sym_keyword_language,
    ACTIONS(11124), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11158), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6549), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [425051] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11122), 1,
      sym_keyword_language,
    ACTIONS(11124), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11128), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6549), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [425115] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11122), 1,
      sym_keyword_language,
    ACTIONS(11124), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11156), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6548), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [425179] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11122), 1,
      sym_keyword_language,
    ACTIONS(11124), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11160), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6549), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [425243] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11122), 1,
      sym_keyword_language,
    ACTIONS(11124), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11160), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6572), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [425307] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11122), 1,
      sym_keyword_language,
    ACTIONS(11124), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11162), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6546), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [425371] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11122), 1,
      sym_keyword_language,
    ACTIONS(11124), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11158), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6549), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [425435] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11164), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [425471] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11122), 1,
      sym_keyword_language,
    ACTIONS(11124), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11166), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6549), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [425535] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2051), 5,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(2053), 24,
      sym_keyword_set,
      sym_keyword_partition,
      sym_keyword_alter,
      sym_keyword_change,
      sym_keyword_modify,
      sym_keyword_drop,
      sym_keyword_add,
      sym_keyword_column,
      sym_keyword_as,
      sym_keyword_if,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_rename,
      sym_keyword_owner,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [425573] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11122), 1,
      sym_keyword_language,
    ACTIONS(11124), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11166), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6530), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [425637] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11122), 1,
      sym_keyword_language,
    ACTIONS(11124), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11168), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6549), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [425701] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11122), 1,
      sym_keyword_language,
    ACTIONS(11124), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11162), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6552), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [425765] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11122), 1,
      sym_keyword_language,
    ACTIONS(11124), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11170), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6549), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [425829] = 16,
    ACTIONS(11174), 1,
      sym_keyword_not,
    ACTIONS(11177), 1,
      sym_keyword_rows,
    ACTIONS(11180), 1,
      sym_keyword_returns,
    ACTIONS(11183), 1,
      sym_keyword_language,
    ACTIONS(11189), 1,
      sym_keyword_leakproof,
    ACTIONS(11192), 1,
      sym_keyword_parallel,
    ACTIONS(11195), 1,
      sym_keyword_called,
    ACTIONS(11198), 1,
      sym_keyword_strict,
    ACTIONS(11201), 1,
      sym_keyword_cost,
    ACTIONS(11204), 1,
      sym_keyword_support,
    ACTIONS(11207), 1,
      sym_keyword_security,
    ACTIONS(11210), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11186), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11172), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6549), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [425893] = 7,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(3677), 1,
      aux_sym__single_quote_string_token1,
    STATE(2091), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2837), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2835), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [425939] = 14,
    ACTIONS(11136), 1,
      sym_keyword_primary,
    ACTIONS(11138), 1,
      sym_keyword_as,
    ACTIONS(11140), 1,
      sym_keyword_constraint,
    ACTIONS(11142), 1,
      sym_keyword_not,
    ACTIONS(11146), 1,
      sym_keyword_generated,
    ACTIONS(11148), 1,
      sym_keyword_default,
    ACTIONS(11150), 1,
      sym_keyword_references,
    ACTIONS(11152), 1,
      sym_keyword_check,
    ACTIONS(11154), 1,
      sym_keyword_comment,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11134), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(11051), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_first,
      sym_keyword_after,
      anon_sym_COMMA,
    ACTIONS(11213), 5,
      sym_keyword_auto_increment,
      sym_keyword_unique,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_null,
    STATE(6565), 8,
      sym__not_null,
      sym__primary_key,
      sym_direction,
      sym__column_comment,
      sym__column_constraint,
      sym__check_constraint,
      sym__default_expression,
      aux_sym_column_definition_repeat1,
  [425999] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11122), 1,
      sym_keyword_language,
    ACTIONS(11124), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11168), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6549), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [426063] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11122), 1,
      sym_keyword_language,
    ACTIONS(11124), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11215), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6536), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [426127] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11122), 1,
      sym_keyword_language,
    ACTIONS(11124), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11168), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6541), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [426191] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11122), 1,
      sym_keyword_language,
    ACTIONS(11124), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11168), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6535), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [426255] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11122), 1,
      sym_keyword_language,
    ACTIONS(11124), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11217), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6543), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [426319] = 19,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10100), 1,
      sym_keyword_left,
    ACTIONS(10104), 1,
      sym_keyword_inner,
    ACTIONS(10106), 1,
      sym_keyword_join,
    ACTIONS(10108), 1,
      sym_keyword_natural,
    ACTIONS(10110), 1,
      sym_keyword_where,
    ACTIONS(10112), 1,
      sym_keyword_order,
    ACTIONS(10114), 1,
      sym_keyword_group,
    STATE(7222), 1,
      sym_where,
    STATE(7373), 1,
      sym_group_by,
    STATE(7585), 1,
      sym_order_by,
    STATE(7613), 1,
      sym_window_clause,
    STATE(7758), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10102), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6560), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9030), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [426389] = 19,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10100), 1,
      sym_keyword_left,
    ACTIONS(10104), 1,
      sym_keyword_inner,
    ACTIONS(10106), 1,
      sym_keyword_join,
    ACTIONS(10108), 1,
      sym_keyword_natural,
    ACTIONS(10110), 1,
      sym_keyword_where,
    ACTIONS(10112), 1,
      sym_keyword_order,
    ACTIONS(10114), 1,
      sym_keyword_group,
    STATE(7222), 1,
      sym_where,
    STATE(7373), 1,
      sym_group_by,
    STATE(7585), 1,
      sym_order_by,
    STATE(7613), 1,
      sym_window_clause,
    STATE(7758), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10102), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6717), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9030), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [426459] = 19,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10100), 1,
      sym_keyword_left,
    ACTIONS(10104), 1,
      sym_keyword_inner,
    ACTIONS(10106), 1,
      sym_keyword_join,
    ACTIONS(10108), 1,
      sym_keyword_natural,
    ACTIONS(10110), 1,
      sym_keyword_where,
    ACTIONS(10112), 1,
      sym_keyword_order,
    ACTIONS(10114), 1,
      sym_keyword_group,
    STATE(7223), 1,
      sym_where,
    STATE(7375), 1,
      sym_group_by,
    STATE(7531), 1,
      sym_order_by,
    STATE(7615), 1,
      sym_window_clause,
    STATE(7858), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10102), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6561), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8992), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [426529] = 19,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10100), 1,
      sym_keyword_left,
    ACTIONS(10104), 1,
      sym_keyword_inner,
    ACTIONS(10106), 1,
      sym_keyword_join,
    ACTIONS(10108), 1,
      sym_keyword_natural,
    ACTIONS(10110), 1,
      sym_keyword_where,
    ACTIONS(10112), 1,
      sym_keyword_order,
    ACTIONS(10114), 1,
      sym_keyword_group,
    STATE(7223), 1,
      sym_where,
    STATE(7375), 1,
      sym_group_by,
    STATE(7531), 1,
      sym_order_by,
    STATE(7615), 1,
      sym_window_clause,
    STATE(7858), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10102), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6717), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8992), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [426599] = 19,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10100), 1,
      sym_keyword_left,
    ACTIONS(10104), 1,
      sym_keyword_inner,
    ACTIONS(10106), 1,
      sym_keyword_join,
    ACTIONS(10108), 1,
      sym_keyword_natural,
    ACTIONS(10110), 1,
      sym_keyword_where,
    ACTIONS(10112), 1,
      sym_keyword_order,
    ACTIONS(10114), 1,
      sym_keyword_group,
    STATE(7224), 1,
      sym_where,
    STATE(7376), 1,
      sym_group_by,
    STATE(7543), 1,
      sym_order_by,
    STATE(7618), 1,
      sym_window_clause,
    STATE(7857), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10102), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6717), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10951), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [426669] = 19,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10100), 1,
      sym_keyword_left,
    ACTIONS(10104), 1,
      sym_keyword_inner,
    ACTIONS(10106), 1,
      sym_keyword_join,
    ACTIONS(10108), 1,
      sym_keyword_natural,
    ACTIONS(10110), 1,
      sym_keyword_where,
    ACTIONS(10112), 1,
      sym_keyword_order,
    ACTIONS(10114), 1,
      sym_keyword_group,
    STATE(7224), 1,
      sym_where,
    STATE(7376), 1,
      sym_group_by,
    STATE(7543), 1,
      sym_order_by,
    STATE(7618), 1,
      sym_window_clause,
    STATE(7857), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10102), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6563), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10951), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [426739] = 19,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10100), 1,
      sym_keyword_left,
    ACTIONS(10104), 1,
      sym_keyword_inner,
    ACTIONS(10106), 1,
      sym_keyword_join,
    ACTIONS(10108), 1,
      sym_keyword_natural,
    ACTIONS(10110), 1,
      sym_keyword_where,
    ACTIONS(10112), 1,
      sym_keyword_order,
    ACTIONS(10114), 1,
      sym_keyword_group,
    STATE(7225), 1,
      sym_where,
    STATE(7378), 1,
      sym_group_by,
    STATE(7510), 1,
      sym_order_by,
    STATE(7621), 1,
      sym_window_clause,
    STATE(7880), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10102), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6717), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10953), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [426809] = 3,
    ACTIONS(11221), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11219), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [426847] = 14,
    ACTIONS(11226), 1,
      sym_keyword_primary,
    ACTIONS(11229), 1,
      sym_keyword_as,
    ACTIONS(11232), 1,
      sym_keyword_constraint,
    ACTIONS(11235), 1,
      sym_keyword_not,
    ACTIONS(11241), 1,
      sym_keyword_generated,
    ACTIONS(11244), 1,
      sym_keyword_default,
    ACTIONS(11247), 1,
      sym_keyword_references,
    ACTIONS(11250), 1,
      sym_keyword_check,
    ACTIONS(11253), 1,
      sym_keyword_comment,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11223), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(11085), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_first,
      sym_keyword_after,
      anon_sym_COMMA,
    ACTIONS(11238), 5,
      sym_keyword_auto_increment,
      sym_keyword_unique,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_null,
    STATE(6565), 8,
      sym__not_null,
      sym__primary_key,
      sym_direction,
      sym__column_comment,
      sym__column_constraint,
      sym__check_constraint,
      sym__default_expression,
      aux_sym_column_definition_repeat1,
  [426907] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11256), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [426943] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11256), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [426979] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11122), 1,
      sym_keyword_language,
    ACTIONS(11124), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11258), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6549), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [427043] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11122), 1,
      sym_keyword_language,
    ACTIONS(11124), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11258), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6534), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [427107] = 4,
    ACTIONS(11262), 1,
      anon_sym_COMMA,
    STATE(6570), 1,
      aux_sym__mysql_update_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11260), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [427147] = 3,
    ACTIONS(11267), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11265), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [427185] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11122), 1,
      sym_keyword_language,
    ACTIONS(11124), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11269), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6549), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [427249] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10961), 28,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_LPAREN,
      anon_sym_COMMA,
  [427284] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8966), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3597), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [427323] = 16,
    ACTIONS(11271), 1,
      sym_keyword_not,
    ACTIONS(11273), 1,
      sym_keyword_rows,
    ACTIONS(11275), 1,
      sym_keyword_returns,
    ACTIONS(11277), 1,
      sym_keyword_language,
    ACTIONS(11281), 1,
      sym_keyword_leakproof,
    ACTIONS(11283), 1,
      sym_keyword_parallel,
    ACTIONS(11285), 1,
      sym_keyword_called,
    ACTIONS(11287), 1,
      sym_keyword_strict,
    ACTIONS(11289), 1,
      sym_keyword_cost,
    ACTIONS(11291), 1,
      sym_keyword_support,
    ACTIONS(11293), 1,
      sym_keyword_security,
    ACTIONS(11295), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11258), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11279), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6625), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [427386] = 16,
    ACTIONS(11271), 1,
      sym_keyword_not,
    ACTIONS(11273), 1,
      sym_keyword_rows,
    ACTIONS(11275), 1,
      sym_keyword_returns,
    ACTIONS(11277), 1,
      sym_keyword_language,
    ACTIONS(11281), 1,
      sym_keyword_leakproof,
    ACTIONS(11283), 1,
      sym_keyword_parallel,
    ACTIONS(11285), 1,
      sym_keyword_called,
    ACTIONS(11287), 1,
      sym_keyword_strict,
    ACTIONS(11289), 1,
      sym_keyword_cost,
    ACTIONS(11291), 1,
      sym_keyword_support,
    ACTIONS(11293), 1,
      sym_keyword_security,
    ACTIONS(11295), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11166), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11279), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6625), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [427449] = 16,
    ACTIONS(11271), 1,
      sym_keyword_not,
    ACTIONS(11273), 1,
      sym_keyword_rows,
    ACTIONS(11275), 1,
      sym_keyword_returns,
    ACTIONS(11277), 1,
      sym_keyword_language,
    ACTIONS(11281), 1,
      sym_keyword_leakproof,
    ACTIONS(11283), 1,
      sym_keyword_parallel,
    ACTIONS(11285), 1,
      sym_keyword_called,
    ACTIONS(11287), 1,
      sym_keyword_strict,
    ACTIONS(11289), 1,
      sym_keyword_cost,
    ACTIONS(11291), 1,
      sym_keyword_support,
    ACTIONS(11293), 1,
      sym_keyword_security,
    ACTIONS(11295), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11258), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11279), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6601), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [427512] = 16,
    ACTIONS(11271), 1,
      sym_keyword_not,
    ACTIONS(11273), 1,
      sym_keyword_rows,
    ACTIONS(11275), 1,
      sym_keyword_returns,
    ACTIONS(11277), 1,
      sym_keyword_language,
    ACTIONS(11281), 1,
      sym_keyword_leakproof,
    ACTIONS(11283), 1,
      sym_keyword_parallel,
    ACTIONS(11285), 1,
      sym_keyword_called,
    ACTIONS(11287), 1,
      sym_keyword_strict,
    ACTIONS(11289), 1,
      sym_keyword_cost,
    ACTIONS(11291), 1,
      sym_keyword_support,
    ACTIONS(11293), 1,
      sym_keyword_security,
    ACTIONS(11295), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11168), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11279), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6625), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [427575] = 16,
    ACTIONS(11271), 1,
      sym_keyword_not,
    ACTIONS(11273), 1,
      sym_keyword_rows,
    ACTIONS(11275), 1,
      sym_keyword_returns,
    ACTIONS(11277), 1,
      sym_keyword_language,
    ACTIONS(11281), 1,
      sym_keyword_leakproof,
    ACTIONS(11283), 1,
      sym_keyword_parallel,
    ACTIONS(11285), 1,
      sym_keyword_called,
    ACTIONS(11287), 1,
      sym_keyword_strict,
    ACTIONS(11289), 1,
      sym_keyword_cost,
    ACTIONS(11291), 1,
      sym_keyword_support,
    ACTIONS(11293), 1,
      sym_keyword_security,
    ACTIONS(11295), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11168), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11279), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6605), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [427638] = 16,
    ACTIONS(11271), 1,
      sym_keyword_not,
    ACTIONS(11273), 1,
      sym_keyword_rows,
    ACTIONS(11275), 1,
      sym_keyword_returns,
    ACTIONS(11277), 1,
      sym_keyword_language,
    ACTIONS(11281), 1,
      sym_keyword_leakproof,
    ACTIONS(11283), 1,
      sym_keyword_parallel,
    ACTIONS(11285), 1,
      sym_keyword_called,
    ACTIONS(11287), 1,
      sym_keyword_strict,
    ACTIONS(11289), 1,
      sym_keyword_cost,
    ACTIONS(11291), 1,
      sym_keyword_support,
    ACTIONS(11293), 1,
      sym_keyword_security,
    ACTIONS(11295), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11126), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11279), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6625), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [427701] = 16,
    ACTIONS(11271), 1,
      sym_keyword_not,
    ACTIONS(11273), 1,
      sym_keyword_rows,
    ACTIONS(11275), 1,
      sym_keyword_returns,
    ACTIONS(11277), 1,
      sym_keyword_language,
    ACTIONS(11281), 1,
      sym_keyword_leakproof,
    ACTIONS(11283), 1,
      sym_keyword_parallel,
    ACTIONS(11285), 1,
      sym_keyword_called,
    ACTIONS(11287), 1,
      sym_keyword_strict,
    ACTIONS(11289), 1,
      sym_keyword_cost,
    ACTIONS(11291), 1,
      sym_keyword_support,
    ACTIONS(11293), 1,
      sym_keyword_security,
    ACTIONS(11295), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11166), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11279), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6580), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [427764] = 16,
    ACTIONS(11271), 1,
      sym_keyword_not,
    ACTIONS(11273), 1,
      sym_keyword_rows,
    ACTIONS(11275), 1,
      sym_keyword_returns,
    ACTIONS(11277), 1,
      sym_keyword_language,
    ACTIONS(11281), 1,
      sym_keyword_leakproof,
    ACTIONS(11283), 1,
      sym_keyword_parallel,
    ACTIONS(11285), 1,
      sym_keyword_called,
    ACTIONS(11287), 1,
      sym_keyword_strict,
    ACTIONS(11289), 1,
      sym_keyword_cost,
    ACTIONS(11291), 1,
      sym_keyword_support,
    ACTIONS(11293), 1,
      sym_keyword_security,
    ACTIONS(11295), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11120), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11279), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6607), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [427827] = 16,
    ACTIONS(11271), 1,
      sym_keyword_not,
    ACTIONS(11273), 1,
      sym_keyword_rows,
    ACTIONS(11275), 1,
      sym_keyword_returns,
    ACTIONS(11277), 1,
      sym_keyword_language,
    ACTIONS(11281), 1,
      sym_keyword_leakproof,
    ACTIONS(11283), 1,
      sym_keyword_parallel,
    ACTIONS(11285), 1,
      sym_keyword_called,
    ACTIONS(11287), 1,
      sym_keyword_strict,
    ACTIONS(11289), 1,
      sym_keyword_cost,
    ACTIONS(11291), 1,
      sym_keyword_support,
    ACTIONS(11293), 1,
      sym_keyword_security,
    ACTIONS(11295), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11168), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11279), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6625), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [427890] = 16,
    ACTIONS(11271), 1,
      sym_keyword_not,
    ACTIONS(11273), 1,
      sym_keyword_rows,
    ACTIONS(11275), 1,
      sym_keyword_returns,
    ACTIONS(11277), 1,
      sym_keyword_language,
    ACTIONS(11281), 1,
      sym_keyword_leakproof,
    ACTIONS(11283), 1,
      sym_keyword_parallel,
    ACTIONS(11285), 1,
      sym_keyword_called,
    ACTIONS(11287), 1,
      sym_keyword_strict,
    ACTIONS(11289), 1,
      sym_keyword_cost,
    ACTIONS(11291), 1,
      sym_keyword_support,
    ACTIONS(11293), 1,
      sym_keyword_security,
    ACTIONS(11295), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11168), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11279), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6609), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [427953] = 17,
    ACTIONS(11174), 1,
      sym_keyword_not,
    ACTIONS(11177), 1,
      sym_keyword_rows,
    ACTIONS(11180), 1,
      sym_keyword_returns,
    ACTIONS(11189), 1,
      sym_keyword_leakproof,
    ACTIONS(11192), 1,
      sym_keyword_parallel,
    ACTIONS(11195), 1,
      sym_keyword_called,
    ACTIONS(11198), 1,
      sym_keyword_strict,
    ACTIONS(11201), 1,
      sym_keyword_cost,
    ACTIONS(11207), 1,
      sym_keyword_security,
    ACTIONS(11210), 1,
      sym_keyword_external,
    ACTIONS(11297), 1,
      sym_keyword_return,
    ACTIONS(11299), 1,
      sym_keyword_language,
    ACTIONS(11302), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11172), 2,
      sym_keyword_as,
      sym_keyword_begin,
    ACTIONS(11186), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6585), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [428018] = 4,
    ACTIONS(11305), 1,
      anon_sym_LPAREN,
    STATE(6657), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11011), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [428057] = 4,
    ACTIONS(11305), 1,
      anon_sym_LPAREN,
    STATE(6666), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11011), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [428096] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9147), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3597), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [428135] = 4,
    ACTIONS(11305), 1,
      anon_sym_LPAREN,
    STATE(6653), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11003), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [428174] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8978), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3597), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [428213] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8968), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3597), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [428252] = 7,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(11311), 1,
      sym_keyword_as,
    STATE(6726), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(11307), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(11309), 20,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [428297] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9201), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3597), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [428336] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9202), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3597), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [428375] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8965), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3597), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [428414] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9203), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3597), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [428453] = 16,
    ACTIONS(11271), 1,
      sym_keyword_not,
    ACTIONS(11273), 1,
      sym_keyword_rows,
    ACTIONS(11275), 1,
      sym_keyword_returns,
    ACTIONS(11277), 1,
      sym_keyword_language,
    ACTIONS(11281), 1,
      sym_keyword_leakproof,
    ACTIONS(11283), 1,
      sym_keyword_parallel,
    ACTIONS(11285), 1,
      sym_keyword_called,
    ACTIONS(11287), 1,
      sym_keyword_strict,
    ACTIONS(11289), 1,
      sym_keyword_cost,
    ACTIONS(11291), 1,
      sym_keyword_support,
    ACTIONS(11293), 1,
      sym_keyword_security,
    ACTIONS(11295), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11128), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11279), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6625), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [428516] = 16,
    ACTIONS(11271), 1,
      sym_keyword_not,
    ACTIONS(11273), 1,
      sym_keyword_rows,
    ACTIONS(11275), 1,
      sym_keyword_returns,
    ACTIONS(11277), 1,
      sym_keyword_language,
    ACTIONS(11281), 1,
      sym_keyword_leakproof,
    ACTIONS(11283), 1,
      sym_keyword_parallel,
    ACTIONS(11285), 1,
      sym_keyword_called,
    ACTIONS(11287), 1,
      sym_keyword_strict,
    ACTIONS(11289), 1,
      sym_keyword_cost,
    ACTIONS(11291), 1,
      sym_keyword_support,
    ACTIONS(11293), 1,
      sym_keyword_security,
    ACTIONS(11295), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11162), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11279), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6583), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [428579] = 16,
    ACTIONS(11271), 1,
      sym_keyword_not,
    ACTIONS(11273), 1,
      sym_keyword_rows,
    ACTIONS(11275), 1,
      sym_keyword_returns,
    ACTIONS(11277), 1,
      sym_keyword_language,
    ACTIONS(11281), 1,
      sym_keyword_leakproof,
    ACTIONS(11283), 1,
      sym_keyword_parallel,
    ACTIONS(11285), 1,
      sym_keyword_called,
    ACTIONS(11287), 1,
      sym_keyword_strict,
    ACTIONS(11289), 1,
      sym_keyword_cost,
    ACTIONS(11291), 1,
      sym_keyword_support,
    ACTIONS(11293), 1,
      sym_keyword_security,
    ACTIONS(11295), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11128), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11279), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6575), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [428642] = 16,
    ACTIONS(11271), 1,
      sym_keyword_not,
    ACTIONS(11273), 1,
      sym_keyword_rows,
    ACTIONS(11275), 1,
      sym_keyword_returns,
    ACTIONS(11277), 1,
      sym_keyword_language,
    ACTIONS(11281), 1,
      sym_keyword_leakproof,
    ACTIONS(11283), 1,
      sym_keyword_parallel,
    ACTIONS(11285), 1,
      sym_keyword_called,
    ACTIONS(11287), 1,
      sym_keyword_strict,
    ACTIONS(11289), 1,
      sym_keyword_cost,
    ACTIONS(11291), 1,
      sym_keyword_support,
    ACTIONS(11293), 1,
      sym_keyword_security,
    ACTIONS(11295), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11215), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11279), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6597), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [428705] = 16,
    ACTIONS(11271), 1,
      sym_keyword_not,
    ACTIONS(11273), 1,
      sym_keyword_rows,
    ACTIONS(11275), 1,
      sym_keyword_returns,
    ACTIONS(11277), 1,
      sym_keyword_language,
    ACTIONS(11281), 1,
      sym_keyword_leakproof,
    ACTIONS(11283), 1,
      sym_keyword_parallel,
    ACTIONS(11285), 1,
      sym_keyword_called,
    ACTIONS(11287), 1,
      sym_keyword_strict,
    ACTIONS(11289), 1,
      sym_keyword_cost,
    ACTIONS(11291), 1,
      sym_keyword_support,
    ACTIONS(11293), 1,
      sym_keyword_security,
    ACTIONS(11295), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11156), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11279), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6625), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [428768] = 5,
    ACTIONS(11313), 1,
      aux_sym__single_quote_string_token2,
    STATE(6624), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1369), 19,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      sym__identifier,
  [428809] = 16,
    ACTIONS(11271), 1,
      sym_keyword_not,
    ACTIONS(11273), 1,
      sym_keyword_rows,
    ACTIONS(11275), 1,
      sym_keyword_returns,
    ACTIONS(11277), 1,
      sym_keyword_language,
    ACTIONS(11281), 1,
      sym_keyword_leakproof,
    ACTIONS(11283), 1,
      sym_keyword_parallel,
    ACTIONS(11285), 1,
      sym_keyword_called,
    ACTIONS(11287), 1,
      sym_keyword_strict,
    ACTIONS(11289), 1,
      sym_keyword_cost,
    ACTIONS(11291), 1,
      sym_keyword_support,
    ACTIONS(11293), 1,
      sym_keyword_security,
    ACTIONS(11295), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11217), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11279), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6576), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [428872] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9239), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3597), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [428911] = 16,
    ACTIONS(11271), 1,
      sym_keyword_not,
    ACTIONS(11273), 1,
      sym_keyword_rows,
    ACTIONS(11275), 1,
      sym_keyword_returns,
    ACTIONS(11277), 1,
      sym_keyword_language,
    ACTIONS(11281), 1,
      sym_keyword_leakproof,
    ACTIONS(11283), 1,
      sym_keyword_parallel,
    ACTIONS(11285), 1,
      sym_keyword_called,
    ACTIONS(11287), 1,
      sym_keyword_strict,
    ACTIONS(11289), 1,
      sym_keyword_cost,
    ACTIONS(11291), 1,
      sym_keyword_support,
    ACTIONS(11293), 1,
      sym_keyword_security,
    ACTIONS(11295), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11158), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11279), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6625), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [428974] = 16,
    ACTIONS(11271), 1,
      sym_keyword_not,
    ACTIONS(11273), 1,
      sym_keyword_rows,
    ACTIONS(11275), 1,
      sym_keyword_returns,
    ACTIONS(11277), 1,
      sym_keyword_language,
    ACTIONS(11281), 1,
      sym_keyword_leakproof,
    ACTIONS(11283), 1,
      sym_keyword_parallel,
    ACTIONS(11285), 1,
      sym_keyword_called,
    ACTIONS(11287), 1,
      sym_keyword_strict,
    ACTIONS(11289), 1,
      sym_keyword_cost,
    ACTIONS(11291), 1,
      sym_keyword_support,
    ACTIONS(11293), 1,
      sym_keyword_security,
    ACTIONS(11295), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11156), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11279), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6610), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [429037] = 16,
    ACTIONS(11271), 1,
      sym_keyword_not,
    ACTIONS(11273), 1,
      sym_keyword_rows,
    ACTIONS(11275), 1,
      sym_keyword_returns,
    ACTIONS(11277), 1,
      sym_keyword_language,
    ACTIONS(11281), 1,
      sym_keyword_leakproof,
    ACTIONS(11283), 1,
      sym_keyword_parallel,
    ACTIONS(11285), 1,
      sym_keyword_called,
    ACTIONS(11287), 1,
      sym_keyword_strict,
    ACTIONS(11289), 1,
      sym_keyword_cost,
    ACTIONS(11291), 1,
      sym_keyword_support,
    ACTIONS(11293), 1,
      sym_keyword_security,
    ACTIONS(11295), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11160), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11279), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6625), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [429100] = 16,
    ACTIONS(11271), 1,
      sym_keyword_not,
    ACTIONS(11273), 1,
      sym_keyword_rows,
    ACTIONS(11275), 1,
      sym_keyword_returns,
    ACTIONS(11277), 1,
      sym_keyword_language,
    ACTIONS(11281), 1,
      sym_keyword_leakproof,
    ACTIONS(11283), 1,
      sym_keyword_parallel,
    ACTIONS(11285), 1,
      sym_keyword_called,
    ACTIONS(11287), 1,
      sym_keyword_strict,
    ACTIONS(11289), 1,
      sym_keyword_cost,
    ACTIONS(11291), 1,
      sym_keyword_support,
    ACTIONS(11293), 1,
      sym_keyword_security,
    ACTIONS(11295), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11160), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11279), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6611), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [429163] = 16,
    ACTIONS(11271), 1,
      sym_keyword_not,
    ACTIONS(11273), 1,
      sym_keyword_rows,
    ACTIONS(11275), 1,
      sym_keyword_returns,
    ACTIONS(11277), 1,
      sym_keyword_language,
    ACTIONS(11281), 1,
      sym_keyword_leakproof,
    ACTIONS(11283), 1,
      sym_keyword_parallel,
    ACTIONS(11285), 1,
      sym_keyword_called,
    ACTIONS(11287), 1,
      sym_keyword_strict,
    ACTIONS(11289), 1,
      sym_keyword_cost,
    ACTIONS(11291), 1,
      sym_keyword_support,
    ACTIONS(11293), 1,
      sym_keyword_security,
    ACTIONS(11295), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11158), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11279), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6625), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [429226] = 16,
    ACTIONS(11271), 1,
      sym_keyword_not,
    ACTIONS(11273), 1,
      sym_keyword_rows,
    ACTIONS(11275), 1,
      sym_keyword_returns,
    ACTIONS(11277), 1,
      sym_keyword_language,
    ACTIONS(11281), 1,
      sym_keyword_leakproof,
    ACTIONS(11283), 1,
      sym_keyword_parallel,
    ACTIONS(11285), 1,
      sym_keyword_called,
    ACTIONS(11287), 1,
      sym_keyword_strict,
    ACTIONS(11289), 1,
      sym_keyword_cost,
    ACTIONS(11291), 1,
      sym_keyword_support,
    ACTIONS(11293), 1,
      sym_keyword_security,
    ACTIONS(11295), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11170), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11279), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6625), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [429289] = 16,
    ACTIONS(11271), 1,
      sym_keyword_not,
    ACTIONS(11273), 1,
      sym_keyword_rows,
    ACTIONS(11275), 1,
      sym_keyword_returns,
    ACTIONS(11277), 1,
      sym_keyword_language,
    ACTIONS(11281), 1,
      sym_keyword_leakproof,
    ACTIONS(11283), 1,
      sym_keyword_parallel,
    ACTIONS(11285), 1,
      sym_keyword_called,
    ACTIONS(11287), 1,
      sym_keyword_strict,
    ACTIONS(11289), 1,
      sym_keyword_cost,
    ACTIONS(11291), 1,
      sym_keyword_support,
    ACTIONS(11293), 1,
      sym_keyword_security,
    ACTIONS(11295), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11269), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11279), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6625), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [429352] = 4,
    ACTIONS(6857), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3448), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3446), 22,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [429391] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10955), 28,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_LPAREN,
      anon_sym_COMMA,
  [429426] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9241), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3597), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [429465] = 16,
    ACTIONS(11271), 1,
      sym_keyword_not,
    ACTIONS(11273), 1,
      sym_keyword_rows,
    ACTIONS(11275), 1,
      sym_keyword_returns,
    ACTIONS(11277), 1,
      sym_keyword_language,
    ACTIONS(11281), 1,
      sym_keyword_leakproof,
    ACTIONS(11283), 1,
      sym_keyword_parallel,
    ACTIONS(11285), 1,
      sym_keyword_called,
    ACTIONS(11287), 1,
      sym_keyword_strict,
    ACTIONS(11289), 1,
      sym_keyword_cost,
    ACTIONS(11291), 1,
      sym_keyword_support,
    ACTIONS(11293), 1,
      sym_keyword_security,
    ACTIONS(11295), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11162), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11279), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6578), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [429528] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11260), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [429563] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10240), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3597), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [429602] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10244), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3597), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [429641] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10245), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3597), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [429680] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10246), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3597), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [429719] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10248), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3597), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [429758] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10249), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3597), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [429797] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8975), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3597), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [429836] = 5,
    ACTIONS(11315), 1,
      aux_sym__single_quote_string_token2,
    STATE(6626), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1363), 19,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      sym__identifier,
  [429877] = 16,
    ACTIONS(11317), 1,
      sym_keyword_not,
    ACTIONS(11320), 1,
      sym_keyword_rows,
    ACTIONS(11323), 1,
      sym_keyword_returns,
    ACTIONS(11326), 1,
      sym_keyword_language,
    ACTIONS(11332), 1,
      sym_keyword_leakproof,
    ACTIONS(11335), 1,
      sym_keyword_parallel,
    ACTIONS(11338), 1,
      sym_keyword_called,
    ACTIONS(11341), 1,
      sym_keyword_strict,
    ACTIONS(11344), 1,
      sym_keyword_cost,
    ACTIONS(11347), 1,
      sym_keyword_support,
    ACTIONS(11350), 1,
      sym_keyword_security,
    ACTIONS(11353), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11172), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11329), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6625), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [429940] = 5,
    ACTIONS(11356), 1,
      aux_sym__single_quote_string_token2,
    STATE(6626), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1375), 19,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      sym__identifier,
  [429981] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8943), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3597), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [430020] = 8,
    ACTIONS(2833), 1,
      sym_keyword_as,
    ACTIONS(11359), 1,
      sym_keyword_array,
    ACTIONS(11361), 1,
      anon_sym_LBRACK,
    STATE(286), 1,
      sym_array_size_definition,
    STATE(290), 1,
      sym__array_size_definition,
    STATE(6689), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2831), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [430066] = 7,
    ACTIONS(405), 1,
      sym__identifier,
    ACTIONS(11363), 1,
      sym_keyword_as,
    STATE(6756), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(463), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(11307), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(11309), 20,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [430110] = 5,
    ACTIONS(11365), 1,
      aux_sym__single_quote_string_token2,
    STATE(6637), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1363), 19,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      sym__identifier,
  [430150] = 19,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10747), 1,
      sym_keyword_left,
    ACTIONS(10751), 1,
      sym_keyword_inner,
    ACTIONS(10753), 1,
      sym_keyword_join,
    ACTIONS(10755), 1,
      sym_keyword_natural,
    ACTIONS(10757), 1,
      sym_keyword_where,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(10761), 1,
      sym_keyword_group,
    ACTIONS(10763), 1,
      sym_keyword_window,
    STATE(7388), 1,
      sym_where,
    STATE(7484), 1,
      sym_order_by,
    STATE(7640), 1,
      sym_group_by,
    STATE(7642), 1,
      sym_limit,
    STATE(7994), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10749), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9030), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6642), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [430218] = 9,
    ACTIONS(11369), 1,
      sym_keyword_left,
    ACTIONS(11375), 1,
      sym_keyword_inner,
    ACTIONS(11378), 1,
      sym_keyword_cross,
    ACTIONS(11381), 1,
      sym_keyword_join,
    ACTIONS(11384), 1,
      sym_keyword_natural,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11372), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6632), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(11367), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [430266] = 5,
    ACTIONS(11007), 1,
      sym_keyword_preceding,
    ACTIONS(11009), 1,
      sym_keyword_following,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3448), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3446), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [430306] = 5,
    ACTIONS(11387), 1,
      sym_keyword_preceding,
    ACTIONS(11389), 1,
      sym_keyword_following,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [430346] = 8,
    ACTIONS(2827), 1,
      sym_keyword_as,
    ACTIONS(11359), 1,
      sym_keyword_array,
    ACTIONS(11361), 1,
      anon_sym_LBRACK,
    STATE(287), 1,
      sym_array_size_definition,
    STATE(290), 1,
      sym__array_size_definition,
    STATE(6689), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2825), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [430392] = 4,
    ACTIONS(11391), 1,
      anon_sym_COMMA,
    STATE(6636), 1,
      aux_sym__mysql_update_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11260), 25,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [430430] = 5,
    ACTIONS(11394), 1,
      aux_sym__single_quote_string_token2,
    STATE(6637), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1375), 19,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      sym__identifier,
  [430470] = 19,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10747), 1,
      sym_keyword_left,
    ACTIONS(10751), 1,
      sym_keyword_inner,
    ACTIONS(10753), 1,
      sym_keyword_join,
    ACTIONS(10755), 1,
      sym_keyword_natural,
    ACTIONS(10757), 1,
      sym_keyword_where,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(10761), 1,
      sym_keyword_group,
    ACTIONS(10763), 1,
      sym_keyword_window,
    STATE(7379), 1,
      sym_order_by,
    STATE(7401), 1,
      sym_where,
    STATE(7652), 1,
      sym_group_by,
    STATE(7658), 1,
      sym_limit,
    STATE(7997), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10749), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8992), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6639), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [430538] = 19,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10747), 1,
      sym_keyword_left,
    ACTIONS(10751), 1,
      sym_keyword_inner,
    ACTIONS(10753), 1,
      sym_keyword_join,
    ACTIONS(10755), 1,
      sym_keyword_natural,
    ACTIONS(10757), 1,
      sym_keyword_where,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(10761), 1,
      sym_keyword_group,
    ACTIONS(10763), 1,
      sym_keyword_window,
    STATE(7381), 1,
      sym_order_by,
    STATE(7419), 1,
      sym_where,
    STATE(7686), 1,
      sym_group_by,
    STATE(7733), 1,
      sym_limit,
    STATE(8007), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10749), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(10951), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6767), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [430606] = 19,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10747), 1,
      sym_keyword_left,
    ACTIONS(10751), 1,
      sym_keyword_inner,
    ACTIONS(10753), 1,
      sym_keyword_join,
    ACTIONS(10755), 1,
      sym_keyword_natural,
    ACTIONS(10757), 1,
      sym_keyword_where,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(10761), 1,
      sym_keyword_group,
    ACTIONS(10763), 1,
      sym_keyword_window,
    STATE(7412), 1,
      sym_order_by,
    STATE(7440), 1,
      sym_where,
    STATE(7650), 1,
      sym_limit,
    STATE(7717), 1,
      sym_group_by,
    STATE(8015), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10749), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(10953), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6767), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [430674] = 19,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10747), 1,
      sym_keyword_left,
    ACTIONS(10751), 1,
      sym_keyword_inner,
    ACTIONS(10753), 1,
      sym_keyword_join,
    ACTIONS(10755), 1,
      sym_keyword_natural,
    ACTIONS(10757), 1,
      sym_keyword_where,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(10761), 1,
      sym_keyword_group,
    ACTIONS(10763), 1,
      sym_keyword_window,
    STATE(7381), 1,
      sym_order_by,
    STATE(7419), 1,
      sym_where,
    STATE(7686), 1,
      sym_group_by,
    STATE(7733), 1,
      sym_limit,
    STATE(8007), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10749), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(10951), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6640), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [430742] = 19,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10747), 1,
      sym_keyword_left,
    ACTIONS(10751), 1,
      sym_keyword_inner,
    ACTIONS(10753), 1,
      sym_keyword_join,
    ACTIONS(10755), 1,
      sym_keyword_natural,
    ACTIONS(10757), 1,
      sym_keyword_where,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(10761), 1,
      sym_keyword_group,
    ACTIONS(10763), 1,
      sym_keyword_window,
    STATE(7379), 1,
      sym_order_by,
    STATE(7401), 1,
      sym_where,
    STATE(7652), 1,
      sym_group_by,
    STATE(7658), 1,
      sym_limit,
    STATE(7997), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10749), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8992), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6767), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [430810] = 19,
    ACTIONS(9000), 1,
      sym_keyword_cross,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10747), 1,
      sym_keyword_left,
    ACTIONS(10751), 1,
      sym_keyword_inner,
    ACTIONS(10753), 1,
      sym_keyword_join,
    ACTIONS(10755), 1,
      sym_keyword_natural,
    ACTIONS(10757), 1,
      sym_keyword_where,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(10761), 1,
      sym_keyword_group,
    ACTIONS(10763), 1,
      sym_keyword_window,
    STATE(7388), 1,
      sym_where,
    STATE(7484), 1,
      sym_order_by,
    STATE(7640), 1,
      sym_group_by,
    STATE(7642), 1,
      sym_limit,
    STATE(7994), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10749), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9030), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6767), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [430878] = 5,
    ACTIONS(11397), 1,
      aux_sym__single_quote_string_token2,
    STATE(6630), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1369), 19,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      sym__identifier,
  [430918] = 19,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10963), 1,
      sym_keyword_left,
    ACTIONS(10967), 1,
      sym_keyword_inner,
    ACTIONS(10969), 1,
      sym_keyword_join,
    ACTIONS(10971), 1,
      sym_keyword_natural,
    ACTIONS(10973), 1,
      sym_keyword_where,
    ACTIONS(10975), 1,
      sym_keyword_order,
    ACTIONS(10977), 1,
      sym_keyword_group,
    STATE(7573), 1,
      sym_where,
    STATE(7585), 1,
      sym_order_by,
    STATE(7758), 1,
      sym_limit,
    STATE(7885), 1,
      sym_group_by,
    STATE(8163), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10965), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9030), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6656), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [430985] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1651), 26,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_merge,
      sym_keyword_show,
      sym_keyword_set,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_analyze,
      sym_keyword_explain,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_with,
      sym_keyword_rename,
      sym_keyword_reset,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_vacuum,
      sym_keyword_copy,
      sym_keyword_compute,
      sym_keyword_optimize,
      sym_keyword_comment,
      anon_sym_LPAREN,
  [431018] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7255), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [431051] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11401), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11399), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [431086] = 9,
    ACTIONS(11403), 1,
      sym_keyword_left,
    ACTIONS(11409), 1,
      sym_keyword_inner,
    ACTIONS(11412), 1,
      sym_keyword_cross,
    ACTIONS(11415), 1,
      sym_keyword_join,
    ACTIONS(11418), 1,
      sym_keyword_natural,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11406), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6649), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(11367), 14,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [431133] = 8,
    ACTIONS(2827), 1,
      sym_keyword_as,
    ACTIONS(11421), 1,
      sym_keyword_array,
    ACTIONS(11423), 1,
      anon_sym_LBRACK,
    STATE(893), 1,
      sym_array_size_definition,
    STATE(894), 1,
      sym__array_size_definition,
    STATE(6716), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2825), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [431178] = 8,
    ACTIONS(2833), 1,
      sym_keyword_as,
    ACTIONS(11421), 1,
      sym_keyword_array,
    ACTIONS(11423), 1,
      anon_sym_LBRACK,
    STATE(894), 1,
      sym__array_size_definition,
    STATE(913), 1,
      sym_array_size_definition,
    STATE(6716), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2831), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [431223] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7113), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [431256] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11164), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [431289] = 19,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10963), 1,
      sym_keyword_left,
    ACTIONS(10967), 1,
      sym_keyword_inner,
    ACTIONS(10969), 1,
      sym_keyword_join,
    ACTIONS(10971), 1,
      sym_keyword_natural,
    ACTIONS(10973), 1,
      sym_keyword_where,
    ACTIONS(10975), 1,
      sym_keyword_order,
    ACTIONS(10977), 1,
      sym_keyword_group,
    STATE(7543), 1,
      sym_order_by,
    STATE(7596), 1,
      sym_where,
    STATE(7857), 1,
      sym_limit,
    STATE(7893), 1,
      sym_group_by,
    STATE(8168), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10965), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(10951), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6668), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [431356] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11427), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11425), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [431391] = 19,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10963), 1,
      sym_keyword_left,
    ACTIONS(10967), 1,
      sym_keyword_inner,
    ACTIONS(10969), 1,
      sym_keyword_join,
    ACTIONS(10971), 1,
      sym_keyword_natural,
    ACTIONS(10973), 1,
      sym_keyword_where,
    ACTIONS(10975), 1,
      sym_keyword_order,
    ACTIONS(10977), 1,
      sym_keyword_group,
    STATE(7531), 1,
      sym_order_by,
    STATE(7579), 1,
      sym_where,
    STATE(7858), 1,
      sym_limit,
    STATE(7889), 1,
      sym_group_by,
    STATE(8165), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10965), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8992), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6911), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [431458] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11256), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [431491] = 19,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10963), 1,
      sym_keyword_left,
    ACTIONS(10967), 1,
      sym_keyword_inner,
    ACTIONS(10969), 1,
      sym_keyword_join,
    ACTIONS(10971), 1,
      sym_keyword_natural,
    ACTIONS(10973), 1,
      sym_keyword_where,
    ACTIONS(10975), 1,
      sym_keyword_order,
    ACTIONS(10977), 1,
      sym_keyword_group,
    STATE(7573), 1,
      sym_where,
    STATE(7585), 1,
      sym_order_by,
    STATE(7758), 1,
      sym_limit,
    STATE(7885), 1,
      sym_group_by,
    STATE(8163), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10965), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9030), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6911), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [431558] = 19,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10963), 1,
      sym_keyword_left,
    ACTIONS(10967), 1,
      sym_keyword_inner,
    ACTIONS(10969), 1,
      sym_keyword_join,
    ACTIONS(10971), 1,
      sym_keyword_natural,
    ACTIONS(10973), 1,
      sym_keyword_where,
    ACTIONS(10975), 1,
      sym_keyword_order,
    ACTIONS(10977), 1,
      sym_keyword_group,
    STATE(7531), 1,
      sym_order_by,
    STATE(7579), 1,
      sym_where,
    STATE(7858), 1,
      sym_limit,
    STATE(7889), 1,
      sym_group_by,
    STATE(8165), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10965), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8992), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6673), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [431625] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11431), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11429), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [431660] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11435), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11433), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [431695] = 4,
    ACTIONS(11437), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3448), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3446), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [431732] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1380), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1382), 19,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      sym__identifier,
  [431767] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 21,
      sym_keyword_then,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [431802] = 4,
    ACTIONS(11439), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3448), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3446), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [431839] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11256), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [431872] = 4,
    ACTIONS(11441), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3448), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3446), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [431909] = 19,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10963), 1,
      sym_keyword_left,
    ACTIONS(10967), 1,
      sym_keyword_inner,
    ACTIONS(10969), 1,
      sym_keyword_join,
    ACTIONS(10971), 1,
      sym_keyword_natural,
    ACTIONS(10973), 1,
      sym_keyword_where,
    ACTIONS(10975), 1,
      sym_keyword_order,
    ACTIONS(10977), 1,
      sym_keyword_group,
    STATE(7510), 1,
      sym_order_by,
    STATE(7548), 1,
      sym_where,
    STATE(7880), 1,
      sym_limit,
    STATE(7898), 1,
      sym_group_by,
    STATE(8169), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10965), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(10953), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6911), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [431976] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 21,
      sym_keyword_then,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [432011] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11260), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [432044] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11445), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11443), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [432079] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11449), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11447), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [432114] = 19,
    ACTIONS(9169), 1,
      sym_keyword_cross,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10963), 1,
      sym_keyword_left,
    ACTIONS(10967), 1,
      sym_keyword_inner,
    ACTIONS(10969), 1,
      sym_keyword_join,
    ACTIONS(10971), 1,
      sym_keyword_natural,
    ACTIONS(10973), 1,
      sym_keyword_where,
    ACTIONS(10975), 1,
      sym_keyword_order,
    ACTIONS(10977), 1,
      sym_keyword_group,
    STATE(7543), 1,
      sym_order_by,
    STATE(7596), 1,
      sym_where,
    STATE(7857), 1,
      sym_limit,
    STATE(7893), 1,
      sym_group_by,
    STATE(8168), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10965), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(10951), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6911), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [432181] = 4,
    ACTIONS(11451), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3448), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3446), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [432218] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11453), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [432250] = 21,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1731), 1,
      sym_keyword_update,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(1743), 1,
      sym_keyword_copy,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(6913), 1,
      sym__cte,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(10895), 1,
      sym_insert,
    STATE(10897), 1,
      sym_update,
    STATE(11951), 1,
      sym_delete,
    STATE(12980), 1,
      sym__dml_write,
    STATE(12988), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1729), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(11261), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [432320] = 21,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1731), 1,
      sym_keyword_update,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(1743), 1,
      sym_keyword_copy,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(6913), 1,
      sym__cte,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(10895), 1,
      sym_insert,
    STATE(10897), 1,
      sym_update,
    STATE(11951), 1,
      sym_delete,
    STATE(12991), 1,
      sym__dml_write,
    STATE(12993), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1729), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(11261), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [432390] = 21,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1731), 1,
      sym_keyword_update,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(1743), 1,
      sym_keyword_copy,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(6913), 1,
      sym__cte,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(10895), 1,
      sym_insert,
    STATE(10897), 1,
      sym_update,
    STATE(11951), 1,
      sym_delete,
    STATE(13032), 1,
      sym__dml_write,
    STATE(13038), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1729), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(11261), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [432460] = 21,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1731), 1,
      sym_keyword_update,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(1743), 1,
      sym_keyword_copy,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(6913), 1,
      sym__cte,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(10895), 1,
      sym_insert,
    STATE(10897), 1,
      sym_update,
    STATE(11951), 1,
      sym_delete,
    STATE(14610), 1,
      sym__dml_write,
    STATE(14613), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1729), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(11261), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [432530] = 21,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1731), 1,
      sym_keyword_update,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(1743), 1,
      sym_keyword_copy,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(6913), 1,
      sym__cte,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(10895), 1,
      sym_insert,
    STATE(10897), 1,
      sym_update,
    STATE(11951), 1,
      sym_delete,
    STATE(14614), 1,
      sym__dml_write,
    STATE(14617), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1729), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(11261), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [432600] = 21,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1731), 1,
      sym_keyword_update,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(1743), 1,
      sym_keyword_copy,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(6913), 1,
      sym__cte,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(10895), 1,
      sym_insert,
    STATE(10897), 1,
      sym_update,
    STATE(11951), 1,
      sym_delete,
    STATE(12546), 1,
      sym__dml_write,
    STATE(12547), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1729), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(11261), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [432670] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11457), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [432702] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11459), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [432734] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1568), 25,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_merge,
      sym_keyword_show,
      sym_keyword_set,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_analyze,
      sym_keyword_explain,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_with,
      sym_keyword_rename,
      sym_keyword_reset,
      sym_keyword_vacuum,
      sym_keyword_copy,
      sym_keyword_return,
      sym_keyword_compute,
      sym_keyword_optimize,
      sym_keyword_comment,
      anon_sym_LPAREN,
  [432766] = 21,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1731), 1,
      sym_keyword_update,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(1743), 1,
      sym_keyword_copy,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(6913), 1,
      sym__cte,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(10895), 1,
      sym_insert,
    STATE(10897), 1,
      sym_update,
    STATE(11951), 1,
      sym_delete,
    STATE(12568), 1,
      sym__dml_write,
    STATE(12569), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1729), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(11261), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [432836] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11461), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [432868] = 4,
    ACTIONS(57), 1,
      sym_keyword_as,
    ACTIONS(11463), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(111), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [432904] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11465), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [432936] = 6,
    ACTIONS(3337), 1,
      sym_keyword_as,
    ACTIONS(11361), 1,
      anon_sym_LBRACK,
    STATE(193), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(290), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3335), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [432976] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11467), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [433008] = 24,
    ACTIONS(11471), 1,
      sym_keyword_table,
    ACTIONS(11473), 1,
      sym_keyword_view,
    ACTIONS(11475), 1,
      sym_keyword_materialized,
    ACTIONS(11477), 1,
      sym_keyword_sequence,
    ACTIONS(11479), 1,
      sym_keyword_constraint,
    ACTIONS(11481), 1,
      sym_keyword_or,
    ACTIONS(11483), 1,
      sym_keyword_index,
    ACTIONS(11485), 1,
      sym_keyword_type,
    ACTIONS(11487), 1,
      sym_keyword_database,
    ACTIONS(11489), 1,
      sym_keyword_schema,
    ACTIONS(11491), 1,
      sym_keyword_temp,
    ACTIONS(11493), 1,
      sym_keyword_temporary,
    ACTIONS(11495), 1,
      sym_keyword_unlogged,
    ACTIONS(11497), 1,
      sym_keyword_unique,
    ACTIONS(11499), 1,
      sym_keyword_recursive,
    ACTIONS(11501), 1,
      sym_keyword_extension,
    ACTIONS(11503), 1,
      sym_keyword_trigger,
    ACTIONS(11505), 1,
      sym_keyword_function,
    ACTIONS(11507), 1,
      sym_keyword_definer,
    ACTIONS(11509), 1,
      sym_keyword_external,
    STATE(7789), 1,
      sym__or_replace,
    STATE(9951), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11469), 3,
      sym_keyword_group,
      sym_keyword_user,
      sym_keyword_role,
  [433084] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11511), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [433116] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1404), 25,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_merge,
      sym_keyword_show,
      sym_keyword_set,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_analyze,
      sym_keyword_explain,
      sym_keyword_drop,
      sym_keyword_with,
      sym_keyword_rename,
      sym_keyword_reset,
      sym_keyword_begin,
      sym_keyword_vacuum,
      sym_keyword_copy,
      sym_keyword_compute,
      sym_keyword_optimize,
      sym_keyword_comment,
      anon_sym_LPAREN,
  [433148] = 21,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1731), 1,
      sym_keyword_update,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(1743), 1,
      sym_keyword_copy,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(6913), 1,
      sym__cte,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(10895), 1,
      sym_insert,
    STATE(10897), 1,
      sym_update,
    STATE(11951), 1,
      sym_delete,
    STATE(14497), 1,
      sym__dml_write,
    STATE(14503), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1729), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(11261), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [433218] = 9,
    ACTIONS(11378), 1,
      sym_keyword_cross,
    ACTIONS(11513), 1,
      sym_keyword_left,
    ACTIONS(11519), 1,
      sym_keyword_inner,
    ACTIONS(11522), 1,
      sym_keyword_join,
    ACTIONS(11525), 1,
      sym_keyword_natural,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11516), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6695), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(11367), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [433264] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11528), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [433296] = 24,
    ACTIONS(11481), 1,
      sym_keyword_or,
    ACTIONS(11532), 1,
      sym_keyword_table,
    ACTIONS(11534), 1,
      sym_keyword_view,
    ACTIONS(11536), 1,
      sym_keyword_materialized,
    ACTIONS(11538), 1,
      sym_keyword_sequence,
    ACTIONS(11540), 1,
      sym_keyword_constraint,
    ACTIONS(11542), 1,
      sym_keyword_index,
    ACTIONS(11544), 1,
      sym_keyword_type,
    ACTIONS(11546), 1,
      sym_keyword_database,
    ACTIONS(11548), 1,
      sym_keyword_schema,
    ACTIONS(11550), 1,
      sym_keyword_temp,
    ACTIONS(11552), 1,
      sym_keyword_temporary,
    ACTIONS(11554), 1,
      sym_keyword_unlogged,
    ACTIONS(11556), 1,
      sym_keyword_unique,
    ACTIONS(11558), 1,
      sym_keyword_recursive,
    ACTIONS(11560), 1,
      sym_keyword_extension,
    ACTIONS(11562), 1,
      sym_keyword_trigger,
    ACTIONS(11564), 1,
      sym_keyword_function,
    ACTIONS(11566), 1,
      sym_keyword_definer,
    ACTIONS(11568), 1,
      sym_keyword_external,
    STATE(7753), 1,
      sym__or_replace,
    STATE(10174), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11530), 3,
      sym_keyword_group,
      sym_keyword_user,
      sym_keyword_role,
  [433372] = 21,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1731), 1,
      sym_keyword_update,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(1743), 1,
      sym_keyword_copy,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(6913), 1,
      sym__cte,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(10895), 1,
      sym_insert,
    STATE(10897), 1,
      sym_update,
    STATE(11951), 1,
      sym_delete,
    STATE(14140), 1,
      sym__dml_write,
    STATE(14149), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1729), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(11261), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [433442] = 21,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1731), 1,
      sym_keyword_update,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(1743), 1,
      sym_keyword_copy,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(6913), 1,
      sym__cte,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(10895), 1,
      sym_insert,
    STATE(10897), 1,
      sym_update,
    STATE(11951), 1,
      sym_delete,
    STATE(14205), 1,
      sym__dml_write,
    STATE(14210), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1729), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(11261), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [433512] = 24,
    ACTIONS(11477), 1,
      sym_keyword_sequence,
    ACTIONS(11479), 1,
      sym_keyword_constraint,
    ACTIONS(11481), 1,
      sym_keyword_or,
    ACTIONS(11485), 1,
      sym_keyword_type,
    ACTIONS(11487), 1,
      sym_keyword_database,
    ACTIONS(11489), 1,
      sym_keyword_schema,
    ACTIONS(11491), 1,
      sym_keyword_temp,
    ACTIONS(11493), 1,
      sym_keyword_temporary,
    ACTIONS(11501), 1,
      sym_keyword_extension,
    ACTIONS(11503), 1,
      sym_keyword_trigger,
    ACTIONS(11505), 1,
      sym_keyword_function,
    ACTIONS(11507), 1,
      sym_keyword_definer,
    ACTIONS(11570), 1,
      sym_keyword_table,
    ACTIONS(11572), 1,
      sym_keyword_view,
    ACTIONS(11574), 1,
      sym_keyword_materialized,
    ACTIONS(11576), 1,
      sym_keyword_index,
    ACTIONS(11578), 1,
      sym_keyword_unlogged,
    ACTIONS(11580), 1,
      sym_keyword_unique,
    ACTIONS(11582), 1,
      sym_keyword_recursive,
    ACTIONS(11584), 1,
      sym_keyword_external,
    STATE(7900), 1,
      sym__or_replace,
    STATE(10445), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11469), 3,
      sym_keyword_group,
      sym_keyword_user,
      sym_keyword_role,
  [433588] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1380), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1382), 19,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      sym__identifier,
  [433622] = 21,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1731), 1,
      sym_keyword_update,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(1743), 1,
      sym_keyword_copy,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(6913), 1,
      sym__cte,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(10895), 1,
      sym_insert,
    STATE(10897), 1,
      sym_update,
    STATE(11951), 1,
      sym_delete,
    STATE(12913), 1,
      sym__dml_write,
    STATE(12915), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1729), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(11261), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [433692] = 17,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(10132), 1,
      sym_identifier,
    STATE(11890), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(11586), 3,
      sym_keyword_on,
      sym_keyword_off,
      sym_keyword_default,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [433753] = 5,
    ACTIONS(11590), 1,
      sym_keyword_on,
    ACTIONS(11592), 1,
      sym_keyword_as,
    STATE(6706), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11588), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [433790] = 5,
    ACTIONS(11596), 1,
      sym_keyword_on,
    ACTIONS(11599), 1,
      sym_keyword_as,
    STATE(6705), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11594), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [433827] = 5,
    ACTIONS(11590), 1,
      sym_keyword_on,
    ACTIONS(11603), 1,
      sym_keyword_as,
    STATE(6705), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11601), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [433864] = 17,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(9676), 1,
      sym_identifier,
    STATE(11501), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(11605), 3,
      sym_keyword_on,
      sym_keyword_off,
      sym_keyword_default,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [433925] = 17,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(10191), 1,
      sym_identifier,
    STATE(11976), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(11607), 3,
      sym_keyword_on,
      sym_keyword_off,
      sym_keyword_default,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [433986] = 4,
    ACTIONS(11611), 1,
      sym_keyword_as,
    ACTIONS(11613), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11609), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [434021] = 5,
    ACTIONS(3483), 1,
      sym_keyword_as,
    ACTIONS(11361), 1,
      anon_sym_LBRACK,
    STATE(288), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3481), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [434058] = 5,
    ACTIONS(11619), 1,
      sym_keyword_escaped,
    ACTIONS(11621), 1,
      sym_keyword_lines,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11615), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11617), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [434095] = 5,
    ACTIONS(11627), 1,
      aux_sym_keyword_character_token1,
    STATE(13753), 1,
      sym_keyword_character,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11623), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11625), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [434132] = 5,
    ACTIONS(11590), 1,
      sym_keyword_on,
    ACTIONS(11631), 1,
      sym_keyword_as,
    STATE(6720), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11629), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [434169] = 3,
    ACTIONS(11635), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11633), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [434202] = 4,
    ACTIONS(57), 1,
      sym_keyword_as,
    ACTIONS(11637), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(111), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
  [434237] = 6,
    ACTIONS(3337), 1,
      sym_keyword_as,
    ACTIONS(11423), 1,
      anon_sym_LBRACK,
    STATE(536), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(894), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3335), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [434276] = 9,
    ACTIONS(11412), 1,
      sym_keyword_cross,
    ACTIONS(11639), 1,
      sym_keyword_left,
    ACTIONS(11645), 1,
      sym_keyword_inner,
    ACTIONS(11648), 1,
      sym_keyword_join,
    ACTIONS(11651), 1,
      sym_keyword_natural,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11642), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6717), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(11367), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [434321] = 17,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(9072), 1,
      sym_identifier,
    STATE(11347), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(11654), 3,
      sym_keyword_on,
      sym_keyword_off,
      sym_keyword_default,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [434382] = 5,
    ACTIONS(11660), 1,
      sym_keyword_fields,
    ACTIONS(11662), 1,
      sym_keyword_lines,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11656), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11658), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [434419] = 5,
    ACTIONS(11590), 1,
      sym_keyword_on,
    ACTIONS(11592), 1,
      sym_keyword_as,
    STATE(6705), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11588), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [434456] = 5,
    ACTIONS(11592), 1,
      sym_keyword_as,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6746), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11588), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [434492] = 5,
    ACTIONS(11627), 1,
      aux_sym_keyword_character_token1,
    STATE(12575), 1,
      sym_keyword_character,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11623), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11625), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [434528] = 4,
    ACTIONS(11670), 1,
      sym_keyword_lines,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11666), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11668), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [434562] = 17,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(11584), 1,
      sym_identifier,
    STATE(11890), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11586), 2,
      sym_keyword_default,
      sym_keyword_local,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [434622] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11672), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [434652] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11674), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [434682] = 3,
    ACTIONS(11678), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11676), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [434714] = 3,
    ACTIONS(11682), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11680), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [434746] = 3,
    ACTIONS(11686), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11684), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [434778] = 23,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(1689), 1,
      sym_keyword_primary,
    ACTIONS(1711), 1,
      sym_keyword_key,
    ACTIONS(1713), 1,
      sym_keyword_constraint,
    ACTIONS(1715), 1,
      sym_keyword_index,
    ACTIONS(1717), 1,
      sym_keyword_unique,
    ACTIONS(1719), 1,
      sym_keyword_foreign,
    ACTIONS(1721), 1,
      sym_keyword_check,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(10109), 1,
      sym__constraint_literal,
    STATE(10110), 1,
      sym__key_constraint,
    STATE(10926), 1,
      sym_constraint,
    STATE(11844), 1,
      sym__primary_key,
    STATE(11991), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10107), 2,
      sym__check_constraint,
      sym__primary_key_constraint,
  [434850] = 5,
    ACTIONS(11692), 1,
      sym_keyword_with,
    ACTIONS(11694), 1,
      sym_keyword_uncached,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11688), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11690), 14,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [434886] = 3,
    ACTIONS(11696), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11633), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [434918] = 3,
    ACTIONS(11700), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11698), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [434950] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11702), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [434980] = 5,
    ACTIONS(11704), 1,
      sym_keyword_escaped,
    ACTIONS(11706), 1,
      sym_keyword_lines,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11615), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11617), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [435016] = 5,
    ACTIONS(11708), 1,
      sym_keyword_fields,
    ACTIONS(11710), 1,
      sym_keyword_lines,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11656), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11658), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [435052] = 5,
    ACTIONS(11631), 1,
      sym_keyword_as,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6721), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11629), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [435088] = 4,
    ACTIONS(11611), 1,
      sym_keyword_as,
    ACTIONS(11712), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11609), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [435122] = 17,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11501), 1,
      sym_literal,
    STATE(12202), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11605), 2,
      sym_keyword_default,
      sym_keyword_local,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [435182] = 5,
    ACTIONS(11592), 1,
      sym_keyword_as,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6747), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11588), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [435218] = 5,
    ACTIONS(3483), 1,
      sym_keyword_as,
    ACTIONS(11423), 1,
      anon_sym_LBRACK,
    STATE(914), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3481), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [435254] = 17,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(11584), 1,
      sym_identifier,
    STATE(11976), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11607), 2,
      sym_keyword_default,
      sym_keyword_local,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [435314] = 4,
    ACTIONS(11718), 1,
      sym_keyword_cached,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11714), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11716), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [435348] = 17,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11347), 1,
      sym_literal,
    STATE(12202), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11654), 2,
      sym_keyword_default,
      sym_keyword_local,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [435408] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11720), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [435438] = 5,
    ACTIONS(11599), 1,
      sym_keyword_as,
    ACTIONS(11722), 1,
      sym_keyword_on,
    STATE(6746), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11594), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [435474] = 5,
    ACTIONS(11603), 1,
      sym_keyword_as,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6746), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11601), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [435510] = 3,
    ACTIONS(11611), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11609), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [435542] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11725), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [435572] = 3,
    ACTIONS(11729), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11727), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [435604] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11731), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11733), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [435635] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11459), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [435664] = 3,
    ACTIONS(11737), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11735), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [435695] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11739), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11741), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [435726] = 3,
    ACTIONS(11745), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11743), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [435757] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11674), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [435786] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11747), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11749), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [435817] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11528), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [435846] = 17,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    ACTIONS(11751), 1,
      sym_keyword_no,
    ACTIONS(11755), 1,
      anon_sym_PLUS,
    ACTIONS(11757), 1,
      anon_sym_DASH,
    ACTIONS(11759), 1,
      sym__double_quote_string,
    ACTIONS(11761), 1,
      aux_sym__integer_token1,
    ACTIONS(11763), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11765), 1,
      aux_sym__bit_string_token1,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(7467), 1,
      sym_literal,
    STATE(11807), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11753), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7262), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [435905] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11767), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11769), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [435936] = 17,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    ACTIONS(11755), 1,
      anon_sym_PLUS,
    ACTIONS(11757), 1,
      anon_sym_DASH,
    ACTIONS(11759), 1,
      sym__double_quote_string,
    ACTIONS(11761), 1,
      aux_sym__integer_token1,
    ACTIONS(11763), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11765), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11771), 1,
      sym_keyword_by,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(7385), 1,
      sym_literal,
    STATE(11807), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11753), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7262), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [435995] = 17,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    ACTIONS(11755), 1,
      anon_sym_PLUS,
    ACTIONS(11757), 1,
      anon_sym_DASH,
    ACTIONS(11759), 1,
      sym__double_quote_string,
    ACTIONS(11761), 1,
      aux_sym__integer_token1,
    ACTIONS(11763), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11765), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11773), 1,
      sym_keyword_no,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(7385), 1,
      sym_literal,
    STATE(11807), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11753), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7262), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [436054] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11775), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11777), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436085] = 3,
    ACTIONS(11682), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11680), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [436116] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11779), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11781), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436147] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11783), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11785), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436178] = 9,
    ACTIONS(11378), 1,
      sym_keyword_cross,
    ACTIONS(11787), 1,
      sym_keyword_left,
    ACTIONS(11793), 1,
      sym_keyword_inner,
    ACTIONS(11796), 1,
      sym_keyword_join,
    ACTIONS(11799), 1,
      sym_keyword_natural,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11790), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6767), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(11367), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [436221] = 17,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    ACTIONS(11755), 1,
      anon_sym_PLUS,
    ACTIONS(11757), 1,
      anon_sym_DASH,
    ACTIONS(11759), 1,
      sym__double_quote_string,
    ACTIONS(11761), 1,
      aux_sym__integer_token1,
    ACTIONS(11763), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11765), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11802), 1,
      sym_keyword_no,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(7385), 1,
      sym_literal,
    STATE(11807), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11753), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7262), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [436280] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1380), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1382), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436311] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11804), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11806), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436342] = 3,
    ACTIONS(11810), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11808), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [436373] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11511), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [436402] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11812), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11814), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436433] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11816), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11818), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436464] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11672), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [436493] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11820), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11822), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436524] = 3,
    ACTIONS(11826), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11824), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [436555] = 3,
    ACTIONS(11830), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11828), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [436586] = 17,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    ACTIONS(11832), 1,
      sym_keyword_default,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(10363), 1,
      sym_identifier,
    STATE(12144), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [436645] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11834), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11836), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436676] = 3,
    ACTIONS(11840), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11838), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [436707] = 3,
    ACTIONS(11844), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11842), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [436738] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11846), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11848), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436769] = 3,
    ACTIONS(11852), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11850), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [436800] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11854), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(11856), 16,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_or,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_immediate,
      sym_keyword_deferred,
      sym__identifier,
  [436831] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11219), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11221), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436862] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11457), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [436891] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11858), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11860), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436922] = 3,
    ACTIONS(11864), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11862), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [436953] = 3,
    ACTIONS(11868), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11866), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [436984] = 3,
    ACTIONS(11872), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11870), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [437015] = 3,
    ACTIONS(11876), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11874), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [437046] = 3,
    ACTIONS(11880), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11878), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [437077] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11882), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11884), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [437108] = 3,
    ACTIONS(11888), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11886), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [437139] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11465), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [437168] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11890), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11892), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [437199] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11453), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [437228] = 3,
    ACTIONS(11896), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11894), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [437259] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11461), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [437288] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11898), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11900), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [437319] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11902), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11904), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [437350] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11906), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11908), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [437381] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11265), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11267), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [437412] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11910), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11912), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [437443] = 17,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(11914), 1,
      anon_sym_LPAREN,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(12202), 1,
      sym_identifier,
    STATE(13760), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [437502] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11916), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11918), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [437533] = 3,
    ACTIONS(11922), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11920), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [437564] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11467), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [437593] = 17,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(11924), 1,
      sym_keyword_no,
    ACTIONS(11928), 1,
      anon_sym_PLUS,
    ACTIONS(11930), 1,
      anon_sym_DASH,
    ACTIONS(11932), 1,
      sym__double_quote_string,
    ACTIONS(11934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(11936), 1,
      aux_sym__integer_token1,
    ACTIONS(11938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11942), 1,
      sym__dollar_quoted_string,
    STATE(7406), 1,
      sym__single_quote_string,
    STATE(7600), 1,
      sym_literal,
    STATE(11884), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11926), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7429), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [437652] = 17,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(11928), 1,
      anon_sym_PLUS,
    ACTIONS(11930), 1,
      anon_sym_DASH,
    ACTIONS(11932), 1,
      sym__double_quote_string,
    ACTIONS(11934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(11936), 1,
      aux_sym__integer_token1,
    ACTIONS(11938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11942), 1,
      sym__dollar_quoted_string,
    ACTIONS(11944), 1,
      sym_keyword_no,
    STATE(7406), 1,
      sym__single_quote_string,
    STATE(7600), 1,
      sym_literal,
    STATE(11884), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11926), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7429), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [437711] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11946), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11948), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [437742] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11950), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11952), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [437773] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11954), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11956), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [437804] = 3,
    ACTIONS(11960), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11958), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [437835] = 5,
    ACTIONS(11962), 1,
      sym_keyword_with,
    ACTIONS(11964), 1,
      sym_keyword_uncached,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11688), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11690), 14,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [437870] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11966), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11968), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [437901] = 17,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(11928), 1,
      anon_sym_PLUS,
    ACTIONS(11930), 1,
      anon_sym_DASH,
    ACTIONS(11932), 1,
      sym__double_quote_string,
    ACTIONS(11934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(11936), 1,
      aux_sym__integer_token1,
    ACTIONS(11938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11942), 1,
      sym__dollar_quoted_string,
    ACTIONS(11970), 1,
      sym_keyword_by,
    STATE(7406), 1,
      sym__single_quote_string,
    STATE(7525), 1,
      sym_literal,
    STATE(11884), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11926), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7429), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [437960] = 17,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(11928), 1,
      anon_sym_PLUS,
    ACTIONS(11930), 1,
      anon_sym_DASH,
    ACTIONS(11932), 1,
      sym__double_quote_string,
    ACTIONS(11934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(11936), 1,
      aux_sym__integer_token1,
    ACTIONS(11938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11942), 1,
      sym__dollar_quoted_string,
    ACTIONS(11972), 1,
      sym_keyword_no,
    STATE(7406), 1,
      sym__single_quote_string,
    STATE(7525), 1,
      sym_literal,
    STATE(11884), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11926), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7429), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [438019] = 17,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(11928), 1,
      anon_sym_PLUS,
    ACTIONS(11930), 1,
      anon_sym_DASH,
    ACTIONS(11932), 1,
      sym__double_quote_string,
    ACTIONS(11934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(11936), 1,
      aux_sym__integer_token1,
    ACTIONS(11938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11942), 1,
      sym__dollar_quoted_string,
    ACTIONS(11974), 1,
      sym_keyword_no,
    STATE(7406), 1,
      sym__single_quote_string,
    STATE(7525), 1,
      sym_literal,
    STATE(11884), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11926), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7429), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [438078] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11725), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [438107] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11976), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11978), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [438138] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11980), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11982), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [438169] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11130), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11132), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [438200] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11984), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11986), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [438231] = 4,
    ACTIONS(11988), 1,
      sym_keyword_cached,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11714), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11716), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [438264] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11990), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11992), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [438295] = 3,
    ACTIONS(11678), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11676), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [438326] = 17,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    ACTIONS(11755), 1,
      anon_sym_PLUS,
    ACTIONS(11757), 1,
      anon_sym_DASH,
    ACTIONS(11759), 1,
      sym__double_quote_string,
    ACTIONS(11761), 1,
      aux_sym__integer_token1,
    ACTIONS(11763), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11765), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11994), 1,
      sym_keyword_no,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(7467), 1,
      sym_literal,
    STATE(11807), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11753), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7262), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [438385] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11996), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11998), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [438416] = 3,
    ACTIONS(12002), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12000), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [438447] = 3,
    ACTIONS(12006), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12004), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [438478] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11720), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [438507] = 4,
    ACTIONS(12008), 1,
      sym_keyword_lines,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11666), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11668), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [438540] = 3,
    ACTIONS(11686), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11684), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [438571] = 3,
    ACTIONS(12010), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11727), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [438602] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11702), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [438631] = 3,
    ACTIONS(12014), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12012), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [438662] = 3,
    ACTIONS(11611), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11609), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [438693] = 17,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(12016), 1,
      sym_keyword_default,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(9543), 1,
      sym_identifier,
    STATE(11155), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [438752] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(7517), 1,
      sym_literal,
    STATE(11584), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [438808] = 16,
    ACTIONS(1247), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12030), 1,
      sym_keyword_float,
    ACTIONS(12032), 1,
      sym_keyword_double,
    STATE(2251), 1,
      sym_keyword_tinyint,
    STATE(2252), 1,
      sym_keyword_smallint,
    STATE(2253), 1,
      sym_keyword_mediumint,
    STATE(2254), 1,
      sym_keyword_int,
    STATE(2255), 1,
      sym_keyword_bigint,
    STATE(2256), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12018), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12020), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12022), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12024), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12026), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12028), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [438864] = 16,
    ACTIONS(1311), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12046), 1,
      sym_keyword_float,
    ACTIONS(12048), 1,
      sym_keyword_double,
    STATE(3458), 1,
      sym_keyword_tinyint,
    STATE(3461), 1,
      sym_keyword_smallint,
    STATE(3466), 1,
      sym_keyword_mediumint,
    STATE(3467), 1,
      sym_keyword_int,
    STATE(3472), 1,
      sym_keyword_bigint,
    STATE(3473), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12034), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12036), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12038), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12040), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12042), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12044), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [438920] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11950), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11952), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [438950] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11858), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11860), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [438980] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11990), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11992), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [439010] = 17,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(1479), 1,
      sym_keyword_update,
    ACTIONS(1481), 1,
      sym_keyword_truncate,
    ACTIONS(1485), 1,
      sym_keyword_show,
    ACTIONS(1507), 1,
      sym_keyword_copy,
    ACTIONS(12050), 1,
      anon_sym_LPAREN,
    STATE(7715), 1,
      sym_select,
    STATE(7805), 1,
      sym__select_statement,
    STATE(8436), 1,
      sym__show_statement,
    STATE(8438), 1,
      sym_set_operation,
    STATE(10050), 1,
      sym_insert,
    STATE(10051), 1,
      sym_update,
    STATE(12081), 1,
      sym_delete,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1477), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(11779), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [439068] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11775), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11777), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [439098] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(7431), 1,
      sym_literal,
    STATE(12202), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [439154] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11279), 1,
      sym_literal,
    STATE(12202), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [439210] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11735), 1,
      sym_literal,
    STATE(12202), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [439266] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11737), 1,
      sym_literal,
    STATE(12202), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [439322] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(12084), 1,
      sym_literal,
    STATE(12202), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [439378] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11902), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11904), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [439408] = 16,
    ACTIONS(607), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12064), 1,
      sym_keyword_float,
    ACTIONS(12066), 1,
      sym_keyword_double,
    STATE(3092), 1,
      sym_keyword_tinyint,
    STATE(3093), 1,
      sym_keyword_smallint,
    STATE(3094), 1,
      sym_keyword_mediumint,
    STATE(3095), 1,
      sym_keyword_int,
    STATE(3096), 1,
      sym_keyword_bigint,
    STATE(3097), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12052), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12054), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12056), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12058), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12060), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12062), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [439464] = 16,
    ACTIONS(161), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12080), 1,
      sym_keyword_float,
    ACTIONS(12082), 1,
      sym_keyword_double,
    STATE(5837), 1,
      sym_keyword_tinyint,
    STATE(5838), 1,
      sym_keyword_smallint,
    STATE(5839), 1,
      sym_keyword_mediumint,
    STATE(5845), 1,
      sym_keyword_int,
    STATE(5846), 1,
      sym_keyword_bigint,
    STATE(5847), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12068), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12070), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12072), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12074), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12076), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12078), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [439520] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(12086), 1,
      sym_literal,
    STATE(12202), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [439576] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11916), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11918), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [439606] = 16,
    ACTIONS(671), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12096), 1,
      sym_keyword_float,
    ACTIONS(12098), 1,
      sym_keyword_double,
    STATE(6123), 1,
      sym_keyword_tinyint,
    STATE(6124), 1,
      sym_keyword_smallint,
    STATE(6126), 1,
      sym_keyword_mediumint,
    STATE(6127), 1,
      sym_keyword_int,
    STATE(6128), 1,
      sym_keyword_bigint,
    STATE(6146), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12084), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12086), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12088), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12090), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12092), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12094), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [439662] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11731), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11733), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [439692] = 16,
    ACTIONS(491), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12112), 1,
      sym_keyword_float,
    ACTIONS(12114), 1,
      sym_keyword_double,
    STATE(623), 1,
      sym_keyword_tinyint,
    STATE(624), 1,
      sym_keyword_smallint,
    STATE(625), 1,
      sym_keyword_mediumint,
    STATE(626), 1,
      sym_keyword_int,
    STATE(677), 1,
      sym_keyword_bigint,
    STATE(710), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12100), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12102), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12104), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12106), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12108), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12110), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [439748] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11976), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11978), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [439778] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(11584), 1,
      sym_identifier,
    STATE(11890), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [439834] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11898), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11900), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [439864] = 16,
    ACTIONS(795), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12128), 1,
      sym_keyword_float,
    ACTIONS(12130), 1,
      sym_keyword_double,
    STATE(5268), 1,
      sym_keyword_tinyint,
    STATE(5269), 1,
      sym_keyword_smallint,
    STATE(5270), 1,
      sym_keyword_mediumint,
    STATE(5271), 1,
      sym_keyword_int,
    STATE(5272), 1,
      sym_keyword_bigint,
    STATE(5273), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12116), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12118), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12120), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12122), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12124), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12126), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [439920] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11910), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11912), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [439950] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11954), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11956), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [439980] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11265), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11267), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [440010] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11946), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11948), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [440040] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11130), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11132), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [440070] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11966), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11968), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [440100] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11739), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11741), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [440130] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(8467), 1,
      sym_identifier,
    STATE(14300), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [440186] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11804), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11806), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [440216] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11767), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11769), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [440246] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11783), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11785), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [440276] = 3,
    ACTIONS(12006), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12004), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [440306] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(11584), 1,
      sym_identifier,
    STATE(11806), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [440362] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10673), 1,
      sym_literal,
    STATE(12202), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [440418] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10891), 1,
      sym_literal,
    STATE(12202), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [440474] = 16,
    ACTIONS(1001), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12144), 1,
      sym_keyword_float,
    ACTIONS(12146), 1,
      sym_keyword_double,
    STATE(5310), 1,
      sym_keyword_tinyint,
    STATE(5311), 1,
      sym_keyword_smallint,
    STATE(5312), 1,
      sym_keyword_mediumint,
    STATE(5313), 1,
      sym_keyword_int,
    STATE(5314), 1,
      sym_keyword_bigint,
    STATE(5315), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12132), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12134), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12136), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12138), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12140), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12142), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [440530] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(7690), 1,
      sym_literal,
    STATE(12202), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [440586] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3014), 1,
      anon_sym_PLUS,
    ACTIONS(3016), 1,
      anon_sym_DASH,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3024), 1,
      aux_sym__integer_token1,
    ACTIONS(3026), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3028), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(7828), 1,
      sym_literal,
    STATE(11584), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3002), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4001), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [440642] = 16,
    ACTIONS(309), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12160), 1,
      sym_keyword_float,
    ACTIONS(12162), 1,
      sym_keyword_double,
    STATE(2764), 1,
      sym_keyword_int,
    STATE(2787), 1,
      sym_keyword_smallint,
    STATE(2794), 1,
      sym_keyword_bigint,
    STATE(2795), 1,
      sym_keyword_mediumint,
    STATE(2798), 1,
      sym_keyword_real,
    STATE(2851), 1,
      sym_keyword_tinyint,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12148), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12150), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12152), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12154), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12156), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12158), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [440698] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1380), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1382), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [440728] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11002), 1,
      sym_literal,
    STATE(12202), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [440784] = 17,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(13), 1,
      sym_keyword_update,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(43), 1,
      sym_keyword_copy,
    ACTIONS(12164), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7707), 1,
      sym__select_statement,
    STATE(8114), 1,
      sym__show_statement,
    STATE(8115), 1,
      sym_set_operation,
    STATE(9692), 1,
      sym_update,
    STATE(10199), 1,
      sym_insert,
    STATE(12236), 1,
      sym_delete,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(11281), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [440842] = 3,
    ACTIONS(11826), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11824), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [440872] = 4,
    ACTIONS(57), 1,
      sym_keyword_return,
    ACTIONS(12166), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(111), 19,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_array,
      anon_sym_LBRACK,
  [440904] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11846), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11848), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [440934] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11219), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11221), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [440964] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11882), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11884), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [440994] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10771), 1,
      sym_literal,
    STATE(12202), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [441050] = 16,
    ACTIONS(917), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12180), 1,
      sym_keyword_float,
    ACTIONS(12182), 1,
      sym_keyword_double,
    STATE(3191), 1,
      sym_keyword_tinyint,
    STATE(3192), 1,
      sym_keyword_smallint,
    STATE(3193), 1,
      sym_keyword_mediumint,
    STATE(3194), 1,
      sym_keyword_int,
    STATE(3195), 1,
      sym_keyword_bigint,
    STATE(3196), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12168), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12170), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12172), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12174), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12176), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12178), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [441106] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11984), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11986), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [441136] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(8451), 1,
      sym_identifier,
    STATE(14240), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [441192] = 16,
    ACTIONS(367), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12196), 1,
      sym_keyword_float,
    ACTIONS(12198), 1,
      sym_keyword_double,
    STATE(183), 1,
      sym_keyword_tinyint,
    STATE(195), 1,
      sym_keyword_smallint,
    STATE(196), 1,
      sym_keyword_mediumint,
    STATE(200), 1,
      sym_keyword_int,
    STATE(201), 1,
      sym_keyword_bigint,
    STATE(202), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12184), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12186), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12188), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12190), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12192), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12194), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [441248] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11779), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11781), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [441278] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11347), 1,
      sym_literal,
    STATE(12202), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [441334] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11980), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11982), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [441364] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11816), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11818), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [441394] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11637), 1,
      sym_literal,
    STATE(12202), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [441450] = 3,
    ACTIONS(11700), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11698), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [441480] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11820), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11822), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [441510] = 3,
    ACTIONS(11888), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11886), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [441540] = 3,
    ACTIONS(11922), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11920), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [441570] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11890), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11892), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [441600] = 3,
    ACTIONS(11960), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11958), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [441630] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11814), 1,
      sym_literal,
    STATE(12202), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [441686] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11202), 1,
      sym_literal,
    STATE(12202), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [441742] = 9,
    ACTIONS(11412), 1,
      sym_keyword_cross,
    ACTIONS(12200), 1,
      sym_keyword_left,
    ACTIONS(12206), 1,
      sym_keyword_inner,
    ACTIONS(12209), 1,
      sym_keyword_join,
    ACTIONS(12212), 1,
      sym_keyword_natural,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12203), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6911), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(11367), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [441784] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11999), 1,
      sym_literal,
    STATE(12202), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [441840] = 17,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(1731), 1,
      sym_keyword_update,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(1743), 1,
      sym_keyword_copy,
    ACTIONS(12164), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7707), 1,
      sym__select_statement,
    STATE(8114), 1,
      sym__show_statement,
    STATE(8115), 1,
      sym_set_operation,
    STATE(10895), 1,
      sym_insert,
    STATE(10897), 1,
      sym_update,
    STATE(11951), 1,
      sym_delete,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1729), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(11281), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [441898] = 3,
    ACTIONS(11896), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11894), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [441928] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11906), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11908), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [441958] = 3,
    ACTIONS(11745), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11743), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [441988] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    ACTIONS(11755), 1,
      anon_sym_PLUS,
    ACTIONS(11757), 1,
      anon_sym_DASH,
    ACTIONS(11759), 1,
      sym__double_quote_string,
    ACTIONS(11761), 1,
      aux_sym__integer_token1,
    ACTIONS(11763), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11765), 1,
      aux_sym__bit_string_token1,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(7410), 1,
      sym_literal,
    STATE(11807), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11753), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7262), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [442044] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(11928), 1,
      anon_sym_PLUS,
    ACTIONS(11930), 1,
      anon_sym_DASH,
    ACTIONS(11932), 1,
      sym__double_quote_string,
    ACTIONS(11934), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(11936), 1,
      aux_sym__integer_token1,
    ACTIONS(11938), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11940), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11942), 1,
      sym__dollar_quoted_string,
    STATE(7406), 1,
      sym__single_quote_string,
    STATE(7495), 1,
      sym_literal,
    STATE(11884), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11926), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7429), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [442100] = 16,
    ACTIONS(549), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12227), 1,
      sym_keyword_float,
    ACTIONS(12229), 1,
      sym_keyword_double,
    STATE(5112), 1,
      sym_keyword_tinyint,
    STATE(5113), 1,
      sym_keyword_smallint,
    STATE(5114), 1,
      sym_keyword_mediumint,
    STATE(5115), 1,
      sym_keyword_int,
    STATE(5116), 1,
      sym_keyword_bigint,
    STATE(5117), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12215), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12217), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12219), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12221), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12223), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12225), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [442156] = 16,
    ACTIONS(1061), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12243), 1,
      sym_keyword_float,
    ACTIONS(12245), 1,
      sym_keyword_double,
    STATE(3838), 1,
      sym_keyword_tinyint,
    STATE(3839), 1,
      sym_keyword_smallint,
    STATE(3840), 1,
      sym_keyword_mediumint,
    STATE(3841), 1,
      sym_keyword_int,
    STATE(3842), 1,
      sym_keyword_bigint,
    STATE(3843), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12231), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12233), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12235), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12237), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12239), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12241), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [442212] = 16,
    ACTIONS(239), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12259), 1,
      sym_keyword_float,
    ACTIONS(12261), 1,
      sym_keyword_double,
    STATE(3353), 1,
      sym_keyword_tinyint,
    STATE(3359), 1,
      sym_keyword_smallint,
    STATE(3360), 1,
      sym_keyword_mediumint,
    STATE(3364), 1,
      sym_keyword_int,
    STATE(3365), 1,
      sym_keyword_bigint,
    STATE(3366), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12247), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12249), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12251), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12253), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12255), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12257), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [442268] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10904), 1,
      sym_literal,
    STATE(12202), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [442324] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11815), 1,
      sym_literal,
    STATE(12202), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [442380] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(12202), 1,
      sym_identifier,
    STATE(14300), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [442436] = 16,
    ACTIONS(1119), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12275), 1,
      sym_keyword_float,
    ACTIONS(12277), 1,
      sym_keyword_double,
    STATE(4987), 1,
      sym_keyword_bigint,
    STATE(4993), 1,
      sym_keyword_mediumint,
    STATE(4996), 1,
      sym_keyword_real,
    STATE(5000), 1,
      sym_keyword_int,
    STATE(5057), 1,
      sym_keyword_tinyint,
    STATE(5119), 1,
      sym_keyword_smallint,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12263), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12265), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12267), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12269), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12271), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12273), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [442492] = 16,
    ACTIONS(81), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12291), 1,
      sym_keyword_float,
    ACTIONS(12293), 1,
      sym_keyword_double,
    STATE(2152), 1,
      sym_keyword_tinyint,
    STATE(2153), 1,
      sym_keyword_smallint,
    STATE(2154), 1,
      sym_keyword_mediumint,
    STATE(2155), 1,
      sym_keyword_int,
    STATE(2156), 1,
      sym_keyword_bigint,
    STATE(2157), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12279), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12281), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12283), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12285), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12287), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12289), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [442548] = 16,
    ACTIONS(731), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12307), 1,
      sym_keyword_float,
    ACTIONS(12309), 1,
      sym_keyword_double,
    STATE(3651), 1,
      sym_keyword_tinyint,
    STATE(3653), 1,
      sym_keyword_smallint,
    STATE(3654), 1,
      sym_keyword_mediumint,
    STATE(3656), 1,
      sym_keyword_int,
    STATE(3657), 1,
      sym_keyword_bigint,
    STATE(3659), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12295), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12297), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12299), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12301), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12303), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12305), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [442604] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11834), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11836), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [442634] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(12202), 1,
      sym_identifier,
    STATE(14240), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [442690] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11842), 1,
      sym_literal,
    STATE(12202), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [442746] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11996), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11998), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [442776] = 16,
    ACTIONS(1181), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12323), 1,
      sym_keyword_float,
    ACTIONS(12325), 1,
      sym_keyword_double,
    STATE(4212), 1,
      sym_keyword_tinyint,
    STATE(4216), 1,
      sym_keyword_smallint,
    STATE(4218), 1,
      sym_keyword_mediumint,
    STATE(4220), 1,
      sym_keyword_int,
    STATE(4226), 1,
      sym_keyword_bigint,
    STATE(4240), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12311), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12313), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12315), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12317), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12319), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12321), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [442832] = 16,
    ACTIONS(431), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12339), 1,
      sym_keyword_float,
    ACTIONS(12341), 1,
      sym_keyword_double,
    STATE(7065), 1,
      sym_keyword_tinyint,
    STATE(7112), 1,
      sym_keyword_smallint,
    STATE(7113), 1,
      sym_keyword_mediumint,
    STATE(7115), 1,
      sym_keyword_int,
    STATE(7116), 1,
      sym_keyword_bigint,
    STATE(7118), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12327), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12329), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12331), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12333), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12335), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12337), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [442888] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11747), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11749), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [442918] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1386), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [442948] = 16,
    ACTIONS(853), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12355), 1,
      sym_keyword_float,
    ACTIONS(12357), 1,
      sym_keyword_double,
    STATE(2013), 1,
      sym_keyword_tinyint,
    STATE(2015), 1,
      sym_keyword_smallint,
    STATE(2016), 1,
      sym_keyword_mediumint,
    STATE(2017), 1,
      sym_keyword_int,
    STATE(2018), 1,
      sym_keyword_bigint,
    STATE(2019), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12343), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12345), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12347), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12349), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12351), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12353), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [443004] = 16,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3100), 1,
      anon_sym_PLUS,
    ACTIONS(3102), 1,
      anon_sym_DASH,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3110), 1,
      aux_sym__integer_token1,
    ACTIONS(3112), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3114), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11841), 1,
      sym_literal,
    STATE(12202), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3090), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3368), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [443060] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11812), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11814), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [443090] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12359), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12361), 14,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym__identifier,
  [443119] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12363), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12365), 14,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym__identifier,
  [443148] = 15,
    ACTIONS(129), 1,
      sym__identifier,
    ACTIONS(12369), 1,
      sym_keyword_create,
    ACTIONS(12371), 1,
      sym_keyword_in,
    ACTIONS(12373), 1,
      sym_keyword_with,
    ACTIONS(12377), 1,
      sym_keyword_password,
    ACTIONS(12379), 1,
      sym_keyword_encrypted,
    ACTIONS(12381), 1,
      sym_keyword_valid,
    ACTIONS(12383), 1,
      sym_keyword_connection,
    STATE(7168), 1,
      sym__role_options,
    STATE(7169), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6957), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12367), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(12375), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
  [443201] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12385), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [443227] = 20,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12389), 1,
      sym_keyword_set,
    ACTIONS(12391), 1,
      sym_keyword_partition,
    ACTIONS(12393), 1,
      sym_keyword_as,
    ACTIONS(12395), 1,
      sym_keyword_partitioned,
    ACTIONS(12397), 1,
      anon_sym_LPAREN,
    STATE(7135), 1,
      sym_table_partition,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(7662), 1,
      sym__column_list,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(8802), 1,
      sym__dml_read,
    STATE(9644), 1,
      sym__insert_values,
    STATE(9645), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [443289] = 20,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(1485), 1,
      sym_keyword_show,
    ACTIONS(12391), 1,
      sym_keyword_partition,
    ACTIONS(12395), 1,
      sym_keyword_partitioned,
    ACTIONS(12399), 1,
      sym_keyword_values,
    ACTIONS(12401), 1,
      sym_keyword_set,
    ACTIONS(12403), 1,
      sym_keyword_as,
    ACTIONS(12405), 1,
      anon_sym_LPAREN,
    STATE(7132), 1,
      sym_table_partition,
    STATE(7654), 1,
      sym__column_list,
    STATE(7715), 1,
      sym_select,
    STATE(7842), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8339), 1,
      sym__cte,
    STATE(8733), 1,
      sym__set_values,
    STATE(8734), 1,
      sym__insert_values,
    STATE(9325), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [443351] = 6,
    ACTIONS(12407), 1,
      sym_keyword_unsigned,
    ACTIONS(12409), 1,
      sym_keyword_zerofill,
    ACTIONS(12411), 1,
      sym_keyword_precision,
    ACTIONS(12413), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443385] = 14,
    ACTIONS(12417), 1,
      sym__identifier,
    ACTIONS(12420), 1,
      sym_keyword_create,
    ACTIONS(12422), 1,
      sym_keyword_in,
    ACTIONS(12428), 1,
      sym_keyword_password,
    ACTIONS(12431), 1,
      sym_keyword_encrypted,
    ACTIONS(12434), 1,
      sym_keyword_valid,
    ACTIONS(12437), 1,
      sym_keyword_connection,
    STATE(7168), 1,
      sym__role_options,
    STATE(7169), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12440), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6946), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12415), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(12425), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
  [443435] = 20,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12389), 1,
      sym_keyword_set,
    ACTIONS(12391), 1,
      sym_keyword_partition,
    ACTIONS(12395), 1,
      sym_keyword_partitioned,
    ACTIONS(12397), 1,
      anon_sym_LPAREN,
    ACTIONS(12443), 1,
      sym_keyword_as,
    STATE(7145), 1,
      sym_table_partition,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(7662), 1,
      sym__column_list,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(8802), 1,
      sym__dml_read,
    STATE(9606), 1,
      sym__set_values,
    STATE(9607), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [443497] = 14,
    ACTIONS(129), 1,
      sym__identifier,
    ACTIONS(12371), 1,
      sym_keyword_in,
    ACTIONS(12377), 1,
      sym_keyword_password,
    ACTIONS(12379), 1,
      sym_keyword_encrypted,
    ACTIONS(12381), 1,
      sym_keyword_valid,
    ACTIONS(12383), 1,
      sym_keyword_connection,
    ACTIONS(12447), 1,
      sym_keyword_create,
    STATE(7168), 1,
      sym__role_options,
    STATE(7169), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6961), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12375), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
    ACTIONS(12445), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [443547] = 6,
    ACTIONS(12449), 1,
      sym_keyword_with,
    ACTIONS(12451), 1,
      sym_keyword_without,
    ACTIONS(12453), 1,
      anon_sym_LPAREN,
    STATE(7248), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1879), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443581] = 6,
    ACTIONS(12449), 1,
      sym_keyword_with,
    ACTIONS(12451), 1,
      sym_keyword_without,
    ACTIONS(12455), 1,
      anon_sym_LPAREN,
    STATE(7249), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1889), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443615] = 15,
    ACTIONS(465), 1,
      sym__identifier,
    ACTIONS(12369), 1,
      sym_keyword_create,
    ACTIONS(12457), 1,
      sym_keyword_in,
    ACTIONS(12459), 1,
      sym_keyword_with,
    ACTIONS(12463), 1,
      sym_keyword_password,
    ACTIONS(12465), 1,
      sym_keyword_encrypted,
    ACTIONS(12467), 1,
      sym_keyword_valid,
    ACTIONS(12469), 1,
      sym_keyword_connection,
    STATE(7273), 1,
      sym_identifier,
    STATE(7318), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(523), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12367), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(7013), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12461), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
  [443667] = 20,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12391), 1,
      sym_keyword_partition,
    ACTIONS(12395), 1,
      sym_keyword_partitioned,
    ACTIONS(12471), 1,
      sym_keyword_set,
    ACTIONS(12473), 1,
      sym_keyword_as,
    ACTIONS(12475), 1,
      anon_sym_LPAREN,
    STATE(7091), 1,
      sym_table_partition,
    STATE(7520), 1,
      sym_select,
    STATE(7637), 1,
      sym__column_list,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8440), 1,
      sym__cte,
    STATE(8655), 1,
      sym__insert_values,
    STATE(8658), 1,
      sym__set_values,
    STATE(8802), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [443729] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12477), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [443755] = 20,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(1485), 1,
      sym_keyword_show,
    ACTIONS(12391), 1,
      sym_keyword_partition,
    ACTIONS(12395), 1,
      sym_keyword_partitioned,
    ACTIONS(12399), 1,
      sym_keyword_values,
    ACTIONS(12401), 1,
      sym_keyword_set,
    ACTIONS(12405), 1,
      anon_sym_LPAREN,
    ACTIONS(12479), 1,
      sym_keyword_as,
    STATE(7107), 1,
      sym_table_partition,
    STATE(7654), 1,
      sym__column_list,
    STATE(7715), 1,
      sym_select,
    STATE(7842), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8339), 1,
      sym__cte,
    STATE(8808), 1,
      sym__set_values,
    STATE(8896), 1,
      sym__insert_values,
    STATE(9325), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [443817] = 20,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12389), 1,
      sym_keyword_set,
    ACTIONS(12391), 1,
      sym_keyword_partition,
    ACTIONS(12395), 1,
      sym_keyword_partitioned,
    ACTIONS(12397), 1,
      anon_sym_LPAREN,
    ACTIONS(12481), 1,
      sym_keyword_as,
    STATE(7126), 1,
      sym_table_partition,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(7662), 1,
      sym__column_list,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(8802), 1,
      sym__dml_read,
    STATE(9641), 1,
      sym__insert_values,
    STATE(9642), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [443879] = 20,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12389), 1,
      sym_keyword_set,
    ACTIONS(12391), 1,
      sym_keyword_partition,
    ACTIONS(12395), 1,
      sym_keyword_partitioned,
    ACTIONS(12397), 1,
      anon_sym_LPAREN,
    ACTIONS(12483), 1,
      sym_keyword_as,
    STATE(7067), 1,
      sym_table_partition,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(7662), 1,
      sym__column_list,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(8802), 1,
      sym__dml_read,
    STATE(9617), 1,
      sym__set_values,
    STATE(9618), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [443941] = 14,
    ACTIONS(129), 1,
      sym__identifier,
    ACTIONS(12371), 1,
      sym_keyword_in,
    ACTIONS(12377), 1,
      sym_keyword_password,
    ACTIONS(12379), 1,
      sym_keyword_encrypted,
    ACTIONS(12381), 1,
      sym_keyword_valid,
    ACTIONS(12383), 1,
      sym_keyword_connection,
    ACTIONS(12487), 1,
      sym_keyword_create,
    STATE(7168), 1,
      sym__role_options,
    STATE(7169), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6946), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12375), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
    ACTIONS(12485), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [443991] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12489), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [444017] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12491), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [444043] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12493), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [444069] = 14,
    ACTIONS(129), 1,
      sym__identifier,
    ACTIONS(12371), 1,
      sym_keyword_in,
    ACTIONS(12377), 1,
      sym_keyword_password,
    ACTIONS(12379), 1,
      sym_keyword_encrypted,
    ACTIONS(12381), 1,
      sym_keyword_valid,
    ACTIONS(12383), 1,
      sym_keyword_connection,
    ACTIONS(12497), 1,
      sym_keyword_create,
    STATE(7168), 1,
      sym__role_options,
    STATE(7169), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6946), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12375), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
    ACTIONS(12495), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [444119] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12499), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [444145] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12501), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [444171] = 20,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12391), 1,
      sym_keyword_partition,
    ACTIONS(12395), 1,
      sym_keyword_partitioned,
    ACTIONS(12471), 1,
      sym_keyword_set,
    ACTIONS(12475), 1,
      anon_sym_LPAREN,
    ACTIONS(12503), 1,
      sym_keyword_as,
    STATE(7095), 1,
      sym_table_partition,
    STATE(7520), 1,
      sym_select,
    STATE(7637), 1,
      sym__column_list,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8440), 1,
      sym__cte,
    STATE(8605), 1,
      sym__insert_values,
    STATE(8729), 1,
      sym__set_values,
    STATE(8802), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [444233] = 20,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12391), 1,
      sym_keyword_partition,
    ACTIONS(12395), 1,
      sym_keyword_partitioned,
    ACTIONS(12471), 1,
      sym_keyword_set,
    ACTIONS(12475), 1,
      anon_sym_LPAREN,
    ACTIONS(12505), 1,
      sym_keyword_as,
    STATE(7098), 1,
      sym_table_partition,
    STATE(7520), 1,
      sym_select,
    STATE(7637), 1,
      sym__column_list,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8440), 1,
      sym__cte,
    STATE(8802), 1,
      sym__dml_read,
    STATE(8870), 1,
      sym__insert_values,
    STATE(8879), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [444295] = 20,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(1485), 1,
      sym_keyword_show,
    ACTIONS(12391), 1,
      sym_keyword_partition,
    ACTIONS(12395), 1,
      sym_keyword_partitioned,
    ACTIONS(12399), 1,
      sym_keyword_values,
    ACTIONS(12401), 1,
      sym_keyword_set,
    ACTIONS(12405), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      sym_keyword_as,
    STATE(7111), 1,
      sym_table_partition,
    STATE(7654), 1,
      sym__column_list,
    STATE(7715), 1,
      sym_select,
    STATE(7842), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8339), 1,
      sym__cte,
    STATE(8848), 1,
      sym__insert_values,
    STATE(8849), 1,
      sym__set_values,
    STATE(9325), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [444357] = 17,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(12511), 1,
      sym_keyword_set,
    ACTIONS(12513), 1,
      sym_keyword_in,
    ACTIONS(12515), 1,
      sym_keyword_with,
    ACTIONS(12517), 1,
      sym_keyword_rename,
    ACTIONS(12519), 1,
      sym_keyword_password,
    ACTIONS(12521), 1,
      sym_keyword_encrypted,
    ACTIONS(12523), 1,
      sym_keyword_valid,
    ACTIONS(12525), 1,
      sym_keyword_connection,
    ACTIONS(12527), 1,
      sym_keyword_reset,
    STATE(7169), 1,
      sym_identifier,
    STATE(7448), 1,
      aux_sym_alter_role_repeat1,
    STATE(7904), 1,
      sym__role_options,
    STATE(11140), 1,
      sym_rename_object,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12509), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [444413] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12529), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [444439] = 20,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12391), 1,
      sym_keyword_partition,
    ACTIONS(12395), 1,
      sym_keyword_partitioned,
    ACTIONS(12471), 1,
      sym_keyword_set,
    ACTIONS(12475), 1,
      anon_sym_LPAREN,
    ACTIONS(12531), 1,
      sym_keyword_as,
    STATE(7068), 1,
      sym_table_partition,
    STATE(7520), 1,
      sym_select,
    STATE(7637), 1,
      sym__column_list,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8440), 1,
      sym__cte,
    STATE(8579), 1,
      sym__set_values,
    STATE(8580), 1,
      sym__insert_values,
    STATE(8802), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [444501] = 20,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(1485), 1,
      sym_keyword_show,
    ACTIONS(12391), 1,
      sym_keyword_partition,
    ACTIONS(12395), 1,
      sym_keyword_partitioned,
    ACTIONS(12399), 1,
      sym_keyword_values,
    ACTIONS(12401), 1,
      sym_keyword_set,
    ACTIONS(12405), 1,
      anon_sym_LPAREN,
    ACTIONS(12533), 1,
      sym_keyword_as,
    STATE(7127), 1,
      sym_table_partition,
    STATE(7654), 1,
      sym__column_list,
    STATE(7715), 1,
      sym_select,
    STATE(7842), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8339), 1,
      sym__cte,
    STATE(8606), 1,
      sym__set_values,
    STATE(8774), 1,
      sym__insert_values,
    STATE(9325), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [444563] = 8,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(5980), 1,
      sym_keyword_as,
    STATE(6406), 1,
      sym_identifier,
    STATE(7147), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(5976), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5978), 9,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [444601] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12491), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [444626] = 17,
    ACTIONS(465), 1,
      sym__identifier,
    ACTIONS(12535), 1,
      sym_keyword_set,
    ACTIONS(12537), 1,
      sym_keyword_in,
    ACTIONS(12539), 1,
      sym_keyword_with,
    ACTIONS(12541), 1,
      sym_keyword_rename,
    ACTIONS(12543), 1,
      sym_keyword_password,
    ACTIONS(12545), 1,
      sym_keyword_encrypted,
    ACTIONS(12547), 1,
      sym_keyword_valid,
    ACTIONS(12549), 1,
      sym_keyword_connection,
    ACTIONS(12551), 1,
      sym_keyword_reset,
    STATE(7273), 1,
      sym_identifier,
    STATE(7547), 1,
      aux_sym_alter_role_repeat1,
    STATE(7985), 1,
      sym__role_options,
    STATE(11907), 1,
      sym_rename_object,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(523), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12509), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [444681] = 14,
    ACTIONS(465), 1,
      sym__identifier,
    ACTIONS(12457), 1,
      sym_keyword_in,
    ACTIONS(12463), 1,
      sym_keyword_password,
    ACTIONS(12465), 1,
      sym_keyword_encrypted,
    ACTIONS(12467), 1,
      sym_keyword_valid,
    ACTIONS(12469), 1,
      sym_keyword_connection,
    ACTIONS(12497), 1,
      sym_keyword_create,
    STATE(7273), 1,
      sym_identifier,
    STATE(7318), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(523), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12495), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(6990), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12461), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
  [444730] = 10,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9010), 1,
      sym_keyword_group,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    STATE(7080), 1,
      sym_group_by,
    STATE(7304), 1,
      sym_window_clause,
    STATE(7487), 1,
      sym_order_by,
    STATE(7644), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12553), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [444771] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12493), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [444796] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11842), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [444821] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11850), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [444846] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11862), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [444871] = 3,
    ACTIONS(12557), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12555), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [444898] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11866), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [444923] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11870), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [444948] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11874), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [444973] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11878), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [444998] = 5,
    ACTIONS(12449), 1,
      sym_keyword_with,
    ACTIONS(12451), 1,
      sym_keyword_without,
    STATE(7175), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1955), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445029] = 5,
    ACTIONS(12449), 1,
      sym_keyword_with,
    ACTIONS(12451), 1,
      sym_keyword_without,
    STATE(7176), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1959), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445060] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12385), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [445085] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12004), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_nulls,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [445110] = 7,
    ACTIONS(12559), 1,
      sym_keyword_array,
    ACTIONS(12561), 1,
      anon_sym_LBRACK,
    STATE(7106), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(7324), 1,
      sym__array_size_definition,
    STATE(7441), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2825), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [445145] = 14,
    ACTIONS(12420), 1,
      sym_keyword_create,
    ACTIONS(12563), 1,
      sym__identifier,
    ACTIONS(12566), 1,
      sym_keyword_in,
    ACTIONS(12572), 1,
      sym_keyword_password,
    ACTIONS(12575), 1,
      sym_keyword_encrypted,
    ACTIONS(12578), 1,
      sym_keyword_valid,
    ACTIONS(12581), 1,
      sym_keyword_connection,
    STATE(7273), 1,
      sym_identifier,
    STATE(7318), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12415), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(12584), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6990), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12569), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
  [445194] = 7,
    ACTIONS(12559), 1,
      sym_keyword_array,
    ACTIONS(12561), 1,
      anon_sym_LBRACK,
    STATE(7106), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(7324), 1,
      sym__array_size_definition,
    STATE(7483), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2831), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [445229] = 10,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9010), 1,
      sym_keyword_group,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    STATE(7138), 1,
      sym_group_by,
    STATE(7270), 1,
      sym_window_clause,
    STATE(7484), 1,
      sym_order_by,
    STATE(7642), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9030), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [445270] = 8,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(6310), 1,
      sym_keyword_as,
    STATE(6573), 1,
      sym_identifier,
    STATE(7523), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(5976), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(5978), 9,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [445307] = 10,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9010), 1,
      sym_keyword_group,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    STATE(7092), 1,
      sym_group_by,
    STATE(7259), 1,
      sym_window_clause,
    STATE(7381), 1,
      sym_order_by,
    STATE(7733), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10951), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [445348] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11838), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [445373] = 3,
    ACTIONS(12589), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12587), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [445400] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11735), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [445425] = 14,
    ACTIONS(465), 1,
      sym__identifier,
    ACTIONS(12447), 1,
      sym_keyword_create,
    ACTIONS(12457), 1,
      sym_keyword_in,
    ACTIONS(12463), 1,
      sym_keyword_password,
    ACTIONS(12465), 1,
      sym_keyword_encrypted,
    ACTIONS(12467), 1,
      sym_keyword_valid,
    ACTIONS(12469), 1,
      sym_keyword_connection,
    STATE(7273), 1,
      sym_identifier,
    STATE(7318), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(523), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12445), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(6974), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12461), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
  [445474] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11828), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [445499] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1839), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [445524] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1843), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [445549] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1847), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [445574] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1851), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [445599] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1835), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [445624] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1865), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [445649] = 5,
    ACTIONS(12591), 1,
      sym_keyword_unsigned,
    ACTIONS(12593), 1,
      sym_keyword_zerofill,
    ACTIONS(12595), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1855), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445680] = 5,
    ACTIONS(12597), 1,
      sym_keyword_unsigned,
    ACTIONS(12599), 1,
      sym_keyword_zerofill,
    ACTIONS(12601), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1869), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445711] = 5,
    ACTIONS(12603), 1,
      sym_keyword_unsigned,
    ACTIONS(12605), 1,
      sym_keyword_zerofill,
    ACTIONS(12607), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1815), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445742] = 5,
    ACTIONS(12609), 1,
      sym_keyword_unsigned,
    ACTIONS(12611), 1,
      sym_keyword_zerofill,
    ACTIONS(12613), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1915), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445773] = 5,
    ACTIONS(12615), 1,
      sym_keyword_unsigned,
    ACTIONS(12617), 1,
      sym_keyword_zerofill,
    ACTIONS(12619), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1895), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445804] = 5,
    ACTIONS(12621), 1,
      sym_keyword_unsigned,
    ACTIONS(12623), 1,
      sym_keyword_zerofill,
    ACTIONS(12625), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1905), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445835] = 5,
    ACTIONS(12407), 1,
      sym_keyword_unsigned,
    ACTIONS(12409), 1,
      sym_keyword_zerofill,
    ACTIONS(12413), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445866] = 14,
    ACTIONS(465), 1,
      sym__identifier,
    ACTIONS(12457), 1,
      sym_keyword_in,
    ACTIONS(12463), 1,
      sym_keyword_password,
    ACTIONS(12465), 1,
      sym_keyword_encrypted,
    ACTIONS(12467), 1,
      sym_keyword_valid,
    ACTIONS(12469), 1,
      sym_keyword_connection,
    ACTIONS(12487), 1,
      sym_keyword_create,
    STATE(7273), 1,
      sym_identifier,
    STATE(7318), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(523), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12485), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(6990), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12461), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
  [445915] = 19,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8542), 1,
      sym_select,
    STATE(9424), 1,
      sym__select_statement,
    STATE(10996), 1,
      sym__column,
    STATE(13156), 1,
      sym__show_statement,
    STATE(13161), 1,
      sym_set_operation,
    STATE(14209), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [445974] = 10,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9010), 1,
      sym_keyword_group,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    STATE(7099), 1,
      sym_group_by,
    STATE(7276), 1,
      sym_window_clause,
    STATE(7412), 1,
      sym_order_by,
    STATE(7650), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10953), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [446015] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12529), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [446040] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12000), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [446065] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12489), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [446090] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11808), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [446115] = 19,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8710), 1,
      sym_select,
    STATE(8922), 1,
      sym__select_statement,
    STATE(10996), 1,
      sym__column,
    STATE(13627), 1,
      sym__show_statement,
    STATE(13647), 1,
      sym_set_operation,
    STATE(14677), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [446174] = 10,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9010), 1,
      sym_keyword_group,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    STATE(7083), 1,
      sym_group_by,
    STATE(7305), 1,
      sym_window_clause,
    STATE(7379), 1,
      sym_order_by,
    STATE(7658), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8992), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [446215] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12477), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [446240] = 5,
    ACTIONS(12629), 1,
      sym_keyword_unsigned,
    ACTIONS(12631), 1,
      sym_keyword_zerofill,
    ACTIONS(12633), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [446271] = 19,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8542), 1,
      sym_select,
    STATE(9424), 1,
      sym__select_statement,
    STATE(10996), 1,
      sym__column,
    STATE(13149), 1,
      sym__cte,
    STATE(13156), 1,
      sym__show_statement,
    STATE(13161), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [446330] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12501), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [446355] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12499), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [446380] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12012), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [446405] = 4,
    ACTIONS(1489), 1,
      sym_keyword_create,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12635), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(7058), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [446433] = 10,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9179), 1,
      sym_keyword_group,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    STATE(7203), 1,
      sym_group_by,
    STATE(7413), 1,
      sym_window_clause,
    STATE(7589), 1,
      sym_order_by,
    STATE(7769), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12553), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [446473] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12637), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [446497] = 4,
    ACTIONS(12639), 1,
      sym_keyword_unsigned,
    ACTIONS(12641), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1939), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [446525] = 4,
    ACTIONS(12643), 1,
      sym_keyword_unsigned,
    ACTIONS(12645), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1947), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [446553] = 4,
    ACTIONS(23), 1,
      sym_keyword_create,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12635), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(7049), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [446581] = 3,
    ACTIONS(12647), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(111), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
  [446607] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12649), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    STATE(7048), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [446633] = 6,
    ACTIONS(6370), 1,
      sym_keyword_having,
    ACTIONS(6374), 1,
      anon_sym_COMMA,
    STATE(7102), 1,
      aux_sym_array_repeat1,
    STATE(7310), 1,
      sym__having,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12651), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [446665] = 10,
    ACTIONS(12653), 1,
      sym_keyword_table,
    ACTIONS(12657), 1,
      sym_keyword_column,
    ACTIONS(12659), 1,
      sym_keyword_materialized,
    ACTIONS(12663), 1,
      sym_keyword_cast,
    ACTIONS(12665), 1,
      sym_keyword_trigger,
    ACTIONS(12667), 1,
      sym_keyword_function,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13137), 2,
      sym__comment_target,
      sym_cast,
    ACTIONS(12655), 4,
      sym_keyword_view,
      sym_keyword_sequence,
      sym_keyword_index,
      sym_keyword_extension,
    ACTIONS(12661), 5,
      sym_keyword_tablespace,
      sym_keyword_type,
      sym_keyword_database,
      sym_keyword_schema,
      sym_keyword_role,
  [446705] = 5,
    ACTIONS(12669), 1,
      anon_sym_COMMA,
    STATE(7038), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11854), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(11856), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [446735] = 3,
    ACTIONS(12672), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [446761] = 10,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9179), 1,
      sym_keyword_group,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    STATE(7150), 1,
      sym_group_by,
    STATE(7457), 1,
      sym_window_clause,
    STATE(7510), 1,
      sym_order_by,
    STATE(7880), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10953), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [446801] = 4,
    ACTIONS(12674), 1,
      sym_keyword_varying,
    ACTIONS(12676), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1925), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [446829] = 10,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9179), 1,
      sym_keyword_group,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    STATE(7246), 1,
      sym_group_by,
    STATE(7447), 1,
      sym_window_clause,
    STATE(7531), 1,
      sym_order_by,
    STATE(7858), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8992), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [446869] = 4,
    ACTIONS(12678), 1,
      sym_keyword_unsigned,
    ACTIONS(12680), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1963), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [446897] = 10,
    ACTIONS(12653), 1,
      sym_keyword_table,
    ACTIONS(12657), 1,
      sym_keyword_column,
    ACTIONS(12659), 1,
      sym_keyword_materialized,
    ACTIONS(12663), 1,
      sym_keyword_cast,
    ACTIONS(12665), 1,
      sym_keyword_trigger,
    ACTIONS(12667), 1,
      sym_keyword_function,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13514), 2,
      sym__comment_target,
      sym_cast,
    ACTIONS(12655), 4,
      sym_keyword_view,
      sym_keyword_sequence,
      sym_keyword_index,
      sym_keyword_extension,
    ACTIONS(12661), 5,
      sym_keyword_tablespace,
      sym_keyword_type,
      sym_keyword_database,
      sym_keyword_schema,
      sym_keyword_role,
  [446937] = 4,
    ACTIONS(12682), 1,
      sym_keyword_unsigned,
    ACTIONS(12684), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1983), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [446965] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12686), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [446989] = 4,
    ACTIONS(12688), 1,
      sym_keyword_unsigned,
    ACTIONS(12690), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [447017] = 4,
    ACTIONS(12694), 1,
      sym_keyword_create,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12692), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(7048), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [447045] = 4,
    ACTIONS(23), 1,
      sym_keyword_create,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12649), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(7053), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [447073] = 10,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9179), 1,
      sym_keyword_group,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    STATE(7256), 1,
      sym_group_by,
    STATE(7490), 1,
      sym_window_clause,
    STATE(7585), 1,
      sym_order_by,
    STATE(7758), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9030), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [447113] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12697), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [447137] = 5,
    ACTIONS(12703), 1,
      anon_sym_COMMA,
    STATE(7064), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12699), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12701), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [447167] = 4,
    ACTIONS(12705), 1,
      sym_keyword_create,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12692), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(7053), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [447195] = 4,
    ACTIONS(12708), 1,
      sym_keyword_precision,
    ACTIONS(12710), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [447223] = 4,
    ACTIONS(12712), 1,
      sym_keyword_unsigned,
    ACTIONS(12714), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1975), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [447251] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11854), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(11856), 12,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [447277] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12649), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
    STATE(7053), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [447303] = 4,
    ACTIONS(1489), 1,
      sym_keyword_create,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12649), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(7048), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [447331] = 5,
    ACTIONS(12703), 1,
      anon_sym_COMMA,
    STATE(7038), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12716), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12718), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [447361] = 10,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9179), 1,
      sym_keyword_group,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    STATE(7180), 1,
      sym_group_by,
    STATE(7415), 1,
      sym_window_clause,
    STATE(7543), 1,
      sym_order_by,
    STATE(7857), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10951), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [447401] = 4,
    ACTIONS(12720), 1,
      sym_keyword_unsigned,
    ACTIONS(12722), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1991), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [447429] = 5,
    ACTIONS(12703), 1,
      anon_sym_COMMA,
    STATE(7059), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12724), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12726), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [447459] = 4,
    ACTIONS(12728), 1,
      sym_keyword_unsigned,
    ACTIONS(12730), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1999), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [447487] = 5,
    ACTIONS(12703), 1,
      anon_sym_COMMA,
    STATE(7038), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12724), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12726), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [447517] = 3,
    ACTIONS(12732), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2031), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [447542] = 3,
    ACTIONS(12734), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2190), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [447567] = 17,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12389), 1,
      sym_keyword_set,
    ACTIONS(12397), 1,
      anon_sym_LPAREN,
    ACTIONS(12736), 1,
      sym_keyword_as,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(7662), 1,
      sym__column_list,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(8802), 1,
      sym__dml_read,
    STATE(9625), 1,
      sym__insert_values,
    STATE(9626), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [447620] = 17,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12471), 1,
      sym_keyword_set,
    ACTIONS(12475), 1,
      anon_sym_LPAREN,
    ACTIONS(12738), 1,
      sym_keyword_as,
    STATE(7520), 1,
      sym_select,
    STATE(7637), 1,
      sym__column_list,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8440), 1,
      sym__cte,
    STATE(8598), 1,
      sym__insert_values,
    STATE(8783), 1,
      sym__set_values,
    STATE(8802), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [447673] = 3,
    ACTIONS(12740), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2120), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [447698] = 4,
    ACTIONS(12742), 1,
      aux_sym__single_quote_string_token2,
    STATE(7097), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3304), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [447725] = 3,
    ACTIONS(12744), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2126), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [447750] = 3,
    ACTIONS(12746), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2196), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [447775] = 3,
    ACTIONS(12748), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2202), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [447800] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [447823] = 3,
    ACTIONS(12750), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [447848] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [447871] = 3,
    ACTIONS(12752), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2150), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [447896] = 3,
    ACTIONS(12754), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2156), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [447921] = 3,
    ACTIONS(12756), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2079), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [447946] = 8,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    STATE(7294), 1,
      sym_window_clause,
    STATE(7332), 1,
      sym_order_by,
    STATE(7661), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12758), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [447981] = 3,
    ACTIONS(12760), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2079), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [448006] = 5,
    ACTIONS(12762), 1,
      anon_sym_COMMA,
    STATE(7100), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12716), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12718), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [448035] = 8,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    STATE(7259), 1,
      sym_window_clause,
    STATE(7381), 1,
      sym_order_by,
    STATE(7733), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10951), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [448070] = 5,
    ACTIONS(12762), 1,
      anon_sym_COMMA,
    STATE(7096), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12699), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12701), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [448099] = 5,
    ACTIONS(12762), 1,
      anon_sym_COMMA,
    STATE(7082), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12724), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12726), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [448128] = 3,
    ACTIONS(12764), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2174), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [448153] = 3,
    ACTIONS(12766), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2180), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [448178] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12363), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12365), 11,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym__identifier,
  [448203] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12768), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [448226] = 3,
    ACTIONS(12770), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2021), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [448251] = 17,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12471), 1,
      sym_keyword_set,
    ACTIONS(12475), 1,
      anon_sym_LPAREN,
    ACTIONS(12503), 1,
      sym_keyword_as,
    STATE(7520), 1,
      sym_select,
    STATE(7637), 1,
      sym__column_list,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8440), 1,
      sym__cte,
    STATE(8664), 1,
      sym__insert_values,
    STATE(8729), 1,
      sym__set_values,
    STATE(8802), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [448304] = 8,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    STATE(7276), 1,
      sym_window_clause,
    STATE(7412), 1,
      sym_order_by,
    STATE(7650), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10953), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [448339] = 3,
    ACTIONS(12772), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2039), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [448364] = 3,
    ACTIONS(12774), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2045), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [448389] = 17,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12471), 1,
      sym_keyword_set,
    ACTIONS(12475), 1,
      anon_sym_LPAREN,
    ACTIONS(12531), 1,
      sym_keyword_as,
    STATE(7520), 1,
      sym_select,
    STATE(7637), 1,
      sym__column_list,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8440), 1,
      sym__cte,
    STATE(8578), 1,
      sym__insert_values,
    STATE(8579), 1,
      sym__set_values,
    STATE(8802), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [448442] = 5,
    ACTIONS(12762), 1,
      anon_sym_COMMA,
    STATE(7100), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12724), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12726), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [448471] = 4,
    ACTIONS(1365), 1,
      aux_sym__single_quote_string_token2,
    STATE(88), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3318), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [448498] = 17,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12471), 1,
      sym_keyword_set,
    ACTIONS(12473), 1,
      sym_keyword_as,
    ACTIONS(12475), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7637), 1,
      sym__column_list,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8440), 1,
      sym__cte,
    STATE(8658), 1,
      sym__set_values,
    STATE(8723), 1,
      sym__insert_values,
    STATE(8802), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [448551] = 8,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    STATE(7304), 1,
      sym_window_clause,
    STATE(7487), 1,
      sym_order_by,
    STATE(7644), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12553), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [448586] = 5,
    ACTIONS(12776), 1,
      anon_sym_COMMA,
    STATE(7100), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11854), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(11856), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [448615] = 8,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    STATE(7270), 1,
      sym_window_clause,
    STATE(7484), 1,
      sym_order_by,
    STATE(7642), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9030), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [448650] = 4,
    ACTIONS(12779), 1,
      anon_sym_COMMA,
    STATE(7102), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6701), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [448677] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2186), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [448700] = 3,
    ACTIONS(12782), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [448725] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12359), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12361), 11,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym__identifier,
  [448750] = 5,
    ACTIONS(12561), 1,
      anon_sym_LBRACK,
    STATE(7144), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(7324), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3335), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [448779] = 17,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(1485), 1,
      sym_keyword_show,
    ACTIONS(12399), 1,
      sym_keyword_values,
    ACTIONS(12401), 1,
      sym_keyword_set,
    ACTIONS(12405), 1,
      anon_sym_LPAREN,
    ACTIONS(12507), 1,
      sym_keyword_as,
    STATE(7654), 1,
      sym__column_list,
    STATE(7715), 1,
      sym_select,
    STATE(7842), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8339), 1,
      sym__cte,
    STATE(8633), 1,
      sym__insert_values,
    STATE(8849), 1,
      sym__set_values,
    STATE(9325), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [448832] = 3,
    ACTIONS(12784), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2162), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [448857] = 3,
    ACTIONS(12786), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2168), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [448882] = 16,
    ACTIONS(12788), 1,
      sym_keyword_set,
    ACTIONS(12790), 1,
      sym_keyword_increment,
    ACTIONS(12792), 1,
      sym_keyword_minvalue,
    ACTIONS(12794), 1,
      sym_keyword_maxvalue,
    ACTIONS(12796), 1,
      sym_keyword_owned,
    ACTIONS(12798), 1,
      sym_keyword_start,
    ACTIONS(12800), 1,
      sym_keyword_restart,
    ACTIONS(12802), 1,
      sym_keyword_as,
    ACTIONS(12804), 1,
      sym_keyword_no,
    ACTIONS(12806), 1,
      sym_keyword_rename,
    ACTIONS(12808), 1,
      sym_keyword_owner,
    ACTIONS(12810), 1,
      sym_keyword_cycle,
    ACTIONS(12812), 1,
      sym_keyword_cache,
    STATE(7459), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11912), 2,
      sym_rename_object,
      sym_change_ownership,
  [448933] = 17,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(1485), 1,
      sym_keyword_show,
    ACTIONS(12399), 1,
      sym_keyword_values,
    ACTIONS(12401), 1,
      sym_keyword_set,
    ACTIONS(12405), 1,
      anon_sym_LPAREN,
    ACTIONS(12533), 1,
      sym_keyword_as,
    STATE(7654), 1,
      sym__column_list,
    STATE(7715), 1,
      sym_select,
    STATE(7842), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8339), 1,
      sym__cte,
    STATE(8581), 1,
      sym__insert_values,
    STATE(8606), 1,
      sym__set_values,
    STATE(9325), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [448986] = 3,
    ACTIONS(12814), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2055), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449011] = 3,
    ACTIONS(12816), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2061), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449036] = 10,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    ACTIONS(9894), 1,
      sym_keyword_order,
    ACTIONS(9896), 1,
      sym_keyword_group,
    STATE(7283), 1,
      sym_group_by,
    STATE(7484), 1,
      sym_order_by,
    STATE(7501), 1,
      sym_window_clause,
    STATE(7642), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9030), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [449075] = 3,
    ACTIONS(12818), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2067), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449100] = 3,
    ACTIONS(12820), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2073), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449125] = 10,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    ACTIONS(9894), 1,
      sym_keyword_order,
    ACTIONS(9896), 1,
      sym_keyword_group,
    STATE(7285), 1,
      sym_group_by,
    STATE(7379), 1,
      sym_order_by,
    STATE(7505), 1,
      sym_window_clause,
    STATE(7658), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8992), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [449164] = 3,
    ACTIONS(12710), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449189] = 10,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    ACTIONS(9894), 1,
      sym_keyword_order,
    ACTIONS(9896), 1,
      sym_keyword_group,
    STATE(7286), 1,
      sym_group_by,
    STATE(7381), 1,
      sym_order_by,
    STATE(7511), 1,
      sym_window_clause,
    STATE(7733), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10951), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [449228] = 3,
    ACTIONS(12822), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449253] = 10,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    ACTIONS(9894), 1,
      sym_keyword_order,
    ACTIONS(9896), 1,
      sym_keyword_group,
    STATE(7288), 1,
      sym_group_by,
    STATE(7412), 1,
      sym_order_by,
    STATE(7515), 1,
      sym_window_clause,
    STATE(7650), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10953), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [449292] = 10,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    ACTIONS(9894), 1,
      sym_keyword_order,
    ACTIONS(9896), 1,
      sym_keyword_group,
    STATE(7289), 1,
      sym_group_by,
    STATE(7487), 1,
      sym_order_by,
    STATE(7519), 1,
      sym_window_clause,
    STATE(7644), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12553), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [449331] = 16,
    ACTIONS(12790), 1,
      sym_keyword_increment,
    ACTIONS(12792), 1,
      sym_keyword_minvalue,
    ACTIONS(12794), 1,
      sym_keyword_maxvalue,
    ACTIONS(12796), 1,
      sym_keyword_owned,
    ACTIONS(12798), 1,
      sym_keyword_start,
    ACTIONS(12800), 1,
      sym_keyword_restart,
    ACTIONS(12802), 1,
      sym_keyword_as,
    ACTIONS(12804), 1,
      sym_keyword_no,
    ACTIONS(12806), 1,
      sym_keyword_rename,
    ACTIONS(12808), 1,
      sym_keyword_owner,
    ACTIONS(12812), 1,
      sym_keyword_cache,
    ACTIONS(12824), 1,
      sym_keyword_set,
    ACTIONS(12826), 1,
      sym_keyword_cycle,
    STATE(7392), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(12009), 2,
      sym_rename_object,
      sym_change_ownership,
  [449382] = 3,
    ACTIONS(12828), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2110), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449407] = 3,
    ACTIONS(12830), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2132), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449432] = 17,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12389), 1,
      sym_keyword_set,
    ACTIONS(12393), 1,
      sym_keyword_as,
    ACTIONS(12397), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(7662), 1,
      sym__column_list,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(8802), 1,
      sym__dml_read,
    STATE(9599), 1,
      sym__insert_values,
    STATE(9645), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [449485] = 17,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(1485), 1,
      sym_keyword_show,
    ACTIONS(12399), 1,
      sym_keyword_values,
    ACTIONS(12401), 1,
      sym_keyword_set,
    ACTIONS(12403), 1,
      sym_keyword_as,
    ACTIONS(12405), 1,
      anon_sym_LPAREN,
    STATE(7654), 1,
      sym__column_list,
    STATE(7715), 1,
      sym_select,
    STATE(7842), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8339), 1,
      sym__cte,
    STATE(8731), 1,
      sym__insert_values,
    STATE(8733), 1,
      sym__set_values,
    STATE(9325), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [449538] = 3,
    ACTIONS(12832), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449563] = 3,
    ACTIONS(12631), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449588] = 6,
    ACTIONS(6563), 1,
      sym_keyword_having,
    ACTIONS(6575), 1,
      anon_sym_COMMA,
    STATE(7181), 1,
      aux_sym_array_repeat1,
    STATE(7407), 1,
      sym__having,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12651), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [449619] = 16,
    ACTIONS(12834), 1,
      sym_keyword_set,
    ACTIONS(12836), 1,
      sym_keyword_increment,
    ACTIONS(12838), 1,
      sym_keyword_minvalue,
    ACTIONS(12840), 1,
      sym_keyword_maxvalue,
    ACTIONS(12842), 1,
      sym_keyword_owned,
    ACTIONS(12844), 1,
      sym_keyword_start,
    ACTIONS(12846), 1,
      sym_keyword_restart,
    ACTIONS(12848), 1,
      sym_keyword_as,
    ACTIONS(12850), 1,
      sym_keyword_no,
    ACTIONS(12852), 1,
      sym_keyword_rename,
    ACTIONS(12854), 1,
      sym_keyword_owner,
    ACTIONS(12856), 1,
      sym_keyword_cycle,
    ACTIONS(12858), 1,
      sym_keyword_cache,
    STATE(7267), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11386), 2,
      sym_rename_object,
      sym_change_ownership,
  [449670] = 17,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(1485), 1,
      sym_keyword_show,
    ACTIONS(12399), 1,
      sym_keyword_values,
    ACTIONS(12401), 1,
      sym_keyword_set,
    ACTIONS(12405), 1,
      anon_sym_LPAREN,
    ACTIONS(12860), 1,
      sym_keyword_as,
    STATE(7654), 1,
      sym__column_list,
    STATE(7715), 1,
      sym_select,
    STATE(7842), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8339), 1,
      sym__cte,
    STATE(8607), 1,
      sym__insert_values,
    STATE(8625), 1,
      sym__set_values,
    STATE(9325), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [449723] = 4,
    ACTIONS(1737), 1,
      sym_keyword_create,
    ACTIONS(12635), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7134), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [449750] = 4,
    ACTIONS(1737), 1,
      sym_keyword_create,
    ACTIONS(12649), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7136), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [449777] = 17,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12389), 1,
      sym_keyword_set,
    ACTIONS(12397), 1,
      anon_sym_LPAREN,
    ACTIONS(12443), 1,
      sym_keyword_as,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(7662), 1,
      sym__column_list,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(8802), 1,
      sym__dml_read,
    STATE(9605), 1,
      sym__insert_values,
    STATE(9606), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [449830] = 4,
    ACTIONS(12692), 1,
      anon_sym_RPAREN,
    ACTIONS(12862), 1,
      sym_keyword_create,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7136), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [449857] = 3,
    ACTIONS(12865), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2031), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449882] = 8,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    STATE(7305), 1,
      sym_window_clause,
    STATE(7379), 1,
      sym_order_by,
    STATE(7658), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8992), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [449917] = 3,
    ACTIONS(12867), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2055), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449942] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12649), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(7136), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [449967] = 3,
    ACTIONS(12869), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2061), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449992] = 3,
    ACTIONS(12871), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2067), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450017] = 3,
    ACTIONS(12873), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2073), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450042] = 5,
    ACTIONS(12875), 1,
      anon_sym_LBRACK,
    STATE(7144), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(7324), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2085), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [450071] = 17,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12389), 1,
      sym_keyword_set,
    ACTIONS(12397), 1,
      anon_sym_LPAREN,
    ACTIONS(12483), 1,
      sym_keyword_as,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(7662), 1,
      sym__column_list,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(8802), 1,
      sym__dml_read,
    STATE(9616), 1,
      sym__insert_values,
    STATE(9617), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [450124] = 16,
    ACTIONS(12836), 1,
      sym_keyword_increment,
    ACTIONS(12838), 1,
      sym_keyword_minvalue,
    ACTIONS(12840), 1,
      sym_keyword_maxvalue,
    ACTIONS(12842), 1,
      sym_keyword_owned,
    ACTIONS(12844), 1,
      sym_keyword_start,
    ACTIONS(12846), 1,
      sym_keyword_restart,
    ACTIONS(12848), 1,
      sym_keyword_as,
    ACTIONS(12850), 1,
      sym_keyword_no,
    ACTIONS(12852), 1,
      sym_keyword_rename,
    ACTIONS(12854), 1,
      sym_keyword_owner,
    ACTIONS(12858), 1,
      sym_keyword_cache,
    ACTIONS(12878), 1,
      sym_keyword_set,
    ACTIONS(12880), 1,
      sym_keyword_cycle,
    STATE(7282), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11456), 2,
      sym_rename_object,
      sym_change_ownership,
  [450175] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12768), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [450198] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2260), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450220] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2324), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450242] = 8,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    STATE(7413), 1,
      sym_window_clause,
    STATE(7589), 1,
      sym_order_by,
    STATE(7769), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12553), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [450276] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2328), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450298] = 4,
    ACTIONS(12882), 1,
      aux_sym__single_quote_string_token2,
    STATE(7166), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [450324] = 8,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    STATE(7490), 1,
      sym_window_clause,
    STATE(7585), 1,
      sym_order_by,
    STATE(7758), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9030), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [450358] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2220), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450380] = 3,
    ACTIONS(1384), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1380), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [450404] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12884), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12886), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [450428] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12888), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12890), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [450452] = 4,
    ACTIONS(12561), 1,
      anon_sym_LBRACK,
    STATE(7474), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3481), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [450478] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12892), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12894), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [450502] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12896), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12898), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [450526] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2340), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450548] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2344), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450570] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2348), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450592] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12471), 1,
      sym_keyword_set,
    ACTIONS(12475), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7637), 1,
      sym__column_list,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8440), 1,
      sym__cte,
    STATE(8546), 1,
      sym__set_values,
    STATE(8802), 1,
      sym__dml_read,
    STATE(8894), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [450642] = 4,
    ACTIONS(12900), 1,
      aux_sym__single_quote_string_token2,
    STATE(7219), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3304), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [450668] = 4,
    ACTIONS(12902), 1,
      aux_sym__single_quote_string_token2,
    STATE(7166), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1373), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [450694] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2352), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450716] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12905), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12907), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [450740] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12909), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12911), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [450764] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2360), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450786] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2364), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450808] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2368), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450830] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2079), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450852] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12471), 1,
      sym_keyword_set,
    ACTIONS(12475), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7637), 1,
      sym__column_list,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8440), 1,
      sym__cte,
    STATE(8563), 1,
      sym__insert_values,
    STATE(8575), 1,
      sym__set_values,
    STATE(8802), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [450902] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2372), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450924] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2376), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450946] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2232), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450968] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2162), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450990] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2236), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451012] = 8,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    STATE(7457), 1,
      sym_window_clause,
    STATE(7510), 1,
      sym_order_by,
    STATE(7880), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10953), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [451046] = 4,
    ACTIONS(12913), 1,
      anon_sym_COMMA,
    STATE(7181), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6701), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [451072] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2168), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451094] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2190), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451116] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2240), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451138] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2296), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451160] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2300), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451182] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2304), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451204] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2196), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451226] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2202), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451248] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2208), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451270] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12389), 1,
      sym_keyword_set,
    ACTIONS(12397), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(7662), 1,
      sym__column_list,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(8802), 1,
      sym__dml_read,
    STATE(9608), 1,
      sym__insert_values,
    STATE(9609), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [451320] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12389), 1,
      sym_keyword_set,
    ACTIONS(12397), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(7662), 1,
      sym__column_list,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(8802), 1,
      sym__dml_read,
    STATE(9614), 1,
      sym__insert_values,
    STATE(9615), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [451370] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12471), 1,
      sym_keyword_set,
    ACTIONS(12475), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7637), 1,
      sym__column_list,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8440), 1,
      sym__cte,
    STATE(8800), 1,
      sym__insert_values,
    STATE(8802), 1,
      sym__dml_read,
    STATE(8830), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [451420] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2252), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451442] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12389), 1,
      sym_keyword_set,
    ACTIONS(12397), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(7662), 1,
      sym__column_list,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(8802), 1,
      sym__dml_read,
    STATE(9623), 1,
      sym__insert_values,
    STATE(9624), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [451492] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2312), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451514] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2248), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451536] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12389), 1,
      sym_keyword_set,
    ACTIONS(12397), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(7662), 1,
      sym__column_list,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(8802), 1,
      sym__dml_read,
    STATE(9629), 1,
      sym__insert_values,
    STATE(9630), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [451586] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2256), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451608] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2332), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451630] = 6,
    ACTIONS(6777), 1,
      sym_keyword_having,
    ACTIONS(6779), 1,
      anon_sym_COMMA,
    STATE(7299), 1,
      aux_sym_array_repeat1,
    STATE(7310), 1,
      sym__having,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12651), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [451660] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12389), 1,
      sym_keyword_set,
    ACTIONS(12397), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(7662), 1,
      sym__column_list,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(8802), 1,
      sym__dml_read,
    STATE(9633), 1,
      sym__insert_values,
    STATE(9634), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [451710] = 8,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    STATE(7400), 1,
      sym_window_clause,
    STATE(7537), 1,
      sym_order_by,
    STATE(7802), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12758), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [451744] = 16,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(1485), 1,
      sym_keyword_show,
    ACTIONS(12399), 1,
      sym_keyword_values,
    ACTIONS(12401), 1,
      sym_keyword_set,
    ACTIONS(12405), 1,
      anon_sym_LPAREN,
    STATE(7654), 1,
      sym__column_list,
    STATE(7715), 1,
      sym_select,
    STATE(7842), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8339), 1,
      sym__cte,
    STATE(8820), 1,
      sym__insert_values,
    STATE(8821), 1,
      sym__set_values,
    STATE(9325), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [451794] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2336), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451816] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2356), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451838] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2380), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451860] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2384), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451882] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2264), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451904] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451926] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12471), 1,
      sym_keyword_set,
    ACTIONS(12475), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7637), 1,
      sym__column_list,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8440), 1,
      sym__cte,
    STATE(8572), 1,
      sym__insert_values,
    STATE(8573), 1,
      sym__set_values,
    STATE(8802), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [451976] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2224), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451998] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2268), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452020] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452042] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2272), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452064] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2021), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452086] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2276), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452108] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2280), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452130] = 4,
    ACTIONS(12882), 1,
      aux_sym__single_quote_string_token2,
    STATE(7166), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3318), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [452156] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2039), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452178] = 10,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10112), 1,
      sym_keyword_order,
    ACTIONS(10114), 1,
      sym_keyword_group,
    STATE(7373), 1,
      sym_group_by,
    STATE(7585), 1,
      sym_order_by,
    STATE(7613), 1,
      sym_window_clause,
    STATE(7758), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9030), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [452216] = 10,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10112), 1,
      sym_keyword_order,
    ACTIONS(10114), 1,
      sym_keyword_group,
    STATE(7375), 1,
      sym_group_by,
    STATE(7531), 1,
      sym_order_by,
    STATE(7615), 1,
      sym_window_clause,
    STATE(7858), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8992), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [452254] = 10,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10112), 1,
      sym_keyword_order,
    ACTIONS(10114), 1,
      sym_keyword_group,
    STATE(7376), 1,
      sym_group_by,
    STATE(7543), 1,
      sym_order_by,
    STATE(7618), 1,
      sym_window_clause,
    STATE(7857), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10951), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [452292] = 10,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10112), 1,
      sym_keyword_order,
    ACTIONS(10114), 1,
      sym_keyword_group,
    STATE(7378), 1,
      sym_group_by,
    STATE(7510), 1,
      sym_order_by,
    STATE(7621), 1,
      sym_window_clause,
    STATE(7880), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10953), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [452330] = 10,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10112), 1,
      sym_keyword_order,
    ACTIONS(10114), 1,
      sym_keyword_group,
    STATE(7380), 1,
      sym_group_by,
    STATE(7589), 1,
      sym_order_by,
    STATE(7624), 1,
      sym_window_clause,
    STATE(7769), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12553), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [452368] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2308), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452390] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2388), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452412] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2284), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452434] = 7,
    ACTIONS(12916), 1,
      sym_keyword_array,
    ACTIONS(12918), 1,
      anon_sym_LBRACK,
    STATE(2713), 1,
      sym_array_size_definition,
    STATE(2714), 1,
      sym__array_size_definition,
    STATE(7405), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2825), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [452466] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2045), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452488] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12471), 1,
      sym_keyword_set,
    ACTIONS(12475), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7637), 1,
      sym__column_list,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8440), 1,
      sym__cte,
    STATE(8533), 1,
      sym__insert_values,
    STATE(8537), 1,
      sym__set_values,
    STATE(8802), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [452538] = 7,
    ACTIONS(12916), 1,
      sym_keyword_array,
    ACTIONS(12918), 1,
      anon_sym_LBRACK,
    STATE(2711), 1,
      sym_array_size_definition,
    STATE(2714), 1,
      sym__array_size_definition,
    STATE(7405), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2831), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [452570] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2316), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452592] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2320), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452614] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2288), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452636] = 4,
    ACTIONS(12920), 1,
      aux_sym__single_quote_string_token2,
    STATE(7152), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [452662] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2292), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452684] = 16,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(1485), 1,
      sym_keyword_show,
    ACTIONS(12399), 1,
      sym_keyword_values,
    ACTIONS(12401), 1,
      sym_keyword_set,
    ACTIONS(12405), 1,
      anon_sym_LPAREN,
    STATE(7654), 1,
      sym__column_list,
    STATE(7715), 1,
      sym_select,
    STATE(7842), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8339), 1,
      sym__cte,
    STATE(8547), 1,
      sym__set_values,
    STATE(8814), 1,
      sym__insert_values,
    STATE(9325), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [452734] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12922), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12924), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [452758] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12926), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12928), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [452782] = 16,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(1485), 1,
      sym_keyword_show,
    ACTIONS(12399), 1,
      sym_keyword_values,
    ACTIONS(12401), 1,
      sym_keyword_set,
    ACTIONS(12405), 1,
      anon_sym_LPAREN,
    STATE(7654), 1,
      sym__column_list,
    STATE(7715), 1,
      sym_select,
    STATE(7842), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8339), 1,
      sym__cte,
    STATE(8707), 1,
      sym__insert_values,
    STATE(8708), 1,
      sym__set_values,
    STATE(9325), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [452832] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2244), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452854] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452876] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2228), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452898] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452920] = 8,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    STATE(7415), 1,
      sym_window_clause,
    STATE(7543), 1,
      sym_order_by,
    STATE(7857), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10951), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [452954] = 16,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(1485), 1,
      sym_keyword_show,
    ACTIONS(12399), 1,
      sym_keyword_values,
    ACTIONS(12401), 1,
      sym_keyword_set,
    ACTIONS(12405), 1,
      anon_sym_LPAREN,
    STATE(7654), 1,
      sym__column_list,
    STATE(7715), 1,
      sym_select,
    STATE(7842), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8339), 1,
      sym__cte,
    STATE(8515), 1,
      sym__insert_values,
    STATE(8548), 1,
      sym__set_values,
    STATE(9325), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [453004] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2212), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [453026] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2216), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [453048] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2031), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [453070] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2055), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [453092] = 16,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(1485), 1,
      sym_keyword_show,
    ACTIONS(12399), 1,
      sym_keyword_values,
    ACTIONS(12401), 1,
      sym_keyword_set,
    ACTIONS(12405), 1,
      anon_sym_LPAREN,
    STATE(7654), 1,
      sym__column_list,
    STATE(7715), 1,
      sym_select,
    STATE(7842), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8339), 1,
      sym__cte,
    STATE(8693), 1,
      sym__insert_values,
    STATE(8694), 1,
      sym__set_values,
    STATE(9325), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [453142] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2061), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [453164] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2067), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [453186] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2073), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [453208] = 8,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    STATE(7447), 1,
      sym_window_clause,
    STATE(7531), 1,
      sym_order_by,
    STATE(7858), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8992), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [453242] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(12940), 1,
      anon_sym_RPAREN,
    STATE(7308), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [453275] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(12942), 1,
      anon_sym_RPAREN,
    STATE(7308), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [453308] = 6,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    STATE(7412), 1,
      sym_order_by,
    STATE(7650), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10953), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [453337] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3475), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [453358] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3587), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [453379] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [453400] = 15,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    ACTIONS(12944), 1,
      anon_sym_LPAREN,
    ACTIONS(12946), 1,
      anon_sym_RPAREN,
    ACTIONS(12948), 1,
      sym__double_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(7509), 1,
      sym__column,
    STATE(7530), 1,
      sym_invocation,
    STATE(7625), 1,
      sym_identifier,
    STATE(10518), 1,
      sym__index_field,
    STATE(12269), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [453447] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2404), 14,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_LBRACK,
  [453468] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(12950), 1,
      anon_sym_RPAREN,
    STATE(7308), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [453501] = 12,
    ACTIONS(12954), 1,
      sym_keyword_increment,
    ACTIONS(12956), 1,
      sym_keyword_minvalue,
    ACTIONS(12958), 1,
      sym_keyword_maxvalue,
    ACTIONS(12960), 1,
      sym_keyword_owned,
    ACTIONS(12962), 1,
      sym_keyword_start,
    ACTIONS(12964), 1,
      sym_keyword_as,
    ACTIONS(12966), 1,
      sym_keyword_no,
    ACTIONS(12968), 1,
      sym_keyword_cycle,
    ACTIONS(12970), 1,
      sym_keyword_cache,
    STATE(7275), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12952), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [453542] = 13,
    ACTIONS(12836), 1,
      sym_keyword_increment,
    ACTIONS(12838), 1,
      sym_keyword_minvalue,
    ACTIONS(12840), 1,
      sym_keyword_maxvalue,
    ACTIONS(12842), 1,
      sym_keyword_owned,
    ACTIONS(12844), 1,
      sym_keyword_start,
    ACTIONS(12846), 1,
      sym_keyword_restart,
    ACTIONS(12848), 1,
      sym_keyword_as,
    ACTIONS(12850), 1,
      sym_keyword_no,
    ACTIONS(12858), 1,
      sym_keyword_cache,
    ACTIONS(12974), 1,
      sym_keyword_cycle,
    STATE(7269), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12972), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [453585] = 12,
    ACTIONS(12954), 1,
      sym_keyword_increment,
    ACTIONS(12956), 1,
      sym_keyword_minvalue,
    ACTIONS(12958), 1,
      sym_keyword_maxvalue,
    ACTIONS(12960), 1,
      sym_keyword_owned,
    ACTIONS(12962), 1,
      sym_keyword_start,
    ACTIONS(12964), 1,
      sym_keyword_as,
    ACTIONS(12966), 1,
      sym_keyword_no,
    ACTIONS(12970), 1,
      sym_keyword_cache,
    ACTIONS(12978), 1,
      sym_keyword_cycle,
    STATE(7319), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12976), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [453626] = 13,
    ACTIONS(12982), 1,
      sym_keyword_increment,
    ACTIONS(12985), 1,
      sym_keyword_minvalue,
    ACTIONS(12988), 1,
      sym_keyword_maxvalue,
    ACTIONS(12991), 1,
      sym_keyword_owned,
    ACTIONS(12994), 1,
      sym_keyword_start,
    ACTIONS(12997), 1,
      sym_keyword_restart,
    ACTIONS(13000), 1,
      sym_keyword_as,
    ACTIONS(13003), 1,
      sym_keyword_no,
    ACTIONS(13006), 1,
      sym_keyword_cycle,
    ACTIONS(13009), 1,
      sym_keyword_cache,
    STATE(7269), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12980), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [453669] = 6,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    STATE(7379), 1,
      sym_order_by,
    STATE(7658), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8992), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [453698] = 3,
    ACTIONS(1384), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1380), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [453721] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3591), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [453742] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12909), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12911), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [453765] = 4,
    ACTIONS(13012), 1,
      anon_sym_COMMA,
    STATE(7274), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6701), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
  [453790] = 12,
    ACTIONS(12954), 1,
      sym_keyword_increment,
    ACTIONS(12956), 1,
      sym_keyword_minvalue,
    ACTIONS(12958), 1,
      sym_keyword_maxvalue,
    ACTIONS(12960), 1,
      sym_keyword_owned,
    ACTIONS(12962), 1,
      sym_keyword_start,
    ACTIONS(12964), 1,
      sym_keyword_as,
    ACTIONS(12966), 1,
      sym_keyword_no,
    ACTIONS(12970), 1,
      sym_keyword_cache,
    ACTIONS(12978), 1,
      sym_keyword_cycle,
    STATE(7319), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13015), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [453831] = 6,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    STATE(7487), 1,
      sym_order_by,
    STATE(7644), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12553), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [453860] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13017), 1,
      anon_sym_RPAREN,
    STATE(7308), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [453893] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12892), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12894), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [453916] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13019), 1,
      anon_sym_RPAREN,
    STATE(7308), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [453949] = 12,
    ACTIONS(12954), 1,
      sym_keyword_increment,
    ACTIONS(12956), 1,
      sym_keyword_minvalue,
    ACTIONS(12958), 1,
      sym_keyword_maxvalue,
    ACTIONS(12960), 1,
      sym_keyword_owned,
    ACTIONS(12962), 1,
      sym_keyword_start,
    ACTIONS(12964), 1,
      sym_keyword_as,
    ACTIONS(12966), 1,
      sym_keyword_no,
    ACTIONS(12970), 1,
      sym_keyword_cache,
    ACTIONS(13023), 1,
      sym_keyword_cycle,
    STATE(7302), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13021), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [453990] = 8,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    ACTIONS(9894), 1,
      sym_keyword_order,
    STATE(7484), 1,
      sym_order_by,
    STATE(7501), 1,
      sym_window_clause,
    STATE(7642), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9030), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [454023] = 13,
    ACTIONS(12836), 1,
      sym_keyword_increment,
    ACTIONS(12838), 1,
      sym_keyword_minvalue,
    ACTIONS(12840), 1,
      sym_keyword_maxvalue,
    ACTIONS(12842), 1,
      sym_keyword_owned,
    ACTIONS(12844), 1,
      sym_keyword_start,
    ACTIONS(12846), 1,
      sym_keyword_restart,
    ACTIONS(12848), 1,
      sym_keyword_as,
    ACTIONS(12850), 1,
      sym_keyword_no,
    ACTIONS(12858), 1,
      sym_keyword_cache,
    ACTIONS(12974), 1,
      sym_keyword_cycle,
    STATE(7269), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13025), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [454066] = 8,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    ACTIONS(9894), 1,
      sym_keyword_order,
    STATE(7379), 1,
      sym_order_by,
    STATE(7505), 1,
      sym_window_clause,
    STATE(7658), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8992), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [454099] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2412), 14,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_LBRACK,
  [454120] = 8,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    ACTIONS(9894), 1,
      sym_keyword_order,
    STATE(7381), 1,
      sym_order_by,
    STATE(7511), 1,
      sym_window_clause,
    STATE(7733), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10951), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [454153] = 8,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    ACTIONS(9894), 1,
      sym_keyword_order,
    STATE(7412), 1,
      sym_order_by,
    STATE(7515), 1,
      sym_window_clause,
    STATE(7650), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10953), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [454186] = 15,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    ACTIONS(13027), 1,
      sym_keyword_column,
    ACTIONS(13029), 1,
      sym_keyword_constraint,
    STATE(34), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(121), 1,
      sym_identifier,
    STATE(138), 1,
      sym__literal_string,
    STATE(7835), 1,
      sym__if_not_exists,
    STATE(8785), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [454233] = 8,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    ACTIONS(9894), 1,
      sym_keyword_order,
    STATE(7487), 1,
      sym_order_by,
    STATE(7519), 1,
      sym_window_clause,
    STATE(7644), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12553), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [454266] = 8,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9016), 1,
      sym_keyword_window,
    ACTIONS(9894), 1,
      sym_keyword_order,
    STATE(7332), 1,
      sym_order_by,
    STATE(7524), 1,
      sym_window_clause,
    STATE(7661), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12758), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [454299] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13031), 1,
      anon_sym_RPAREN,
    STATE(7308), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [454332] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13033), 1,
      anon_sym_RPAREN,
    STATE(7308), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [454365] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13035), 1,
      anon_sym_RPAREN,
    STATE(7308), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [454398] = 15,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    ACTIONS(13037), 1,
      sym_keyword_column,
    ACTIONS(13039), 1,
      sym_keyword_constraint,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(123), 1,
      sym_identifier,
    STATE(138), 1,
      sym__literal_string,
    STATE(7773), 1,
      sym__if_not_exists,
    STATE(8338), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [454445] = 6,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    STATE(7340), 1,
      sym_order_by,
    STATE(7736), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13041), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [454474] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13043), 1,
      anon_sym_RPAREN,
    STATE(7308), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [454507] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13045), 1,
      anon_sym_RPAREN,
    STATE(7308), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [454540] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13047), 1,
      anon_sym_RPAREN,
    STATE(7308), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [454573] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13049), 1,
      anon_sym_RPAREN,
    STATE(7308), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [454606] = 4,
    ACTIONS(13051), 1,
      anon_sym_COMMA,
    STATE(7299), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6701), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [454631] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12888), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12890), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [454654] = 15,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    ACTIONS(12944), 1,
      anon_sym_LPAREN,
    ACTIONS(12948), 1,
      sym__double_quote_string,
    ACTIONS(13054), 1,
      anon_sym_RPAREN,
    STATE(138), 1,
      sym__literal_string,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(7509), 1,
      sym__column,
    STATE(7530), 1,
      sym_invocation,
    STATE(7625), 1,
      sym_identifier,
    STATE(10946), 1,
      sym__index_field,
    STATE(12269), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [454701] = 12,
    ACTIONS(12954), 1,
      sym_keyword_increment,
    ACTIONS(12956), 1,
      sym_keyword_minvalue,
    ACTIONS(12958), 1,
      sym_keyword_maxvalue,
    ACTIONS(12960), 1,
      sym_keyword_owned,
    ACTIONS(12962), 1,
      sym_keyword_start,
    ACTIONS(12964), 1,
      sym_keyword_as,
    ACTIONS(12966), 1,
      sym_keyword_no,
    ACTIONS(12970), 1,
      sym_keyword_cache,
    ACTIONS(12978), 1,
      sym_keyword_cycle,
    STATE(7319), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13056), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [454742] = 6,
    ACTIONS(6847), 1,
      sym_keyword_having,
    ACTIONS(6849), 1,
      anon_sym_COMMA,
    STATE(7355), 1,
      aux_sym_array_repeat1,
    STATE(7407), 1,
      sym__having,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12651), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [454771] = 6,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    STATE(7332), 1,
      sym_order_by,
    STATE(7661), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12758), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [454800] = 6,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    STATE(7381), 1,
      sym_order_by,
    STATE(7733), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10951), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [454829] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3442), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [454850] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12896), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12898), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [454873] = 8,
    ACTIONS(13061), 1,
      sym_keyword_freeze,
    ACTIONS(13067), 1,
      sym_keyword_header,
    ACTIONS(13070), 1,
      sym_keyword_format,
    ACTIONS(13073), 1,
      anon_sym_RPAREN,
    STATE(7308), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13064), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(13058), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [454906] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13075), 1,
      anon_sym_RPAREN,
    STATE(7308), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [454939] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13077), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [454960] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12884), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12886), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [454983] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12922), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12924), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [455006] = 12,
    ACTIONS(12954), 1,
      sym_keyword_increment,
    ACTIONS(12956), 1,
      sym_keyword_minvalue,
    ACTIONS(12958), 1,
      sym_keyword_maxvalue,
    ACTIONS(12960), 1,
      sym_keyword_owned,
    ACTIONS(12962), 1,
      sym_keyword_start,
    ACTIONS(12964), 1,
      sym_keyword_as,
    ACTIONS(12966), 1,
      sym_keyword_no,
    ACTIONS(12970), 1,
      sym_keyword_cache,
    ACTIONS(13081), 1,
      sym_keyword_cycle,
    STATE(7268), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13079), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [455047] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13083), 1,
      anon_sym_RPAREN,
    STATE(7308), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [455080] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13085), 1,
      anon_sym_RPAREN,
    STATE(7308), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [455113] = 6,
    ACTIONS(9008), 1,
      sym_keyword_order,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    STATE(7484), 1,
      sym_order_by,
    STATE(7642), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9030), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [455142] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12926), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12928), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [455165] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12905), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12907), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [455188] = 12,
    ACTIONS(13089), 1,
      sym_keyword_increment,
    ACTIONS(13092), 1,
      sym_keyword_minvalue,
    ACTIONS(13095), 1,
      sym_keyword_maxvalue,
    ACTIONS(13098), 1,
      sym_keyword_owned,
    ACTIONS(13101), 1,
      sym_keyword_start,
    ACTIONS(13104), 1,
      sym_keyword_as,
    ACTIONS(13107), 1,
      sym_keyword_no,
    ACTIONS(13110), 1,
      sym_keyword_cycle,
    ACTIONS(13113), 1,
      sym_keyword_cache,
    STATE(7319), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13087), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [455229] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13116), 1,
      anon_sym_RPAREN,
    STATE(7308), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [455262] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13118), 1,
      anon_sym_RPAREN,
    STATE(7308), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [455295] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12651), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [455316] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13120), 1,
      anon_sym_RPAREN,
    STATE(7308), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [455349] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2408), 14,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_LBRACK,
  [455370] = 12,
    ACTIONS(13122), 1,
      sym_keyword_increment,
    ACTIONS(13124), 1,
      sym_keyword_minvalue,
    ACTIONS(13126), 1,
      sym_keyword_maxvalue,
    ACTIONS(13128), 1,
      sym_keyword_owned,
    ACTIONS(13130), 1,
      sym_keyword_start,
    ACTIONS(13132), 1,
      sym_keyword_as,
    ACTIONS(13134), 1,
      sym_keyword_no,
    ACTIONS(13136), 1,
      sym_keyword_cycle,
    ACTIONS(13138), 1,
      sym_keyword_cache,
    STATE(7343), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13015), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [455410] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13148), 1,
      sym_keyword_on,
    ACTIONS(13150), 1,
      sym_keyword_using,
    STATE(7926), 1,
      sym_index_hint,
    STATE(11818), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [455446] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13152), 1,
      sym_keyword_on,
    ACTIONS(13154), 1,
      sym_keyword_using,
    STATE(7929), 1,
      sym_index_hint,
    STATE(11829), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [455482] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7277), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [455512] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7279), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [455542] = 10,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(13158), 1,
      sym_keyword_table,
    ACTIONS(13162), 1,
      sym_keyword_only,
    STATE(5700), 1,
      sym_identifier,
    STATE(8175), 1,
      sym_object_reference,
    STATE(10874), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13160), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(13156), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [455578] = 12,
    ACTIONS(13122), 1,
      sym_keyword_increment,
    ACTIONS(13124), 1,
      sym_keyword_minvalue,
    ACTIONS(13126), 1,
      sym_keyword_maxvalue,
    ACTIONS(13128), 1,
      sym_keyword_owned,
    ACTIONS(13130), 1,
      sym_keyword_start,
    ACTIONS(13132), 1,
      sym_keyword_as,
    ACTIONS(13134), 1,
      sym_keyword_no,
    ACTIONS(13136), 1,
      sym_keyword_cycle,
    ACTIONS(13138), 1,
      sym_keyword_cache,
    STATE(7343), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13056), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [455618] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    STATE(7736), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13041), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [455642] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7290), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [455672] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7291), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [455702] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7292), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [455732] = 6,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    STATE(7585), 1,
      sym_order_by,
    STATE(7758), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9030), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [455760] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13164), 1,
      sym_keyword_on,
    ACTIONS(13166), 1,
      sym_keyword_using,
    STATE(7931), 1,
      sym_index_hint,
    STATE(11831), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [455796] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13168), 1,
      sym_keyword_on,
    ACTIONS(13170), 1,
      sym_keyword_using,
    STATE(7933), 1,
      sym_index_hint,
    STATE(11833), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [455832] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7298), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [455862] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    STATE(7622), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13172), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [455886] = 14,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    ACTIONS(12944), 1,
      anon_sym_LPAREN,
    ACTIONS(12948), 1,
      sym__double_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(7509), 1,
      sym__column,
    STATE(7530), 1,
      sym_invocation,
    STATE(7625), 1,
      sym_identifier,
    STATE(12076), 1,
      sym__index_field,
    STATE(12269), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [455930] = 14,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12397), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(7662), 1,
      sym__column_list,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(8802), 1,
      sym__dml_read,
    STATE(9915), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [455974] = 12,
    ACTIONS(13174), 1,
      sym_keyword_increment,
    ACTIONS(13177), 1,
      sym_keyword_minvalue,
    ACTIONS(13180), 1,
      sym_keyword_maxvalue,
    ACTIONS(13183), 1,
      sym_keyword_owned,
    ACTIONS(13186), 1,
      sym_keyword_start,
    ACTIONS(13189), 1,
      sym_keyword_as,
    ACTIONS(13192), 1,
      sym_keyword_no,
    ACTIONS(13195), 1,
      sym_keyword_cycle,
    ACTIONS(13198), 1,
      sym_keyword_cache,
    STATE(7343), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13087), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [456014] = 12,
    ACTIONS(13122), 1,
      sym_keyword_increment,
    ACTIONS(13124), 1,
      sym_keyword_minvalue,
    ACTIONS(13126), 1,
      sym_keyword_maxvalue,
    ACTIONS(13128), 1,
      sym_keyword_owned,
    ACTIONS(13130), 1,
      sym_keyword_start,
    ACTIONS(13132), 1,
      sym_keyword_as,
    ACTIONS(13134), 1,
      sym_keyword_no,
    ACTIONS(13138), 1,
      sym_keyword_cache,
    ACTIONS(13201), 1,
      sym_keyword_cycle,
    STATE(7409), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13079), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [456054] = 14,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12397), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(7662), 1,
      sym__column_list,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(8802), 1,
      sym__dml_read,
    STATE(9959), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [456098] = 14,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12397), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(7662), 1,
      sym__column_list,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(8802), 1,
      sym__dml_read,
    STATE(9987), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [456142] = 14,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12397), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(7662), 1,
      sym__column_list,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(8802), 1,
      sym__dml_read,
    STATE(10000), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [456186] = 14,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12397), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(7662), 1,
      sym__column_list,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(8802), 1,
      sym__dml_read,
    STATE(10008), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [456230] = 14,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12397), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(7662), 1,
      sym__column_list,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(8802), 1,
      sym__dml_read,
    STATE(10023), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [456274] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13203), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [456294] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13205), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [456314] = 14,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12475), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7637), 1,
      sym__column_list,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8440), 1,
      sym__cte,
    STATE(8802), 1,
      sym__dml_read,
    STATE(9959), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [456358] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13207), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [456378] = 4,
    ACTIONS(13211), 1,
      anon_sym_COMMA,
    STATE(7354), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13209), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [456402] = 4,
    ACTIONS(13214), 1,
      anon_sym_COMMA,
    STATE(7355), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6701), 11,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [456426] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3475), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [456446] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3587), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [456466] = 3,
    ACTIONS(13217), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12555), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
  [456488] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13150), 1,
      sym_keyword_using,
    ACTIONS(13219), 1,
      sym_keyword_on,
    STATE(7934), 1,
      sym_index_hint,
    STATE(11835), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [456524] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3591), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [456544] = 14,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(13221), 1,
      sym_keyword_on,
    ACTIONS(13223), 1,
      sym_keyword_concurrently,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7932), 1,
      sym__if_not_exists,
    STATE(14134), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [456588] = 3,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2835), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_is,
      sym_keyword_with,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [456610] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7295), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [456640] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13225), 1,
      sym_keyword_on,
    ACTIONS(13227), 1,
      sym_keyword_using,
    STATE(7993), 1,
      sym_index_hint,
    STATE(11581), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [456676] = 11,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(12519), 1,
      sym_keyword_password,
    ACTIONS(12521), 1,
      sym_keyword_encrypted,
    ACTIONS(12523), 1,
      sym_keyword_valid,
    ACTIONS(12525), 1,
      sym_keyword_connection,
    STATE(7169), 1,
      sym_identifier,
    STATE(7382), 1,
      aux_sym_alter_role_repeat1,
    STATE(7904), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13229), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [456714] = 12,
    ACTIONS(13122), 1,
      sym_keyword_increment,
    ACTIONS(13124), 1,
      sym_keyword_minvalue,
    ACTIONS(13126), 1,
      sym_keyword_maxvalue,
    ACTIONS(13128), 1,
      sym_keyword_owned,
    ACTIONS(13130), 1,
      sym_keyword_start,
    ACTIONS(13132), 1,
      sym_keyword_as,
    ACTIONS(13134), 1,
      sym_keyword_no,
    ACTIONS(13138), 1,
      sym_keyword_cache,
    ACTIONS(13231), 1,
      sym_keyword_cycle,
    STATE(7331), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13021), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [456754] = 14,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(13233), 1,
      sym_keyword_on,
    ACTIONS(13235), 1,
      sym_keyword_concurrently,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7920), 1,
      sym__if_not_exists,
    STATE(12593), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [456798] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7320), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [456828] = 10,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(10761), 1,
      sym_keyword_group,
    ACTIONS(10763), 1,
      sym_keyword_window,
    STATE(7484), 1,
      sym_order_by,
    STATE(7640), 1,
      sym_group_by,
    STATE(7642), 1,
      sym_limit,
    STATE(7994), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9030), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [456864] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7321), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [456894] = 8,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10112), 1,
      sym_keyword_order,
    STATE(7585), 1,
      sym_order_by,
    STATE(7613), 1,
      sym_window_clause,
    STATE(7758), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9030), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [456926] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13237), 1,
      sym_keyword_on,
    ACTIONS(13239), 1,
      sym_keyword_using,
    STATE(7918), 1,
      sym_index_hint,
    STATE(11797), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [456962] = 8,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10112), 1,
      sym_keyword_order,
    STATE(7531), 1,
      sym_order_by,
    STATE(7615), 1,
      sym_window_clause,
    STATE(7858), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8992), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [456994] = 12,
    ACTIONS(13122), 1,
      sym_keyword_increment,
    ACTIONS(13124), 1,
      sym_keyword_minvalue,
    ACTIONS(13126), 1,
      sym_keyword_maxvalue,
    ACTIONS(13128), 1,
      sym_keyword_owned,
    ACTIONS(13130), 1,
      sym_keyword_start,
    ACTIONS(13132), 1,
      sym_keyword_as,
    ACTIONS(13134), 1,
      sym_keyword_no,
    ACTIONS(13138), 1,
      sym_keyword_cache,
    ACTIONS(13241), 1,
      sym_keyword_cycle,
    STATE(7325), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12952), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [457034] = 8,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10112), 1,
      sym_keyword_order,
    STATE(7543), 1,
      sym_order_by,
    STATE(7618), 1,
      sym_window_clause,
    STATE(7857), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10951), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [457066] = 8,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10112), 1,
      sym_keyword_order,
    STATE(7510), 1,
      sym_order_by,
    STATE(7621), 1,
      sym_window_clause,
    STATE(7880), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10953), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [457098] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13154), 1,
      sym_keyword_using,
    ACTIONS(13243), 1,
      sym_keyword_on,
    STATE(7935), 1,
      sym_index_hint,
    STATE(11845), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [457134] = 8,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10112), 1,
      sym_keyword_order,
    STATE(7589), 1,
      sym_order_by,
    STATE(7624), 1,
      sym_window_clause,
    STATE(7769), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12553), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [457166] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    STATE(7733), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10951), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [457190] = 8,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10112), 1,
      sym_keyword_order,
    STATE(7537), 1,
      sym_order_by,
    STATE(7626), 1,
      sym_window_clause,
    STATE(7802), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12758), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [457222] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    STATE(7650), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10953), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [457246] = 11,
    ACTIONS(13247), 1,
      sym__identifier,
    ACTIONS(13250), 1,
      sym_keyword_password,
    ACTIONS(13253), 1,
      sym_keyword_encrypted,
    ACTIONS(13256), 1,
      sym_keyword_valid,
    ACTIONS(13259), 1,
      sym_keyword_connection,
    STATE(7169), 1,
      sym_identifier,
    STATE(7382), 1,
      aux_sym_alter_role_repeat1,
    STATE(7904), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13262), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13245), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [457284] = 14,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12475), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7637), 1,
      sym__column_list,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8440), 1,
      sym__cte,
    STATE(8802), 1,
      sym__dml_read,
    STATE(9987), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [457328] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13265), 1,
      sym_keyword_on,
    ACTIONS(13267), 1,
      sym_keyword_using,
    STATE(7996), 1,
      sym_index_hint,
    STATE(11603), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [457364] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13269), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [457384] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13271), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [457404] = 14,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(1485), 1,
      sym_keyword_show,
    ACTIONS(12399), 1,
      sym_keyword_values,
    ACTIONS(12405), 1,
      anon_sym_LPAREN,
    STATE(7654), 1,
      sym__column_list,
    STATE(7715), 1,
      sym_select,
    STATE(7842), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8339), 1,
      sym__cte,
    STATE(9325), 1,
      sym__dml_read,
    STATE(11204), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [457448] = 10,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(10761), 1,
      sym_keyword_group,
    ACTIONS(10763), 1,
      sym_keyword_window,
    STATE(7379), 1,
      sym_order_by,
    STATE(7652), 1,
      sym_group_by,
    STATE(7658), 1,
      sym_limit,
    STATE(7997), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8992), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [457484] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13166), 1,
      sym_keyword_using,
    ACTIONS(13273), 1,
      sym_keyword_on,
    STATE(7936), 1,
      sym_index_hint,
    STATE(11849), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [457520] = 14,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(1485), 1,
      sym_keyword_show,
    ACTIONS(12399), 1,
      sym_keyword_values,
    ACTIONS(12405), 1,
      anon_sym_LPAREN,
    STATE(7654), 1,
      sym__column_list,
    STATE(7715), 1,
      sym_select,
    STATE(7842), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8339), 1,
      sym__cte,
    STATE(9325), 1,
      sym__dml_read,
    STATE(10555), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [457564] = 4,
    ACTIONS(13277), 1,
      anon_sym_COMMA,
    STATE(7354), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13275), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [457588] = 13,
    ACTIONS(12790), 1,
      sym_keyword_increment,
    ACTIONS(12792), 1,
      sym_keyword_minvalue,
    ACTIONS(12794), 1,
      sym_keyword_maxvalue,
    ACTIONS(12796), 1,
      sym_keyword_owned,
    ACTIONS(12798), 1,
      sym_keyword_start,
    ACTIONS(12800), 1,
      sym_keyword_restart,
    ACTIONS(12802), 1,
      sym_keyword_as,
    ACTIONS(12804), 1,
      sym_keyword_no,
    ACTIONS(12812), 1,
      sym_keyword_cache,
    ACTIONS(13279), 1,
      sym_keyword_cycle,
    STATE(7486), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12972), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [457630] = 14,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(1485), 1,
      sym_keyword_show,
    ACTIONS(12399), 1,
      sym_keyword_values,
    ACTIONS(12405), 1,
      anon_sym_LPAREN,
    STATE(7654), 1,
      sym__column_list,
    STATE(7715), 1,
      sym_select,
    STATE(7842), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8339), 1,
      sym__cte,
    STATE(9325), 1,
      sym__dml_read,
    STATE(10637), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [457674] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13239), 1,
      sym_keyword_using,
    ACTIONS(13281), 1,
      sym_keyword_on,
    STATE(8037), 1,
      sym_index_hint,
    STATE(12010), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [457710] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13239), 1,
      sym_keyword_using,
    ACTIONS(13283), 1,
      sym_keyword_on,
    STATE(8001), 1,
      sym_index_hint,
    STATE(11626), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [457746] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13285), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [457766] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13287), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [457786] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7314), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [457816] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7315), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [457846] = 6,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    STATE(7578), 1,
      sym_order_by,
    STATE(7887), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13041), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [457874] = 10,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(10761), 1,
      sym_keyword_group,
    ACTIONS(10763), 1,
      sym_keyword_window,
    STATE(7381), 1,
      sym_order_by,
    STATE(7686), 1,
      sym_group_by,
    STATE(7733), 1,
      sym_limit,
    STATE(8007), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10951), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [457910] = 13,
    ACTIONS(11055), 1,
      sym_keyword_primary,
    ACTIONS(11071), 1,
      sym_keyword_check,
    ACTIONS(13289), 1,
      sym_keyword_key,
    ACTIONS(13291), 1,
      sym_keyword_constraint,
    ACTIONS(13293), 1,
      sym_keyword_index,
    ACTIONS(13295), 1,
      sym_keyword_unique,
    ACTIONS(13297), 1,
      sym_keyword_foreign,
    STATE(10109), 1,
      sym__constraint_literal,
    STATE(10110), 1,
      sym__key_constraint,
    STATE(10358), 1,
      sym_constraint,
    STATE(11844), 1,
      sym__primary_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10107), 2,
      sym__check_constraint,
      sym__primary_key_constraint,
  [457952] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13299), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [457972] = 12,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(13303), 1,
      sym_keyword_role,
    ACTIONS(13305), 1,
      sym_keyword_transaction,
    ACTIONS(13307), 1,
      sym_keyword_local,
    ACTIONS(13309), 1,
      sym_keyword_session,
    ACTIONS(13311), 1,
      sym_keyword_constraints,
    ACTIONS(13313), 1,
      sym_keyword_time,
    STATE(5700), 1,
      sym_identifier,
    STATE(11642), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13301), 2,
      sym_keyword_schema,
      sym_keyword_names,
  [458012] = 5,
    ACTIONS(12918), 1,
      anon_sym_LBRACK,
    STATE(2246), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2714), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3335), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [458038] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1380), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [458058] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13077), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [458078] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13315), 1,
      sym_keyword_on,
    ACTIONS(13317), 1,
      sym_keyword_using,
    STATE(8010), 1,
      sym_index_hint,
    STATE(11638), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [458114] = 12,
    ACTIONS(13122), 1,
      sym_keyword_increment,
    ACTIONS(13124), 1,
      sym_keyword_minvalue,
    ACTIONS(13126), 1,
      sym_keyword_maxvalue,
    ACTIONS(13128), 1,
      sym_keyword_owned,
    ACTIONS(13130), 1,
      sym_keyword_start,
    ACTIONS(13132), 1,
      sym_keyword_as,
    ACTIONS(13134), 1,
      sym_keyword_no,
    ACTIONS(13136), 1,
      sym_keyword_cycle,
    ACTIONS(13138), 1,
      sym_keyword_cache,
    STATE(7343), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12976), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [458154] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13319), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [458174] = 14,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12475), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7637), 1,
      sym__column_list,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8440), 1,
      sym__cte,
    STATE(8802), 1,
      sym__dml_read,
    STATE(10000), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [458218] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    STATE(7644), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12553), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [458242] = 6,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    STATE(7537), 1,
      sym_order_by,
    STATE(7802), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12758), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [458270] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7323), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [458300] = 6,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    STATE(7510), 1,
      sym_order_by,
    STATE(7880), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10953), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [458328] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7309), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [458358] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7296), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [458388] = 14,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(13321), 1,
      sym_keyword_on,
    ACTIONS(13323), 1,
      sym_keyword_concurrently,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8071), 1,
      sym__if_not_exists,
    STATE(14200), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [458432] = 10,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(10761), 1,
      sym_keyword_group,
    ACTIONS(10763), 1,
      sym_keyword_window,
    STATE(7412), 1,
      sym_order_by,
    STATE(7650), 1,
      sym_limit,
    STATE(7717), 1,
      sym_group_by,
    STATE(8015), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10953), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [458468] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7258), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [458498] = 14,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(13325), 1,
      sym_keyword_on,
    ACTIONS(13327), 1,
      sym_keyword_concurrently,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8072), 1,
      sym__if_not_exists,
    STATE(14226), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [458542] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13227), 1,
      sym_keyword_using,
    ACTIONS(13329), 1,
      sym_keyword_on,
    STATE(7949), 1,
      sym_index_hint,
    STATE(12232), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [458578] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13154), 1,
      sym_keyword_using,
    ACTIONS(13331), 1,
      sym_keyword_on,
    STATE(7923), 1,
      sym_index_hint,
    STATE(11808), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [458614] = 14,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(1485), 1,
      sym_keyword_show,
    ACTIONS(12399), 1,
      sym_keyword_values,
    ACTIONS(12405), 1,
      anon_sym_LPAREN,
    STATE(7654), 1,
      sym__column_list,
    STATE(7715), 1,
      sym_select,
    STATE(7842), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8339), 1,
      sym__cte,
    STATE(9325), 1,
      sym__dml_read,
    STATE(10656), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [458658] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13333), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [458678] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13227), 1,
      sym_keyword_using,
    ACTIONS(13335), 1,
      sym_keyword_on,
    STATE(8097), 1,
      sym_index_hint,
    STATE(11754), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [458714] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13267), 1,
      sym_keyword_using,
    ACTIONS(13337), 1,
      sym_keyword_on,
    STATE(8052), 1,
      sym_index_hint,
    STATE(11693), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [458750] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13150), 1,
      sym_keyword_using,
    ACTIONS(13339), 1,
      sym_keyword_on,
    STATE(7939), 1,
      sym_index_hint,
    STATE(11854), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [458786] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [458806] = 14,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    ACTIONS(13341), 1,
      sym_keyword_column,
    ACTIONS(13343), 1,
      sym_keyword_if,
    STATE(34), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7833), 1,
      sym__if_exists,
    STATE(8656), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [458850] = 4,
    ACTIONS(13347), 1,
      sym_keyword_offset,
    STATE(7641), 1,
      sym_offset,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13345), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [458874] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13349), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [458894] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13267), 1,
      sym_keyword_using,
    ACTIONS(13351), 1,
      sym_keyword_on,
    STATE(8099), 1,
      sym_index_hint,
    STATE(11758), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [458930] = 14,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12475), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7637), 1,
      sym__column_list,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8440), 1,
      sym__cte,
    STATE(8802), 1,
      sym__dml_read,
    STATE(10008), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [458974] = 11,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(12519), 1,
      sym_keyword_password,
    ACTIONS(12521), 1,
      sym_keyword_encrypted,
    ACTIONS(12523), 1,
      sym_keyword_valid,
    ACTIONS(12525), 1,
      sym_keyword_connection,
    STATE(7169), 1,
      sym_identifier,
    STATE(7365), 1,
      aux_sym_alter_role_repeat1,
    STATE(7904), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13353), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [459012] = 14,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(1485), 1,
      sym_keyword_show,
    ACTIONS(12399), 1,
      sym_keyword_values,
    ACTIONS(12405), 1,
      anon_sym_LPAREN,
    STATE(7654), 1,
      sym__column_list,
    STATE(7715), 1,
      sym_select,
    STATE(7842), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8339), 1,
      sym__cte,
    STATE(9325), 1,
      sym__dml_read,
    STATE(10690), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [459056] = 4,
    ACTIONS(13277), 1,
      anon_sym_COMMA,
    STATE(7391), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13355), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [459080] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7265), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [459110] = 14,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(1485), 1,
      sym_keyword_show,
    ACTIONS(12399), 1,
      sym_keyword_values,
    ACTIONS(12405), 1,
      anon_sym_LPAREN,
    STATE(7654), 1,
      sym__column_list,
    STATE(7715), 1,
      sym_select,
    STATE(7842), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8339), 1,
      sym__cte,
    STATE(9325), 1,
      sym__dml_read,
    STATE(10913), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [459154] = 10,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(10761), 1,
      sym_keyword_group,
    ACTIONS(10763), 1,
      sym_keyword_window,
    STATE(7487), 1,
      sym_order_by,
    STATE(7644), 1,
      sym_limit,
    STATE(7741), 1,
      sym_group_by,
    STATE(8023), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12553), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [459190] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2396), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [459210] = 4,
    ACTIONS(13359), 1,
      anon_sym_COMMA,
    STATE(7477), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13357), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [459234] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13239), 1,
      sym_keyword_using,
    ACTIONS(13361), 1,
      sym_keyword_on,
    STATE(8100), 1,
      sym_index_hint,
    STATE(11761), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [459270] = 3,
    ACTIONS(13363), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12587), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
  [459292] = 14,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12475), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7637), 1,
      sym__column_list,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8440), 1,
      sym__cte,
    STATE(8802), 1,
      sym__dml_read,
    STATE(10023), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [459336] = 14,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12387), 1,
      sym_keyword_values,
    ACTIONS(12475), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7637), 1,
      sym__column_list,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8440), 1,
      sym__cte,
    STATE(8802), 1,
      sym__dml_read,
    STATE(9915), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [459380] = 6,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    STATE(7543), 1,
      sym_order_by,
    STATE(7857), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10951), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [459408] = 11,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(12519), 1,
      sym_keyword_password,
    ACTIONS(12521), 1,
      sym_keyword_encrypted,
    ACTIONS(12523), 1,
      sym_keyword_valid,
    ACTIONS(12525), 1,
      sym_keyword_connection,
    STATE(7169), 1,
      sym_identifier,
    STATE(7382), 1,
      aux_sym_alter_role_repeat1,
    STATE(7904), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13365), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [459446] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13166), 1,
      sym_keyword_using,
    ACTIONS(13367), 1,
      sym_keyword_on,
    STATE(7924), 1,
      sym_index_hint,
    STATE(11813), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [459482] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13317), 1,
      sym_keyword_using,
    ACTIONS(13369), 1,
      sym_keyword_on,
    STATE(8101), 1,
      sym_index_hint,
    STATE(11762), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [459518] = 4,
    ACTIONS(13359), 1,
      anon_sym_COMMA,
    STATE(7442), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13371), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [459542] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12651), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [459562] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13317), 1,
      sym_keyword_using,
    ACTIONS(13373), 1,
      sym_keyword_on,
    STATE(8035), 1,
      sym_index_hint,
    STATE(11721), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [459598] = 14,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(13375), 1,
      sym_keyword_on,
    ACTIONS(13377), 1,
      sym_keyword_concurrently,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8047), 1,
      sym__if_not_exists,
    STATE(13484), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [459642] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13379), 13,
      sym_keyword_default,
      sym_keyword_freeze,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_force_quote,
      sym_keyword_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
      sym_keyword_header,
      sym_keyword_format,
      sym_keyword_delimiter,
      sym_keyword_null,
      anon_sym_RPAREN,
  [459662] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13073), 13,
      sym_keyword_default,
      sym_keyword_freeze,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_force_quote,
      sym_keyword_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
      sym_keyword_header,
      sym_keyword_format,
      sym_keyword_delimiter,
      sym_keyword_null,
      anon_sym_RPAREN,
  [459682] = 6,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    STATE(7589), 1,
      sym_order_by,
    STATE(7769), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12553), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [459710] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13170), 1,
      sym_keyword_using,
    ACTIONS(13381), 1,
      sym_keyword_on,
    STATE(7925), 1,
      sym_index_hint,
    STATE(11816), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [459746] = 13,
    ACTIONS(12790), 1,
      sym_keyword_increment,
    ACTIONS(12792), 1,
      sym_keyword_minvalue,
    ACTIONS(12794), 1,
      sym_keyword_maxvalue,
    ACTIONS(12796), 1,
      sym_keyword_owned,
    ACTIONS(12798), 1,
      sym_keyword_start,
    ACTIONS(12800), 1,
      sym_keyword_restart,
    ACTIONS(12802), 1,
      sym_keyword_as,
    ACTIONS(12804), 1,
      sym_keyword_no,
    ACTIONS(12812), 1,
      sym_keyword_cache,
    ACTIONS(13279), 1,
      sym_keyword_cycle,
    STATE(7486), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13025), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [459788] = 14,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(13383), 1,
      sym_keyword_on,
    ACTIONS(13385), 1,
      sym_keyword_concurrently,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8050), 1,
      sym__if_not_exists,
    STATE(13511), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [459832] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13387), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [459852] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13227), 1,
      sym_keyword_using,
    ACTIONS(13389), 1,
      sym_keyword_on,
    STATE(7911), 1,
      sym_index_hint,
    STATE(11775), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [459888] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3442), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [459908] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13391), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [459928] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13393), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [459948] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13267), 1,
      sym_keyword_using,
    ACTIONS(13395), 1,
      sym_keyword_on,
    STATE(7912), 1,
      sym_index_hint,
    STATE(11777), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [459984] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13397), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [460004] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13239), 1,
      sym_keyword_using,
    ACTIONS(13399), 1,
      sym_keyword_on,
    STATE(7913), 1,
      sym_index_hint,
    STATE(11781), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [460040] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13267), 1,
      sym_keyword_using,
    ACTIONS(13401), 1,
      sym_keyword_on,
    STATE(7917), 1,
      sym_index_hint,
    STATE(11796), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [460076] = 14,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    ACTIONS(13343), 1,
      sym_keyword_if,
    ACTIONS(13403), 1,
      sym_keyword_column,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7750), 1,
      sym__if_exists,
    STATE(8497), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [460120] = 13,
    ACTIONS(11055), 1,
      sym_keyword_primary,
    ACTIONS(11152), 1,
      sym_keyword_check,
    ACTIONS(13405), 1,
      sym_keyword_key,
    ACTIONS(13407), 1,
      sym_keyword_constraint,
    ACTIONS(13409), 1,
      sym_keyword_index,
    ACTIONS(13411), 1,
      sym_keyword_unique,
    ACTIONS(13413), 1,
      sym_keyword_foreign,
    STATE(11106), 1,
      sym__constraint_literal,
    STATE(11107), 1,
      sym__key_constraint,
    STATE(11249), 1,
      sym_constraint,
    STATE(12157), 1,
      sym__primary_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11104), 2,
      sym__check_constraint,
      sym__primary_key_constraint,
  [460162] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13415), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [460182] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13317), 1,
      sym_keyword_using,
    ACTIONS(13417), 1,
      sym_keyword_on,
    STATE(7919), 1,
      sym_index_hint,
    STATE(11799), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [460218] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2400), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [460238] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13209), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [460258] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7297), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [460288] = 4,
    ACTIONS(13419), 1,
      anon_sym_COMMA,
    STATE(7477), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12686), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [460312] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13317), 1,
      sym_keyword_using,
    ACTIONS(13422), 1,
      sym_keyword_on,
    STATE(7914), 1,
      sym_index_hint,
    STATE(11785), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [460348] = 12,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(13426), 1,
      sym_keyword_role,
    ACTIONS(13428), 1,
      sym_keyword_transaction,
    ACTIONS(13430), 1,
      sym_keyword_local,
    ACTIONS(13432), 1,
      sym_keyword_session,
    ACTIONS(13434), 1,
      sym_keyword_constraints,
    ACTIONS(13436), 1,
      sym_keyword_time,
    STATE(5700), 1,
      sym_identifier,
    STATE(11534), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13424), 2,
      sym_keyword_schema,
      sym_keyword_names,
  [460388] = 13,
    ACTIONS(11055), 1,
      sym_keyword_primary,
    ACTIONS(11071), 1,
      sym_keyword_check,
    ACTIONS(13289), 1,
      sym_keyword_key,
    ACTIONS(13291), 1,
      sym_keyword_constraint,
    ACTIONS(13293), 1,
      sym_keyword_index,
    ACTIONS(13295), 1,
      sym_keyword_unique,
    ACTIONS(13297), 1,
      sym_keyword_foreign,
    STATE(10109), 1,
      sym__constraint_literal,
    STATE(10110), 1,
      sym__key_constraint,
    STATE(11587), 1,
      sym_constraint,
    STATE(11844), 1,
      sym__primary_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10107), 2,
      sym__check_constraint,
      sym__primary_key_constraint,
  [460430] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7257), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [460460] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    STATE(7642), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9030), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [460484] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2392), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [460504] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    STATE(7658), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8992), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [460528] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13438), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [460548] = 13,
    ACTIONS(13440), 1,
      sym_keyword_increment,
    ACTIONS(13443), 1,
      sym_keyword_minvalue,
    ACTIONS(13446), 1,
      sym_keyword_maxvalue,
    ACTIONS(13449), 1,
      sym_keyword_owned,
    ACTIONS(13452), 1,
      sym_keyword_start,
    ACTIONS(13455), 1,
      sym_keyword_restart,
    ACTIONS(13458), 1,
      sym_keyword_as,
    ACTIONS(13461), 1,
      sym_keyword_no,
    ACTIONS(13464), 1,
      sym_keyword_cycle,
    ACTIONS(13467), 1,
      sym_keyword_cache,
    STATE(7486), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12980), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [460590] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    STATE(7661), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12758), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [460614] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13227), 1,
      sym_keyword_using,
    ACTIONS(13470), 1,
      sym_keyword_on,
    STATE(7916), 1,
      sym_index_hint,
    STATE(11793), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [460650] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12004), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_nulls,
      anon_sym_COMMA,
  [460670] = 6,
    ACTIONS(9177), 1,
      sym_keyword_order,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    STATE(7531), 1,
      sym_order_by,
    STATE(7858), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8992), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [460698] = 10,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13170), 1,
      sym_keyword_using,
    ACTIONS(13472), 1,
      sym_keyword_on,
    STATE(7937), 1,
      sym_index_hint,
    STATE(11853), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [460734] = 13,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(13325), 1,
      sym_keyword_on,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8072), 1,
      sym__if_not_exists,
    STATE(14226), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [460775] = 13,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(13474), 1,
      sym_keyword_on,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8073), 1,
      sym__if_not_exists,
    STATE(14252), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [460816] = 6,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9894), 1,
      sym_keyword_order,
    STATE(7484), 1,
      sym_order_by,
    STATE(7642), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9030), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [460843] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13319), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [460862] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13203), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [460881] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13271), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [460900] = 12,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(13476), 1,
      sym_keyword_collate,
    ACTIONS(13478), 1,
      sym_keyword_engine,
    ACTIONS(13480), 1,
      sym_keyword_default,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10534), 1,
      sym_table_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13258), 2,
      sym__literal_string,
      sym_identifier,
  [460939] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13333), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [460958] = 10,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(13482), 1,
      sym_keyword_only,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7558), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    STATE(10182), 2,
      sym__mysql_update_statement,
      sym__postgres_update_statement,
  [460993] = 6,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9894), 1,
      sym_keyword_order,
    STATE(7379), 1,
      sym_order_by,
    STATE(7658), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8992), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [461020] = 12,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(13476), 1,
      sym_keyword_collate,
    ACTIONS(13478), 1,
      sym_keyword_engine,
    ACTIONS(13480), 1,
      sym_keyword_default,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10590), 1,
      sym_table_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13258), 2,
      sym__literal_string,
      sym_identifier,
  [461059] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13205), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [461078] = 12,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(13476), 1,
      sym_keyword_collate,
    ACTIONS(13478), 1,
      sym_keyword_engine,
    ACTIONS(13480), 1,
      sym_keyword_default,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11572), 1,
      sym_table_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13258), 2,
      sym__literal_string,
      sym_identifier,
  [461117] = 6,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9894), 1,
      sym_keyword_order,
    STATE(7381), 1,
      sym_order_by,
    STATE(7733), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10951), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [461144] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13393), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [461163] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13209), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
  [461182] = 11,
    ACTIONS(465), 1,
      sym__identifier,
    ACTIONS(12543), 1,
      sym_keyword_password,
    ACTIONS(12545), 1,
      sym_keyword_encrypted,
    ACTIONS(12547), 1,
      sym_keyword_valid,
    ACTIONS(12549), 1,
      sym_keyword_connection,
    STATE(7273), 1,
      sym_identifier,
    STATE(7521), 1,
      aux_sym_alter_role_repeat1,
    STATE(7985), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(523), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13353), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [461219] = 10,
    ACTIONS(645), 1,
      sym__identifier,
    ACTIONS(13488), 1,
      sym_keyword_collate,
    ACTIONS(13490), 1,
      sym_keyword_nulls,
    STATE(8514), 1,
      sym__operator_class,
    STATE(8526), 1,
      sym_identifier,
    STATE(11038), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(703), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13486), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(13492), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [461254] = 4,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    STATE(7769), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12553), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [461277] = 6,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9894), 1,
      sym_keyword_order,
    STATE(7412), 1,
      sym_order_by,
    STATE(7650), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10953), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [461304] = 9,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(13498), 1,
      sym_keyword_only,
    STATE(5700), 1,
      sym_identifier,
    STATE(8258), 1,
      sym_object_reference,
    STATE(11181), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13496), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(13494), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [461337] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12686), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
  [461356] = 4,
    ACTIONS(13502), 1,
      anon_sym_COMMA,
    STATE(7601), 1,
      aux_sym__cte_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13500), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [461379] = 6,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9894), 1,
      sym_keyword_order,
    STATE(7487), 1,
      sym_order_by,
    STATE(7644), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12553), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [461406] = 13,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(1789), 1,
      anon_sym_RPAREN,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(144), 1,
      sym_identifier,
    STATE(10156), 1,
      sym_column_definition,
    STATE(10861), 1,
      sym__key_value_pair,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [461447] = 4,
    ACTIONS(13504), 1,
      sym_keyword_offset,
    STATE(7785), 1,
      sym_offset,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13345), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [461470] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13506), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [461489] = 6,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9894), 1,
      sym_keyword_order,
    STATE(7332), 1,
      sym_order_by,
    STATE(7661), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12758), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [461516] = 4,
    ACTIONS(13510), 1,
      sym_keyword_from,
    STATE(7634), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13508), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [461539] = 11,
    ACTIONS(465), 1,
      sym__identifier,
    ACTIONS(12543), 1,
      sym_keyword_password,
    ACTIONS(12545), 1,
      sym_keyword_encrypted,
    ACTIONS(12547), 1,
      sym_keyword_valid,
    ACTIONS(12549), 1,
      sym_keyword_connection,
    STATE(7273), 1,
      sym_identifier,
    STATE(7556), 1,
      aux_sym_alter_role_repeat1,
    STATE(7985), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(523), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13229), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [461576] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13285), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [461595] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12768), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
  [461614] = 6,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(9894), 1,
      sym_keyword_order,
    STATE(7340), 1,
      sym_order_by,
    STATE(7736), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13041), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [461641] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13269), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [461660] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13299), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [461679] = 4,
    ACTIONS(12918), 1,
      anon_sym_LBRACK,
    STATE(2670), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3481), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [461702] = 13,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(34), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7835), 1,
      sym__if_not_exists,
    STATE(8785), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [461743] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13512), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [461762] = 10,
    ACTIONS(645), 1,
      sym__identifier,
    ACTIONS(13514), 1,
      sym_keyword_collate,
    ACTIONS(13516), 1,
      sym_keyword_nulls,
    STATE(8526), 1,
      sym_identifier,
    STATE(8530), 1,
      sym__operator_class,
    STATE(11043), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(703), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13486), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(13518), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [461797] = 4,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    STATE(7857), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10951), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [461820] = 4,
    ACTIONS(13520), 1,
      anon_sym_COMMA,
    STATE(7571), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13357), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [461843] = 4,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    STATE(7758), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9030), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [461866] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13415), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [461885] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13391), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [461904] = 12,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(13476), 1,
      sym_keyword_collate,
    ACTIONS(13478), 1,
      sym_keyword_engine,
    ACTIONS(13480), 1,
      sym_keyword_default,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11457), 1,
      sym_table_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13258), 2,
      sym__literal_string,
      sym_identifier,
  [461943] = 4,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    STATE(7887), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13041), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [461966] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12697), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
  [461985] = 10,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(13522), 1,
      sym_keyword_table,
    ACTIONS(13526), 1,
      sym_keyword_only,
    STATE(7034), 1,
      sym_identifier,
    STATE(8368), 1,
      sym_object_reference,
    STATE(11760), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13156), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(13524), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [462020] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12637), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
  [462039] = 4,
    ACTIONS(13528), 1,
      anon_sym_COMMA,
    STATE(7565), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13355), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [462062] = 13,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    ACTIONS(13530), 1,
      sym_keyword_values,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(13234), 1,
      sym_values,
    STATE(13668), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [462103] = 4,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    STATE(7880), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10953), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [462126] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13207), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [462145] = 10,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    ACTIONS(13532), 1,
      sym_keyword_only,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7557), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    STATE(10538), 2,
      sym__mysql_update_statement,
      sym__postgres_update_statement,
  [462180] = 13,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(1781), 1,
      anon_sym_RPAREN,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(141), 1,
      sym_identifier,
    STATE(10166), 1,
      sym_column_definition,
    STATE(10764), 1,
      sym__key_value_pair,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [462221] = 11,
    ACTIONS(465), 1,
      sym__identifier,
    ACTIONS(12543), 1,
      sym_keyword_password,
    ACTIONS(12545), 1,
      sym_keyword_encrypted,
    ACTIONS(12547), 1,
      sym_keyword_valid,
    ACTIONS(12549), 1,
      sym_keyword_connection,
    STATE(7273), 1,
      sym_identifier,
    STATE(7556), 1,
      aux_sym_alter_role_repeat1,
    STATE(7985), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(523), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13365), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [462258] = 10,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10975), 1,
      sym_keyword_order,
    ACTIONS(10977), 1,
      sym_keyword_group,
    STATE(7589), 1,
      sym_order_by,
    STATE(7769), 1,
      sym_limit,
    STATE(7903), 1,
      sym_group_by,
    STATE(8171), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12553), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [462293] = 10,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(12389), 1,
      sym_keyword_set,
    ACTIONS(13536), 1,
      sym_keyword_inner,
    ACTIONS(13538), 1,
      sym_keyword_join,
    ACTIONS(13540), 1,
      sym_keyword_natural,
    STATE(7595), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(8685), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7867), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13534), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [462328] = 4,
    ACTIONS(13542), 1,
      anon_sym_COMMA,
    STATE(7550), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12686), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
  [462351] = 13,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    ACTIONS(13343), 1,
      sym_keyword_if,
    STATE(34), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7865), 1,
      sym__if_exists,
    STATE(8887), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [462392] = 13,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(34), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7866), 1,
      sym__if_not_exists,
    STATE(8554), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [462433] = 13,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    ACTIONS(13530), 1,
      sym_keyword_values,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(14022), 1,
      sym_values,
    STATE(14591), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [462474] = 4,
    ACTIONS(13545), 1,
      anon_sym_COMMA,
    STATE(7586), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13371), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
  [462497] = 12,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(13476), 1,
      sym_keyword_collate,
    ACTIONS(13478), 1,
      sym_keyword_engine,
    ACTIONS(13480), 1,
      sym_keyword_default,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10699), 1,
      sym_table_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13258), 2,
      sym__literal_string,
      sym_identifier,
  [462536] = 11,
    ACTIONS(13547), 1,
      sym__identifier,
    ACTIONS(13550), 1,
      sym_keyword_password,
    ACTIONS(13553), 1,
      sym_keyword_encrypted,
    ACTIONS(13556), 1,
      sym_keyword_valid,
    ACTIONS(13559), 1,
      sym_keyword_connection,
    STATE(7273), 1,
      sym_identifier,
    STATE(7556), 1,
      aux_sym_alter_role_repeat1,
    STATE(7985), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13245), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(13562), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [462573] = 10,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(12401), 1,
      sym_keyword_set,
    ACTIONS(13536), 1,
      sym_keyword_inner,
    ACTIONS(13538), 1,
      sym_keyword_join,
    ACTIONS(13540), 1,
      sym_keyword_natural,
    STATE(7572), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(8424), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7877), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13534), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [462608] = 10,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(12471), 1,
      sym_keyword_set,
    ACTIONS(13536), 1,
      sym_keyword_inner,
    ACTIONS(13538), 1,
      sym_keyword_join,
    ACTIONS(13540), 1,
      sym_keyword_natural,
    STATE(7593), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(8492), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7786), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13534), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [462643] = 13,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(13383), 1,
      sym_keyword_on,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8050), 1,
      sym__if_not_exists,
    STATE(13511), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [462684] = 4,
    ACTIONS(13565), 1,
      anon_sym_COMMA,
    STATE(7560), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13209), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [462707] = 13,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(1787), 1,
      anon_sym_RPAREN,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(148), 1,
      sym_identifier,
    STATE(10166), 1,
      sym_column_definition,
    STATE(10906), 1,
      sym__key_value_pair,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [462748] = 13,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(13568), 1,
      sym_keyword_on,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8065), 1,
      sym__if_not_exists,
    STATE(13873), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [462789] = 11,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(13572), 1,
      sym_keyword_role,
    ACTIONS(13574), 1,
      sym_keyword_authorization,
    ACTIONS(13576), 1,
      sym_keyword_session,
    ACTIONS(13578), 1,
      sym_keyword_characteristics,
    ACTIONS(13580), 1,
      sym_keyword_time,
    STATE(5700), 1,
      sym_identifier,
    STATE(11669), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13570), 2,
      sym_keyword_schema,
      sym_keyword_names,
  [462826] = 10,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10975), 1,
      sym_keyword_order,
    ACTIONS(10977), 1,
      sym_keyword_group,
    STATE(7585), 1,
      sym_order_by,
    STATE(7758), 1,
      sym_limit,
    STATE(7885), 1,
      sym_group_by,
    STATE(8163), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9030), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [462861] = 4,
    ACTIONS(13528), 1,
      anon_sym_COMMA,
    STATE(7560), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13275), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [462884] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13349), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [462903] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13387), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [462922] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12768), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
  [462941] = 13,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(13221), 1,
      sym_keyword_on,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7932), 1,
      sym__if_not_exists,
    STATE(14134), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [462982] = 13,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(1795), 1,
      anon_sym_RPAREN,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(146), 1,
      sym_identifier,
    STATE(10388), 1,
      sym_column_definition,
    STATE(11227), 1,
      sym__key_value_pair,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [463023] = 4,
    ACTIONS(13582), 1,
      anon_sym_COMMA,
    STATE(7571), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12686), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [463046] = 10,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(12401), 1,
      sym_keyword_set,
    ACTIONS(13536), 1,
      sym_keyword_inner,
    ACTIONS(13538), 1,
      sym_keyword_join,
    ACTIONS(13540), 1,
      sym_keyword_natural,
    STATE(6570), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(9397), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7746), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13534), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [463081] = 10,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10975), 1,
      sym_keyword_order,
    ACTIONS(10977), 1,
      sym_keyword_group,
    STATE(7531), 1,
      sym_order_by,
    STATE(7858), 1,
      sym_limit,
    STATE(7889), 1,
      sym_group_by,
    STATE(8165), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8992), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [463116] = 13,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    ACTIONS(13585), 1,
      anon_sym_RPAREN,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(145), 1,
      sym_identifier,
    STATE(10388), 1,
      sym_column_definition,
    STATE(11288), 1,
      sym__key_value_pair,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [463157] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13438), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [463176] = 13,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(1791), 1,
      anon_sym_RPAREN,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(142), 1,
      sym_identifier,
    STATE(10156), 1,
      sym_column_definition,
    STATE(10830), 1,
      sym__key_value_pair,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [463217] = 13,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(1797), 1,
      anon_sym_RPAREN,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(147), 1,
      sym_identifier,
    STATE(10388), 1,
      sym_column_definition,
    STATE(10915), 1,
      sym__key_value_pair,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [463258] = 4,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    STATE(7870), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13172), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [463281] = 10,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10975), 1,
      sym_keyword_order,
    ACTIONS(10977), 1,
      sym_keyword_group,
    STATE(7543), 1,
      sym_order_by,
    STATE(7857), 1,
      sym_limit,
    STATE(7893), 1,
      sym_group_by,
    STATE(8168), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10951), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [463316] = 13,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    ACTIONS(13343), 1,
      sym_keyword_if,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7815), 1,
      sym__if_exists,
    STATE(8309), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [463357] = 10,
    ACTIONS(645), 1,
      sym__identifier,
    ACTIONS(13587), 1,
      sym_keyword_collate,
    ACTIONS(13589), 1,
      sym_keyword_nulls,
    STATE(8526), 1,
      sym_identifier,
    STATE(8845), 1,
      sym__operator_class,
    STATE(11015), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(703), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13486), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(13591), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [463392] = 13,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(13593), 1,
      sym_keyword_on,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8053), 1,
      sym__if_not_exists,
    STATE(13552), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [463433] = 4,
    ACTIONS(13502), 1,
      anon_sym_COMMA,
    STATE(7514), 1,
      aux_sym__cte_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13595), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [463456] = 4,
    ACTIONS(13502), 1,
      anon_sym_COMMA,
    STATE(7601), 1,
      aux_sym__cte_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13597), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [463479] = 4,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    STATE(7858), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8992), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [463502] = 4,
    ACTIONS(13545), 1,
      anon_sym_COMMA,
    STATE(7550), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13357), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
  [463525] = 13,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    ACTIONS(13599), 1,
      anon_sym_RPAREN,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(140), 1,
      sym_identifier,
    STATE(10166), 1,
      sym_column_definition,
    STATE(10478), 1,
      sym__key_value_pair,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [463566] = 6,
    ACTIONS(7287), 1,
      sym_keyword_having,
    ACTIONS(7289), 1,
      anon_sym_COMMA,
    STATE(7274), 1,
      aux_sym_array_repeat1,
    STATE(7310), 1,
      sym__having,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12651), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [463593] = 4,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    STATE(7802), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12758), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [463616] = 13,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7773), 1,
      sym__if_not_exists,
    STATE(8338), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [463657] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13287), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [463676] = 11,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(13603), 1,
      sym_keyword_role,
    ACTIONS(13605), 1,
      sym_keyword_authorization,
    ACTIONS(13607), 1,
      sym_keyword_session,
    ACTIONS(13609), 1,
      sym_keyword_characteristics,
    ACTIONS(13611), 1,
      sym_keyword_time,
    STATE(5700), 1,
      sym_identifier,
    STATE(12229), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13601), 2,
      sym_keyword_schema,
      sym_keyword_names,
  [463713] = 10,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(12471), 1,
      sym_keyword_set,
    ACTIONS(13536), 1,
      sym_keyword_inner,
    ACTIONS(13538), 1,
      sym_keyword_join,
    ACTIONS(13540), 1,
      sym_keyword_natural,
    STATE(6570), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(9037), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7806), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13534), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [463748] = 10,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    ACTIONS(13613), 1,
      sym_keyword_only,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7549), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    STATE(10182), 2,
      sym__mysql_update_statement,
      sym__postgres_update_statement,
  [463783] = 10,
    ACTIONS(9018), 1,
      anon_sym_COMMA,
    ACTIONS(12389), 1,
      sym_keyword_set,
    ACTIONS(13536), 1,
      sym_keyword_inner,
    ACTIONS(13538), 1,
      sym_keyword_join,
    ACTIONS(13540), 1,
      sym_keyword_natural,
    STATE(6570), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(9921), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7779), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13534), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [463818] = 10,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10975), 1,
      sym_keyword_order,
    ACTIONS(10977), 1,
      sym_keyword_group,
    STATE(7510), 1,
      sym_order_by,
    STATE(7880), 1,
      sym_limit,
    STATE(7898), 1,
      sym_group_by,
    STATE(8169), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10953), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [463853] = 4,
    ACTIONS(13520), 1,
      anon_sym_COMMA,
    STATE(7532), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13371), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [463876] = 4,
    ACTIONS(13502), 1,
      anon_sym_COMMA,
    STATE(7584), 1,
      aux_sym__cte_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13500), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [463899] = 13,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10795), 1,
      sym_keyword_if,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7816), 1,
      sym__if_not_exists,
    STATE(8313), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [463940] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13397), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [463959] = 4,
    ACTIONS(13617), 1,
      anon_sym_COMMA,
    STATE(7601), 1,
      aux_sym__cte_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13615), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [463982] = 13,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    ACTIONS(13620), 1,
      anon_sym_RPAREN,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(143), 1,
      sym_identifier,
    STATE(10156), 1,
      sym_column_definition,
    STATE(10795), 1,
      sym__key_value_pair,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464023] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13512), 11,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [464041] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13622), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [464059] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13626), 1,
      sym_keyword_show,
    ACTIONS(13628), 1,
      anon_sym_LPAREN,
    STATE(7849), 1,
      sym_select,
    STATE(8045), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8334), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(9512), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464097] = 9,
    ACTIONS(645), 1,
      sym__identifier,
    ACTIONS(13630), 1,
      sym_keyword_nulls,
    STATE(8526), 1,
      sym_identifier,
    STATE(8775), 1,
      sym__operator_class,
    STATE(10893), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(703), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13486), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(13632), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [464129] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13506), 11,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [464147] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13626), 1,
      sym_keyword_show,
    ACTIONS(13628), 1,
      anon_sym_LPAREN,
    STATE(7849), 1,
      sym_select,
    STATE(8045), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8334), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(9216), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464185] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13634), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [464203] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13636), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [464221] = 8,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(7808), 1,
      sym_keyword_as,
    STATE(6406), 1,
      sym_identifier,
    STATE(7147), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(5976), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5978), 3,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_separator,
  [464251] = 6,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(10112), 1,
      sym_keyword_order,
    STATE(7585), 1,
      sym_order_by,
    STATE(7758), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9030), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [464277] = 6,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(10112), 1,
      sym_keyword_order,
    STATE(7531), 1,
      sym_order_by,
    STATE(7858), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8992), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [464303] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13626), 1,
      sym_keyword_show,
    ACTIONS(13628), 1,
      anon_sym_LPAREN,
    STATE(7849), 1,
      sym_select,
    STATE(8045), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8334), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(9267), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464341] = 6,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(10112), 1,
      sym_keyword_order,
    STATE(7543), 1,
      sym_order_by,
    STATE(7857), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10951), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [464367] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13626), 1,
      sym_keyword_show,
    ACTIONS(13628), 1,
      anon_sym_LPAREN,
    STATE(7849), 1,
      sym_select,
    STATE(8045), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8334), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(9041), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464405] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13638), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [464423] = 6,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(10112), 1,
      sym_keyword_order,
    STATE(7510), 1,
      sym_order_by,
    STATE(7880), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10953), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [464449] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13640), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [464467] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13642), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [464485] = 6,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(10112), 1,
      sym_keyword_order,
    STATE(7589), 1,
      sym_order_by,
    STATE(7769), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12553), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [464511] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13644), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [464529] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13646), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [464547] = 6,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(10112), 1,
      sym_keyword_order,
    STATE(7537), 1,
      sym_order_by,
    STATE(7802), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12758), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [464573] = 5,
    ACTIONS(111), 1,
      anon_sym_LPAREN,
    ACTIONS(115), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1703), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1687), 5,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_collate,
      sym_keyword_nulls,
      sym__identifier,
  [464597] = 6,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(10112), 1,
      sym_keyword_order,
    STATE(7578), 1,
      sym_order_by,
    STATE(7887), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13041), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [464623] = 8,
    ACTIONS(53), 1,
      sym__identifier,
    STATE(5700), 1,
      sym_identifier,
    STATE(8183), 1,
      sym_object_reference,
    STATE(10984), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13650), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(13648), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [464653] = 8,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(10763), 1,
      sym_keyword_window,
    STATE(7484), 1,
      sym_order_by,
    STATE(7642), 1,
      sym_limit,
    STATE(7994), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9030), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [464683] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13652), 1,
      sym_keyword_select,
    ACTIONS(13654), 1,
      sym_keyword_show,
    ACTIONS(13656), 1,
      anon_sym_LPAREN,
    STATE(8058), 1,
      sym_select,
    STATE(8229), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8331), 1,
      sym__cte,
    STATE(10200), 1,
      sym__dml_read,
    STATE(10283), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464721] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(1380), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1382), 5,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_collate,
      sym_keyword_nulls,
      sym__identifier,
  [464743] = 9,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(13660), 1,
      sym_keyword_create,
    ACTIONS(13662), 1,
      sym_keyword_with,
    STATE(7856), 1,
      aux_sym_create_database_repeat1,
    STATE(8270), 1,
      sym_identifier,
    STATE(8433), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13658), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [464775] = 9,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(13666), 1,
      sym_keyword_only,
    STATE(7034), 1,
      sym_identifier,
    STATE(8403), 1,
      sym_object_reference,
    STATE(11804), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13494), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(13664), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [464807] = 8,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7558), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    STATE(10282), 2,
      sym__mysql_update_statement,
      sym__postgres_update_statement,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [464837] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13668), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [464855] = 8,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(13672), 1,
      sym_keyword_ignore,
    STATE(5700), 1,
      sym_identifier,
    STATE(6965), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13670), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
    ACTIONS(13674), 3,
      sym_keyword_high_priority,
      sym_keyword_low_priority,
      sym_keyword_delayed,
  [464885] = 9,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(13678), 1,
      sym_keyword_create,
    ACTIONS(13680), 1,
      sym_keyword_with,
    STATE(7761), 1,
      aux_sym_create_database_repeat1,
    STATE(8270), 1,
      sym_identifier,
    STATE(8433), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13676), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [464917] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13682), 1,
      sym_keyword_values,
    ACTIONS(13684), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8440), 1,
      sym__cte,
    STATE(8719), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464955] = 5,
    ACTIONS(13688), 1,
      sym_keyword_union,
    STATE(7709), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13690), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13686), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [464979] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13626), 1,
      sym_keyword_show,
    ACTIONS(13628), 1,
      anon_sym_LPAREN,
    STATE(7849), 1,
      sym_select,
    STATE(8045), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8334), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(9153), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465017] = 8,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(10763), 1,
      sym_keyword_window,
    STATE(7379), 1,
      sym_order_by,
    STATE(7658), 1,
      sym_limit,
    STATE(7997), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8992), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [465047] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13692), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [465065] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8992), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [465083] = 4,
    ACTIONS(13694), 1,
      anon_sym_COMMA,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11854), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_or,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_immediate,
      sym_keyword_deferred,
      anon_sym_RPAREN,
  [465105] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12758), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [465123] = 10,
    ACTIONS(13699), 1,
      sym_keyword_table,
    ACTIONS(13701), 1,
      sym_keyword_view,
    ACTIONS(13703), 1,
      sym_keyword_sequence,
    ACTIONS(13705), 1,
      sym_keyword_index,
    ACTIONS(13707), 1,
      sym_keyword_type,
    ACTIONS(13709), 1,
      sym_keyword_database,
    ACTIONS(13711), 1,
      sym_keyword_schema,
    ACTIONS(13713), 1,
      sym_keyword_extension,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13697), 3,
      sym_keyword_group,
      sym_keyword_user,
      sym_keyword_role,
  [465157] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13715), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [465175] = 8,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7557), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    STATE(10600), 2,
      sym__mysql_update_statement,
      sym__postgres_update_statement,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [465205] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13717), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [465223] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13684), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8440), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(10213), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465261] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12553), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [465279] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13626), 1,
      sym_keyword_show,
    ACTIONS(13628), 1,
      anon_sym_LPAREN,
    STATE(7849), 1,
      sym_select,
    STATE(8045), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8334), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(8971), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465317] = 8,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(10763), 1,
      sym_keyword_window,
    STATE(7381), 1,
      sym_order_by,
    STATE(7733), 1,
      sym_limit,
    STATE(8007), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10951), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [465347] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13719), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [465365] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(1485), 1,
      sym_keyword_show,
    ACTIONS(13721), 1,
      sym_keyword_values,
    ACTIONS(13723), 1,
      anon_sym_LPAREN,
    STATE(7715), 1,
      sym_select,
    STATE(7842), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8339), 1,
      sym__cte,
    STATE(9394), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465403] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13725), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [465421] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13727), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [465439] = 4,
    ACTIONS(13729), 1,
      anon_sym_COMMA,
    STATE(7713), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13355), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [465461] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10951), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [465479] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13731), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [465497] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13733), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [465515] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13041), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [465533] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    ACTIONS(13682), 1,
      sym_keyword_values,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(8719), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465571] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13735), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [465589] = 10,
    ACTIONS(13739), 1,
      sym_keyword_table,
    ACTIONS(13741), 1,
      sym_keyword_view,
    ACTIONS(13743), 1,
      sym_keyword_sequence,
    ACTIONS(13745), 1,
      sym_keyword_index,
    ACTIONS(13747), 1,
      sym_keyword_type,
    ACTIONS(13749), 1,
      sym_keyword_database,
    ACTIONS(13751), 1,
      sym_keyword_schema,
    ACTIONS(13753), 1,
      sym_keyword_extension,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13737), 3,
      sym_keyword_group,
      sym_keyword_user,
      sym_keyword_role,
  [465623] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(1485), 1,
      sym_keyword_show,
    ACTIONS(13723), 1,
      anon_sym_LPAREN,
    STATE(7715), 1,
      sym_select,
    STATE(7842), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8339), 1,
      sym__cte,
    STATE(10200), 1,
      sym__dml_read,
    STATE(10899), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465661] = 8,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(13757), 1,
      sym_keyword_ignore,
    STATE(5700), 1,
      sym_identifier,
    STATE(6955), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13755), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
    ACTIONS(13759), 3,
      sym_keyword_high_priority,
      sym_keyword_low_priority,
      sym_keyword_delayed,
  [465691] = 8,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7549), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    STATE(10282), 2,
      sym__mysql_update_statement,
      sym__postgres_update_statement,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [465721] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13761), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [465739] = 5,
    ACTIONS(13765), 1,
      sym_keyword_union,
    STATE(7669), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13768), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13763), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [465763] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13652), 1,
      sym_keyword_select,
    ACTIONS(13654), 1,
      sym_keyword_show,
    ACTIONS(13656), 1,
      anon_sym_LPAREN,
    STATE(8058), 1,
      sym_select,
    STATE(8229), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8331), 1,
      sym__cte,
    STATE(10200), 1,
      sym__dml_read,
    STATE(10210), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465801] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(10213), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465839] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13652), 1,
      sym_keyword_select,
    ACTIONS(13654), 1,
      sym_keyword_show,
    ACTIONS(13656), 1,
      anon_sym_LPAREN,
    STATE(8058), 1,
      sym_select,
    STATE(8229), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8331), 1,
      sym__cte,
    STATE(10018), 1,
      sym_create_query,
    STATE(10200), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465877] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13771), 1,
      sym_keyword_show,
    ACTIONS(13773), 1,
      anon_sym_LPAREN,
    STATE(7849), 1,
      sym_select,
    STATE(8045), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8349), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(8935), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465915] = 5,
    ACTIONS(13688), 1,
      sym_keyword_union,
    STATE(7709), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13690), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13775), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [465939] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13777), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [465957] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13779), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [465975] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13781), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [465993] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13783), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [466011] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13785), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [466029] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13626), 1,
      sym_keyword_show,
    ACTIONS(13628), 1,
      anon_sym_LPAREN,
    STATE(7849), 1,
      sym_select,
    STATE(8045), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8334), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(9091), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466067] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13771), 1,
      sym_keyword_show,
    ACTIONS(13773), 1,
      anon_sym_LPAREN,
    STATE(7849), 1,
      sym_select,
    STATE(8045), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8349), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(9282), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466105] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13771), 1,
      sym_keyword_show,
    ACTIONS(13773), 1,
      anon_sym_LPAREN,
    STATE(7849), 1,
      sym_select,
    STATE(8045), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8349), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(9285), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466143] = 9,
    ACTIONS(645), 1,
      sym__identifier,
    ACTIONS(13787), 1,
      sym_keyword_nulls,
    STATE(8526), 1,
      sym_identifier,
    STATE(8862), 1,
      sym__operator_class,
    STATE(11026), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(703), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13486), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(13789), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [466175] = 6,
    ACTIONS(8022), 1,
      sym_keyword_having,
    ACTIONS(8038), 1,
      anon_sym_COMMA,
    STATE(7407), 1,
      sym__having,
    STATE(7744), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12651), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [466201] = 9,
    ACTIONS(645), 1,
      sym__identifier,
    ACTIONS(13791), 1,
      sym_keyword_nulls,
    STATE(8526), 1,
      sym_identifier,
    STATE(8866), 1,
      sym__operator_class,
    STATE(11323), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(703), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13486), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(13793), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [466233] = 8,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(10763), 1,
      sym_keyword_window,
    STATE(7412), 1,
      sym_order_by,
    STATE(7650), 1,
      sym_limit,
    STATE(8015), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10953), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [466263] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(10261), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466301] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13771), 1,
      sym_keyword_show,
    ACTIONS(13773), 1,
      anon_sym_LPAREN,
    STATE(7849), 1,
      sym_select,
    STATE(8045), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8349), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(9511), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466339] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13771), 1,
      sym_keyword_show,
    ACTIONS(13773), 1,
      anon_sym_LPAREN,
    STATE(7849), 1,
      sym_select,
    STATE(8045), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8349), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(9512), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466377] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13795), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [466395] = 4,
    ACTIONS(13797), 1,
      anon_sym_COMMA,
    STATE(7692), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13371), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [466417] = 4,
    ACTIONS(13797), 1,
      anon_sym_COMMA,
    STATE(7723), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13357), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [466439] = 8,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(13801), 1,
      sym_keyword_ignore,
    STATE(5700), 1,
      sym_identifier,
    STATE(6954), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13799), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
    ACTIONS(13803), 3,
      sym_keyword_high_priority,
      sym_keyword_low_priority,
      sym_keyword_delayed,
  [466469] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13771), 1,
      sym_keyword_show,
    ACTIONS(13773), 1,
      anon_sym_LPAREN,
    STATE(7849), 1,
      sym_select,
    STATE(8045), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8349), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(8971), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466507] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(9740), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466545] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13771), 1,
      sym_keyword_show,
    ACTIONS(13773), 1,
      anon_sym_LPAREN,
    STATE(7849), 1,
      sym_select,
    STATE(8045), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8349), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(9041), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466583] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13684), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8440), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(9740), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466621] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13652), 1,
      sym_keyword_select,
    ACTIONS(13654), 1,
      sym_keyword_show,
    ACTIONS(13656), 1,
      anon_sym_LPAREN,
    STATE(8058), 1,
      sym_select,
    STATE(8229), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8331), 1,
      sym__cte,
    STATE(9932), 1,
      sym_create_query,
    STATE(10200), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466659] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13626), 1,
      sym_keyword_show,
    ACTIONS(13628), 1,
      anon_sym_LPAREN,
    STATE(7849), 1,
      sym_select,
    STATE(8045), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8334), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(8935), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466697] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13684), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8440), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(10261), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466735] = 8,
    ACTIONS(53), 1,
      sym__identifier,
    STATE(5700), 1,
      sym_identifier,
    STATE(8258), 1,
      sym_object_reference,
    STATE(11181), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13496), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(13494), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [466765] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13771), 1,
      sym_keyword_show,
    ACTIONS(13773), 1,
      anon_sym_LPAREN,
    STATE(7849), 1,
      sym_select,
    STATE(8045), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8349), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(9091), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466803] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13805), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [466821] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(1485), 1,
      sym_keyword_show,
    ACTIONS(13723), 1,
      anon_sym_LPAREN,
    STATE(7715), 1,
      sym_select,
    STATE(7842), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8339), 1,
      sym__cte,
    STATE(10200), 1,
      sym__dml_read,
    STATE(11055), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466859] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13652), 1,
      sym_keyword_select,
    ACTIONS(13654), 1,
      sym_keyword_show,
    ACTIONS(13656), 1,
      anon_sym_LPAREN,
    STATE(8058), 1,
      sym_select,
    STATE(8229), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8331), 1,
      sym__cte,
    STATE(10200), 1,
      sym__dml_read,
    STATE(10289), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466897] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13652), 1,
      sym_keyword_select,
    ACTIONS(13654), 1,
      sym_keyword_show,
    ACTIONS(13656), 1,
      anon_sym_LPAREN,
    STATE(8058), 1,
      sym_select,
    STATE(8229), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8331), 1,
      sym__cte,
    STATE(10200), 1,
      sym__dml_read,
    STATE(10290), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466935] = 5,
    ACTIONS(13688), 1,
      sym_keyword_union,
    STATE(7709), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13690), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13807), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [466959] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13615), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [466977] = 5,
    ACTIONS(13688), 1,
      sym_keyword_union,
    STATE(7669), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13690), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13809), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [467001] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9030), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [467019] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13771), 1,
      sym_keyword_show,
    ACTIONS(13773), 1,
      anon_sym_LPAREN,
    STATE(7849), 1,
      sym_select,
    STATE(8045), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8349), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(9153), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467057] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13652), 1,
      sym_keyword_select,
    ACTIONS(13654), 1,
      sym_keyword_show,
    ACTIONS(13656), 1,
      anon_sym_LPAREN,
    STATE(8058), 1,
      sym_select,
    STATE(8229), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8331), 1,
      sym__cte,
    STATE(9808), 1,
      sym_create_query,
    STATE(10200), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467095] = 4,
    ACTIONS(13729), 1,
      anon_sym_COMMA,
    STATE(7725), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13275), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [467117] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13771), 1,
      sym_keyword_show,
    ACTIONS(13773), 1,
      anon_sym_LPAREN,
    STATE(7849), 1,
      sym_select,
    STATE(8045), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8349), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(9216), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467155] = 4,
    ACTIONS(13811), 1,
      sym_keyword_from,
    STATE(7809), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13508), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [467177] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13771), 1,
      sym_keyword_show,
    ACTIONS(13773), 1,
      anon_sym_LPAREN,
    STATE(7849), 1,
      sym_select,
    STATE(8045), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8349), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(9252), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467215] = 8,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(10763), 1,
      sym_keyword_window,
    STATE(7487), 1,
      sym_order_by,
    STATE(7644), 1,
      sym_limit,
    STATE(8023), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12553), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [467245] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13626), 1,
      sym_keyword_show,
    ACTIONS(13628), 1,
      anon_sym_LPAREN,
    STATE(7849), 1,
      sym_select,
    STATE(8045), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8334), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(9252), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467283] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13771), 1,
      sym_keyword_show,
    ACTIONS(13773), 1,
      anon_sym_LPAREN,
    STATE(7849), 1,
      sym_select,
    STATE(8045), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8349), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(9267), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467321] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(1485), 1,
      sym_keyword_show,
    ACTIONS(13723), 1,
      anon_sym_LPAREN,
    STATE(7715), 1,
      sym_select,
    STATE(7842), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8339), 1,
      sym__cte,
    STATE(10200), 1,
      sym__dml_read,
    STATE(11182), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467359] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13652), 1,
      sym_keyword_select,
    ACTIONS(13654), 1,
      sym_keyword_show,
    ACTIONS(13656), 1,
      anon_sym_LPAREN,
    STATE(8058), 1,
      sym_select,
    STATE(8229), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8331), 1,
      sym__cte,
    STATE(10200), 1,
      sym__dml_read,
    STATE(10343), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467397] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13652), 1,
      sym_keyword_select,
    ACTIONS(13654), 1,
      sym_keyword_show,
    ACTIONS(13656), 1,
      anon_sym_LPAREN,
    STATE(8058), 1,
      sym_select,
    STATE(8229), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8331), 1,
      sym__cte,
    STATE(10200), 1,
      sym__dml_read,
    STATE(10344), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467435] = 4,
    ACTIONS(13813), 1,
      anon_sym_COMMA,
    STATE(7723), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12686), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [467457] = 7,
    ACTIONS(13816), 1,
      sym_keyword_array,
    ACTIONS(13818), 1,
      anon_sym_LBRACK,
    STATE(3284), 1,
      sym_array_size_definition,
    STATE(3285), 1,
      sym__array_size_definition,
    STATE(7955), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2825), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_COMMA,
  [467485] = 4,
    ACTIONS(13820), 1,
      anon_sym_COMMA,
    STATE(7725), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13209), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [467507] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13823), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [467525] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13652), 1,
      sym_keyword_select,
    ACTIONS(13654), 1,
      sym_keyword_show,
    ACTIONS(13656), 1,
      anon_sym_LPAREN,
    STATE(8058), 1,
      sym_select,
    STATE(8229), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8331), 1,
      sym__cte,
    STATE(10200), 1,
      sym__dml_read,
    STATE(10409), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467563] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(1485), 1,
      sym_keyword_show,
    ACTIONS(13723), 1,
      anon_sym_LPAREN,
    STATE(7715), 1,
      sym_select,
    STATE(7842), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8339), 1,
      sym__cte,
    STATE(10200), 1,
      sym__dml_read,
    STATE(11333), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467601] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13626), 1,
      sym_keyword_show,
    ACTIONS(13628), 1,
      anon_sym_LPAREN,
    STATE(7849), 1,
      sym_select,
    STATE(8045), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8334), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(9511), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467639] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13684), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8440), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(10011), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467677] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13652), 1,
      sym_keyword_select,
    ACTIONS(13654), 1,
      sym_keyword_show,
    ACTIONS(13656), 1,
      anon_sym_LPAREN,
    STATE(8058), 1,
      sym_select,
    STATE(8229), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8331), 1,
      sym__cte,
    STATE(10200), 1,
      sym__dml_read,
    STATE(10435), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467715] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13825), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [467733] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10953), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [467751] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13827), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [467769] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13829), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [467787] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13172), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [467805] = 7,
    ACTIONS(13816), 1,
      sym_keyword_array,
    ACTIONS(13818), 1,
      anon_sym_LBRACK,
    STATE(3285), 1,
      sym__array_size_definition,
    STATE(3292), 1,
      sym_array_size_definition,
    STATE(7955), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2831), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_COMMA,
  [467833] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13626), 1,
      sym_keyword_show,
    ACTIONS(13628), 1,
      anon_sym_LPAREN,
    STATE(7849), 1,
      sym_select,
    STATE(8045), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8334), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(9282), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467871] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13626), 1,
      sym_keyword_show,
    ACTIONS(13628), 1,
      anon_sym_LPAREN,
    STATE(7849), 1,
      sym_select,
    STATE(8045), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8334), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(9285), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467909] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13652), 1,
      sym_keyword_select,
    ACTIONS(13654), 1,
      sym_keyword_show,
    ACTIONS(13656), 1,
      anon_sym_LPAREN,
    STATE(8058), 1,
      sym_select,
    STATE(8229), 1,
      sym__select_statement,
    STATE(8299), 1,
      sym__show_statement,
    STATE(8300), 1,
      sym_set_operation,
    STATE(8331), 1,
      sym__cte,
    STATE(9721), 1,
      sym_create_query,
    STATE(10200), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467947] = 8,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(10763), 1,
      sym_keyword_window,
    STATE(7332), 1,
      sym_order_by,
    STATE(7661), 1,
      sym_limit,
    STATE(8029), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12758), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [467977] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(8904), 1,
      sym__dml_read,
    STATE(10011), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468015] = 9,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    ACTIONS(13831), 1,
      sym_keyword_lateral,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7466), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
  [468046] = 4,
    ACTIONS(13833), 1,
      anon_sym_COMMA,
    STATE(7744), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6701), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [468067] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(14178), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468102] = 8,
    ACTIONS(12401), 1,
      sym_keyword_set,
    ACTIONS(13536), 1,
      sym_keyword_inner,
    ACTIONS(13538), 1,
      sym_keyword_join,
    ACTIONS(13540), 1,
      sym_keyword_natural,
    STATE(9469), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8008), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13534), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [468131] = 9,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    ACTIONS(13836), 1,
      sym_keyword_lateral,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(6750), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
  [468162] = 8,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(13660), 1,
      sym_keyword_create,
    STATE(7829), 1,
      aux_sym_create_database_repeat1,
    STATE(8270), 1,
      sym_identifier,
    STATE(8433), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13658), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [468191] = 9,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    ACTIONS(13838), 1,
      sym_keyword_lateral,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7377), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
  [468222] = 11,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8309), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468257] = 9,
    ACTIONS(13842), 1,
      sym_keyword_table,
    ACTIONS(13844), 1,
      sym_keyword_view,
    ACTIONS(13846), 1,
      sym_keyword_sequence,
    ACTIONS(13848), 1,
      sym_keyword_index,
    ACTIONS(13850), 1,
      sym_keyword_type,
    ACTIONS(13852), 1,
      sym_keyword_database,
    ACTIONS(13854), 1,
      sym_keyword_schema,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13840), 3,
      sym_keyword_group,
      sym_keyword_user,
      sym_keyword_role,
  [468288] = 8,
    ACTIONS(283), 1,
      sym__identifier,
    STATE(7034), 1,
      sym_identifier,
    STATE(8403), 1,
      sym_object_reference,
    STATE(11804), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13494), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(13664), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [468317] = 11,
    ACTIONS(13856), 1,
      sym_keyword_view,
    ACTIONS(13858), 1,
      sym_keyword_materialized,
    ACTIONS(13860), 1,
      sym_keyword_constraint,
    ACTIONS(13862), 1,
      sym_keyword_temp,
    ACTIONS(13864), 1,
      sym_keyword_temporary,
    ACTIONS(13866), 1,
      sym_keyword_recursive,
    ACTIONS(13868), 1,
      sym_keyword_trigger,
    ACTIONS(13870), 1,
      sym_keyword_function,
    ACTIONS(13872), 1,
      sym_keyword_definer,
    STATE(11207), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468352] = 9,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    ACTIONS(13874), 1,
      sym_keyword_only,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(5456), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
  [468383] = 8,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(13878), 1,
      sym_keyword_create,
    STATE(7862), 1,
      aux_sym_create_database_repeat1,
    STATE(8270), 1,
      sym_identifier,
    STATE(8433), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13876), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [468412] = 9,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    ACTIONS(13880), 1,
      sym_keyword_lateral,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7395), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
  [468443] = 9,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    ACTIONS(13882), 1,
      sym_keyword_lateral,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7389), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
  [468474] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8992), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [468491] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(8219), 1,
      sym__cte,
    STATE(8542), 1,
      sym_select,
    STATE(9637), 1,
      sym__select_statement,
    STATE(12421), 1,
      sym__dml_read,
    STATE(14504), 1,
      sym__show_statement,
    STATE(14667), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468526] = 9,
    ACTIONS(405), 1,
      sym__identifier,
    ACTIONS(13884), 1,
      sym_keyword_only,
    ACTIONS(13886), 1,
      anon_sym_LPAREN,
    STATE(3644), 1,
      sym_identifier,
    STATE(6223), 1,
      sym_object_reference,
    STATE(6408), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(463), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6457), 2,
      sym_invocation,
      sym_subquery,
  [468557] = 8,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(13890), 1,
      sym_keyword_create,
    STATE(7862), 1,
      aux_sym_create_database_repeat1,
    STATE(8270), 1,
      sym_identifier,
    STATE(8433), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13888), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [468586] = 9,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    ACTIONS(13892), 1,
      sym_keyword_lateral,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7491), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
  [468617] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(8104), 1,
      sym__cte,
    STATE(8542), 1,
      sym_select,
    STATE(9637), 1,
      sym__select_statement,
    STATE(14504), 1,
      sym__show_statement,
    STATE(14553), 1,
      sym__dml_read,
    STATE(14667), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468652] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(8219), 1,
      sym__cte,
    STATE(8542), 1,
      sym_select,
    STATE(9637), 1,
      sym__select_statement,
    STATE(14504), 1,
      sym__show_statement,
    STATE(14667), 1,
      sym_set_operation,
    STATE(14710), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468687] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(13542), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468722] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(13972), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468757] = 9,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    ACTIONS(13894), 1,
      sym_keyword_lateral,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7462), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
  [468788] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(14013), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468823] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12758), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [468840] = 9,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    ACTIONS(13896), 1,
      sym_keyword_only,
    STATE(1860), 1,
      sym_identifier,
    STATE(4933), 1,
      sym_relation,
    STATE(5455), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
  [468871] = 9,
    ACTIONS(405), 1,
      sym__identifier,
    ACTIONS(13886), 1,
      anon_sym_LPAREN,
    ACTIONS(13898), 1,
      sym_keyword_only,
    STATE(3644), 1,
      sym_identifier,
    STATE(5717), 1,
      sym_relation,
    STATE(6223), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(463), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6457), 2,
      sym_invocation,
      sym_subquery,
  [468902] = 5,
    ACTIONS(13902), 1,
      sym_keyword_from,
    STATE(1293), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(13900), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [468925] = 11,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8313), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468960] = 9,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    ACTIONS(13904), 1,
      sym_keyword_lateral,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7364), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
  [468991] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(8104), 1,
      sym__cte,
    STATE(8542), 1,
      sym_select,
    STATE(9637), 1,
      sym__select_statement,
    STATE(14326), 1,
      sym__dml_read,
    STATE(14504), 1,
      sym__show_statement,
    STATE(14667), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469026] = 11,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(9049), 1,
      sym__column,
    STATE(10835), 1,
      sym_ordered_column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469061] = 5,
    ACTIONS(13906), 1,
      sym_keyword_from,
    STATE(1196), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(13900), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [469084] = 11,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(11991), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469119] = 8,
    ACTIONS(12389), 1,
      sym_keyword_set,
    ACTIONS(13536), 1,
      sym_keyword_inner,
    ACTIONS(13538), 1,
      sym_keyword_join,
    ACTIONS(13540), 1,
      sym_keyword_natural,
    STATE(10224), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8008), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13534), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [469148] = 8,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(13910), 1,
      sym_keyword_create,
    STATE(7755), 1,
      aux_sym_create_database_repeat1,
    STATE(8270), 1,
      sym_identifier,
    STATE(8433), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13908), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [469177] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(14286), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469212] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(14295), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469247] = 4,
    ACTIONS(13912), 1,
      anon_sym_COMMA,
    STATE(7831), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13275), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [469268] = 11,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(10166), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469303] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13692), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [469320] = 8,
    ACTIONS(12471), 1,
      sym_keyword_set,
    ACTIONS(13536), 1,
      sym_keyword_inner,
    ACTIONS(13538), 1,
      sym_keyword_join,
    ACTIONS(13540), 1,
      sym_keyword_natural,
    STATE(9037), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8008), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13534), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [469349] = 9,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(13603), 1,
      sym_keyword_role,
    ACTIONS(13607), 1,
      sym_keyword_session,
    ACTIONS(13611), 1,
      sym_keyword_time,
    STATE(5700), 1,
      sym_identifier,
    STATE(12229), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13601), 2,
      sym_keyword_schema,
      sym_keyword_names,
  [469380] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9030), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [469397] = 11,
    ACTIONS(13914), 1,
      sym_keyword_view,
    ACTIONS(13916), 1,
      sym_keyword_materialized,
    ACTIONS(13918), 1,
      sym_keyword_constraint,
    ACTIONS(13920), 1,
      sym_keyword_temp,
    ACTIONS(13922), 1,
      sym_keyword_temporary,
    ACTIONS(13924), 1,
      sym_keyword_recursive,
    ACTIONS(13926), 1,
      sym_keyword_trigger,
    ACTIONS(13928), 1,
      sym_keyword_function,
    ACTIONS(13930), 1,
      sym_keyword_definer,
    STATE(11356), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469432] = 9,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    ACTIONS(13932), 1,
      sym_keyword_lateral,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7488), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
  [469463] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(13843), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469498] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(8104), 1,
      sym__cte,
    STATE(8542), 1,
      sym_select,
    STATE(9637), 1,
      sym__select_statement,
    STATE(12421), 1,
      sym__dml_read,
    STATE(14504), 1,
      sym__show_statement,
    STATE(14667), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469533] = 9,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(13678), 1,
      sym_keyword_create,
    ACTIONS(13934), 1,
      sym_keyword_with,
    STATE(7963), 1,
      aux_sym_create_database_repeat1,
    STATE(8341), 1,
      sym_identifier,
    STATE(8687), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13676), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [469564] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(14724), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469599] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(14772), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469634] = 8,
    ACTIONS(283), 1,
      sym__identifier,
    STATE(7034), 1,
      sym_identifier,
    STATE(8320), 1,
      sym_object_reference,
    STATE(11882), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13648), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(13936), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [469663] = 9,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    ACTIONS(13938), 1,
      sym_keyword_lateral,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7468), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
  [469694] = 4,
    ACTIONS(13912), 1,
      anon_sym_COMMA,
    STATE(7783), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13355), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [469715] = 9,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(13660), 1,
      sym_keyword_create,
    ACTIONS(13940), 1,
      sym_keyword_with,
    STATE(7970), 1,
      aux_sym_create_database_repeat1,
    STATE(8341), 1,
      sym_identifier,
    STATE(8687), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13658), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [469746] = 11,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(9049), 1,
      sym__column,
    STATE(11128), 1,
      sym_ordered_column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469781] = 11,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(34), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8785), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469816] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13041), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [469833] = 11,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4015), 1,
      sym__dollar_quoted_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(9049), 1,
      sym__column,
    STATE(12161), 1,
      sym_ordered_column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469868] = 9,
    ACTIONS(13944), 1,
      sym_keyword_table,
    ACTIONS(13946), 1,
      sym_keyword_view,
    ACTIONS(13948), 1,
      sym_keyword_sequence,
    ACTIONS(13950), 1,
      sym_keyword_index,
    ACTIONS(13952), 1,
      sym_keyword_type,
    ACTIONS(13954), 1,
      sym_keyword_database,
    ACTIONS(13956), 1,
      sym_keyword_schema,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13942), 3,
      sym_keyword_group,
      sym_keyword_user,
      sym_keyword_role,
  [469899] = 5,
    ACTIONS(13958), 1,
      sym_keyword_union,
    STATE(7807), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13960), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13807), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [469922] = 8,
    ACTIONS(12471), 1,
      sym_keyword_set,
    ACTIONS(13536), 1,
      sym_keyword_inner,
    ACTIONS(13538), 1,
      sym_keyword_join,
    ACTIONS(13540), 1,
      sym_keyword_natural,
    STATE(9636), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8008), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13534), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [469951] = 5,
    ACTIONS(13958), 1,
      sym_keyword_union,
    STATE(7884), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13960), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13809), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [469974] = 9,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    ACTIONS(13962), 1,
      sym_keyword_lateral,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7469), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
  [470005] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13668), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [470022] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(8143), 1,
      sym__cte,
    STATE(8710), 1,
      sym_select,
    STATE(8913), 1,
      sym__select_statement,
    STATE(13056), 1,
      sym__dml_read,
    STATE(13473), 1,
      sym__show_statement,
    STATE(13482), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470057] = 11,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8441), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470092] = 11,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8367), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470127] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(8143), 1,
      sym__cte,
    STATE(8710), 1,
      sym_select,
    STATE(8913), 1,
      sym__select_statement,
    STATE(13473), 1,
      sym__show_statement,
    STATE(13482), 1,
      sym_set_operation,
    STATE(14233), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470162] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(14586), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470197] = 11,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8377), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470232] = 11,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8407), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470267] = 3,
    ACTIONS(2839), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2835), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [470286] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(8143), 1,
      sym__cte,
    STATE(8710), 1,
      sym_select,
    STATE(8913), 1,
      sym__select_statement,
    STATE(13473), 1,
      sym__show_statement,
    STATE(13482), 1,
      sym_set_operation,
    STATE(13501), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470321] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(8104), 1,
      sym__cte,
    STATE(8542), 1,
      sym_select,
    STATE(9637), 1,
      sym__select_statement,
    STATE(14504), 1,
      sym__show_statement,
    STATE(14667), 1,
      sym_set_operation,
    STATE(14710), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470356] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(14595), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470391] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(12587), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470426] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(12609), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470461] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(14591), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470496] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(12293), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470531] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(14007), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470566] = 11,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(10284), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470601] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(13680), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470636] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13795), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [470653] = 8,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(13966), 1,
      sym_keyword_create,
    STATE(7862), 1,
      aux_sym_create_database_repeat1,
    STATE(8270), 1,
      sym_identifier,
    STATE(8433), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13964), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [470682] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13970), 2,
      sym_keyword_follows,
      sym_keyword_precedes,
    ACTIONS(13968), 8,
      sym_keyword_from,
      sym_keyword_when,
      sym_keyword_not,
      sym_keyword_for,
      sym_keyword_deferrable,
      sym_keyword_initially,
      sym_keyword_referencing,
      sym_keyword_execute,
  [470701] = 4,
    ACTIONS(13972), 1,
      anon_sym_COMMA,
    STATE(7831), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13209), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [470722] = 8,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(13977), 1,
      sym_keyword_where,
    STATE(8107), 1,
      sym_where,
    STATE(8668), 1,
      sym_order_by,
    STATE(10180), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13975), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [470751] = 11,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(34), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8887), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470786] = 9,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    ACTIONS(13979), 1,
      sym_keyword_lateral,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7372), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
  [470817] = 11,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(34), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8554), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470852] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(14628), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470887] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(14732), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470922] = 9,
    ACTIONS(405), 1,
      sym__identifier,
    ACTIONS(13886), 1,
      anon_sym_LPAREN,
    ACTIONS(13981), 1,
      sym_keyword_lateral,
    STATE(3644), 1,
      sym_identifier,
    STATE(6223), 1,
      sym_object_reference,
    STATE(6836), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(463), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6457), 2,
      sym_invocation,
      sym_subquery,
  [470953] = 11,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8338), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470988] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(14743), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471023] = 9,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(13572), 1,
      sym_keyword_role,
    ACTIONS(13576), 1,
      sym_keyword_session,
    ACTIONS(13580), 1,
      sym_keyword_time,
    STATE(5700), 1,
      sym_identifier,
    STATE(11669), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13570), 2,
      sym_keyword_schema,
      sym_keyword_names,
  [471054] = 5,
    ACTIONS(13958), 1,
      sym_keyword_union,
    STATE(7807), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13960), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13686), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [471077] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(13289), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471112] = 11,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8305), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471147] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(14141), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471182] = 9,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    ACTIONS(13983), 1,
      sym_keyword_lateral,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7423), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
  [471213] = 9,
    ACTIONS(405), 1,
      sym__identifier,
    ACTIONS(13886), 1,
      anon_sym_LPAREN,
    ACTIONS(13985), 1,
      sym_keyword_only,
    STATE(3644), 1,
      sym_identifier,
    STATE(5013), 1,
      sym_relation,
    STATE(6223), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(463), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6457), 2,
      sym_invocation,
      sym_subquery,
  [471244] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(8219), 1,
      sym__cte,
    STATE(8542), 1,
      sym_select,
    STATE(9637), 1,
      sym__select_statement,
    STATE(14326), 1,
      sym__dml_read,
    STATE(14504), 1,
      sym__show_statement,
    STATE(14667), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471279] = 4,
    ACTIONS(13987), 1,
      sym_keyword_from,
    STATE(7634), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13508), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [471300] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(14119), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471335] = 9,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    ACTIONS(13989), 1,
      sym_keyword_lateral,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7384), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
  [471366] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(8219), 1,
      sym__cte,
    STATE(8542), 1,
      sym_select,
    STATE(9637), 1,
      sym__select_statement,
    STATE(14504), 1,
      sym__show_statement,
    STATE(14553), 1,
      sym__dml_read,
    STATE(14667), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471401] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(12990), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471436] = 9,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    ACTIONS(13991), 1,
      sym_keyword_lateral,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7449), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
  [471467] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(13020), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471502] = 8,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(13966), 1,
      sym_keyword_create,
    STATE(7862), 1,
      aux_sym_create_database_repeat1,
    STATE(8270), 1,
      sym_identifier,
    STATE(8433), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13964), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [471531] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10953), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [471548] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10951), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [471565] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(13974), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471600] = 11,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(10156), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471635] = 9,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    ACTIONS(13993), 1,
      sym_keyword_lateral,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7458), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
  [471666] = 8,
    ACTIONS(13997), 1,
      sym__identifier,
    ACTIONS(14000), 1,
      sym_keyword_create,
    STATE(7862), 1,
      aux_sym_create_database_repeat1,
    STATE(8270), 1,
      sym_identifier,
    STATE(8433), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14002), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13995), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [471695] = 5,
    ACTIONS(13958), 1,
      sym_keyword_union,
    STATE(7807), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13960), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13775), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [471718] = 11,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(34), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8638), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471753] = 11,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(34), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8660), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471788] = 11,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(34), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8714), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471823] = 8,
    ACTIONS(12389), 1,
      sym_keyword_set,
    ACTIONS(13536), 1,
      sym_keyword_inner,
    ACTIONS(13538), 1,
      sym_keyword_join,
    ACTIONS(13540), 1,
      sym_keyword_natural,
    STATE(9921), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8008), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13534), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [471852] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14007), 2,
      sym_keyword_follows,
      sym_keyword_precedes,
    ACTIONS(14005), 8,
      sym_keyword_from,
      sym_keyword_when,
      sym_keyword_not,
      sym_keyword_for,
      sym_keyword_deferrable,
      sym_keyword_initially,
      sym_keyword_referencing,
      sym_keyword_execute,
  [471871] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13779), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [471888] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13644), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [471905] = 11,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(31), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(10388), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471940] = 8,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10975), 1,
      sym_keyword_order,
    STATE(7585), 1,
      sym_order_by,
    STATE(7758), 1,
      sym_limit,
    STATE(8163), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9030), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [471969] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(13668), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472004] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13725), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [472021] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(14075), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472056] = 9,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    ACTIONS(14009), 1,
      sym_keyword_lateral,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7327), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
  [472087] = 8,
    ACTIONS(12401), 1,
      sym_keyword_set,
    ACTIONS(13536), 1,
      sym_keyword_inner,
    ACTIONS(13538), 1,
      sym_keyword_join,
    ACTIONS(13540), 1,
      sym_keyword_natural,
    STATE(9397), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8008), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13534), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [472116] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(12732), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472151] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(12971), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472186] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12553), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [472203] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(14043), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472238] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13781), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [472255] = 11,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(34), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8889), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472290] = 5,
    ACTIONS(14011), 1,
      sym_keyword_union,
    STATE(7884), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14014), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13763), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [472313] = 8,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10975), 1,
      sym_keyword_order,
    STATE(7531), 1,
      sym_order_by,
    STATE(7858), 1,
      sym_limit,
    STATE(8165), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8992), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [472342] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(8143), 1,
      sym__cte,
    STATE(8710), 1,
      sym_select,
    STATE(8913), 1,
      sym__select_statement,
    STATE(13473), 1,
      sym__show_statement,
    STATE(13482), 1,
      sym_set_operation,
    STATE(13850), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472377] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13172), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [472394] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(13474), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472429] = 8,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10975), 1,
      sym_keyword_order,
    STATE(7543), 1,
      sym_order_by,
    STATE(7857), 1,
      sym_limit,
    STATE(8168), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10951), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [472458] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(13486), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472493] = 9,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    ACTIONS(14017), 1,
      sym_keyword_lateral,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7337), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
  [472524] = 4,
    ACTIONS(14019), 1,
      anon_sym_COMMA,
    STATE(7896), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13371), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [472545] = 8,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10975), 1,
      sym_keyword_order,
    STATE(7510), 1,
      sym_order_by,
    STATE(7880), 1,
      sym_limit,
    STATE(8169), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10953), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [472574] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(13458), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472609] = 9,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    ACTIONS(14021), 1,
      sym_keyword_only,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(6209), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
  [472640] = 4,
    ACTIONS(14019), 1,
      anon_sym_COMMA,
    STATE(7902), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13357), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [472661] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13805), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [472678] = 8,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10975), 1,
      sym_keyword_order,
    STATE(7589), 1,
      sym_order_by,
    STATE(7769), 1,
      sym_limit,
    STATE(8171), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12553), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [472707] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(14811), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472742] = 11,
    ACTIONS(13918), 1,
      sym_keyword_constraint,
    ACTIONS(13926), 1,
      sym_keyword_trigger,
    ACTIONS(13928), 1,
      sym_keyword_function,
    ACTIONS(13930), 1,
      sym_keyword_definer,
    ACTIONS(14023), 1,
      sym_keyword_view,
    ACTIONS(14025), 1,
      sym_keyword_materialized,
    ACTIONS(14027), 1,
      sym_keyword_temp,
    ACTIONS(14029), 1,
      sym_keyword_temporary,
    ACTIONS(14031), 1,
      sym_keyword_recursive,
    STATE(11435), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472777] = 9,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    ACTIONS(14033), 1,
      sym_keyword_lateral,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7338), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
  [472808] = 4,
    ACTIONS(14035), 1,
      anon_sym_COMMA,
    STATE(7902), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12686), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [472829] = 8,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(9185), 1,
      sym_keyword_window,
    ACTIONS(10975), 1,
      sym_keyword_order,
    STATE(7537), 1,
      sym_order_by,
    STATE(7802), 1,
      sym_limit,
    STATE(8172), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12758), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [472858] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14038), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14040), 5,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym__identifier,
  [472877] = 8,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(13977), 1,
      sym_keyword_where,
    STATE(8161), 1,
      sym_where,
    STATE(8721), 1,
      sym_order_by,
    STATE(9772), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14042), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [472906] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(11455), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7638), 1,
      sym__select_statement,
    STATE(8162), 1,
      sym__show_statement,
    STATE(8173), 1,
      sym_set_operation,
    STATE(8493), 1,
      sym__cte,
    STATE(13859), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472941] = 9,
    ACTIONS(13844), 1,
      sym_keyword_view,
    ACTIONS(13846), 1,
      sym_keyword_sequence,
    ACTIONS(13848), 1,
      sym_keyword_index,
    ACTIONS(13850), 1,
      sym_keyword_type,
    ACTIONS(13852), 1,
      sym_keyword_database,
    ACTIONS(13854), 1,
      sym_keyword_schema,
    ACTIONS(14044), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13840), 3,
      sym_keyword_group,
      sym_keyword_user,
      sym_keyword_role,
  [472972] = 11,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10801), 1,
      sym__double_quote_string,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10805), 1,
      sym__dollar_quoted_string,
    STATE(34), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8883), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [473007] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14054), 1,
      sym_keyword_deferrable,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14060), 1,
      sym_keyword_execute,
    STATE(8084), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [473039] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14062), 1,
      sym_keyword_deferrable,
    ACTIONS(14064), 1,
      sym_keyword_execute,
    STATE(7941), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [473071] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13267), 1,
      sym_keyword_using,
    ACTIONS(13395), 1,
      sym_keyword_on,
    STATE(11777), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [473099] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13239), 1,
      sym_keyword_using,
    ACTIONS(13399), 1,
      sym_keyword_on,
    STATE(11781), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [473127] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13317), 1,
      sym_keyword_using,
    ACTIONS(13422), 1,
      sym_keyword_on,
    STATE(11785), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [473155] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(14066), 1,
      sym_keyword_on,
    ACTIONS(14068), 1,
      sym_keyword_using,
    STATE(11788), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [473183] = 8,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14070), 1,
      sym_keyword_partition,
    ACTIONS(14074), 1,
      anon_sym_RPAREN,
    STATE(8315), 1,
      sym_partition_by,
    STATE(9132), 1,
      sym_order_by,
    STATE(13066), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [473211] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13267), 1,
      sym_keyword_using,
    ACTIONS(13401), 1,
      sym_keyword_on,
    STATE(11796), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [473239] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13237), 1,
      sym_keyword_on,
    ACTIONS(13239), 1,
      sym_keyword_using,
    STATE(11797), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [473267] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13317), 1,
      sym_keyword_using,
    ACTIONS(13417), 1,
      sym_keyword_on,
    STATE(11799), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [473295] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(14068), 1,
      sym_keyword_using,
    ACTIONS(14076), 1,
      sym_keyword_on,
    STATE(11801), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [473323] = 10,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(14134), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [473355] = 10,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(11664), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [473387] = 8,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14070), 1,
      sym_keyword_partition,
    ACTIONS(14078), 1,
      anon_sym_RPAREN,
    STATE(8294), 1,
      sym_partition_by,
    STATE(9474), 1,
      sym_order_by,
    STATE(13569), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [473415] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13166), 1,
      sym_keyword_using,
    ACTIONS(13367), 1,
      sym_keyword_on,
    STATE(11813), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [473443] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13170), 1,
      sym_keyword_using,
    ACTIONS(13381), 1,
      sym_keyword_on,
    STATE(11816), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [473471] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13148), 1,
      sym_keyword_on,
    ACTIONS(13150), 1,
      sym_keyword_using,
    STATE(11818), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [473499] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(14080), 1,
      sym_keyword_on,
    ACTIONS(14082), 1,
      sym_keyword_using,
    STATE(11819), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [473527] = 4,
    ACTIONS(14086), 1,
      anon_sym_COMMA,
    STATE(8060), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14084), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
  [473547] = 8,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14070), 1,
      sym_keyword_partition,
    ACTIONS(14088), 1,
      anon_sym_RPAREN,
    STATE(8355), 1,
      sym_partition_by,
    STATE(9145), 1,
      sym_order_by,
    STATE(13527), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [473575] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13164), 1,
      sym_keyword_on,
    ACTIONS(13166), 1,
      sym_keyword_using,
    STATE(11831), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [473603] = 8,
    ACTIONS(12854), 1,
      sym_keyword_owner,
    ACTIONS(14090), 1,
      sym_keyword_set,
    ACTIONS(14092), 1,
      sym_keyword_alter,
    ACTIONS(14094), 1,
      sym_keyword_drop,
    ACTIONS(14096), 1,
      sym_keyword_add,
    ACTIONS(14098), 1,
      sym_keyword_rename,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10521), 3,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [473631] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13168), 1,
      sym_keyword_on,
    ACTIONS(13170), 1,
      sym_keyword_using,
    STATE(11833), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [473659] = 10,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(13873), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [473691] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13150), 1,
      sym_keyword_using,
    ACTIONS(13219), 1,
      sym_keyword_on,
    STATE(11835), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [473719] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(14082), 1,
      sym_keyword_using,
    ACTIONS(14100), 1,
      sym_keyword_on,
    STATE(11836), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [473747] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13166), 1,
      sym_keyword_using,
    ACTIONS(13273), 1,
      sym_keyword_on,
    STATE(11849), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [473775] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13170), 1,
      sym_keyword_using,
    ACTIONS(13472), 1,
      sym_keyword_on,
    STATE(11853), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [473803] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13150), 1,
      sym_keyword_using,
    ACTIONS(13339), 1,
      sym_keyword_on,
    STATE(11854), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [473831] = 8,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14070), 1,
      sym_keyword_partition,
    ACTIONS(14102), 1,
      anon_sym_RPAREN,
    STATE(8416), 1,
      sym_partition_by,
    STATE(9155), 1,
      sym_order_by,
    STATE(13699), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [473859] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(14082), 1,
      sym_keyword_using,
    ACTIONS(14104), 1,
      sym_keyword_on,
    STATE(11855), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [473887] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14106), 1,
      sym_keyword_deferrable,
    ACTIONS(14108), 1,
      sym_keyword_execute,
    STATE(8042), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [473919] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14110), 1,
      sym_keyword_deferrable,
    ACTIONS(14112), 1,
      sym_keyword_execute,
    STATE(7956), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [473951] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14114), 1,
      sym_keyword_deferrable,
    ACTIONS(14116), 1,
      sym_keyword_execute,
    STATE(8017), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [473983] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14112), 1,
      sym_keyword_execute,
    ACTIONS(14118), 1,
      sym_keyword_deferrable,
    STATE(7951), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [474015] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14110), 1,
      sym_keyword_deferrable,
    ACTIONS(14116), 1,
      sym_keyword_execute,
    STATE(7956), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [474047] = 8,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14070), 1,
      sym_keyword_partition,
    ACTIONS(14120), 1,
      anon_sym_RPAREN,
    STATE(8478), 1,
      sym_partition_by,
    STATE(9163), 1,
      sym_order_by,
    STATE(13879), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [474075] = 4,
    STATE(1298), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(14122), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [474095] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7394), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [474121] = 10,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    STATE(8542), 1,
      sym_select,
    STATE(9424), 1,
      sym__select_statement,
    STATE(13149), 1,
      sym__cte,
    STATE(13156), 1,
      sym__show_statement,
    STATE(13161), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [474153] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13267), 1,
      sym_keyword_using,
    ACTIONS(13337), 1,
      sym_keyword_on,
    STATE(11693), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [474181] = 8,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14070), 1,
      sym_keyword_partition,
    ACTIONS(14124), 1,
      anon_sym_RPAREN,
    STATE(8267), 1,
      sym_partition_by,
    STATE(9174), 1,
      sym_order_by,
    STATE(14123), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [474209] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14110), 1,
      sym_keyword_deferrable,
    ACTIONS(14126), 1,
      sym_keyword_execute,
    STATE(7956), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [474241] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14126), 1,
      sym_keyword_execute,
    ACTIONS(14128), 1,
      sym_keyword_deferrable,
    STATE(7957), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [474273] = 10,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(10996), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [474305] = 8,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14070), 1,
      sym_keyword_partition,
    ACTIONS(14130), 1,
      anon_sym_RPAREN,
    STATE(8289), 1,
      sym_partition_by,
    STATE(9181), 1,
      sym_order_by,
    STATE(14332), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [474333] = 5,
    ACTIONS(13818), 1,
      anon_sym_LBRACK,
    STATE(2754), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(3285), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3335), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_COMMA,
  [474355] = 10,
    ACTIONS(14005), 1,
      sym_keyword_execute,
    ACTIONS(14132), 1,
      sym_keyword_from,
    ACTIONS(14135), 1,
      sym_keyword_when,
    ACTIONS(14138), 1,
      sym_keyword_not,
    ACTIONS(14141), 1,
      sym_keyword_for,
    ACTIONS(14144), 1,
      sym_keyword_deferrable,
    ACTIONS(14147), 1,
      sym_keyword_initially,
    ACTIONS(14150), 1,
      sym_keyword_referencing,
    STATE(7956), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [474387] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14110), 1,
      sym_keyword_deferrable,
    ACTIONS(14153), 1,
      sym_keyword_execute,
    STATE(7956), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [474419] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    STATE(5700), 1,
      sym_identifier,
    STATE(9537), 1,
      sym__vacuum_option,
    STATE(10327), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14155), 3,
      sym_keyword_full,
      sym_keyword_analyze,
      sym_keyword_parallel,
  [474445] = 8,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14070), 1,
      sym_keyword_partition,
    ACTIONS(14157), 1,
      anon_sym_RPAREN,
    STATE(8323), 1,
      sym_partition_by,
    STATE(9188), 1,
      sym_order_by,
    STATE(14611), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [474473] = 8,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14070), 1,
      sym_keyword_partition,
    ACTIONS(14159), 1,
      anon_sym_RPAREN,
    STATE(8356), 1,
      sym_partition_by,
    STATE(9028), 1,
      sym_order_by,
    STATE(14620), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [474501] = 8,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(13660), 1,
      sym_keyword_create,
    STATE(7973), 1,
      aux_sym_create_database_repeat1,
    STATE(8341), 1,
      sym_identifier,
    STATE(8687), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13658), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [474529] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14153), 1,
      sym_keyword_execute,
    ACTIONS(14161), 1,
      sym_keyword_deferrable,
    STATE(7964), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [474561] = 8,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(13890), 1,
      sym_keyword_create,
    STATE(7978), 1,
      aux_sym_create_database_repeat1,
    STATE(8341), 1,
      sym_identifier,
    STATE(8687), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13888), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [474589] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14110), 1,
      sym_keyword_deferrable,
    ACTIONS(14163), 1,
      sym_keyword_execute,
    STATE(7956), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [474621] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14163), 1,
      sym_keyword_execute,
    ACTIONS(14165), 1,
      sym_keyword_deferrable,
    STATE(7967), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [474653] = 8,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14070), 1,
      sym_keyword_partition,
    ACTIONS(14167), 1,
      anon_sym_RPAREN,
    STATE(8396), 1,
      sym_partition_by,
    STATE(9197), 1,
      sym_order_by,
    STATE(14759), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [474681] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14110), 1,
      sym_keyword_deferrable,
    ACTIONS(14169), 1,
      sym_keyword_execute,
    STATE(7956), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [474713] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14169), 1,
      sym_keyword_execute,
    ACTIONS(14171), 1,
      sym_keyword_deferrable,
    STATE(7971), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [474745] = 8,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(13910), 1,
      sym_keyword_create,
    STATE(8095), 1,
      aux_sym_create_database_repeat1,
    STATE(8341), 1,
      sym_identifier,
    STATE(8687), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13908), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [474773] = 8,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(13966), 1,
      sym_keyword_create,
    STATE(7978), 1,
      aux_sym_create_database_repeat1,
    STATE(8341), 1,
      sym_identifier,
    STATE(8687), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13964), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [474801] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14110), 1,
      sym_keyword_deferrable,
    ACTIONS(14173), 1,
      sym_keyword_execute,
    STATE(7956), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [474833] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14173), 1,
      sym_keyword_execute,
    ACTIONS(14175), 1,
      sym_keyword_deferrable,
    STATE(7982), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [474865] = 8,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(13966), 1,
      sym_keyword_create,
    STATE(7978), 1,
      aux_sym_create_database_repeat1,
    STATE(8341), 1,
      sym_identifier,
    STATE(8687), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13964), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [474893] = 5,
    ACTIONS(14177), 1,
      sym_keyword_union,
    STATE(7976), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14179), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13809), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      anon_sym_RPAREN,
  [474915] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7426), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [474941] = 5,
    ACTIONS(14181), 1,
      sym_keyword_union,
    STATE(7976), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14184), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13763), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      anon_sym_RPAREN,
  [474963] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(6213), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [474989] = 8,
    ACTIONS(13997), 1,
      sym__identifier,
    ACTIONS(14000), 1,
      sym_keyword_create,
    STATE(7978), 1,
      aux_sym_create_database_repeat1,
    STATE(8341), 1,
      sym_identifier,
    STATE(8687), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13995), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(14002), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [475017] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7384), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [475043] = 5,
    ACTIONS(14177), 1,
      sym_keyword_union,
    STATE(7974), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14179), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13775), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      anon_sym_RPAREN,
  [475065] = 3,
    ACTIONS(14189), 1,
      sym_keyword_temp,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14187), 8,
      sym_keyword_view,
      sym_keyword_materialized,
      sym_keyword_constraint,
      sym_keyword_temporary,
      sym_keyword_recursive,
      sym_keyword_trigger,
      sym_keyword_function,
      sym_keyword_definer,
  [475083] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14110), 1,
      sym_keyword_deferrable,
    ACTIONS(14191), 1,
      sym_keyword_execute,
    STATE(7956), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [475115] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7395), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [475141] = 5,
    ACTIONS(14193), 1,
      sym_keyword_from,
    STATE(1239), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(13900), 5,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [475163] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14038), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14040), 5,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym__identifier,
  [475181] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7408), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [475207] = 8,
    ACTIONS(14195), 1,
      anon_sym_LPAREN,
    STATE(7362), 1,
      sym_identifier,
    STATE(8941), 1,
      sym_assignment,
    STATE(10151), 1,
      sym_assignment_list,
    STATE(12700), 1,
      sym_object_reference,
    STATE(14812), 1,
      sym__qualified_field,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [475235] = 10,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    STATE(8710), 1,
      sym_select,
    STATE(8922), 1,
      sym__select_statement,
    STATE(13627), 1,
      sym__show_statement,
    STATE(13647), 1,
      sym_set_operation,
    STATE(14677), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [475267] = 10,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(10938), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [475299] = 8,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14070), 1,
      sym_keyword_partition,
    ACTIONS(14197), 1,
      anon_sym_RPAREN,
    STATE(8303), 1,
      sym_partition_by,
    STATE(9047), 1,
      sym_order_by,
    STATE(13526), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [475327] = 6,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    STATE(7484), 1,
      sym_order_by,
    STATE(7642), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9030), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [475351] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 9,
      sym_keyword_from,
      sym_keyword_when,
      sym_keyword_not,
      sym_keyword_for,
      sym_keyword_deferrable,
      sym_keyword_initially,
      sym_keyword_referencing,
      sym_keyword_execute,
      anon_sym_DOT,
  [475367] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13265), 1,
      sym_keyword_on,
    ACTIONS(13267), 1,
      sym_keyword_using,
    STATE(11603), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [475395] = 6,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    STATE(7379), 1,
      sym_order_by,
    STATE(7658), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8992), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [475419] = 7,
    ACTIONS(283), 1,
      sym__identifier,
    STATE(7034), 1,
      sym_identifier,
    STATE(9311), 1,
      sym__vacuum_option,
    STATE(10559), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14155), 3,
      sym_keyword_full,
      sym_keyword_analyze,
      sym_keyword_parallel,
  [475445] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13239), 1,
      sym_keyword_using,
    ACTIONS(13283), 1,
      sym_keyword_on,
    STATE(11626), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [475473] = 6,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    STATE(7381), 1,
      sym_order_by,
    STATE(7733), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10951), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [475497] = 3,
    ACTIONS(14199), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(111), 8,
      sym_keyword_from,
      sym_keyword_when,
      sym_keyword_not,
      sym_keyword_for,
      sym_keyword_deferrable,
      sym_keyword_initially,
      sym_keyword_referencing,
      sym_keyword_execute,
  [475515] = 4,
    ACTIONS(14203), 1,
      anon_sym_COMMA,
    STATE(8063), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14201), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
  [475535] = 8,
    ACTIONS(14195), 1,
      anon_sym_LPAREN,
    STATE(7362), 1,
      sym_identifier,
    STATE(9955), 1,
      sym_assignment,
    STATE(10151), 1,
      sym_assignment_list,
    STATE(12700), 1,
      sym_object_reference,
    STATE(14741), 1,
      sym__qualified_field,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [475563] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13315), 1,
      sym_keyword_on,
    ACTIONS(13317), 1,
      sym_keyword_using,
    STATE(11638), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [475591] = 7,
    ACTIONS(13886), 1,
      anon_sym_LPAREN,
    STATE(3644), 1,
      sym_identifier,
    STATE(5718), 1,
      sym_relation,
    STATE(6223), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6457), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(463), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [475617] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7433), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [475643] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7427), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [475669] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7443), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [475695] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7450), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [475721] = 6,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    STATE(7412), 1,
      sym_order_by,
    STATE(7650), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10953), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [475745] = 7,
    ACTIONS(14205), 1,
      sym_keyword_set,
    ACTIONS(14210), 1,
      sym_keyword_inner,
    ACTIONS(14213), 1,
      sym_keyword_join,
    ACTIONS(14216), 1,
      sym_keyword_natural,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8008), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(14207), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [475771] = 8,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14070), 1,
      sym_keyword_partition,
    ACTIONS(14219), 1,
      anon_sym_RPAREN,
    STATE(8351), 1,
      sym_partition_by,
    STATE(9063), 1,
      sym_order_by,
    STATE(14291), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [475799] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(14068), 1,
      sym_keyword_using,
    ACTIONS(14221), 1,
      sym_keyword_on,
    STATE(11648), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [475827] = 7,
    ACTIONS(13886), 1,
      anon_sym_LPAREN,
    STATE(3644), 1,
      sym_identifier,
    STATE(6223), 1,
      sym_object_reference,
    STATE(6670), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6457), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(463), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [475853] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7466), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [475879] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7468), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [475905] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7478), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [475931] = 6,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    STATE(7487), 1,
      sym_order_by,
    STATE(7644), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12553), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [475955] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7469), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [475981] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14064), 1,
      sym_keyword_execute,
    ACTIONS(14110), 1,
      sym_keyword_deferrable,
    STATE(7956), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [476013] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7372), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [476039] = 8,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14225), 1,
      sym_keyword_nulls,
    ACTIONS(14227), 1,
      anon_sym_LPAREN,
    STATE(9559), 1,
      sym_ordered_columns,
    STATE(12143), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14223), 2,
      sym_keyword_key,
      sym_keyword_index,
  [476067] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7473), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [476093] = 8,
    ACTIONS(12808), 1,
      sym_keyword_owner,
    ACTIONS(14229), 1,
      sym_keyword_set,
    ACTIONS(14231), 1,
      sym_keyword_alter,
    ACTIONS(14233), 1,
      sym_keyword_drop,
    ACTIONS(14235), 1,
      sym_keyword_add,
    ACTIONS(14237), 1,
      sym_keyword_rename,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11914), 3,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [476121] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7449), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [476147] = 6,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    STATE(7332), 1,
      sym_order_by,
    STATE(7661), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12758), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [476171] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7458), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [476197] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7326), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [476223] = 7,
    ACTIONS(13886), 1,
      anon_sym_LPAREN,
    STATE(3644), 1,
      sym_identifier,
    STATE(5066), 1,
      sym_relation,
    STATE(6223), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6457), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(463), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [476249] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7337), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [476275] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7338), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [476301] = 6,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    STATE(7340), 1,
      sym_order_by,
    STATE(7736), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13041), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [476325] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7359), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [476351] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7389), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [476377] = 8,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14070), 1,
      sym_keyword_partition,
    ACTIONS(14239), 1,
      anon_sym_RPAREN,
    STATE(8402), 1,
      sym_partition_by,
    STATE(8939), 1,
      sym_order_by,
    STATE(14321), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [476405] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7491), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [476431] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7428), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [476457] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(14068), 1,
      sym_keyword_using,
    ACTIONS(14241), 1,
      sym_keyword_on,
    STATE(11594), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [476485] = 8,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14070), 1,
      sym_keyword_partition,
    ACTIONS(14243), 1,
      anon_sym_RPAREN,
    STATE(8382), 1,
      sym_partition_by,
    STATE(9073), 1,
      sym_order_by,
    STATE(13164), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [476513] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13317), 1,
      sym_keyword_using,
    ACTIONS(13373), 1,
      sym_keyword_on,
    STATE(11721), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [476541] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14245), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [476557] = 4,
    ACTIONS(14247), 1,
      anon_sym_COMMA,
    STATE(8039), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14245), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
  [476577] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14250), 1,
      sym_keyword_deferrable,
    ACTIONS(14252), 1,
      sym_keyword_execute,
    STATE(7944), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [476609] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(4916), 1,
      sym_relation,
    STATE(5455), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [476635] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14110), 1,
      sym_keyword_deferrable,
    ACTIONS(14252), 1,
      sym_keyword_execute,
    STATE(7956), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [476667] = 8,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14070), 1,
      sym_keyword_partition,
    ACTIONS(14254), 1,
      anon_sym_RPAREN,
    STATE(8412), 1,
      sym_partition_by,
    STATE(9086), 1,
      sym_order_by,
    STATE(13163), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [476695] = 7,
    ACTIONS(14256), 1,
      anon_sym_RPAREN,
    ACTIONS(14258), 1,
      anon_sym_COMMA,
    STATE(9401), 1,
      sym_identifier,
    STATE(10749), 1,
      aux_sym__compute_stats_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8246), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [476721] = 5,
    ACTIONS(14177), 1,
      sym_keyword_union,
    STATE(7974), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14179), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13686), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      anon_sym_RPAREN,
  [476743] = 5,
    ACTIONS(14177), 1,
      sym_keyword_union,
    STATE(7974), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14179), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13807), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      anon_sym_RPAREN,
  [476765] = 10,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(13511), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [476797] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(5457), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [476823] = 8,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(10973), 1,
      sym_keyword_where,
    ACTIONS(10975), 1,
      sym_keyword_order,
    STATE(8418), 1,
      sym_where,
    STATE(9453), 1,
      sym_order_by,
    STATE(10827), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13975), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [476851] = 10,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(13552), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [476883] = 8,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(10973), 1,
      sym_keyword_where,
    ACTIONS(10975), 1,
      sym_keyword_order,
    STATE(8375), 1,
      sym_where,
    STATE(9509), 1,
      sym_order_by,
    STATE(11009), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14042), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [476911] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13239), 1,
      sym_keyword_using,
    ACTIONS(13281), 1,
      sym_keyword_on,
    STATE(12010), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [476939] = 10,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(13596), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [476971] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7453), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [476997] = 7,
    ACTIONS(14258), 1,
      anon_sym_COMMA,
    ACTIONS(14260), 1,
      anon_sym_RPAREN,
    STATE(9401), 1,
      sym_identifier,
    STATE(10653), 1,
      aux_sym__compute_stats_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8246), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [477023] = 8,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14070), 1,
      sym_keyword_partition,
    ACTIONS(14262), 1,
      anon_sym_RPAREN,
    STATE(8437), 1,
      sym_partition_by,
    STATE(9097), 1,
      sym_order_by,
    STATE(14125), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [477051] = 7,
    ACTIONS(13886), 1,
      anon_sym_LPAREN,
    STATE(3644), 1,
      sym_identifier,
    STATE(6223), 1,
      sym_object_reference,
    STATE(6409), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6457), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(463), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [477077] = 4,
    ACTIONS(14264), 1,
      sym_keyword_from,
    STATE(7809), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13508), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [477097] = 10,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    STATE(8710), 1,
      sym_select,
    STATE(8922), 1,
      sym__select_statement,
    STATE(13627), 1,
      sym__show_statement,
    STATE(13647), 1,
      sym_set_operation,
    STATE(13817), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477129] = 4,
    ACTIONS(14266), 1,
      anon_sym_COMMA,
    STATE(8060), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14245), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
  [477149] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(7422), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [477175] = 7,
    ACTIONS(13484), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(5455), 1,
      sym_object_reference,
    STATE(6616), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5704), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [477201] = 4,
    ACTIONS(14203), 1,
      anon_sym_COMMA,
    STATE(8039), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14084), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
  [477221] = 8,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14271), 1,
      sym_keyword_nulls,
    ACTIONS(14273), 1,
      anon_sym_LPAREN,
    STATE(10373), 1,
      sym_ordered_columns,
    STATE(11630), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14269), 2,
      sym_keyword_key,
      sym_keyword_index,
  [477249] = 10,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(12363), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477281] = 7,
    ACTIONS(14258), 1,
      anon_sym_COMMA,
    ACTIONS(14275), 1,
      anon_sym_RPAREN,
    STATE(9401), 1,
      sym_identifier,
    STATE(10485), 1,
      aux_sym__compute_stats_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8246), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [477307] = 8,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14070), 1,
      sym_keyword_partition,
    ACTIONS(14277), 1,
      anon_sym_RPAREN,
    STATE(8450), 1,
      sym_partition_by,
    STATE(9111), 1,
      sym_order_by,
    STATE(12304), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [477335] = 8,
    ACTIONS(14195), 1,
      anon_sym_LPAREN,
    STATE(7362), 1,
      sym_identifier,
    STATE(9596), 1,
      sym_assignment,
    STATE(11322), 1,
      sym_assignment_list,
    STATE(12282), 1,
      sym__qualified_field,
    STATE(12700), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [477363] = 10,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    STATE(8542), 1,
      sym_select,
    STATE(9424), 1,
      sym__select_statement,
    STATE(13156), 1,
      sym__show_statement,
    STATE(13161), 1,
      sym_set_operation,
    STATE(14209), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477395] = 7,
    ACTIONS(14258), 1,
      anon_sym_COMMA,
    ACTIONS(14279), 1,
      anon_sym_RPAREN,
    STATE(9401), 1,
      sym_identifier,
    STATE(11398), 1,
      aux_sym__compute_stats_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8246), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [477421] = 10,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(14226), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477453] = 10,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(14252), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477485] = 10,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(14275), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477517] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14281), 1,
      sym_keyword_deferrable,
    ACTIONS(14283), 1,
      sym_keyword_execute,
    STATE(8076), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477549] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14285), 1,
      sym_keyword_deferrable,
    ACTIONS(14287), 1,
      sym_keyword_execute,
    STATE(8078), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477581] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14110), 1,
      sym_keyword_deferrable,
    ACTIONS(14287), 1,
      sym_keyword_execute,
    STATE(7956), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477613] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14289), 1,
      sym_keyword_deferrable,
    ACTIONS(14291), 1,
      sym_keyword_execute,
    STATE(8079), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477645] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14110), 1,
      sym_keyword_deferrable,
    ACTIONS(14291), 1,
      sym_keyword_execute,
    STATE(7956), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477677] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14110), 1,
      sym_keyword_deferrable,
    ACTIONS(14293), 1,
      sym_keyword_execute,
    STATE(7956), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477709] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14293), 1,
      sym_keyword_execute,
    ACTIONS(14295), 1,
      sym_keyword_deferrable,
    STATE(8081), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477741] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14110), 1,
      sym_keyword_deferrable,
    ACTIONS(14297), 1,
      sym_keyword_execute,
    STATE(7956), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477773] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14297), 1,
      sym_keyword_execute,
    ACTIONS(14299), 1,
      sym_keyword_deferrable,
    STATE(8083), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477805] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14060), 1,
      sym_keyword_execute,
    ACTIONS(14110), 1,
      sym_keyword_deferrable,
    STATE(7956), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477837] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14110), 1,
      sym_keyword_deferrable,
    ACTIONS(14301), 1,
      sym_keyword_execute,
    STATE(7956), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477869] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14301), 1,
      sym_keyword_execute,
    ACTIONS(14303), 1,
      sym_keyword_deferrable,
    STATE(8086), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477901] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14110), 1,
      sym_keyword_deferrable,
    ACTIONS(14305), 1,
      sym_keyword_execute,
    STATE(7956), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477933] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14305), 1,
      sym_keyword_execute,
    ACTIONS(14307), 1,
      sym_keyword_deferrable,
    STATE(8088), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477965] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14110), 1,
      sym_keyword_deferrable,
    ACTIONS(14309), 1,
      sym_keyword_execute,
    STATE(7956), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477997] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14309), 1,
      sym_keyword_execute,
    ACTIONS(14311), 1,
      sym_keyword_deferrable,
    STATE(8090), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478029] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14110), 1,
      sym_keyword_deferrable,
    ACTIONS(14313), 1,
      sym_keyword_execute,
    STATE(7956), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478061] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14313), 1,
      sym_keyword_execute,
    ACTIONS(14315), 1,
      sym_keyword_deferrable,
    STATE(8092), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478093] = 10,
    ACTIONS(14046), 1,
      sym_keyword_from,
    ACTIONS(14048), 1,
      sym_keyword_when,
    ACTIONS(14050), 1,
      sym_keyword_not,
    ACTIONS(14052), 1,
      sym_keyword_for,
    ACTIONS(14056), 1,
      sym_keyword_initially,
    ACTIONS(14058), 1,
      sym_keyword_referencing,
    ACTIONS(14110), 1,
      sym_keyword_deferrable,
    ACTIONS(14317), 1,
      sym_keyword_execute,
    STATE(7956), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478125] = 10,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    STATE(8542), 1,
      sym_select,
    STATE(9424), 1,
      sym__select_statement,
    STATE(13156), 1,
      sym__show_statement,
    STATE(13161), 1,
      sym_set_operation,
    STATE(14366), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478157] = 10,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    STATE(8542), 1,
      sym_select,
    STATE(9424), 1,
      sym__select_statement,
    STATE(13156), 1,
      sym__show_statement,
    STATE(13161), 1,
      sym_set_operation,
    STATE(14384), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478189] = 8,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(13878), 1,
      sym_keyword_create,
    STATE(7978), 1,
      aux_sym_create_database_repeat1,
    STATE(8341), 1,
      sym_identifier,
    STATE(8687), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13876), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [478217] = 8,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14070), 1,
      sym_keyword_partition,
    ACTIONS(14319), 1,
      anon_sym_RPAREN,
    STATE(8496), 1,
      sym_partition_by,
    STATE(9123), 1,
      sym_order_by,
    STATE(12659), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [478245] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13267), 1,
      sym_keyword_using,
    ACTIONS(13351), 1,
      sym_keyword_on,
    STATE(11758), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [478273] = 4,
    ACTIONS(14086), 1,
      anon_sym_COMMA,
    STATE(7927), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14201), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
  [478293] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13239), 1,
      sym_keyword_using,
    ACTIONS(13361), 1,
      sym_keyword_on,
    STATE(11761), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [478321] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(13317), 1,
      sym_keyword_using,
    ACTIONS(13369), 1,
      sym_keyword_on,
    STATE(11762), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [478349] = 8,
    ACTIONS(13142), 1,
      sym_keyword_inner,
    ACTIONS(13144), 1,
      sym_keyword_join,
    ACTIONS(13146), 1,
      sym_keyword_natural,
    ACTIONS(14068), 1,
      sym_keyword_using,
    ACTIONS(14321), 1,
      sym_keyword_on,
    STATE(11763), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13140), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [478377] = 4,
    STATE(1183), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(14122), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [478397] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14323), 1,
      sym_keyword_separator,
    ACTIONS(14325), 1,
      anon_sym_RPAREN,
    ACTIONS(14327), 1,
      anon_sym_COMMA,
    STATE(8527), 1,
      sym_order_by,
    STATE(11053), 1,
      aux_sym_invocation_repeat1,
    STATE(13546), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478426] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12164), 1,
      anon_sym_LPAREN,
    ACTIONS(14329), 1,
      anon_sym_RPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7707), 1,
      sym__select_statement,
    STATE(8114), 1,
      sym__show_statement,
    STATE(8115), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478455] = 8,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(12069), 2,
      sym__literal_string,
      sym_identifier,
  [478482] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14331), 1,
      sym_keyword_separator,
    ACTIONS(14333), 1,
      anon_sym_RPAREN,
    ACTIONS(14335), 1,
      anon_sym_COMMA,
    STATE(8599), 1,
      sym_order_by,
    STATE(10491), 1,
      aux_sym_invocation_repeat1,
    STATE(14139), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478511] = 6,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    STATE(8721), 1,
      sym_order_by,
    STATE(9772), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14042), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [478534] = 6,
    ACTIONS(14341), 1,
      anon_sym_COMMA,
    STATE(8352), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(11355), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14339), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14337), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [478557] = 7,
    ACTIONS(14345), 1,
      sym_keyword_delete,
    ACTIONS(14347), 1,
      sym_keyword_insert,
    ACTIONS(14349), 1,
      sym_keyword_update,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(9957), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14343), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
  [478582] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14353), 8,
      sym_keyword_from,
      sym_keyword_when,
      sym_keyword_not,
      sym_keyword_for,
      sym_keyword_deferrable,
      sym_keyword_initially,
      sym_keyword_referencing,
      sym_keyword_execute,
  [478597] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14005), 8,
      sym_keyword_from,
      sym_keyword_when,
      sym_keyword_not,
      sym_keyword_for,
      sym_keyword_deferrable,
      sym_keyword_initially,
      sym_keyword_referencing,
      sym_keyword_execute,
  [478612] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14355), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [478627] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14357), 1,
      sym_keyword_separator,
    ACTIONS(14359), 1,
      anon_sym_RPAREN,
    ACTIONS(14361), 1,
      anon_sym_COMMA,
    STATE(8512), 1,
      sym_order_by,
    STATE(10588), 1,
      aux_sym_invocation_repeat1,
    STATE(14325), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478656] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14363), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [478671] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13807), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [478686] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14365), 1,
      sym_keyword_separator,
    ACTIONS(14367), 1,
      anon_sym_RPAREN,
    ACTIONS(14369), 1,
      anon_sym_COMMA,
    STATE(8776), 1,
      sym_order_by,
    STATE(10599), 1,
      aux_sym_invocation_repeat1,
    STATE(14357), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478715] = 4,
    ACTIONS(13818), 1,
      anon_sym_LBRACK,
    STATE(3298), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3481), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_COMMA,
  [478734] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14371), 1,
      sym_keyword_separator,
    ACTIONS(14373), 1,
      anon_sym_RPAREN,
    ACTIONS(14375), 1,
      anon_sym_COMMA,
    STATE(8544), 1,
      sym_order_by,
    STATE(10912), 1,
      aux_sym_invocation_repeat1,
    STATE(13092), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478763] = 7,
    ACTIONS(14351), 1,
      sym_keyword_where,
    ACTIONS(14379), 1,
      sym_keyword_delete,
    ACTIONS(14381), 1,
      sym_keyword_insert,
    ACTIONS(14383), 1,
      sym_keyword_update,
    STATE(9989), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14377), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
  [478788] = 6,
    ACTIONS(14385), 1,
      anon_sym_LPAREN,
    STATE(5700), 1,
      sym_identifier,
    STATE(13857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8559), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [478811] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14387), 1,
      sym_keyword_separator,
    ACTIONS(14389), 1,
      anon_sym_RPAREN,
    ACTIONS(14391), 1,
      anon_sym_COMMA,
    STATE(8679), 1,
      sym_order_by,
    STATE(10664), 1,
      aux_sym_invocation_repeat1,
    STATE(14607), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478840] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14393), 1,
      sym_keyword_separator,
    ACTIONS(14395), 1,
      anon_sym_RPAREN,
    ACTIONS(14397), 1,
      anon_sym_COMMA,
    STATE(8511), 1,
      sym_order_by,
    STATE(10787), 1,
      aux_sym_invocation_repeat1,
    STATE(14573), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478869] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14399), 1,
      sym_keyword_separator,
    ACTIONS(14401), 1,
      anon_sym_RPAREN,
    ACTIONS(14403), 1,
      anon_sym_COMMA,
    STATE(8750), 1,
      sym_order_by,
    STATE(10667), 1,
      aux_sym_invocation_repeat1,
    STATE(14619), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478898] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14407), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(14405), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [478915] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14409), 1,
      sym_keyword_separator,
    ACTIONS(14411), 1,
      anon_sym_RPAREN,
    ACTIONS(14413), 1,
      anon_sym_COMMA,
    STATE(8558), 1,
      sym_order_by,
    STATE(11449), 1,
      aux_sym_invocation_repeat1,
    STATE(14036), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478944] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14417), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(14415), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [478961] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14419), 1,
      sym_keyword_separator,
    ACTIONS(14421), 1,
      anon_sym_RPAREN,
    ACTIONS(14423), 1,
      anon_sym_COMMA,
    STATE(8709), 1,
      sym_order_by,
    STATE(10811), 1,
      aux_sym_invocation_repeat1,
    STATE(12281), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478990] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14425), 1,
      sym_keyword_separator,
    ACTIONS(14427), 1,
      anon_sym_RPAREN,
    ACTIONS(14429), 1,
      anon_sym_COMMA,
    STATE(8612), 1,
      sym_order_by,
    STATE(10778), 1,
      aux_sym_invocation_repeat1,
    STATE(14755), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [479019] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14431), 1,
      sym_keyword_separator,
    ACTIONS(14433), 1,
      anon_sym_RPAREN,
    ACTIONS(14435), 1,
      anon_sym_COMMA,
    STATE(8666), 1,
      sym_order_by,
    STATE(10785), 1,
      aux_sym_invocation_repeat1,
    STATE(14770), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [479048] = 6,
    ACTIONS(14437), 1,
      anon_sym_LPAREN,
    STATE(5700), 1,
      sym_identifier,
    STATE(12986), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6592), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [479071] = 9,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(9527), 1,
      sym__literal_string,
    STATE(9528), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [479100] = 9,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(10428), 1,
      sym__literal_string,
    STATE(10429), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [479129] = 4,
    ACTIONS(14441), 1,
      anon_sym_COMMA,
    STATE(8213), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14439), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [479148] = 7,
    ACTIONS(14195), 1,
      anon_sym_LPAREN,
    STATE(7362), 1,
      sym_identifier,
    STATE(8137), 1,
      sym_assignment,
    STATE(12700), 1,
      sym_object_reference,
    STATE(14741), 1,
      sym__qualified_field,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [479173] = 8,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14227), 1,
      anon_sym_LPAREN,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(8743), 1,
      sym__if_not_exists,
    STATE(9051), 1,
      sym_ordered_columns,
    STATE(12018), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [479200] = 9,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(10222), 1,
      sym__literal_string,
    STATE(10223), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [479229] = 4,
    ACTIONS(14445), 1,
      anon_sym_COMMA,
    STATE(8157), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14201), 6,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [479248] = 9,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(10302), 1,
      sym__literal_string,
    STATE(10303), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [479277] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14449), 1,
      sym_keyword_ignore,
    STATE(5700), 1,
      sym_identifier,
    STATE(6966), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14447), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
  [479302] = 7,
    ACTIONS(14453), 1,
      sym_keyword_delete,
    ACTIONS(14455), 1,
      sym_keyword_insert,
    ACTIONS(14457), 1,
      sym_keyword_update,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(11200), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14451), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [479327] = 8,
    ACTIONS(14461), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    ACTIONS(14465), 1,
      sym_keyword_only,
    STATE(6319), 1,
      sym_object_reference,
    STATE(6516), 1,
      sym_identifier,
    STATE(8759), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [479354] = 6,
    ACTIONS(14385), 1,
      anon_sym_LPAREN,
    STATE(5700), 1,
      sym_identifier,
    STATE(13857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8689), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [479377] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12164), 1,
      anon_sym_LPAREN,
    ACTIONS(14469), 1,
      anon_sym_RPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7707), 1,
      sym__select_statement,
    STATE(8114), 1,
      sym__show_statement,
    STATE(8115), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [479406] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14471), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [479421] = 5,
    STATE(9401), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14473), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(8246), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [479442] = 6,
    ACTIONS(14385), 1,
      anon_sym_LPAREN,
    STATE(5700), 1,
      sym_identifier,
    STATE(13857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8809), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [479465] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14475), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [479480] = 6,
    ACTIONS(14385), 1,
      anon_sym_LPAREN,
    STATE(5700), 1,
      sym_identifier,
    STATE(13857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8895), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [479503] = 8,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    ACTIONS(14477), 1,
      sym_keyword_column,
    ACTIONS(14479), 1,
      sym_keyword_constraint,
    STATE(10232), 1,
      sym__if_exists,
    STATE(10954), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [479530] = 4,
    STATE(1247), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(14122), 5,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [479549] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14481), 1,
      sym_keyword_separator,
    ACTIONS(14483), 1,
      anon_sym_RPAREN,
    ACTIONS(14485), 1,
      anon_sym_COMMA,
    STATE(8543), 1,
      sym_order_by,
    STATE(11023), 1,
      aux_sym_invocation_repeat1,
    STATE(13509), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [479578] = 8,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    ACTIONS(14487), 1,
      sym_keyword_column,
    ACTIONS(14489), 1,
      sym_keyword_constraint,
    STATE(10412), 1,
      sym__if_exists,
    STATE(10413), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [479605] = 6,
    ACTIONS(14385), 1,
      anon_sym_LPAREN,
    STATE(5700), 1,
      sym_identifier,
    STATE(13857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8818), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [479628] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14491), 1,
      sym_keyword_separator,
    ACTIONS(14493), 1,
      anon_sym_RPAREN,
    ACTIONS(14495), 1,
      anon_sym_COMMA,
    STATE(8591), 1,
      sym_order_by,
    STATE(11092), 1,
      aux_sym_invocation_repeat1,
    STATE(13609), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [479657] = 8,
    ACTIONS(14461), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    ACTIONS(14497), 1,
      sym_keyword_only,
    STATE(6363), 1,
      sym_object_reference,
    STATE(6516), 1,
      sym_identifier,
    STATE(8771), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [479684] = 7,
    ACTIONS(14195), 1,
      anon_sym_LPAREN,
    STATE(7362), 1,
      sym_identifier,
    STATE(8038), 1,
      sym_assignment,
    STATE(12700), 1,
      sym_object_reference,
    STATE(14741), 1,
      sym__qualified_field,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [479709] = 4,
    ACTIONS(14445), 1,
      anon_sym_COMMA,
    STATE(8164), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14084), 6,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [479728] = 5,
    ACTIONS(14499), 1,
      sym_keyword_from,
    STATE(1564), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(13900), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
  [479749] = 6,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(10975), 1,
      sym_keyword_order,
    STATE(7585), 1,
      sym_order_by,
    STATE(7758), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9030), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [479772] = 7,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(14503), 1,
      sym_keyword_session,
    STATE(7034), 1,
      sym_identifier,
    STATE(11774), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14501), 2,
      sym_keyword_role,
      sym_keyword_all,
  [479797] = 6,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    STATE(8631), 1,
      sym_order_by,
    STATE(10161), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14505), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [479820] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14507), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [479835] = 6,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(10975), 1,
      sym_keyword_order,
    STATE(7531), 1,
      sym_order_by,
    STATE(7858), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8992), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [479858] = 4,
    ACTIONS(14509), 1,
      anon_sym_COMMA,
    STATE(8164), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14245), 6,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [479877] = 6,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(10975), 1,
      sym_keyword_order,
    STATE(7543), 1,
      sym_order_by,
    STATE(7857), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10951), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [479900] = 8,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14227), 1,
      anon_sym_LPAREN,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(8755), 1,
      sym__if_not_exists,
    STATE(9559), 1,
      sym_ordered_columns,
    STATE(12143), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [479927] = 3,
    ACTIONS(14514), 1,
      sym_keyword_materialized,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14512), 7,
      sym_keyword_table,
      sym_keyword_view,
      sym_keyword_schema,
      sym_keyword_user,
      sym_keyword_trigger,
      sym_keyword_function,
      sym_keyword_procedure,
  [479944] = 6,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(10975), 1,
      sym_keyword_order,
    STATE(7510), 1,
      sym_order_by,
    STATE(7880), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10953), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [479967] = 6,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(10975), 1,
      sym_keyword_order,
    STATE(7589), 1,
      sym_order_by,
    STATE(7769), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12553), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [479990] = 7,
    ACTIONS(14459), 1,
      sym_keyword_where,
    ACTIONS(14518), 1,
      sym_keyword_delete,
    ACTIONS(14520), 1,
      sym_keyword_insert,
    ACTIONS(14522), 1,
      sym_keyword_update,
    STATE(10916), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14516), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [480015] = 6,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(10975), 1,
      sym_keyword_order,
    STATE(7537), 1,
      sym_order_by,
    STATE(7802), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12758), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [480038] = 6,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(10975), 1,
      sym_keyword_order,
    STATE(7578), 1,
      sym_order_by,
    STATE(7887), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13041), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [480061] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13686), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [480076] = 4,
    ACTIONS(14441), 1,
      anon_sym_COMMA,
    STATE(8210), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14524), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [480095] = 6,
    ACTIONS(14341), 1,
      anon_sym_COMMA,
    STATE(8199), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(11181), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14526), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(13494), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [480118] = 3,
    ACTIONS(14530), 1,
      sym_keyword_materialized,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14528), 7,
      sym_keyword_table,
      sym_keyword_view,
      sym_keyword_schema,
      sym_keyword_user,
      sym_keyword_trigger,
      sym_keyword_function,
      sym_keyword_procedure,
  [480135] = 7,
    ACTIONS(14195), 1,
      anon_sym_LPAREN,
    STATE(7362), 1,
      sym_identifier,
    STATE(7999), 1,
      sym_assignment,
    STATE(12700), 1,
      sym_object_reference,
    STATE(14812), 1,
      sym__qualified_field,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [480160] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14532), 1,
      sym_keyword_separator,
    ACTIONS(14534), 1,
      anon_sym_RPAREN,
    ACTIONS(14536), 1,
      anon_sym_COMMA,
    STATE(8888), 1,
      sym_order_by,
    STATE(11045), 1,
      aux_sym_invocation_repeat1,
    STATE(13523), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480189] = 6,
    ACTIONS(14385), 1,
      anon_sym_LPAREN,
    STATE(5700), 1,
      sym_identifier,
    STATE(13857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8871), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [480212] = 7,
    ACTIONS(14195), 1,
      anon_sym_LPAREN,
    STATE(7362), 1,
      sym_identifier,
    STATE(8098), 1,
      sym_assignment,
    STATE(12282), 1,
      sym__qualified_field,
    STATE(12700), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [480237] = 6,
    ACTIONS(14385), 1,
      anon_sym_LPAREN,
    STATE(5700), 1,
      sym_identifier,
    STATE(13857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8882), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [480260] = 6,
    ACTIONS(14385), 1,
      anon_sym_LPAREN,
    STATE(5700), 1,
      sym_identifier,
    STATE(13857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8886), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [480283] = 6,
    ACTIONS(14341), 1,
      anon_sym_COMMA,
    STATE(8108), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(11410), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14540), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14538), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [480306] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14542), 1,
      sym_keyword_separator,
    ACTIONS(14544), 1,
      anon_sym_RPAREN,
    ACTIONS(14546), 1,
      anon_sym_COMMA,
    STATE(8856), 1,
      sym_order_by,
    STATE(11285), 1,
      aux_sym_invocation_repeat1,
    STATE(14287), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480335] = 6,
    ACTIONS(14341), 1,
      anon_sym_COMMA,
    STATE(8352), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(11410), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14540), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14538), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [480358] = 6,
    ACTIONS(14550), 1,
      sym_keyword_cascade,
    ACTIONS(14552), 1,
      sym_keyword_with,
    ACTIONS(14554), 1,
      sym_keyword_schema,
    ACTIONS(14556), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14548), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [480381] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14558), 1,
      sym_keyword_separator,
    ACTIONS(14560), 1,
      anon_sym_RPAREN,
    ACTIONS(14562), 1,
      anon_sym_COMMA,
    STATE(8891), 1,
      sym_order_by,
    STATE(11307), 1,
      aux_sym_invocation_repeat1,
    STATE(14311), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480410] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14564), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [480425] = 6,
    ACTIONS(14385), 1,
      anon_sym_LPAREN,
    STATE(5700), 1,
      sym_identifier,
    STATE(13857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8834), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [480448] = 6,
    ACTIONS(14385), 1,
      anon_sym_LPAREN,
    STATE(5700), 1,
      sym_identifier,
    STATE(13857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8610), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [480471] = 8,
    ACTIONS(14461), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    ACTIONS(14566), 1,
      sym_keyword_only,
    STATE(6346), 1,
      sym_object_reference,
    STATE(6516), 1,
      sym_identifier,
    STATE(8878), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [480498] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14568), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [480513] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13775), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [480528] = 6,
    ACTIONS(14385), 1,
      anon_sym_LPAREN,
    STATE(5700), 1,
      sym_identifier,
    STATE(13857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8620), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [480551] = 6,
    ACTIONS(14385), 1,
      anon_sym_LPAREN,
    STATE(5700), 1,
      sym_identifier,
    STATE(13857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8828), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [480574] = 6,
    ACTIONS(14385), 1,
      anon_sym_LPAREN,
    STATE(5700), 1,
      sym_identifier,
    STATE(13857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8634), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [480597] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14570), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [480612] = 7,
    ACTIONS(14459), 1,
      sym_keyword_where,
    ACTIONS(14572), 1,
      sym_keyword_delete,
    ACTIONS(14574), 1,
      sym_keyword_insert,
    ACTIONS(14576), 1,
      sym_keyword_update,
    STATE(11191), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14343), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [480637] = 6,
    ACTIONS(14341), 1,
      anon_sym_COMMA,
    STATE(8352), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(10984), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14578), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(13648), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [480660] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14582), 1,
      sym_keyword_ignore,
    STATE(5700), 1,
      sym_identifier,
    STATE(6952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14580), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
  [480685] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14584), 1,
      sym_keyword_separator,
    ACTIONS(14586), 1,
      anon_sym_RPAREN,
    ACTIONS(14588), 1,
      anon_sym_COMMA,
    STATE(8635), 1,
      sym_order_by,
    STATE(10766), 1,
      aux_sym_invocation_repeat1,
    STATE(14299), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480714] = 8,
    ACTIONS(14461), 1,
      sym__identifier,
    ACTIONS(14467), 1,
      aux_sym_identifier_token1,
    ACTIONS(14590), 1,
      sym__double_quote_string,
    ACTIONS(14592), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(14594), 1,
      sym__dollar_quoted_string,
    STATE(6663), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6770), 2,
      sym__literal_string,
      sym_identifier,
  [480741] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14596), 8,
      sym_keyword_parquet,
      sym_keyword_rcfile,
      sym_keyword_csv,
      sym_keyword_textfile,
      sym_keyword_avro,
      sym_keyword_sequencefile,
      sym_keyword_orc,
      sym_keyword_jsonfile,
  [480756] = 6,
    ACTIONS(14600), 1,
      sym_keyword_cascade,
    ACTIONS(14602), 1,
      sym_keyword_with,
    ACTIONS(14604), 1,
      sym_keyword_schema,
    ACTIONS(14606), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14598), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [480779] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14608), 1,
      sym_keyword_separator,
    ACTIONS(14610), 1,
      anon_sym_RPAREN,
    ACTIONS(14612), 1,
      anon_sym_COMMA,
    STATE(8586), 1,
      sym_order_by,
    STATE(11415), 1,
      aux_sym_invocation_repeat1,
    STATE(13047), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480808] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14614), 1,
      sym_keyword_separator,
    ACTIONS(14616), 1,
      anon_sym_RPAREN,
    ACTIONS(14618), 1,
      anon_sym_COMMA,
    STATE(8713), 1,
      sym_order_by,
    STATE(10879), 1,
      aux_sym_invocation_repeat1,
    STATE(13549), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480837] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14620), 1,
      sym_keyword_separator,
    ACTIONS(14622), 1,
      anon_sym_RPAREN,
    ACTIONS(14624), 1,
      anon_sym_COMMA,
    STATE(8594), 1,
      sym_order_by,
    STATE(11433), 1,
      aux_sym_invocation_repeat1,
    STATE(13568), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480866] = 4,
    ACTIONS(14628), 1,
      anon_sym_COMMA,
    STATE(8208), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14626), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [480885] = 7,
    ACTIONS(14459), 1,
      sym_keyword_where,
    ACTIONS(14631), 1,
      sym_keyword_delete,
    ACTIONS(14633), 1,
      sym_keyword_insert,
    ACTIONS(14635), 1,
      sym_keyword_update,
    STATE(10564), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14377), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [480910] = 4,
    ACTIONS(14441), 1,
      anon_sym_COMMA,
    STATE(8208), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14637), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [480929] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14639), 1,
      sym_keyword_separator,
    ACTIONS(14641), 1,
      anon_sym_RPAREN,
    ACTIONS(14643), 1,
      anon_sym_COMMA,
    STATE(8671), 1,
      sym_order_by,
    STATE(11158), 1,
      aux_sym_invocation_repeat1,
    STATE(13696), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480958] = 9,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(9105), 1,
      sym__literal_string,
    STATE(9106), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480987] = 4,
    ACTIONS(14441), 1,
      anon_sym_COMMA,
    STATE(8208), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14645), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [481006] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14647), 1,
      sym_keyword_separator,
    ACTIONS(14649), 1,
      anon_sym_RPAREN,
    ACTIONS(14651), 1,
      anon_sym_COMMA,
    STATE(8711), 1,
      sym_order_by,
    STATE(11482), 1,
      aux_sym_invocation_repeat1,
    STATE(12319), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481035] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14653), 1,
      sym_keyword_separator,
    ACTIONS(14655), 1,
      anon_sym_RPAREN,
    ACTIONS(14657), 1,
      anon_sym_COMMA,
    STATE(8661), 1,
      sym_order_by,
    STATE(10516), 1,
      aux_sym_invocation_repeat1,
    STATE(13141), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481064] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14661), 1,
      sym_keyword_ignore,
    STATE(5700), 1,
      sym_identifier,
    STATE(6943), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14659), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
  [481089] = 5,
    ACTIONS(14663), 1,
      sym_keyword_from,
    STATE(1761), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(13900), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
  [481110] = 7,
    ACTIONS(14195), 1,
      anon_sym_LPAREN,
    STATE(7362), 1,
      sym_identifier,
    STATE(8038), 1,
      sym_assignment,
    STATE(12700), 1,
      sym_object_reference,
    STATE(14812), 1,
      sym__qualified_field,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [481135] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12164), 1,
      anon_sym_LPAREN,
    ACTIONS(14665), 1,
      anon_sym_RPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7707), 1,
      sym__select_statement,
    STATE(8114), 1,
      sym__show_statement,
    STATE(8115), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481164] = 7,
    ACTIONS(14195), 1,
      anon_sym_LPAREN,
    STATE(7362), 1,
      sym_identifier,
    STATE(8237), 1,
      sym_assignment,
    STATE(12282), 1,
      sym__qualified_field,
    STATE(12700), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [481189] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14667), 1,
      sym_keyword_separator,
    ACTIONS(14669), 1,
      anon_sym_RPAREN,
    ACTIONS(14671), 1,
      anon_sym_COMMA,
    STATE(8670), 1,
      sym_order_by,
    STATE(10682), 1,
      aux_sym_invocation_repeat1,
    STATE(13226), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481218] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14673), 1,
      sym_keyword_separator,
    ACTIONS(14675), 1,
      anon_sym_RPAREN,
    ACTIONS(14677), 1,
      anon_sym_COMMA,
    STATE(8699), 1,
      sym_order_by,
    STATE(11210), 1,
      aux_sym_invocation_repeat1,
    STATE(13715), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481247] = 8,
    ACTIONS(14679), 1,
      sym__identifier,
    ACTIONS(14681), 1,
      sym__double_quote_string,
    ACTIONS(14683), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(14685), 1,
      aux_sym_identifier_token1,
    ACTIONS(14687), 1,
      sym__dollar_quoted_string,
    STATE(6701), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6874), 2,
      sym__literal_string,
      sym_identifier,
  [481274] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14689), 8,
      sym_keyword_parquet,
      sym_keyword_rcfile,
      sym_keyword_csv,
      sym_keyword_textfile,
      sym_keyword_avro,
      sym_keyword_sequencefile,
      sym_keyword_orc,
      sym_keyword_jsonfile,
  [481289] = 7,
    ACTIONS(14351), 1,
      sym_keyword_where,
    ACTIONS(14691), 1,
      sym_keyword_delete,
    ACTIONS(14693), 1,
      sym_keyword_insert,
    ACTIONS(14695), 1,
      sym_keyword_update,
    STATE(9916), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14516), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
  [481314] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14697), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [481329] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14701), 1,
      sym_keyword_session,
    STATE(5700), 1,
      sym_identifier,
    STATE(10927), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14699), 2,
      sym_keyword_role,
      sym_keyword_all,
  [481354] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14703), 1,
      sym_keyword_separator,
    ACTIONS(14705), 1,
      anon_sym_RPAREN,
    ACTIONS(14707), 1,
      anon_sym_COMMA,
    STATE(8727), 1,
      sym_order_by,
    STATE(10502), 1,
      aux_sym_invocation_repeat1,
    STATE(14103), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481383] = 5,
    ACTIONS(14709), 1,
      sym_keyword_union,
    STATE(8231), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14711), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13686), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
  [481404] = 5,
    ACTIONS(14709), 1,
      sym_keyword_union,
    STATE(8231), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14711), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13807), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
  [481425] = 5,
    ACTIONS(14709), 1,
      sym_keyword_union,
    STATE(8232), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14711), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13809), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
  [481446] = 5,
    ACTIONS(14713), 1,
      sym_keyword_union,
    STATE(8232), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14716), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13763), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
  [481467] = 5,
    ACTIONS(14709), 1,
      sym_keyword_union,
    STATE(8231), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14711), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13775), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
  [481488] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14719), 1,
      sym_keyword_separator,
    ACTIONS(14721), 1,
      anon_sym_RPAREN,
    ACTIONS(14723), 1,
      anon_sym_COMMA,
    STATE(8735), 1,
      sym_order_by,
    STATE(10579), 1,
      aux_sym_invocation_repeat1,
    STATE(14202), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481517] = 9,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(9030), 1,
      sym__literal_string,
    STATE(9031), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481546] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14727), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(14725), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [481563] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14245), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_COMMA,
  [481578] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14731), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(14729), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [481595] = 9,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(10159), 1,
      sym__literal_string,
    STATE(10189), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481624] = 8,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14273), 1,
      anon_sym_LPAREN,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(8797), 1,
      sym__if_not_exists,
    STATE(10373), 1,
      sym_ordered_columns,
    STATE(11630), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [481651] = 6,
    ACTIONS(14385), 1,
      anon_sym_LPAREN,
    STATE(5700), 1,
      sym_identifier,
    STATE(13857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8873), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [481674] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14733), 1,
      sym_keyword_separator,
    ACTIONS(14735), 1,
      anon_sym_RPAREN,
    ACTIONS(14737), 1,
      anon_sym_COMMA,
    STATE(8773), 1,
      sym_order_by,
    STATE(11156), 1,
      aux_sym_invocation_repeat1,
    STATE(12292), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481703] = 6,
    ACTIONS(14739), 1,
      anon_sym_LPAREN,
    STATE(5700), 1,
      sym_identifier,
    STATE(12334), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6629), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [481726] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14741), 1,
      sym_keyword_separator,
    ACTIONS(14743), 1,
      anon_sym_RPAREN,
    ACTIONS(14745), 1,
      anon_sym_COMMA,
    STATE(8778), 1,
      sym_order_by,
    STATE(11247), 1,
      aux_sym_invocation_repeat1,
    STATE(12331), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481755] = 9,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(9305), 1,
      sym__literal_string,
    STATE(9306), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481784] = 5,
    STATE(9401), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14750), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(8246), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(14747), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [481805] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2051), 8,
      sym_keyword_from,
      sym_keyword_when,
      sym_keyword_not,
      sym_keyword_for,
      sym_keyword_deferrable,
      sym_keyword_initially,
      sym_keyword_referencing,
      sym_keyword_execute,
  [481820] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14752), 8,
      sym_keyword_from,
      sym_keyword_when,
      sym_keyword_not,
      sym_keyword_for,
      sym_keyword_deferrable,
      sym_keyword_initially,
      sym_keyword_referencing,
      sym_keyword_execute,
  [481835] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14754), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [481850] = 9,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(3106), 1,
      sym__double_quote_string,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3116), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(9038), 1,
      sym__literal_string,
    STATE(9039), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481879] = 6,
    ACTIONS(14385), 1,
      anon_sym_LPAREN,
    STATE(5700), 1,
      sym_identifier,
    STATE(13857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8692), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [481902] = 8,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14273), 1,
      anon_sym_LPAREN,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(8881), 1,
      sym__if_not_exists,
    STATE(10440), 1,
      sym_ordered_columns,
    STATE(11757), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [481929] = 6,
    ACTIONS(14385), 1,
      anon_sym_LPAREN,
    STATE(5700), 1,
      sym_identifier,
    STATE(13857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8700), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [481952] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14756), 1,
      sym_keyword_separator,
    ACTIONS(14758), 1,
      anon_sym_RPAREN,
    ACTIONS(14760), 1,
      anon_sym_COMMA,
    STATE(8827), 1,
      sym_order_by,
    STATE(11311), 1,
      aux_sym_invocation_repeat1,
    STATE(13874), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481981] = 6,
    ACTIONS(14385), 1,
      anon_sym_LPAREN,
    STATE(5700), 1,
      sym_identifier,
    STATE(13857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8706), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [482004] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14762), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [482019] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14764), 1,
      sym_keyword_separator,
    ACTIONS(14766), 1,
      anon_sym_RPAREN,
    ACTIONS(14768), 1,
      anon_sym_COMMA,
    STATE(8833), 1,
      sym_order_by,
    STATE(11354), 1,
      aux_sym_invocation_repeat1,
    STATE(13891), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [482048] = 6,
    ACTIONS(14341), 1,
      anon_sym_COMMA,
    STATE(8185), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(10984), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14578), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(13648), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [482071] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14770), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [482086] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14772), 1,
      sym_keyword_separator,
    ACTIONS(14774), 1,
      anon_sym_RPAREN,
    ACTIONS(14776), 1,
      anon_sym_COMMA,
    STATE(8551), 1,
      sym_order_by,
    STATE(10903), 1,
      aux_sym_invocation_repeat1,
    STATE(13054), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [482115] = 7,
    ACTIONS(14351), 1,
      sym_keyword_where,
    ACTIONS(14778), 1,
      sym_keyword_delete,
    ACTIONS(14780), 1,
      sym_keyword_insert,
    ACTIONS(14782), 1,
      sym_keyword_update,
    STATE(9848), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14451), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
  [482140] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14784), 1,
      sym_keyword_separator,
    ACTIONS(14786), 1,
      anon_sym_RPAREN,
    ACTIONS(14788), 1,
      anon_sym_COMMA,
    STATE(8872), 1,
      sym_order_by,
    STATE(10657), 1,
      aux_sym_invocation_repeat1,
    STATE(12655), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [482169] = 9,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(341), 1,
      aux_sym_identifier_token1,
    ACTIONS(3020), 1,
      sym__double_quote_string,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3030), 1,
      sym__dollar_quoted_string,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(10349), 1,
      sym__literal_string,
    STATE(10350), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [482198] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14790), 1,
      sym_keyword_separator,
    ACTIONS(14792), 1,
      anon_sym_RPAREN,
    ACTIONS(14794), 1,
      anon_sym_COMMA,
    STATE(8884), 1,
      sym_order_by,
    STATE(10748), 1,
      aux_sym_invocation_repeat1,
    STATE(12683), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [482227] = 9,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14796), 1,
      sym_keyword_separator,
    ACTIONS(14798), 1,
      anon_sym_RPAREN,
    ACTIONS(14800), 1,
      anon_sym_COMMA,
    STATE(8811), 1,
      sym_order_by,
    STATE(10481), 1,
      aux_sym_invocation_repeat1,
    STATE(14117), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [482256] = 6,
    ACTIONS(14385), 1,
      anon_sym_LPAREN,
    STATE(5700), 1,
      sym_identifier,
    STATE(13857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8752), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [482279] = 6,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14802), 1,
      anon_sym_RPAREN,
    STATE(9176), 1,
      sym_order_by,
    STATE(14156), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [482301] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(5700), 1,
      sym_identifier,
    STATE(9470), 1,
      sym__if_not_exists,
    STATE(11586), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482325] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(5700), 1,
      sym_identifier,
    STATE(9471), 1,
      sym__if_not_exists,
    STATE(12594), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482349] = 7,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(14804), 1,
      anon_sym_EQ,
    STATE(8236), 1,
      sym__single_quote_string,
    STATE(8238), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482373] = 7,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(14806), 1,
      sym_keyword_stdin,
    ACTIONS(14808), 1,
      sym_keyword_program,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11896), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [482397] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11812), 7,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [482411] = 5,
    ACTIONS(14812), 1,
      sym_keyword_collate,
    STATE(11218), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14814), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14810), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [482431] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(5980), 1,
      sym_keyword_as,
    ACTIONS(14816), 1,
      sym_keyword_on,
    STATE(6406), 1,
      sym_identifier,
    STATE(13580), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482455] = 5,
    ACTIONS(14820), 1,
      sym_keyword_collate,
    STATE(11228), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14822), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14818), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [482475] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    STATE(5700), 1,
      sym_identifier,
    STATE(6966), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14447), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
  [482497] = 6,
    ACTIONS(14385), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(8422), 1,
      sym_object_reference,
    STATE(8423), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [482519] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(5700), 1,
      sym_identifier,
    STATE(9480), 1,
      sym__if_not_exists,
    STATE(11610), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482543] = 7,
    ACTIONS(14443), 1,
      sym_keyword_if,
    ACTIONS(14461), 1,
      sym__identifier,
    STATE(6461), 1,
      sym_object_reference,
    STATE(6516), 1,
      sym_identifier,
    STATE(9218), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482567] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(5700), 1,
      sym_identifier,
    STATE(8360), 1,
      sym_object_reference,
    STATE(9221), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482591] = 7,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(1860), 1,
      sym_identifier,
    STATE(7110), 1,
      sym_object_reference,
    STATE(9222), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482615] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11846), 7,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [482629] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11882), 7,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [482643] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(5980), 1,
      sym_keyword_as,
    ACTIONS(14824), 1,
      sym_keyword_on,
    STATE(6406), 1,
      sym_identifier,
    STATE(13620), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482667] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(5980), 1,
      sym_keyword_as,
    ACTIONS(14826), 1,
      sym_keyword_on,
    STATE(6406), 1,
      sym_identifier,
    STATE(13621), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482691] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(5700), 1,
      sym_identifier,
    STATE(9223), 1,
      sym__if_exists,
    STATE(11505), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482715] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11976), 7,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [482729] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11980), 7,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [482743] = 6,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14828), 1,
      anon_sym_RPAREN,
    STATE(9185), 1,
      sym_order_by,
    STATE(14362), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [482765] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    STATE(5700), 1,
      sym_identifier,
    STATE(6970), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14830), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
  [482787] = 7,
    ACTIONS(14443), 1,
      sym_keyword_if,
    ACTIONS(14461), 1,
      sym__identifier,
    STATE(6462), 1,
      sym_object_reference,
    STATE(6516), 1,
      sym_identifier,
    STATE(9229), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482811] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14754), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [482825] = 6,
    ACTIONS(14195), 1,
      anon_sym_LPAREN,
    STATE(7362), 1,
      sym_identifier,
    STATE(12700), 1,
      sym_object_reference,
    STATE(13102), 1,
      sym__qualified_field,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [482847] = 6,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14832), 1,
      anon_sym_RPAREN,
    STATE(9192), 1,
      sym_order_by,
    STATE(14729), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [482869] = 3,
    ACTIONS(14834), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(111), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_returning,
  [482885] = 7,
    ACTIONS(14461), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    ACTIONS(14836), 1,
      sym_keyword_column,
    STATE(7908), 1,
      sym_identifier,
    STATE(9910), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482909] = 4,
    ACTIONS(14838), 1,
      anon_sym_COMMA,
    STATE(8439), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14637), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
  [482927] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(5700), 1,
      sym_identifier,
    STATE(8645), 1,
      sym_object_reference,
    STATE(9199), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482951] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14507), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [482965] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13686), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [482979] = 8,
    ACTIONS(14840), 1,
      sym_keyword_not,
    ACTIONS(14842), 1,
      sym_keyword_default,
    ACTIONS(14844), 1,
      sym_keyword_data,
    ACTIONS(14846), 1,
      sym_keyword_storage,
    ACTIONS(14848), 1,
      sym_keyword_compression,
    ACTIONS(14850), 1,
      sym_keyword_statistics,
    ACTIONS(14852), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [483005] = 7,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(1860), 1,
      sym_identifier,
    STATE(7266), 1,
      sym_object_reference,
    STATE(8899), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483029] = 6,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14854), 1,
      anon_sym_RPAREN,
    STATE(9050), 1,
      sym_order_by,
    STATE(13655), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [483051] = 7,
    ACTIONS(14345), 1,
      sym_keyword_delete,
    ACTIONS(14856), 1,
      sym_keyword_insert,
    ACTIONS(14858), 1,
      sym_keyword_update,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(9957), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14343), 2,
      sym_keyword_when,
      anon_sym_RPAREN,
  [483075] = 5,
    ACTIONS(14864), 1,
      sym_keyword_first,
    ACTIONS(14866), 1,
      sym_keyword_after,
    STATE(10339), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14862), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [483095] = 8,
    ACTIONS(14868), 1,
      sym_keyword_not,
    ACTIONS(14870), 1,
      sym_keyword_default,
    ACTIONS(14872), 1,
      sym_keyword_data,
    ACTIONS(14874), 1,
      sym_keyword_storage,
    ACTIONS(14876), 1,
      sym_keyword_compression,
    ACTIONS(14878), 1,
      sym_keyword_statistics,
    ACTIONS(14880), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [483121] = 4,
    STATE(1566), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(14122), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
  [483139] = 5,
    ACTIONS(14882), 1,
      anon_sym_RPAREN,
    STATE(9401), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8044), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [483159] = 5,
    ACTIONS(14864), 1,
      sym_keyword_first,
    ACTIONS(14866), 1,
      sym_keyword_after,
    STATE(10340), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14884), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [483179] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(5700), 1,
      sym_identifier,
    STATE(9054), 1,
      sym__if_not_exists,
    STATE(11881), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483203] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14886), 1,
      sym_keyword_table,
    ACTIONS(14888), 1,
      sym_keyword_local,
    STATE(5700), 1,
      sym_identifier,
    STATE(14184), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483227] = 4,
    STATE(10351), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14892), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14890), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [483245] = 5,
    ACTIONS(14864), 1,
      sym_keyword_first,
    ACTIONS(14866), 1,
      sym_keyword_after,
    STATE(10357), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14894), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [483265] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14564), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [483279] = 6,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14896), 1,
      anon_sym_RPAREN,
    STATE(9134), 1,
      sym_order_by,
    STATE(13112), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [483301] = 7,
    ACTIONS(14778), 1,
      sym_keyword_delete,
    ACTIONS(14860), 1,
      sym_keyword_where,
    ACTIONS(14898), 1,
      sym_keyword_insert,
    ACTIONS(14900), 1,
      sym_keyword_update,
    STATE(9848), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14451), 2,
      sym_keyword_when,
      anon_sym_RPAREN,
  [483325] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14762), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [483339] = 8,
    ACTIONS(14840), 1,
      sym_keyword_not,
    ACTIONS(14844), 1,
      sym_keyword_data,
    ACTIONS(14846), 1,
      sym_keyword_storage,
    ACTIONS(14848), 1,
      sym_keyword_compression,
    ACTIONS(14850), 1,
      sym_keyword_statistics,
    ACTIONS(14852), 1,
      anon_sym_LPAREN,
    ACTIONS(14902), 1,
      sym_keyword_default,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [483365] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13775), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [483379] = 6,
    ACTIONS(14906), 1,
      anon_sym_COMMA,
    STATE(8447), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(11973), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14538), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(14904), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [483401] = 7,
    ACTIONS(405), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(3644), 1,
      sym_identifier,
    STATE(7374), 1,
      sym_object_reference,
    STATE(8919), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(463), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483425] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(5700), 1,
      sym_identifier,
    STATE(9286), 1,
      sym__if_not_exists,
    STATE(12155), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483449] = 6,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14908), 1,
      anon_sym_RPAREN,
    STATE(9190), 1,
      sym_order_by,
    STATE(14626), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [483471] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(14910), 1,
      anon_sym_EQ,
    STATE(8236), 1,
      sym__single_quote_string,
    STATE(8238), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483495] = 8,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    STATE(8710), 1,
      sym_select,
    STATE(8923), 1,
      sym__select_statement,
    STATE(13939), 1,
      sym__show_statement,
    STATE(14057), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [483521] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11775), 7,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [483535] = 7,
    ACTIONS(14379), 1,
      sym_keyword_delete,
    ACTIONS(14860), 1,
      sym_keyword_where,
    ACTIONS(14912), 1,
      sym_keyword_insert,
    ACTIONS(14914), 1,
      sym_keyword_update,
    STATE(9989), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14377), 2,
      sym_keyword_when,
      anon_sym_RPAREN,
  [483559] = 4,
    ACTIONS(7289), 1,
      anon_sym_COMMA,
    STATE(7274), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14916), 5,
      sym_keyword_order,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
  [483577] = 5,
    ACTIONS(14918), 1,
      sym_keyword_and,
    ACTIONS(14920), 1,
      sym_keyword_exclude,
    ACTIONS(14922), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14025), 4,
      sym__exclude_current_row,
      sym__exclude_group,
      sym__exclude_no_others,
      sym__exclude_ties,
  [483597] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    STATE(5700), 1,
      sym_identifier,
    STATE(6964), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14924), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
  [483619] = 8,
    ACTIONS(12050), 1,
      anon_sym_LPAREN,
    ACTIONS(13652), 1,
      sym_keyword_select,
    ACTIONS(13654), 1,
      sym_keyword_show,
    STATE(8058), 1,
      sym_select,
    STATE(8230), 1,
      sym__select_statement,
    STATE(8436), 1,
      sym__show_statement,
    STATE(8438), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [483645] = 8,
    ACTIONS(13652), 1,
      sym_keyword_select,
    ACTIONS(13654), 1,
      sym_keyword_show,
    ACTIONS(14926), 1,
      anon_sym_LPAREN,
    STATE(8058), 1,
      sym_select,
    STATE(8233), 1,
      sym__select_statement,
    STATE(8314), 1,
      sym__show_statement,
    STATE(8319), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [483671] = 5,
    ACTIONS(14928), 1,
      sym_keyword_from,
    STATE(1776), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(13900), 3,
      sym_keyword_create,
      sym_keyword_with,
      anon_sym_RPAREN,
  [483691] = 8,
    ACTIONS(12164), 1,
      anon_sym_LPAREN,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13626), 1,
      sym_keyword_show,
    STATE(7849), 1,
      sym_select,
    STATE(8046), 1,
      sym__select_statement,
    STATE(8114), 1,
      sym__show_statement,
    STATE(8115), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [483717] = 6,
    ACTIONS(14195), 1,
      anon_sym_LPAREN,
    STATE(7362), 1,
      sym_identifier,
    STATE(8761), 1,
      sym__qualified_field,
    STATE(12700), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [483739] = 8,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13626), 1,
      sym_keyword_show,
    ACTIONS(14930), 1,
      anon_sym_LPAREN,
    STATE(7849), 1,
      sym_select,
    STATE(7980), 1,
      sym__select_statement,
    STATE(8188), 1,
      sym__show_statement,
    STATE(8193), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [483765] = 8,
    ACTIONS(14868), 1,
      sym_keyword_not,
    ACTIONS(14872), 1,
      sym_keyword_data,
    ACTIONS(14874), 1,
      sym_keyword_storage,
    ACTIONS(14876), 1,
      sym_keyword_compression,
    ACTIONS(14878), 1,
      sym_keyword_statistics,
    ACTIONS(14880), 1,
      anon_sym_LPAREN,
    ACTIONS(14932), 1,
      sym_keyword_default,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [483791] = 5,
    ACTIONS(14864), 1,
      sym_keyword_first,
    ACTIONS(14866), 1,
      sym_keyword_after,
    STATE(10086), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14934), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [483811] = 8,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(1485), 1,
      sym_keyword_show,
    ACTIONS(12050), 1,
      anon_sym_LPAREN,
    STATE(7715), 1,
      sym_select,
    STATE(7805), 1,
      sym__select_statement,
    STATE(8436), 1,
      sym__show_statement,
    STATE(8438), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [483837] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(5700), 1,
      sym_identifier,
    STATE(8570), 1,
      sym_object_reference,
    STATE(9187), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483861] = 7,
    ACTIONS(465), 1,
      sym__identifier,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(14936), 1,
      anon_sym_EQ,
    STATE(8790), 1,
      sym__single_quote_string,
    STATE(8813), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(523), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483885] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(5700), 1,
      sym_identifier,
    STATE(8663), 1,
      sym_object_reference,
    STATE(9249), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483909] = 5,
    ACTIONS(12854), 1,
      sym_keyword_owner,
    ACTIONS(14090), 1,
      sym_keyword_set,
    ACTIONS(14938), 1,
      sym_keyword_rename,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11366), 4,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [483929] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14940), 1,
      sym_keyword_table,
    ACTIONS(14942), 1,
      sym_keyword_local,
    STATE(5700), 1,
      sym_identifier,
    STATE(14232), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483953] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(5700), 1,
      sym_identifier,
    STATE(9196), 1,
      sym__if_not_exists,
    STATE(11958), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483977] = 8,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    STATE(8542), 1,
      sym_select,
    STATE(9138), 1,
      sym__select_statement,
    STATE(13463), 1,
      sym__show_statement,
    STATE(13464), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [484003] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(5700), 1,
      sym_identifier,
    STATE(9055), 1,
      sym__if_not_exists,
    STATE(14023), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [484027] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14570), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [484041] = 8,
    ACTIONS(12164), 1,
      anon_sym_LPAREN,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13771), 1,
      sym_keyword_show,
    STATE(7849), 1,
      sym_select,
    STATE(8046), 1,
      sym__select_statement,
    STATE(8114), 1,
      sym__show_statement,
    STATE(8115), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [484067] = 8,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(13771), 1,
      sym_keyword_show,
    ACTIONS(14930), 1,
      anon_sym_LPAREN,
    STATE(7849), 1,
      sym_select,
    STATE(7980), 1,
      sym__select_statement,
    STATE(8188), 1,
      sym__show_statement,
    STATE(8193), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [484093] = 6,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14944), 1,
      anon_sym_RPAREN,
    STATE(9067), 1,
      sym_order_by,
    STATE(14333), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [484115] = 4,
    ACTIONS(14948), 1,
      anon_sym_COMMA,
    STATE(8352), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14946), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_RPAREN,
  [484133] = 5,
    ACTIONS(14385), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8386), 2,
      sym_object_reference,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [484153] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14471), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [484167] = 6,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14951), 1,
      anon_sym_RPAREN,
    STATE(9148), 1,
      sym_order_by,
    STATE(13553), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [484189] = 6,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14953), 1,
      anon_sym_RPAREN,
    STATE(9034), 1,
      sym_order_by,
    STATE(12323), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [484211] = 7,
    ACTIONS(405), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(3644), 1,
      sym_identifier,
    STATE(7366), 1,
      sym_object_reference,
    STATE(8931), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(463), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [484235] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    ACTIONS(14955), 1,
      sym_keyword_concurrently,
    STATE(8409), 1,
      sym_identifier,
    STATE(9904), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [484259] = 7,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(1860), 1,
      sym_identifier,
    STATE(7146), 1,
      sym_object_reference,
    STATE(9108), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [484283] = 5,
    ACTIONS(12808), 1,
      sym_keyword_owner,
    ACTIONS(14229), 1,
      sym_keyword_set,
    ACTIONS(14957), 1,
      sym_keyword_rename,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11911), 4,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [484303] = 7,
    ACTIONS(12852), 1,
      sym_keyword_rename,
    ACTIONS(12854), 1,
      sym_keyword_owner,
    ACTIONS(14959), 1,
      sym_keyword_set,
    ACTIONS(14961), 1,
      sym_keyword_with,
    ACTIONS(14963), 1,
      sym_keyword_reset,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10531), 2,
      sym_rename_object,
      sym_change_ownership,
  [484327] = 8,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(14930), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7674), 1,
      sym__select_statement,
    STATE(8188), 1,
      sym__show_statement,
    STATE(8193), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [484353] = 7,
    ACTIONS(12806), 1,
      sym_keyword_rename,
    ACTIONS(12808), 1,
      sym_keyword_owner,
    ACTIONS(14965), 1,
      sym_keyword_set,
    ACTIONS(14967), 1,
      sym_keyword_with,
    ACTIONS(14969), 1,
      sym_keyword_reset,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11916), 2,
      sym_rename_object,
      sym_change_ownership,
  [484377] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14475), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [484391] = 8,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(1485), 1,
      sym_keyword_show,
    ACTIONS(14926), 1,
      anon_sym_LPAREN,
    STATE(7715), 1,
      sym_select,
    STATE(7863), 1,
      sym__select_statement,
    STATE(8314), 1,
      sym__show_statement,
    STATE(8319), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [484417] = 6,
    ACTIONS(14971), 1,
      sym_keyword_cascade,
    ACTIONS(14973), 1,
      sym_keyword_with,
    ACTIONS(14975), 1,
      sym_keyword_schema,
    ACTIONS(14977), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14548), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [484439] = 5,
    ACTIONS(14864), 1,
      sym_keyword_first,
    ACTIONS(14866), 1,
      sym_keyword_after,
    STATE(10292), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14979), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [484459] = 6,
    ACTIONS(14906), 1,
      anon_sym_COMMA,
    STATE(8420), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(11804), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13494), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(14981), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [484481] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14697), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [484495] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14770), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [484509] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11890), 7,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [484523] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11902), 7,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [484537] = 6,
    ACTIONS(14906), 1,
      anon_sym_COMMA,
    STATE(8753), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(11973), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14538), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(14904), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [484559] = 7,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    ACTIONS(14983), 1,
      sym_keyword_authorization,
    STATE(10088), 1,
      sym__if_not_exists,
    STATE(10089), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [484583] = 6,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(10975), 1,
      sym_keyword_order,
    STATE(9535), 1,
      sym_order_by,
    STATE(11142), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14505), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [484605] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11916), 7,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [484619] = 5,
    ACTIONS(14864), 1,
      sym_keyword_first,
    ACTIONS(14866), 1,
      sym_keyword_after,
    STATE(10294), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14985), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [484639] = 6,
    ACTIONS(14195), 1,
      anon_sym_LPAREN,
    STATE(7362), 1,
      sym_identifier,
    STATE(8102), 1,
      sym__qualified_field,
    STATE(12700), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [484661] = 4,
    STATE(10296), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14989), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14987), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [484679] = 7,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(7034), 1,
      sym_identifier,
    STATE(9341), 1,
      sym__if_exists,
    STATE(9342), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [484703] = 5,
    ACTIONS(14864), 1,
      sym_keyword_first,
    ACTIONS(14866), 1,
      sym_keyword_after,
    STATE(10425), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14991), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [484723] = 6,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(14993), 1,
      anon_sym_RPAREN,
    STATE(9075), 1,
      sym_order_by,
    STATE(14839), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [484745] = 5,
    ACTIONS(12854), 1,
      sym_keyword_owner,
    ACTIONS(14090), 1,
      sym_keyword_set,
    ACTIONS(14938), 1,
      sym_keyword_rename,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11380), 4,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [484765] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14626), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [484779] = 4,
    ACTIONS(14838), 1,
      anon_sym_COMMA,
    STATE(8445), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14439), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
  [484797] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(5980), 1,
      sym_keyword_as,
    ACTIONS(14995), 1,
      sym_keyword_on,
    STATE(6406), 1,
      sym_identifier,
    STATE(14165), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [484821] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11898), 7,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [484835] = 7,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(7034), 1,
      sym_identifier,
    STATE(9343), 1,
      sym__if_exists,
    STATE(9345), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [484859] = 5,
    ACTIONS(12808), 1,
      sym_keyword_owner,
    ACTIONS(14229), 1,
      sym_keyword_set,
    ACTIONS(14957), 1,
      sym_keyword_rename,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(12008), 4,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [484879] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11946), 7,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [484893] = 5,
    ACTIONS(14999), 1,
      sym_keyword_on,
    STATE(10127), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15001), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14997), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [484913] = 5,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15005), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15003), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [484933] = 7,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(7034), 1,
      sym_identifier,
    STATE(9347), 1,
      sym__if_exists,
    STATE(9348), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [484957] = 4,
    ACTIONS(15007), 1,
      anon_sym_COMMA,
    STATE(8398), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13371), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
  [484975] = 7,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    ACTIONS(15009), 1,
      sym_keyword_concurrently,
    STATE(8867), 1,
      sym_identifier,
    STATE(10096), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [484999] = 6,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(15011), 1,
      anon_sym_RPAREN,
    STATE(9200), 1,
      sym_order_by,
    STATE(14775), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [485021] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15013), 1,
      sym_keyword_begin,
    STATE(23), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(8464), 2,
      sym_function_declaration,
      aux_sym_function_body_repeat2,
  [485043] = 4,
    ACTIONS(15007), 1,
      anon_sym_COMMA,
    STATE(8509), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13357), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
  [485061] = 7,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(1860), 1,
      sym_identifier,
    STATE(9677), 1,
      sym__if_not_exists,
    STATE(11494), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485085] = 5,
    ACTIONS(15015), 1,
      anon_sym_RPAREN,
    STATE(9401), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8055), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [485105] = 8,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    STATE(8710), 1,
      sym_select,
    STATE(8953), 1,
      sym__select_statement,
    STATE(14635), 1,
      sym__show_statement,
    STATE(14659), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [485131] = 6,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(15017), 1,
      anon_sym_RPAREN,
    STATE(8955), 1,
      sym_order_by,
    STATE(12675), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [485153] = 6,
    ACTIONS(14906), 1,
      anon_sym_COMMA,
    STATE(8373), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(11882), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13648), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15019), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [485175] = 5,
    ACTIONS(14550), 1,
      sym_keyword_cascade,
    ACTIONS(14554), 1,
      sym_keyword_schema,
    ACTIONS(14556), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14548), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [485195] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    STATE(5700), 1,
      sym_identifier,
    STATE(6943), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14659), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
  [485217] = 5,
    ACTIONS(14256), 1,
      anon_sym_RPAREN,
    STATE(9401), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8070), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [485237] = 5,
    ACTIONS(14864), 1,
      sym_keyword_first,
    ACTIONS(14866), 1,
      sym_keyword_after,
    STATE(10301), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15021), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [485257] = 7,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(1860), 1,
      sym_identifier,
    STATE(9156), 1,
      sym__if_not_exists,
    STATE(11224), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485281] = 5,
    ACTIONS(15025), 1,
      sym_keyword_on,
    STATE(10077), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15027), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15023), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [485301] = 7,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(7034), 1,
      sym_identifier,
    STATE(9351), 1,
      sym__if_exists,
    STATE(9352), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485325] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    STATE(5700), 1,
      sym_identifier,
    STATE(6947), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(15029), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
  [485347] = 6,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(15031), 1,
      anon_sym_RPAREN,
    STATE(9090), 1,
      sym_order_by,
    STATE(13267), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [485369] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(5700), 1,
      sym_identifier,
    STATE(9273), 1,
      sym__if_exists,
    STATE(11370), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485393] = 5,
    ACTIONS(14385), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8274), 2,
      sym_object_reference,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [485413] = 4,
    STATE(1762), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(14122), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
  [485431] = 6,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(15033), 1,
      anon_sym_RPAREN,
    STATE(9160), 1,
      sym_order_by,
    STATE(13725), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [485453] = 7,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15035), 1,
      sym_keyword_stdin,
    ACTIONS(15037), 1,
      sym_keyword_program,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11975), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [485477] = 6,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    ACTIONS(10975), 1,
      sym_keyword_order,
    STATE(9509), 1,
      sym_order_by,
    STATE(11009), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14042), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [485499] = 6,
    ACTIONS(14385), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(8284), 1,
      sym_object_reference,
    STATE(8285), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [485521] = 6,
    ACTIONS(14906), 1,
      anon_sym_COMMA,
    STATE(8753), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(11882), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13648), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15019), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [485543] = 6,
    ACTIONS(15039), 1,
      anon_sym_LPAREN,
    STATE(7817), 1,
      sym_identifier,
    STATE(7946), 1,
      sym__qualified_field,
    STATE(12937), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [485565] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(5980), 1,
      sym_keyword_as,
    ACTIONS(15041), 1,
      sym_keyword_on,
    STATE(6406), 1,
      sym_identifier,
    STATE(13757), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485589] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(5980), 1,
      sym_keyword_as,
    ACTIONS(15043), 1,
      sym_keyword_on,
    STATE(6406), 1,
      sym_identifier,
    STATE(13776), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485613] = 6,
    ACTIONS(14459), 1,
      sym_keyword_where,
    ACTIONS(15047), 1,
      sym_keyword_from,
    STATE(10734), 1,
      sym_from,
    STATE(10735), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15045), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [485635] = 5,
    ACTIONS(14260), 1,
      anon_sym_RPAREN,
    STATE(9401), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8066), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [485655] = 5,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    STATE(8483), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15051), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15049), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [485675] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15053), 1,
      sym_keyword_begin,
    STATE(23), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(8464), 2,
      sym_function_declaration,
      aux_sym_function_body_repeat2,
  [485697] = 5,
    ACTIONS(15057), 1,
      sym_keyword_collate,
    STATE(11293), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15059), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15055), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [485717] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(5700), 1,
      sym_identifier,
    STATE(8343), 1,
      sym_object_reference,
    STATE(9085), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485741] = 7,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(1860), 1,
      sym_identifier,
    STATE(9117), 1,
      sym__if_not_exists,
    STATE(11432), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485765] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    ACTIONS(15061), 1,
      sym_keyword_authorization,
    STATE(9035), 1,
      sym_identifier,
    STATE(10188), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485789] = 6,
    ACTIONS(15039), 1,
      anon_sym_LPAREN,
    STATE(7817), 1,
      sym_identifier,
    STATE(8307), 1,
      sym__qualified_field,
    STATE(12937), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [485811] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15065), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(15063), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485827] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(5700), 1,
      sym_identifier,
    STATE(9458), 1,
      sym__if_not_exists,
    STATE(11567), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485851] = 8,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    STATE(8542), 1,
      sym_select,
    STATE(9454), 1,
      sym__select_statement,
    STATE(13423), 1,
      sym__show_statement,
    STATE(13429), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [485877] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14363), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [485891] = 6,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(15067), 1,
      anon_sym_RPAREN,
    STATE(9100), 1,
      sym_order_by,
    STATE(14246), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [485913] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13807), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [485927] = 4,
    ACTIONS(15069), 1,
      anon_sym_COMMA,
    STATE(8439), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14626), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
  [485945] = 8,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(12164), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7707), 1,
      sym__select_statement,
    STATE(8114), 1,
      sym__show_statement,
    STATE(8115), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [485971] = 5,
    ACTIONS(14864), 1,
      sym_keyword_first,
    ACTIONS(14866), 1,
      sym_keyword_after,
    STATE(9735), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15072), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [485991] = 5,
    ACTIONS(15076), 1,
      sym_keyword_collate,
    STATE(10833), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15078), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15074), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [486011] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(5980), 1,
      sym_keyword_as,
    ACTIONS(15080), 1,
      sym_keyword_using,
    STATE(6406), 1,
      sym_identifier,
    STATE(14307), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486035] = 8,
    ACTIONS(15082), 1,
      sym_keyword_not,
    ACTIONS(15084), 1,
      sym_keyword_default,
    ACTIONS(15086), 1,
      sym_keyword_data,
    ACTIONS(15088), 1,
      sym_keyword_storage,
    ACTIONS(15090), 1,
      sym_keyword_compression,
    ACTIONS(15092), 1,
      sym_keyword_statistics,
    ACTIONS(15094), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [486061] = 4,
    ACTIONS(14838), 1,
      anon_sym_COMMA,
    STATE(8439), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14645), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
  [486079] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14568), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [486093] = 6,
    ACTIONS(14906), 1,
      anon_sym_COMMA,
    STATE(8753), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(12062), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14337), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15096), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [486115] = 5,
    ACTIONS(15100), 1,
      sym_keyword_cascade,
    ACTIONS(15102), 1,
      sym_keyword_schema,
    ACTIONS(15104), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15098), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [486135] = 6,
    ACTIONS(14195), 1,
      anon_sym_LPAREN,
    STATE(7362), 1,
      sym_identifier,
    STATE(8150), 1,
      sym__qualified_field,
    STATE(12700), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [486157] = 6,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(15106), 1,
      anon_sym_RPAREN,
    STATE(9114), 1,
      sym_order_by,
    STATE(12350), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [486179] = 8,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(11055), 1,
      sym_keyword_primary,
    ACTIONS(11059), 1,
      sym_keyword_constraint,
    ACTIONS(11071), 1,
      sym_keyword_check,
    STATE(3324), 1,
      sym__single_quote_string,
    STATE(10332), 1,
      sym__check_constraint,
    STATE(12064), 1,
      sym__primary_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [486205] = 7,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(1860), 1,
      sym_identifier,
    STATE(7280), 1,
      sym_object_reference,
    STATE(9193), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486229] = 7,
    ACTIONS(14443), 1,
      sym_keyword_if,
    ACTIONS(14461), 1,
      sym__identifier,
    STATE(6399), 1,
      sym_object_reference,
    STATE(6516), 1,
      sym_identifier,
    STATE(9194), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486253] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(5700), 1,
      sym_identifier,
    STATE(9461), 1,
      sym__if_not_exists,
    STATE(12294), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486277] = 7,
    ACTIONS(14443), 1,
      sym_keyword_if,
    ACTIONS(14461), 1,
      sym__identifier,
    STATE(6463), 1,
      sym_object_reference,
    STATE(6516), 1,
      sym_identifier,
    STATE(9594), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486301] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(5700), 1,
      sym_identifier,
    STATE(9595), 1,
      sym__if_not_exists,
    STATE(12137), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486325] = 8,
    ACTIONS(15108), 1,
      sym_keyword_not,
    ACTIONS(15110), 1,
      sym_keyword_default,
    ACTIONS(15112), 1,
      sym_keyword_data,
    ACTIONS(15114), 1,
      sym_keyword_storage,
    ACTIONS(15116), 1,
      sym_keyword_compression,
    ACTIONS(15118), 1,
      sym_keyword_statistics,
    ACTIONS(15120), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [486351] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(5980), 1,
      sym_keyword_as,
    ACTIONS(15122), 1,
      sym_keyword_using,
    STATE(6406), 1,
      sym_identifier,
    STATE(14576), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486375] = 6,
    ACTIONS(14195), 1,
      anon_sym_LPAREN,
    STATE(7362), 1,
      sym_identifier,
    STATE(8415), 1,
      sym__qualified_field,
    STATE(12700), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [486397] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(5700), 1,
      sym_identifier,
    STATE(9601), 1,
      sym__if_not_exists,
    STATE(14224), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486421] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(5700), 1,
      sym_identifier,
    STATE(9463), 1,
      sym__if_not_exists,
    STATE(11575), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486445] = 7,
    ACTIONS(14443), 1,
      sym_keyword_if,
    ACTIONS(14461), 1,
      sym__identifier,
    STATE(6464), 1,
      sym_object_reference,
    STATE(6516), 1,
      sym_identifier,
    STATE(9602), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486469] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(5700), 1,
      sym_identifier,
    STATE(9603), 1,
      sym__if_not_exists,
    STATE(12140), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486493] = 6,
    ACTIONS(15124), 1,
      sym__identifier,
    ACTIONS(15127), 1,
      sym_keyword_begin,
    STATE(23), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15129), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(8464), 2,
      sym_function_declaration,
      aux_sym_function_body_repeat2,
  [486515] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(5700), 1,
      sym_identifier,
    STATE(9611), 1,
      sym__if_not_exists,
    STATE(12146), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486539] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(5700), 1,
      sym_identifier,
    STATE(9612), 1,
      sym__if_not_exists,
    STATE(14251), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486563] = 8,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(11055), 1,
      sym_keyword_primary,
    ACTIONS(11140), 1,
      sym_keyword_constraint,
    ACTIONS(11152), 1,
      sym_keyword_check,
    STATE(3324), 1,
      sym__single_quote_string,
    STATE(11424), 1,
      sym__check_constraint,
    STATE(11786), 1,
      sym__primary_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [486589] = 7,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15132), 1,
      sym_keyword_stdin,
    ACTIONS(15134), 1,
      sym_keyword_program,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(12149), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [486613] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14355), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [486627] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(5700), 1,
      sym_identifier,
    STATE(9621), 1,
      sym__if_not_exists,
    STATE(12153), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486651] = 8,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(14930), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7674), 1,
      sym__select_statement,
    STATE(8188), 1,
      sym__show_statement,
    STATE(8193), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [486677] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(5980), 1,
      sym_keyword_as,
    ACTIONS(15136), 1,
      sym_keyword_on,
    STATE(6406), 1,
      sym_identifier,
    STATE(14621), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486701] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(5980), 1,
      sym_keyword_as,
    ACTIONS(15138), 1,
      sym_keyword_on,
    STATE(6406), 1,
      sym_identifier,
    STATE(14622), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486725] = 7,
    ACTIONS(14691), 1,
      sym_keyword_delete,
    ACTIONS(14860), 1,
      sym_keyword_where,
    ACTIONS(15140), 1,
      sym_keyword_insert,
    ACTIONS(15142), 1,
      sym_keyword_update,
    STATE(9916), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14516), 2,
      sym_keyword_when,
      anon_sym_RPAREN,
  [486749] = 7,
    ACTIONS(14461), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    ACTIONS(15144), 1,
      sym_keyword_column,
    STATE(7844), 1,
      sym_identifier,
    STATE(10403), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486773] = 5,
    ACTIONS(15148), 1,
      sym_keyword_collate,
    STATE(10977), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15150), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15146), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [486793] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11996), 7,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [486807] = 6,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(15152), 1,
      anon_sym_RPAREN,
    STATE(9167), 1,
      sym_order_by,
    STATE(13900), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [486829] = 6,
    ACTIONS(15154), 1,
      sym_keyword_cascade,
    ACTIONS(15156), 1,
      sym_keyword_with,
    ACTIONS(15158), 1,
      sym_keyword_schema,
    ACTIONS(15160), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14598), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [486851] = 5,
    ACTIONS(15164), 1,
      sym_keyword_on,
    STATE(9722), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15166), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15162), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [486871] = 7,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(1860), 1,
      sym_identifier,
    STATE(9040), 1,
      sym__if_not_exists,
    STATE(10955), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486895] = 5,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    STATE(8392), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15170), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15168), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [486915] = 5,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15170), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15168), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [486935] = 7,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(1860), 1,
      sym_identifier,
    STATE(9317), 1,
      sym__if_not_exists,
    STATE(10513), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486959] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(5700), 1,
      sym_identifier,
    STATE(9320), 1,
      sym__if_not_exists,
    STATE(11792), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486983] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(5700), 1,
      sym_identifier,
    STATE(9143), 1,
      sym__if_not_exists,
    STATE(13505), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [487007] = 7,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(1860), 1,
      sym_identifier,
    STATE(8961), 1,
      sym__if_not_exists,
    STATE(11203), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [487031] = 7,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(1860), 1,
      sym_identifier,
    STATE(9046), 1,
      sym__if_not_exists,
    STATE(11019), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [487055] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    STATE(5700), 1,
      sym_identifier,
    STATE(6952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14580), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
  [487077] = 7,
    ACTIONS(14443), 1,
      sym_keyword_if,
    ACTIONS(14461), 1,
      sym__identifier,
    STATE(6405), 1,
      sym_object_reference,
    STATE(6516), 1,
      sym_identifier,
    STATE(9638), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [487101] = 4,
    ACTIONS(14838), 1,
      anon_sym_COMMA,
    STATE(8297), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14524), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
  [487119] = 6,
    ACTIONS(14351), 1,
      sym_keyword_where,
    ACTIONS(15172), 1,
      sym_keyword_from,
    STATE(10201), 1,
      sym_from,
    STATE(10203), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15045), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [487141] = 8,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(1735), 1,
      sym_keyword_show,
    ACTIONS(12164), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7707), 1,
      sym__select_statement,
    STATE(8114), 1,
      sym__show_statement,
    STATE(8115), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [487167] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(5700), 1,
      sym_identifier,
    STATE(8597), 1,
      sym_object_reference,
    STATE(9195), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [487191] = 7,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(1860), 1,
      sym_identifier,
    STATE(9540), 1,
      sym__if_not_exists,
    STATE(11151), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [487215] = 6,
    ACTIONS(10759), 1,
      sym_keyword_order,
    ACTIONS(15174), 1,
      anon_sym_RPAREN,
    STATE(9126), 1,
      sym_order_by,
    STATE(12690), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [487237] = 5,
    ACTIONS(14864), 1,
      sym_keyword_first,
    ACTIONS(14866), 1,
      sym_keyword_after,
    STATE(10080), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15176), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [487257] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14940), 1,
      sym_keyword_table,
    ACTIONS(14942), 1,
      sym_keyword_local,
    STATE(5700), 1,
      sym_identifier,
    STATE(14557), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [487281] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(5980), 1,
      sym_keyword_as,
    ACTIONS(15178), 1,
      sym_keyword_on,
    STATE(6406), 1,
      sym_identifier,
    STATE(14608), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [487305] = 6,
    ACTIONS(14385), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    STATE(8472), 1,
      sym_object_reference,
    STATE(8473), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487327] = 5,
    ACTIONS(14385), 1,
      anon_sym_LPAREN,
    STATE(1860), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8499), 2,
      sym_object_reference,
      sym_subquery,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487347] = 7,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(5980), 1,
      sym_keyword_as,
    ACTIONS(15180), 1,
      sym_keyword_using,
    STATE(6406), 1,
      sym_identifier,
    STATE(14762), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [487371] = 7,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(1860), 1,
      sym_identifier,
    STATE(9670), 1,
      sym__if_not_exists,
    STATE(11488), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [487395] = 7,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(1860), 1,
      sym_identifier,
    STATE(9671), 1,
      sym__if_not_exists,
    STATE(11489), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [487419] = 7,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(1860), 1,
      sym_identifier,
    STATE(9672), 1,
      sym__if_not_exists,
    STATE(11490), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [487443] = 7,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(1860), 1,
      sym_identifier,
    STATE(9673), 1,
      sym__if_not_exists,
    STATE(11491), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [487467] = 7,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(1860), 1,
      sym_identifier,
    STATE(9674), 1,
      sym__if_not_exists,
    STATE(11492), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [487491] = 7,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(1860), 1,
      sym_identifier,
    STATE(9675), 1,
      sym__if_not_exists,
    STATE(11493), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [487515] = 4,
    ACTIONS(15182), 1,
      anon_sym_COMMA,
    STATE(8509), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12686), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
  [487533] = 4,
    STATE(10978), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15187), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15185), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [487550] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15189), 1,
      sym_keyword_separator,
    ACTIONS(15191), 1,
      anon_sym_RPAREN,
    ACTIONS(15193), 1,
      anon_sym_COMMA,
    STATE(10814), 1,
      aux_sym_invocation_repeat1,
    STATE(12316), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [487573] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15195), 1,
      sym_keyword_separator,
    ACTIONS(15197), 1,
      anon_sym_RPAREN,
    ACTIONS(15199), 1,
      anon_sym_COMMA,
    STATE(10605), 1,
      aux_sym_invocation_repeat1,
    STATE(14360), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [487596] = 5,
    ACTIONS(14227), 1,
      anon_sym_LPAREN,
    STATE(9559), 1,
      sym_ordered_columns,
    STATE(12143), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487615] = 5,
    ACTIONS(15201), 1,
      sym_keyword_nulls,
    STATE(10584), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6670), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(15203), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [487634] = 5,
    ACTIONS(15207), 1,
      sym_keyword_on,
    STATE(11312), 1,
      sym__on_conflict,
    STATE(11313), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15205), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [487653] = 5,
    ACTIONS(15209), 1,
      sym_keyword_on,
    STATE(10997), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15162), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15211), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [487672] = 5,
    ACTIONS(15215), 1,
      anon_sym_COMMA,
    STATE(8788), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15168), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15213), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [487691] = 4,
    ACTIONS(11590), 1,
      sym_keyword_on,
    STATE(6705), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15217), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [487708] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15219), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [487721] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15221), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [487734] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15223), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [487747] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15225), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [487760] = 4,
    ACTIONS(15227), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4707), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(1213), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487777] = 6,
    ACTIONS(15229), 1,
      sym_keyword_in,
    ACTIONS(15231), 1,
      sym_keyword_between,
    ACTIONS(15233), 1,
      sym_keyword_similar,
    STATE(6648), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [487798] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15235), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [487811] = 3,
    ACTIONS(15239), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15237), 5,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_nulls,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [487826] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15241), 1,
      sym_keyword_separator,
    ACTIONS(15243), 1,
      anon_sym_RPAREN,
    ACTIONS(15245), 1,
      anon_sym_COMMA,
    STATE(11077), 1,
      aux_sym_invocation_repeat1,
    STATE(13598), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [487849] = 4,
    ACTIONS(11590), 1,
      sym_keyword_on,
    STATE(6705), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15247), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [487866] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(8921), 1,
      sym_identifier,
    STATE(9889), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [487887] = 5,
    ACTIONS(15249), 1,
      sym_keyword_nulls,
    STATE(10692), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6670), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(15251), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [487906] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15253), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [487919] = 5,
    ACTIONS(15255), 1,
      anon_sym_RPAREN,
    STATE(9401), 1,
      sym_identifier,
    STATE(10711), 1,
      sym_field,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487938] = 5,
    ACTIONS(15259), 1,
      sym_keyword_on,
    STATE(10457), 1,
      sym__on_conflict,
    STATE(10458), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15257), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [487957] = 4,
    ACTIONS(11590), 1,
      sym_keyword_on,
    STATE(8784), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15247), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [487974] = 4,
    STATE(23), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8397), 2,
      sym_function_declaration,
      aux_sym_function_body_repeat2,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487991] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15261), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [488004] = 4,
    ACTIONS(15259), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10459), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15263), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [488021] = 6,
    ACTIONS(15229), 1,
      sym_keyword_in,
    ACTIONS(15233), 1,
      sym_keyword_similar,
    ACTIONS(15265), 1,
      sym_keyword_between,
    STATE(6648), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [488042] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15267), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [488055] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15269), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [488068] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15271), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [488081] = 5,
    ACTIONS(13510), 1,
      sym_keyword_from,
    ACTIONS(15273), 1,
      anon_sym_RPAREN,
    STATE(10169), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13508), 3,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [488100] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15275), 1,
      sym_keyword_separator,
    ACTIONS(15277), 1,
      anon_sym_RPAREN,
    ACTIONS(15279), 1,
      anon_sym_COMMA,
    STATE(11123), 1,
      aux_sym_invocation_repeat1,
    STATE(13633), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488123] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15281), 1,
      sym_keyword_separator,
    ACTIONS(15283), 1,
      anon_sym_RPAREN,
    ACTIONS(15285), 1,
      anon_sym_COMMA,
    STATE(10949), 1,
      aux_sym_invocation_repeat1,
    STATE(13233), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488146] = 4,
    ACTIONS(15287), 1,
      anon_sym_COMMA,
    STATE(8545), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11854), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [488163] = 4,
    ACTIONS(15259), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9767), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15290), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [488180] = 4,
    ACTIONS(15207), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11042), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15292), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [488197] = 4,
    ACTIONS(15207), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11314), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15294), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [488214] = 6,
    ACTIONS(15229), 1,
      sym_keyword_in,
    ACTIONS(15233), 1,
      sym_keyword_similar,
    ACTIONS(15296), 1,
      sym_keyword_between,
    STATE(6648), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [488235] = 4,
    ACTIONS(15298), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2578), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(193), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488252] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15300), 1,
      sym_keyword_separator,
    ACTIONS(15302), 1,
      anon_sym_RPAREN,
    ACTIONS(15304), 1,
      anon_sym_COMMA,
    STATE(10928), 1,
      aux_sym_invocation_repeat1,
    STATE(13109), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488275] = 6,
    ACTIONS(465), 1,
      sym__identifier,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    STATE(8854), 1,
      sym__single_quote_string,
    STATE(8859), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(523), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [488296] = 5,
    ACTIONS(14971), 1,
      sym_keyword_cascade,
    ACTIONS(14975), 1,
      sym_keyword_schema,
    ACTIONS(14977), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14548), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [488315] = 5,
    ACTIONS(15306), 1,
      sym_keyword_first,
    ACTIONS(15308), 1,
      sym_keyword_after,
    STATE(11248), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14894), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [488334] = 5,
    ACTIONS(15310), 1,
      sym_keyword_collate,
    STATE(12239), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14810), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15312), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [488353] = 4,
    ACTIONS(11590), 1,
      sym_keyword_on,
    STATE(6705), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15314), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [488370] = 6,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(8479), 1,
      sym_identifier,
    STATE(10090), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [488391] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15316), 1,
      sym_keyword_separator,
    ACTIONS(15318), 1,
      anon_sym_RPAREN,
    ACTIONS(15320), 1,
      anon_sym_COMMA,
    STATE(10823), 1,
      aux_sym_invocation_repeat1,
    STATE(13417), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488414] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15322), 1,
      sym_keyword_on,
    ACTIONS(15324), 1,
      sym_keyword_as,
    STATE(14744), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [488435] = 6,
    ACTIONS(15229), 1,
      sym_keyword_in,
    ACTIONS(15233), 1,
      sym_keyword_similar,
    ACTIONS(15326), 1,
      sym_keyword_between,
    STATE(6648), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [488456] = 5,
    ACTIONS(15328), 1,
      sym_keyword_collate,
    STATE(12242), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14818), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15330), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [488475] = 6,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15332), 1,
      sym_keyword_null,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(7240), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2467), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [488496] = 5,
    ACTIONS(15259), 1,
      sym_keyword_on,
    STATE(9966), 1,
      sym__on_conflict,
    STATE(9970), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15334), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [488515] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15336), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [488528] = 6,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(10092), 1,
      sym__if_exists,
    STATE(11828), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [488549] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15338), 1,
      sym_keyword_only,
    STATE(5700), 1,
      sym_identifier,
    STATE(11005), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [488570] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15340), 1,
      sym_keyword_only,
    STATE(5700), 1,
      sym_identifier,
    STATE(10974), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [488591] = 6,
    ACTIONS(15229), 1,
      sym_keyword_in,
    ACTIONS(15233), 1,
      sym_keyword_similar,
    ACTIONS(15342), 1,
      sym_keyword_between,
    STATE(6648), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [488612] = 4,
    ACTIONS(15344), 1,
      anon_sym_COMMA,
    STATE(8836), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13355), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
  [488629] = 4,
    STATE(10571), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15348), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15346), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [488646] = 4,
    ACTIONS(15350), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(3488), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(643), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488663] = 5,
    ACTIONS(15259), 1,
      sym_keyword_on,
    STATE(10193), 1,
      sym__on_conflict,
    STATE(10194), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15352), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [488682] = 4,
    ACTIONS(15259), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10195), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15354), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [488699] = 6,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15356), 1,
      sym_keyword_null,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(7300), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3030), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [488720] = 4,
    ACTIONS(15259), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9971), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15292), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [488737] = 6,
    ACTIONS(15229), 1,
      sym_keyword_in,
    ACTIONS(15233), 1,
      sym_keyword_similar,
    ACTIONS(15358), 1,
      sym_keyword_between,
    STATE(6648), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [488758] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(8312), 1,
      sym_identifier,
    STATE(10083), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [488779] = 5,
    ACTIONS(15259), 1,
      sym_keyword_on,
    STATE(10202), 1,
      sym__on_conflict,
    STATE(10204), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15360), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [488798] = 4,
    ACTIONS(15259), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10205), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15362), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [488815] = 5,
    ACTIONS(15259), 1,
      sym_keyword_on,
    STATE(10209), 1,
      sym__on_conflict,
    STATE(10211), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15360), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [488834] = 5,
    ACTIONS(15207), 1,
      sym_keyword_on,
    STATE(11029), 1,
      sym__on_conflict,
    STATE(11031), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15364), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [488853] = 6,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15366), 1,
      sym_keyword_null,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(7317), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3156), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [488874] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(8428), 1,
      sym_identifier,
    STATE(10124), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [488895] = 6,
    ACTIONS(15229), 1,
      sym_keyword_in,
    ACTIONS(15233), 1,
      sym_keyword_similar,
    ACTIONS(15368), 1,
      sym_keyword_between,
    STATE(6648), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [488916] = 4,
    ACTIONS(11590), 1,
      sym_keyword_on,
    STATE(6705), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15370), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [488933] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15372), 1,
      sym_keyword_separator,
    ACTIONS(15374), 1,
      anon_sym_RPAREN,
    ACTIONS(15376), 1,
      anon_sym_COMMA,
    STATE(11436), 1,
      aux_sym_invocation_repeat1,
    STATE(13709), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488956] = 5,
    ACTIONS(15215), 1,
      anon_sym_COMMA,
    STATE(8545), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15168), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15213), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [488975] = 6,
    ACTIONS(14461), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(7864), 1,
      sym_identifier,
    STATE(9930), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [488996] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(9257), 1,
      sym_identifier,
    STATE(9952), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489017] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(8686), 1,
      sym_identifier,
    STATE(9958), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489038] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15378), 1,
      sym_keyword_separator,
    ACTIONS(15380), 1,
      anon_sym_RPAREN,
    ACTIONS(15382), 1,
      anon_sym_COMMA,
    STATE(11148), 1,
      aux_sym_invocation_repeat1,
    STATE(13747), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [489061] = 6,
    ACTIONS(15229), 1,
      sym_keyword_in,
    ACTIONS(15233), 1,
      sym_keyword_similar,
    ACTIONS(15384), 1,
      sym_keyword_between,
    STATE(6648), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [489082] = 4,
    ACTIONS(11590), 1,
      sym_keyword_on,
    STATE(6705), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15386), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [489099] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15388), 1,
      sym_keyword_separator,
    ACTIONS(15390), 1,
      anon_sym_RPAREN,
    ACTIONS(15392), 1,
      anon_sym_COMMA,
    STATE(11444), 1,
      aux_sym_invocation_repeat1,
    STATE(14414), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [489122] = 4,
    ACTIONS(15394), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4686), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(963), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [489139] = 5,
    ACTIONS(15396), 1,
      anon_sym_RPAREN,
    STATE(8324), 1,
      sym_identifier,
    STATE(11173), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [489158] = 4,
    STATE(10575), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15400), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15398), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [489175] = 5,
    ACTIONS(15259), 1,
      sym_keyword_on,
    STATE(10119), 1,
      sym__on_conflict,
    STATE(10126), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15402), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [489194] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15404), 1,
      sym_keyword_separator,
    ACTIONS(15406), 1,
      anon_sym_RPAREN,
    ACTIONS(15408), 1,
      anon_sym_COMMA,
    STATE(10506), 1,
      aux_sym_invocation_repeat1,
    STATE(14201), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [489217] = 6,
    ACTIONS(15229), 1,
      sym_keyword_in,
    ACTIONS(15233), 1,
      sym_keyword_similar,
    ACTIONS(15410), 1,
      sym_keyword_between,
    STATE(6648), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [489238] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15412), 1,
      sym_keyword_tablespace,
    STATE(10694), 1,
      sym_set_configuration,
    STATE(11267), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489259] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15414), 1,
      sym_keyword_column,
    ACTIONS(15416), 1,
      sym_keyword_to,
    STATE(13787), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489280] = 4,
    ACTIONS(11590), 1,
      sym_keyword_on,
    STATE(8659), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15386), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [489297] = 4,
    ACTIONS(15418), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5646), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(523), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [489314] = 5,
    ACTIONS(15259), 1,
      sym_keyword_on,
    STATE(9927), 1,
      sym__on_conflict,
    STATE(9929), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15364), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [489333] = 4,
    ACTIONS(15207), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11032), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15420), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [489350] = 5,
    ACTIONS(15207), 1,
      sym_keyword_on,
    STATE(11317), 1,
      sym__on_conflict,
    STATE(11319), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15402), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [489369] = 6,
    ACTIONS(15229), 1,
      sym_keyword_in,
    ACTIONS(15233), 1,
      sym_keyword_similar,
    ACTIONS(15422), 1,
      sym_keyword_between,
    STATE(6648), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [489390] = 5,
    ACTIONS(14256), 1,
      sym_keyword_noscan,
    ACTIONS(15426), 1,
      sym_keyword_for,
    ACTIONS(15428), 1,
      sym_keyword_cache,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15424), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [489409] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15430), 1,
      sym_keyword_on,
    ACTIONS(15432), 1,
      sym_keyword_as,
    STATE(12446), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489430] = 6,
    ACTIONS(15229), 1,
      sym_keyword_in,
    ACTIONS(15233), 1,
      sym_keyword_similar,
    ACTIONS(15434), 1,
      sym_keyword_between,
    STATE(6648), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [489451] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15436), 1,
      sym_keyword_separator,
    ACTIONS(15438), 1,
      anon_sym_RPAREN,
    ACTIONS(15440), 1,
      anon_sym_COMMA,
    STATE(10790), 1,
      aux_sym_invocation_repeat1,
    STATE(14773), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [489474] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15442), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [489487] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15444), 1,
      sym_keyword_tablespace,
    STATE(11201), 1,
      sym_identifier,
    STATE(12025), 1,
      sym_set_configuration,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489508] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15446), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [489521] = 6,
    ACTIONS(15229), 1,
      sym_keyword_in,
    ACTIONS(15233), 1,
      sym_keyword_similar,
    ACTIONS(15448), 1,
      sym_keyword_between,
    STATE(6648), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [489542] = 5,
    ACTIONS(14227), 1,
      anon_sym_LPAREN,
    STATE(9186), 1,
      sym_ordered_columns,
    STATE(12213), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [489561] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15450), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [489574] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15452), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [489587] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15454), 1,
      sym_keyword_on,
    ACTIONS(15456), 1,
      sym_keyword_as,
    STATE(12519), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489608] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15458), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [489621] = 4,
    ACTIONS(15460), 1,
      anon_sym_COMMA,
    STATE(8868), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13355), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
  [489638] = 6,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15462), 1,
      sym_keyword_null,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(12040), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3030), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [489659] = 6,
    ACTIONS(15229), 1,
      sym_keyword_in,
    ACTIONS(15233), 1,
      sym_keyword_similar,
    ACTIONS(15464), 1,
      sym_keyword_between,
    STATE(6648), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [489680] = 4,
    ACTIONS(15207), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11320), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15466), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [489697] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15468), 1,
      sym_keyword_only,
    STATE(5700), 1,
      sym_identifier,
    STATE(11101), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489718] = 6,
    ACTIONS(12806), 1,
      sym_keyword_rename,
    ACTIONS(12808), 1,
      sym_keyword_owner,
    ACTIONS(15470), 1,
      sym_keyword_set,
    ACTIONS(15472), 1,
      sym_keyword_reset,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(12025), 2,
      sym_rename_object,
      sym_change_ownership,
  [489739] = 4,
    ACTIONS(11590), 1,
      sym_keyword_on,
    STATE(6705), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15474), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [489756] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15476), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [489769] = 5,
    ACTIONS(15478), 1,
      anon_sym_RPAREN,
    STATE(9401), 1,
      sym_identifier,
    STATE(11428), 1,
      sym_field,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [489788] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    STATE(10453), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15480), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [489805] = 6,
    ACTIONS(15229), 1,
      sym_keyword_in,
    ACTIONS(15233), 1,
      sym_keyword_similar,
    ACTIONS(15482), 1,
      sym_keyword_between,
    STATE(6648), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [489826] = 5,
    ACTIONS(15207), 1,
      sym_keyword_on,
    STATE(10875), 1,
      sym__on_conflict,
    STATE(10876), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15484), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [489845] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15486), 1,
      sym_keyword_on,
    ACTIONS(15488), 1,
      sym_keyword_as,
    STATE(12532), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489866] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15490), 1,
      sym_keyword_separator,
    ACTIONS(15492), 1,
      anon_sym_RPAREN,
    ACTIONS(15494), 1,
      anon_sym_COMMA,
    STATE(11487), 1,
      aux_sym_invocation_repeat1,
    STATE(12597), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [489889] = 4,
    ACTIONS(15496), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6419), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(703), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [489906] = 5,
    ACTIONS(15500), 1,
      sym_keyword_partition,
    ACTIONS(15502), 1,
      anon_sym_LPAREN,
    STATE(10752), 1,
      sym__partition_spec,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15498), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [489925] = 5,
    ACTIONS(15306), 1,
      sym_keyword_first,
    ACTIONS(15308), 1,
      sym_keyword_after,
    STATE(11418), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14979), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [489944] = 4,
    ACTIONS(11590), 1,
      sym_keyword_on,
    STATE(8677), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15370), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [489961] = 6,
    ACTIONS(15229), 1,
      sym_keyword_in,
    ACTIONS(15233), 1,
      sym_keyword_similar,
    ACTIONS(15504), 1,
      sym_keyword_between,
    STATE(6648), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [489982] = 6,
    ACTIONS(15229), 1,
      sym_keyword_in,
    ACTIONS(15233), 1,
      sym_keyword_similar,
    ACTIONS(15506), 1,
      sym_keyword_between,
    STATE(6648), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [490003] = 6,
    ACTIONS(15229), 1,
      sym_keyword_in,
    ACTIONS(15233), 1,
      sym_keyword_similar,
    ACTIONS(15508), 1,
      sym_keyword_between,
    STATE(6648), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [490024] = 6,
    ACTIONS(15229), 1,
      sym_keyword_in,
    ACTIONS(15233), 1,
      sym_keyword_similar,
    ACTIONS(15510), 1,
      sym_keyword_between,
    STATE(6648), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [490045] = 6,
    ACTIONS(15229), 1,
      sym_keyword_in,
    ACTIONS(15233), 1,
      sym_keyword_similar,
    ACTIONS(15512), 1,
      sym_keyword_between,
    STATE(6648), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [490066] = 4,
    STATE(10577), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15516), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15514), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [490083] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15518), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [490096] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(8480), 1,
      sym_identifier,
    STATE(10069), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490117] = 4,
    ACTIONS(15172), 1,
      sym_keyword_from,
    STATE(7634), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13508), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [490134] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15520), 1,
      sym_keyword_only,
    STATE(5700), 1,
      sym_identifier,
    STATE(11047), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490155] = 4,
    ACTIONS(11590), 1,
      sym_keyword_on,
    STATE(8678), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15522), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [490172] = 6,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(8516), 1,
      sym_identifier,
    STATE(10154), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490193] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(9141), 1,
      sym_identifier,
    STATE(9760), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490214] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15524), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [490227] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(8426), 1,
      sym_identifier,
    STATE(9978), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490248] = 5,
    ACTIONS(15259), 1,
      sym_keyword_on,
    STATE(10347), 1,
      sym__on_conflict,
    STATE(10356), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15484), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [490267] = 5,
    ACTIONS(15306), 1,
      sym_keyword_first,
    ACTIONS(15308), 1,
      sym_keyword_after,
    STATE(11094), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15176), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [490286] = 4,
    ACTIONS(15526), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4509), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(1093), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [490303] = 4,
    ACTIONS(15259), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10359), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15528), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [490320] = 4,
    ACTIONS(11590), 1,
      sym_keyword_on,
    STATE(6705), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15530), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [490337] = 5,
    ACTIONS(15306), 1,
      sym_keyword_first,
    ACTIONS(15308), 1,
      sym_keyword_after,
    STATE(11419), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14985), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [490356] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15532), 1,
      sym_keyword_separator,
    ACTIONS(15534), 1,
      anon_sym_RPAREN,
    ACTIONS(15536), 1,
      anon_sym_COMMA,
    STATE(10872), 1,
      aux_sym_invocation_repeat1,
    STATE(13257), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [490379] = 4,
    ACTIONS(11590), 1,
      sym_keyword_on,
    STATE(8850), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15538), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [490396] = 4,
    STATE(10601), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15542), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15540), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [490413] = 5,
    ACTIONS(15259), 1,
      sym_keyword_on,
    STATE(9918), 1,
      sym__on_conflict,
    STATE(9922), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15364), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [490432] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15544), 1,
      sym_keyword_recursive,
    STATE(7583), 1,
      sym_cte,
    STATE(11988), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490453] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15546), 1,
      sym_keyword_separator,
    ACTIONS(15548), 1,
      anon_sym_RPAREN,
    ACTIONS(15550), 1,
      anon_sym_COMMA,
    STATE(10801), 1,
      aux_sym_invocation_repeat1,
    STATE(14813), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [490476] = 4,
    ACTIONS(11590), 1,
      sym_keyword_on,
    STATE(6705), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15538), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [490493] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    STATE(9772), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14042), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [490510] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15552), 1,
      sym_keyword_column,
    ACTIONS(15554), 1,
      sym_keyword_to,
    STATE(14807), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490531] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15556), 1,
      sym_keyword_separator,
    ACTIONS(15558), 1,
      anon_sym_RPAREN,
    ACTIONS(15560), 1,
      anon_sym_COMMA,
    STATE(11137), 1,
      aux_sym_invocation_repeat1,
    STATE(13589), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [490554] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15562), 1,
      sym_keyword_separator,
    ACTIONS(15564), 1,
      anon_sym_RPAREN,
    ACTIONS(15566), 1,
      anon_sym_COMMA,
    STATE(11213), 1,
      aux_sym_invocation_repeat1,
    STATE(13723), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [490577] = 4,
    ACTIONS(11590), 1,
      sym_keyword_on,
    STATE(8890), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15568), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [490594] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15570), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [490607] = 6,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15356), 1,
      sym_keyword_null,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(7300), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3156), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [490628] = 6,
    ACTIONS(465), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(7793), 1,
      sym_identifier,
    STATE(10461), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(523), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490649] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15572), 1,
      sym_keyword_only,
    STATE(5700), 1,
      sym_identifier,
    STATE(11061), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490670] = 4,
    ACTIONS(11590), 1,
      sym_keyword_on,
    STATE(6705), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15574), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [490687] = 4,
    ACTIONS(11590), 1,
      sym_keyword_on,
    STATE(6705), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15576), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [490704] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15578), 1,
      sym_keyword_separator,
    ACTIONS(15580), 1,
      anon_sym_RPAREN,
    ACTIONS(15582), 1,
      anon_sym_COMMA,
    STATE(10672), 1,
      aux_sym_invocation_repeat1,
    STATE(14624), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [490727] = 4,
    ACTIONS(11590), 1,
      sym_keyword_on,
    STATE(8556), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15576), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [490744] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15584), 1,
      sym_keyword_only,
    STATE(5700), 1,
      sym_identifier,
    STATE(10525), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490765] = 6,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(7636), 1,
      sym_identifier,
    STATE(9782), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490786] = 6,
    ACTIONS(405), 1,
      sym__identifier,
    ACTIONS(15586), 1,
      sym_keyword_none,
    STATE(3644), 1,
      sym_identifier,
    STATE(7503), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(463), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490807] = 4,
    STATE(10648), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15590), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15588), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [490824] = 6,
    ACTIONS(14860), 1,
      sym_keyword_where,
    ACTIONS(15172), 1,
      sym_keyword_from,
    STATE(10201), 1,
      sym_from,
    STATE(10203), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15045), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [490845] = 4,
    STATE(10618), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15594), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15592), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [490862] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15065), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(15063), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490877] = 4,
    STATE(10649), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15598), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15596), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [490894] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15600), 1,
      sym_keyword_on,
    ACTIONS(15602), 1,
      sym_keyword_as,
    STATE(13481), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490915] = 4,
    STATE(11420), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15604), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14987), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [490932] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(9829), 1,
      sym__if_exists,
    STATE(10661), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490953] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15606), 1,
      sym_keyword_on,
    ACTIONS(15608), 1,
      sym_keyword_as,
    STATE(14306), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490974] = 5,
    ACTIONS(15207), 1,
      sym_keyword_on,
    STATE(10631), 1,
      sym__on_conflict,
    STATE(10633), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15257), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [490993] = 4,
    ACTIONS(15207), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10654), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15263), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [491010] = 4,
    ACTIONS(11590), 1,
      sym_keyword_on,
    STATE(8518), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15574), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [491027] = 6,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(10099), 1,
      sym__if_exists,
    STATE(10100), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491048] = 6,
    ACTIONS(405), 1,
      sym__identifier,
    ACTIONS(15610), 1,
      sym_keyword_none,
    STATE(3644), 1,
      sym_identifier,
    STATE(7495), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(463), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491069] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15612), 1,
      sym_keyword_tablespace,
    STATE(11201), 1,
      sym_identifier,
    STATE(12090), 1,
      sym_set_configuration,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491090] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15614), 1,
      sym_keyword_separator,
    ACTIONS(15616), 1,
      anon_sym_RPAREN,
    ACTIONS(15618), 1,
      anon_sym_COMMA,
    STATE(11229), 1,
      aux_sym_invocation_repeat1,
    STATE(13786), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [491113] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15620), 1,
      sym_keyword_on,
    ACTIONS(15622), 1,
      sym_keyword_as,
    STATE(14316), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491134] = 6,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(9353), 1,
      sym_identifier,
    STATE(10101), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491155] = 4,
    ACTIONS(15624), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(3966), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(949), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491172] = 6,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(8124), 1,
      sym__single_quote_string,
    STATE(8126), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491193] = 4,
    ACTIONS(11590), 1,
      sym_keyword_on,
    STATE(8528), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15626), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [491210] = 4,
    ACTIONS(15628), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4675), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(763), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491227] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15630), 1,
      sym_keyword_on,
    ACTIONS(15632), 1,
      sym_keyword_as,
    STATE(14324), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491248] = 5,
    ACTIONS(15207), 1,
      sym_keyword_on,
    STATE(11162), 1,
      sym__on_conflict,
    STATE(11163), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15352), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [491267] = 4,
    ACTIONS(15207), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11164), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15354), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [491284] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15634), 1,
      sym_keyword_separator,
    ACTIONS(15636), 1,
      anon_sym_RPAREN,
    ACTIONS(15638), 1,
      anon_sym_COMMA,
    STATE(10849), 1,
      aux_sym_invocation_repeat1,
    STATE(12603), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [491307] = 5,
    ACTIONS(13510), 1,
      sym_keyword_from,
    ACTIONS(15640), 1,
      anon_sym_RPAREN,
    STATE(9783), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13508), 3,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [491326] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15642), 1,
      sym_keyword_separator,
    ACTIONS(15644), 1,
      anon_sym_RPAREN,
    ACTIONS(15646), 1,
      anon_sym_COMMA,
    STATE(10834), 1,
      aux_sym_invocation_repeat1,
    STATE(14763), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [491349] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15648), 1,
      sym_keyword_only,
    STATE(5700), 1,
      sym_identifier,
    STATE(10786), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491370] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15650), 1,
      sym_keyword_separator,
    ACTIONS(15652), 1,
      anon_sym_RPAREN,
    ACTIONS(15654), 1,
      anon_sym_COMMA,
    STATE(10522), 1,
      aux_sym_invocation_repeat1,
    STATE(14137), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [491393] = 5,
    ACTIONS(15306), 1,
      sym_keyword_first,
    ACTIONS(15308), 1,
      sym_keyword_after,
    STATE(11421), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15021), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [491412] = 6,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(8832), 1,
      sym_identifier,
    STATE(10319), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491433] = 5,
    ACTIONS(14279), 1,
      sym_keyword_noscan,
    ACTIONS(15658), 1,
      sym_keyword_for,
    ACTIONS(15660), 1,
      sym_keyword_cache,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15656), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [491452] = 4,
    ACTIONS(15664), 1,
      sym_keyword_as,
    ACTIONS(15666), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15662), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [491469] = 4,
    ACTIONS(15670), 1,
      sym_keyword_cascade,
    ACTIONS(15672), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15668), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [491486] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15674), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [491499] = 4,
    ACTIONS(15678), 1,
      sym_keyword_cascade,
    ACTIONS(15680), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15676), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [491516] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    STATE(10161), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14505), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [491533] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15682), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [491546] = 5,
    ACTIONS(15259), 1,
      sym_keyword_on,
    STATE(10431), 1,
      sym__on_conflict,
    STATE(10432), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15484), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [491565] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15684), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [491578] = 6,
    ACTIONS(465), 1,
      sym__identifier,
    ACTIONS(15686), 1,
      sym_keyword_only,
    STATE(8049), 1,
      sym_object_reference,
    STATE(8295), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(523), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491599] = 6,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(15688), 1,
      sym_keyword_only,
    STATE(1860), 1,
      sym_identifier,
    STATE(7832), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491620] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15690), 1,
      sym_keyword_separator,
    ACTIONS(15692), 1,
      anon_sym_RPAREN,
    ACTIONS(15694), 1,
      anon_sym_COMMA,
    STATE(10646), 1,
      aux_sym_invocation_repeat1,
    STATE(14230), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [491643] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15696), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [491656] = 4,
    ACTIONS(15259), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9926), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15420), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [491673] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15698), 1,
      sym_keyword_only,
    STATE(5700), 1,
      sym_identifier,
    STATE(10627), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491694] = 5,
    ACTIONS(15207), 1,
      sym_keyword_on,
    STATE(11166), 1,
      sym__on_conflict,
    STATE(11167), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15360), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [491713] = 5,
    ACTIONS(15700), 1,
      sym_keyword_on,
    STATE(11125), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14997), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15702), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [491732] = 4,
    ACTIONS(15207), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11168), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15362), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [491749] = 5,
    ACTIONS(15207), 1,
      sym_keyword_on,
    STATE(11170), 1,
      sym__on_conflict,
    STATE(11171), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15360), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [491768] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15704), 1,
      sym_keyword_separator,
    ACTIONS(15706), 1,
      anon_sym_RPAREN,
    ACTIONS(15708), 1,
      anon_sym_COMMA,
    STATE(10818), 1,
      aux_sym_invocation_repeat1,
    STATE(14353), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [491791] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14626), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_COMMA,
  [491804] = 4,
    ACTIONS(15710), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2319), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(1219), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491821] = 5,
    ACTIONS(15712), 1,
      anon_sym_RPAREN,
    STATE(9401), 1,
      sym_identifier,
    STATE(10723), 1,
      sym_field,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491840] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15714), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [491853] = 5,
    ACTIONS(15716), 1,
      anon_sym_RPAREN,
    STATE(8324), 1,
      sym_identifier,
    STATE(11085), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491872] = 6,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15718), 1,
      anon_sym_RPAREN,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11093), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [491893] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15720), 1,
      sym_keyword_only,
    STATE(5700), 1,
      sym_identifier,
    STATE(11057), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491914] = 5,
    ACTIONS(14227), 1,
      anon_sym_LPAREN,
    STATE(9122), 1,
      sym_ordered_columns,
    STATE(11832), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491933] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(10081), 1,
      sym__if_exists,
    STATE(10082), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491954] = 6,
    ACTIONS(15229), 1,
      sym_keyword_in,
    ACTIONS(15233), 1,
      sym_keyword_similar,
    ACTIONS(15722), 1,
      sym_keyword_between,
    STATE(6648), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [491975] = 6,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(15724), 1,
      sym_keyword_none,
    STATE(1860), 1,
      sym_identifier,
    STATE(7351), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491996] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15726), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [492009] = 4,
    STATE(10845), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15730), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15728), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [492026] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15732), 1,
      sym_keyword_only,
    STATE(5700), 1,
      sym_identifier,
    STATE(11187), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492047] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15734), 1,
      sym_keyword_separator,
    ACTIONS(15736), 1,
      anon_sym_RPAREN,
    ACTIONS(15738), 1,
      anon_sym_COMMA,
    STATE(10688), 1,
      aux_sym_invocation_repeat1,
    STATE(14654), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [492070] = 4,
    ACTIONS(14920), 1,
      sym_keyword_exclude,
    ACTIONS(15740), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13475), 4,
      sym__exclude_current_row,
      sym__exclude_group,
      sym__exclude_no_others,
      sym__exclude_ties,
  [492087] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15742), 1,
      sym_keyword_on,
    ACTIONS(15744), 1,
      sym_keyword_as,
    STATE(12450), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492108] = 4,
    ACTIONS(15746), 1,
      anon_sym_COMMA,
    STATE(8753), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14946), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [492125] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15749), 1,
      sym_keyword_only,
    STATE(5700), 1,
      sym_identifier,
    STATE(10523), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492146] = 5,
    ACTIONS(14227), 1,
      anon_sym_LPAREN,
    STATE(9051), 1,
      sym_ordered_columns,
    STATE(12018), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492165] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15751), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [492178] = 4,
    ACTIONS(11590), 1,
      sym_keyword_on,
    STATE(8667), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15753), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [492195] = 5,
    ACTIONS(14273), 1,
      anon_sym_LPAREN,
    STATE(10373), 1,
      sym_ordered_columns,
    STATE(11630), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492214] = 6,
    ACTIONS(14461), 1,
      sym__identifier,
    ACTIONS(15755), 1,
      sym_keyword_only,
    STATE(6325), 1,
      sym_object_reference,
    STATE(6516), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492235] = 4,
    ACTIONS(15757), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(3923), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(277), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492252] = 4,
    STATE(1777), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(14122), 3,
      sym_keyword_create,
      sym_keyword_with,
      anon_sym_RPAREN,
  [492269] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(8124), 1,
      sym__single_quote_string,
    STATE(8126), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492290] = 4,
    ACTIONS(15759), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(872), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(769), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492307] = 5,
    STATE(5700), 1,
      sym_identifier,
    STATE(11275), 1,
      sym__rename_table_names,
    STATE(13695), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492326] = 4,
    ACTIONS(14920), 1,
      sym_keyword_exclude,
    ACTIONS(15761), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13476), 4,
      sym__exclude_current_row,
      sym__exclude_group,
      sym__exclude_no_others,
      sym__exclude_ties,
  [492343] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14443), 1,
      sym_keyword_if,
    STATE(8204), 1,
      sym_identifier,
    STATE(10221), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492364] = 5,
    ACTIONS(14273), 1,
      anon_sym_LPAREN,
    STATE(9702), 1,
      sym_ordered_columns,
    STATE(12061), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492383] = 6,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(15763), 1,
      sym_keyword_none,
    STATE(1860), 1,
      sym_identifier,
    STATE(7410), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492404] = 6,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(10308), 1,
      sym__if_exists,
    STATE(11100), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492425] = 5,
    STATE(5700), 1,
      sym_identifier,
    STATE(10394), 1,
      sym__rename_table_names,
    STATE(14529), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492444] = 6,
    ACTIONS(14461), 1,
      sym__identifier,
    ACTIONS(15765), 1,
      sym_keyword_only,
    STATE(6254), 1,
      sym_object_reference,
    STATE(6516), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492465] = 6,
    ACTIONS(15229), 1,
      sym_keyword_in,
    ACTIONS(15233), 1,
      sym_keyword_similar,
    ACTIONS(15767), 1,
      sym_keyword_between,
    STATE(6648), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [492486] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15769), 1,
      sym_keyword_separator,
    ACTIONS(15771), 1,
      anon_sym_RPAREN,
    ACTIONS(15773), 1,
      anon_sym_COMMA,
    STATE(11272), 1,
      aux_sym_invocation_repeat1,
    STATE(12338), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [492509] = 5,
    ACTIONS(15207), 1,
      sym_keyword_on,
    STATE(11033), 1,
      sym__on_conflict,
    STATE(11034), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15364), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [492528] = 5,
    ACTIONS(15775), 1,
      sym_keyword_nulls,
    STATE(11075), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6670), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(15777), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [492547] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15779), 1,
      sym_keyword_separator,
    ACTIONS(15781), 1,
      anon_sym_RPAREN,
    ACTIONS(15783), 1,
      anon_sym_COMMA,
    STATE(10622), 1,
      aux_sym_invocation_repeat1,
    STATE(14513), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [492570] = 4,
    ACTIONS(15100), 1,
      sym_keyword_cascade,
    ACTIONS(15104), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15098), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [492587] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15785), 1,
      sym_keyword_separator,
    ACTIONS(15787), 1,
      anon_sym_RPAREN,
    ACTIONS(15789), 1,
      anon_sym_COMMA,
    STATE(11348), 1,
      aux_sym_invocation_repeat1,
    STATE(12427), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [492610] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15791), 1,
      sym_keyword_only,
    STATE(5700), 1,
      sym_identifier,
    STATE(11499), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492631] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15793), 1,
      sym_keyword_only,
    STATE(5700), 1,
      sym_identifier,
    STATE(10816), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492652] = 6,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(8804), 1,
      sym_identifier,
    STATE(10312), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492673] = 4,
    STATE(9401), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8145), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492690] = 4,
    ACTIONS(15259), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10477), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15466), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [492707] = 4,
    ACTIONS(11590), 1,
      sym_keyword_on,
    STATE(6705), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15795), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [492724] = 5,
    ACTIONS(15306), 1,
      sym_keyword_first,
    ACTIONS(15308), 1,
      sym_keyword_after,
    STATE(11103), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14934), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [492743] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15797), 1,
      sym_keyword_only,
    STATE(5700), 1,
      sym_identifier,
    STATE(10964), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492764] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15799), 1,
      sym_keyword_only,
    STATE(5700), 1,
      sym_identifier,
    STATE(10635), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492785] = 5,
    ACTIONS(15215), 1,
      anon_sym_COMMA,
    STATE(8545), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15003), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15801), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [492804] = 4,
    ACTIONS(15803), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4809), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(969), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492821] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14727), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(14725), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492836] = 6,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15805), 1,
      sym_keyword_null,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10988), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [492857] = 4,
    ACTIONS(15807), 1,
      anon_sym_COMMA,
    STATE(8792), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13209), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
  [492874] = 5,
    ACTIONS(15810), 1,
      anon_sym_RPAREN,
    STATE(8324), 1,
      sym_identifier,
    STATE(10820), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492893] = 4,
    ACTIONS(15298), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2578), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(403), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492910] = 4,
    ACTIONS(15350), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(3488), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(639), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492927] = 5,
    ACTIONS(15812), 1,
      anon_sym_RPAREN,
    STATE(8324), 1,
      sym_identifier,
    STATE(11058), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492946] = 5,
    ACTIONS(14273), 1,
      anon_sym_LPAREN,
    STATE(10440), 1,
      sym_ordered_columns,
    STATE(11757), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492965] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15814), 1,
      sym_keyword_tablespace,
    STATE(10666), 1,
      sym_set_configuration,
    STATE(11267), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492986] = 5,
    ACTIONS(15816), 1,
      sym_keyword_collate,
    STATE(11805), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15146), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15818), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [493005] = 5,
    ACTIONS(15259), 1,
      sym_keyword_on,
    STATE(10098), 1,
      sym__on_conflict,
    STATE(10102), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15205), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [493024] = 5,
    ACTIONS(15306), 1,
      sym_keyword_first,
    ACTIONS(15308), 1,
      sym_keyword_after,
    STATE(10966), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14991), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [493043] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15820), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [493056] = 6,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15366), 1,
      sym_keyword_null,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(7317), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3030), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [493077] = 4,
    STATE(11246), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15822), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14890), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [493094] = 4,
    ACTIONS(15824), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4278), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(271), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [493111] = 6,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15826), 1,
      anon_sym_RPAREN,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11063), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [493132] = 6,
    ACTIONS(12852), 1,
      sym_keyword_rename,
    ACTIONS(12854), 1,
      sym_keyword_owner,
    ACTIONS(15828), 1,
      sym_keyword_set,
    ACTIONS(15830), 1,
      sym_keyword_reset,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10666), 2,
      sym_rename_object,
      sym_change_ownership,
  [493153] = 4,
    ACTIONS(15207), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10728), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15832), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [493170] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15834), 1,
      sym_keyword_on,
    ACTIONS(15836), 1,
      sym_keyword_as,
    STATE(13679), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [493191] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15838), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [493204] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15840), 1,
      sym_keyword_separator,
    ACTIONS(15842), 1,
      anon_sym_RPAREN,
    ACTIONS(15844), 1,
      anon_sym_COMMA,
    STATE(10494), 1,
      aux_sym_invocation_repeat1,
    STATE(14148), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [493227] = 4,
    ACTIONS(15846), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2712), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(1279), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [493244] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14731), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(14729), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [493259] = 5,
    ACTIONS(15207), 1,
      sym_keyword_on,
    STATE(11040), 1,
      sym__on_conflict,
    STATE(11041), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15334), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [493278] = 4,
    ACTIONS(15848), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2593), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(885), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [493295] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15850), 1,
      sym_keyword_only,
    STATE(5700), 1,
      sym_identifier,
    STATE(11048), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [493316] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15852), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [493329] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15854), 1,
      sym_keyword_on,
    ACTIONS(15856), 1,
      sym_keyword_as,
    STATE(13448), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [493350] = 4,
    STATE(11022), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15860), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15858), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [493367] = 5,
    ACTIONS(15207), 1,
      sym_keyword_on,
    STATE(10792), 1,
      sym__on_conflict,
    STATE(10798), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15862), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [493386] = 4,
    ACTIONS(15207), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10799), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15290), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [493403] = 4,
    STATE(23), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8427), 2,
      sym_function_declaration,
      aux_sym_function_body_repeat2,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [493420] = 4,
    STATE(11027), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15866), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15864), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [493437] = 4,
    STATE(11083), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15870), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15868), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [493454] = 5,
    ACTIONS(15500), 1,
      sym_keyword_partition,
    ACTIONS(15874), 1,
      anon_sym_LPAREN,
    STATE(10937), 1,
      sym__partition_spec,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15872), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [493473] = 4,
    ACTIONS(15876), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4448), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(1343), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [493490] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15878), 1,
      sym_keyword_separator,
    ACTIONS(15880), 1,
      anon_sym_RPAREN,
    ACTIONS(15882), 1,
      anon_sym_COMMA,
    STATE(11368), 1,
      aux_sym_invocation_repeat1,
    STATE(13898), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [493513] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15884), 1,
      sym_keyword_on,
    ACTIONS(15886), 1,
      sym_keyword_as,
    STATE(12528), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [493534] = 6,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15888), 1,
      sym_keyword_null,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(7157), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2467), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [493555] = 4,
    ACTIONS(15259), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10104), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15294), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [493572] = 5,
    ACTIONS(15890), 1,
      sym_keyword_collate,
    STATE(11566), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15074), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15892), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [493591] = 5,
    ACTIONS(15894), 1,
      sym_keyword_collate,
    STATE(12169), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15055), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15896), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [493610] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15898), 1,
      sym_keyword_separator,
    ACTIONS(15900), 1,
      anon_sym_RPAREN,
    ACTIONS(15902), 1,
      anon_sym_COMMA,
    STATE(11406), 1,
      aux_sym_invocation_repeat1,
    STATE(13938), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [493633] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15904), 1,
      sym_keyword_on,
    ACTIONS(15906), 1,
      sym_keyword_as,
    STATE(12437), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [493654] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15908), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [493667] = 4,
    ACTIONS(15344), 1,
      anon_sym_COMMA,
    STATE(8837), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13275), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
  [493684] = 4,
    ACTIONS(15910), 1,
      anon_sym_COMMA,
    STATE(8837), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13209), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
  [493701] = 4,
    STATE(11290), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15915), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15913), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [493718] = 6,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15332), 1,
      sym_keyword_null,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(7240), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [493739] = 4,
    STATE(11216), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15919), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15917), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [493756] = 4,
    STATE(11454), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15923), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15921), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [493773] = 6,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15888), 1,
      sym_keyword_null,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(7157), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [493794] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15925), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [493807] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15927), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [493820] = 5,
    ACTIONS(15929), 1,
      sym_keyword_nulls,
    STATE(11257), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6670), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(15931), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [493839] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15933), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [493852] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14946), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [493865] = 5,
    ACTIONS(15207), 1,
      sym_keyword_on,
    STATE(10866), 1,
      sym__on_conflict,
    STATE(10868), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15484), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [493884] = 4,
    ACTIONS(15207), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10869), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15528), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [493901] = 4,
    ACTIONS(11590), 1,
      sym_keyword_on,
    STATE(6705), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15935), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [493918] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15937), 1,
      sym_keyword_only,
    STATE(5700), 1,
      sym_identifier,
    STATE(11126), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [493939] = 6,
    ACTIONS(14461), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(7812), 1,
      sym_identifier,
    STATE(10078), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [493960] = 6,
    ACTIONS(15229), 1,
      sym_keyword_in,
    ACTIONS(15233), 1,
      sym_keyword_similar,
    ACTIONS(15939), 1,
      sym_keyword_between,
    STATE(6648), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [493981] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14407), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(14405), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [493996] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15941), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [494009] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15943), 1,
      sym_keyword_separator,
    ACTIONS(15945), 1,
      anon_sym_RPAREN,
    ACTIONS(15947), 1,
      anon_sym_COMMA,
    STATE(11310), 1,
      aux_sym_invocation_repeat1,
    STATE(14327), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [494032] = 4,
    ACTIONS(15949), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5930), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(639), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494049] = 5,
    ACTIONS(15951), 1,
      anon_sym_RPAREN,
    STATE(9401), 1,
      sym_identifier,
    STATE(10877), 1,
      sym_field,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494068] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14417), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(14415), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [494083] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15953), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [494096] = 5,
    ACTIONS(15955), 1,
      sym_keyword_cascade,
    ACTIONS(15957), 1,
      sym_keyword_schema,
    ACTIONS(15959), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15098), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [494115] = 5,
    ACTIONS(15961), 1,
      sym_keyword_nulls,
    STATE(11266), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6670), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(15963), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [494134] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15965), 1,
      sym_keyword_only,
    STATE(5700), 1,
      sym_identifier,
    STATE(11095), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [494155] = 4,
    ACTIONS(15803), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4809), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(1033), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494172] = 4,
    ACTIONS(11590), 1,
      sym_keyword_on,
    STATE(8585), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15935), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [494189] = 5,
    ACTIONS(15967), 1,
      sym_keyword_nulls,
    STATE(11278), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6670), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(15969), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [494208] = 5,
    ACTIONS(15971), 1,
      sym_keyword_on,
    STATE(10796), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15023), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15973), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [494227] = 4,
    ACTIONS(15460), 1,
      anon_sym_COMMA,
    STATE(8792), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13275), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
  [494244] = 5,
    ACTIONS(15215), 1,
      anon_sym_COMMA,
    STATE(8587), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15049), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15975), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [494263] = 5,
    ACTIONS(15259), 1,
      sym_keyword_on,
    STATE(10466), 1,
      sym__on_conflict,
    STATE(10470), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15977), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [494282] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15979), 1,
      sym_keyword_on,
    ACTIONS(15981), 1,
      sym_keyword_as,
    STATE(12348), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [494303] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(15983), 1,
      sym_keyword_separator,
    ACTIONS(15985), 1,
      anon_sym_RPAREN,
    ACTIONS(15987), 1,
      anon_sym_COMMA,
    STATE(10756), 1,
      aux_sym_invocation_repeat1,
    STATE(12687), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [494326] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15989), 1,
      sym_keyword_on,
    ACTIONS(15991), 1,
      sym_keyword_as,
    STATE(14666), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [494347] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15993), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [494360] = 4,
    ACTIONS(11590), 1,
      sym_keyword_on,
    STATE(8593), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15995), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [494377] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15997), 1,
      sym_keyword_only,
    STATE(5700), 1,
      sym_identifier,
    STATE(11000), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [494398] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15999), 1,
      sym_keyword_only,
    STATE(5700), 1,
      sym_identifier,
    STATE(11003), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [494419] = 6,
    ACTIONS(14461), 1,
      sym__identifier,
    ACTIONS(16001), 1,
      sym_keyword_only,
    STATE(6347), 1,
      sym_object_reference,
    STATE(6516), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [494440] = 4,
    ACTIONS(15259), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9709), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15832), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [494457] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(16003), 1,
      sym_keyword_only,
    STATE(5700), 1,
      sym_identifier,
    STATE(11154), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [494478] = 5,
    ACTIONS(14273), 1,
      anon_sym_LPAREN,
    STATE(9855), 1,
      sym_ordered_columns,
    STATE(11954), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494497] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(16005), 1,
      sym_keyword_on,
    ACTIONS(16007), 1,
      sym_keyword_as,
    STATE(12357), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [494518] = 5,
    ACTIONS(15306), 1,
      sym_keyword_first,
    ACTIONS(15308), 1,
      sym_keyword_after,
    STATE(11236), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14862), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [494537] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(16009), 1,
      sym_keyword_separator,
    ACTIONS(16011), 1,
      anon_sym_RPAREN,
    ACTIONS(16013), 1,
      anon_sym_COMMA,
    STATE(10780), 1,
      aux_sym_invocation_repeat1,
    STATE(12795), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [494560] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16015), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [494573] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(16017), 1,
      sym_keyword_on,
    ACTIONS(16019), 1,
      sym_keyword_as,
    STATE(12361), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [494594] = 5,
    ACTIONS(15306), 1,
      sym_keyword_first,
    ACTIONS(15308), 1,
      sym_keyword_after,
    STATE(11242), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14884), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [494613] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(16021), 1,
      sym_keyword_separator,
    ACTIONS(16023), 1,
      anon_sym_RPAREN,
    ACTIONS(16025), 1,
      anon_sym_COMMA,
    STATE(11064), 1,
      aux_sym_invocation_repeat1,
    STATE(13550), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [494636] = 5,
    ACTIONS(15306), 1,
      sym_keyword_first,
    ACTIONS(15308), 1,
      sym_keyword_after,
    STATE(11199), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15072), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [494655] = 4,
    ACTIONS(11590), 1,
      sym_keyword_on,
    STATE(6705), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16027), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [494672] = 7,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(16029), 1,
      sym_keyword_separator,
    ACTIONS(16031), 1,
      anon_sym_RPAREN,
    ACTIONS(16033), 1,
      anon_sym_COMMA,
    STATE(11325), 1,
      aux_sym_invocation_repeat1,
    STATE(14597), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [494695] = 4,
    ACTIONS(11590), 1,
      sym_keyword_on,
    STATE(8628), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16027), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [494712] = 6,
    ACTIONS(15229), 1,
      sym_keyword_in,
    ACTIONS(15233), 1,
      sym_keyword_similar,
    ACTIONS(16035), 1,
      sym_keyword_between,
    STATE(6648), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2623), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [494733] = 5,
    ACTIONS(15259), 1,
      sym_keyword_on,
    STATE(9764), 1,
      sym__on_conflict,
    STATE(9765), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15862), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [494752] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(16037), 1,
      sym_keyword_on,
    ACTIONS(16039), 1,
      sym_keyword_as,
    STATE(13755), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [494773] = 5,
    ACTIONS(15207), 1,
      sym_keyword_on,
    STATE(10725), 1,
      sym__on_conflict,
    STATE(10726), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15977), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [494792] = 6,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(14463), 1,
      sym_keyword_if,
    STATE(8869), 1,
      sym_identifier,
    STATE(10103), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [494813] = 4,
    ACTIONS(16041), 1,
      anon_sym_RPAREN,
    STATE(12812), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494829] = 4,
    STATE(1860), 1,
      sym_identifier,
    STATE(7280), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494845] = 5,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(7159), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2467), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [494863] = 4,
    ACTIONS(14086), 1,
      anon_sym_COMMA,
    STATE(8060), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16043), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [494879] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(6969), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494895] = 6,
    ACTIONS(16045), 1,
      sym_keyword_create,
    ACTIONS(16047), 1,
      sym_keyword_tables,
    ACTIONS(16049), 1,
      sym_keyword_all,
    STATE(8369), 1,
      sym__show_create,
    STATE(8370), 1,
      sym__show_tables,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [494915] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16051), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      anon_sym_RPAREN,
  [494927] = 4,
    ACTIONS(16055), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16053), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(8905), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [494943] = 4,
    ACTIONS(9738), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16058), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(8905), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [494959] = 4,
    ACTIONS(9738), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16060), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(8905), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [494975] = 4,
    ACTIONS(9738), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16060), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(8905), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [494991] = 6,
    ACTIONS(16062), 1,
      sym_keyword_create,
    ACTIONS(16064), 1,
      sym_keyword_tables,
    ACTIONS(16066), 1,
      sym_keyword_all,
    STATE(8226), 1,
      sym__show_create,
    STATE(8259), 1,
      sym__show_tables,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [495011] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(11190), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16068), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [495027] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(11241), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16070), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [495043] = 5,
    ACTIONS(465), 1,
      sym__identifier,
    ACTIONS(16072), 1,
      sym_keyword_all,
    STATE(6973), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(523), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [495061] = 5,
    ACTIONS(13688), 1,
      sym_keyword_union,
    ACTIONS(16074), 1,
      anon_sym_RPAREN,
    STATE(7709), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13690), 2,
      sym_keyword_except,
      sym_keyword_intersect,
  [495079] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(11283), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16076), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [495095] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(11287), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16078), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [495111] = 6,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(16080), 1,
      sym_keyword_all,
    ACTIONS(16082), 1,
      anon_sym_LPAREN,
    STATE(7715), 1,
      sym_select,
    STATE(7874), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [495131] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(11302), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16084), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [495147] = 4,
    ACTIONS(16086), 1,
      anon_sym_STAR,
    STATE(2576), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495163] = 4,
    STATE(3644), 1,
      sym_identifier,
    STATE(7366), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(463), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495179] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(14317), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495195] = 6,
    ACTIONS(12806), 1,
      sym_keyword_rename,
    ACTIONS(16088), 1,
      sym_keyword_set,
    ACTIONS(16090), 1,
      sym_keyword_alter,
    ACTIONS(16092), 1,
      sym_keyword_reset,
    STATE(11913), 1,
      sym_rename_object,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [495215] = 5,
    ACTIONS(13688), 1,
      sym_keyword_union,
    ACTIONS(16074), 1,
      anon_sym_RPAREN,
    STATE(7709), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13690), 2,
      sym_keyword_except,
      sym_keyword_intersect,
  [495233] = 5,
    ACTIONS(13688), 1,
      sym_keyword_union,
    ACTIONS(16094), 1,
      anon_sym_RPAREN,
    STATE(7709), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13690), 2,
      sym_keyword_except,
      sym_keyword_intersect,
  [495251] = 4,
    STATE(8051), 1,
      sym_object_reference,
    STATE(8295), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(523), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495267] = 6,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(16096), 1,
      sym_keyword_all,
    STATE(7520), 1,
      sym_select,
    STATE(7655), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [495287] = 4,
    STATE(12111), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15588), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16098), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [495303] = 4,
    STATE(12116), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15596), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16100), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [495319] = 5,
    ACTIONS(14683), 1,
      aux_sym__single_quote_string_token1,
    STATE(6701), 1,
      sym__single_quote_string,
    STATE(6826), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14687), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [495337] = 6,
    ACTIONS(16102), 1,
      sym_keyword_by,
    ACTIONS(16104), 1,
      anon_sym_PLUS,
    ACTIONS(16106), 1,
      anon_sym_DASH,
    ACTIONS(16108), 1,
      aux_sym__integer_token1,
    STATE(7535), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [495357] = 6,
    ACTIONS(16104), 1,
      anon_sym_PLUS,
    ACTIONS(16106), 1,
      anon_sym_DASH,
    ACTIONS(16108), 1,
      aux_sym__integer_token1,
    ACTIONS(16110), 1,
      sym_keyword_with,
    STATE(7534), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [495377] = 4,
    STATE(3644), 1,
      sym_identifier,
    STATE(7344), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(463), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495393] = 4,
    STATE(11201), 1,
      sym_identifier,
    STATE(11994), 1,
      sym_set_configuration,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495409] = 4,
    STATE(6275), 1,
      sym_object_reference,
    STATE(6516), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495425] = 4,
    ACTIONS(16112), 1,
      anon_sym_RPAREN,
    STATE(11509), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495441] = 3,
    ACTIONS(16116), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16114), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [495455] = 6,
    ACTIONS(16104), 1,
      anon_sym_PLUS,
    ACTIONS(16106), 1,
      anon_sym_DASH,
    ACTIONS(16108), 1,
      aux_sym__integer_token1,
    ACTIONS(16118), 1,
      sym_keyword_with,
    STATE(7591), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [495475] = 6,
    ACTIONS(16104), 1,
      anon_sym_PLUS,
    ACTIONS(16106), 1,
      anon_sym_DASH,
    ACTIONS(16108), 1,
      aux_sym__integer_token1,
    ACTIONS(16120), 1,
      sym_keyword_with,
    STATE(7497), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [495495] = 6,
    ACTIONS(12806), 1,
      sym_keyword_rename,
    ACTIONS(16122), 1,
      sym_keyword_set,
    ACTIONS(16124), 1,
      sym_keyword_alter,
    ACTIONS(16126), 1,
      sym_keyword_reset,
    STATE(12016), 1,
      sym_rename_object,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [495515] = 4,
    ACTIONS(15017), 1,
      anon_sym_RPAREN,
    STATE(12675), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [495531] = 6,
    ACTIONS(16128), 1,
      anon_sym_RBRACK,
    ACTIONS(16130), 1,
      anon_sym_PLUS,
    ACTIONS(16132), 1,
      anon_sym_DASH,
    ACTIONS(16134), 1,
      aux_sym__integer_token1,
    STATE(12796), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [495551] = 4,
    ACTIONS(14203), 1,
      anon_sym_COMMA,
    STATE(9079), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16136), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [495567] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(10463), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16138), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [495583] = 4,
    ACTIONS(9738), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16140), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(8905), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [495599] = 4,
    ACTIONS(9738), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16142), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(8905), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [495615] = 4,
    ACTIONS(9738), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16142), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(8905), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [495631] = 5,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(7278), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3156), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [495649] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(11373), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16144), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [495665] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(11396), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16146), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [495681] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(11496), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16148), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [495697] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(10483), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16150), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [495713] = 4,
    ACTIONS(16152), 1,
      anon_sym_RPAREN,
    STATE(13603), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495729] = 4,
    ACTIONS(16152), 1,
      anon_sym_RPAREN,
    STATE(10570), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495745] = 5,
    ACTIONS(13688), 1,
      sym_keyword_union,
    ACTIONS(16154), 1,
      anon_sym_RPAREN,
    STATE(7709), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13690), 2,
      sym_keyword_except,
      sym_keyword_intersect,
  [495763] = 4,
    ACTIONS(9736), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16156), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(9080), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [495779] = 4,
    ACTIONS(16158), 1,
      anon_sym_RPAREN,
    STATE(14814), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [495795] = 4,
    STATE(11809), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15185), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16160), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [495811] = 4,
    ACTIONS(16164), 1,
      sym_keyword_update,
    STATE(10512), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16162), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [495827] = 5,
    ACTIONS(4167), 1,
      aux_sym__single_quote_string_token1,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(6908), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4175), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [495845] = 4,
    ACTIONS(16166), 1,
      anon_sym_RPAREN,
    STATE(13639), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495861] = 4,
    ACTIONS(16166), 1,
      anon_sym_RPAREN,
    STATE(11430), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495877] = 4,
    STATE(1860), 1,
      sym_identifier,
    STATE(10513), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495893] = 5,
    ACTIONS(14683), 1,
      aux_sym__single_quote_string_token1,
    STATE(6701), 1,
      sym__single_quote_string,
    STATE(6816), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14687), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [495911] = 5,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(6983), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3030), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [495929] = 4,
    STATE(11201), 1,
      sym_identifier,
    STATE(12233), 1,
      sym_set_configuration,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495945] = 4,
    ACTIONS(9738), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16168), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(8905), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [495961] = 4,
    ACTIONS(9738), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16170), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(8905), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [495977] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16172), 5,
      sym_keyword_default,
      sym_keyword_plain,
      sym_keyword_extended,
      sym_keyword_main,
      sym_keyword_external,
  [495989] = 4,
    ACTIONS(9738), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16170), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(8905), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [496005] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(11037), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16174), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [496021] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(11056), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16176), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [496037] = 3,
    ACTIONS(16180), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16178), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [496051] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(10052), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16182), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [496067] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16184), 5,
      sym_keyword_default,
      sym_keyword_plain,
      sym_keyword_extended,
      sym_keyword_main,
      sym_keyword_external,
  [496079] = 4,
    STATE(7942), 1,
      sym_object_reference,
    STATE(7998), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16186), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496095] = 4,
    ACTIONS(9738), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16188), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(8905), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [496111] = 5,
    ACTIONS(14683), 1,
      aux_sym__single_quote_string_token1,
    STATE(6701), 1,
      sym__single_quote_string,
    STATE(6735), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14687), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [496129] = 5,
    ACTIONS(14683), 1,
      aux_sym__single_quote_string_token1,
    STATE(6701), 1,
      sym__single_quote_string,
    STATE(6871), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14687), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [496147] = 4,
    ACTIONS(9738), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16188), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(8905), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [496163] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(11392), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16190), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [496179] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(10523), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496195] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(8989), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15753), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496211] = 4,
    ACTIONS(16164), 1,
      sym_keyword_update,
    STATE(10908), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16192), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [496227] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(9695), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16194), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [496243] = 4,
    STATE(12225), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15913), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16196), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [496259] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16198), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_create,
      anon_sym_RPAREN,
  [496271] = 4,
    ACTIONS(16200), 1,
      anon_sym_RPAREN,
    STATE(10484), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496287] = 5,
    ACTIONS(14683), 1,
      aux_sym__single_quote_string_token1,
    STATE(6701), 1,
      sym__single_quote_string,
    STATE(6834), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14687), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [496305] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(8994), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15538), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496321] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6746), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15538), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496337] = 5,
    ACTIONS(14683), 1,
      aux_sym__single_quote_string_token1,
    STATE(6701), 1,
      sym__single_quote_string,
    STATE(6934), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14687), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [496355] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(8998), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15568), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496371] = 5,
    ACTIONS(14683), 1,
      aux_sym__single_quote_string_token1,
    STATE(6701), 1,
      sym__single_quote_string,
    STATE(6898), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14687), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [496389] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(10526), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496405] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6746), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15935), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496421] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(9001), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15935), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496437] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(9002), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15995), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496453] = 4,
    ACTIONS(16202), 1,
      anon_sym_COMMA,
    STATE(9000), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13275), 3,
      sym_keyword_from,
      sym_keyword_create,
      anon_sym_RPAREN,
  [496469] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6746), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16027), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496485] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(9004), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16027), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496501] = 4,
    ACTIONS(16204), 1,
      anon_sym_COMMA,
    STATE(9000), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13209), 3,
      sym_keyword_from,
      sym_keyword_create,
      anon_sym_RPAREN,
  [496517] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6746), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15370), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496533] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6746), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15386), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496549] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(9007), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15386), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496565] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6746), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15474), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496581] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(9008), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15370), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496597] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(9009), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15522), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496613] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6746), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15530), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496629] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6746), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15574), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496645] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6746), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15576), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496661] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(9014), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15576), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496677] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(9015), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15574), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496693] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(9016), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15626), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496709] = 5,
    ACTIONS(4097), 1,
      aux_sym__single_quote_string_token1,
    STATE(1004), 1,
      sym__single_quote_string,
    STATE(6414), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4105), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [496727] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6746), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15314), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496743] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6746), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15217), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496759] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6746), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15247), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496775] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(9018), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15247), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496791] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6746), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15795), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496807] = 4,
    ACTIONS(16202), 1,
      anon_sym_COMMA,
    STATE(8997), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13355), 3,
      sym_keyword_from,
      sym_keyword_create,
      anon_sym_RPAREN,
  [496823] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(9705), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16207), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [496839] = 4,
    ACTIONS(16086), 1,
      anon_sym_STAR,
    STATE(3487), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(639), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496855] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(9707), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16209), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [496871] = 5,
    ACTIONS(2918), 1,
      aux_sym__single_quote_string_token1,
    STATE(3705), 1,
      sym__single_quote_string,
    STATE(3834), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2926), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [496889] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(9712), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16211), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [496905] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11722), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [496923] = 3,
    ACTIONS(16215), 1,
      sym_keyword_collate,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16213), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [496937] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(10965), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496953] = 4,
    ACTIONS(14953), 1,
      anon_sym_RPAREN,
    STATE(12323), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [496969] = 6,
    ACTIONS(16130), 1,
      anon_sym_PLUS,
    ACTIONS(16132), 1,
      anon_sym_DASH,
    ACTIONS(16134), 1,
      aux_sym__integer_token1,
    ACTIONS(16217), 1,
      anon_sym_RBRACK,
    STATE(12335), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [496989] = 3,
    ACTIONS(16221), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16219), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [497003] = 3,
    ACTIONS(16225), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16223), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [497017] = 4,
    STATE(7998), 1,
      sym_identifier,
    STATE(8111), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16186), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497033] = 5,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(7278), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3030), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [497051] = 4,
    ACTIONS(16227), 1,
      anon_sym_RPAREN,
    STATE(12628), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [497067] = 3,
    ACTIONS(16231), 1,
      sym_keyword_authorization,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16229), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [497081] = 5,
    ACTIONS(3787), 1,
      aux_sym__single_quote_string_token1,
    STATE(4521), 1,
      sym__literal_string,
    STATE(4645), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3795), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [497099] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(10436), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16233), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [497115] = 3,
    ACTIONS(16237), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16235), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [497129] = 3,
    ACTIONS(15100), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15098), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [497143] = 4,
    STATE(1860), 1,
      sym_identifier,
    STATE(11432), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497159] = 3,
    ACTIONS(16241), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16239), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [497173] = 4,
    ACTIONS(16243), 1,
      anon_sym_RPAREN,
    STATE(11515), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497189] = 4,
    ACTIONS(16245), 1,
      anon_sym_STAR,
    STATE(4685), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(963), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497205] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16247), 5,
      sym_keyword_default,
      sym_keyword_plain,
      sym_keyword_extended,
      sym_keyword_main,
      sym_keyword_external,
  [497217] = 4,
    STATE(10511), 1,
      sym__key_value_pair,
    STATE(13630), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497233] = 4,
    STATE(1860), 1,
      sym_identifier,
    STATE(11224), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497249] = 4,
    ACTIONS(14854), 1,
      anon_sym_RPAREN,
    STATE(13655), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [497265] = 6,
    ACTIONS(16130), 1,
      anon_sym_PLUS,
    ACTIONS(16132), 1,
      anon_sym_DASH,
    ACTIONS(16134), 1,
      aux_sym__integer_token1,
    ACTIONS(16249), 1,
      anon_sym_RBRACK,
    STATE(13662), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [497285] = 4,
    STATE(11817), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11053), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(16251), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [497301] = 4,
    ACTIONS(16253), 1,
      anon_sym_RPAREN,
    STATE(13794), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [497317] = 3,
    ACTIONS(16257), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16255), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [497331] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(12640), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497347] = 3,
    ACTIONS(16261), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16259), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [497361] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11792), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497377] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(12465), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497393] = 5,
    ACTIONS(2842), 1,
      aux_sym__single_quote_string_token1,
    STATE(897), 1,
      sym__literal_string,
    STATE(904), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3545), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [497411] = 6,
    ACTIONS(16263), 1,
      sym_keyword_constraint,
    ACTIONS(16265), 1,
      sym_keyword_temp,
    ACTIONS(16267), 1,
      sym_keyword_temporary,
    ACTIONS(16269), 1,
      sym_keyword_trigger,
    STATE(12460), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [497431] = 4,
    ACTIONS(16273), 1,
      sym_keyword_cache,
    ACTIONS(16275), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16271), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [497447] = 4,
    ACTIONS(16245), 1,
      anon_sym_STAR,
    STATE(4806), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1033), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497463] = 4,
    ACTIONS(16279), 1,
      anon_sym_COMMA,
    STATE(9130), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16277), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [497479] = 4,
    ACTIONS(16279), 1,
      anon_sym_COMMA,
    STATE(9590), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16281), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [497495] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(9749), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497511] = 4,
    ACTIONS(14944), 1,
      anon_sym_RPAREN,
    STATE(14333), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [497527] = 4,
    ACTIONS(16279), 1,
      anon_sym_COMMA,
    STATE(9590), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16283), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [497543] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(10072), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497559] = 6,
    ACTIONS(16130), 1,
      anon_sym_PLUS,
    ACTIONS(16132), 1,
      anon_sym_DASH,
    ACTIONS(16134), 1,
      aux_sym__integer_token1,
    ACTIONS(16285), 1,
      anon_sym_RBRACK,
    STATE(14352), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [497579] = 4,
    ACTIONS(16287), 1,
      anon_sym_RPAREN,
    STATE(14602), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [497595] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(8112), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497611] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11596), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497627] = 5,
    ACTIONS(3895), 1,
      aux_sym__single_quote_string_token1,
    STATE(5910), 1,
      sym__literal_string,
    STATE(6051), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3905), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [497645] = 5,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(11605), 1,
      sym_keyword_default,
    STATE(11501), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [497663] = 4,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(3324), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16289), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [497679] = 4,
    ACTIONS(14993), 1,
      anon_sym_RPAREN,
    STATE(14839), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [497695] = 6,
    ACTIONS(16130), 1,
      anon_sym_PLUS,
    ACTIONS(16132), 1,
      anon_sym_DASH,
    ACTIONS(16134), 1,
      aux_sym__integer_token1,
    ACTIONS(16291), 1,
      anon_sym_RBRACK,
    STATE(13808), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [497715] = 4,
    ACTIONS(16293), 1,
      anon_sym_RPAREN,
    STATE(14615), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [497731] = 4,
    STATE(6254), 1,
      sym_object_reference,
    STATE(6516), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497747] = 5,
    ACTIONS(4213), 1,
      aux_sym__single_quote_string_token1,
    STATE(2445), 1,
      sym__literal_string,
    STATE(2608), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4221), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [497765] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(8717), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497781] = 4,
    ACTIONS(14203), 1,
      anon_sym_COMMA,
    STATE(8039), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16043), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [497797] = 4,
    ACTIONS(16295), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16053), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(9080), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [497813] = 4,
    ACTIONS(9736), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16058), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(9080), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [497829] = 4,
    ACTIONS(9736), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16060), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(9080), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [497845] = 4,
    ACTIONS(16041), 1,
      anon_sym_RPAREN,
    STATE(10687), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497861] = 4,
    ACTIONS(9736), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16060), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(9080), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [497877] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(8383), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497893] = 4,
    ACTIONS(15031), 1,
      anon_sym_RPAREN,
    STATE(13267), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [497909] = 5,
    ACTIONS(14592), 1,
      aux_sym__single_quote_string_token1,
    STATE(6663), 1,
      sym__single_quote_string,
    STATE(6711), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14594), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [497927] = 5,
    ACTIONS(14592), 1,
      aux_sym__single_quote_string_token1,
    STATE(6663), 1,
      sym__single_quote_string,
    STATE(6817), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14594), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [497945] = 6,
    ACTIONS(16130), 1,
      anon_sym_PLUS,
    ACTIONS(16132), 1,
      anon_sym_DASH,
    ACTIONS(16134), 1,
      aux_sym__integer_token1,
    ACTIONS(16298), 1,
      anon_sym_RBRACK,
    STATE(13282), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [497965] = 4,
    ACTIONS(16300), 1,
      anon_sym_RPAREN,
    STATE(13631), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [497981] = 3,
    ACTIONS(16304), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16302), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [497995] = 5,
    ACTIONS(3839), 1,
      aux_sym__single_quote_string_token1,
    STATE(3999), 1,
      sym__single_quote_string,
    STATE(4110), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3847), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [498013] = 4,
    STATE(7910), 1,
      sym_object_reference,
    STATE(7998), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16186), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498029] = 5,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(16306), 1,
      sym_keyword_all,
    STATE(10697), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [498047] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16308), 5,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_nulls,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [498059] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(9790), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16068), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [498075] = 4,
    ACTIONS(15067), 1,
      anon_sym_RPAREN,
    STATE(14246), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [498091] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(9792), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16070), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [498107] = 6,
    ACTIONS(16130), 1,
      anon_sym_PLUS,
    ACTIONS(16132), 1,
      anon_sym_DASH,
    ACTIONS(16134), 1,
      aux_sym__integer_token1,
    ACTIONS(16310), 1,
      anon_sym_RBRACK,
    STATE(14272), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [498127] = 4,
    ACTIONS(16312), 1,
      anon_sym_RPAREN,
    STATE(14365), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [498143] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(9794), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16076), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [498159] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(9795), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16078), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [498175] = 5,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    STATE(380), 1,
      sym__single_quote_string,
    STATE(4668), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3030), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [498193] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(9799), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16084), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [498209] = 3,
    ACTIONS(16316), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16314), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [498223] = 3,
    ACTIONS(16320), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16318), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [498237] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(14084), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498253] = 4,
    STATE(1860), 1,
      sym_identifier,
    STATE(7131), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498269] = 5,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    STATE(2116), 1,
      sym__single_quote_string,
    STATE(4215), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4015), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [498287] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(10704), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498303] = 4,
    ACTIONS(15106), 1,
      anon_sym_RPAREN,
    STATE(12350), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [498319] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(10708), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498335] = 6,
    ACTIONS(16130), 1,
      anon_sym_PLUS,
    ACTIONS(16132), 1,
      anon_sym_DASH,
    ACTIONS(16134), 1,
      aux_sym__integer_token1,
    ACTIONS(16322), 1,
      anon_sym_RBRACK,
    STATE(12358), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [498355] = 4,
    ACTIONS(16324), 1,
      anon_sym_RPAREN,
    STATE(12455), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [498371] = 4,
    ACTIONS(16164), 1,
      sym_keyword_update,
    STATE(10498), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16326), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [498387] = 5,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    STATE(2831), 1,
      sym__single_quote_string,
    STATE(4801), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3156), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [498405] = 4,
    STATE(1860), 1,
      sym_identifier,
    STATE(10540), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498421] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16328), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_references,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [498433] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(14320), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498449] = 3,
    ACTIONS(16332), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16330), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [498463] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(14339), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498479] = 3,
    ACTIONS(16336), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16334), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [498493] = 4,
    ACTIONS(15174), 1,
      anon_sym_RPAREN,
    STATE(12690), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [498509] = 6,
    ACTIONS(16130), 1,
      anon_sym_PLUS,
    ACTIONS(16132), 1,
      anon_sym_DASH,
    ACTIONS(16134), 1,
      aux_sym__integer_token1,
    ACTIONS(16338), 1,
      anon_sym_RBRACK,
    STATE(12713), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [498529] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(9387), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498545] = 4,
    ACTIONS(16340), 1,
      anon_sym_RPAREN,
    STATE(12814), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [498561] = 5,
    ACTIONS(4167), 1,
      aux_sym__single_quote_string_token1,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(4505), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4175), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [498579] = 4,
    ACTIONS(16279), 1,
      anon_sym_COMMA,
    STATE(9395), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16342), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [498595] = 4,
    STATE(9401), 1,
      sym_identifier,
    STATE(11879), 1,
      sym_field,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498611] = 4,
    ACTIONS(16279), 1,
      anon_sym_COMMA,
    STATE(9590), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16344), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [498627] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11886), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [498645] = 4,
    ACTIONS(14896), 1,
      anon_sym_RPAREN,
    STATE(13112), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [498661] = 6,
    ACTIONS(16130), 1,
      anon_sym_PLUS,
    ACTIONS(16132), 1,
      anon_sym_DASH,
    ACTIONS(16134), 1,
      aux_sym__integer_token1,
    ACTIONS(16346), 1,
      anon_sym_RBRACK,
    STATE(13115), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [498681] = 4,
    ACTIONS(16348), 1,
      anon_sym_RPAREN,
    STATE(13259), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [498697] = 4,
    ACTIONS(14341), 1,
      anon_sym_COMMA,
    STATE(8352), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16350), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [498713] = 5,
    ACTIONS(4277), 1,
      aux_sym__single_quote_string_token1,
    STATE(5636), 1,
      sym__literal_string,
    STATE(5659), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4287), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [498731] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13057), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498747] = 5,
    ACTIONS(13688), 1,
      sym_keyword_union,
    ACTIONS(16352), 1,
      anon_sym_RPAREN,
    STATE(7709), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13690), 2,
      sym_keyword_except,
      sym_keyword_intersect,
  [498765] = 5,
    ACTIONS(14592), 1,
      aux_sym__single_quote_string_token1,
    STATE(6663), 1,
      sym__single_quote_string,
    STATE(6743), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14594), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [498783] = 3,
    ACTIONS(16356), 1,
      sym_keyword_sequence,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16354), 4,
      sym_keyword_table,
      sym_keyword_view,
      sym_keyword_recursive,
      sym_keyword_trigger,
  [498797] = 6,
    ACTIONS(12852), 1,
      sym_keyword_rename,
    ACTIONS(16358), 1,
      sym_keyword_set,
    ACTIONS(16360), 1,
      sym_keyword_alter,
    ACTIONS(16362), 1,
      sym_keyword_reset,
    STATE(10496), 1,
      sym_rename_object,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [498817] = 4,
    ACTIONS(16364), 1,
      anon_sym_RPAREN,
    STATE(10707), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498833] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(14023), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498849] = 6,
    ACTIONS(16366), 1,
      sym_keyword_by,
    ACTIONS(16368), 1,
      anon_sym_PLUS,
    ACTIONS(16370), 1,
      anon_sym_DASH,
    ACTIONS(16372), 1,
      aux_sym__integer_token1,
    STATE(7464), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [498869] = 4,
    ACTIONS(14951), 1,
      anon_sym_RPAREN,
    STATE(13553), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [498885] = 6,
    ACTIONS(16130), 1,
      anon_sym_PLUS,
    ACTIONS(16132), 1,
      anon_sym_DASH,
    ACTIONS(16134), 1,
      aux_sym__integer_token1,
    ACTIONS(16374), 1,
      anon_sym_RBRACK,
    STATE(13556), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [498905] = 4,
    ACTIONS(9736), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16140), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(9080), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [498921] = 4,
    ACTIONS(16376), 1,
      anon_sym_RPAREN,
    STATE(13611), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [498937] = 6,
    ACTIONS(16368), 1,
      anon_sym_PLUS,
    ACTIONS(16370), 1,
      anon_sym_DASH,
    ACTIONS(16372), 1,
      aux_sym__integer_token1,
    ACTIONS(16378), 1,
      sym_keyword_with,
    STATE(7472), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [498957] = 4,
    ACTIONS(9736), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16142), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(9080), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [498973] = 5,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    STATE(4694), 1,
      sym__literal_string,
    STATE(4768), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3753), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [498991] = 4,
    ACTIONS(9736), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16142), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(9080), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [499007] = 3,
    ACTIONS(16382), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16380), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499021] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10817), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [499039] = 4,
    ACTIONS(15033), 1,
      anon_sym_RPAREN,
    STATE(13725), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [499055] = 4,
    STATE(1860), 1,
      sym_identifier,
    STATE(11203), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499071] = 6,
    ACTIONS(16130), 1,
      anon_sym_PLUS,
    ACTIONS(16132), 1,
      anon_sym_DASH,
    ACTIONS(16134), 1,
      aux_sym__integer_token1,
    ACTIONS(16384), 1,
      anon_sym_RBRACK,
    STATE(13736), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [499091] = 4,
    STATE(7943), 1,
      sym_object_reference,
    STATE(7998), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16186), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499107] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13717), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499123] = 4,
    ACTIONS(16386), 1,
      anon_sym_RPAREN,
    STATE(13795), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [499139] = 5,
    ACTIONS(3677), 1,
      aux_sym__single_quote_string_token1,
    STATE(2095), 1,
      sym__single_quote_string,
    STATE(2313), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3685), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [499157] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16388), 5,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_nulls,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [499169] = 4,
    ACTIONS(15152), 1,
      anon_sym_RPAREN,
    STATE(13900), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [499185] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(9880), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16144), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [499201] = 6,
    ACTIONS(16130), 1,
      anon_sym_PLUS,
    ACTIONS(16132), 1,
      anon_sym_DASH,
    ACTIONS(16134), 1,
      aux_sym__integer_token1,
    ACTIONS(16390), 1,
      anon_sym_RBRACK,
    STATE(13903), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [499221] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(9881), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16146), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [499237] = 4,
    ACTIONS(16392), 1,
      anon_sym_RPAREN,
    STATE(13944), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [499253] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(9882), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16148), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [499269] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(9883), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16150), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [499285] = 5,
    ACTIONS(3949), 1,
      aux_sym__single_quote_string_token1,
    STATE(2673), 1,
      sym__single_quote_string,
    STATE(2691), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3957), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [499303] = 5,
    ACTIONS(16394), 1,
      sym__identifier,
    ACTIONS(16396), 1,
      sym_keyword_as,
    STATE(8248), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16186), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [499321] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11095), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499337] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10828), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [499355] = 4,
    ACTIONS(14802), 1,
      anon_sym_RPAREN,
    STATE(14156), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [499371] = 6,
    ACTIONS(16130), 1,
      anon_sym_PLUS,
    ACTIONS(16132), 1,
      anon_sym_DASH,
    ACTIONS(16134), 1,
      aux_sym__integer_token1,
    ACTIONS(16398), 1,
      anon_sym_RBRACK,
    STATE(14166), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [499391] = 4,
    ACTIONS(16400), 1,
      anon_sym_RPAREN,
    STATE(14211), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [499407] = 4,
    ACTIONS(16164), 1,
      sym_keyword_update,
    STATE(10935), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16402), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [499423] = 5,
    ACTIONS(4051), 1,
      aux_sym__single_quote_string_token1,
    STATE(4437), 1,
      sym__literal_string,
    STATE(4497), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4059), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [499441] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16404), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_references,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [499453] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(14760), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499469] = 4,
    ACTIONS(14828), 1,
      anon_sym_RPAREN,
    STATE(14362), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [499485] = 6,
    ACTIONS(16130), 1,
      anon_sym_PLUS,
    ACTIONS(16132), 1,
      anon_sym_DASH,
    ACTIONS(16134), 1,
      aux_sym__integer_token1,
    ACTIONS(16406), 1,
      anon_sym_RBRACK,
    STATE(14381), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [499505] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(12283), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499521] = 3,
    ACTIONS(16410), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16408), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [499535] = 4,
    ACTIONS(16412), 1,
      anon_sym_RPAREN,
    STATE(14528), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [499551] = 3,
    ACTIONS(16416), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16414), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [499565] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(8819), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499581] = 4,
    ACTIONS(14908), 1,
      anon_sym_RPAREN,
    STATE(14626), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [499597] = 6,
    ACTIONS(16130), 1,
      anon_sym_PLUS,
    ACTIONS(16132), 1,
      anon_sym_DASH,
    ACTIONS(16134), 1,
      aux_sym__integer_token1,
    ACTIONS(16418), 1,
      anon_sym_RBRACK,
    STATE(14629), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [499617] = 4,
    ACTIONS(16420), 1,
      anon_sym_RPAREN,
    STATE(14669), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [499633] = 3,
    ACTIONS(16424), 1,
      sym_keyword_authorization,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16422), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [499647] = 4,
    ACTIONS(16426), 1,
      anon_sym_RPAREN,
    STATE(13483), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [499663] = 4,
    STATE(1860), 1,
      sym_identifier,
    STATE(7313), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499679] = 4,
    STATE(6394), 1,
      sym_object_reference,
    STATE(6516), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499695] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(8823), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499711] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11881), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499727] = 4,
    ACTIONS(15011), 1,
      anon_sym_RPAREN,
    STATE(14775), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [499743] = 6,
    ACTIONS(16130), 1,
      anon_sym_PLUS,
    ACTIONS(16132), 1,
      anon_sym_DASH,
    ACTIONS(16134), 1,
      aux_sym__integer_token1,
    ACTIONS(16428), 1,
      anon_sym_RBRACK,
    STATE(14778), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [499763] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(8824), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499779] = 4,
    ACTIONS(16430), 1,
      anon_sym_RPAREN,
    STATE(14819), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [499795] = 4,
    ACTIONS(9736), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16168), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(9080), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [499811] = 4,
    ACTIONS(9736), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16170), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(9080), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [499827] = 4,
    ACTIONS(9736), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16170), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(9080), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [499843] = 6,
    ACTIONS(16130), 1,
      anon_sym_PLUS,
    ACTIONS(16132), 1,
      anon_sym_DASH,
    ACTIONS(16134), 1,
      aux_sym__integer_token1,
    ACTIONS(16432), 1,
      anon_sym_RBRACK,
    STATE(13572), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [499863] = 6,
    ACTIONS(16130), 1,
      anon_sym_PLUS,
    ACTIONS(16132), 1,
      anon_sym_DASH,
    ACTIONS(16134), 1,
      aux_sym__integer_token1,
    ACTIONS(16434), 1,
      anon_sym_RBRACK,
    STATE(12605), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [499883] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(12927), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499899] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(12075), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499915] = 4,
    STATE(7952), 1,
      sym_object_reference,
    STATE(7998), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16186), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499931] = 4,
    ACTIONS(16164), 1,
      sym_keyword_update,
    STATE(10980), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16436), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [499947] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(6966), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499963] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16438), 5,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_nulls,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [499975] = 5,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(16440), 1,
      sym_keyword_all,
    STATE(10391), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [499993] = 3,
    ACTIONS(16442), 1,
      sym_keyword_sequence,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16354), 4,
      sym_keyword_table,
      sym_keyword_view,
      sym_keyword_recursive,
      sym_keyword_trigger,
  [500007] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(9931), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16174), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [500023] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(9933), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16176), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [500039] = 3,
    ACTIONS(16446), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16444), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [500053] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(6970), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500069] = 4,
    STATE(6462), 1,
      sym_object_reference,
    STATE(6516), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500085] = 4,
    ACTIONS(16164), 1,
      sym_keyword_update,
    STATE(11111), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16448), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [500101] = 4,
    STATE(6325), 1,
      sym_object_reference,
    STATE(6516), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500117] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(8389), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500133] = 4,
    STATE(1860), 1,
      sym_identifier,
    STATE(7123), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500149] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(10709), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500165] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(6944), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500181] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(14756), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500197] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11126), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500213] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13454), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500229] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13462), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500245] = 4,
    STATE(6393), 1,
      sym_object_reference,
    STATE(6516), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500261] = 5,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(16450), 1,
      sym_keyword_column,
    STATE(11220), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [500279] = 3,
    ACTIONS(16454), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16452), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [500293] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11486), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [500311] = 6,
    ACTIONS(16456), 1,
      sym_keyword_constraint,
    ACTIONS(16458), 1,
      sym_keyword_temp,
    ACTIONS(16460), 1,
      sym_keyword_temporary,
    ACTIONS(16462), 1,
      sym_keyword_trigger,
    STATE(13895), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [500331] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11507), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [500349] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(10974), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500365] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11011), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500381] = 4,
    ACTIONS(16464), 1,
      anon_sym_RPAREN,
    STATE(11175), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500397] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10815), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [500415] = 4,
    ACTIONS(9736), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16188), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(9080), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [500431] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10862), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [500449] = 4,
    ACTIONS(9736), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16188), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(9080), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [500465] = 5,
    ACTIONS(14592), 1,
      aux_sym__single_quote_string_token1,
    STATE(6663), 1,
      sym__single_quote_string,
    STATE(6723), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14594), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [500483] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13677), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500499] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11051), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500515] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11097), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500531] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(9968), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16190), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [500547] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10595), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [500565] = 4,
    STATE(11260), 1,
      sym_set_configuration,
    STATE(11267), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500581] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(8840), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500597] = 4,
    STATE(7962), 1,
      sym_object_reference,
    STATE(7998), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16186), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500613] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(10769), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500629] = 3,
    ACTIONS(16468), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16466), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [500643] = 4,
    ACTIONS(16164), 1,
      sym_keyword_update,
    STATE(11245), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16470), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [500659] = 4,
    STATE(10824), 1,
      sym__key_value_pair,
    STATE(13630), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500675] = 5,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(16472), 1,
      sym_keyword_all,
    STATE(11304), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [500693] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13937), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500709] = 4,
    ACTIONS(16476), 1,
      sym_keyword_force,
    ACTIONS(16478), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16474), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [500725] = 4,
    STATE(6226), 1,
      sym_object_reference,
    STATE(6516), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500741] = 4,
    STATE(11989), 1,
      sym__key_value_pair,
    STATE(13630), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500757] = 5,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(16480), 1,
      sym_keyword_column,
    STATE(11335), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [500775] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(10967), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500791] = 4,
    STATE(10972), 1,
      sym__key_value_pair,
    STATE(13630), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500807] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11992), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [500825] = 5,
    ACTIONS(14592), 1,
      aux_sym__single_quote_string_token1,
    STATE(6663), 1,
      sym__single_quote_string,
    STATE(6757), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14594), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [500843] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13996), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500859] = 4,
    STATE(7965), 1,
      sym_object_reference,
    STATE(7998), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16186), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500875] = 3,
    ACTIONS(16484), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16482), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [500889] = 4,
    STATE(7708), 1,
      sym_cte,
    STATE(11988), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500905] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(14239), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500921] = 5,
    ACTIONS(129), 1,
      sym__identifier,
    ACTIONS(16486), 1,
      sym_keyword_all,
    STATE(6967), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [500939] = 4,
    STATE(7968), 1,
      sym_object_reference,
    STATE(7998), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16186), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500955] = 4,
    ACTIONS(16488), 1,
      anon_sym_RPAREN,
    STATE(10677), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500971] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(10679), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500987] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(14344), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501003] = 4,
    STATE(7972), 1,
      sym_object_reference,
    STATE(7998), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16186), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501019] = 6,
    ACTIONS(16368), 1,
      anon_sym_PLUS,
    ACTIONS(16370), 1,
      anon_sym_DASH,
    ACTIONS(16372), 1,
      aux_sym__integer_token1,
    ACTIONS(16490), 1,
      sym_keyword_with,
    STATE(7397), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [501039] = 6,
    ACTIONS(16368), 1,
      anon_sym_PLUS,
    ACTIONS(16370), 1,
      anon_sym_DASH,
    ACTIONS(16372), 1,
      aux_sym__integer_token1,
    ACTIONS(16492), 1,
      sym_keyword_with,
    STATE(7386), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [501059] = 5,
    ACTIONS(14592), 1,
      aux_sym__single_quote_string_token1,
    STATE(6663), 1,
      sym__single_quote_string,
    STATE(6765), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14594), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [501077] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(14404), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501093] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(6952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501109] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(14562), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501125] = 3,
    ACTIONS(16496), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16494), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [501139] = 6,
    ACTIONS(12852), 1,
      sym_keyword_rename,
    ACTIONS(16498), 1,
      sym_keyword_set,
    ACTIONS(16500), 1,
      sym_keyword_alter,
    ACTIONS(16502), 1,
      sym_keyword_reset,
    STATE(11484), 1,
      sym_rename_object,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [501159] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(14634), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501175] = 3,
    ACTIONS(16506), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16504), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [501189] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11958), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501205] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(14681), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501221] = 4,
    ACTIONS(16164), 1,
      sym_keyword_update,
    STATE(11021), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16508), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [501237] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(10273), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16510), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [501253] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16512), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_create,
      anon_sym_RPAREN,
  [501265] = 5,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    STATE(783), 1,
      sym__single_quote_string,
    STATE(2546), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2467), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [501283] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501299] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10813), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [501317] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(10285), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16514), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [501333] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10819), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [501351] = 5,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(16516), 1,
      sym_keyword_all,
    STATE(11017), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [501369] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10842), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [501387] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10858), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [501405] = 4,
    STATE(8324), 1,
      sym_identifier,
    STATE(12073), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501421] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10883), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [501439] = 5,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(16518), 1,
      sym_keyword_none,
    STATE(11806), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [501457] = 4,
    STATE(7034), 1,
      sym_identifier,
    STATE(9336), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501473] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11074), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501489] = 4,
    ACTIONS(16520), 1,
      anon_sym_RPAREN,
    STATE(11082), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501505] = 3,
    ACTIONS(16524), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16522), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [501519] = 3,
    ACTIONS(15678), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15676), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [501533] = 4,
    STATE(7940), 1,
      sym_object_reference,
    STATE(7998), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16186), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501549] = 4,
    ACTIONS(16164), 1,
      sym_keyword_update,
    STATE(12083), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16526), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [501565] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11122), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [501583] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11131), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [501601] = 4,
    STATE(7034), 1,
      sym_identifier,
    STATE(10650), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501617] = 4,
    STATE(7034), 1,
      sym_identifier,
    STATE(9354), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501633] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11146), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [501651] = 4,
    STATE(7034), 1,
      sym_identifier,
    STATE(10105), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501667] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11149), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [501685] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11159), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [501703] = 4,
    STATE(1860), 1,
      sym_identifier,
    STATE(11151), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501719] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11308), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [501737] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11318), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [501755] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(12119), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501771] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11324), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [501789] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11326), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [501807] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11334), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [501825] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11152), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501841] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15820), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
  [501853] = 4,
    ACTIONS(16530), 1,
      sym_keyword_force,
    ACTIONS(16532), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16528), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [501869] = 4,
    STATE(7034), 1,
      sym_identifier,
    STATE(9403), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501885] = 4,
    STATE(7034), 1,
      sym_identifier,
    STATE(8446), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501901] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11434), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [501919] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11439), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [501937] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11443), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [501955] = 5,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(11586), 1,
      sym_keyword_none,
    STATE(11890), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [501973] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11447), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [501991] = 5,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(11586), 1,
      sym_keyword_default,
    STATE(11890), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [502009] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11453), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502027] = 4,
    ACTIONS(16534), 1,
      sym_keyword_as,
    ACTIONS(16536), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15662), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [502043] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11516), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502059] = 6,
    ACTIONS(16538), 1,
      sym_keyword_constraint,
    ACTIONS(16540), 1,
      sym_keyword_temp,
    ACTIONS(16542), 1,
      sym_keyword_temporary,
    ACTIONS(16544), 1,
      sym_keyword_trigger,
    STATE(14832), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [502079] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10794), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502097] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10952), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502115] = 4,
    STATE(7034), 1,
      sym_identifier,
    STATE(9431), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502131] = 4,
    STATE(11924), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15346), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16546), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [502147] = 4,
    STATE(7034), 1,
      sym_identifier,
    STATE(9432), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502163] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11121), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502181] = 4,
    STATE(11925), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15398), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16548), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [502197] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11427), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502215] = 4,
    STATE(7034), 1,
      sym_identifier,
    STATE(9433), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502231] = 4,
    STATE(11927), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15514), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16550), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [502247] = 4,
    ACTIONS(14341), 1,
      anon_sym_COMMA,
    STATE(9411), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16552), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [502263] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10524), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502281] = 4,
    STATE(7034), 1,
      sym_identifier,
    STATE(9437), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502297] = 4,
    STATE(11931), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15540), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16554), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [502313] = 4,
    STATE(11933), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15592), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16556), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [502329] = 5,
    ACTIONS(16558), 1,
      sym_keyword_partition,
    ACTIONS(16560), 1,
      anon_sym_LPAREN,
    STATE(11939), 1,
      sym__partition_spec,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15498), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [502347] = 4,
    STATE(7034), 1,
      sym_identifier,
    STATE(9443), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502363] = 4,
    STATE(7034), 1,
      sym_identifier,
    STATE(10164), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502379] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10632), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502397] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10706), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502415] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10809), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502433] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10831), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502451] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10890), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502469] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(9414), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502485] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(14336), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502501] = 5,
    ACTIONS(4097), 1,
      aux_sym__single_quote_string_token1,
    STATE(1004), 1,
      sym__single_quote_string,
    STATE(6815), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4105), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502519] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11256), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502537] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11299), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502555] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11344), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502573] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11374), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502591] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(9128), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502607] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11431), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502625] = 4,
    ACTIONS(16562), 1,
      anon_sym_RPAREN,
    STATE(14397), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502641] = 4,
    ACTIONS(16562), 1,
      anon_sym_RPAREN,
    STATE(11284), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502657] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10751), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502675] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16566), 2,
      sym_keyword_after,
      sym_keyword_before,
    ACTIONS(16564), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [502689] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10762), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502707] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10775), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502725] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10781), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502743] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10797), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502761] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11301), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502777] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10920), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502795] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11303), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502811] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10940), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502829] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10948), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502847] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10950), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502865] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10953), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502883] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13098), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502899] = 4,
    ACTIONS(16279), 1,
      anon_sym_COMMA,
    STATE(9586), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16568), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [502915] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11054), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502933] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11068), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502951] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(9588), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502967] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11076), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502985] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11078), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503003] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11084), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503021] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15674), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
  [503033] = 4,
    ACTIONS(16279), 1,
      anon_sym_COMMA,
    STATE(9590), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16568), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [503049] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(9591), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503065] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(10881), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16233), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [503081] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11212), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503099] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11221), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503117] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11226), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503135] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16570), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503147] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11232), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503165] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14946), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_COMMA,
  [503177] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11254), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503195] = 4,
    STATE(7034), 1,
      sym_identifier,
    STATE(8469), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503211] = 4,
    ACTIONS(16086), 1,
      anon_sym_STAR,
    STATE(3921), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(277), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503227] = 5,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(11607), 1,
      sym_keyword_default,
    STATE(11976), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [503245] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11364), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503263] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11378), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503281] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11405), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503299] = 4,
    ACTIONS(14341), 1,
      anon_sym_COMMA,
    STATE(8352), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16572), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [503315] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11411), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503333] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11429), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503351] = 4,
    ACTIONS(14341), 1,
      anon_sym_COMMA,
    STATE(9135), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16572), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [503367] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13455), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503383] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(10765), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503399] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10492), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503417] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10500), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503435] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10504), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503453] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10508), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503471] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10515), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503489] = 5,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(16574), 1,
      sym_keyword_all,
    STATE(11996), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [503507] = 3,
    ACTIONS(16576), 1,
      sym__identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16578), 4,
      sym__dollar_quoted_string,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
  [503521] = 5,
    ACTIONS(13688), 1,
      sym_keyword_union,
    ACTIONS(16580), 1,
      anon_sym_RPAREN,
    STATE(7709), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13690), 2,
      sym_keyword_except,
      sym_keyword_intersect,
  [503539] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10604), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503557] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10612), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503575] = 5,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(16582), 1,
      sym_keyword_all,
    STATE(12026), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [503593] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10620), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503611] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10623), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503629] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10628), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503647] = 4,
    STATE(12028), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15858), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16584), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [503663] = 4,
    STATE(12029), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15864), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16586), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [503679] = 4,
    STATE(12030), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15868), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16588), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [503695] = 4,
    STATE(7034), 1,
      sym_identifier,
    STATE(12031), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503711] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10668), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503729] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10681), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503747] = 4,
    STATE(12032), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15917), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16590), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [503763] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10685), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503781] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10696), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503799] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10747), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503817] = 4,
    STATE(12034), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15921), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16592), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [503833] = 4,
    STATE(7034), 1,
      sym_identifier,
    STATE(10259), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503849] = 5,
    ACTIONS(16558), 1,
      sym_keyword_partition,
    ACTIONS(16594), 1,
      anon_sym_LPAREN,
    STATE(12038), 1,
      sym__partition_spec,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15872), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [503867] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10789), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503885] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10793), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503903] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10800), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503921] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10802), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503939] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10808), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503957] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11504), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503975] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10825), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503993] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10836), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [504011] = 6,
    ACTIONS(16062), 1,
      sym_keyword_create,
    ACTIONS(16066), 1,
      sym_keyword_all,
    ACTIONS(16596), 1,
      sym_keyword_tables,
    STATE(8226), 1,
      sym__show_create,
    STATE(8259), 1,
      sym__show_tables,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [504031] = 4,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    STATE(11009), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14042), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [504047] = 5,
    ACTIONS(13688), 1,
      sym_keyword_union,
    ACTIONS(16598), 1,
      anon_sym_RPAREN,
    STATE(7709), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13690), 2,
      sym_keyword_except,
      sym_keyword_intersect,
  [504065] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(10947), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504081] = 6,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(13624), 1,
      sym_keyword_select,
    ACTIONS(16600), 1,
      sym_keyword_all,
    STATE(7655), 1,
      sym__select_statement,
    STATE(7849), 1,
      sym_select,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [504101] = 4,
    STATE(1860), 1,
      sym_identifier,
    STATE(7905), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504117] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11575), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504133] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(3910), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [504151] = 4,
    ACTIONS(16602), 1,
      anon_sym_RPAREN,
    STATE(10878), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504167] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(12594), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504183] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11000), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504199] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11586), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504215] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11624), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [504233] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11485), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [504251] = 4,
    ACTIONS(16604), 1,
      anon_sym_RPAREN,
    STATE(10898), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504267] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11057), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504283] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11062), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504299] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(11049), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16606), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [504315] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11610), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504331] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13045), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504347] = 4,
    STATE(1860), 1,
      sym_identifier,
    STATE(8443), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504363] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(7159), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [504381] = 4,
    ACTIONS(14832), 1,
      anon_sym_RPAREN,
    STATE(14729), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14072), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [504397] = 3,
    ACTIONS(16608), 1,
      sym__identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16610), 4,
      sym__dollar_quoted_string,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
  [504411] = 4,
    STATE(7598), 1,
      sym_cte,
    STATE(11988), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504427] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11102), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504443] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11112), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504459] = 4,
    ACTIONS(16612), 1,
      anon_sym_RPAREN,
    STATE(10924), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504475] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11632), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504491] = 4,
    ACTIONS(16614), 1,
      sym_keyword_from,
    STATE(13765), 1,
      sym_index_hint,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9014), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [504507] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(11067), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16182), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [504523] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11174), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504539] = 4,
    ACTIONS(16616), 1,
      anon_sym_RPAREN,
    STATE(10944), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504555] = 4,
    ACTIONS(15955), 1,
      sym_keyword_cascade,
    ACTIONS(15959), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15098), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [504571] = 4,
    STATE(7034), 1,
      sym_identifier,
    STATE(11087), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504587] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11219), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504603] = 4,
    ACTIONS(16618), 1,
      anon_sym_RPAREN,
    STATE(10960), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504619] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(6964), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504635] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13774), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504651] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13837), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504667] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13855), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504683] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13864), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504699] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13867), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504715] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13872), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504731] = 6,
    ACTIONS(16130), 1,
      anon_sym_PLUS,
    ACTIONS(16132), 1,
      anon_sym_DASH,
    ACTIONS(16134), 1,
      aux_sym__integer_token1,
    ACTIONS(16620), 1,
      anon_sym_RBRACK,
    STATE(14777), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [504751] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13878), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504767] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13886), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504783] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13896), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504799] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13909), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504815] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13911), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504831] = 4,
    ACTIONS(15047), 1,
      sym_keyword_from,
    STATE(7809), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13508), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [504847] = 5,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(16622), 1,
      sym_keyword_all,
    STATE(12091), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [504865] = 5,
    ACTIONS(14260), 1,
      sym_keyword_noscan,
    ACTIONS(16624), 1,
      sym_keyword_for,
    ACTIONS(16626), 1,
      sym_keyword_cache,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15424), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [504883] = 4,
    STATE(7034), 1,
      sym_identifier,
    STATE(12096), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504899] = 4,
    STATE(7034), 1,
      sym_identifier,
    STATE(12097), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504915] = 4,
    STATE(7034), 1,
      sym_identifier,
    STATE(10322), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504931] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(12114), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504947] = 4,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    STATE(11142), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14505), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [504963] = 5,
    ACTIONS(14592), 1,
      aux_sym__single_quote_string_token1,
    STATE(6663), 1,
      sym__single_quote_string,
    STATE(6731), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14594), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [504981] = 3,
    ACTIONS(16630), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16628), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [504995] = 3,
    ACTIONS(16634), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16632), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [505009] = 6,
    ACTIONS(16045), 1,
      sym_keyword_create,
    ACTIONS(16049), 1,
      sym_keyword_all,
    ACTIONS(16636), 1,
      sym_keyword_tables,
    STATE(8369), 1,
      sym__show_create,
    STATE(8370), 1,
      sym__show_tables,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [505029] = 6,
    ACTIONS(13652), 1,
      sym_keyword_select,
    ACTIONS(16082), 1,
      anon_sym_LPAREN,
    ACTIONS(16638), 1,
      sym_keyword_all,
    STATE(7874), 1,
      sym__select_statement,
    STATE(8058), 1,
      sym_select,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [505049] = 4,
    ACTIONS(16164), 1,
      sym_keyword_update,
    STATE(10971), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16640), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [505065] = 4,
    STATE(7998), 1,
      sym_identifier,
    STATE(8040), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16186), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505081] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(9954), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16642), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [505097] = 6,
    ACTIONS(16062), 1,
      sym_keyword_create,
    ACTIONS(16066), 1,
      sym_keyword_all,
    ACTIONS(16644), 1,
      sym_keyword_tables,
    STATE(8226), 1,
      sym__show_create,
    STATE(8259), 1,
      sym__show_tables,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [505117] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16646), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_create,
      anon_sym_RPAREN,
  [505129] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(10720), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505145] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(10138), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16648), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [505161] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(10139), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16650), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [505177] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(11189), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16510), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [505193] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(11194), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16514), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [505209] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10931), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [505227] = 4,
    ACTIONS(16652), 1,
      sym_keyword_cascade,
    ACTIONS(16654), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15676), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [505243] = 3,
    ACTIONS(16658), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16656), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [505257] = 3,
    ACTIONS(15670), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15668), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [505271] = 5,
    ACTIONS(14275), 1,
      sym_keyword_noscan,
    ACTIONS(16660), 1,
      sym_keyword_for,
    ACTIONS(16662), 1,
      sym_keyword_cache,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15656), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [505289] = 4,
    STATE(7034), 1,
      sym_identifier,
    STATE(12184), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505305] = 4,
    STATE(7034), 1,
      sym_identifier,
    STATE(12185), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505321] = 4,
    STATE(7034), 1,
      sym_identifier,
    STATE(10384), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505337] = 4,
    STATE(7034), 1,
      sym_identifier,
    STATE(10386), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505353] = 4,
    ACTIONS(16664), 1,
      sym__identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16666), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(16668), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [505369] = 4,
    ACTIONS(9181), 1,
      sym_keyword_limit,
    STATE(11289), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15480), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [505385] = 5,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(6792), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10805), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [505403] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(10079), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505419] = 4,
    ACTIONS(16672), 1,
      sym_keyword_inner,
    ACTIONS(16674), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16670), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [505435] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(8637), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505451] = 4,
    STATE(1860), 1,
      sym_identifier,
    STATE(10955), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505467] = 4,
    ACTIONS(16676), 1,
      anon_sym_RPAREN,
    STATE(10969), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505483] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(9349), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505499] = 4,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(3324), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16678), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [505515] = 4,
    STATE(10987), 1,
      sym_set_configuration,
    STATE(11267), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505531] = 5,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(16680), 1,
      sym_keyword_all,
    STATE(10989), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [505549] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16682), 5,
      sym_keyword_default,
      sym_keyword_plain,
      sym_keyword_extended,
      sym_keyword_main,
      sym_keyword_external,
  [505561] = 4,
    STATE(11035), 1,
      sym__key_value_pair,
    STATE(13630), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505577] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(6943), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505593] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(11360), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16642), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [505609] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(11375), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16648), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [505625] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(11379), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16650), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [505641] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(6947), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505657] = 4,
    ACTIONS(16686), 1,
      sym_keyword_inner,
    ACTIONS(16688), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16684), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [505673] = 4,
    ACTIONS(16690), 1,
      sym_keyword_cascade,
    ACTIONS(16692), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15668), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [505689] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11962), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505705] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(6956), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505721] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(6792), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [505739] = 5,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(16694), 1,
      sym_keyword_column,
    STATE(10886), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [505757] = 3,
    ACTIONS(16698), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16696), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [505771] = 5,
    ACTIONS(283), 1,
      sym__identifier,
    ACTIONS(16700), 1,
      sym_keyword_all,
    STATE(12234), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [505789] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(8847), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505805] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11987), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [505823] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13638), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505839] = 5,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(16702), 1,
      sym_keyword_none,
    STATE(11279), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [505857] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13692), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505873] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(8192), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505889] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13705), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505905] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13706), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505921] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13718), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505937] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13719), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505953] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13727), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505969] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13728), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505985] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(13732), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506001] = 4,
    STATE(7034), 1,
      sym_identifier,
    STATE(12251), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506017] = 4,
    STATE(7034), 1,
      sym_identifier,
    STATE(10447), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506033] = 4,
    ACTIONS(16706), 1,
      sym_keyword_inner,
    ACTIONS(16708), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16704), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [506049] = 4,
    ACTIONS(16712), 1,
      sym_keyword_inner,
    ACTIONS(16714), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16710), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [506065] = 4,
    ACTIONS(16718), 1,
      sym_keyword_inner,
    ACTIONS(16720), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16716), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [506081] = 4,
    ACTIONS(16724), 1,
      sym_keyword_inner,
    ACTIONS(16726), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16722), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [506097] = 4,
    ACTIONS(16730), 1,
      sym_keyword_inner,
    ACTIONS(16732), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16728), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [506113] = 4,
    ACTIONS(16736), 1,
      sym_keyword_inner,
    ACTIONS(16738), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16734), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [506129] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16742), 2,
      sym_keyword_after,
      sym_keyword_before,
    ACTIONS(16740), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [506143] = 4,
    ACTIONS(16746), 1,
      sym_keyword_cache,
    ACTIONS(16748), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16744), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [506159] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(11258), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506175] = 5,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(11654), 1,
      sym_keyword_none,
    STATE(11347), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [506193] = 4,
    ACTIONS(16279), 1,
      anon_sym_COMMA,
    STATE(9590), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16750), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [506209] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(9060), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506225] = 4,
    ACTIONS(16279), 1,
      anon_sym_COMMA,
    STATE(9061), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16750), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [506241] = 6,
    ACTIONS(16062), 1,
      sym_keyword_create,
    ACTIONS(16066), 1,
      sym_keyword_all,
    ACTIONS(16752), 1,
      sym_keyword_tables,
    STATE(8226), 1,
      sym__show_create,
    STATE(8259), 1,
      sym__show_tables,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [506261] = 4,
    ACTIONS(16756), 1,
      anon_sym_COMMA,
    STATE(9590), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16754), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [506277] = 4,
    ACTIONS(16279), 1,
      anon_sym_COMMA,
    STATE(9064), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16759), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [506293] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(12138), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506309] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(7455), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506327] = 4,
    STATE(6464), 1,
      sym_object_reference,
    STATE(6516), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506343] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(12140), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506359] = 4,
    ACTIONS(14086), 1,
      anon_sym_COMMA,
    STATE(8901), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16136), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [506375] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(10905), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16138), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [506391] = 4,
    ACTIONS(9738), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16156), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(8905), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [506407] = 5,
    ACTIONS(16761), 1,
      sym_keyword_on,
    STATE(10431), 1,
      sym__on_conflict,
    STATE(10432), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15484), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [506425] = 4,
    ACTIONS(16763), 1,
      anon_sym_RPAREN,
    STATE(11345), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506441] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(14251), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506457] = 4,
    STATE(6465), 1,
      sym_object_reference,
    STATE(6516), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506473] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(12146), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506489] = 4,
    STATE(6300), 1,
      sym_object_reference,
    STATE(6516), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506505] = 5,
    ACTIONS(16761), 1,
      sym_keyword_on,
    STATE(9918), 1,
      sym__on_conflict,
    STATE(9922), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15364), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [506523] = 4,
    ACTIONS(16761), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15420), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(9926), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
  [506539] = 5,
    ACTIONS(16761), 1,
      sym_keyword_on,
    STATE(9927), 1,
      sym__on_conflict,
    STATE(9929), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15364), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [506557] = 5,
    ACTIONS(16761), 1,
      sym_keyword_on,
    STATE(9966), 1,
      sym__on_conflict,
    STATE(9970), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15334), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [506575] = 4,
    ACTIONS(16761), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15292), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(9971), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
  [506591] = 4,
    ACTIONS(16765), 1,
      anon_sym_RPAREN,
    STATE(11361), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506607] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(12153), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506623] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(14277), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506639] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(12158), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3116), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506657] = 5,
    ACTIONS(16761), 1,
      sym_keyword_on,
    STATE(10193), 1,
      sym__on_conflict,
    STATE(10194), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15352), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [506675] = 4,
    ACTIONS(16761), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15354), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(10195), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
  [506691] = 5,
    ACTIONS(16761), 1,
      sym_keyword_on,
    STATE(10202), 1,
      sym__on_conflict,
    STATE(10204), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15360), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [506709] = 4,
    ACTIONS(16761), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15362), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(10205), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
  [506725] = 5,
    ACTIONS(16761), 1,
      sym_keyword_on,
    STATE(10209), 1,
      sym__on_conflict,
    STATE(10211), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15360), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [506743] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(11265), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16194), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [506759] = 4,
    ACTIONS(16767), 1,
      anon_sym_RPAREN,
    STATE(11372), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506775] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(12160), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506791] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(11186), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16207), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [506807] = 5,
    ACTIONS(16761), 1,
      sym_keyword_on,
    STATE(10098), 1,
      sym__on_conflict,
    STATE(10102), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15205), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [506825] = 4,
    ACTIONS(16761), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15294), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(10104), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
  [506841] = 5,
    ACTIONS(16761), 1,
      sym_keyword_on,
    STATE(10119), 1,
      sym__on_conflict,
    STATE(10126), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15402), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [506859] = 4,
    ACTIONS(16761), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15466), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(10477), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
  [506875] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(11351), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16209), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [506891] = 4,
    ACTIONS(16769), 1,
      anon_sym_RPAREN,
    STATE(11383), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506907] = 5,
    ACTIONS(16761), 1,
      sym_keyword_on,
    STATE(10457), 1,
      sym__on_conflict,
    STATE(10458), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15257), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [506925] = 4,
    ACTIONS(16761), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15263), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(10459), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
  [506941] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(10676), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16211), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [506957] = 4,
    ACTIONS(16771), 1,
      anon_sym_RPAREN,
    STATE(11394), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506973] = 5,
    ACTIONS(16761), 1,
      sym_keyword_on,
    STATE(9764), 1,
      sym__on_conflict,
    STATE(9765), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15862), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [506991] = 4,
    ACTIONS(16761), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15290), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(9767), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
  [507007] = 5,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(11654), 1,
      sym_keyword_default,
    STATE(11347), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [507025] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(9997), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16606), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [507041] = 5,
    ACTIONS(13688), 1,
      sym_keyword_union,
    ACTIONS(16580), 1,
      anon_sym_RPAREN,
    STATE(7709), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13690), 2,
      sym_keyword_except,
      sym_keyword_intersect,
  [507059] = 4,
    STATE(6399), 1,
      sym_object_reference,
    STATE(6516), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507075] = 4,
    STATE(11591), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15728), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16773), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [507091] = 4,
    STATE(1860), 1,
      sym_identifier,
    STATE(8458), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507107] = 5,
    ACTIONS(16761), 1,
      sym_keyword_on,
    STATE(10466), 1,
      sym__on_conflict,
    STATE(10470), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15977), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [507125] = 4,
    ACTIONS(16761), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15832), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(9709), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
  [507141] = 4,
    STATE(6347), 1,
      sym_object_reference,
    STATE(6516), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507157] = 5,
    ACTIONS(16761), 1,
      sym_keyword_on,
    STATE(10347), 1,
      sym__on_conflict,
    STATE(10356), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15484), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [507175] = 4,
    ACTIONS(16761), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15528), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(10359), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
  [507191] = 4,
    STATE(7998), 1,
      sym_identifier,
    STATE(8074), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16186), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507207] = 4,
    STATE(7998), 1,
      sym_identifier,
    STATE(8075), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16186), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507223] = 4,
    STATE(7034), 1,
      sym_identifier,
    STATE(10486), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507239] = 4,
    STATE(7998), 1,
      sym_identifier,
    STATE(8077), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16186), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507255] = 4,
    STATE(7998), 1,
      sym_identifier,
    STATE(8080), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16186), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507271] = 4,
    STATE(7998), 1,
      sym_identifier,
    STATE(8082), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16186), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507287] = 4,
    STATE(7909), 1,
      sym_object_reference,
    STATE(7998), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16186), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507303] = 4,
    STATE(7998), 1,
      sym_identifier,
    STATE(8085), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16186), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507319] = 4,
    STATE(7998), 1,
      sym_identifier,
    STATE(8087), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16186), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507335] = 4,
    STATE(7998), 1,
      sym_identifier,
    STATE(8089), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16186), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507351] = 4,
    STATE(7998), 1,
      sym_identifier,
    STATE(8091), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16186), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507367] = 5,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(16775), 1,
      sym_keyword_all,
    STATE(10433), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [507385] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(12247), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507401] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(12256), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507417] = 4,
    ACTIONS(16164), 1,
      sym_keyword_update,
    STATE(11459), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16777), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [507433] = 4,
    ACTIONS(16164), 1,
      sym_keyword_update,
    STATE(11460), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16779), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [507449] = 4,
    ACTIONS(16164), 1,
      sym_keyword_update,
    STATE(11462), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16781), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [507465] = 4,
    ACTIONS(16164), 1,
      sym_keyword_update,
    STATE(11465), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16783), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [507481] = 4,
    ACTIONS(16164), 1,
      sym_keyword_update,
    STATE(11467), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16785), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [507497] = 4,
    ACTIONS(16164), 1,
      sym_keyword_update,
    STATE(11469), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16787), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [507513] = 4,
    ACTIONS(16164), 1,
      sym_keyword_update,
    STATE(11471), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16789), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [507529] = 4,
    ACTIONS(16164), 1,
      sym_keyword_update,
    STATE(11473), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16791), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [507545] = 4,
    ACTIONS(16164), 1,
      sym_keyword_update,
    STATE(11475), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16793), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [507561] = 4,
    STATE(1860), 1,
      sym_identifier,
    STATE(8502), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507577] = 4,
    STATE(1860), 1,
      sym_identifier,
    STATE(11489), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507593] = 4,
    STATE(1860), 1,
      sym_identifier,
    STATE(11490), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507609] = 4,
    STATE(1860), 1,
      sym_identifier,
    STATE(11491), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507625] = 4,
    STATE(1860), 1,
      sym_identifier,
    STATE(11492), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507641] = 4,
    STATE(1860), 1,
      sym_identifier,
    STATE(11493), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507657] = 4,
    STATE(1860), 1,
      sym_identifier,
    STATE(11494), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507673] = 4,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(3324), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16795), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [507689] = 4,
    STATE(1860), 1,
      sym_identifier,
    STATE(11495), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507705] = 6,
    ACTIONS(16797), 1,
      sym_keyword_constraint,
    ACTIONS(16799), 1,
      sym_keyword_temp,
    ACTIONS(16801), 1,
      sym_keyword_temporary,
    ACTIONS(16803), 1,
      sym_keyword_trigger,
    STATE(14830), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507725] = 4,
    STATE(5700), 1,
      sym_identifier,
    STATE(8825), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507741] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16805), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [507752] = 3,
    STATE(6430), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(703), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507765] = 3,
    STATE(16), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507778] = 3,
    STATE(12853), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507791] = 5,
    ACTIONS(16807), 1,
      anon_sym_RPAREN,
    ACTIONS(16809), 1,
      anon_sym_COMMA,
    STATE(10932), 1,
      aux_sym_column_definitions_repeat1,
    STATE(12534), 1,
      sym_constraints,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507808] = 3,
    STATE(10694), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507821] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9221), 1,
      sym_keyword_else,
    ACTIONS(9223), 1,
      sym_keyword_end,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507838] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16302), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [507849] = 4,
    ACTIONS(16813), 1,
      sym_keyword_check,
    STATE(9776), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16811), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [507864] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(10216), 1,
      sym_keyword_end,
    ACTIONS(16815), 1,
      sym_keyword_else,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507881] = 3,
    STATE(8247), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16186), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507894] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16817), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [507905] = 4,
    ACTIONS(16821), 1,
      sym_keyword_returning,
    STATE(10981), 1,
      sym_returning,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16819), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [507920] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16404), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_references,
      anon_sym_COMMA,
  [507931] = 3,
    ACTIONS(16823), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16408), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [507944] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16068), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [507955] = 3,
    STATE(7606), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507968] = 3,
    STATE(10698), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507981] = 3,
    STATE(4671), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(763), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507994] = 5,
    ACTIONS(16082), 1,
      anon_sym_LPAREN,
    ACTIONS(16825), 1,
      sym_keyword_select,
    STATE(9502), 1,
      sym_select,
    STATE(11182), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508011] = 3,
    STATE(6813), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508024] = 3,
    STATE(4666), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(763), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508037] = 3,
    ACTIONS(16827), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16414), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [508050] = 3,
    STATE(6895), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14685), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508063] = 5,
    ACTIONS(16829), 1,
      anon_sym_RPAREN,
    ACTIONS(16831), 1,
      anon_sym_COMMA,
    ACTIONS(16833), 1,
      anon_sym_EQ,
    STATE(10991), 1,
      aux_sym_storage_parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508080] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16070), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [508091] = 4,
    ACTIONS(16837), 1,
      sym_keyword_check,
    STATE(11185), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16835), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [508106] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16076), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [508117] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9337), 1,
      sym_keyword_else,
    ACTIONS(9339), 1,
      sym_keyword_end,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508134] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15528), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [508145] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(10273), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16510), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [508160] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(10228), 1,
      sym_keyword_end,
    ACTIONS(16839), 1,
      sym_keyword_else,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508177] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16078), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [508188] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16841), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [508199] = 3,
    STATE(3630), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(271), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508212] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16843), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [508223] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16845), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [508234] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16847), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [508245] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16318), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [508256] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(10285), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16514), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [508271] = 3,
    STATE(896), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(769), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508284] = 3,
    ACTIONS(16849), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16302), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [508297] = 3,
    ACTIONS(16853), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16851), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [508310] = 3,
    STATE(922), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(769), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508323] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(11834), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16855), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [508338] = 3,
    ACTIONS(16859), 1,
      sym_keyword_force,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16857), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [508351] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9459), 1,
      sym_keyword_else,
    ACTIONS(9461), 1,
      sym_keyword_end,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508368] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(10295), 1,
      sym_keyword_end,
    ACTIONS(16861), 1,
      sym_keyword_else,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508385] = 3,
    STATE(3346), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(643), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508398] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9529), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [508409] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16863), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [508420] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16865), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [508431] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16867), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [508442] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16869), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [508453] = 3,
    STATE(2161), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(403), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508466] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16871), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [508477] = 3,
    STATE(5929), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(639), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508490] = 3,
    STATE(5951), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(639), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508503] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16873), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [508514] = 3,
    STATE(11871), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508527] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16875), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [508538] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9271), 1,
      sym_keyword_else,
    ACTIONS(9273), 1,
      sym_keyword_end,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508555] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9495), 1,
      sym_keyword_else,
    ACTIONS(9497), 1,
      sym_keyword_end,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508572] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(10305), 1,
      sym_keyword_end,
    ACTIONS(16877), 1,
      sym_keyword_else,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508589] = 3,
    STATE(2080), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(703), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508602] = 3,
    STATE(14588), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508615] = 3,
    STATE(8510), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508628] = 3,
    ACTIONS(16881), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16879), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [508641] = 3,
    STATE(2588), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(885), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508654] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16883), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [508665] = 3,
    STATE(2552), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(885), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508678] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(10703), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16885), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [508693] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(10750), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16887), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [508708] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(10753), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16889), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [508723] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9239), 1,
      sym_keyword_else,
    ACTIONS(9241), 1,
      sym_keyword_end,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508740] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(10319), 1,
      sym_keyword_end,
    ACTIONS(16891), 1,
      sym_keyword_else,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508757] = 3,
    STATE(14742), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508770] = 3,
    STATE(490), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(763), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508783] = 5,
    ACTIONS(16082), 1,
      anon_sym_LPAREN,
    ACTIONS(16825), 1,
      sym_keyword_select,
    STATE(9502), 1,
      sym_select,
    STATE(11333), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508800] = 3,
    STATE(14748), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508813] = 3,
    STATE(9283), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508826] = 3,
    STATE(3965), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(949), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508839] = 4,
    ACTIONS(16837), 1,
      sym_keyword_check,
    STATE(11346), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16893), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [508854] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(9954), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16642), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [508869] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16895), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [508880] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16895), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [508891] = 3,
    STATE(4040), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(949), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508904] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16897), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [508915] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(10138), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16648), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [508930] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(10139), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16650), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [508945] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9299), 1,
      sym_keyword_else,
    ACTIONS(9301), 1,
      sym_keyword_end,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508962] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(10335), 1,
      sym_keyword_end,
    ACTIONS(16899), 1,
      sym_keyword_else,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508979] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14505), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [508990] = 3,
    STATE(785), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(769), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509003] = 3,
    STATE(4806), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(969), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509016] = 5,
    ACTIONS(16368), 1,
      anon_sym_PLUS,
    ACTIONS(16370), 1,
      anon_sym_DASH,
    ACTIONS(16372), 1,
      aux_sym__integer_token1,
    STATE(7461), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509033] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16380), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509044] = 4,
    ACTIONS(16813), 1,
      sym_keyword_check,
    STATE(9860), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16901), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [509059] = 3,
    STATE(4433), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(963), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509072] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16903), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509083] = 3,
    STATE(6979), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509096] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11130), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_collate,
  [509107] = 3,
    STATE(7631), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509120] = 3,
    ACTIONS(16905), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13668), 3,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [509133] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9345), 1,
      sym_keyword_else,
    ACTIONS(9347), 1,
      sym_keyword_end,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509150] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(10343), 1,
      sym_keyword_end,
    ACTIONS(16907), 1,
      sym_keyword_else,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509167] = 3,
    STATE(5791), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(639), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509180] = 3,
    STATE(4685), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(963), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509193] = 5,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(16082), 1,
      anon_sym_LPAREN,
    STATE(7715), 1,
      sym_select,
    STATE(7882), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509210] = 3,
    STATE(4862), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(969), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509223] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16148), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509234] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16328), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_references,
      anon_sym_COMMA,
  [509245] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16144), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509256] = 3,
    STATE(3921), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(277), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509269] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16146), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509280] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16909), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509291] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9319), 1,
      sym_keyword_else,
    ACTIONS(9321), 1,
      sym_keyword_end,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509308] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(10353), 1,
      sym_keyword_end,
    ACTIONS(16911), 1,
      sym_keyword_else,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509325] = 3,
    STATE(2327), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(885), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509338] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16150), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509349] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16913), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509360] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16915), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509371] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11219), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_collate,
  [509382] = 3,
    STATE(8248), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16186), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509395] = 3,
    STATE(4685), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509408] = 4,
    ACTIONS(10759), 1,
      sym_keyword_order,
    STATE(11952), 1,
      sym_order_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16917), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [509423] = 3,
    STATE(4862), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1033), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509436] = 3,
    ACTIONS(16919), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16330), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [509449] = 3,
    ACTIONS(16921), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16444), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [509462] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9245), 1,
      sym_keyword_else,
    ACTIONS(9247), 1,
      sym_keyword_end,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509479] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(10363), 1,
      sym_keyword_end,
    ACTIONS(16923), 1,
      sym_keyword_else,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509496] = 3,
    STATE(2854), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509509] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16925), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(16927), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [509522] = 5,
    ACTIONS(16929), 1,
      sym_keyword_range,
    ACTIONS(16931), 1,
      sym_keyword_enum,
    ACTIONS(16933), 1,
      anon_sym_LPAREN,
    STATE(9026), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509539] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16935), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [509550] = 3,
    STATE(4806), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1033), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509563] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16937), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [509574] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16939), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [509585] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11265), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_collate,
  [509596] = 3,
    STATE(4433), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509609] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16178), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509620] = 3,
    STATE(10958), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509633] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(10605), 1,
      sym_keyword_end,
    ACTIONS(16941), 1,
      sym_keyword_else,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509650] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(10463), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16138), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [509665] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9375), 1,
      sym_keyword_else,
    ACTIONS(9377), 1,
      sym_keyword_end,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509682] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(10377), 1,
      sym_keyword_end,
    ACTIONS(16943), 1,
      sym_keyword_else,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509699] = 3,
    STATE(3459), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(949), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509712] = 3,
    STATE(4508), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1093), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509725] = 3,
    ACTIONS(16947), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16945), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [509738] = 3,
    STATE(10567), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509751] = 3,
    STATE(4559), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1093), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509764] = 3,
    ACTIONS(16949), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16452), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [509777] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16422), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509788] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9469), 1,
      sym_keyword_else,
    ACTIONS(9471), 1,
      sym_keyword_end,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509805] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(10385), 1,
      sym_keyword_end,
    ACTIONS(16951), 1,
      sym_keyword_else,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509822] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(10992), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16855), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [509837] = 3,
    STATE(2854), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(463), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509850] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16953), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509861] = 3,
    STATE(10198), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509874] = 4,
    ACTIONS(16837), 1,
      sym_keyword_check,
    STATE(11478), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16955), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [509889] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(9695), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16194), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509904] = 3,
    STATE(5645), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(523), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509917] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(9705), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16207), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509932] = 3,
    STATE(5679), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(523), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509945] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(9707), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16209), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509960] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(9712), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16211), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509975] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14548), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509986] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9112), 1,
      sym_keyword_else,
    ACTIONS(9114), 1,
      sym_keyword_end,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510003] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14516), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [510014] = 3,
    STATE(8777), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510027] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(10395), 1,
      sym_keyword_end,
    ACTIONS(16957), 1,
      sym_keyword_else,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510044] = 3,
    STATE(2854), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(523), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510057] = 3,
    STATE(4706), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1213), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510070] = 5,
    ACTIONS(16082), 1,
      anon_sym_LPAREN,
    ACTIONS(16825), 1,
      sym_keyword_select,
    STATE(9502), 1,
      sym_select,
    STATE(10776), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510087] = 3,
    STATE(4780), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1213), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510100] = 3,
    ACTIONS(16959), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16334), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [510113] = 3,
    STATE(4006), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(963), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510126] = 3,
    STATE(2318), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1219), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510139] = 3,
    STATE(2336), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1219), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510152] = 3,
    STATE(821), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(969), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510165] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16444), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510176] = 3,
    STATE(2704), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1279), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510189] = 3,
    STATE(2634), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1279), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510202] = 3,
    STATE(821), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(523), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510215] = 4,
    ACTIONS(16813), 1,
      sym_keyword_check,
    STATE(9923), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16961), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [510230] = 3,
    STATE(4447), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1343), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510243] = 3,
    STATE(4653), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1343), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510256] = 3,
    STATE(5795), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1033), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510269] = 3,
    STATE(8984), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510282] = 3,
    STATE(4035), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1093), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510295] = 3,
    STATE(5365), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(523), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510308] = 3,
    STATE(4599), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1213), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510321] = 3,
    STATE(821), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1219), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510334] = 3,
    STATE(2412), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1279), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510347] = 3,
    STATE(3992), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1343), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510360] = 4,
    ACTIONS(16813), 1,
      sym_keyword_check,
    STATE(9687), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16963), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [510375] = 3,
    STATE(6775), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(463), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510388] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16239), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510399] = 3,
    STATE(8021), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510412] = 3,
    STATE(8363), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510425] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16174), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510436] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16965), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510447] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16967), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510458] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16176), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510469] = 3,
    STATE(8110), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16186), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510482] = 3,
    STATE(7238), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510495] = 5,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(16969), 1,
      sym_keyword_select,
    STATE(8648), 1,
      sym_select,
    STATE(10011), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510512] = 3,
    STATE(8956), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510525] = 4,
    ACTIONS(16837), 1,
      sym_keyword_check,
    STATE(11018), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16971), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [510540] = 3,
    STATE(8938), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510553] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16973), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510564] = 3,
    STATE(7211), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510577] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16975), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [510588] = 3,
    STATE(14734), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510601] = 3,
    STATE(7241), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510614] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(9790), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16068), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510629] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(9792), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16070), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510644] = 3,
    STATE(11120), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510657] = 3,
    STATE(11132), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510670] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(9794), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16076), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510685] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(9795), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16078), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510700] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(9799), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16084), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510715] = 3,
    STATE(8838), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510728] = 3,
    STATE(7247), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510741] = 3,
    STATE(8480), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510754] = 3,
    STATE(9704), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510767] = 5,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(16977), 1,
      sym_keyword_select,
    STATE(8648), 1,
      sym_select,
    STATE(10011), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510784] = 3,
    STATE(12118), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510797] = 3,
    STATE(11118), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510810] = 3,
    STATE(13571), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510823] = 3,
    STATE(7864), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510836] = 3,
    STATE(7471), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510849] = 3,
    STATE(14288), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510862] = 3,
    STATE(12173), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510875] = 3,
    STATE(14489), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510888] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16979), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [510899] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16981), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [510910] = 3,
    STATE(9057), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510923] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16983), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [510934] = 3,
    STATE(13229), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510947] = 3,
    STATE(7252), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510960] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(10436), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16233), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [510975] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16983), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [510986] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16466), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510997] = 5,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(16977), 1,
      sym_keyword_select,
    STATE(8648), 1,
      sym_select,
    STATE(10261), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511014] = 3,
    STATE(11006), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511027] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15362), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [511038] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16983), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [511049] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16985), 2,
      sym_keyword_immediate,
      sym_keyword_deferred,
  [511064] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16983), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [511075] = 3,
    STATE(7883), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511088] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16987), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511099] = 3,
    ACTIONS(16989), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16466), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [511112] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16190), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511123] = 4,
    ACTIONS(16813), 1,
      sym_keyword_check,
    STATE(9963), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16991), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [511138] = 3,
    STATE(7084), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(523), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511151] = 3,
    STATE(7231), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511164] = 3,
    STATE(7204), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511177] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16993), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511188] = 3,
    STATE(6951), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(523), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511201] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16995), 2,
      sym_keyword_begin,
      sym__identifier,
    ACTIONS(16997), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [511214] = 5,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(16977), 1,
      sym_keyword_select,
    STATE(8648), 1,
      sym_select,
    STATE(9740), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511231] = 4,
    ACTIONS(16837), 1,
      sym_keyword_check,
    STATE(11339), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16999), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [511246] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(9880), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16144), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511261] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(9881), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16146), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511276] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(9882), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16148), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511291] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(9883), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16150), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511306] = 3,
    STATE(11252), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511319] = 3,
    STATE(6844), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14685), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511332] = 3,
    STATE(11268), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511345] = 4,
    ACTIONS(17001), 1,
      sym_keyword_set,
    ACTIONS(17005), 1,
      sym_keyword_no,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17003), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [511360] = 5,
    ACTIONS(13914), 1,
      sym_keyword_view,
    ACTIONS(13924), 1,
      sym_keyword_recursive,
    ACTIONS(13926), 1,
      sym_keyword_trigger,
    ACTIONS(17007), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511377] = 3,
    STATE(9326), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511390] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16576), 2,
      sym_keyword_only,
      sym__identifier,
    ACTIONS(16578), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [511403] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16194), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511414] = 4,
    ACTIONS(14445), 1,
      anon_sym_COMMA,
    STATE(9967), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16136), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [511429] = 5,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(16977), 1,
      sym_keyword_select,
    STATE(8648), 1,
      sym_select,
    STATE(9716), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511446] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17009), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [511457] = 3,
    STATE(8841), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511470] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17011), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [511481] = 3,
    STATE(11001), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511494] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17013), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [511505] = 5,
    ACTIONS(16809), 1,
      anon_sym_COMMA,
    ACTIONS(17015), 1,
      anon_sym_RPAREN,
    STATE(10932), 1,
      aux_sym_column_definitions_repeat1,
    STATE(13646), 1,
      sym_constraints,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511522] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16482), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511533] = 4,
    ACTIONS(16837), 1,
      sym_keyword_check,
    STATE(10986), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17017), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [511548] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17019), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511559] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17021), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [511570] = 4,
    ACTIONS(14445), 1,
      anon_sym_COMMA,
    STATE(8164), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16043), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [511585] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17023), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511596] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17025), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511607] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17021), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [511618] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17027), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [511629] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(9931), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16174), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511644] = 4,
    ACTIONS(16813), 1,
      sym_keyword_check,
    STATE(9992), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17029), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [511659] = 3,
    STATE(11340), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511672] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(9933), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16176), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511687] = 3,
    STATE(11506), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511700] = 3,
    STATE(11511), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511713] = 3,
    STATE(8482), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511726] = 3,
    STATE(10528), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511739] = 3,
    STATE(10530), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511752] = 3,
    STATE(10545), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511765] = 3,
    STATE(10546), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511778] = 3,
    STATE(10558), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511791] = 3,
    STATE(10578), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511804] = 3,
    STATE(11359), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511817] = 3,
    STATE(11363), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511830] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17031), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [511841] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17033), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [511852] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17035), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [511863] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17037), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511874] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17039), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511885] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17041), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511896] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17043), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511907] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17045), 2,
      sym_keyword_begin,
      sym__identifier,
    ACTIONS(17047), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [511920] = 4,
    ACTIONS(16813), 1,
      sym_keyword_check,
    STATE(10004), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17049), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [511935] = 4,
    ACTIONS(17053), 1,
      anon_sym_COMMA,
    STATE(10420), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17051), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [511950] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17055), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [511961] = 3,
    STATE(11409), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511974] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17057), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [511985] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17059), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [511996] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17061), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512007] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17063), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512018] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17065), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512029] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17067), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512040] = 4,
    ACTIONS(17069), 1,
      anon_sym_COMMA,
    STATE(10385), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16344), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [512055] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(9968), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16190), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512070] = 3,
    STATE(11477), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512083] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17071), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [512094] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17073), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [512105] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17075), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [512116] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10701), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512127] = 4,
    ACTIONS(16837), 1,
      sym_keyword_check,
    STATE(11341), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17077), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [512142] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17079), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512153] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17081), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512164] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17083), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512175] = 5,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(16969), 1,
      sym_keyword_select,
    STATE(8648), 1,
      sym_select,
    STATE(10261), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512192] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17085), 2,
      sym_keyword_begin,
      sym__identifier,
    ACTIONS(17087), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [512205] = 3,
    ACTIONS(17089), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16482), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [512218] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17091), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512229] = 5,
    ACTIONS(16368), 1,
      anon_sym_PLUS,
    ACTIONS(16370), 1,
      anon_sym_DASH,
    ACTIONS(16372), 1,
      aux_sym__integer_token1,
    STATE(7403), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512246] = 3,
    STATE(6825), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512259] = 5,
    ACTIONS(16831), 1,
      anon_sym_COMMA,
    ACTIONS(17093), 1,
      anon_sym_RPAREN,
    ACTIONS(17095), 1,
      anon_sym_EQ,
    STATE(11007), 1,
      aux_sym_storage_parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512276] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17097), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [512287] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17099), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [512298] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17101), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512309] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17103), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512320] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17105), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512331] = 3,
    STATE(11012), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512344] = 4,
    ACTIONS(16813), 1,
      sym_keyword_check,
    STATE(10268), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17107), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [512359] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17109), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512370] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17111), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512381] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17113), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512392] = 4,
    ACTIONS(17115), 1,
      sym_keyword_set,
    ACTIONS(17119), 1,
      sym_keyword_no,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17117), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [512407] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17121), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512418] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17123), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512429] = 5,
    ACTIONS(17125), 1,
      anon_sym_PLUS,
    ACTIONS(17127), 1,
      anon_sym_DASH,
    ACTIONS(17129), 1,
      aux_sym__integer_token1,
    STATE(7160), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512446] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17131), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512457] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17133), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512468] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17135), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512479] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17137), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512490] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17139), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512501] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17141), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512512] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(12127), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16885), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [512527] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17143), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512538] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17145), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512549] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17147), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512560] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17149), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512571] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17151), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512582] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17153), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512593] = 4,
    ACTIONS(17157), 1,
      sym_keyword_returning,
    STATE(11783), 1,
      sym_returning,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17155), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [512608] = 4,
    ACTIONS(17157), 1,
      sym_keyword_returning,
    STATE(11784), 1,
      sym_returning,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16819), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [512623] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16510), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512634] = 4,
    ACTIONS(16837), 1,
      sym_keyword_check,
    STATE(10611), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17159), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [512649] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17161), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512660] = 3,
    STATE(10286), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512673] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17163), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512684] = 4,
    ACTIONS(16837), 1,
      sym_keyword_check,
    STATE(10643), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17165), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [512699] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17167), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512710] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15676), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512721] = 3,
    STATE(8718), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512734] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17169), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512745] = 3,
    STATE(10316), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512758] = 5,
    ACTIONS(16104), 1,
      anon_sym_PLUS,
    ACTIONS(16106), 1,
      anon_sym_DASH,
    ACTIONS(16108), 1,
      aux_sym__integer_token1,
    STATE(7567), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512775] = 4,
    ACTIONS(17171), 1,
      sym_keyword_default,
    ACTIONS(17175), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17173), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [512790] = 4,
    ACTIONS(17157), 1,
      sym_keyword_returning,
    STATE(11850), 1,
      sym_returning,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17177), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [512805] = 4,
    ACTIONS(17179), 1,
      sym_keyword_default,
    ACTIONS(17181), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17173), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [512820] = 3,
    STATE(7930), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512833] = 3,
    STATE(6398), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512846] = 3,
    STATE(8391), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512859] = 5,
    ACTIONS(17183), 1,
      sym_keyword_temp,
    ACTIONS(17185), 1,
      sym_keyword_temporary,
    ACTIONS(17187), 1,
      sym_keyword_trigger,
    STATE(14091), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512876] = 3,
    STATE(8361), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512889] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17189), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [512900] = 4,
    ACTIONS(17053), 1,
      anon_sym_COMMA,
    STATE(10116), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17191), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [512915] = 4,
    ACTIONS(17053), 1,
      anon_sym_COMMA,
    STATE(10334), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17191), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [512930] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17193), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [512941] = 3,
    STATE(187), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512954] = 3,
    ACTIONS(17197), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17195), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [512967] = 3,
    STATE(7811), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512980] = 3,
    ACTIONS(17201), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17199), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [512993] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14884), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [513004] = 3,
    STATE(10341), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513017] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17203), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [513028] = 3,
    STATE(8379), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513041] = 3,
    ACTIONS(16530), 1,
      sym_keyword_force,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16528), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [513054] = 3,
    STATE(11967), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513067] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14894), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [513078] = 3,
    STATE(10767), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513091] = 3,
    STATE(10140), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513104] = 3,
    ACTIONS(17205), 1,
      sym_keyword_authorization,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16229), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [513117] = 3,
    STATE(8366), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513130] = 5,
    ACTIONS(17207), 1,
      sym_keyword_range,
    ACTIONS(17209), 1,
      sym_keyword_enum,
    ACTIONS(17211), 1,
      anon_sym_LPAREN,
    STATE(10214), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513147] = 3,
    STATE(11921), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513160] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16610), 4,
      anon_sym_LPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513171] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(12131), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16887), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [513186] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(12151), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16889), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [513201] = 3,
    STATE(8516), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513214] = 5,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7655), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513231] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17213), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [513242] = 3,
    STATE(10158), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513255] = 4,
    ACTIONS(17215), 1,
      sym_keyword_force,
    ACTIONS(17217), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16474), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [513270] = 3,
    STATE(9441), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513283] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17213), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [513294] = 3,
    STATE(8517), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513307] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17219), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [513318] = 4,
    ACTIONS(14906), 1,
      anon_sym_COMMA,
    STATE(10163), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16552), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [513333] = 5,
    ACTIONS(1475), 1,
      sym_keyword_select,
    ACTIONS(16082), 1,
      anon_sym_LPAREN,
    STATE(7715), 1,
      sym_select,
    STATE(7874), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513350] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17221), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [513361] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17223), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [513372] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17225), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [513383] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17225), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [513394] = 3,
    STATE(10375), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513407] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17227), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [513418] = 3,
    STATE(7056), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513431] = 3,
    STATE(3921), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513444] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17229), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [513455] = 4,
    ACTIONS(17231), 1,
      anon_sym_COMMA,
    STATE(10116), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17229), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [513470] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17234), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [513481] = 3,
    STATE(11280), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513494] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17236), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [513505] = 5,
    ACTIONS(16104), 1,
      anon_sym_PLUS,
    ACTIONS(16106), 1,
      anon_sym_DASH,
    ACTIONS(16108), 1,
      aux_sym__integer_token1,
    STATE(7526), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513522] = 3,
    STATE(11282), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513535] = 3,
    STATE(6613), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(463), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513548] = 3,
    STATE(3635), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(277), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513561] = 3,
    STATE(8273), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513574] = 3,
    STATE(11295), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513587] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17236), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [513598] = 3,
    ACTIONS(17240), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17238), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [513611] = 3,
    STATE(9338), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513624] = 3,
    STATE(2436), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(403), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513637] = 3,
    STATE(13098), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513650] = 3,
    STATE(6785), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513663] = 4,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    STATE(4010), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16289), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [513678] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(11399), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17242), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [513693] = 3,
    STATE(13107), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513706] = 3,
    STATE(2576), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513719] = 3,
    STATE(11983), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513732] = 4,
    ACTIONS(17244), 1,
      aux_sym_keyword_character_token1,
    STATE(12607), 1,
      sym_keyword_character,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11623), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [513747] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16209), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [513758] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16211), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [513769] = 3,
    ACTIONS(17246), 1,
      sym_keyword_authorization,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16422), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [513782] = 3,
    STATE(10929), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513795] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17248), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [513806] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17250), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [513817] = 3,
    STATE(9485), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513830] = 5,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(16969), 1,
      sym_keyword_select,
    STATE(8648), 1,
      sym_select,
    STATE(9716), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513847] = 3,
    STATE(2436), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513860] = 4,
    ACTIONS(17252), 1,
      anon_sym_COMMA,
    STATE(10235), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17051), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [513875] = 3,
    STATE(6398), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513888] = 5,
    ACTIONS(16368), 1,
      anon_sym_PLUS,
    ACTIONS(16370), 1,
      anon_sym_DASH,
    ACTIONS(16372), 1,
      aux_sym__integer_token1,
    STATE(7350), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513905] = 3,
    STATE(6941), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513918] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17254), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [513929] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16223), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [513940] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16213), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [513951] = 3,
    STATE(8732), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513964] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17256), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [513975] = 5,
    ACTIONS(16809), 1,
      anon_sym_COMMA,
    ACTIONS(17258), 1,
      anon_sym_RPAREN,
    STATE(10171), 1,
      aux_sym_column_definitions_repeat1,
    STATE(12571), 1,
      sym_constraints,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513992] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17260), 2,
      sym_keyword_on,
      sym_keyword_or,
  [514007] = 4,
    ACTIONS(17262), 1,
      sym_keyword_force,
    ACTIONS(17264), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16528), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [514022] = 3,
    ACTIONS(17266), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16314), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [514035] = 3,
    STATE(7062), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514048] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15480), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [514059] = 5,
    ACTIONS(17268), 1,
      anon_sym_PLUS,
    ACTIONS(17270), 1,
      anon_sym_DASH,
    ACTIONS(17272), 1,
      aux_sym__integer_token1,
    STATE(7307), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514076] = 4,
    ACTIONS(14906), 1,
      anon_sym_COMMA,
    STATE(8753), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16572), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [514091] = 4,
    ACTIONS(14906), 1,
      anon_sym_COMMA,
    STATE(10260), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16572), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [514106] = 3,
    STATE(6613), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514119] = 5,
    ACTIONS(16809), 1,
      anon_sym_COMMA,
    ACTIONS(17274), 1,
      anon_sym_RPAREN,
    STATE(9684), 1,
      aux_sym_column_definitions_repeat1,
    STATE(13502), 1,
      sym_constraints,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514136] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9329), 1,
      sym_keyword_else,
    ACTIONS(9331), 1,
      sym_keyword_end,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514153] = 3,
    STATE(13545), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514166] = 3,
    ACTIONS(17276), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13668), 3,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [514179] = 4,
    ACTIONS(10759), 1,
      sym_keyword_order,
    STATE(12254), 1,
      sym_order_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17278), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [514194] = 5,
    ACTIONS(16809), 1,
      anon_sym_COMMA,
    ACTIONS(17280), 1,
      anon_sym_RPAREN,
    STATE(10932), 1,
      aux_sym_column_definitions_repeat1,
    STATE(12669), 1,
      sym_constraints,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514211] = 3,
    STATE(4172), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514224] = 5,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    STATE(7520), 1,
      sym_select,
    STATE(7677), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514241] = 5,
    ACTIONS(13856), 1,
      sym_keyword_view,
    ACTIONS(13866), 1,
      sym_keyword_recursive,
    ACTIONS(13868), 1,
      sym_keyword_trigger,
    ACTIONS(17282), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514258] = 3,
    STATE(11570), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514271] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9392), 1,
      sym_keyword_else,
    ACTIONS(9394), 1,
      sym_keyword_end,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514288] = 5,
    ACTIONS(13926), 1,
      sym_keyword_trigger,
    ACTIONS(17284), 1,
      sym_keyword_temp,
    ACTIONS(17286), 1,
      sym_keyword_temporary,
    STATE(14766), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514305] = 5,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(13624), 1,
      sym_keyword_select,
    STATE(7655), 1,
      sym__select_statement,
    STATE(7849), 1,
      sym_select,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514322] = 5,
    ACTIONS(17288), 1,
      sym_keyword_group,
    ACTIONS(17290), 1,
      sym_keyword_no,
    ACTIONS(17292), 1,
      sym_keyword_current,
    ACTIONS(17294), 1,
      sym_keyword_ties,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514339] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14042), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [514350] = 5,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(13624), 1,
      sym_keyword_select,
    STATE(7677), 1,
      sym__select_statement,
    STATE(7849), 1,
      sym_select,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514367] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17296), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [514378] = 3,
    STATE(4172), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(277), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514391] = 3,
    STATE(9832), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514404] = 3,
    STATE(2576), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(403), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514417] = 3,
    STATE(12719), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514430] = 3,
    STATE(6544), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514443] = 3,
    STATE(9191), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514456] = 3,
    ACTIONS(17298), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16318), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [514469] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(10164), 1,
      sym_keyword_end,
    ACTIONS(17300), 1,
      sym_keyword_else,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514486] = 4,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    STATE(4010), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16795), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [514501] = 4,
    ACTIONS(16821), 1,
      sym_keyword_returning,
    STATE(10853), 1,
      sym_returning,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17177), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [514516] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17302), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [514527] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17302), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [514538] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17304), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [514549] = 3,
    STATE(10058), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514562] = 5,
    ACTIONS(16130), 1,
      anon_sym_PLUS,
    ACTIONS(16132), 1,
      anon_sym_DASH,
    ACTIONS(16134), 1,
      aux_sym__integer_token1,
    STATE(7160), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514579] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17306), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [514590] = 4,
    ACTIONS(16821), 1,
      sym_keyword_returning,
    STATE(10925), 1,
      sym_returning,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17155), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [514605] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16051), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
  [514616] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17308), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [514627] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17310), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [514638] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16233), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [514649] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17310), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [514660] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15466), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [514671] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15098), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [514682] = 3,
    STATE(7056), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(523), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514695] = 3,
    STATE(490), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(271), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514708] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17310), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [514719] = 3,
    ACTIONS(17312), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16114), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [514732] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17310), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [514743] = 3,
    STATE(7164), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514756] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10655), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [514767] = 3,
    ACTIONS(17314), 1,
      sym_keyword_collate,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16213), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [514780] = 3,
    STATE(8720), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514793] = 3,
    STATE(187), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514806] = 3,
    STATE(11073), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514819] = 3,
    STATE(13679), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514832] = 3,
    STATE(9526), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514845] = 4,
    ACTIONS(9898), 1,
      sym_keyword_when,
    ACTIONS(16156), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10228), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [514860] = 3,
    STATE(8186), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514873] = 3,
    ACTIONS(17316), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16235), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [514886] = 3,
    ACTIONS(15955), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15098), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [514899] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(9997), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16606), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [514914] = 4,
    ACTIONS(17252), 1,
      anon_sym_COMMA,
    STATE(10304), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17318), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [514929] = 3,
    STATE(11090), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514942] = 3,
    STATE(13755), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514955] = 4,
    ACTIONS(16053), 1,
      anon_sym_RPAREN,
    ACTIONS(17320), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10228), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [514970] = 4,
    ACTIONS(9898), 1,
      sym_keyword_when,
    ACTIONS(16058), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10228), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [514985] = 4,
    ACTIONS(9898), 1,
      sym_keyword_when,
    ACTIONS(16060), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10228), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [515000] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17323), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [515011] = 3,
    STATE(11100), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515024] = 4,
    ACTIONS(9898), 1,
      sym_keyword_when,
    ACTIONS(16060), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10228), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [515039] = 3,
    STATE(11109), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515052] = 4,
    ACTIONS(17252), 1,
      anon_sym_COMMA,
    STATE(10315), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17318), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [515067] = 3,
    STATE(7085), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(523), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515080] = 3,
    STATE(13805), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515093] = 3,
    STATE(11114), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515106] = 3,
    STATE(13815), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515119] = 4,
    ACTIONS(9898), 1,
      sym_keyword_when,
    ACTIONS(16140), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10228), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [515134] = 4,
    ACTIONS(9898), 1,
      sym_keyword_when,
    ACTIONS(16142), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10228), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [515149] = 4,
    ACTIONS(9898), 1,
      sym_keyword_when,
    ACTIONS(16142), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10228), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [515164] = 3,
    STATE(12082), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515177] = 4,
    ACTIONS(9898), 1,
      sym_keyword_when,
    ACTIONS(16168), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10228), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [515192] = 4,
    ACTIONS(9898), 1,
      sym_keyword_when,
    ACTIONS(16170), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10228), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [515207] = 4,
    ACTIONS(9898), 1,
      sym_keyword_when,
    ACTIONS(16170), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10228), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [515222] = 3,
    STATE(7174), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515235] = 4,
    ACTIONS(9898), 1,
      sym_keyword_when,
    ACTIONS(16188), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10228), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [515250] = 4,
    ACTIONS(9898), 1,
      sym_keyword_when,
    ACTIONS(16188), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10228), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [515265] = 3,
    STATE(12085), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515278] = 4,
    ACTIONS(17325), 1,
      sym_keyword_default,
    ACTIONS(17329), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17327), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [515293] = 5,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(17331), 1,
      sym_keyword_if,
    STATE(10320), 1,
      sym__single_quote_string,
    STATE(12087), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515310] = 5,
    ACTIONS(17333), 1,
      anon_sym_PLUS,
    ACTIONS(17335), 1,
      anon_sym_DASH,
    ACTIONS(17337), 1,
      aux_sym__integer_token1,
    STATE(7307), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515327] = 3,
    STATE(3487), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(639), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515340] = 3,
    STATE(12090), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515353] = 3,
    STATE(12092), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515366] = 5,
    ACTIONS(16130), 1,
      anon_sym_PLUS,
    ACTIONS(16132), 1,
      anon_sym_DASH,
    ACTIONS(16134), 1,
      aux_sym__integer_token1,
    STATE(9731), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515383] = 5,
    ACTIONS(16082), 1,
      anon_sym_LPAREN,
    ACTIONS(16825), 1,
      sym_keyword_select,
    STATE(9502), 1,
      sym_select,
    STATE(11055), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515400] = 4,
    ACTIONS(17069), 1,
      anon_sym_COMMA,
    STATE(10323), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16342), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [515415] = 4,
    ACTIONS(14906), 1,
      anon_sym_COMMA,
    STATE(8753), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16350), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [515430] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10765), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [515441] = 5,
    ACTIONS(12627), 1,
      anon_sym_LPAREN,
    ACTIONS(16969), 1,
      sym_keyword_select,
    STATE(8648), 1,
      sym_select,
    STATE(9740), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515458] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17339), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [515469] = 3,
    STATE(10758), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515482] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17341), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [515493] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9525), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [515504] = 4,
    ACTIONS(16813), 1,
      sym_keyword_check,
    STATE(9820), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17343), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [515519] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16628), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [515530] = 3,
    STATE(3540), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(639), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515543] = 5,
    ACTIONS(13652), 1,
      sym_keyword_select,
    ACTIONS(16082), 1,
      anon_sym_LPAREN,
    STATE(7874), 1,
      sym__select_statement,
    STATE(8058), 1,
      sym_select,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515560] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17345), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [515571] = 5,
    ACTIONS(13652), 1,
      sym_keyword_select,
    ACTIONS(16082), 1,
      anon_sym_LPAREN,
    STATE(7882), 1,
      sym__select_statement,
    STATE(8058), 1,
      sym_select,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515588] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16642), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [515599] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17347), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [515610] = 5,
    ACTIONS(16104), 1,
      anon_sym_PLUS,
    ACTIONS(16106), 1,
      anon_sym_DASH,
    ACTIONS(16108), 1,
      aux_sym__integer_token1,
    STATE(7496), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515627] = 3,
    STATE(7683), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515640] = 3,
    STATE(7685), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515653] = 3,
    STATE(12357), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515666] = 3,
    STATE(12361), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515679] = 3,
    STATE(12362), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515692] = 5,
    ACTIONS(16265), 1,
      sym_keyword_temp,
    ACTIONS(16267), 1,
      sym_keyword_temporary,
    ACTIONS(16269), 1,
      sym_keyword_trigger,
    STATE(12460), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515709] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17349), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [515720] = 3,
    ACTIONS(17351), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16380), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [515733] = 5,
    ACTIONS(16809), 1,
      anon_sym_COMMA,
    ACTIONS(17353), 1,
      anon_sym_RPAREN,
    STATE(10326), 1,
      aux_sym_column_definitions_repeat1,
    STATE(13713), 1,
      sym_constraints,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515750] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16650), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [515761] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17355), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [515772] = 3,
    STATE(12132), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515785] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17357), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [515796] = 3,
    ACTIONS(17359), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16494), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [515809] = 3,
    ACTIONS(17361), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16504), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [515822] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17363), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [515833] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17365), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [515844] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16512), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_create,
  [515855] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17367), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [515866] = 3,
    STATE(11195), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515879] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17369), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [515890] = 3,
    STATE(12446), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515903] = 3,
    STATE(12450), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515916] = 3,
    STATE(12451), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515929] = 3,
    STATE(9554), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515942] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17371), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [515953] = 3,
    ACTIONS(17373), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16522), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [515966] = 3,
    ACTIONS(16652), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15676), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [515979] = 4,
    ACTIONS(17252), 1,
      anon_sym_COMMA,
    STATE(10315), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17191), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [515994] = 4,
    ACTIONS(17252), 1,
      anon_sym_COMMA,
    STATE(10365), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17191), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [516009] = 5,
    ACTIONS(16104), 1,
      anon_sym_PLUS,
    ACTIONS(16106), 1,
      anon_sym_DASH,
    ACTIONS(16108), 1,
      aux_sym__integer_token1,
    STATE(7544), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516026] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15668), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [516037] = 3,
    STATE(11243), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516050] = 3,
    STATE(12528), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516063] = 3,
    STATE(12532), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516076] = 3,
    STATE(12533), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516089] = 3,
    STATE(8690), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516102] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17375), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [516113] = 3,
    STATE(11255), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516126] = 4,
    ACTIONS(17377), 1,
      anon_sym_COMMA,
    STATE(10315), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17229), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [516141] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    STATE(10157), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17380), 2,
      sym_keyword_on,
      sym_keyword_or,
  [516156] = 3,
    STATE(12166), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516169] = 3,
    STATE(12167), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516182] = 3,
    STATE(8555), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516195] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16564), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(17382), 2,
      sym_keyword_after,
      sym_keyword_before,
  [516208] = 3,
    STATE(12181), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516221] = 4,
    ACTIONS(17069), 1,
      anon_sym_COMMA,
    STATE(10383), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16568), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [516236] = 4,
    ACTIONS(17069), 1,
      anon_sym_COMMA,
    STATE(10385), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16568), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [516251] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(12190), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17242), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [516266] = 4,
    ACTIONS(17384), 1,
      sym_keyword_default,
    ACTIONS(17388), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17386), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [516281] = 5,
    ACTIONS(16809), 1,
      anon_sym_COMMA,
    ACTIONS(17390), 1,
      anon_sym_RPAREN,
    STATE(10932), 1,
      aux_sym_column_definitions_repeat1,
    STATE(13853), 1,
      sym_constraints,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516298] = 3,
    ACTIONS(17394), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17392), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [516311] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(17396), 1,
      sym__double_quote_string,
    ACTIONS(17398), 1,
      sym__dollar_quoted_string_start_tag,
    STATE(6959), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516328] = 3,
    STATE(6789), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516341] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9207), 1,
      sym_keyword_else,
    ACTIONS(9209), 1,
      sym_keyword_end,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516358] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(10052), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16182), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [516373] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17400), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [516384] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(10174), 1,
      sym_keyword_end,
    ACTIONS(17402), 1,
      sym_keyword_else,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516401] = 4,
    ACTIONS(17053), 1,
      anon_sym_COMMA,
    STATE(10116), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17404), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [516416] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17406), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [516427] = 5,
    ACTIONS(16130), 1,
      anon_sym_PLUS,
    ACTIONS(16132), 1,
      anon_sym_DASH,
    ACTIONS(16134), 1,
      aux_sym__integer_token1,
    STATE(10274), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516444] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17408), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [516455] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17410), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [516466] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17412), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [516477] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14985), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [516488] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17414), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [516499] = 3,
    STATE(10760), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516512] = 3,
    ACTIONS(17416), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16628), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [516525] = 3,
    ACTIONS(17418), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16632), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [516538] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16646), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_create,
  [516549] = 3,
    STATE(2161), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516562] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17420), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [516573] = 3,
    STATE(7191), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516586] = 3,
    ACTIONS(17422), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16656), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [516599] = 3,
    ACTIONS(16690), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15668), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [516612] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14987), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [516623] = 5,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(17424), 1,
      sym__double_quote_string,
    ACTIONS(17426), 1,
      sym__dollar_quoted_string_start_tag,
    STATE(6972), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516640] = 3,
    STATE(7192), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516653] = 3,
    STATE(8684), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516666] = 3,
    STATE(6789), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516679] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17420), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [516690] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15021), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [516701] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17428), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [516712] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15420), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [516723] = 3,
    STATE(7193), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516736] = 3,
    STATE(13570), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516749] = 3,
    STATE(7195), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516762] = 4,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    STATE(4010), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16678), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [516777] = 3,
    STATE(8688), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516790] = 4,
    ACTIONS(17252), 1,
      anon_sym_COMMA,
    STATE(10315), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17404), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [516805] = 3,
    STATE(10909), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516818] = 5,
    ACTIONS(17268), 1,
      anon_sym_PLUS,
    ACTIONS(17270), 1,
      anon_sym_DASH,
    ACTIONS(17272), 1,
      aux_sym__integer_token1,
    STATE(11417), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516835] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17430), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_compute,
      anon_sym_RPAREN,
  [516846] = 3,
    STATE(7198), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516859] = 3,
    STATE(7202), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516872] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17432), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [516883] = 3,
    STATE(10335), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516896] = 3,
    ACTIONS(17434), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16696), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [516909] = 3,
    STATE(11425), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516922] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17436), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [516933] = 3,
    ACTIONS(16275), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16271), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [516946] = 3,
    STATE(9233), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516959] = 3,
    STATE(9639), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516972] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16740), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(17438), 2,
      sym_keyword_after,
      sym_keyword_before,
  [516985] = 3,
    STATE(4272), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(271), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516998] = 3,
    STATE(11795), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517011] = 4,
    ACTIONS(17440), 1,
      sym_keyword_cache,
    ACTIONS(17442), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16744), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [517026] = 4,
    ACTIONS(17069), 1,
      anon_sym_COMMA,
    STATE(10385), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16750), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [517041] = 4,
    ACTIONS(17069), 1,
      anon_sym_COMMA,
    STATE(10449), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16750), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [517056] = 4,
    ACTIONS(17444), 1,
      anon_sym_COMMA,
    STATE(10385), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16754), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [517071] = 4,
    ACTIONS(17069), 1,
      anon_sym_COMMA,
    STATE(10450), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16759), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [517086] = 3,
    STATE(4387), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(271), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517099] = 5,
    ACTIONS(16809), 1,
      anon_sym_COMMA,
    ACTIONS(17447), 1,
      anon_sym_RPAREN,
    STATE(9962), 1,
      aux_sym_column_definitions_repeat1,
    STATE(13659), 1,
      sym_constraints,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517116] = 3,
    STATE(8748), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517129] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17449), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_compute,
      anon_sym_RPAREN,
  [517140] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    STATE(9928), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17451), 2,
      sym_keyword_immediate,
      sym_keyword_deferred,
  [517155] = 3,
    ACTIONS(16748), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16744), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [517168] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(10901), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17453), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [517183] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16754), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [517194] = 5,
    ACTIONS(16104), 1,
      anon_sym_PLUS,
    ACTIONS(16106), 1,
      anon_sym_DASH,
    ACTIONS(16108), 1,
      aux_sym__integer_token1,
    STATE(7499), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517211] = 4,
    ACTIONS(17053), 1,
      anon_sym_COMMA,
    STATE(10073), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17318), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [517226] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9189), 1,
      sym_keyword_else,
    ACTIONS(9191), 1,
      sym_keyword_end,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517243] = 3,
    STATE(10075), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517256] = 3,
    STATE(10593), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517269] = 4,
    ACTIONS(14351), 1,
      sym_keyword_where,
    STATE(10911), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17455), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [517284] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(10188), 1,
      sym_keyword_end,
    ACTIONS(17457), 1,
      sym_keyword_else,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517301] = 5,
    ACTIONS(16104), 1,
      anon_sym_PLUS,
    ACTIONS(16106), 1,
      anon_sym_DASH,
    ACTIONS(16108), 1,
      aux_sym__integer_token1,
    STATE(7506), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517318] = 3,
    STATE(7812), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14467), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517331] = 5,
    ACTIONS(17459), 1,
      sym_keyword_temp,
    ACTIONS(17461), 1,
      sym_keyword_temporary,
    ACTIONS(17463), 1,
      sym_keyword_trigger,
    STATE(12688), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517348] = 3,
    STATE(10022), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517361] = 3,
    STATE(3346), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(639), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517374] = 3,
    STATE(14157), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517387] = 3,
    STATE(13448), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517400] = 3,
    ACTIONS(17465), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16178), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [517413] = 3,
    STATE(6725), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517426] = 3,
    STATE(25), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517439] = 3,
    STATE(10082), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517452] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17467), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [517463] = 3,
    STATE(7402), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(281), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517476] = 3,
    STATE(6785), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517489] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17469), 2,
      sym_keyword_immediate,
      sym_keyword_deferred,
  [517504] = 3,
    STATE(12726), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517517] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16198), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_create,
  [517528] = 3,
    STATE(10112), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517541] = 4,
    ACTIONS(17053), 1,
      anon_sym_COMMA,
    STATE(10116), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17318), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [517556] = 3,
    STATE(3487), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(643), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517569] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17471), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [517580] = 3,
    STATE(10117), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517593] = 3,
    STATE(14316), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517606] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14934), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [517617] = 3,
    STATE(14324), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517630] = 3,
    STATE(10675), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517643] = 3,
    ACTIONS(17473), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16219), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [517656] = 3,
    ACTIONS(17475), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16223), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [517669] = 3,
    STATE(14334), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517682] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17420), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [517693] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17420), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [517704] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    STATE(10416), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17477), 2,
      sym_keyword_immediate,
      sym_keyword_deferred,
  [517719] = 3,
    STATE(14744), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517732] = 3,
    ACTIONS(17479), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16239), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [517745] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16606), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [517756] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17481), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(17483), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [517769] = 3,
    STATE(3540), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(643), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517782] = 5,
    ACTIONS(17268), 1,
      anon_sym_PLUS,
    ACTIONS(17270), 1,
      anon_sym_DASH,
    ACTIONS(17272), 1,
      aux_sym__integer_token1,
    STATE(11331), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517799] = 3,
    ACTIONS(17485), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16255), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [517812] = 3,
    ACTIONS(17487), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16259), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [517825] = 3,
    STATE(8926), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517838] = 3,
    STATE(8927), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(341), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517851] = 3,
    STATE(7052), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517864] = 5,
    ACTIONS(13926), 1,
      sym_keyword_trigger,
    ACTIONS(14023), 1,
      sym_keyword_view,
    ACTIONS(14031), 1,
      sym_keyword_recursive,
    ACTIONS(17489), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517881] = 4,
    ACTIONS(17491), 1,
      sym_keyword_cache,
    ACTIONS(17493), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16271), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [517896] = 4,
    ACTIONS(17069), 1,
      anon_sym_COMMA,
    STATE(10005), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16277), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [517911] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(9102), 1,
      sym_keyword_else,
    ACTIONS(9104), 1,
      sym_keyword_end,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517928] = 4,
    ACTIONS(17069), 1,
      anon_sym_COMMA,
    STATE(10385), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16281), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [517943] = 4,
    ACTIONS(17069), 1,
      anon_sym_COMMA,
    STATE(10385), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16283), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [517958] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(11671), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17453), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [517973] = 4,
    ACTIONS(14459), 1,
      sym_keyword_where,
    STATE(11728), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17455), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [517988] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17495), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [517999] = 5,
    ACTIONS(16368), 1,
      anon_sym_PLUS,
    ACTIONS(16370), 1,
      anon_sym_DASH,
    ACTIONS(16372), 1,
      aux_sym__integer_token1,
    STATE(7425), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518016] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(10200), 1,
      sym_keyword_end,
    ACTIONS(17497), 1,
      sym_keyword_else,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518033] = 5,
    ACTIONS(16368), 1,
      anon_sym_PLUS,
    ACTIONS(16370), 1,
      anon_sym_DASH,
    ACTIONS(16372), 1,
      aux_sym__integer_token1,
    STATE(7465), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518050] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17499), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [518061] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17499), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [518072] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17501), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [518083] = 3,
    STATE(2080), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [518096] = 3,
    STATE(7799), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(523), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [518109] = 5,
    ACTIONS(16368), 1,
      anon_sym_PLUS,
    ACTIONS(16370), 1,
      anon_sym_DASH,
    ACTIONS(16372), 1,
      aux_sym__integer_token1,
    STATE(7353), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518126] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17503), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [518137] = 3,
    STATE(10686), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [518150] = 4,
    ACTIONS(17505), 1,
      sym_keyword_when,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17508), 2,
      sym_keyword_else,
      sym_keyword_end,
  [518165] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17510), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [518176] = 5,
    ACTIONS(9092), 1,
      sym_keyword_when,
    ACTIONS(10178), 1,
      sym_keyword_end,
    ACTIONS(17512), 1,
      sym_keyword_else,
    STATE(10465), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518193] = 3,
    STATE(6418), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(703), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [518206] = 3,
    STATE(11862), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [518219] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17510), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [518230] = 5,
    ACTIONS(13868), 1,
      sym_keyword_trigger,
    ACTIONS(17514), 1,
      sym_keyword_temp,
    ACTIONS(17516), 1,
      sym_keyword_temporary,
    STATE(14825), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518247] = 5,
    ACTIONS(17518), 1,
      sym_keyword_temp,
    ACTIONS(17520), 1,
      sym_keyword_temporary,
    ACTIONS(17522), 1,
      sym_keyword_trigger,
    STATE(14828), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518264] = 5,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(17331), 1,
      sym_keyword_if,
    STATE(9374), 1,
      sym__single_quote_string,
    STATE(11863), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518281] = 5,
    ACTIONS(16540), 1,
      sym_keyword_temp,
    ACTIONS(16542), 1,
      sym_keyword_temporary,
    ACTIONS(16544), 1,
      sym_keyword_trigger,
    STATE(14832), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518298] = 5,
    ACTIONS(17524), 1,
      sym_keyword_temp,
    ACTIONS(17526), 1,
      sym_keyword_temporary,
    ACTIONS(17528), 1,
      sym_keyword_trigger,
    STATE(14834), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518315] = 3,
    STATE(9678), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [518328] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17530), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [518339] = 4,
    ACTIONS(17532), 1,
      anon_sym_RPAREN,
    ACTIONS(17534), 1,
      anon_sym_COMMA,
    STATE(10497), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518353] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17536), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [518363] = 4,
    ACTIONS(17538), 1,
      anon_sym_RPAREN,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    STATE(11337), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518377] = 4,
    ACTIONS(17542), 1,
      anon_sym_RPAREN,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518391] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17546), 1,
      anon_sym_RPAREN,
    STATE(10487), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518405] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16176), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518415] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17548), 1,
      anon_sym_RPAREN,
    STATE(10533), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518429] = 4,
    ACTIONS(14258), 1,
      anon_sym_COMMA,
    ACTIONS(17442), 1,
      anon_sym_RPAREN,
    STATE(11397), 1,
      aux_sym__compute_stats_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518443] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16883), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [518453] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17550), 1,
      anon_sym_RPAREN,
    STATE(11337), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518467] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17552), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [518477] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17554), 1,
      anon_sym_RPAREN,
    STATE(10493), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518491] = 4,
    ACTIONS(17556), 1,
      anon_sym_RPAREN,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    STATE(11291), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518505] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(17560), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518519] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(17562), 1,
      anon_sym_RPAREN,
    STATE(14207), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518533] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17564), 1,
      anon_sym_RPAREN,
    STATE(11337), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518547] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(17566), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518561] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17568), 1,
      anon_sym_RPAREN,
    STATE(10499), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518575] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17570), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [518585] = 4,
    ACTIONS(17534), 1,
      anon_sym_COMMA,
    ACTIONS(17572), 1,
      anon_sym_RPAREN,
    STATE(10923), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518599] = 4,
    ACTIONS(17574), 1,
      sym_keyword_on,
    ACTIONS(17576), 1,
      sym_keyword_or,
    STATE(10933), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518613] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17578), 1,
      anon_sym_RPAREN,
    STATE(11337), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518627] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17580), 1,
      anon_sym_RPAREN,
    STATE(10509), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518641] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17582), 1,
      anon_sym_RPAREN,
    STATE(10505), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518655] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(17584), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518669] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17586), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518683] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(17588), 1,
      anon_sym_RPAREN,
    STATE(14229), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518697] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17590), 1,
      anon_sym_RPAREN,
    STATE(11337), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518711] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(17592), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518725] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17594), 1,
      anon_sym_RPAREN,
    STATE(10510), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518739] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(17596), 1,
      anon_sym_RPAREN,
    STATE(14237), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518753] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17598), 1,
      anon_sym_RPAREN,
    STATE(11291), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518767] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17600), 1,
      anon_sym_RPAREN,
    STATE(11337), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518781] = 4,
    ACTIONS(17534), 1,
      anon_sym_COMMA,
    ACTIONS(17602), 1,
      anon_sym_RPAREN,
    STATE(10568), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518795] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(17604), 1,
      sym_keyword_on,
    STATE(11024), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518809] = 3,
    ACTIONS(17608), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17606), 2,
      sym_keyword_after,
      sym_keyword_before,
  [518821] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17610), 3,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_cycle,
  [518831] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(17612), 1,
      anon_sym_RPAREN,
    STATE(14256), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518845] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(17614), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518859] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17616), 1,
      anon_sym_RPAREN,
    STATE(10537), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518873] = 4,
    ACTIONS(17618), 1,
      anon_sym_RPAREN,
    ACTIONS(17620), 1,
      anon_sym_COMMA,
    STATE(11036), 1,
      aux_sym_index_fields_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518887] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17622), 1,
      anon_sym_RPAREN,
    STATE(11337), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518901] = 4,
    ACTIONS(17624), 1,
      sym_keyword_value,
    ACTIONS(17626), 1,
      sym_keyword_to,
    ACTIONS(17628), 1,
      sym_keyword_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518915] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17630), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [518925] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(17632), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518939] = 4,
    ACTIONS(17634), 1,
      sym_keyword_using,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    STATE(9517), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518953] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(17638), 1,
      anon_sym_RPAREN,
    STATE(13754), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518967] = 4,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    ACTIONS(17640), 1,
      sym_keyword_using,
    STATE(9521), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518981] = 4,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    ACTIONS(17642), 1,
      sym_keyword_using,
    STATE(9522), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518995] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17644), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519009] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17646), 1,
      anon_sym_RPAREN,
    STATE(10543), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519023] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17648), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519037] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17644), 1,
      anon_sym_RPAREN,
    STATE(10544), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519051] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17650), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519061] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17652), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519071] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17654), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519085] = 4,
    ACTIONS(17656), 1,
      anon_sym_RPAREN,
    ACTIONS(17658), 1,
      anon_sym_COMMA,
    STATE(10994), 1,
      aux_sym__table_settings_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519099] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17660), 1,
      anon_sym_RPAREN,
    STATE(10551), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519113] = 4,
    ACTIONS(17662), 1,
      anon_sym_RPAREN,
    ACTIONS(17664), 1,
      anon_sym_COMMA,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519127] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17667), 1,
      anon_sym_RPAREN,
    STATE(11337), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519141] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17296), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [519151] = 4,
    ACTIONS(17669), 1,
      anon_sym_RPAREN,
    ACTIONS(17671), 1,
      anon_sym_COMMA,
    STATE(11072), 1,
      aux_sym_create_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519165] = 3,
    ACTIONS(17675), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17673), 2,
      sym_keyword_after,
      sym_keyword_before,
  [519177] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17677), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519191] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17679), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519201] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17681), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519215] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17683), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519229] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17685), 1,
      anon_sym_RPAREN,
    STATE(10556), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519243] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17683), 1,
      anon_sym_RPAREN,
    STATE(10557), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519257] = 3,
    ACTIONS(17687), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2320), 2,
      sym_subquery,
      sym_list,
  [519269] = 4,
    ACTIONS(17534), 1,
      anon_sym_COMMA,
    ACTIONS(17689), 1,
      anon_sym_RPAREN,
    STATE(10923), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519283] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17691), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519293] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17693), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519303] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17695), 1,
      anon_sym_RPAREN,
    STATE(11337), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519317] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17697), 1,
      anon_sym_RPAREN,
    STATE(10562), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519331] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(1787), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519345] = 3,
    ACTIONS(17699), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(3968), 2,
      sym_subquery,
      sym_list,
  [519357] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17031), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [519367] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17701), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519381] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17703), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519395] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17705), 1,
      anon_sym_RPAREN,
    STATE(10569), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519409] = 3,
    ACTIONS(17707), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17392), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [519421] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17033), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [519431] = 4,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(17709), 1,
      anon_sym_RPAREN,
    STATE(10865), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519445] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17711), 1,
      anon_sym_RPAREN,
    STATE(11337), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519459] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17713), 1,
      anon_sym_RPAREN,
    STATE(10580), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519473] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17035), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [519483] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(17604), 1,
      sym_keyword_on,
    STATE(11116), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519497] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17715), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519507] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17717), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519517] = 4,
    ACTIONS(17534), 1,
      anon_sym_COMMA,
    ACTIONS(17719), 1,
      anon_sym_RPAREN,
    STATE(10923), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519531] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17721), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519545] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16166), 1,
      anon_sym_RPAREN,
    STATE(11441), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519559] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15858), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519569] = 4,
    ACTIONS(17723), 1,
      anon_sym_RPAREN,
    ACTIONS(17725), 1,
      anon_sym_COMMA,
    STATE(11135), 1,
      aux_sym_function_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519583] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16973), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519593] = 4,
    ACTIONS(17727), 1,
      anon_sym_RPAREN,
    ACTIONS(17729), 1,
      anon_sym_COMMA,
    STATE(10574), 1,
      aux_sym_ordered_columns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519607] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15864), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519617] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17732), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [519627] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15868), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519637] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17734), 1,
      anon_sym_RPAREN,
    STATE(10585), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519651] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(17736), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519665] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17738), 1,
      anon_sym_RPAREN,
    STATE(11337), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519679] = 4,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(17740), 1,
      anon_sym_RBRACK,
    STATE(10755), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519693] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17742), 1,
      anon_sym_RPAREN,
    STATE(10587), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519707] = 4,
    ACTIONS(17744), 1,
      sym_keyword_materialized,
    ACTIONS(17746), 1,
      sym_keyword_not,
    ACTIONS(17748), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519721] = 3,
    ACTIONS(17750), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17752), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [519733] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17754), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519747] = 4,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(17756), 1,
      anon_sym_RPAREN,
    STATE(10865), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519761] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17758), 1,
      anon_sym_RPAREN,
    STATE(11337), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519775] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(17760), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519789] = 4,
    ACTIONS(17762), 1,
      anon_sym_RPAREN,
    ACTIONS(17764), 1,
      anon_sym_COMMA,
    STATE(10574), 1,
      aux_sym_ordered_columns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519803] = 4,
    ACTIONS(17658), 1,
      anon_sym_COMMA,
    ACTIONS(17766), 1,
      anon_sym_RPAREN,
    STATE(11483), 1,
      aux_sym__table_settings_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519817] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17552), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519827] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17768), 1,
      anon_sym_RPAREN,
    STATE(10597), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519841] = 4,
    ACTIONS(17770), 1,
      sym_keyword_set,
    ACTIONS(17772), 1,
      sym_keyword_drop,
    ACTIONS(17774), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519855] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17037), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519865] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(17776), 1,
      anon_sym_RPAREN,
    STATE(12902), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519879] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16873), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [519889] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17778), 1,
      anon_sym_RPAREN,
    STATE(11337), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519903] = 4,
    ACTIONS(17534), 1,
      anon_sym_COMMA,
    ACTIONS(17780), 1,
      anon_sym_RPAREN,
    STATE(10923), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519917] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(17782), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519931] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17349), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [519941] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15917), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519951] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17784), 1,
      anon_sym_RPAREN,
    STATE(10608), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519965] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16528), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519975] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(17786), 1,
      anon_sym_RPAREN,
    STATE(14521), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519989] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(17788), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520003] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17039), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520013] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17790), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520027] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17792), 1,
      anon_sym_RPAREN,
    STATE(11337), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520041] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17794), 1,
      anon_sym_RPAREN,
    STATE(10613), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520055] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17796), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [520065] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17041), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520075] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17798), 1,
      anon_sym_RPAREN,
    STATE(10624), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520089] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17800), 1,
      anon_sym_RPAREN,
    STATE(11337), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520103] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17802), 1,
      anon_sym_RPAREN,
    STATE(10616), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520117] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17043), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520127] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17804), 1,
      anon_sym_RPAREN,
    STATE(11337), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520141] = 4,
    ACTIONS(17806), 1,
      anon_sym_RPAREN,
    ACTIONS(17808), 1,
      anon_sym_COMMA,
    STATE(10733), 1,
      aux_sym__vacuum_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520155] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15921), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [520165] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17810), 1,
      anon_sym_RPAREN,
    STATE(10621), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520179] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(17812), 1,
      anon_sym_RPAREN,
    STATE(14556), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520193] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(17814), 1,
      anon_sym_RPAREN,
    STATE(11337), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520207] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(17816), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520221] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(17818), 1,
      anon_sym_RPAREN,
    STATE(14560), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520235] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17820), 1,
      anon_sym_RPAREN,
    STATE(11291), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520249] = 4,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(17822), 1,
      anon_sym_RBRACK,
    STATE(10755), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520263] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15168), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [520273] = 4,
    ACTIONS(17824), 1,
      sym_keyword_using,
    ACTIONS(17826), 1,
      anon_sym_LPAREN,
    STATE(9482), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520287] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(17828), 1,
      anon_sym_RPAREN,
    STATE(14569), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520301] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17830), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520315] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17832), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [520325] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17499), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [520335] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(17834), 1,
      anon_sym_RPAREN,
    STATE(14361), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520349] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17499), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [520359] = 4,
    ACTIONS(17836), 1,
      anon_sym_RPAREN,
    ACTIONS(17838), 1,
      anon_sym_COMMA,
    STATE(10644), 1,
      aux_sym_alter_index_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520373] = 4,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    ACTIONS(17840), 1,
      sym_keyword_using,
    STATE(9294), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520387] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17057), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [520397] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17059), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [520407] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17061), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520417] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17063), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520427] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17065), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520437] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17842), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [520447] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17844), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [520457] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17067), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520467] = 4,
    ACTIONS(17846), 1,
      anon_sym_RPAREN,
    ACTIONS(17848), 1,
      anon_sym_COMMA,
    STATE(10644), 1,
      aux_sym_alter_index_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520481] = 3,
    ACTIONS(17851), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2715), 2,
      sym_subquery,
      sym_list,
  [520493] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(17853), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520507] = 4,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(17855), 1,
      anon_sym_RPAREN,
    STATE(10865), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520521] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17857), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [520531] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17859), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [520541] = 3,
    ACTIONS(17861), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17199), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520553] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16945), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [520563] = 3,
    ACTIONS(17863), 1,
      sym_keyword_schema,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17865), 2,
      sym_keyword_unlogged,
      sym_keyword_logged,
  [520575] = 4,
    ACTIONS(14258), 1,
      anon_sym_COMMA,
    ACTIONS(14275), 1,
      anon_sym_RPAREN,
    STATE(11397), 1,
      aux_sym__compute_stats_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520589] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17501), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [520599] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17867), 3,
      sym_keyword_and,
      sym_keyword_exclude,
      anon_sym_RPAREN,
  [520609] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17071), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [520619] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(17869), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520633] = 4,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(17871), 1,
      anon_sym_RBRACK,
    STATE(10755), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520647] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    ACTIONS(17242), 1,
      anon_sym_RPAREN,
    STATE(11399), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520661] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17073), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [520671] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17873), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [520681] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17075), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [520691] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16975), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [520701] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(17875), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520715] = 4,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(17877), 1,
      anon_sym_RPAREN,
    STATE(10865), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520729] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17879), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [520739] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(17881), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520753] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(17883), 1,
      anon_sym_RPAREN,
    STATE(14661), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520767] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17079), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520777] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17081), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520787] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17083), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520797] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(17885), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520811] = 4,
    ACTIONS(16831), 1,
      anon_sym_COMMA,
    ACTIONS(17887), 1,
      anon_sym_RPAREN,
    STATE(10936), 1,
      aux_sym_storage_parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520825] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17091), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520835] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17889), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [520845] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16078), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520855] = 4,
    ACTIONS(17891), 1,
      anon_sym_RPAREN,
    ACTIONS(17893), 1,
      anon_sym_COMMA,
    STATE(10680), 1,
      aux_sym_cte_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520869] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16841), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520879] = 4,
    ACTIONS(17895), 1,
      sym_keyword_to,
    ACTIONS(17897), 1,
      sym_keyword_wait,
    ACTIONS(17899), 1,
      sym_keyword_nowait,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520893] = 4,
    ACTIONS(17893), 1,
      anon_sym_COMMA,
    ACTIONS(17901), 1,
      anon_sym_RPAREN,
    STATE(10717), 1,
      aux_sym_cte_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520907] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17903), 1,
      anon_sym_RPAREN,
    STATE(10702), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520921] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(17905), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520935] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16843), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520945] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17907), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520959] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(17909), 1,
      anon_sym_RPAREN,
    STATE(14687), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520973] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17911), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [520983] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16562), 1,
      anon_sym_RPAREN,
    STATE(11286), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520997] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(17913), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521011] = 4,
    ACTIONS(17915), 1,
      sym_keyword_value,
    ACTIONS(17917), 1,
      sym_keyword_to,
    ACTIONS(17919), 1,
      sym_keyword_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521025] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17097), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [521035] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17099), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [521045] = 3,
    ACTIONS(17921), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17923), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [521057] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17101), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521067] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17925), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [521077] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17103), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521087] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(17927), 1,
      anon_sym_RPAREN,
    STATE(14692), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521101] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17929), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [521111] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17931), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [521121] = 4,
    ACTIONS(17658), 1,
      anon_sym_COMMA,
    ACTIONS(17933), 1,
      anon_sym_RPAREN,
    STATE(11297), 1,
      aux_sym__table_settings_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521135] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15656), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [521145] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17935), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [521155] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17937), 1,
      anon_sym_RPAREN,
    STATE(11291), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521169] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17939), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [521179] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17941), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [521189] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17105), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521199] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(17943), 1,
      anon_sym_RPAREN,
    STATE(10854), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521213] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16112), 1,
      anon_sym_RPAREN,
    STATE(11513), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521227] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17945), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [521237] = 4,
    ACTIONS(17947), 1,
      sym_keyword_to,
    ACTIONS(17949), 1,
      sym_keyword_wait,
    ACTIONS(17951), 1,
      sym_keyword_nowait,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521251] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17953), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [521261] = 4,
    ACTIONS(15478), 1,
      anon_sym_RPAREN,
    ACTIONS(17808), 1,
      anon_sym_COMMA,
    STATE(11426), 1,
      aux_sym__vacuum_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521275] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17955), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [521285] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17109), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521295] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17111), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521305] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17957), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [521315] = 4,
    ACTIONS(17959), 1,
      sym_keyword_materialized,
    ACTIONS(17961), 1,
      sym_keyword_not,
    ACTIONS(17963), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521329] = 4,
    ACTIONS(17965), 1,
      anon_sym_RPAREN,
    ACTIONS(17967), 1,
      anon_sym_COMMA,
    STATE(10717), 1,
      aux_sym_cte_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521343] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17113), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521353] = 4,
    ACTIONS(17534), 1,
      anon_sym_COMMA,
    ACTIONS(17970), 1,
      anon_sym_RPAREN,
    STATE(10923), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521367] = 4,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    ACTIONS(17972), 1,
      sym_keyword_using,
    STATE(9098), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521381] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17121), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521391] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16805), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521401] = 4,
    ACTIONS(15951), 1,
      anon_sym_RPAREN,
    ACTIONS(17808), 1,
      anon_sym_COMMA,
    STATE(10867), 1,
      aux_sym__vacuum_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521415] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17123), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521425] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17510), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [521435] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17510), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [521445] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17131), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521455] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15528), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [521465] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17133), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521475] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17135), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521485] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17137), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521495] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17974), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [521505] = 4,
    ACTIONS(17976), 1,
      anon_sym_RPAREN,
    ACTIONS(17978), 1,
      anon_sym_COMMA,
    STATE(10733), 1,
      aux_sym__vacuum_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521519] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17308), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [521529] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16233), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [521539] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17139), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521549] = 4,
    ACTIONS(17808), 1,
      anon_sym_COMMA,
    ACTIONS(17981), 1,
      anon_sym_RPAREN,
    STATE(10733), 1,
      aux_sym__vacuum_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521563] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17141), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521573] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17143), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521583] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17145), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521593] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17147), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521603] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17149), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521613] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17151), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521623] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17983), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521637] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17153), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521647] = 4,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(17985), 1,
      anon_sym_RBRACK,
    STATE(10755), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521661] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(17987), 1,
      anon_sym_RPAREN,
    STATE(14701), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521675] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(17989), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521689] = 4,
    ACTIONS(14258), 1,
      anon_sym_COMMA,
    ACTIONS(14279), 1,
      anon_sym_RPAREN,
    STATE(11397), 1,
      aux_sym__compute_stats_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521703] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16855), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [521713] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(17991), 1,
      anon_sym_RPAREN,
    STATE(12807), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521727] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15872), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [521737] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17993), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [521747] = 3,
    ACTIONS(17995), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(3489), 2,
      sym_subquery,
      sym_list,
  [521759] = 4,
    ACTIONS(6701), 1,
      anon_sym_RBRACK,
    ACTIONS(17997), 1,
      anon_sym_COMMA,
    STATE(10755), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521773] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18000), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521787] = 4,
    ACTIONS(18002), 1,
      sym_keyword_by,
    ACTIONS(18004), 1,
      anon_sym_LPAREN,
    STATE(6848), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521801] = 3,
    ACTIONS(18008), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18006), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [521813] = 4,
    ACTIONS(18010), 1,
      anon_sym_RPAREN,
    ACTIONS(18012), 1,
      anon_sym_COMMA,
    STATE(11481), 1,
      aux_sym_constraints_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521827] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18014), 1,
      anon_sym_RPAREN,
    STATE(10629), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521841] = 3,
    ACTIONS(18016), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4449), 2,
      sym_subquery,
      sym_list,
  [521853] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(18018), 1,
      anon_sym_RPAREN,
    STATE(10782), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521867] = 4,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(18020), 1,
      anon_sym_RPAREN,
    STATE(10865), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521881] = 4,
    ACTIONS(17534), 1,
      anon_sym_COMMA,
    ACTIONS(18022), 1,
      anon_sym_RPAREN,
    STATE(10934), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521895] = 4,
    ACTIONS(18024), 1,
      sym_keyword_is,
    ACTIONS(18026), 1,
      anon_sym_LPAREN,
    STATE(13455), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521909] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18028), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521923] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16422), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521933] = 4,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(18030), 1,
      anon_sym_RPAREN,
    STATE(10865), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521947] = 4,
    ACTIONS(17826), 1,
      anon_sym_LPAREN,
    ACTIONS(18032), 1,
      sym_keyword_using,
    STATE(8911), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521961] = 4,
    ACTIONS(15172), 1,
      sym_keyword_from,
    ACTIONS(15273), 1,
      anon_sym_RPAREN,
    STATE(13461), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521975] = 4,
    ACTIONS(17838), 1,
      anon_sym_COMMA,
    ACTIONS(18034), 1,
      anon_sym_RPAREN,
    STATE(10634), 1,
      aux_sym_alter_index_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521989] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14548), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521999] = 4,
    ACTIONS(17671), 1,
      anon_sym_COMMA,
    ACTIONS(18036), 1,
      anon_sym_RPAREN,
    STATE(11072), 1,
      aux_sym_create_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522013] = 4,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(18038), 1,
      anon_sym_RBRACK,
    STATE(10755), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522027] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18040), 1,
      anon_sym_RPAREN,
    STATE(12861), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522041] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16845), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [522051] = 4,
    ACTIONS(18042), 1,
      anon_sym_RPAREN,
    ACTIONS(18044), 1,
      anon_sym_COMMA,
    STATE(10957), 1,
      aux_sym_enum_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522065] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18046), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522079] = 4,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(18048), 1,
      anon_sym_RBRACK,
    STATE(10755), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522093] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18050), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522107] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18052), 1,
      anon_sym_RPAREN,
    STATE(12866), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522121] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(18054), 1,
      anon_sym_RPAREN,
    STATE(11291), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522135] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18056), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [522145] = 4,
    ACTIONS(17671), 1,
      anon_sym_COMMA,
    ACTIONS(18058), 1,
      anon_sym_RPAREN,
    STATE(11072), 1,
      aux_sym_create_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522159] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18060), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522173] = 4,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    ACTIONS(18062), 1,
      sym_keyword_using,
    STATE(9104), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522187] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18064), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522201] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16243), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522215] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18066), 1,
      anon_sym_RPAREN,
    STATE(14816), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522229] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18068), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522243] = 4,
    ACTIONS(18044), 1,
      anon_sym_COMMA,
    ACTIONS(18070), 1,
      anon_sym_RPAREN,
    STATE(10957), 1,
      aux_sym_enum_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522257] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16895), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [522267] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(18072), 1,
      anon_sym_RPAREN,
    STATE(10804), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522281] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18074), 1,
      anon_sym_RPAREN,
    STATE(13599), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522295] = 4,
    ACTIONS(17534), 1,
      anon_sym_COMMA,
    ACTIONS(18076), 1,
      anon_sym_RPAREN,
    STATE(10822), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522309] = 3,
    ACTIONS(18078), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17195), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [522321] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18080), 1,
      anon_sym_RPAREN,
    STATE(12879), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522335] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16895), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [522345] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16897), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [522355] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18082), 1,
      anon_sym_RPAREN,
    STATE(14833), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522369] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18084), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522383] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18086), 1,
      anon_sym_RPAREN,
    STATE(14836), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522397] = 3,
    ACTIONS(17262), 1,
      sym_keyword_force,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16528), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [522409] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(18088), 1,
      anon_sym_RPAREN,
    STATE(11291), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522423] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18090), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [522433] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18092), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [522443] = 3,
    ACTIONS(18096), 1,
      sym_keyword_each,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18094), 2,
      sym_keyword_row,
      sym_keyword_statement,
  [522455] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18098), 1,
      anon_sym_RPAREN,
    STATE(13198), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522469] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18100), 1,
      anon_sym_RPAREN,
    STATE(14413), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522483] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18102), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [522493] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18104), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522507] = 4,
    ACTIONS(15172), 1,
      sym_keyword_from,
    ACTIONS(15640), 1,
      anon_sym_RPAREN,
    STATE(13775), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522521] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18106), 1,
      anon_sym_RPAREN,
    STATE(12617), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522535] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18108), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522549] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18110), 1,
      anon_sym_RPAREN,
    STATE(13875), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522563] = 4,
    ACTIONS(17826), 1,
      anon_sym_LPAREN,
    ACTIONS(18112), 1,
      sym_keyword_using,
    STATE(8917), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522577] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18114), 1,
      anon_sym_RPAREN,
    STATE(14817), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522591] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18116), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522605] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(18118), 1,
      anon_sym_RPAREN,
    STATE(10860), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522619] = 4,
    ACTIONS(17671), 1,
      anon_sym_COMMA,
    ACTIONS(18120), 1,
      anon_sym_RPAREN,
    STATE(10539), 1,
      aux_sym_create_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522633] = 4,
    ACTIONS(17838), 1,
      anon_sym_COMMA,
    ACTIONS(18122), 1,
      anon_sym_RPAREN,
    STATE(10644), 1,
      aux_sym_alter_index_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522647] = 4,
    ACTIONS(17534), 1,
      anon_sym_COMMA,
    ACTIONS(18124), 1,
      anon_sym_RPAREN,
    STATE(10923), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522661] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18126), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522675] = 4,
    ACTIONS(17534), 1,
      anon_sym_COMMA,
    ACTIONS(18128), 1,
      anon_sym_RPAREN,
    STATE(10982), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522689] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(18130), 1,
      anon_sym_RPAREN,
    STATE(10829), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522703] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(1789), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522717] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14042), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [522727] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18132), 1,
      anon_sym_RPAREN,
    STATE(13508), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522741] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(18134), 1,
      anon_sym_RPAREN,
    STATE(11291), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522755] = 4,
    ACTIONS(17534), 1,
      anon_sym_COMMA,
    ACTIONS(18136), 1,
      anon_sym_RPAREN,
    STATE(10863), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522769] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18138), 1,
      anon_sym_RPAREN,
    STATE(14419), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522783] = 3,
    ACTIONS(18140), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(3943), 2,
      sym_subquery,
      sym_list,
  [522795] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18142), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [522805] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18144), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522819] = 4,
    ACTIONS(17764), 1,
      anon_sym_COMMA,
    ACTIONS(18146), 1,
      anon_sym_RPAREN,
    STATE(10983), 1,
      aux_sym_ordered_columns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522833] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(18148), 1,
      anon_sym_RPAREN,
    STATE(10837), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522847] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(18150), 1,
      anon_sym_RPAREN,
    STATE(11291), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522861] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18152), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [522871] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18154), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [522881] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18156), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [522891] = 4,
    ACTIONS(18158), 1,
      anon_sym_LPAREN,
    ACTIONS(18160), 1,
      anon_sym_RPAREN,
    ACTIONS(18162), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522905] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18164), 1,
      anon_sym_RPAREN,
    STATE(12794), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522919] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18166), 3,
      sym_keyword_and,
      sym_keyword_exclude,
      anon_sym_RPAREN,
  [522929] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18168), 3,
      sym_keyword_and,
      sym_keyword_exclude,
      anon_sym_RPAREN,
  [522939] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15588), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [522949] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18170), 3,
      sym_keyword_and,
      sym_keyword_exclude,
      anon_sym_RPAREN,
  [522959] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18172), 3,
      sym_keyword_and,
      sym_keyword_exclude,
      anon_sym_RPAREN,
  [522969] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18174), 3,
      sym_keyword_and,
      sym_keyword_exclude,
      anon_sym_RPAREN,
  [522979] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18176), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522993] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18178), 3,
      sym_keyword_and,
      sym_keyword_exclude,
      anon_sym_RPAREN,
  [523003] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18180), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523013] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18182), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523023] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18184), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523033] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(18186), 1,
      anon_sym_RPAREN,
    STATE(11291), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523047] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16879), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523057] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18188), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523067] = 4,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(18190), 1,
      anon_sym_RBRACK,
    STATE(10755), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523081] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18192), 1,
      anon_sym_RPAREN,
    STATE(12811), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523095] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18194), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523105] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(18196), 1,
      anon_sym_RPAREN,
    STATE(11291), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523119] = 4,
    ACTIONS(17534), 1,
      anon_sym_COMMA,
    ACTIONS(18198), 1,
      anon_sym_RPAREN,
    STATE(10884), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523133] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18200), 1,
      anon_sym_RPAREN,
    STATE(13990), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523147] = 4,
    ACTIONS(17534), 1,
      anon_sym_COMMA,
    ACTIONS(18202), 1,
      anon_sym_RPAREN,
    STATE(10923), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523161] = 3,
    ACTIONS(18204), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4688), 2,
      sym_subquery,
      sym_list,
  [523173] = 4,
    ACTIONS(6701), 1,
      anon_sym_RPAREN,
    ACTIONS(18206), 1,
      anon_sym_COMMA,
    STATE(10865), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523187] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17420), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [523197] = 4,
    ACTIONS(17808), 1,
      anon_sym_COMMA,
    ACTIONS(18209), 1,
      anon_sym_RPAREN,
    STATE(10733), 1,
      aux_sym__vacuum_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523211] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17420), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [523221] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15420), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [523231] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(1793), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523245] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(18211), 1,
      anon_sym_RPAREN,
    STATE(11291), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523259] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18213), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523273] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18215), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523283] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13494), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523293] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17420), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [523303] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17420), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [523313] = 4,
    ACTIONS(17808), 1,
      anon_sym_COMMA,
    ACTIONS(18209), 1,
      anon_sym_RPAREN,
    STATE(10737), 1,
      aux_sym__vacuum_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523327] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16604), 1,
      anon_sym_RPAREN,
    STATE(10900), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523341] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18217), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523355] = 4,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(18219), 1,
      anon_sym_RPAREN,
    STATE(10865), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523369] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16606), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [523379] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(18221), 1,
      anon_sym_RPAREN,
    STATE(11291), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523393] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18223), 1,
      anon_sym_RPAREN,
    STATE(12936), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523407] = 4,
    ACTIONS(17534), 1,
      anon_sym_COMMA,
    ACTIONS(18225), 1,
      anon_sym_RPAREN,
    STATE(10923), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523421] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18227), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523435] = 4,
    ACTIONS(18229), 1,
      sym_keyword_set,
    ACTIONS(18231), 1,
      sym_keyword_drop,
    ACTIONS(18233), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523449] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18235), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523463] = 4,
    ACTIONS(16831), 1,
      anon_sym_COMMA,
    ACTIONS(18237), 1,
      anon_sym_RPAREN,
    STATE(10963), 1,
      aux_sym_storage_parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523477] = 4,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(18239), 1,
      anon_sym_RBRACK,
    STATE(10755), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523491] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18241), 1,
      anon_sym_RPAREN,
    STATE(14448), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523505] = 4,
    ACTIONS(17838), 1,
      anon_sym_COMMA,
    ACTIONS(18243), 1,
      anon_sym_RPAREN,
    STATE(11004), 1,
      aux_sym_alter_index_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523519] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(18245), 1,
      sym_keyword_on,
    STATE(11116), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523533] = 3,
    ACTIONS(18247), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18249), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [523545] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    ACTIONS(17453), 1,
      anon_sym_RPAREN,
    STATE(10901), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523559] = 4,
    ACTIONS(17155), 1,
      anon_sym_RPAREN,
    ACTIONS(18251), 1,
      sym_keyword_returning,
    STATE(10925), 1,
      sym_returning,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523573] = 4,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(18253), 1,
      anon_sym_RPAREN,
    STATE(10865), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523587] = 4,
    ACTIONS(16819), 1,
      anon_sym_RPAREN,
    ACTIONS(18251), 1,
      sym_keyword_returning,
    STATE(10981), 1,
      sym_returning,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523601] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16612), 1,
      anon_sym_RPAREN,
    STATE(10918), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523615] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10655), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [523625] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16612), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523639] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16885), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523649] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    ACTIONS(17455), 1,
      anon_sym_RPAREN,
    STATE(10911), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523663] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18255), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523677] = 4,
    ACTIONS(16831), 1,
      anon_sym_COMMA,
    ACTIONS(18257), 1,
      anon_sym_RPAREN,
    STATE(10888), 1,
      aux_sym_storage_parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523691] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17503), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [523701] = 4,
    ACTIONS(17534), 1,
      anon_sym_COMMA,
    ACTIONS(18259), 1,
      anon_sym_RPAREN,
    STATE(10598), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523715] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16935), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [523725] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(18245), 1,
      sym_keyword_on,
    STATE(11217), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523739] = 4,
    ACTIONS(17772), 1,
      sym_keyword_drop,
    ACTIONS(17774), 1,
      sym_keyword_type,
    ACTIONS(18261), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523753] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16869), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [523763] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16889), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523773] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18263), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523787] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16979), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [523797] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18265), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523807] = 4,
    ACTIONS(17534), 1,
      anon_sym_COMMA,
    ACTIONS(18267), 1,
      anon_sym_RPAREN,
    STATE(10719), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523821] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16981), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [523831] = 4,
    ACTIONS(18269), 1,
      anon_sym_RPAREN,
    ACTIONS(18271), 1,
      anon_sym_COMMA,
    STATE(11259), 1,
      aux_sym__column_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523845] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16616), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523859] = 4,
    ACTIONS(17177), 1,
      anon_sym_RPAREN,
    ACTIONS(18251), 1,
      sym_keyword_returning,
    STATE(10853), 1,
      sym_returning,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523873] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18273), 1,
      anon_sym_RPAREN,
    STATE(13255), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523887] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16213), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [523897] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(18275), 1,
      sym_keyword_on,
    STATE(11116), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523911] = 4,
    ACTIONS(18277), 1,
      anon_sym_RPAREN,
    ACTIONS(18279), 1,
      anon_sym_COMMA,
    STATE(10923), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523925] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16616), 1,
      anon_sym_RPAREN,
    STATE(10943), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523939] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18282), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523949] = 4,
    ACTIONS(18012), 1,
      anon_sym_COMMA,
    ACTIONS(18284), 1,
      anon_sym_RPAREN,
    STATE(10759), 1,
      aux_sym_constraints_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523963] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18286), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523973] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18288), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523987] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17306), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [523997] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15098), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [524007] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(18290), 1,
      anon_sym_RPAREN,
    STATE(10871), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524021] = 4,
    ACTIONS(18292), 1,
      anon_sym_RPAREN,
    ACTIONS(18294), 1,
      anon_sym_COMMA,
    STATE(10932), 1,
      aux_sym_column_definitions_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524035] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(18297), 1,
      sym_keyword_on,
    STATE(11116), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524049] = 4,
    ACTIONS(17534), 1,
      anon_sym_COMMA,
    ACTIONS(18299), 1,
      anon_sym_RPAREN,
    STATE(10923), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524063] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(18297), 1,
      sym_keyword_on,
    STATE(11108), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524077] = 4,
    ACTIONS(16831), 1,
      anon_sym_COMMA,
    ACTIONS(18301), 1,
      anon_sym_RPAREN,
    STATE(10963), 1,
      aux_sym_storage_parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524091] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15424), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [524101] = 4,
    ACTIONS(18271), 1,
      anon_sym_COMMA,
    ACTIONS(18303), 1,
      anon_sym_RPAREN,
    STATE(10917), 1,
      aux_sym__column_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524115] = 4,
    ACTIONS(17534), 1,
      anon_sym_COMMA,
    ACTIONS(18305), 1,
      anon_sym_RPAREN,
    STATE(10923), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524129] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(18307), 1,
      anon_sym_RPAREN,
    STATE(10951), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524143] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(1799), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524157] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16847), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [524167] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16618), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524181] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16618), 1,
      anon_sym_RPAREN,
    STATE(10959), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524195] = 3,
    ACTIONS(18311), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18309), 2,
      sym_keyword_on,
      sym_keyword_or,
  [524207] = 4,
    ACTIONS(17620), 1,
      anon_sym_COMMA,
    ACTIONS(18313), 1,
      anon_sym_RPAREN,
    STATE(11046), 1,
      aux_sym_index_fields_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524221] = 4,
    ACTIONS(15500), 1,
      sym_keyword_partition,
    ACTIONS(18315), 1,
      sym_keyword_compute,
    STATE(12366), 1,
      sym__partition_spec,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524235] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18317), 1,
      anon_sym_RPAREN,
    STATE(13292), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524249] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18319), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524263] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18321), 1,
      anon_sym_RPAREN,
    STATE(13314), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524277] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(18323), 1,
      anon_sym_RPAREN,
    STATE(11291), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524291] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(18325), 1,
      anon_sym_RPAREN,
    STATE(10490), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524305] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18327), 1,
      anon_sym_RPAREN,
    STATE(13341), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524319] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17467), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [524329] = 3,
    ACTIONS(18331), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18329), 2,
      sym_keyword_after,
      sym_keyword_before,
  [524341] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(1801), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524355] = 4,
    ACTIONS(18333), 1,
      anon_sym_RPAREN,
    ACTIONS(18335), 1,
      anon_sym_COMMA,
    STATE(10957), 1,
      aux_sym_enum_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524369] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18338), 1,
      anon_sym_RPAREN,
    STATE(11130), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524383] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18340), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524397] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18340), 1,
      anon_sym_RPAREN,
    STATE(10970), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524411] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17471), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [524421] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16937), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [524431] = 4,
    ACTIONS(18006), 1,
      anon_sym_RPAREN,
    ACTIONS(18342), 1,
      anon_sym_COMMA,
    STATE(10963), 1,
      aux_sym_storage_parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524445] = 4,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    ACTIONS(18345), 1,
      sym_keyword_using,
    STATE(10331), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524459] = 4,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    ACTIONS(18347), 1,
      sym_keyword_using,
    STATE(9169), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524473] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14934), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [524483] = 4,
    ACTIONS(17826), 1,
      anon_sym_LPAREN,
    ACTIONS(18349), 1,
      sym_keyword_using,
    STATE(8950), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524497] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18351), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [524507] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16243), 1,
      anon_sym_RPAREN,
    STATE(11445), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524521] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18353), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524535] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(18275), 1,
      sym_keyword_on,
    STATE(10892), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524549] = 4,
    ACTIONS(17534), 1,
      anon_sym_COMMA,
    ACTIONS(18355), 1,
      anon_sym_RPAREN,
    STATE(11136), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524563] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18357), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [524573] = 4,
    ACTIONS(17826), 1,
      anon_sym_LPAREN,
    ACTIONS(18359), 1,
      sym_keyword_using,
    STATE(9549), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524587] = 3,
    ACTIONS(18361), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2579), 2,
      sym_subquery,
      sym_list,
  [524599] = 4,
    ACTIONS(18363), 1,
      sym_keyword_by,
    ACTIONS(18365), 1,
      anon_sym_LPAREN,
    STATE(8326), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524613] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18367), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [524623] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18369), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [524633] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18371), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [524643] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(18373), 1,
      sym_keyword_on,
    STATE(10565), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524657] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18375), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [524667] = 4,
    ACTIONS(17534), 1,
      anon_sym_COMMA,
    ACTIONS(18377), 1,
      anon_sym_RPAREN,
    STATE(10923), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524681] = 4,
    ACTIONS(17764), 1,
      anon_sym_COMMA,
    ACTIONS(18379), 1,
      anon_sym_RPAREN,
    STATE(10574), 1,
      aux_sym_ordered_columns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524695] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14538), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [524705] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16318), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [524715] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16466), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [524725] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18381), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [524735] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18383), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [524745] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18385), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [524755] = 3,
    ACTIONS(18387), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4280), 2,
      sym_subquery,
      sym_list,
  [524767] = 4,
    ACTIONS(16831), 1,
      anon_sym_COMMA,
    ACTIONS(18389), 1,
      anon_sym_RPAREN,
    STATE(10963), 1,
      aux_sym_storage_parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524781] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18391), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [524791] = 4,
    ACTIONS(17725), 1,
      anon_sym_COMMA,
    ACTIONS(18393), 1,
      anon_sym_RPAREN,
    STATE(10572), 1,
      aux_sym_function_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524805] = 4,
    ACTIONS(17658), 1,
      anon_sym_COMMA,
    ACTIONS(18395), 1,
      anon_sym_RPAREN,
    STATE(11138), 1,
      aux_sym__table_settings_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524819] = 4,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(18397), 1,
      anon_sym_RPAREN,
    STATE(10865), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524833] = 4,
    ACTIONS(18271), 1,
      anon_sym_COMMA,
    ACTIONS(18399), 1,
      anon_sym_RPAREN,
    STATE(11336), 1,
      aux_sym__column_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524847] = 3,
    ACTIONS(18401), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16851), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [524859] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16817), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [524869] = 3,
    ACTIONS(18403), 1,
      sym_keyword_force,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16857), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [524881] = 4,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    ACTIONS(18405), 1,
      sym_keyword_using,
    STATE(9710), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524895] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18407), 1,
      anon_sym_RPAREN,
    STATE(11160), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524909] = 4,
    ACTIONS(17838), 1,
      anon_sym_COMMA,
    ACTIONS(18409), 1,
      anon_sym_RPAREN,
    STATE(11165), 1,
      aux_sym_alter_index_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524923] = 4,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    ACTIONS(18411), 1,
      sym_keyword_using,
    STATE(9719), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524937] = 4,
    ACTIONS(17838), 1,
      anon_sym_COMMA,
    ACTIONS(18413), 1,
      anon_sym_RPAREN,
    STATE(10644), 1,
      aux_sym_alter_index_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524951] = 4,
    ACTIONS(17826), 1,
      anon_sym_LPAREN,
    ACTIONS(18415), 1,
      sym_keyword_using,
    STATE(9550), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524965] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18417), 1,
      anon_sym_RPAREN,
    STATE(10684), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524979] = 4,
    ACTIONS(16831), 1,
      anon_sym_COMMA,
    ACTIONS(18419), 1,
      anon_sym_RPAREN,
    STATE(10963), 1,
      aux_sym_storage_parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524993] = 3,
    ACTIONS(18421), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4811), 2,
      sym_subquery,
      sym_list,
  [525005] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14505), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [525015] = 4,
    ACTIONS(17658), 1,
      anon_sym_COMMA,
    ACTIONS(18423), 1,
      anon_sym_RPAREN,
    STATE(11138), 1,
      aux_sym__table_settings_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525029] = 4,
    ACTIONS(17826), 1,
      anon_sym_LPAREN,
    ACTIONS(18425), 1,
      sym_keyword_using,
    STATE(9551), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525043] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18427), 1,
      anon_sym_RPAREN,
    STATE(10503), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525057] = 4,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(18429), 1,
      anon_sym_RPAREN,
    STATE(10865), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525071] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16676), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525085] = 3,
    ACTIONS(18431), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18433), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [525097] = 4,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(18435), 1,
      anon_sym_RBRACK,
    STATE(10755), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525111] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18437), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [525121] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16380), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [525131] = 3,
    ACTIONS(18441), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18439), 2,
      sym_keyword_after,
      sym_keyword_before,
  [525143] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18443), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [525153] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(18445), 1,
      sym_keyword_on,
    STATE(10922), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525167] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18447), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [525177] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18449), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525191] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(18445), 1,
      sym_keyword_on,
    STATE(11116), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525205] = 4,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(18451), 1,
      anon_sym_RBRACK,
    STATE(10755), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525219] = 3,
    ACTIONS(18453), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18455), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [525231] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18457), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [525241] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    ACTIONS(16885), 1,
      anon_sym_RPAREN,
    STATE(10703), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525255] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16983), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [525265] = 4,
    ACTIONS(18158), 1,
      anon_sym_LPAREN,
    ACTIONS(18162), 1,
      anon_sym_DOT,
    ACTIONS(18459), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525279] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16983), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [525289] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15362), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [525299] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16983), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [525309] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16983), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [525319] = 4,
    ACTIONS(17534), 1,
      anon_sym_COMMA,
    ACTIONS(18461), 1,
      anon_sym_RPAREN,
    STATE(10548), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525333] = 4,
    ACTIONS(17620), 1,
      anon_sym_COMMA,
    ACTIONS(18463), 1,
      anon_sym_RPAREN,
    STATE(11309), 1,
      aux_sym_index_fields_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525347] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16987), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [525357] = 3,
    ACTIONS(18465), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18467), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [525369] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    ACTIONS(16887), 1,
      anon_sym_RPAREN,
    STATE(10750), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525383] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17021), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [525393] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17021), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [525403] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17027), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [525413] = 3,
    ACTIONS(18469), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18471), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [525425] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    ACTIONS(16889), 1,
      anon_sym_RPAREN,
    STATE(10753), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525439] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18473), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525453] = 4,
    ACTIONS(17620), 1,
      anon_sym_COMMA,
    ACTIONS(18475), 1,
      anon_sym_RPAREN,
    STATE(11309), 1,
      aux_sym_index_fields_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525467] = 4,
    ACTIONS(17826), 1,
      anon_sym_LPAREN,
    ACTIONS(18477), 1,
      sym_keyword_using,
    STATE(9622), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525481] = 4,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    ACTIONS(18479), 1,
      sym_keyword_using,
    STATE(9020), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525495] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17055), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [525505] = 4,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    ACTIONS(18481), 1,
      sym_keyword_using,
    STATE(9022), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525519] = 4,
    ACTIONS(17826), 1,
      anon_sym_LPAREN,
    ACTIONS(18483), 1,
      sym_keyword_using,
    STATE(9627), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525533] = 3,
    ACTIONS(18485), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2600), 2,
      sym_subquery,
      sym_list,
  [525545] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18487), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525559] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18489), 1,
      anon_sym_RPAREN,
    STATE(13608), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525573] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10701), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [525583] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16190), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [525593] = 4,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    ACTIONS(18491), 1,
      sym_keyword_using,
    STATE(9763), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525607] = 4,
    ACTIONS(17671), 1,
      anon_sym_COMMA,
    ACTIONS(18493), 1,
      anon_sym_RPAREN,
    STATE(10773), 1,
      aux_sym_create_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525621] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16993), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [525631] = 4,
    ACTIONS(18158), 1,
      anon_sym_LPAREN,
    ACTIONS(18162), 1,
      anon_sym_DOT,
    ACTIONS(18495), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525645] = 4,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    ACTIONS(18497), 1,
      sym_keyword_using,
    STATE(9768), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525659] = 4,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    ACTIONS(18499), 1,
      sym_keyword_using,
    STATE(9769), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525673] = 4,
    ACTIONS(18044), 1,
      anon_sym_COMMA,
    ACTIONS(18501), 1,
      anon_sym_RPAREN,
    STATE(10777), 1,
      aux_sym_enum_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525687] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18503), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525701] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16939), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [525711] = 4,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(18505), 1,
      anon_sym_RBRACK,
    STATE(10755), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525725] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16510), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [525735] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(18507), 1,
      anon_sym_RPAREN,
    STATE(11081), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525749] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17161), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [525759] = 4,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(18509), 1,
      anon_sym_RPAREN,
    STATE(10865), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525773] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17163), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [525783] = 4,
    ACTIONS(18511), 1,
      anon_sym_RPAREN,
    ACTIONS(18513), 1,
      anon_sym_COMMA,
    STATE(11072), 1,
      aux_sym_create_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525797] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17167), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [525807] = 4,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    ACTIONS(18516), 1,
      sym_keyword_using,
    STATE(8983), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525821] = 3,
    ACTIONS(18518), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18520), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [525833] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18522), 1,
      anon_sym_RPAREN,
    STATE(13632), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525847] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18524), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525861] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18526), 1,
      anon_sym_RPAREN,
    STATE(13636), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525875] = 4,
    ACTIONS(18158), 1,
      anon_sym_LPAREN,
    ACTIONS(18162), 1,
      anon_sym_DOT,
    ACTIONS(18528), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525889] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15676), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [525899] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(18530), 1,
      anon_sym_RPAREN,
    STATE(11291), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525913] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16676), 1,
      anon_sym_RPAREN,
    STATE(10788), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525927] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18532), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [525937] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18534), 1,
      anon_sym_RPAREN,
    STATE(13648), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525951] = 4,
    ACTIONS(17671), 1,
      anon_sym_COMMA,
    ACTIONS(18536), 1,
      anon_sym_RPAREN,
    STATE(10784), 1,
      aux_sym_create_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525965] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17169), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [525975] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17189), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [525985] = 4,
    ACTIONS(17671), 1,
      anon_sym_COMMA,
    ACTIONS(18538), 1,
      anon_sym_RPAREN,
    STATE(11072), 1,
      aux_sym_create_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525999] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(18540), 1,
      anon_sym_RPAREN,
    STATE(11225), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526013] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17193), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [526023] = 3,
    ACTIONS(18542), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5938), 2,
      sym_subquery,
      sym_list,
  [526035] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18544), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526049] = 4,
    ACTIONS(18044), 1,
      anon_sym_COMMA,
    ACTIONS(18546), 1,
      anon_sym_RPAREN,
    STATE(10791), 1,
      aux_sym_enum_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526063] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14884), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [526073] = 4,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    ACTIONS(18548), 1,
      sym_keyword_using,
    STATE(9289), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526087] = 3,
    ACTIONS(18550), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16879), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [526099] = 4,
    ACTIONS(17826), 1,
      anon_sym_LPAREN,
    ACTIONS(18552), 1,
      sym_keyword_using,
    STATE(9619), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526113] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18554), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [526123] = 4,
    ACTIONS(18158), 1,
      anon_sym_LPAREN,
    ACTIONS(18162), 1,
      anon_sym_DOT,
    ACTIONS(18556), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526137] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17203), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [526147] = 4,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    ACTIONS(18558), 1,
      sym_keyword_using,
    STATE(9842), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526161] = 4,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    ACTIONS(18560), 1,
      sym_keyword_using,
    STATE(9844), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526175] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14894), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [526185] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17221), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [526195] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17223), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [526205] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17225), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [526215] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17225), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [526225] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(18562), 1,
      sym_keyword_on,
    STATE(11116), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526239] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17227), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [526249] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17229), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [526259] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(18562), 1,
      sym_keyword_on,
    STATE(11230), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526273] = 4,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    ACTIONS(18564), 1,
      sym_keyword_using,
    STATE(9840), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526287] = 4,
    ACTIONS(18158), 1,
      anon_sym_LPAREN,
    ACTIONS(18162), 1,
      anon_sym_DOT,
    ACTIONS(18566), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526301] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17234), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [526311] = 3,
    ACTIONS(18568), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4510), 2,
      sym_subquery,
      sym_list,
  [526323] = 4,
    ACTIONS(18570), 1,
      sym_keyword_on,
    ACTIONS(18572), 1,
      sym_keyword_or,
    STATE(11116), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526337] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18575), 3,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_cycle,
  [526347] = 4,
    ACTIONS(18577), 1,
      sym_keyword_set,
    ACTIONS(18579), 1,
      sym_keyword_drop,
    ACTIONS(18581), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526361] = 4,
    ACTIONS(18158), 1,
      anon_sym_LPAREN,
    ACTIONS(18162), 1,
      anon_sym_DOT,
    ACTIONS(18583), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526375] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18585), 1,
      anon_sym_RPAREN,
    STATE(11251), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526389] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18587), 1,
      anon_sym_RPAREN,
    STATE(13688), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526403] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18589), 1,
      anon_sym_RPAREN,
    STATE(13784), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526417] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18591), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526431] = 4,
    ACTIONS(18158), 1,
      anon_sym_LPAREN,
    ACTIONS(18162), 1,
      anon_sym_DOT,
    ACTIONS(18593), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526445] = 3,
    ACTIONS(18595), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17238), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [526457] = 4,
    ACTIONS(17826), 1,
      anon_sym_LPAREN,
    ACTIONS(18597), 1,
      sym_keyword_using,
    STATE(9523), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526471] = 4,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(18599), 1,
      anon_sym_RPAREN,
    STATE(10865), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526485] = 4,
    ACTIONS(17764), 1,
      anon_sym_COMMA,
    ACTIONS(18601), 1,
      anon_sym_RPAREN,
    STATE(10589), 1,
      aux_sym_ordered_columns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526499] = 4,
    ACTIONS(18158), 1,
      anon_sym_LPAREN,
    ACTIONS(18162), 1,
      anon_sym_DOT,
    ACTIONS(18603), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526513] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18585), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526527] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(18605), 1,
      anon_sym_RPAREN,
    STATE(11150), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526541] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18607), 1,
      anon_sym_RPAREN,
    STATE(11262), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526555] = 4,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(18609), 1,
      anon_sym_RBRACK,
    STATE(10755), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526569] = 4,
    ACTIONS(18158), 1,
      anon_sym_LPAREN,
    ACTIONS(18162), 1,
      anon_sym_DOT,
    ACTIONS(18611), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526583] = 4,
    ACTIONS(18613), 1,
      anon_sym_RPAREN,
    ACTIONS(18615), 1,
      anon_sym_COMMA,
    STATE(11135), 1,
      aux_sym_function_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526597] = 4,
    ACTIONS(17534), 1,
      anon_sym_COMMA,
    ACTIONS(18618), 1,
      anon_sym_RPAREN,
    STATE(10923), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526611] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18620), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526625] = 4,
    ACTIONS(18622), 1,
      anon_sym_RPAREN,
    ACTIONS(18624), 1,
      anon_sym_COMMA,
    STATE(11138), 1,
      aux_sym__table_settings_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526639] = 4,
    ACTIONS(18158), 1,
      anon_sym_LPAREN,
    ACTIONS(18162), 1,
      anon_sym_DOT,
    ACTIONS(18627), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526653] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13353), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [526663] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16903), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [526673] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15480), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [526683] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18629), 3,
      sym_keyword_safe,
      sym_keyword_unsafe,
      sym_keyword_restricted,
  [526693] = 4,
    ACTIONS(18158), 1,
      anon_sym_LPAREN,
    ACTIONS(18162), 1,
      anon_sym_DOT,
    ACTIONS(18631), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526707] = 4,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(18633), 1,
      anon_sym_RBRACK,
    STATE(10755), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526721] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18635), 1,
      anon_sym_RPAREN,
    STATE(13871), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526735] = 4,
    ACTIONS(18158), 1,
      anon_sym_LPAREN,
    ACTIONS(18162), 1,
      anon_sym_DOT,
    ACTIONS(18637), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526749] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18639), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526763] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18641), 1,
      anon_sym_RPAREN,
    STATE(13877), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526777] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(18643), 1,
      anon_sym_RPAREN,
    STATE(11291), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526791] = 3,
    ACTIONS(18647), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18645), 2,
      sym_keyword_after,
      sym_keyword_before,
  [526803] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18649), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [526813] = 4,
    ACTIONS(18158), 1,
      anon_sym_LPAREN,
    ACTIONS(18162), 1,
      anon_sym_DOT,
    ACTIONS(18651), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526827] = 4,
    ACTIONS(17826), 1,
      anon_sym_LPAREN,
    ACTIONS(18653), 1,
      sym_keyword_using,
    STATE(9524), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526841] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18655), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [526851] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18657), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526865] = 4,
    ACTIONS(18158), 1,
      anon_sym_LPAREN,
    ACTIONS(18162), 1,
      anon_sym_DOT,
    ACTIONS(18659), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526879] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18661), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526893] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18663), 1,
      anon_sym_RPAREN,
    STATE(13899), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526907] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18665), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526921] = 4,
    ACTIONS(18158), 1,
      anon_sym_LPAREN,
    ACTIONS(18162), 1,
      anon_sym_DOT,
    ACTIONS(18667), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526935] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17302), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [526945] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17302), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [526955] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17304), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [526965] = 4,
    ACTIONS(17838), 1,
      anon_sym_COMMA,
    ACTIONS(18669), 1,
      anon_sym_RPAREN,
    STATE(10644), 1,
      aux_sym_alter_index_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526979] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17310), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [526989] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17310), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [526999] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15466), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [527009] = 4,
    ACTIONS(18158), 1,
      anon_sym_LPAREN,
    ACTIONS(18162), 1,
      anon_sym_DOT,
    ACTIONS(18671), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527023] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17310), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [527033] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17310), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [527043] = 4,
    ACTIONS(17534), 1,
      anon_sym_COMMA,
    ACTIONS(18673), 1,
      anon_sym_RPAREN,
    STATE(10923), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527057] = 4,
    ACTIONS(17671), 1,
      anon_sym_COMMA,
    ACTIONS(18675), 1,
      anon_sym_RPAREN,
    STATE(11088), 1,
      aux_sym_create_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527071] = 4,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    ACTIONS(18677), 1,
      sym_keyword_using,
    STATE(9896), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527085] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18679), 1,
      anon_sym_RPAREN,
    STATE(11292), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527099] = 4,
    ACTIONS(18158), 1,
      anon_sym_LPAREN,
    ACTIONS(18162), 1,
      anon_sym_DOT,
    ACTIONS(18681), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527113] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17323), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [527123] = 4,
    ACTIONS(18158), 1,
      anon_sym_LPAREN,
    ACTIONS(18162), 1,
      anon_sym_DOT,
    ACTIONS(18683), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527137] = 4,
    ACTIONS(18158), 1,
      anon_sym_LPAREN,
    ACTIONS(18162), 1,
      anon_sym_DOT,
    ACTIONS(18685), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527151] = 4,
    ACTIONS(14860), 1,
      sym_keyword_where,
    ACTIONS(16855), 1,
      anon_sym_RPAREN,
    STATE(10992), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527165] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13648), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [527175] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10765), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [527185] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18687), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [527195] = 3,
    ACTIONS(18689), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16945), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [527207] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16628), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [527217] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16070), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [527227] = 4,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    ACTIONS(18691), 1,
      sym_keyword_using,
    STATE(9901), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527241] = 4,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(18693), 1,
      anon_sym_RPAREN,
    STATE(10865), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527255] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16642), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [527265] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16148), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [527275] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17009), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [527285] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18695), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [527295] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18697), 3,
      sym_keyword_safe,
      sym_keyword_unsafe,
      sym_keyword_restricted,
  [527305] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16650), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [527315] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17355), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [527325] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17357), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [527335] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17363), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [527345] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18699), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527359] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16871), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [527369] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14516), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [527379] = 3,
    ACTIONS(18701), 1,
      sym_keyword_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18703), 2,
      sym_keyword_to,
      anon_sym_EQ,
  [527391] = 4,
    ACTIONS(17838), 1,
      anon_sym_COMMA,
    ACTIONS(18705), 1,
      anon_sym_RPAREN,
    STATE(10821), 1,
      aux_sym_alter_index_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527405] = 3,
    ACTIONS(18709), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18707), 2,
      sym_keyword_after,
      sym_keyword_before,
  [527417] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17011), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [527427] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15668), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [527437] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18711), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [527447] = 4,
    ACTIONS(17522), 1,
      sym_keyword_trigger,
    ACTIONS(18713), 1,
      sym_keyword_view,
    ACTIONS(18715), 1,
      sym_keyword_recursive,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527461] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17013), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [527471] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17375), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [527481] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18717), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527495] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(1797), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527509] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18719), 1,
      anon_sym_RPAREN,
    STATE(13793), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527523] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18721), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527537] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(18723), 1,
      anon_sym_RPAREN,
    STATE(11330), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527551] = 4,
    ACTIONS(18725), 1,
      sym_keyword_serializable,
    ACTIONS(18727), 1,
      sym_keyword_repeatable,
    ACTIONS(18729), 1,
      sym_keyword_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527565] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18731), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [527575] = 4,
    ACTIONS(17574), 1,
      sym_keyword_on,
    ACTIONS(17576), 1,
      sym_keyword_or,
    STATE(11116), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527589] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15728), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [527599] = 4,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    ACTIONS(18733), 1,
      sym_keyword_using,
    STATE(9946), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527613] = 4,
    ACTIONS(18735), 1,
      sym_keyword_set,
    ACTIONS(18737), 1,
      sym_keyword_drop,
    ACTIONS(18739), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527627] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(18741), 1,
      anon_sym_RPAREN,
    STATE(11235), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527641] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16857), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [527651] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18743), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [527661] = 3,
    ACTIONS(18747), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18745), 2,
      sym_keyword_after,
      sym_keyword_before,
  [527673] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(18749), 1,
      anon_sym_RPAREN,
    STATE(11337), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527687] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18751), 1,
      anon_sym_RPAREN,
    STATE(13810), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527701] = 4,
    ACTIONS(17534), 1,
      anon_sym_COMMA,
    ACTIONS(18753), 1,
      anon_sym_RPAREN,
    STATE(10939), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527715] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18755), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [527725] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18757), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527739] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(18759), 1,
      sym_keyword_on,
    STATE(11116), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527753] = 4,
    ACTIONS(17318), 1,
      anon_sym_RPAREN,
    ACTIONS(18761), 1,
      anon_sym_COMMA,
    STATE(11239), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527767] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18763), 1,
      anon_sym_RPAREN,
    STATE(13812), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527781] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17408), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [527791] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17410), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [527801] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(18765), 1,
      anon_sym_RPAREN,
    STATE(11291), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527815] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17412), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [527825] = 4,
    ACTIONS(17191), 1,
      anon_sym_RPAREN,
    ACTIONS(18761), 1,
      anon_sym_COMMA,
    STATE(11239), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527839] = 4,
    ACTIONS(17191), 1,
      anon_sym_RPAREN,
    ACTIONS(18761), 1,
      anon_sym_COMMA,
    STATE(11250), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527853] = 4,
    ACTIONS(17229), 1,
      anon_sym_RPAREN,
    ACTIONS(18767), 1,
      anon_sym_COMMA,
    STATE(11239), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527867] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16271), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [527877] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16144), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [527887] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14985), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [527897] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17414), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [527907] = 4,
    ACTIONS(18770), 1,
      sym_keyword_isolation,
    ACTIONS(18772), 1,
      sym_keyword_snapshot,
    STATE(11279), 1,
      sym__transaction_mode,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527921] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(18759), 1,
      sym_keyword_on,
    STATE(11342), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527935] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14987), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [527945] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18774), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527959] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15021), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [527969] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17428), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [527979] = 4,
    ACTIONS(17404), 1,
      anon_sym_RPAREN,
    ACTIONS(18761), 1,
      anon_sym_COMMA,
    STATE(11239), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527993] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18776), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528007] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18778), 1,
      anon_sym_RPAREN,
    STATE(11353), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528021] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17432), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [528031] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18780), 1,
      anon_sym_RPAREN,
    STATE(13821), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528045] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17436), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [528055] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18782), 1,
      anon_sym_RPAREN,
    STATE(12444), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528069] = 3,
    ACTIONS(18784), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18786), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [528081] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18788), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [528091] = 4,
    ACTIONS(18790), 1,
      anon_sym_RPAREN,
    ACTIONS(18792), 1,
      anon_sym_COMMA,
    STATE(11259), 1,
      aux_sym__column_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528105] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18795), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [528115] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18797), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [528125] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18799), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528139] = 4,
    ACTIONS(18801), 1,
      sym_keyword_by,
    ACTIONS(18803), 1,
      anon_sym_LPAREN,
    STATE(6763), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528153] = 3,
    ACTIONS(18805), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6420), 2,
      sym_subquery,
      sym_list,
  [528165] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16068), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [528175] = 3,
    ACTIONS(18807), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18809), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [528187] = 3,
    ACTIONS(18811), 1,
      sym_keyword_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18813), 2,
      sym_keyword_to,
      anon_sym_EQ,
  [528199] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18776), 1,
      anon_sym_RPAREN,
    STATE(11357), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528213] = 3,
    ACTIONS(18815), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5648), 2,
      sym_subquery,
      sym_list,
  [528225] = 3,
    ACTIONS(17442), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16744), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [528237] = 4,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(18817), 1,
      anon_sym_RPAREN,
    STATE(10865), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528251] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18819), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528265] = 4,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(18821), 1,
      anon_sym_RBRACK,
    STATE(10755), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528279] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16863), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [528289] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16754), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [528299] = 4,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(18823), 1,
      anon_sym_RPAREN,
    STATE(10865), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528313] = 4,
    ACTIONS(16202), 1,
      anon_sym_COMMA,
    ACTIONS(18825), 1,
      anon_sym_RPAREN,
    STATE(9000), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528327] = 3,
    ACTIONS(18827), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18829), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [528339] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18831), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [528349] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18833), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [528359] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18835), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [528369] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18837), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [528379] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16146), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [528389] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18839), 1,
      anon_sym_RPAREN,
    STATE(11198), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528403] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18841), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528417] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18839), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528431] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16909), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [528441] = 4,
    ACTIONS(17534), 1,
      anon_sym_COMMA,
    ACTIONS(18843), 1,
      anon_sym_RPAREN,
    STATE(11172), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528455] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17495), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [528465] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18845), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [528475] = 4,
    ACTIONS(18847), 1,
      anon_sym_RPAREN,
    ACTIONS(18849), 1,
      anon_sym_COMMA,
    STATE(11291), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528489] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18852), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528503] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14810), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [528513] = 3,
    ACTIONS(18854), 1,
      sym_keyword_schema,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18856), 2,
      sym_keyword_unlogged,
      sym_keyword_logged,
  [528525] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18858), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [528535] = 4,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(18860), 1,
      anon_sym_RBRACK,
    STATE(10755), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528549] = 4,
    ACTIONS(17658), 1,
      anon_sym_COMMA,
    ACTIONS(18862), 1,
      anon_sym_RPAREN,
    STATE(11138), 1,
      aux_sym__table_settings_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528563] = 4,
    ACTIONS(16202), 1,
      anon_sym_COMMA,
    ACTIONS(18864), 1,
      anon_sym_RPAREN,
    STATE(11277), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528577] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(18866), 1,
      anon_sym_RPAREN,
    STATE(11391), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528591] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16744), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [528601] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18868), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [528611] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16150), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [528621] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18870), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [528631] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18872), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [528641] = 4,
    ACTIONS(18874), 1,
      sym_keyword_materialized,
    ACTIONS(18876), 1,
      sym_keyword_not,
    ACTIONS(18878), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528655] = 4,
    ACTIONS(18158), 1,
      anon_sym_LPAREN,
    ACTIONS(18162), 1,
      anon_sym_DOT,
    ACTIONS(18880), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528669] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18882), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528683] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18884), 1,
      anon_sym_RPAREN,
    STATE(14600), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528697] = 4,
    ACTIONS(18886), 1,
      anon_sym_RPAREN,
    ACTIONS(18888), 1,
      anon_sym_COMMA,
    STATE(11309), 1,
      aux_sym_index_fields_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528711] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18891), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528725] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18893), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528739] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17213), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [528749] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17213), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [528759] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17219), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [528769] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(18895), 1,
      anon_sym_RPAREN,
    STATE(11376), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528783] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18897), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [528793] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17236), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [528803] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(18899), 1,
      anon_sym_RPAREN,
    STATE(11329), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528817] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17236), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [528827] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17530), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [528837] = 4,
    ACTIONS(14441), 1,
      anon_sym_COMMA,
    ACTIONS(18901), 1,
      anon_sym_RPAREN,
    STATE(11402), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528851] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17254), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [528861] = 3,
    ACTIONS(18903), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18905), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [528873] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18907), 1,
      anon_sym_RPAREN,
    STATE(14627), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528887] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18909), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528901] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18911), 1,
      anon_sym_RPAREN,
    STATE(14638), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528915] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18913), 3,
      sym_keyword_match,
      sym_keyword_true,
      sym_keyword_false,
  [528925] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18913), 3,
      sym_keyword_csv,
      sym_keyword_binary,
      sym_keyword_text,
  [528935] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(18915), 1,
      anon_sym_RPAREN,
    STATE(11291), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528949] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(18917), 1,
      anon_sym_RPAREN,
    STATE(11337), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528963] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16865), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [528973] = 4,
    ACTIONS(18919), 1,
      sym_keyword_isolation,
    ACTIONS(18921), 1,
      sym_keyword_snapshot,
    STATE(11806), 1,
      sym__transaction_mode,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528987] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16875), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [528997] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18923), 1,
      anon_sym_RPAREN,
    STATE(14683), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529011] = 4,
    ACTIONS(18231), 1,
      sym_keyword_drop,
    ACTIONS(18233), 1,
      sym_keyword_type,
    ACTIONS(18925), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529025] = 4,
    ACTIONS(18271), 1,
      anon_sym_COMMA,
    ACTIONS(18927), 1,
      anon_sym_RPAREN,
    STATE(11259), 1,
      aux_sym__column_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529039] = 4,
    ACTIONS(18929), 1,
      anon_sym_RPAREN,
    ACTIONS(18931), 1,
      anon_sym_COMMA,
    STATE(11337), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529053] = 4,
    ACTIONS(17051), 1,
      anon_sym_RPAREN,
    ACTIONS(18761), 1,
      anon_sym_COMMA,
    STATE(11231), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529067] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16444), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [529077] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18934), 1,
      anon_sym_RPAREN,
    STATE(11508), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529091] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16482), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [529101] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(18936), 1,
      sym_keyword_on,
    STATE(11116), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529115] = 4,
    ACTIONS(18938), 1,
      sym_keyword_serializable,
    ACTIONS(18940), 1,
      sym_keyword_repeatable,
    ACTIONS(18942), 1,
      sym_keyword_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529129] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18944), 1,
      anon_sym_RPAREN,
    STATE(12490), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529143] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16765), 1,
      anon_sym_RPAREN,
    STATE(11362), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529157] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16178), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [529167] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16289), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [529177] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18946), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529191] = 4,
    ACTIONS(18948), 1,
      sym_keyword_materialized,
    ACTIONS(18950), 1,
      sym_keyword_not,
    ACTIONS(18952), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529205] = 4,
    ACTIONS(17318), 1,
      anon_sym_RPAREN,
    ACTIONS(18761), 1,
      anon_sym_COMMA,
    STATE(11237), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529219] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16076), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [529229] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16953), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [529239] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18954), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529253] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18956), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529267] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18958), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [529277] = 4,
    ACTIONS(17463), 1,
      sym_keyword_trigger,
    ACTIONS(18960), 1,
      sym_keyword_view,
    ACTIONS(18962), 1,
      sym_keyword_recursive,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529291] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18964), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529305] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16239), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [529315] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18966), 1,
      anon_sym_RPAREN,
    STATE(11407), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529329] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16194), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [529339] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_RPAREN,
    STATE(11371), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529353] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16767), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529367] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18964), 1,
      anon_sym_RPAREN,
    STATE(11408), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529381] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18968), 1,
      anon_sym_RPAREN,
    STATE(13941), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529395] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17019), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [529405] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18970), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [529415] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16913), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [529425] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18972), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529439] = 3,
    ACTIONS(18974), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4684), 2,
      sym_subquery,
      sym_list,
  [529451] = 4,
    ACTIONS(18976), 1,
      sym_keyword_to,
    ACTIONS(18978), 1,
      sym_keyword_wait,
    ACTIONS(18980), 1,
      sym_keyword_nowait,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529465] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16769), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529479] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16769), 1,
      anon_sym_RPAREN,
    STATE(11381), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529493] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16174), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [529503] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(18982), 1,
      anon_sym_RPAREN,
    STATE(12495), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529517] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16209), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [529527] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(18984), 1,
      anon_sym_RPAREN,
    STATE(11337), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529541] = 4,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(18986), 1,
      anon_sym_RPAREN,
    STATE(10865), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529555] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(18988), 1,
      anon_sym_RPAREN,
    STATE(11422), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529569] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16211), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [529579] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18990), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [529589] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16771), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529603] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17248), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [529613] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16771), 1,
      anon_sym_RPAREN,
    STATE(11393), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529627] = 3,
    ACTIONS(18992), 1,
      sym_keyword_schema,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18994), 2,
      sym_keyword_unlogged,
      sym_keyword_logged,
  [529639] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(18996), 1,
      anon_sym_RPAREN,
    STATE(11440), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529653] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18998), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [529663] = 3,
    ACTIONS(19000), 1,
      sym_keyword_schema,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19002), 2,
      sym_keyword_unlogged,
      sym_keyword_logged,
  [529675] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17250), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [529685] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16223), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [529695] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17256), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [529705] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(19004), 1,
      anon_sym_RPAREN,
    STATE(11291), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529719] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17023), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [529729] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(19006), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529743] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(19006), 1,
      anon_sym_RPAREN,
    STATE(11400), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529757] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19008), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [529767] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16965), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [529777] = 4,
    ACTIONS(14473), 1,
      anon_sym_RPAREN,
    ACTIONS(19010), 1,
      anon_sym_COMMA,
    STATE(11397), 1,
      aux_sym__compute_stats_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529791] = 4,
    ACTIONS(14258), 1,
      anon_sym_COMMA,
    ACTIONS(16748), 1,
      anon_sym_RPAREN,
    STATE(11397), 1,
      aux_sym__compute_stats_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529805] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19013), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [529815] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(19015), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529829] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17025), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [529839] = 4,
    ACTIONS(14441), 1,
      anon_sym_COMMA,
    ACTIONS(19017), 1,
      anon_sym_RPAREN,
    STATE(8208), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529853] = 4,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(19019), 1,
      anon_sym_RBRACK,
    STATE(10755), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529867] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19021), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [529877] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(19023), 1,
      anon_sym_RPAREN,
    STATE(13975), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529891] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(19025), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529905] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(19027), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529919] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(19029), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529933] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(19031), 1,
      anon_sym_RPAREN,
    STATE(11458), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529947] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14337), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [529957] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(19033), 1,
      anon_sym_RPAREN,
    STATE(13983), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529971] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17339), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [529981] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17341), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [529991] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9525), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [530001] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(19035), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530015] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17345), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [530025] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17347), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [530035] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17365), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [530045] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17367), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [530055] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17369), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [530065] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17371), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [530075] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(19037), 1,
      anon_sym_RPAREN,
    STATE(11291), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530089] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17652), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [530099] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17400), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [530109] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17406), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [530119] = 4,
    ACTIONS(17808), 1,
      anon_sym_COMMA,
    ACTIONS(19039), 1,
      anon_sym_RPAREN,
    STATE(10733), 1,
      aux_sym__vacuum_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530133] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(19041), 1,
      anon_sym_RPAREN,
    STATE(13703), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530147] = 4,
    ACTIONS(17808), 1,
      anon_sym_COMMA,
    ACTIONS(19039), 1,
      anon_sym_RPAREN,
    STATE(10617), 1,
      aux_sym__vacuum_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530161] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(19043), 1,
      anon_sym_RPAREN,
    STATE(14004), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530175] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(19045), 1,
      anon_sym_RPAREN,
    STATE(10887), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530189] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(19047), 1,
      anon_sym_RPAREN,
    STATE(12509), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530203] = 3,
    ACTIONS(19051), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19049), 2,
      sym_keyword_after,
      sym_keyword_before,
  [530215] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(19053), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530229] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(19055), 1,
      anon_sym_RPAREN,
    STATE(14582), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530243] = 4,
    ACTIONS(17463), 1,
      sym_keyword_trigger,
    ACTIONS(19057), 1,
      sym_keyword_view,
    ACTIONS(19059), 1,
      sym_keyword_recursive,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530257] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(19061), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530271] = 3,
    ACTIONS(17493), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16271), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [530283] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16915), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [530293] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(19063), 1,
      anon_sym_RPAREN,
    STATE(11450), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530307] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(19065), 1,
      anon_sym_RPAREN,
    STATE(11337), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530321] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(19045), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530335] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(19067), 1,
      anon_sym_RPAREN,
    STATE(11498), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530349] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(19069), 1,
      anon_sym_RPAREN,
    STATE(12321), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530363] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(19071), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530377] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(19073), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530391] = 4,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(19075), 1,
      anon_sym_RBRACK,
    STATE(10755), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530405] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(19077), 1,
      anon_sym_RPAREN,
    STATE(12332), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530419] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(19079), 1,
      anon_sym_RPAREN,
    STATE(10519), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530433] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(19081), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530447] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(19083), 1,
      anon_sym_RPAREN,
    STATE(11291), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530461] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16867), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [530471] = 3,
    ACTIONS(19085), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4708), 2,
      sym_subquery,
      sym_list,
  [530483] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(19087), 1,
      anon_sym_RPAREN,
    STATE(12422), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530497] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19089), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [530507] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15003), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [530517] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19091), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [530527] = 4,
    ACTIONS(17658), 1,
      anon_sym_COMMA,
    ACTIONS(19093), 1,
      anon_sym_RPAREN,
    STATE(11010), 1,
      aux_sym__table_settings_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530541] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(19095), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530555] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(19097), 1,
      sym_keyword_on,
    STATE(11461), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530569] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(19099), 1,
      sym_keyword_on,
    STATE(11463), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530583] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(19099), 1,
      sym_keyword_on,
    STATE(11116), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530597] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(19101), 1,
      sym_keyword_on,
    STATE(11464), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530611] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(19101), 1,
      sym_keyword_on,
    STATE(11116), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530625] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(19103), 1,
      sym_keyword_on,
    STATE(11116), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530639] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(19103), 1,
      sym_keyword_on,
    STATE(11466), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530653] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(19105), 1,
      sym_keyword_on,
    STATE(11116), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530667] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(19105), 1,
      sym_keyword_on,
    STATE(11468), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530681] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(19107), 1,
      sym_keyword_on,
    STATE(11116), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530695] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(19107), 1,
      sym_keyword_on,
    STATE(11470), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530709] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(19109), 1,
      sym_keyword_on,
    STATE(11116), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530723] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(19109), 1,
      sym_keyword_on,
    STATE(11472), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530737] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(19111), 1,
      sym_keyword_on,
    STATE(11116), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530751] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(19111), 1,
      sym_keyword_on,
    STATE(11474), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530765] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(19113), 1,
      sym_keyword_on,
    STATE(11116), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530779] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(19113), 1,
      sym_keyword_on,
    STATE(11476), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530793] = 4,
    ACTIONS(17576), 1,
      sym_keyword_or,
    ACTIONS(19115), 1,
      sym_keyword_on,
    STATE(11116), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530807] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(19117), 1,
      anon_sym_RPAREN,
    STATE(11514), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530821] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16302), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [530831] = 4,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(19119), 1,
      anon_sym_RPAREN,
    STATE(10865), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530845] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19121), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [530855] = 4,
    ACTIONS(19123), 1,
      anon_sym_RPAREN,
    ACTIONS(19125), 1,
      anon_sym_COMMA,
    STATE(11481), 1,
      aux_sym_constraints_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530869] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(19128), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530883] = 4,
    ACTIONS(17658), 1,
      anon_sym_COMMA,
    ACTIONS(19130), 1,
      anon_sym_RPAREN,
    STATE(11138), 1,
      aux_sym__table_settings_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530897] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19132), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [530907] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(19134), 1,
      anon_sym_RPAREN,
    STATE(13430), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530921] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(19136), 1,
      anon_sym_RPAREN,
    STATE(14776), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530935] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(19138), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530949] = 3,
    ACTIONS(19142), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19140), 2,
      sym_keyword_after,
      sym_keyword_before,
  [530961] = 3,
    ACTIONS(19146), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19144), 2,
      sym_keyword_after,
      sym_keyword_before,
  [530973] = 3,
    ACTIONS(19150), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19148), 2,
      sym_keyword_after,
      sym_keyword_before,
  [530985] = 3,
    ACTIONS(19154), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19152), 2,
      sym_keyword_after,
      sym_keyword_before,
  [530997] = 3,
    ACTIONS(19158), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19156), 2,
      sym_keyword_after,
      sym_keyword_before,
  [531009] = 3,
    ACTIONS(19162), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19160), 2,
      sym_keyword_after,
      sym_keyword_before,
  [531021] = 3,
    ACTIONS(19166), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19164), 2,
      sym_keyword_after,
      sym_keyword_before,
  [531033] = 3,
    ACTIONS(19170), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19168), 2,
      sym_keyword_after,
      sym_keyword_before,
  [531045] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16967), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [531055] = 3,
    ACTIONS(19172), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(873), 2,
      sym_subquery,
      sym_list,
  [531067] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(19174), 1,
      anon_sym_RPAREN,
    STATE(11337), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531081] = 4,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    ACTIONS(19176), 1,
      sym_keyword_using,
    STATE(8972), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531095] = 4,
    ACTIONS(17540), 1,
      anon_sym_COMMA,
    ACTIONS(19178), 1,
      anon_sym_RPAREN,
    STATE(10480), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531109] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16795), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [531119] = 4,
    ACTIONS(9730), 1,
      anon_sym_COMMA,
    ACTIONS(19180), 1,
      anon_sym_RPAREN,
    STATE(10865), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531133] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9529), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [531143] = 4,
    ACTIONS(9012), 1,
      sym_keyword_limit,
    ACTIONS(19182), 1,
      anon_sym_RPAREN,
    STATE(13139), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531157] = 4,
    ACTIONS(19184), 1,
      sym_keyword_to,
    ACTIONS(19186), 1,
      sym_keyword_wait,
    ACTIONS(19188), 1,
      sym_keyword_nowait,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531171] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(19190), 1,
      anon_sym_RPAREN,
    STATE(10527), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531185] = 4,
    ACTIONS(17558), 1,
      anon_sym_COMMA,
    ACTIONS(19192), 1,
      anon_sym_RPAREN,
    STATE(10882), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531199] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(19190), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531213] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16520), 1,
      anon_sym_RPAREN,
    STATE(11014), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531227] = 4,
    ACTIONS(9533), 1,
      anon_sym_COMMA,
    ACTIONS(19194), 1,
      anon_sym_RBRACK,
    STATE(10755), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531241] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(19196), 1,
      anon_sym_RPAREN,
    STATE(10529), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531255] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19198), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [531265] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16520), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531279] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(19200), 1,
      anon_sym_RPAREN,
    STATE(7643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531293] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(19073), 1,
      anon_sym_RPAREN,
    STATE(10541), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531307] = 4,
    ACTIONS(15500), 1,
      sym_keyword_partition,
    ACTIONS(19202), 1,
      sym_keyword_compute,
    STATE(12347), 1,
      sym__partition_spec,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531321] = 3,
    ACTIONS(12389), 1,
      sym_keyword_set,
    STATE(9823), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531332] = 3,
    ACTIONS(12471), 1,
      sym_keyword_set,
    STATE(9916), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531343] = 3,
    ACTIONS(19204), 1,
      aux_sym__integer_token1,
    ACTIONS(19206), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531354] = 3,
    ACTIONS(19208), 1,
      anon_sym_RPAREN,
    ACTIONS(19210), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531365] = 3,
    ACTIONS(19212), 1,
      anon_sym_LPAREN,
    STATE(6801), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531376] = 3,
    ACTIONS(19214), 1,
      anon_sym_RPAREN,
    ACTIONS(19216), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531387] = 3,
    ACTIONS(19218), 1,
      anon_sym_RPAREN,
    ACTIONS(19220), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531398] = 3,
    ACTIONS(19222), 1,
      anon_sym_RPAREN,
    ACTIONS(19224), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531409] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18090), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [531418] = 3,
    ACTIONS(19226), 1,
      ts_builtin_sym_end,
    ACTIONS(19228), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531429] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18092), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [531438] = 3,
    ACTIONS(19230), 1,
      aux_sym__integer_token1,
    ACTIONS(19232), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531449] = 3,
    ACTIONS(19234), 1,
      anon_sym_RPAREN,
    ACTIONS(19236), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531460] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18102), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [531469] = 3,
    ACTIONS(19238), 1,
      anon_sym_RPAREN,
    ACTIONS(19240), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531480] = 3,
    ACTIONS(19242), 1,
      anon_sym_RPAREN,
    ACTIONS(19244), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531491] = 3,
    ACTIONS(19246), 1,
      anon_sym_RPAREN,
    ACTIONS(19248), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531502] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19250), 2,
      sym_keyword_to,
      anon_sym_EQ,
  [531511] = 3,
    ACTIONS(16813), 1,
      sym_keyword_check,
    STATE(9923), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531522] = 3,
    ACTIONS(19252), 1,
      anon_sym_LPAREN,
    STATE(8477), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531533] = 3,
    ACTIONS(12401), 1,
      sym_keyword_set,
    STATE(9597), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531544] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19254), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [531553] = 3,
    ACTIONS(11305), 1,
      anon_sym_LPAREN,
    STATE(6809), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531564] = 3,
    ACTIONS(19256), 1,
      anon_sym_RPAREN,
    ACTIONS(19258), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531575] = 3,
    ACTIONS(19260), 1,
      sym_keyword_not,
    ACTIONS(19262), 1,
      sym_keyword_deferrable,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531586] = 3,
    ACTIONS(11305), 1,
      anon_sym_LPAREN,
    STATE(6758), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531597] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19264), 2,
      sym_keyword_first,
      sym_keyword_last,
  [531606] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18249), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [531615] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19266), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [531624] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19266), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [531633] = 3,
    ACTIONS(19268), 1,
      sym_keyword_first,
    ACTIONS(19270), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531644] = 3,
    ACTIONS(19272), 1,
      anon_sym_LBRACK,
    ACTIONS(19274), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531655] = 3,
    ACTIONS(18158), 1,
      anon_sym_LPAREN,
    ACTIONS(19276), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531666] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19278), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [531675] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19280), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [531684] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19280), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [531693] = 3,
    ACTIONS(19282), 1,
      sym_keyword_first,
    ACTIONS(19284), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531704] = 3,
    ACTIONS(19286), 1,
      anon_sym_RPAREN,
    ACTIONS(19288), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531715] = 3,
    ACTIONS(19290), 1,
      anon_sym_RPAREN,
    ACTIONS(19292), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531726] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19294), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [531735] = 3,
    ACTIONS(19296), 1,
      anon_sym_RPAREN,
    ACTIONS(19298), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531746] = 3,
    ACTIONS(16442), 1,
      sym_keyword_sequence,
    ACTIONS(17282), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531757] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19300), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [531766] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19300), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [531775] = 3,
    ACTIONS(19302), 1,
      sym_keyword_first,
    ACTIONS(19304), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531786] = 3,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    STATE(9246), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531797] = 3,
    ACTIONS(19306), 1,
      anon_sym_LPAREN,
    ACTIONS(19308), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531808] = 3,
    ACTIONS(19310), 1,
      anon_sym_SEMI,
    ACTIONS(19312), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531819] = 3,
    ACTIONS(19314), 1,
      anon_sym_SEMI,
    ACTIONS(19316), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531830] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18142), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [531839] = 3,
    ACTIONS(19318), 1,
      sym_keyword_as,
    ACTIONS(19320), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531850] = 3,
    ACTIONS(18919), 1,
      sym_keyword_isolation,
    STATE(12063), 1,
      sym__transaction_mode,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531861] = 3,
    ACTIONS(19322), 1,
      anon_sym_LPAREN,
    STATE(6830), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531872] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19324), 2,
      sym_keyword_rename,
      sym_keyword_owner,
  [531881] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19326), 2,
      sym_keyword_range,
      sym_keyword_hash,
  [531890] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18622), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [531899] = 3,
    ACTIONS(16837), 1,
      sym_keyword_check,
    STATE(11346), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531910] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19328), 2,
      sym_keyword_group,
      sym_keyword_role,
  [531919] = 3,
    ACTIONS(19330), 1,
      sym_keyword_as,
    ACTIONS(19332), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531930] = 3,
    ACTIONS(19334), 1,
      sym_keyword_no,
    ACTIONS(19336), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531941] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19338), 2,
      sym_keyword_delete,
      sym_keyword_update,
  [531950] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13793), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [531959] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19340), 2,
      sym_keyword_first,
      sym_keyword_last,
  [531968] = 3,
    ACTIONS(17826), 1,
      anon_sym_LPAREN,
    STATE(9619), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531979] = 3,
    ACTIONS(13265), 1,
      sym_keyword_on,
    ACTIONS(13267), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531990] = 3,
    ACTIONS(19342), 1,
      anon_sym_LPAREN,
    STATE(8491), 1,
      sym_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532001] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18554), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532010] = 3,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    STATE(4010), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532021] = 3,
    ACTIONS(19344), 1,
      sym_keyword_tablespace,
    ACTIONS(19346), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532032] = 3,
    ACTIONS(19348), 1,
      sym_keyword_as,
    ACTIONS(19350), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532043] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19123), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [532052] = 3,
    ACTIONS(19352), 1,
      sym_keyword_first,
    ACTIONS(19354), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532063] = 3,
    ACTIONS(17826), 1,
      anon_sym_LPAREN,
    STATE(9631), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532074] = 3,
    ACTIONS(19356), 1,
      sym_keyword_column,
    ACTIONS(19358), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532085] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15588), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532094] = 3,
    ACTIONS(11005), 1,
      anon_sym_LPAREN,
    STATE(6682), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532105] = 3,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(14342), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532116] = 3,
    ACTIONS(19360), 1,
      sym_keyword_on,
    ACTIONS(19362), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532127] = 3,
    ACTIONS(19364), 1,
      sym_keyword_then,
    ACTIONS(19366), 1,
      sym_keyword_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532138] = 3,
    ACTIONS(18026), 1,
      anon_sym_LPAREN,
    STATE(14047), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532149] = 3,
    ACTIONS(19368), 1,
      anon_sym_LPAREN,
    STATE(887), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532160] = 3,
    ACTIONS(12471), 1,
      sym_keyword_set,
    STATE(9961), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532171] = 3,
    ACTIONS(19370), 1,
      aux_sym__integer_token1,
    ACTIONS(19372), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532182] = 3,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(14769), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532193] = 3,
    ACTIONS(11005), 1,
      anon_sym_LPAREN,
    STATE(6683), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532204] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18180), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532213] = 3,
    ACTIONS(13239), 1,
      sym_keyword_using,
    ACTIONS(13283), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532224] = 3,
    ACTIONS(16813), 1,
      sym_keyword_check,
    STATE(9963), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532235] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19374), 2,
      sym_keyword_only,
      sym_keyword_write,
  [532244] = 3,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    STATE(9763), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532255] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19376), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [532264] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19378), 2,
      sym_keyword_definer,
      sym_keyword_invoker,
  [532273] = 3,
    ACTIONS(16933), 1,
      anon_sym_LPAREN,
    STATE(6501), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532284] = 3,
    ACTIONS(19380), 1,
      sym_keyword_as,
    ACTIONS(19382), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532295] = 3,
    ACTIONS(16933), 1,
      anon_sym_LPAREN,
    STATE(6491), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532306] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19384), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [532315] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19386), 2,
      sym_keyword_first,
      sym_keyword_last,
  [532324] = 3,
    ACTIONS(19388), 1,
      sym_keyword_first,
    ACTIONS(19390), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532335] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19392), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [532344] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19392), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [532353] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19394), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [532362] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19394), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [532371] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19396), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [532380] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19396), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [532389] = 3,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(12845), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532400] = 3,
    ACTIONS(15350), 1,
      anon_sym_LPAREN,
    STATE(7485), 1,
      sym_window_specification,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532411] = 3,
    ACTIONS(15108), 1,
      sym_keyword_not,
    ACTIONS(19398), 1,
      sym_keyword_default,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532422] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19400), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [532431] = 3,
    ACTIONS(18770), 1,
      sym_keyword_isolation,
    STATE(11395), 1,
      sym__transaction_mode,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532442] = 3,
    ACTIONS(13315), 1,
      sym_keyword_on,
    ACTIONS(13317), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532453] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19402), 2,
      sym_keyword_only,
      sym_keyword_write,
  [532462] = 3,
    ACTIONS(19404), 1,
      anon_sym_LPAREN,
    STATE(11069), 1,
      sym_enum_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532473] = 3,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    STATE(9840), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532484] = 3,
    ACTIONS(14273), 1,
      anon_sym_LPAREN,
    STATE(10441), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532495] = 3,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    STATE(9845), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532506] = 3,
    ACTIONS(19406), 1,
      sym_keyword_as,
    ACTIONS(19408), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532517] = 3,
    ACTIONS(19410), 1,
      sym_keyword_distinct,
    ACTIONS(19412), 1,
      sym_keyword_not,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532528] = 3,
    ACTIONS(19414), 1,
      anon_sym_RPAREN,
    ACTIONS(19416), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532539] = 3,
    ACTIONS(19418), 1,
      anon_sym_RPAREN,
    ACTIONS(19420), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532550] = 3,
    ACTIONS(19422), 1,
      anon_sym_RPAREN,
    ACTIONS(19424), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532561] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19426), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [532570] = 3,
    ACTIONS(14068), 1,
      sym_keyword_using,
    ACTIONS(14221), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532581] = 3,
    ACTIONS(19428), 1,
      sym_keyword_matched,
    ACTIONS(19430), 1,
      sym_keyword_not,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532592] = 3,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    STATE(9895), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532603] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16879), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532612] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19432), 2,
      sym_keyword_to,
      anon_sym_EQ,
  [532621] = 3,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    STATE(9899), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532632] = 3,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    STATE(9900), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532643] = 3,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    STATE(9096), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532654] = 3,
    ACTIONS(12471), 1,
      sym_keyword_set,
    STATE(9988), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532665] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19434), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [532674] = 3,
    ACTIONS(19362), 1,
      sym_keyword_using,
    ACTIONS(19436), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532685] = 3,
    ACTIONS(19438), 1,
      sym_keyword_then,
    ACTIONS(19440), 1,
      sym_keyword_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532696] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19442), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [532705] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19444), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [532714] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19444), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [532723] = 3,
    ACTIONS(19446), 1,
      sym_keyword_first,
    ACTIONS(19448), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532734] = 3,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    STATE(9943), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532745] = 3,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    STATE(9944), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532756] = 3,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    STATE(9945), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532767] = 3,
    ACTIONS(16813), 1,
      sym_keyword_check,
    STATE(9992), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532778] = 3,
    ACTIONS(19450), 1,
      anon_sym_SEMI,
    ACTIONS(19452), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532789] = 3,
    ACTIONS(19454), 1,
      sym_keyword_then,
    ACTIONS(19456), 1,
      sym_keyword_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532800] = 3,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    STATE(9972), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532811] = 3,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    STATE(9975), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532822] = 3,
    ACTIONS(18919), 1,
      sym_keyword_isolation,
    STATE(11890), 1,
      sym__transaction_mode,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532833] = 3,
    ACTIONS(16813), 1,
      sym_keyword_check,
    STATE(9776), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532844] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19458), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [532853] = 3,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    STATE(10006), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532864] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19460), 2,
      sym_keyword_delete,
      sym_keyword_update,
  [532873] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19462), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [532882] = 3,
    ACTIONS(16813), 1,
      sym_keyword_check,
    STATE(9687), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532893] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19464), 2,
      sym_keyword_to,
      anon_sym_EQ,
  [532902] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17451), 2,
      sym_keyword_immediate,
      sym_keyword_deferred,
  [532911] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16885), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532920] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19466), 2,
      sym_keyword_first,
      sym_keyword_last,
  [532929] = 3,
    ACTIONS(19468), 1,
      anon_sym_LPAREN,
    STATE(3822), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532940] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19470), 2,
      sym_keyword_first,
      sym_keyword_last,
  [532949] = 3,
    ACTIONS(19472), 1,
      anon_sym_LPAREN,
    STATE(5909), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532960] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19474), 2,
      sym_keyword_default,
      sym_keyword_null,
  [532969] = 3,
    ACTIONS(19476), 1,
      aux_sym__integer_token1,
    ACTIONS(19478), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532980] = 3,
    ACTIONS(19480), 1,
      sym_keyword_update,
    ACTIONS(19482), 1,
      sym_keyword_nothing,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532991] = 3,
    ACTIONS(19484), 1,
      aux_sym__integer_token1,
    ACTIONS(19486), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533002] = 3,
    ACTIONS(19488), 1,
      sym_keyword_tablespace,
    ACTIONS(19490), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533013] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18455), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [533022] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19492), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [533031] = 3,
    ACTIONS(12471), 1,
      sym_keyword_set,
    STATE(9999), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533042] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19492), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [533051] = 3,
    ACTIONS(19494), 1,
      sym_keyword_first,
    ACTIONS(19496), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533062] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19498), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [533071] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19500), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [533080] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19500), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [533089] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19502), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [533098] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19504), 2,
      sym_keyword_first,
      sym_keyword_last,
  [533107] = 3,
    ACTIONS(19506), 1,
      anon_sym_LPAREN,
    STATE(10054), 1,
      sym_enum_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533118] = 3,
    ACTIONS(11005), 1,
      anon_sym_LPAREN,
    STATE(6675), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533129] = 3,
    ACTIONS(13239), 1,
      sym_keyword_using,
    ACTIONS(13281), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533140] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18905), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [533149] = 3,
    ACTIONS(16813), 1,
      sym_keyword_check,
    STATE(10004), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533160] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19508), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [533169] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19508), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [533178] = 3,
    ACTIONS(19510), 1,
      sym_keyword_first,
    ACTIONS(19512), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533189] = 3,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    STATE(9101), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533200] = 3,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    STATE(9164), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533211] = 3,
    ACTIONS(12471), 1,
      sym_keyword_set,
    STATE(10009), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533222] = 3,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    STATE(9166), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533233] = 3,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    STATE(9102), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533244] = 3,
    ACTIONS(11305), 1,
      anon_sym_LPAREN,
    STATE(6752), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533255] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19514), 2,
      sym_keyword_only,
      sym_keyword_write,
  [533264] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19516), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [533273] = 3,
    ACTIONS(16813), 1,
      sym_keyword_check,
    STATE(10019), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533284] = 3,
    ACTIONS(19518), 1,
      anon_sym_RPAREN,
    ACTIONS(19520), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533295] = 3,
    ACTIONS(19522), 1,
      anon_sym_RPAREN,
    ACTIONS(19524), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533306] = 3,
    ACTIONS(19526), 1,
      anon_sym_RPAREN,
    ACTIONS(19528), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533317] = 3,
    ACTIONS(12471), 1,
      sym_keyword_set,
    STATE(10024), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533328] = 3,
    ACTIONS(19530), 1,
      sym_keyword_not,
    ACTIONS(19532), 1,
      sym_keyword_deferrable,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533339] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19534), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [533348] = 3,
    ACTIONS(19536), 1,
      anon_sym_LPAREN,
    STATE(6931), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533359] = 3,
    ACTIONS(16837), 1,
      sym_keyword_check,
    STATE(11478), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533370] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19538), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [533379] = 3,
    ACTIONS(19540), 1,
      sym_keyword_no,
    ACTIONS(19542), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533390] = 3,
    ACTIONS(19544), 1,
      sym_keyword_tablespace,
    ACTIONS(19546), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533401] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19548), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [533410] = 3,
    ACTIONS(19550), 1,
      sym_keyword_column,
    ACTIONS(19552), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533421] = 3,
    ACTIONS(14068), 1,
      sym_keyword_using,
    ACTIONS(14241), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533432] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19554), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [533441] = 3,
    ACTIONS(17826), 1,
      anon_sym_LPAREN,
    STATE(8910), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533452] = 3,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    STATE(9168), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533463] = 3,
    ACTIONS(17826), 1,
      anon_sym_LPAREN,
    STATE(8914), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533474] = 3,
    ACTIONS(17826), 1,
      anon_sym_LPAREN,
    STATE(8915), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533485] = 3,
    ACTIONS(19556), 1,
      anon_sym_LPAREN,
    STATE(6864), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533496] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16889), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533505] = 3,
    ACTIONS(19558), 1,
      sym_keyword_duplicate,
    ACTIONS(19560), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533516] = 3,
    ACTIONS(14437), 1,
      anon_sym_LPAREN,
    STATE(2444), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533527] = 3,
    ACTIONS(19562), 1,
      sym_keyword_matched,
    ACTIONS(19564), 1,
      sym_keyword_not,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533538] = 3,
    ACTIONS(19566), 1,
      aux_sym__integer_token1,
    ACTIONS(19568), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533549] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19570), 2,
      sym_keyword_row,
      sym_keyword_statement,
  [533558] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19572), 2,
      sym_keyword_definer,
      sym_keyword_invoker,
  [533567] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19574), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [533576] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18182), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533585] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19574), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [533594] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18215), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533603] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18265), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533612] = 3,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    STATE(9517), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533623] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18797), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533632] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18687), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533641] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18357), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533650] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19121), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533659] = 3,
    ACTIONS(19576), 1,
      anon_sym_LBRACK,
    ACTIONS(19578), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533670] = 3,
    ACTIONS(19580), 1,
      anon_sym_LPAREN,
    ACTIONS(19582), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533681] = 3,
    ACTIONS(18158), 1,
      anon_sym_LPAREN,
    ACTIONS(19584), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533692] = 3,
    ACTIONS(19586), 1,
      sym_keyword_value,
    ACTIONS(19588), 1,
      sym_keyword_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533703] = 3,
    ACTIONS(1525), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(19590), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533714] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19592), 2,
      sym_keyword_immediate,
      sym_keyword_deferred,
  [533723] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19594), 2,
      sym_keyword_range,
      sym_keyword_hash,
  [533732] = 3,
    ACTIONS(19596), 1,
      sym_keyword_table,
    ACTIONS(19598), 1,
      sym_keyword_tables,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533743] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19600), 2,
      sym_keyword_range,
      sym_keyword_hash,
  [533752] = 3,
    ACTIONS(13267), 1,
      sym_keyword_using,
    ACTIONS(13351), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533763] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19602), 2,
      sym_keyword_old,
      sym_keyword_new,
  [533772] = 3,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(12610), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533783] = 3,
    ACTIONS(14273), 1,
      anon_sym_LPAREN,
    STATE(9807), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533794] = 3,
    ACTIONS(13239), 1,
      sym_keyword_using,
    ACTIONS(13361), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533805] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19604), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [533814] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13494), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533823] = 3,
    ACTIONS(13317), 1,
      sym_keyword_using,
    ACTIONS(13369), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533834] = 3,
    ACTIONS(14068), 1,
      sym_keyword_using,
    ACTIONS(14321), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533845] = 3,
    ACTIONS(19362), 1,
      sym_keyword_using,
    ACTIONS(19606), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533856] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18152), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533865] = 3,
    ACTIONS(19608), 1,
      anon_sym_LBRACK,
    ACTIONS(19610), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533876] = 3,
    ACTIONS(19612), 1,
      anon_sym_LPAREN,
    ACTIONS(19614), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533887] = 3,
    ACTIONS(19580), 1,
      anon_sym_LPAREN,
    ACTIONS(19616), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533898] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18154), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533907] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18156), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533916] = 3,
    ACTIONS(19618), 1,
      anon_sym_RPAREN,
    ACTIONS(19620), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533927] = 3,
    ACTIONS(19622), 1,
      anon_sym_RPAREN,
    ACTIONS(19624), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533938] = 3,
    ACTIONS(19626), 1,
      anon_sym_RPAREN,
    ACTIONS(19628), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533949] = 3,
    ACTIONS(19630), 1,
      anon_sym_RPAREN,
    ACTIONS(19632), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533960] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18286), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533969] = 3,
    ACTIONS(13267), 1,
      sym_keyword_using,
    ACTIONS(13395), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533980] = 3,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(13783), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533991] = 3,
    ACTIONS(13239), 1,
      sym_keyword_using,
    ACTIONS(13399), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534002] = 3,
    ACTIONS(19634), 1,
      anon_sym_RPAREN,
    ACTIONS(19636), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534013] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18835), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534022] = 3,
    ACTIONS(19638), 1,
      anon_sym_RPAREN,
    ACTIONS(19640), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534033] = 3,
    ACTIONS(13317), 1,
      sym_keyword_using,
    ACTIONS(13422), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534044] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19642), 2,
      sym_keyword_is,
      sym_keyword_returns,
  [534053] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18282), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534062] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18375), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534071] = 3,
    ACTIONS(14066), 1,
      sym_keyword_on,
    ACTIONS(14068), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534082] = 3,
    ACTIONS(14273), 1,
      anon_sym_LPAREN,
    STATE(10596), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534093] = 3,
    ACTIONS(16933), 1,
      anon_sym_LPAREN,
    STATE(6498), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534104] = 3,
    ACTIONS(19362), 1,
      sym_keyword_using,
    ACTIONS(19644), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534115] = 3,
    ACTIONS(19646), 1,
      anon_sym_LBRACK,
    ACTIONS(19648), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534126] = 3,
    ACTIONS(19650), 1,
      anon_sym_LPAREN,
    ACTIONS(19652), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534137] = 3,
    ACTIONS(19654), 1,
      anon_sym_LPAREN,
    ACTIONS(19656), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534148] = 3,
    ACTIONS(19658), 1,
      sym_keyword_as,
    ACTIONS(19660), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534159] = 3,
    ACTIONS(13267), 1,
      sym_keyword_using,
    ACTIONS(13401), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534170] = 3,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(14599), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534181] = 3,
    ACTIONS(19662), 1,
      sym_keyword_set,
    ACTIONS(19664), 1,
      sym_keyword_reset,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534192] = 3,
    ACTIONS(13237), 1,
      sym_keyword_on,
    ACTIONS(13239), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534203] = 3,
    ACTIONS(13317), 1,
      sym_keyword_using,
    ACTIONS(13417), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534214] = 3,
    ACTIONS(14840), 1,
      sym_keyword_not,
    ACTIONS(19666), 1,
      sym_keyword_default,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534225] = 3,
    ACTIONS(14068), 1,
      sym_keyword_using,
    ACTIONS(14076), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534236] = 3,
    ACTIONS(19668), 1,
      sym_keyword_no,
    ACTIONS(19670), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534247] = 3,
    ACTIONS(19362), 1,
      sym_keyword_using,
    ACTIONS(19672), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534258] = 3,
    ACTIONS(19674), 1,
      anon_sym_LBRACK,
    ACTIONS(19676), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534269] = 3,
    ACTIONS(19580), 1,
      anon_sym_LPAREN,
    ACTIONS(19678), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534280] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13648), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534289] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18367), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534298] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18831), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534307] = 3,
    ACTIONS(10803), 1,
      aux_sym__single_quote_string_token1,
    STATE(7272), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534318] = 3,
    ACTIONS(13166), 1,
      sym_keyword_using,
    ACTIONS(13367), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534329] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18369), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534338] = 3,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(14574), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534349] = 3,
    ACTIONS(19680), 1,
      anon_sym_LPAREN,
    STATE(4107), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534360] = 3,
    ACTIONS(19682), 1,
      aux_sym__integer_token1,
    ACTIONS(19684), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534371] = 3,
    ACTIONS(13170), 1,
      sym_keyword_using,
    ACTIONS(13381), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534382] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19686), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [534391] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19686), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [534400] = 3,
    ACTIONS(13148), 1,
      sym_keyword_on,
    ACTIONS(13150), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534411] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19688), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [534420] = 3,
    ACTIONS(14080), 1,
      sym_keyword_on,
    ACTIONS(14082), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534431] = 3,
    ACTIONS(19690), 1,
      sym_keyword_on,
    ACTIONS(19692), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534442] = 3,
    ACTIONS(19694), 1,
      anon_sym_LBRACK,
    ACTIONS(19696), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534453] = 3,
    ACTIONS(19698), 1,
      anon_sym_LPAREN,
    ACTIONS(19700), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534464] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17652), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534473] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17536), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534482] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17552), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534491] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17652), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534500] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17552), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534509] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18371), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534518] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17873), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534527] = 3,
    ACTIONS(13164), 1,
      sym_keyword_on,
    ACTIONS(13166), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534538] = 3,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(13597), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534549] = 3,
    ACTIONS(13168), 1,
      sym_keyword_on,
    ACTIONS(13170), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534560] = 3,
    ACTIONS(14227), 1,
      anon_sym_LPAREN,
    STATE(9184), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534571] = 3,
    ACTIONS(13150), 1,
      sym_keyword_using,
    ACTIONS(13219), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534582] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18391), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534591] = 3,
    ACTIONS(14082), 1,
      sym_keyword_using,
    ACTIONS(14100), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534602] = 3,
    ACTIONS(19692), 1,
      sym_keyword_using,
    ACTIONS(19702), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534613] = 3,
    ACTIONS(19704), 1,
      anon_sym_LBRACK,
    ACTIONS(19706), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534624] = 3,
    ACTIONS(19708), 1,
      anon_sym_LPAREN,
    ACTIONS(19710), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534635] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19021), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534644] = 3,
    ACTIONS(19712), 1,
      sym_keyword_no,
    ACTIONS(19714), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534655] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19686), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [534664] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19686), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [534673] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18056), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534682] = 3,
    ACTIONS(14227), 1,
      anon_sym_LPAREN,
    STATE(10371), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534693] = 3,
    ACTIONS(13166), 1,
      sym_keyword_using,
    ACTIONS(13273), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534704] = 3,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(14356), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534715] = 3,
    ACTIONS(19716), 1,
      anon_sym_RPAREN,
    ACTIONS(19718), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534726] = 3,
    ACTIONS(19720), 1,
      anon_sym_RPAREN,
    ACTIONS(19722), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534737] = 3,
    ACTIONS(13170), 1,
      sym_keyword_using,
    ACTIONS(13472), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534748] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18184), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534757] = 3,
    ACTIONS(19724), 1,
      anon_sym_RPAREN,
    ACTIONS(19726), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534768] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18188), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534777] = 3,
    ACTIONS(13150), 1,
      sym_keyword_using,
    ACTIONS(13339), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534788] = 3,
    ACTIONS(14082), 1,
      sym_keyword_using,
    ACTIONS(14104), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534799] = 3,
    ACTIONS(19692), 1,
      sym_keyword_using,
    ACTIONS(19728), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534810] = 3,
    ACTIONS(19730), 1,
      anon_sym_LBRACK,
    ACTIONS(19732), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534821] = 3,
    ACTIONS(19734), 1,
      anon_sym_LPAREN,
    ACTIONS(19736), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534832] = 3,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(12439), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534843] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19738), 2,
      sym_keyword_first,
      sym_keyword_last,
  [534852] = 3,
    ACTIONS(19740), 1,
      anon_sym_LBRACK,
    ACTIONS(19742), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534863] = 3,
    ACTIONS(19744), 1,
      anon_sym_LPAREN,
    ACTIONS(19746), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534874] = 3,
    ACTIONS(19748), 1,
      sym_keyword_set,
    ACTIONS(19750), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534885] = 3,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(9582), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534896] = 3,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(12797), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534907] = 3,
    ACTIONS(19752), 1,
      anon_sym_LBRACK,
    ACTIONS(19754), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534918] = 3,
    ACTIONS(18162), 1,
      anon_sym_DOT,
    ACTIONS(19734), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534929] = 3,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(13243), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534940] = 3,
    ACTIONS(19756), 1,
      sym_keyword_outer,
    ACTIONS(19758), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534951] = 3,
    ACTIONS(19760), 1,
      anon_sym_LBRACK,
    ACTIONS(19762), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534962] = 3,
    ACTIONS(9880), 1,
      anon_sym_LPAREN,
    ACTIONS(19764), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534973] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19766), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [534982] = 3,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(13605), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534993] = 3,
    ACTIONS(11305), 1,
      anon_sym_LPAREN,
    STATE(6787), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535004] = 3,
    ACTIONS(19768), 1,
      anon_sym_LPAREN,
    STATE(4663), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535015] = 3,
    ACTIONS(19342), 1,
      anon_sym_LPAREN,
    STATE(8385), 1,
      sym_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535026] = 3,
    ACTIONS(19770), 1,
      aux_sym__integer_token1,
    ACTIONS(19772), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535037] = 3,
    ACTIONS(19774), 1,
      anon_sym_LBRACK,
    ACTIONS(19776), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535048] = 3,
    ACTIONS(19778), 1,
      anon_sym_LPAREN,
    ACTIONS(19780), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535059] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17976), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [535068] = 3,
    ACTIONS(19782), 1,
      sym_keyword_then,
    ACTIONS(19784), 1,
      sym_keyword_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535079] = 3,
    ACTIONS(19786), 1,
      sym_keyword_as,
    ACTIONS(19788), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535090] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14538), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535099] = 3,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(13788), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535110] = 3,
    ACTIONS(11934), 1,
      aux_sym__single_quote_string_token1,
    STATE(7360), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535121] = 3,
    ACTIONS(19790), 1,
      sym_keyword_with,
    ACTIONS(19792), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535132] = 3,
    ACTIONS(19794), 1,
      sym_keyword_with,
    ACTIONS(19796), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535143] = 3,
    ACTIONS(19798), 1,
      anon_sym_RPAREN,
    ACTIONS(19800), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535154] = 3,
    ACTIONS(19802), 1,
      anon_sym_LBRACK,
    ACTIONS(19804), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535165] = 3,
    ACTIONS(19650), 1,
      anon_sym_LPAREN,
    ACTIONS(19806), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535176] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16289), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535185] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19808), 2,
      sym_keyword_definer,
      sym_keyword_invoker,
  [535194] = 3,
    ACTIONS(19810), 1,
      anon_sym_RPAREN,
    ACTIONS(19812), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535205] = 3,
    ACTIONS(19814), 1,
      anon_sym_RPAREN,
    ACTIONS(19816), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535216] = 3,
    ACTIONS(16837), 1,
      sym_keyword_check,
    STATE(11018), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535227] = 3,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(13940), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535238] = 3,
    ACTIONS(19818), 1,
      sym_keyword_with,
    ACTIONS(19820), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535249] = 3,
    ACTIONS(19822), 1,
      anon_sym_LBRACK,
    ACTIONS(19824), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535260] = 3,
    ACTIONS(19612), 1,
      anon_sym_LPAREN,
    ACTIONS(19826), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535271] = 3,
    ACTIONS(17826), 1,
      anon_sym_LPAREN,
    STATE(8947), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535282] = 3,
    ACTIONS(17826), 1,
      anon_sym_LPAREN,
    STATE(8948), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535293] = 3,
    ACTIONS(17826), 1,
      anon_sym_LPAREN,
    STATE(8949), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535304] = 3,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(14206), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535315] = 3,
    ACTIONS(19828), 1,
      anon_sym_RPAREN,
    ACTIONS(19830), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535326] = 3,
    ACTIONS(19832), 1,
      anon_sym_RPAREN,
    ACTIONS(19834), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535337] = 3,
    ACTIONS(16977), 1,
      sym_keyword_select,
    STATE(10770), 1,
      sym_select,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535348] = 3,
    ACTIONS(19836), 1,
      anon_sym_RPAREN,
    ACTIONS(19838), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535359] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13353), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535368] = 3,
    ACTIONS(19840), 1,
      anon_sym_LBRACK,
    ACTIONS(19842), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535379] = 3,
    ACTIONS(19650), 1,
      anon_sym_LPAREN,
    ACTIONS(19844), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535390] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19846), 2,
      sym_keyword_is,
      sym_keyword_returns,
  [535399] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18970), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535408] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19091), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535417] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17570), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535426] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17630), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535435] = 3,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(14520), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535446] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17650), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535455] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17679), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535464] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17691), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535473] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17693), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535482] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17715), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535491] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17717), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535500] = 3,
    ACTIONS(19848), 1,
      anon_sym_LBRACK,
    ACTIONS(19850), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535511] = 3,
    ACTIONS(19852), 1,
      anon_sym_LPAREN,
    ACTIONS(19854), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535522] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15858), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535531] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15864), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535540] = 3,
    ACTIONS(19856), 1,
      anon_sym_LPAREN,
    STATE(4207), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535551] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15868), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535560] = 3,
    ACTIONS(15824), 1,
      anon_sym_LPAREN,
    STATE(7485), 1,
      sym_window_specification,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535571] = 3,
    ACTIONS(19858), 1,
      aux_sym__integer_token1,
    ACTIONS(19860), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535582] = 3,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(14657), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535593] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15917), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535602] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16528), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535611] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15921), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535620] = 3,
    ACTIONS(19862), 1,
      sym_keyword_outer,
    ACTIONS(19864), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535631] = 3,
    ACTIONS(19866), 1,
      anon_sym_LBRACK,
    ACTIONS(19868), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535642] = 3,
    ACTIONS(19870), 1,
      anon_sym_LPAREN,
    ACTIONS(19872), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535653] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19874), 2,
      sym_keyword_group,
      sym_keyword_role,
  [535662] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17957), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535671] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15872), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535680] = 3,
    ACTIONS(1521), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(19876), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535691] = 3,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(14815), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535702] = 3,
    ACTIONS(1610), 1,
      ts_builtin_sym_end,
    ACTIONS(19228), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535713] = 3,
    ACTIONS(19878), 1,
      anon_sym_LPAREN,
    ACTIONS(19880), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535724] = 3,
    ACTIONS(19882), 1,
      anon_sym_LPAREN,
    ACTIONS(19884), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535735] = 3,
    ACTIONS(14385), 1,
      anon_sym_LPAREN,
    STATE(4050), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535746] = 3,
    ACTIONS(19886), 1,
      sym_keyword_no,
    ACTIONS(19888), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535757] = 3,
    ACTIONS(18162), 1,
      anon_sym_DOT,
    ACTIONS(19882), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535768] = 3,
    ACTIONS(10777), 1,
      anon_sym_LPAREN,
    ACTIONS(19890), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535779] = 3,
    ACTIONS(19892), 1,
      anon_sym_LPAREN,
    ACTIONS(19894), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535790] = 3,
    ACTIONS(19896), 1,
      sym_keyword_table,
    ACTIONS(19898), 1,
      sym_keyword_tables,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535801] = 3,
    ACTIONS(19900), 1,
      sym_keyword_from,
    STATE(10919), 1,
      sym__delete_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535812] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19902), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [535821] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19904), 2,
      sym_keyword_first,
      sym_keyword_last,
  [535830] = 3,
    ACTIONS(14273), 1,
      anon_sym_LPAREN,
    STATE(9694), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535841] = 3,
    ACTIONS(19906), 1,
      anon_sym_LPAREN,
    STATE(4800), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535852] = 3,
    ACTIONS(19908), 1,
      sym_keyword_for,
    ACTIONS(19910), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535863] = 3,
    ACTIONS(19912), 1,
      aux_sym__integer_token1,
    ACTIONS(19914), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535874] = 3,
    ACTIONS(19916), 1,
      sym_keyword_as,
    ACTIONS(19918), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535885] = 3,
    ACTIONS(18158), 1,
      anon_sym_LPAREN,
    ACTIONS(18162), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535896] = 3,
    ACTIONS(19920), 1,
      sym_keyword_duplicate,
    ACTIONS(19922), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535907] = 3,
    ACTIONS(16356), 1,
      sym_keyword_sequence,
    ACTIONS(17007), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535918] = 3,
    ACTIONS(18026), 1,
      anon_sym_LPAREN,
    STATE(12618), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535929] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19924), 2,
      sym_keyword_first,
      sym_keyword_last,
  [535938] = 3,
    ACTIONS(19926), 1,
      sym_keyword_update,
    ACTIONS(19928), 1,
      sym_keyword_nothing,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535949] = 3,
    ACTIONS(19930), 1,
      anon_sym_LBRACK,
    ACTIONS(19932), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535960] = 3,
    ACTIONS(19342), 1,
      anon_sym_LPAREN,
    STATE(8736), 1,
      sym_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535971] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19934), 2,
      sym_keyword_rename,
      sym_keyword_owner,
  [535980] = 3,
    ACTIONS(11005), 1,
      anon_sym_LPAREN,
    STATE(6686), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535991] = 3,
    ACTIONS(19936), 1,
      sym_keyword_tablespace,
    ACTIONS(19938), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536002] = 3,
    ACTIONS(11305), 1,
      anon_sym_LPAREN,
    STATE(6800), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536013] = 3,
    ACTIONS(11305), 1,
      anon_sym_LPAREN,
    STATE(6798), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536024] = 3,
    ACTIONS(19940), 1,
      sym_keyword_then,
    ACTIONS(19942), 1,
      sym_keyword_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536035] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14337), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536044] = 3,
    ACTIONS(19944), 1,
      sym_keyword_with,
    ACTIONS(19946), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536055] = 3,
    ACTIONS(19948), 1,
      sym_keyword_with,
    ACTIONS(19950), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536066] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16795), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536075] = 3,
    ACTIONS(19952), 1,
      aux_sym__integer_token1,
    ACTIONS(19954), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536086] = 3,
    ACTIONS(19956), 1,
      anon_sym_RPAREN,
    ACTIONS(19958), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536097] = 3,
    ACTIONS(19960), 1,
      anon_sym_RPAREN,
    ACTIONS(19962), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536108] = 3,
    ACTIONS(19964), 1,
      anon_sym_RPAREN,
    ACTIONS(19966), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536119] = 3,
    ACTIONS(19482), 1,
      sym_keyword_nothing,
    ACTIONS(19968), 1,
      sym_keyword_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536130] = 3,
    ACTIONS(19970), 1,
      sym_keyword_value,
    ACTIONS(19972), 1,
      sym_keyword_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536141] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11950), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [536150] = 3,
    ACTIONS(19974), 1,
      sym_keyword_then,
    ACTIONS(19976), 1,
      sym_keyword_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536161] = 3,
    ACTIONS(16977), 1,
      sym_keyword_select,
    STATE(10812), 1,
      sym_select,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536172] = 3,
    ACTIONS(16837), 1,
      sym_keyword_check,
    STATE(11339), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536183] = 3,
    ACTIONS(19978), 1,
      sym_keyword_with,
    ACTIONS(19980), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536194] = 3,
    ACTIONS(19982), 1,
      sym_keyword_as,
    ACTIONS(19984), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536205] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19986), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [536214] = 3,
    ACTIONS(17826), 1,
      anon_sym_LPAREN,
    STATE(8969), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536225] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18292), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [536234] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19988), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [536243] = 3,
    ACTIONS(19990), 1,
      sym_keyword_matched,
    ACTIONS(19992), 1,
      sym_keyword_not,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536254] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18795), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536263] = 3,
    ACTIONS(19994), 1,
      sym_keyword_for,
    ACTIONS(19996), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536274] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18872), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536283] = 3,
    ACTIONS(19998), 1,
      anon_sym_LPAREN,
    STATE(4504), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536294] = 3,
    ACTIONS(20000), 1,
      aux_sym__integer_token1,
    ACTIONS(20002), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536305] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20004), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [536314] = 3,
    ACTIONS(12471), 1,
      sym_keyword_set,
    STATE(8942), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536325] = 3,
    ACTIONS(20006), 1,
      anon_sym_RPAREN,
    ACTIONS(20008), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536336] = 3,
    ACTIONS(20010), 1,
      anon_sym_RPAREN,
    ACTIONS(20012), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536347] = 3,
    ACTIONS(20014), 1,
      anon_sym_RPAREN,
    ACTIONS(20016), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536358] = 3,
    ACTIONS(16813), 1,
      sym_keyword_check,
    STATE(9860), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536369] = 3,
    ACTIONS(11005), 1,
      anon_sym_LPAREN,
    STATE(6690), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536380] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17832), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536389] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20018), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [536398] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18990), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536407] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18998), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536416] = 3,
    ACTIONS(13317), 1,
      sym_keyword_using,
    ACTIONS(13373), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536427] = 3,
    ACTIONS(12389), 1,
      sym_keyword_set,
    STATE(9916), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536438] = 3,
    ACTIONS(20020), 1,
      anon_sym_LPAREN,
    STATE(8174), 1,
      sym_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536449] = 3,
    ACTIONS(17826), 1,
      anon_sym_LPAREN,
    STATE(8970), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536460] = 3,
    ACTIONS(20022), 1,
      sym_keyword_stats,
    ACTIONS(20024), 1,
      sym_keyword_incremental,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536471] = 3,
    ACTIONS(12389), 1,
      sym_keyword_set,
    STATE(9961), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536482] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19132), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536491] = 3,
    ACTIONS(12389), 1,
      sym_keyword_set,
    STATE(9988), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536502] = 3,
    ACTIONS(14227), 1,
      anon_sym_LPAREN,
    STATE(9120), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536513] = 3,
    ACTIONS(12389), 1,
      sym_keyword_set,
    STATE(9999), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536524] = 3,
    ACTIONS(12389), 1,
      sym_keyword_set,
    STATE(10009), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536535] = 3,
    ACTIONS(12389), 1,
      sym_keyword_set,
    STATE(10024), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536546] = 3,
    ACTIONS(20026), 1,
      anon_sym_RPAREN,
    ACTIONS(20028), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536557] = 3,
    ACTIONS(20030), 1,
      anon_sym_RPAREN,
    ACTIONS(20032), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536568] = 3,
    ACTIONS(20034), 1,
      anon_sym_RPAREN,
    ACTIONS(20036), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536579] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17879), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536588] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18437), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536597] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18443), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536606] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18447), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536615] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18457), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536624] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18532), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536633] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18649), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536642] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18731), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536651] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16857), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536660] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19089), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536669] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15003), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536678] = 3,
    ACTIONS(20038), 1,
      anon_sym_SEMI,
    ACTIONS(20040), 1,
      sym_keyword_transaction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536689] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18194), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536698] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15424), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536707] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18351), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536716] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18383), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536725] = 3,
    ACTIONS(20042), 1,
      sym_keyword_not,
    ACTIONS(20044), 1,
      sym_keyword_deferrable,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536736] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20046), 2,
      sym_keyword_only,
      sym_keyword_write,
  [536745] = 3,
    ACTIONS(20048), 1,
      anon_sym_SEMI,
    ACTIONS(20050), 1,
      sym_keyword_transaction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536756] = 3,
    ACTIONS(17826), 1,
      anon_sym_LPAREN,
    STATE(9549), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536767] = 3,
    ACTIONS(16813), 1,
      sym_keyword_check,
    STATE(9820), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536778] = 3,
    ACTIONS(20052), 1,
      sym_keyword_no,
    ACTIONS(20054), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536789] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13632), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [536798] = 3,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    STATE(8983), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536809] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20056), 2,
      sym_keyword_first,
      sym_keyword_last,
  [536818] = 3,
    ACTIONS(20058), 1,
      sym_keyword_first,
    ACTIONS(20060), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536829] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20062), 2,
      sym_keyword_first,
      sym_keyword_last,
  [536838] = 3,
    ACTIONS(20064), 1,
      anon_sym_LPAREN,
    STATE(5633), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536849] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20066), 2,
      sym_keyword_first,
      sym_keyword_last,
  [536858] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20068), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [536867] = 3,
    ACTIONS(20070), 1,
      aux_sym__integer_token1,
    ACTIONS(20072), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536878] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20074), 2,
      sym_keyword_first,
      sym_keyword_last,
  [536887] = 3,
    ACTIONS(20076), 1,
      sym_keyword_first,
    ACTIONS(20078), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536898] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20080), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [536907] = 3,
    ACTIONS(20082), 1,
      sym_keyword_stats,
    ACTIONS(20084), 1,
      sym_keyword_incremental,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536918] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20080), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [536927] = 3,
    ACTIONS(14273), 1,
      anon_sym_LPAREN,
    STATE(9831), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536938] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18958), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536947] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19008), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536956] = 3,
    ACTIONS(14227), 1,
      anon_sym_LPAREN,
    STATE(9738), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536967] = 3,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    STATE(9024), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536978] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20086), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [536987] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20088), 2,
      sym_keyword_first,
      sym_keyword_last,
  [536996] = 3,
    ACTIONS(20090), 1,
      sym_keyword_first,
    ACTIONS(20092), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537007] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11804), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [537016] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19198), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [537025] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20094), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [537034] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20094), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [537043] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20096), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [537052] = 3,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    STATE(9214), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537063] = 3,
    ACTIONS(18026), 1,
      anon_sym_LPAREN,
    STATE(12385), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537074] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20098), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [537083] = 3,
    ACTIONS(20100), 1,
      anon_sym_RPAREN,
    ACTIONS(20102), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537094] = 3,
    ACTIONS(20104), 1,
      anon_sym_RPAREN,
    ACTIONS(20106), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537105] = 3,
    ACTIONS(20108), 1,
      anon_sym_RPAREN,
    ACTIONS(20110), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537116] = 3,
    ACTIONS(12401), 1,
      sym_keyword_set,
    STATE(10916), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537127] = 3,
    ACTIONS(20112), 1,
      sym_keyword_from,
    STATE(10065), 1,
      sym__delete_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537138] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17889), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [537147] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18570), 2,
      sym_keyword_on,
      sym_keyword_or,
  [537156] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20114), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [537165] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17911), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [537174] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20114), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [537183] = 3,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    STATE(10379), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537194] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17842), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [537203] = 3,
    ACTIONS(20020), 1,
      anon_sym_LPAREN,
    STATE(11321), 1,
      sym_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537214] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17925), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [537223] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17929), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [537232] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17931), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [537241] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15656), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [537250] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17844), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [537259] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17935), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [537268] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17941), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [537277] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17945), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [537286] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17953), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [537295] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17955), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [537304] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17974), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [537313] = 3,
    ACTIONS(17636), 1,
      anon_sym_LPAREN,
    STATE(9215), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537324] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18613), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [537333] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20116), 2,
      sym_keyword_is,
      sym_keyword_returns,
  [537342] = 3,
    ACTIONS(16837), 1,
      sym_keyword_check,
    STATE(10986), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537353] = 3,
    ACTIONS(20020), 1,
      anon_sym_LPAREN,
    STATE(8133), 1,
      sym_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537364] = 3,
    ACTIONS(20118), 1,
      anon_sym_LPAREN,
    STATE(4693), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537375] = 3,
    ACTIONS(20120), 1,
      aux_sym__integer_token1,
    ACTIONS(20122), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537386] = 3,
    ACTIONS(16672), 1,
      sym_keyword_outer,
    ACTIONS(16674), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537397] = 3,
    ACTIONS(17826), 1,
      anon_sym_LPAREN,
    STATE(8979), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537408] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20124), 2,
      sym_keyword_definer,
      sym_keyword_invoker,
  [537417] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17857), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [537426] = 3,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(10851), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537437] = 3,
    ACTIONS(20126), 1,
      anon_sym_SEMI,
    ACTIONS(20128), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537448] = 3,
    ACTIONS(11005), 1,
      anon_sym_LPAREN,
    STATE(12586), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537459] = 3,
    ACTIONS(14860), 1,
      sym_keyword_where,
    STATE(13425), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537470] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17859), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [537479] = 3,
    ACTIONS(16933), 1,
      anon_sym_LPAREN,
    STATE(6497), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537490] = 3,
    ACTIONS(20130), 1,
      sym_keyword_set,
    ACTIONS(20132), 1,
      sym_keyword_reset,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537501] = 3,
    ACTIONS(20134), 1,
      sym_keyword_as,
    ACTIONS(20136), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537512] = 3,
    ACTIONS(20138), 1,
      anon_sym_LPAREN,
    STATE(2540), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537523] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16945), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [537532] = 3,
    ACTIONS(20140), 1,
      anon_sym_LPAREN,
    STATE(6413), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537543] = 3,
    ACTIONS(15082), 1,
      sym_keyword_not,
    ACTIONS(20142), 1,
      sym_keyword_default,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537554] = 3,
    ACTIONS(20144), 1,
      aux_sym__integer_token1,
    ACTIONS(20146), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537565] = 3,
    ACTIONS(14868), 1,
      sym_keyword_not,
    ACTIONS(20148), 1,
      sym_keyword_default,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537576] = 3,
    ACTIONS(12401), 1,
      sym_keyword_set,
    STATE(11208), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537587] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17939), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [537596] = 3,
    ACTIONS(16837), 1,
      sym_keyword_check,
    STATE(11341), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537607] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13789), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [537616] = 3,
    ACTIONS(20150), 1,
      aux_sym__integer_token1,
    ACTIONS(20152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537627] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16855), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [537636] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11984), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [537645] = 3,
    ACTIONS(20154), 1,
      anon_sym_RPAREN,
    ACTIONS(20156), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537656] = 3,
    ACTIONS(20158), 1,
      anon_sym_RPAREN,
    ACTIONS(20160), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537667] = 3,
    ACTIONS(20162), 1,
      anon_sym_RPAREN,
    ACTIONS(20164), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537678] = 3,
    ACTIONS(16686), 1,
      sym_keyword_outer,
    ACTIONS(16688), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537689] = 3,
    ACTIONS(20166), 1,
      sym_keyword_as,
    ACTIONS(20168), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537700] = 3,
    ACTIONS(18026), 1,
      anon_sym_LPAREN,
    STATE(13515), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537711] = 3,
    ACTIONS(20170), 1,
      sym_keyword_outer,
    ACTIONS(20172), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537722] = 3,
    ACTIONS(20174), 1,
      sym_keyword_as,
    ACTIONS(20176), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537733] = 3,
    ACTIONS(20178), 1,
      sym_keyword_column,
    ACTIONS(20180), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537744] = 3,
    ACTIONS(20182), 1,
      sym_keyword_outer,
    ACTIONS(20184), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537755] = 3,
    ACTIONS(14227), 1,
      anon_sym_LPAREN,
    STATE(9053), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537766] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18655), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [537775] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20186), 2,
      sym_keyword_committed,
      sym_keyword_uncommitted,
  [537784] = 3,
    ACTIONS(20188), 1,
      sym_keyword_as,
    ACTIONS(20190), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537795] = 3,
    ACTIONS(20192), 1,
      sym_keyword_column,
    ACTIONS(20194), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537806] = 3,
    ACTIONS(20196), 1,
      sym_keyword_with,
    ACTIONS(20198), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537817] = 3,
    ACTIONS(20200), 1,
      sym_keyword_with,
    ACTIONS(20202), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537828] = 3,
    ACTIONS(20204), 1,
      sym_keyword_distinct,
    ACTIONS(20206), 1,
      sym_keyword_not,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537839] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17993), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [537848] = 3,
    ACTIONS(19306), 1,
      anon_sym_LPAREN,
    ACTIONS(20208), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537859] = 3,
    ACTIONS(20210), 1,
      sym_keyword_as,
    ACTIONS(20212), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537870] = 3,
    ACTIONS(20214), 1,
      anon_sym_LPAREN,
    STATE(2312), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537881] = 3,
    ACTIONS(20216), 1,
      sym_keyword_as,
    ACTIONS(20218), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537892] = 3,
    ACTIONS(20220), 1,
      aux_sym__integer_token1,
    ACTIONS(20222), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537903] = 3,
    ACTIONS(14273), 1,
      anon_sym_LPAREN,
    STATE(11253), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537914] = 3,
    ACTIONS(20224), 1,
      sym_keyword_with,
    ACTIONS(20226), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537925] = 3,
    ACTIONS(12401), 1,
      sym_keyword_set,
    STATE(10560), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537936] = 3,
    ACTIONS(20228), 1,
      sym_keyword_as,
    ACTIONS(20230), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537947] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17727), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [537956] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20232), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [537965] = 3,
    ACTIONS(16837), 1,
      sym_keyword_check,
    STATE(10611), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537976] = 3,
    ACTIONS(20020), 1,
      anon_sym_LPAREN,
    STATE(8384), 1,
      sym_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537987] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20234), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [537996] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18833), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538005] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18837), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538014] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20236), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [538023] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14810), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538032] = 3,
    ACTIONS(20238), 1,
      anon_sym_SEMI,
    ACTIONS(20240), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538043] = 3,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    STATE(12241), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538054] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20242), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [538063] = 3,
    ACTIONS(20244), 1,
      sym_keyword_set,
    ACTIONS(20246), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538074] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20248), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [538083] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20250), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [538092] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20252), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [538101] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20254), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [538110] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20256), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [538119] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20258), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [538128] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20260), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [538137] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18858), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538146] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17449), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538155] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16744), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538164] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18868), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538173] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18870), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538182] = 3,
    ACTIONS(20262), 1,
      anon_sym_RPAREN,
    ACTIONS(20264), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538193] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18897), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538202] = 3,
    ACTIONS(16706), 1,
      sym_keyword_outer,
    ACTIONS(16708), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538213] = 3,
    ACTIONS(20266), 1,
      anon_sym_RPAREN,
    ACTIONS(20268), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538224] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19013), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538233] = 3,
    ACTIONS(20270), 1,
      sym_keyword_outer,
    ACTIONS(20272), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538244] = 3,
    ACTIONS(20274), 1,
      sym_keyword_outer,
    ACTIONS(20276), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538255] = 3,
    ACTIONS(20278), 1,
      anon_sym_RPAREN,
    ACTIONS(20280), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538266] = 3,
    ACTIONS(20282), 1,
      anon_sym_LPAREN,
    STATE(8387), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538277] = 3,
    ACTIONS(16712), 1,
      sym_keyword_outer,
    ACTIONS(16714), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538288] = 3,
    ACTIONS(20284), 1,
      sym_keyword_outer,
    ACTIONS(20286), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538299] = 3,
    ACTIONS(20288), 1,
      sym_keyword_outer,
    ACTIONS(20290), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538310] = 3,
    ACTIONS(16718), 1,
      sym_keyword_outer,
    ACTIONS(16720), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538321] = 3,
    ACTIONS(20292), 1,
      sym_keyword_outer,
    ACTIONS(20294), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538332] = 3,
    ACTIONS(20296), 1,
      sym_keyword_outer,
    ACTIONS(20298), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538343] = 3,
    ACTIONS(20300), 1,
      anon_sym_RPAREN,
    ACTIONS(20302), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538354] = 3,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(3324), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538365] = 3,
    ACTIONS(16724), 1,
      sym_keyword_outer,
    ACTIONS(16726), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538376] = 3,
    ACTIONS(20304), 1,
      anon_sym_RPAREN,
    ACTIONS(20306), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538387] = 3,
    ACTIONS(20308), 1,
      sym_keyword_outer,
    ACTIONS(20310), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538398] = 3,
    ACTIONS(20312), 1,
      sym_keyword_outer,
    ACTIONS(20314), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538409] = 3,
    ACTIONS(20316), 1,
      anon_sym_RPAREN,
    ACTIONS(20318), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538420] = 3,
    ACTIONS(16730), 1,
      sym_keyword_outer,
    ACTIONS(16732), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538431] = 3,
    ACTIONS(20320), 1,
      sym_keyword_outer,
    ACTIONS(20322), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538442] = 3,
    ACTIONS(16736), 1,
      sym_keyword_outer,
    ACTIONS(16738), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538453] = 3,
    ACTIONS(20324), 1,
      sym_keyword_outer,
    ACTIONS(20326), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538464] = 3,
    ACTIONS(3108), 1,
      aux_sym__single_quote_string_token1,
    STATE(11223), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538475] = 3,
    ACTIONS(14227), 1,
      anon_sym_LPAREN,
    STATE(9231), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538486] = 3,
    ACTIONS(18770), 1,
      sym_keyword_isolation,
    STATE(11347), 1,
      sym__transaction_mode,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538497] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18913), 2,
      sym_keyword_true,
      sym_keyword_false,
  [538506] = 3,
    ACTIONS(11005), 1,
      anon_sym_LPAREN,
    STATE(7456), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538517] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17796), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538526] = 3,
    ACTIONS(20328), 1,
      sym_keyword_duplicate,
    ACTIONS(20330), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538537] = 3,
    ACTIONS(14739), 1,
      anon_sym_LPAREN,
    STATE(2686), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538548] = 3,
    ACTIONS(20332), 1,
      aux_sym__integer_token1,
    ACTIONS(20334), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538559] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20336), 2,
      sym_keyword_preceding,
      sym_keyword_following,
  [538568] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20338), 2,
      sym_keyword_default,
      sym_keyword_null,
  [538577] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20340), 2,
      sym_keyword_first,
      sym_keyword_last,
  [538586] = 3,
    ACTIONS(12401), 1,
      sym_keyword_set,
    STATE(10636), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538597] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18845), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538606] = 3,
    ACTIONS(20342), 1,
      anon_sym_RPAREN,
    ACTIONS(20344), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538617] = 3,
    ACTIONS(20346), 1,
      anon_sym_RPAREN,
    ACTIONS(20348), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538628] = 3,
    ACTIONS(20350), 1,
      anon_sym_RPAREN,
    ACTIONS(20352), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538639] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20354), 2,
      sym_keyword_to,
      anon_sym_EQ,
  [538648] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17477), 2,
      sym_keyword_immediate,
      sym_keyword_deferred,
  [538657] = 3,
    ACTIONS(11005), 1,
      anon_sym_LPAREN,
    STATE(6696), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538668] = 3,
    ACTIONS(13267), 1,
      sym_keyword_using,
    ACTIONS(13337), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538679] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18381), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538688] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18385), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538697] = 3,
    ACTIONS(16837), 1,
      sym_keyword_check,
    STATE(10643), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538708] = 3,
    ACTIONS(19900), 1,
      sym_keyword_from,
    STATE(10192), 1,
      sym__delete_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538719] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18695), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538728] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18711), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538737] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15728), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538746] = 3,
    ACTIONS(3022), 1,
      aux_sym__single_quote_string_token1,
    STATE(11602), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538757] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18743), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538766] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18755), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538775] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17430), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538784] = 3,
    ACTIONS(16356), 1,
      sym_keyword_sequence,
    ACTIONS(17489), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538795] = 3,
    ACTIONS(20356), 1,
      anon_sym_LPAREN,
    STATE(4436), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538806] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16271), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538815] = 3,
    ACTIONS(11005), 1,
      anon_sym_LPAREN,
    STATE(14572), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538826] = 3,
    ACTIONS(20358), 1,
      aux_sym__integer_token1,
    ACTIONS(20360), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538837] = 3,
    ACTIONS(20362), 1,
      sym_keyword_not,
    ACTIONS(20364), 1,
      sym_keyword_deferrable,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538848] = 3,
    ACTIONS(20366), 1,
      sym_keyword_first,
    ACTIONS(20368), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538859] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18788), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538868] = 3,
    ACTIONS(12401), 1,
      sym_keyword_set,
    STATE(10660), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538879] = 3,
    ACTIONS(15526), 1,
      anon_sym_LPAREN,
    STATE(7575), 1,
      sym_window_specification,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538890] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20370), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [538899] = 3,
    ACTIONS(16837), 1,
      sym_keyword_check,
    STATE(10674), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538910] = 3,
    ACTIONS(11005), 1,
      anon_sym_LPAREN,
    STATE(14735), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538921] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20372), 2,
      sym_keyword_first,
      sym_keyword_last,
  [538930] = 3,
    ACTIONS(12401), 1,
      sym_keyword_set,
    STATE(10691), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538941] = 3,
    ACTIONS(20374), 1,
      anon_sym_LPAREN,
    STATE(4520), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538952] = 3,
    ACTIONS(20376), 1,
      anon_sym_RPAREN,
    ACTIONS(20378), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538963] = 3,
    ACTIONS(20380), 1,
      anon_sym_RPAREN,
    ACTIONS(20382), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538974] = 3,
    ACTIONS(20384), 1,
      anon_sym_RPAREN,
    ACTIONS(20386), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538985] = 3,
    ACTIONS(20388), 1,
      aux_sym__integer_token1,
    ACTIONS(20390), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538996] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20392), 2,
      sym_keyword_committed,
      sym_keyword_uncommitted,
  [539005] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15168), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [539014] = 2,
    ACTIONS(20394), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539022] = 2,
    ACTIONS(19592), 1,
      sym_keyword_deferrable,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539030] = 2,
    ACTIONS(20396), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539038] = 2,
    ACTIONS(19654), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539046] = 2,
    ACTIONS(20398), 1,
      sym_keyword_until,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539054] = 2,
    ACTIONS(20400), 1,
      sym_keyword_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539062] = 2,
    ACTIONS(20402), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539070] = 2,
    ACTIONS(20404), 1,
      sym_keyword_format,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539078] = 2,
    ACTIONS(20406), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539086] = 2,
    ACTIONS(20408), 1,
      sym_keyword_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539094] = 2,
    ACTIONS(20410), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539102] = 2,
    ACTIONS(20412), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539110] = 2,
    ACTIONS(20414), 1,
      sym_keyword_not,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539118] = 2,
    ACTIONS(20416), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539126] = 2,
    ACTIONS(20418), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539134] = 2,
    ACTIONS(15636), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539142] = 2,
    ACTIONS(20420), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539150] = 2,
    ACTIONS(20422), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539158] = 2,
    ACTIONS(20424), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539166] = 2,
    ACTIONS(20426), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539174] = 2,
    ACTIONS(20428), 1,
      sym_keyword_password,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539182] = 2,
    ACTIONS(20430), 1,
      sym_keyword_until,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539190] = 2,
    ACTIONS(20432), 1,
      sym_keyword_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539198] = 2,
    ACTIONS(20434), 1,
      sym__identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539206] = 2,
    ACTIONS(20436), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539214] = 2,
    ACTIONS(20438), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539222] = 2,
    ACTIONS(15771), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539230] = 2,
    ACTIONS(20440), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539238] = 2,
    ACTIONS(20442), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539246] = 2,
    ACTIONS(20444), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539254] = 2,
    ACTIONS(20446), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539262] = 2,
    ACTIONS(20448), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539270] = 2,
    ACTIONS(20450), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539278] = 2,
    ACTIONS(20452), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539286] = 2,
    ACTIONS(20454), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539294] = 2,
    ACTIONS(20456), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539302] = 2,
    ACTIONS(20458), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539310] = 2,
    ACTIONS(20460), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539318] = 2,
    ACTIONS(15106), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539326] = 2,
    ACTIONS(20462), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539334] = 2,
    ACTIONS(20464), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539342] = 2,
    ACTIONS(20466), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539350] = 2,
    ACTIONS(20468), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539358] = 2,
    ACTIONS(20470), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539366] = 2,
    ACTIONS(20472), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539374] = 2,
    ACTIONS(20474), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539382] = 2,
    ACTIONS(20476), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539390] = 2,
    ACTIONS(20478), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539398] = 2,
    ACTIONS(20480), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539406] = 2,
    ACTIONS(20482), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539414] = 2,
    ACTIONS(20484), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539422] = 2,
    ACTIONS(20486), 1,
      sym_keyword_input,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539430] = 2,
    ACTIONS(20488), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539438] = 2,
    ACTIONS(15644), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539446] = 2,
    ACTIONS(20490), 1,
      sym_keyword_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539454] = 2,
    ACTIONS(20492), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539462] = 2,
    ACTIONS(20494), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539470] = 2,
    ACTIONS(16227), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539478] = 2,
    ACTIONS(20496), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539486] = 2,
    ACTIONS(20498), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539494] = 2,
    ACTIONS(20500), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539502] = 2,
    ACTIONS(20502), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539510] = 2,
    ACTIONS(20504), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539518] = 2,
    ACTIONS(20506), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539526] = 2,
    ACTIONS(20508), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539534] = 2,
    ACTIONS(15787), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539542] = 2,
    ACTIONS(20510), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539550] = 2,
    ACTIONS(20512), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539558] = 2,
    ACTIONS(10777), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539566] = 2,
    ACTIONS(20514), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539574] = 2,
    ACTIONS(20516), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539582] = 2,
    ACTIONS(20518), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539590] = 2,
    ACTIONS(20520), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539598] = 2,
    ACTIONS(20522), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539606] = 2,
    ACTIONS(20524), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539614] = 2,
    ACTIONS(20526), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539622] = 2,
    ACTIONS(20528), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539630] = 2,
    ACTIONS(20530), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539638] = 2,
    ACTIONS(20532), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539646] = 2,
    ACTIONS(20534), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539654] = 2,
    ACTIONS(20536), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539662] = 2,
    ACTIONS(20538), 1,
      sym_keyword_compute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539670] = 2,
    ACTIONS(20540), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539678] = 2,
    ACTIONS(20542), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539686] = 2,
    ACTIONS(16324), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539694] = 2,
    ACTIONS(20544), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539702] = 2,
    ACTIONS(20546), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539710] = 2,
    ACTIONS(20548), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539718] = 2,
    ACTIONS(20550), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539726] = 2,
    ACTIONS(20552), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539734] = 2,
    ACTIONS(20554), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539742] = 2,
    ACTIONS(20556), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539750] = 2,
    ACTIONS(20558), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539758] = 2,
    ACTIONS(20560), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539766] = 2,
    ACTIONS(20562), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539774] = 2,
    ACTIONS(20564), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539782] = 2,
    ACTIONS(20566), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539790] = 2,
    ACTIONS(20568), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539798] = 2,
    ACTIONS(20570), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539806] = 2,
    ACTIONS(20572), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539814] = 2,
    ACTIONS(20574), 1,
      sym_keyword_compute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539822] = 2,
    ACTIONS(20576), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539830] = 2,
    ACTIONS(20578), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539838] = 2,
    ACTIONS(20580), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539846] = 2,
    ACTIONS(20582), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539854] = 2,
    ACTIONS(20584), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539862] = 2,
    ACTIONS(20586), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539870] = 2,
    ACTIONS(20588), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539878] = 2,
    ACTIONS(20590), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539886] = 2,
    ACTIONS(20592), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539894] = 2,
    ACTIONS(20594), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539902] = 2,
    ACTIONS(20596), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539910] = 2,
    ACTIONS(20598), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539918] = 2,
    ACTIONS(20600), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539926] = 2,
    ACTIONS(20602), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539934] = 2,
    ACTIONS(20604), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539942] = 2,
    ACTIONS(20606), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539950] = 2,
    ACTIONS(20608), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539958] = 2,
    ACTIONS(20610), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539966] = 2,
    ACTIONS(20612), 1,
      sym_keyword_returns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539974] = 2,
    ACTIONS(20614), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539982] = 2,
    ACTIONS(20616), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539990] = 2,
    ACTIONS(20618), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539998] = 2,
    ACTIONS(20620), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540006] = 2,
    ACTIONS(20622), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540014] = 2,
    ACTIONS(20624), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540022] = 2,
    ACTIONS(20626), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540030] = 2,
    ACTIONS(20628), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540038] = 2,
    ACTIONS(20630), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540046] = 2,
    ACTIONS(20632), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540054] = 2,
    ACTIONS(20634), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540062] = 2,
    ACTIONS(20636), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540070] = 2,
    ACTIONS(20638), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540078] = 2,
    ACTIONS(20640), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540086] = 2,
    ACTIONS(20642), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540094] = 2,
    ACTIONS(20644), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540102] = 2,
    ACTIONS(20646), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540110] = 2,
    ACTIONS(20648), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540118] = 2,
    ACTIONS(20650), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540126] = 2,
    ACTIONS(20652), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540134] = 2,
    ACTIONS(20654), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540142] = 2,
    ACTIONS(20656), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540150] = 2,
    ACTIONS(20658), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540158] = 2,
    ACTIONS(20660), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540166] = 2,
    ACTIONS(20662), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540174] = 2,
    ACTIONS(20664), 1,
      sym_keyword_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540182] = 2,
    ACTIONS(20666), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540190] = 2,
    ACTIONS(20668), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540198] = 2,
    ACTIONS(20670), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540206] = 2,
    ACTIONS(20672), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540214] = 2,
    ACTIONS(20674), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540222] = 2,
    ACTIONS(20676), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540230] = 2,
    ACTIONS(20678), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540238] = 2,
    ACTIONS(20680), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540246] = 2,
    ACTIONS(20682), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540254] = 2,
    ACTIONS(20684), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540262] = 2,
    ACTIONS(20686), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540270] = 2,
    ACTIONS(20688), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540278] = 2,
    ACTIONS(20690), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540286] = 2,
    ACTIONS(20692), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540294] = 2,
    ACTIONS(20694), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540302] = 2,
    ACTIONS(20696), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540310] = 2,
    ACTIONS(20698), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540318] = 2,
    ACTIONS(20700), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540326] = 2,
    ACTIONS(20702), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540334] = 2,
    ACTIONS(20704), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540342] = 2,
    ACTIONS(20706), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540350] = 2,
    ACTIONS(20708), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540358] = 2,
    ACTIONS(20710), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540366] = 2,
    ACTIONS(20712), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540374] = 2,
    ACTIONS(20714), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540382] = 2,
    ACTIONS(20716), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540390] = 2,
    ACTIONS(20718), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540398] = 2,
    ACTIONS(20720), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540406] = 2,
    ACTIONS(20722), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540414] = 2,
    ACTIONS(20724), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540422] = 2,
    ACTIONS(20726), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540430] = 2,
    ACTIONS(20728), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540438] = 2,
    ACTIONS(20730), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540446] = 2,
    ACTIONS(20732), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540454] = 2,
    ACTIONS(20734), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540462] = 2,
    ACTIONS(20736), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540470] = 2,
    ACTIONS(20738), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540478] = 2,
    ACTIONS(20740), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540486] = 2,
    ACTIONS(20742), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540494] = 2,
    ACTIONS(20744), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540502] = 2,
    ACTIONS(20746), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540510] = 2,
    ACTIONS(20748), 1,
      sym_keyword_terminated,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540518] = 2,
    ACTIONS(20750), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540526] = 2,
    ACTIONS(20752), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540534] = 2,
    ACTIONS(20754), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540542] = 2,
    ACTIONS(20756), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540550] = 2,
    ACTIONS(20758), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540558] = 2,
    ACTIONS(20760), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540566] = 2,
    ACTIONS(17187), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540574] = 2,
    ACTIONS(20762), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540582] = 2,
    ACTIONS(20764), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540590] = 2,
    ACTIONS(20766), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540598] = 2,
    ACTIONS(20768), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540606] = 2,
    ACTIONS(20770), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540614] = 2,
    ACTIONS(20772), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540622] = 2,
    ACTIONS(20774), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540630] = 2,
    ACTIONS(20776), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540638] = 2,
    ACTIONS(20778), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540646] = 2,
    ACTIONS(20780), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540654] = 2,
    ACTIONS(20782), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540662] = 2,
    ACTIONS(20784), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540670] = 2,
    ACTIONS(20786), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540678] = 2,
    ACTIONS(20788), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540686] = 2,
    ACTIONS(20790), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540694] = 2,
    ACTIONS(20792), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540702] = 2,
    ACTIONS(19049), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540710] = 2,
    ACTIONS(20794), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540718] = 2,
    ACTIONS(20796), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540726] = 2,
    ACTIONS(20798), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540734] = 2,
    ACTIONS(20800), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540742] = 2,
    ACTIONS(20802), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540750] = 2,
    ACTIONS(20804), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540758] = 2,
    ACTIONS(20806), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540766] = 2,
    ACTIONS(20808), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540774] = 2,
    ACTIONS(20810), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540782] = 2,
    ACTIONS(20812), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540790] = 2,
    ACTIONS(20814), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540798] = 2,
    ACTIONS(20816), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540806] = 2,
    ACTIONS(20818), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540814] = 2,
    ACTIONS(20820), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540822] = 2,
    ACTIONS(20822), 1,
      sym_keyword_current,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540830] = 2,
    ACTIONS(20824), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540838] = 2,
    ACTIONS(20826), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540846] = 2,
    ACTIONS(20828), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540854] = 2,
    ACTIONS(20830), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540862] = 2,
    ACTIONS(20832), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540870] = 2,
    ACTIONS(20834), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540878] = 2,
    ACTIONS(20836), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540886] = 2,
    ACTIONS(20838), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540894] = 2,
    ACTIONS(20840), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540902] = 2,
    ACTIONS(20842), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540910] = 2,
    ACTIONS(20844), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540918] = 2,
    ACTIONS(20846), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540926] = 2,
    ACTIONS(20848), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540934] = 2,
    ACTIONS(20850), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540942] = 2,
    ACTIONS(20852), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540950] = 2,
    ACTIONS(20854), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540958] = 2,
    ACTIONS(20856), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540966] = 2,
    ACTIONS(20858), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540974] = 2,
    ACTIONS(20860), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540982] = 2,
    ACTIONS(20862), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540990] = 2,
    ACTIONS(20864), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540998] = 2,
    ACTIONS(20866), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541006] = 2,
    ACTIONS(20868), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541014] = 2,
    ACTIONS(20870), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541022] = 2,
    ACTIONS(20872), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541030] = 2,
    ACTIONS(20874), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541038] = 2,
    ACTIONS(20876), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541046] = 2,
    ACTIONS(20878), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541054] = 2,
    ACTIONS(20880), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541062] = 2,
    ACTIONS(20882), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541070] = 2,
    ACTIONS(20884), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541078] = 2,
    ACTIONS(20886), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541086] = 2,
    ACTIONS(20888), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541094] = 2,
    ACTIONS(20890), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541102] = 2,
    ACTIONS(20892), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541110] = 2,
    ACTIONS(20894), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541118] = 2,
    ACTIONS(20896), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541126] = 2,
    ACTIONS(20898), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541134] = 2,
    ACTIONS(20900), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541142] = 2,
    ACTIONS(20902), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541150] = 2,
    ACTIONS(20904), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541158] = 2,
    ACTIONS(20906), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541166] = 2,
    ACTIONS(20908), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541174] = 2,
    ACTIONS(20910), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541182] = 2,
    ACTIONS(20912), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541190] = 2,
    ACTIONS(20914), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541198] = 2,
    ACTIONS(20916), 1,
      sym_keyword_oids,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541206] = 2,
    ACTIONS(20918), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541214] = 2,
    ACTIONS(20920), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541222] = 2,
    ACTIONS(17748), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541230] = 2,
    ACTIONS(20922), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541238] = 2,
    ACTIONS(20924), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541246] = 2,
    ACTIONS(20926), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541254] = 2,
    ACTIONS(20928), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541262] = 2,
    ACTIONS(20930), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541270] = 2,
    ACTIONS(20932), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541278] = 2,
    ACTIONS(20934), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541286] = 2,
    ACTIONS(20936), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541294] = 2,
    ACTIONS(20938), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541302] = 2,
    ACTIONS(20940), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541310] = 2,
    ACTIONS(20942), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541318] = 2,
    ACTIONS(20944), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541326] = 2,
    ACTIONS(20946), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541334] = 2,
    ACTIONS(20948), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541342] = 2,
    ACTIONS(20950), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541350] = 2,
    ACTIONS(20952), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541358] = 2,
    ACTIONS(20954), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541366] = 2,
    ACTIONS(20956), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541374] = 2,
    ACTIONS(20958), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541382] = 2,
    ACTIONS(20960), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541390] = 2,
    ACTIONS(20962), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541398] = 2,
    ACTIONS(20964), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541406] = 2,
    ACTIONS(20966), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541414] = 2,
    ACTIONS(20968), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541422] = 2,
    ACTIONS(20970), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541430] = 2,
    ACTIONS(20972), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541438] = 2,
    ACTIONS(20974), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541446] = 2,
    ACTIONS(20976), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541454] = 2,
    ACTIONS(17280), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541462] = 2,
    ACTIONS(20978), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541470] = 2,
    ACTIONS(20980), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541478] = 2,
    ACTIONS(20982), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541486] = 2,
    ACTIONS(20984), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541494] = 2,
    ACTIONS(20986), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541502] = 2,
    ACTIONS(20988), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541510] = 2,
    ACTIONS(20990), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541518] = 2,
    ACTIONS(20992), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541526] = 2,
    ACTIONS(20994), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541534] = 2,
    ACTIONS(20996), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541542] = 2,
    ACTIONS(20998), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541550] = 2,
    ACTIONS(21000), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541558] = 2,
    ACTIONS(17007), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541566] = 2,
    ACTIONS(21002), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541574] = 2,
    ACTIONS(21004), 1,
      sym_keyword_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541582] = 2,
    ACTIONS(21006), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541590] = 2,
    ACTIONS(19348), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541598] = 2,
    ACTIONS(21008), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541606] = 2,
    ACTIONS(21010), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541614] = 2,
    ACTIONS(21012), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541622] = 2,
    ACTIONS(21014), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541630] = 2,
    ACTIONS(21016), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541638] = 2,
    ACTIONS(21018), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541646] = 2,
    ACTIONS(21020), 1,
      sym_keyword_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541654] = 2,
    ACTIONS(21022), 1,
      sym_keyword_minvalue,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541662] = 2,
    ACTIONS(21024), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541670] = 2,
    ACTIONS(21026), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541678] = 2,
    ACTIONS(21028), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541686] = 2,
    ACTIONS(21030), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541694] = 2,
    ACTIONS(21032), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541702] = 2,
    ACTIONS(21034), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541710] = 2,
    ACTIONS(21036), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541718] = 2,
    ACTIONS(21038), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541726] = 2,
    ACTIONS(21040), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541734] = 2,
    ACTIONS(21042), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541742] = 2,
    ACTIONS(21044), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541750] = 2,
    ACTIONS(21046), 1,
      sym_keyword_metadata,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541758] = 2,
    ACTIONS(21048), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541766] = 2,
    ACTIONS(21050), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541774] = 2,
    ACTIONS(21052), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541782] = 2,
    ACTIONS(21054), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541790] = 2,
    ACTIONS(21056), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541798] = 2,
    ACTIONS(21058), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541806] = 2,
    ACTIONS(21060), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541814] = 2,
    ACTIONS(21062), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541822] = 2,
    ACTIONS(21064), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541830] = 2,
    ACTIONS(21066), 1,
      sym_keyword_returns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541838] = 2,
    ACTIONS(21068), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541846] = 2,
    ACTIONS(21070), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541854] = 2,
    ACTIONS(21072), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541862] = 2,
    ACTIONS(21074), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541870] = 2,
    ACTIONS(21076), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541878] = 2,
    ACTIONS(21078), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541886] = 2,
    ACTIONS(21080), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541894] = 2,
    ACTIONS(21082), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541902] = 2,
    ACTIONS(21084), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541910] = 2,
    ACTIONS(21086), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541918] = 2,
    ACTIONS(21088), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541926] = 2,
    ACTIONS(21090), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541934] = 2,
    ACTIONS(21092), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541942] = 2,
    ACTIONS(21094), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541950] = 2,
    ACTIONS(21096), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541958] = 2,
    ACTIONS(21098), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541966] = 2,
    ACTIONS(21100), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541974] = 2,
    ACTIONS(21102), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541982] = 2,
    ACTIONS(21104), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541990] = 2,
    ACTIONS(21106), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541998] = 2,
    ACTIONS(21108), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542006] = 2,
    ACTIONS(21110), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542014] = 2,
    ACTIONS(21112), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542022] = 2,
    ACTIONS(21114), 1,
      sym_keyword_delimited,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542030] = 2,
    ACTIONS(21116), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542038] = 2,
    ACTIONS(21118), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542046] = 2,
    ACTIONS(21120), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542054] = 2,
    ACTIONS(21122), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542062] = 2,
    ACTIONS(21124), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542070] = 2,
    ACTIONS(21126), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542078] = 2,
    ACTIONS(21128), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542086] = 2,
    ACTIONS(21130), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542094] = 2,
    ACTIONS(21132), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542102] = 2,
    ACTIONS(21134), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542110] = 2,
    ACTIONS(21136), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542118] = 2,
    ACTIONS(21138), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542126] = 2,
    ACTIONS(15985), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542134] = 2,
    ACTIONS(21140), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542142] = 2,
    ACTIONS(21142), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542150] = 2,
    ACTIONS(21144), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542158] = 2,
    ACTIONS(15174), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542166] = 2,
    ACTIONS(21146), 1,
      sym_keyword_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542174] = 2,
    ACTIONS(21148), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542182] = 2,
    ACTIONS(21150), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542190] = 2,
    ACTIONS(21152), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542198] = 2,
    ACTIONS(21154), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542206] = 2,
    ACTIONS(21156), 1,
      sym_keyword_stats,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542214] = 2,
    ACTIONS(21158), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542222] = 2,
    ACTIONS(21160), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542230] = 2,
    ACTIONS(21162), 1,
      sym_keyword_delimited,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542238] = 2,
    ACTIONS(21164), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542246] = 2,
    ACTIONS(21166), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542254] = 2,
    ACTIONS(21168), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542262] = 2,
    ACTIONS(21170), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542270] = 2,
    ACTIONS(21172), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542278] = 2,
    ACTIONS(21174), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542286] = 2,
    ACTIONS(16158), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542294] = 2,
    ACTIONS(21176), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542302] = 2,
    ACTIONS(21178), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542310] = 2,
    ACTIONS(21180), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542318] = 2,
    ACTIONS(21182), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542326] = 2,
    ACTIONS(21184), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542334] = 2,
    ACTIONS(21186), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542342] = 2,
    ACTIONS(21188), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542350] = 2,
    ACTIONS(16011), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542358] = 2,
    ACTIONS(21190), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542366] = 2,
    ACTIONS(21192), 1,
      sym_keyword_bin_pack,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542374] = 2,
    ACTIONS(21194), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542382] = 2,
    ACTIONS(21196), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542390] = 2,
    ACTIONS(16462), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542398] = 2,
    ACTIONS(21198), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542406] = 2,
    ACTIONS(16340), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542414] = 2,
    ACTIONS(21200), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542422] = 2,
    ACTIONS(21202), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542430] = 2,
    ACTIONS(21204), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542438] = 2,
    ACTIONS(21206), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542446] = 2,
    ACTIONS(21208), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542454] = 2,
    ACTIONS(21210), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542462] = 2,
    ACTIONS(21212), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542470] = 2,
    ACTIONS(21214), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542478] = 2,
    ACTIONS(21216), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542486] = 2,
    ACTIONS(21218), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542494] = 2,
    ACTIONS(21220), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542502] = 2,
    ACTIONS(21222), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542510] = 2,
    ACTIONS(21224), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542518] = 2,
    ACTIONS(21226), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542526] = 2,
    ACTIONS(21228), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542534] = 2,
    ACTIONS(21230), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542542] = 2,
    ACTIONS(21232), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542550] = 2,
    ACTIONS(21234), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542558] = 2,
    ACTIONS(21236), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542566] = 2,
    ACTIONS(21238), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542574] = 2,
    ACTIONS(21240), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542582] = 2,
    ACTIONS(19714), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542590] = 2,
    ACTIONS(21242), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542598] = 2,
    ACTIONS(21244), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542606] = 2,
    ACTIONS(21246), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542614] = 2,
    ACTIONS(21248), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542622] = 2,
    ACTIONS(21250), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542630] = 2,
    ACTIONS(21252), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542638] = 2,
    ACTIONS(21254), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542646] = 2,
    ACTIONS(21256), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542654] = 2,
    ACTIONS(21258), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542662] = 2,
    ACTIONS(21260), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542670] = 2,
    ACTIONS(21262), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542678] = 2,
    ACTIONS(21264), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542686] = 2,
    ACTIONS(21266), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542694] = 2,
    ACTIONS(21268), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542702] = 2,
    ACTIONS(21270), 1,
      sym_keyword_matched,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542710] = 2,
    ACTIONS(21272), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542718] = 2,
    ACTIONS(21274), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542726] = 2,
    ACTIONS(21276), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542734] = 2,
    ACTIONS(21278), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542742] = 2,
    ACTIONS(21280), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542750] = 2,
    ACTIONS(21282), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542758] = 2,
    ACTIONS(21284), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542766] = 2,
    ACTIONS(21286), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542774] = 2,
    ACTIONS(21288), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542782] = 2,
    ACTIONS(21290), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542790] = 2,
    ACTIONS(21292), 1,
      sym_keyword_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542798] = 2,
    ACTIONS(19758), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542806] = 2,
    ACTIONS(21294), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542814] = 2,
    ACTIONS(21296), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542822] = 2,
    ACTIONS(21298), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542830] = 2,
    ACTIONS(21300), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542838] = 2,
    ACTIONS(21302), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542846] = 2,
    ACTIONS(21304), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542854] = 2,
    ACTIONS(21306), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542862] = 2,
    ACTIONS(21308), 1,
      sym_keyword_materialized,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542870] = 2,
    ACTIONS(21310), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542878] = 2,
    ACTIONS(21312), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542886] = 2,
    ACTIONS(21314), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542894] = 2,
    ACTIONS(21316), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542902] = 2,
    ACTIONS(21318), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542910] = 2,
    ACTIONS(21320), 1,
      sym_keyword_always,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542918] = 2,
    ACTIONS(21322), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542926] = 2,
    ACTIONS(21324), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542934] = 2,
    ACTIONS(21326), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542942] = 2,
    ACTIONS(21328), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542950] = 2,
    ACTIONS(21330), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542958] = 2,
    ACTIONS(21332), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542966] = 2,
    ACTIONS(21334), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542974] = 2,
    ACTIONS(21336), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542982] = 2,
    ACTIONS(21338), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542990] = 2,
    ACTIONS(21340), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542998] = 2,
    ACTIONS(21342), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543006] = 2,
    ACTIONS(21344), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543014] = 2,
    ACTIONS(21346), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543022] = 2,
    ACTIONS(21348), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543030] = 2,
    ACTIONS(21350), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543038] = 2,
    ACTIONS(21352), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543046] = 2,
    ACTIONS(21354), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543054] = 2,
    ACTIONS(21356), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543062] = 2,
    ACTIONS(21358), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543070] = 2,
    ACTIONS(21360), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543078] = 2,
    ACTIONS(21362), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543086] = 2,
    ACTIONS(21364), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543094] = 2,
    ACTIONS(21366), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543102] = 2,
    ACTIONS(21368), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543110] = 2,
    ACTIONS(21370), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543118] = 2,
    ACTIONS(21372), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543126] = 2,
    ACTIONS(21374), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543134] = 2,
    ACTIONS(21376), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543142] = 2,
    ACTIONS(21378), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543150] = 2,
    ACTIONS(21380), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543158] = 2,
    ACTIONS(21382), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543166] = 2,
    ACTIONS(21384), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543174] = 2,
    ACTIONS(21386), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543182] = 2,
    ACTIONS(21388), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543190] = 2,
    ACTIONS(21390), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543198] = 2,
    ACTIONS(21392), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543206] = 2,
    ACTIONS(21394), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543214] = 2,
    ACTIONS(21396), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543222] = 2,
    ACTIONS(21398), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543230] = 2,
    ACTIONS(21400), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543238] = 2,
    ACTIONS(21402), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543246] = 2,
    ACTIONS(21404), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543254] = 2,
    ACTIONS(21406), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543262] = 2,
    ACTIONS(21408), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543270] = 2,
    ACTIONS(21410), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543278] = 2,
    ACTIONS(21412), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543286] = 2,
    ACTIONS(21414), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543294] = 2,
    ACTIONS(21416), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543302] = 2,
    ACTIONS(21418), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543310] = 2,
    ACTIONS(21420), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543318] = 2,
    ACTIONS(21422), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543326] = 2,
    ACTIONS(21424), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543334] = 2,
    ACTIONS(21426), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543342] = 2,
    ACTIONS(21428), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543350] = 2,
    ACTIONS(21430), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543358] = 2,
    ACTIONS(21432), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543366] = 2,
    ACTIONS(19358), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543374] = 2,
    ACTIONS(21434), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543382] = 2,
    ACTIONS(21436), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543390] = 2,
    ACTIONS(21438), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543398] = 2,
    ACTIONS(21440), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543406] = 2,
    ACTIONS(21442), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543414] = 2,
    ACTIONS(21444), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543422] = 2,
    ACTIONS(21446), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543430] = 2,
    ACTIONS(21448), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543438] = 2,
    ACTIONS(21450), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543446] = 2,
    ACTIONS(21452), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543454] = 2,
    ACTIONS(21454), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543462] = 2,
    ACTIONS(21456), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543470] = 2,
    ACTIONS(21458), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543478] = 2,
    ACTIONS(21460), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543486] = 2,
    ACTIONS(21462), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543494] = 2,
    ACTIONS(21464), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543502] = 2,
    ACTIONS(21466), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543510] = 2,
    ACTIONS(21468), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543518] = 2,
    ACTIONS(21470), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543526] = 2,
    ACTIONS(21472), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543534] = 2,
    ACTIONS(21474), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543542] = 2,
    ACTIONS(21476), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543550] = 2,
    ACTIONS(21478), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543558] = 2,
    ACTIONS(21480), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543566] = 2,
    ACTIONS(21482), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543574] = 2,
    ACTIONS(21484), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543582] = 2,
    ACTIONS(21486), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543590] = 2,
    ACTIONS(21488), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543598] = 2,
    ACTIONS(21490), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543606] = 2,
    ACTIONS(21492), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543614] = 2,
    ACTIONS(21494), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543622] = 2,
    ACTIONS(17895), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543630] = 2,
    ACTIONS(21496), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543638] = 2,
    ACTIONS(21498), 1,
      sym_keyword_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543646] = 2,
    ACTIONS(16566), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543654] = 2,
    ACTIONS(21500), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543662] = 2,
    ACTIONS(21502), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543670] = 2,
    ACTIONS(21504), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543678] = 2,
    ACTIONS(21506), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543686] = 2,
    ACTIONS(21508), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543694] = 2,
    ACTIONS(21510), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543702] = 2,
    ACTIONS(21512), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543710] = 2,
    ACTIONS(15057), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543718] = 2,
    ACTIONS(21514), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543726] = 2,
    ACTIONS(21516), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543734] = 2,
    ACTIONS(21518), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543742] = 2,
    ACTIONS(21520), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543750] = 2,
    ACTIONS(21522), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543758] = 2,
    ACTIONS(21524), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543766] = 2,
    ACTIONS(21526), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543774] = 2,
    ACTIONS(21528), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543782] = 2,
    ACTIONS(21530), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543790] = 2,
    ACTIONS(21532), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543798] = 2,
    ACTIONS(21534), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543806] = 2,
    ACTIONS(21536), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543814] = 2,
    ACTIONS(21538), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543822] = 2,
    ACTIONS(21540), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543830] = 2,
    ACTIONS(21542), 1,
      sym_keyword_leakproof,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543838] = 2,
    ACTIONS(21544), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543846] = 2,
    ACTIONS(21546), 1,
      sym_keyword_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543854] = 2,
    ACTIONS(21548), 1,
      sym_keyword_metadata,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543862] = 2,
    ACTIONS(21550), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543870] = 2,
    ACTIONS(21552), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543878] = 2,
    ACTIONS(21554), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543886] = 2,
    ACTIONS(21556), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543894] = 2,
    ACTIONS(21558), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543902] = 2,
    ACTIONS(21560), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543910] = 2,
    ACTIONS(21562), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543918] = 2,
    ACTIONS(21564), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543926] = 2,
    ACTIONS(21566), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543934] = 2,
    ACTIONS(21568), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543942] = 2,
    ACTIONS(21570), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543950] = 2,
    ACTIONS(21572), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543958] = 2,
    ACTIONS(21574), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543966] = 2,
    ACTIONS(21576), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543974] = 2,
    ACTIONS(21578), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543982] = 2,
    ACTIONS(21580), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543990] = 2,
    ACTIONS(21582), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543998] = 2,
    ACTIONS(21584), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544006] = 2,
    ACTIONS(21586), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544014] = 2,
    ACTIONS(21588), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544022] = 2,
    ACTIONS(21590), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544030] = 2,
    ACTIONS(21592), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544038] = 2,
    ACTIONS(21594), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544046] = 2,
    ACTIONS(21596), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544054] = 2,
    ACTIONS(21598), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544062] = 2,
    ACTIONS(21600), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544070] = 2,
    ACTIONS(21602), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544078] = 2,
    ACTIONS(21604), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544086] = 2,
    ACTIONS(21606), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544094] = 2,
    ACTIONS(21608), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544102] = 2,
    ACTIONS(21610), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544110] = 2,
    ACTIONS(21612), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544118] = 2,
    ACTIONS(21614), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544126] = 2,
    ACTIONS(21616), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544134] = 2,
    ACTIONS(21618), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544142] = 2,
    ACTIONS(21620), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544150] = 2,
    ACTIONS(21622), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544158] = 2,
    ACTIONS(21624), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544166] = 2,
    ACTIONS(21626), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544174] = 2,
    ACTIONS(21628), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544182] = 2,
    ACTIONS(21630), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544190] = 2,
    ACTIONS(21632), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544198] = 2,
    ACTIONS(21634), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544206] = 2,
    ACTIONS(21636), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544214] = 2,
    ACTIONS(21638), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544222] = 2,
    ACTIONS(21640), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544230] = 2,
    ACTIONS(21642), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544238] = 2,
    ACTIONS(21644), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544246] = 2,
    ACTIONS(21646), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544254] = 2,
    ACTIONS(21648), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544262] = 2,
    ACTIONS(21650), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544270] = 2,
    ACTIONS(21652), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544278] = 2,
    ACTIONS(21654), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544286] = 2,
    ACTIONS(21656), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544294] = 2,
    ACTIONS(21658), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544302] = 2,
    ACTIONS(21660), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544310] = 2,
    ACTIONS(21662), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544318] = 2,
    ACTIONS(21664), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544326] = 2,
    ACTIONS(21666), 1,
      sym_keyword_materialized,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544334] = 2,
    ACTIONS(21668), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544342] = 2,
    ACTIONS(21670), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544350] = 2,
    ACTIONS(21672), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544358] = 2,
    ACTIONS(21674), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544366] = 2,
    ACTIONS(21676), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544374] = 2,
    ACTIONS(21678), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544382] = 2,
    ACTIONS(21680), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544390] = 2,
    ACTIONS(21682), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544398] = 2,
    ACTIONS(21684), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544406] = 2,
    ACTIONS(21686), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544414] = 2,
    ACTIONS(21688), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544422] = 2,
    ACTIONS(21690), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544430] = 2,
    ACTIONS(21692), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544438] = 2,
    ACTIONS(21694), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544446] = 2,
    ACTIONS(21696), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544454] = 2,
    ACTIONS(21698), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544462] = 2,
    ACTIONS(21700), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544470] = 2,
    ACTIONS(21702), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544478] = 2,
    ACTIONS(21704), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544486] = 2,
    ACTIONS(21706), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544494] = 2,
    ACTIONS(21708), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544502] = 2,
    ACTIONS(21710), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544510] = 2,
    ACTIONS(21712), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544518] = 2,
    ACTIONS(21714), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544526] = 2,
    ACTIONS(21716), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544534] = 2,
    ACTIONS(21718), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544542] = 2,
    ACTIONS(21720), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544550] = 2,
    ACTIONS(21722), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544558] = 2,
    ACTIONS(21724), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544566] = 2,
    ACTIONS(21726), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544574] = 2,
    ACTIONS(21728), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544582] = 2,
    ACTIONS(21730), 1,
      sym_keyword_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544590] = 2,
    ACTIONS(21732), 1,
      sym_keyword_replace,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544598] = 2,
    ACTIONS(21734), 1,
      sym_keyword_metadata,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544606] = 2,
    ACTIONS(21736), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544614] = 2,
    ACTIONS(21738), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544622] = 2,
    ACTIONS(21740), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544630] = 2,
    ACTIONS(21742), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544638] = 2,
    ACTIONS(21744), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544646] = 2,
    ACTIONS(21746), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544654] = 2,
    ACTIONS(21748), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544662] = 2,
    ACTIONS(21750), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544670] = 2,
    ACTIONS(21752), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544678] = 2,
    ACTIONS(19380), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544686] = 2,
    ACTIONS(21754), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544694] = 2,
    ACTIONS(21756), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544702] = 2,
    ACTIONS(21758), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544710] = 2,
    ACTIONS(21760), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544718] = 2,
    ACTIONS(21762), 1,
      aux_sym__integer_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544726] = 2,
    ACTIONS(21764), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544734] = 2,
    ACTIONS(21766), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544742] = 2,
    ACTIONS(21768), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544750] = 2,
    ACTIONS(21770), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544758] = 2,
    ACTIONS(21772), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544766] = 2,
    ACTIONS(21774), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544774] = 2,
    ACTIONS(9880), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544782] = 2,
    ACTIONS(21776), 1,
      sym_keyword_minvalue,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544790] = 2,
    ACTIONS(21778), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544798] = 2,
    ACTIONS(21780), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544806] = 2,
    ACTIONS(21782), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544814] = 2,
    ACTIONS(21784), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544822] = 2,
    ACTIONS(21786), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544830] = 2,
    ACTIONS(21788), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544838] = 2,
    ACTIONS(21790), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544846] = 2,
    ACTIONS(21792), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544854] = 2,
    ACTIONS(21776), 1,
      sym_keyword_maxvalue,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544862] = 2,
    ACTIONS(21794), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544870] = 2,
    ACTIONS(21796), 1,
      sym_keyword_password,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544878] = 2,
    ACTIONS(21798), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544886] = 2,
    ACTIONS(21800), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544894] = 2,
    ACTIONS(21802), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544902] = 2,
    ACTIONS(21804), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544910] = 2,
    ACTIONS(21806), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544918] = 2,
    ACTIONS(21808), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544926] = 2,
    ACTIONS(21810), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544934] = 2,
    ACTIONS(21812), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544942] = 2,
    ACTIONS(21814), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544950] = 2,
    ACTIONS(21816), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544958] = 2,
    ACTIONS(21818), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544966] = 2,
    ACTIONS(21820), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544974] = 2,
    ACTIONS(21822), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544982] = 2,
    ACTIONS(21824), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544990] = 2,
    ACTIONS(21826), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544998] = 2,
    ACTIONS(21828), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545006] = 2,
    ACTIONS(21830), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545014] = 2,
    ACTIONS(21832), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545022] = 2,
    ACTIONS(21834), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545030] = 2,
    ACTIONS(21836), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545038] = 2,
    ACTIONS(21838), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545046] = 2,
    ACTIONS(21840), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545054] = 2,
    ACTIONS(21842), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545062] = 2,
    ACTIONS(21844), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545070] = 2,
    ACTIONS(21846), 1,
      sym_keyword_deferrable,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545078] = 2,
    ACTIONS(21848), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545086] = 2,
    ACTIONS(21850), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545094] = 2,
    ACTIONS(21852), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545102] = 2,
    ACTIONS(21854), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545110] = 2,
    ACTIONS(21856), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545118] = 2,
    ACTIONS(21858), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545126] = 2,
    ACTIONS(21860), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545134] = 2,
    ACTIONS(21862), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545142] = 2,
    ACTIONS(21864), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545150] = 2,
    ACTIONS(21866), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545158] = 2,
    ACTIONS(21868), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545166] = 2,
    ACTIONS(21870), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545174] = 2,
    ACTIONS(21872), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545182] = 2,
    ACTIONS(21874), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545190] = 2,
    ACTIONS(21876), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545198] = 2,
    ACTIONS(21878), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545206] = 2,
    ACTIONS(21880), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545214] = 2,
    ACTIONS(21882), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545222] = 2,
    ACTIONS(21884), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545230] = 2,
    ACTIONS(21886), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545238] = 2,
    ACTIONS(21888), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545246] = 2,
    ACTIONS(21890), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545254] = 2,
    ACTIONS(21892), 1,
      sym_keyword_until,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545262] = 2,
    ACTIONS(15374), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545270] = 2,
    ACTIONS(21894), 1,
      sym_keyword_deferrable,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545278] = 2,
    ACTIONS(21896), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545286] = 2,
    ACTIONS(21898), 1,
      sym_keyword_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545294] = 2,
    ACTIONS(21900), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545302] = 2,
    ACTIONS(21902), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545310] = 2,
    ACTIONS(21904), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545318] = 2,
    ACTIONS(15302), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545326] = 2,
    ACTIONS(21906), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545334] = 2,
    ACTIONS(21908), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545342] = 2,
    ACTIONS(21910), 1,
      sym_keyword_is,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545350] = 2,
    ACTIONS(21912), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545358] = 2,
    ACTIONS(21914), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545366] = 2,
    ACTIONS(21916), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545374] = 2,
    ACTIONS(21918), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545382] = 2,
    ACTIONS(21920), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545390] = 2,
    ACTIONS(21922), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545398] = 2,
    ACTIONS(21924), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545406] = 2,
    ACTIONS(21926), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545414] = 2,
    ACTIONS(14896), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545422] = 2,
    ACTIONS(21928), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545430] = 2,
    ACTIONS(21930), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545438] = 2,
    ACTIONS(21932), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545446] = 2,
    ACTIONS(21934), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545454] = 2,
    ACTIONS(21936), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545462] = 2,
    ACTIONS(21938), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545470] = 2,
    ACTIONS(21940), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545478] = 2,
    ACTIONS(21942), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545486] = 2,
    ACTIONS(21944), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545494] = 2,
    ACTIONS(21946), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545502] = 2,
    ACTIONS(21948), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545510] = 2,
    ACTIONS(21950), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545518] = 2,
    ACTIONS(19888), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545526] = 2,
    ACTIONS(21952), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545534] = 2,
    ACTIONS(21954), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545542] = 2,
    ACTIONS(21956), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545550] = 2,
    ACTIONS(21958), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545558] = 2,
    ACTIONS(21960), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545566] = 2,
    ACTIONS(21962), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545574] = 2,
    ACTIONS(21964), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545582] = 2,
    ACTIONS(21966), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545590] = 2,
    ACTIONS(21968), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545598] = 2,
    ACTIONS(21970), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545606] = 2,
    ACTIONS(18329), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545614] = 2,
    ACTIONS(21972), 1,
      sym_keyword_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545622] = 2,
    ACTIONS(15283), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545630] = 2,
    ACTIONS(21974), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545638] = 2,
    ACTIONS(21976), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545646] = 2,
    ACTIONS(21978), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545654] = 2,
    ACTIONS(21980), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545662] = 2,
    ACTIONS(21982), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545670] = 2,
    ACTIONS(18024), 1,
      sym_keyword_is,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545678] = 2,
    ACTIONS(21984), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545686] = 2,
    ACTIONS(21986), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545694] = 2,
    ACTIONS(21988), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545702] = 2,
    ACTIONS(21990), 1,
      sym_keyword_is,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545710] = 2,
    ACTIONS(21992), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545718] = 2,
    ACTIONS(21994), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545726] = 2,
    ACTIONS(21996), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545734] = 2,
    ACTIONS(21998), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545742] = 2,
    ACTIONS(22000), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545750] = 2,
    ACTIONS(22002), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545758] = 2,
    ACTIONS(22004), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545766] = 2,
    ACTIONS(22006), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545774] = 2,
    ACTIONS(22008), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545782] = 2,
    ACTIONS(16348), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545790] = 2,
    ACTIONS(22010), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545798] = 2,
    ACTIONS(22012), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545806] = 2,
    ACTIONS(22014), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545814] = 2,
    ACTIONS(22016), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545822] = 2,
    ACTIONS(22018), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545830] = 2,
    ACTIONS(22020), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545838] = 2,
    ACTIONS(22022), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545846] = 2,
    ACTIONS(22024), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545854] = 2,
    ACTIONS(22026), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545862] = 2,
    ACTIONS(22028), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545870] = 2,
    ACTIONS(22030), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545878] = 2,
    ACTIONS(22032), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545886] = 2,
    ACTIONS(22034), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545894] = 2,
    ACTIONS(22036), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545902] = 2,
    ACTIONS(22038), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545910] = 2,
    ACTIONS(22040), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545918] = 2,
    ACTIONS(22042), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545926] = 2,
    ACTIONS(22044), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545934] = 2,
    ACTIONS(22046), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545942] = 2,
    ACTIONS(22048), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545950] = 2,
    ACTIONS(22050), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545958] = 2,
    ACTIONS(22052), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545966] = 2,
    ACTIONS(22054), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545974] = 2,
    ACTIONS(22056), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545982] = 2,
    ACTIONS(22058), 1,
      sym_keyword_is,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545990] = 2,
    ACTIONS(22060), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545998] = 2,
    ACTIONS(22062), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546006] = 2,
    ACTIONS(22064), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546014] = 2,
    ACTIONS(15534), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546022] = 2,
    ACTIONS(22066), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546030] = 2,
    ACTIONS(22068), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546038] = 2,
    ACTIONS(22070), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546046] = 2,
    ACTIONS(22072), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546054] = 2,
    ACTIONS(22074), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546062] = 2,
    ACTIONS(22076), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546070] = 2,
    ACTIONS(22078), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546078] = 2,
    ACTIONS(14665), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546086] = 2,
    ACTIONS(22080), 1,
      sym_keyword_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546094] = 2,
    ACTIONS(22082), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546102] = 2,
    ACTIONS(22084), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546110] = 2,
    ACTIONS(22086), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546118] = 2,
    ACTIONS(22088), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546126] = 2,
    ACTIONS(22090), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546134] = 2,
    ACTIONS(22092), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546142] = 2,
    ACTIONS(22094), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546150] = 2,
    ACTIONS(22096), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546158] = 2,
    ACTIONS(22098), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546166] = 2,
    ACTIONS(22100), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546174] = 2,
    ACTIONS(16580), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546182] = 2,
    ACTIONS(22102), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546190] = 2,
    ACTIONS(15031), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546198] = 2,
    ACTIONS(14993), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546206] = 2,
    ACTIONS(22104), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546214] = 2,
    ACTIONS(22106), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546222] = 2,
    ACTIONS(22108), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546230] = 2,
    ACTIONS(22110), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546238] = 2,
    ACTIONS(22112), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546246] = 2,
    ACTIONS(22114), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546254] = 2,
    ACTIONS(22116), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546262] = 2,
    ACTIONS(22118), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546270] = 2,
    ACTIONS(22120), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546278] = 2,
    ACTIONS(22122), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546286] = 2,
    ACTIONS(16172), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546294] = 2,
    ACTIONS(22124), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546302] = 2,
    ACTIONS(22126), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546310] = 2,
    ACTIONS(22128), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546318] = 2,
    ACTIONS(22130), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546326] = 2,
    ACTIONS(22132), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546334] = 2,
    ACTIONS(22134), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546342] = 2,
    ACTIONS(22136), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546350] = 2,
    ACTIONS(22138), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546358] = 2,
    ACTIONS(22140), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546366] = 2,
    ACTIONS(22142), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546374] = 2,
    ACTIONS(22144), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546382] = 2,
    ACTIONS(22146), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546390] = 2,
    ACTIONS(22148), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546398] = 2,
    ACTIONS(22150), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546406] = 2,
    ACTIONS(22152), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546414] = 2,
    ACTIONS(22154), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546422] = 2,
    ACTIONS(22156), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546430] = 2,
    ACTIONS(22158), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546438] = 2,
    ACTIONS(22160), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546446] = 2,
    ACTIONS(22162), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546454] = 2,
    ACTIONS(22164), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546462] = 2,
    ACTIONS(22166), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546470] = 2,
    ACTIONS(22168), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546478] = 2,
    ACTIONS(22170), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546486] = 2,
    ACTIONS(22172), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546494] = 2,
    ACTIONS(22174), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546502] = 2,
    ACTIONS(22176), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546510] = 2,
    ACTIONS(22178), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546518] = 2,
    ACTIONS(22180), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546526] = 2,
    ACTIONS(22182), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546534] = 2,
    ACTIONS(22184), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546542] = 2,
    ACTIONS(22186), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546550] = 2,
    ACTIONS(22188), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546558] = 2,
    ACTIONS(22190), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546566] = 2,
    ACTIONS(22192), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546574] = 2,
    ACTIONS(22194), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546582] = 2,
    ACTIONS(22196), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546590] = 2,
    ACTIONS(22198), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546598] = 2,
    ACTIONS(22200), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546606] = 2,
    ACTIONS(22202), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546614] = 2,
    ACTIONS(22204), 1,
      sym_keyword_replication,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546622] = 2,
    ACTIONS(22206), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546630] = 2,
    ACTIONS(22208), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546638] = 2,
    ACTIONS(22210), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546646] = 2,
    ACTIONS(22212), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546654] = 2,
    ACTIONS(22214), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546662] = 2,
    ACTIONS(22216), 1,
      sym_keyword_database,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546670] = 2,
    ACTIONS(22218), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546678] = 2,
    ACTIONS(22220), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546686] = 2,
    ACTIONS(22222), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546694] = 2,
    ACTIONS(15558), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546702] = 2,
    ACTIONS(19406), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546710] = 2,
    ACTIONS(22224), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546718] = 2,
    ACTIONS(22226), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546726] = 2,
    ACTIONS(22228), 1,
      sym_keyword_format,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546734] = 2,
    ACTIONS(22230), 1,
      sym__identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546742] = 2,
    ACTIONS(22232), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546750] = 2,
    ACTIONS(22234), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546758] = 2,
    ACTIONS(22236), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546766] = 2,
    ACTIONS(22238), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546774] = 2,
    ACTIONS(22240), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546782] = 2,
    ACTIONS(22242), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546790] = 2,
    ACTIONS(22244), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546798] = 2,
    ACTIONS(22246), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546806] = 2,
    ACTIONS(22248), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546814] = 2,
    ACTIONS(22250), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546822] = 2,
    ACTIONS(22252), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546830] = 2,
    ACTIONS(22254), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546838] = 2,
    ACTIONS(22256), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546846] = 2,
    ACTIONS(22258), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546854] = 2,
    ACTIONS(22260), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546862] = 2,
    ACTIONS(22262), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546870] = 2,
    ACTIONS(22264), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546878] = 2,
    ACTIONS(22266), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546886] = 2,
    ACTIONS(22268), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546894] = 2,
    ACTIONS(22270), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546902] = 2,
    ACTIONS(22272), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546910] = 2,
    ACTIONS(22274), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546918] = 2,
    ACTIONS(22276), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546926] = 2,
    ACTIONS(22278), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546934] = 2,
    ACTIONS(22280), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546942] = 2,
    ACTIONS(22282), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546950] = 2,
    ACTIONS(22284), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546958] = 2,
    ACTIONS(22286), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546966] = 2,
    ACTIONS(22288), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546974] = 2,
    ACTIONS(22290), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546982] = 2,
    ACTIONS(22292), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546990] = 2,
    ACTIONS(22294), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546998] = 2,
    ACTIONS(22296), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547006] = 2,
    ACTIONS(22298), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547014] = 2,
    ACTIONS(22300), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547022] = 2,
    ACTIONS(16300), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547030] = 2,
    ACTIONS(22302), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547038] = 2,
    ACTIONS(22304), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547046] = 2,
    ACTIONS(22306), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547054] = 2,
    ACTIONS(22308), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547062] = 2,
    ACTIONS(22310), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547070] = 2,
    ACTIONS(22312), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547078] = 2,
    ACTIONS(22314), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547086] = 2,
    ACTIONS(22316), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547094] = 2,
    ACTIONS(22318), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547102] = 2,
    ACTIONS(22320), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547110] = 2,
    ACTIONS(22322), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547118] = 2,
    ACTIONS(22324), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547126] = 2,
    ACTIONS(22326), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547134] = 2,
    ACTIONS(22328), 1,
      sym_keyword_oids,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547142] = 2,
    ACTIONS(22330), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547150] = 2,
    ACTIONS(22332), 1,
      sym_keyword_security,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547158] = 2,
    ACTIONS(22334), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547166] = 2,
    ACTIONS(22336), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547174] = 2,
    ACTIONS(22338), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547182] = 2,
    ACTIONS(22340), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547190] = 2,
    ACTIONS(22342), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547198] = 2,
    ACTIONS(22344), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547206] = 2,
    ACTIONS(22346), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547214] = 2,
    ACTIONS(22348), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547222] = 2,
    ACTIONS(22350), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547230] = 2,
    ACTIONS(19864), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547238] = 2,
    ACTIONS(22352), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547246] = 2,
    ACTIONS(22354), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547254] = 2,
    ACTIONS(22356), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547262] = 2,
    ACTIONS(22358), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547270] = 2,
    ACTIONS(22360), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547278] = 2,
    ACTIONS(22362), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547286] = 2,
    ACTIONS(22364), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547294] = 2,
    ACTIONS(22366), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547302] = 2,
    ACTIONS(22368), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547310] = 2,
    ACTIONS(22370), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547318] = 2,
    ACTIONS(22372), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547326] = 2,
    ACTIONS(22374), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547334] = 2,
    ACTIONS(22376), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547342] = 2,
    ACTIONS(22378), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547350] = 2,
    ACTIONS(22380), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547358] = 2,
    ACTIONS(22382), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547366] = 2,
    ACTIONS(22384), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547374] = 2,
    ACTIONS(22386), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547382] = 2,
    ACTIONS(22388), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547390] = 2,
    ACTIONS(22390), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547398] = 2,
    ACTIONS(22392), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547406] = 2,
    ACTIONS(22394), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547414] = 2,
    ACTIONS(17626), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547422] = 2,
    ACTIONS(22396), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547430] = 2,
    ACTIONS(22398), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547438] = 2,
    ACTIONS(22400), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547446] = 2,
    ACTIONS(22402), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547454] = 2,
    ACTIONS(22404), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547462] = 2,
    ACTIONS(22406), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547470] = 2,
    ACTIONS(22408), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547478] = 2,
    ACTIONS(22410), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547486] = 2,
    ACTIONS(19228), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547494] = 2,
    ACTIONS(22412), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547502] = 2,
    ACTIONS(22414), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547510] = 2,
    ACTIONS(22416), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547518] = 2,
    ACTIONS(22418), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547526] = 2,
    ACTIONS(22420), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547534] = 2,
    ACTIONS(22422), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547542] = 2,
    ACTIONS(22424), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547550] = 2,
    ACTIONS(22426), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547558] = 2,
    ACTIONS(22428), 1,
      sym_keyword_input,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547566] = 2,
    ACTIONS(22430), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547574] = 2,
    ACTIONS(22432), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547582] = 2,
    ACTIONS(22434), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547590] = 2,
    ACTIONS(22436), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547598] = 2,
    ACTIONS(22438), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547606] = 2,
    ACTIONS(22440), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547614] = 2,
    ACTIONS(22442), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547622] = 2,
    ACTIONS(22444), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547630] = 2,
    ACTIONS(22446), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547638] = 2,
    ACTIONS(22448), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547646] = 2,
    ACTIONS(22450), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547654] = 2,
    ACTIONS(22452), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547662] = 2,
    ACTIONS(22454), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547670] = 2,
    ACTIONS(22456), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547678] = 2,
    ACTIONS(22458), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547686] = 2,
    ACTIONS(22460), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547694] = 2,
    ACTIONS(22462), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547702] = 2,
    ACTIONS(22464), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547710] = 2,
    ACTIONS(22466), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547718] = 2,
    ACTIONS(22468), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547726] = 2,
    ACTIONS(22470), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547734] = 2,
    ACTIONS(22472), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547742] = 2,
    ACTIONS(22474), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547750] = 2,
    ACTIONS(22476), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547758] = 2,
    ACTIONS(22478), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547766] = 2,
    ACTIONS(22480), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547774] = 2,
    ACTIONS(22482), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547782] = 2,
    ACTIONS(22484), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547790] = 2,
    ACTIONS(22486), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547798] = 2,
    ACTIONS(22488), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547806] = 2,
    ACTIONS(22490), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547814] = 2,
    ACTIONS(22492), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547822] = 2,
    ACTIONS(22494), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547830] = 2,
    ACTIONS(22496), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547838] = 2,
    ACTIONS(22498), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547846] = 2,
    ACTIONS(22500), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547854] = 2,
    ACTIONS(22502), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547862] = 2,
    ACTIONS(22504), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547870] = 2,
    ACTIONS(22506), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547878] = 2,
    ACTIONS(22508), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547886] = 2,
    ACTIONS(22510), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547894] = 2,
    ACTIONS(22512), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547902] = 2,
    ACTIONS(22514), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547910] = 2,
    ACTIONS(22516), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547918] = 2,
    ACTIONS(22518), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547926] = 2,
    ACTIONS(22520), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547934] = 2,
    ACTIONS(22522), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547942] = 2,
    ACTIONS(22524), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547950] = 2,
    ACTIONS(22526), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547958] = 2,
    ACTIONS(22528), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547966] = 2,
    ACTIONS(22530), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547974] = 2,
    ACTIONS(22532), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547982] = 2,
    ACTIONS(22534), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547990] = 2,
    ACTIONS(22536), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547998] = 2,
    ACTIONS(22538), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548006] = 2,
    ACTIONS(22540), 1,
      sym_keyword_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548014] = 2,
    ACTIONS(22542), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548022] = 2,
    ACTIONS(22544), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548030] = 2,
    ACTIONS(22546), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548038] = 2,
    ACTIONS(22548), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548046] = 2,
    ACTIONS(22550), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548054] = 2,
    ACTIONS(22552), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548062] = 2,
    ACTIONS(22554), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548070] = 2,
    ACTIONS(22556), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548078] = 2,
    ACTIONS(22558), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548086] = 2,
    ACTIONS(22560), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548094] = 2,
    ACTIONS(22562), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548102] = 2,
    ACTIONS(22564), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548110] = 2,
    ACTIONS(22566), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548118] = 2,
    ACTIONS(22568), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548126] = 2,
    ACTIONS(22570), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548134] = 2,
    ACTIONS(22572), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548142] = 2,
    ACTIONS(22574), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548150] = 2,
    ACTIONS(22576), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548158] = 2,
    ACTIONS(22578), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548166] = 2,
    ACTIONS(22580), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548174] = 2,
    ACTIONS(22582), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548182] = 2,
    ACTIONS(22584), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548190] = 2,
    ACTIONS(22586), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548198] = 2,
    ACTIONS(22588), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548206] = 2,
    ACTIONS(22590), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548214] = 2,
    ACTIONS(22592), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548222] = 2,
    ACTIONS(22594), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548230] = 2,
    ACTIONS(22596), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548238] = 2,
    ACTIONS(22598), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548246] = 2,
    ACTIONS(22600), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548254] = 2,
    ACTIONS(22602), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548262] = 2,
    ACTIONS(22604), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548270] = 2,
    ACTIONS(22606), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548278] = 2,
    ACTIONS(22608), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548286] = 2,
    ACTIONS(22610), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548294] = 2,
    ACTIONS(22612), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548302] = 2,
    ACTIONS(22614), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548310] = 2,
    ACTIONS(22616), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548318] = 2,
    ACTIONS(16598), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548326] = 2,
    ACTIONS(22618), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548334] = 2,
    ACTIONS(22620), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548342] = 2,
    ACTIONS(22622), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548350] = 2,
    ACTIONS(22624), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548358] = 2,
    ACTIONS(22626), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548366] = 2,
    ACTIONS(22628), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548374] = 2,
    ACTIONS(22630), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548382] = 2,
    ACTIONS(22632), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548390] = 2,
    ACTIONS(22634), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548398] = 2,
    ACTIONS(22636), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548406] = 2,
    ACTIONS(22638), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548414] = 2,
    ACTIONS(22640), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548422] = 2,
    ACTIONS(22642), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548430] = 2,
    ACTIONS(22644), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548438] = 2,
    ACTIONS(22646), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548446] = 2,
    ACTIONS(22648), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548454] = 2,
    ACTIONS(22650), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548462] = 2,
    ACTIONS(22652), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548470] = 2,
    ACTIONS(22654), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548478] = 2,
    ACTIONS(16247), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548486] = 2,
    ACTIONS(22656), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548494] = 2,
    ACTIONS(22658), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548502] = 2,
    ACTIONS(22660), 1,
      sym_keyword_bin_pack,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548510] = 2,
    ACTIONS(22662), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548518] = 2,
    ACTIONS(22664), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548526] = 2,
    ACTIONS(22666), 1,
      sym_keyword_is,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548534] = 2,
    ACTIONS(22668), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548542] = 2,
    ACTIONS(22670), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548550] = 2,
    ACTIONS(22672), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548558] = 2,
    ACTIONS(22674), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548566] = 2,
    ACTIONS(17282), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548574] = 2,
    ACTIONS(17276), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548582] = 2,
    ACTIONS(22676), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548590] = 2,
    ACTIONS(22678), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548598] = 2,
    ACTIONS(16352), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548606] = 2,
    ACTIONS(22680), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548614] = 2,
    ACTIONS(22682), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548622] = 2,
    ACTIONS(22684), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548630] = 2,
    ACTIONS(22686), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548638] = 2,
    ACTIONS(22688), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548646] = 2,
    ACTIONS(22690), 1,
      sym__identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548654] = 2,
    ACTIONS(22692), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548662] = 2,
    ACTIONS(22694), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548670] = 2,
    ACTIONS(22696), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548678] = 2,
    ACTIONS(22698), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548686] = 2,
    ACTIONS(14922), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548694] = 2,
    ACTIONS(22700), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548702] = 2,
    ACTIONS(19786), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548710] = 2,
    ACTIONS(22702), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548718] = 2,
    ACTIONS(22704), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548726] = 2,
    ACTIONS(22706), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548734] = 2,
    ACTIONS(22708), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548742] = 2,
    ACTIONS(16074), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548750] = 2,
    ACTIONS(22710), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548758] = 2,
    ACTIONS(22712), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548766] = 2,
    ACTIONS(22714), 1,
      sym_keyword_minvalue,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548774] = 2,
    ACTIONS(22716), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548782] = 2,
    ACTIONS(22718), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548790] = 2,
    ACTIONS(22720), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548798] = 2,
    ACTIONS(22722), 1,
      sym_keyword_metadata,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548806] = 2,
    ACTIONS(22724), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548814] = 2,
    ACTIONS(22726), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548822] = 2,
    ACTIONS(22728), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548830] = 2,
    ACTIONS(22730), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548838] = 2,
    ACTIONS(22732), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548846] = 2,
    ACTIONS(22734), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548854] = 2,
    ACTIONS(22736), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548862] = 2,
    ACTIONS(22738), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548870] = 2,
    ACTIONS(22740), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548878] = 2,
    ACTIONS(22742), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548886] = 2,
    ACTIONS(22744), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548894] = 2,
    ACTIONS(22746), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548902] = 2,
    ACTIONS(16807), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548910] = 2,
    ACTIONS(22748), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548918] = 2,
    ACTIONS(22750), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548926] = 2,
    ACTIONS(22752), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548934] = 2,
    ACTIONS(22754), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548942] = 2,
    ACTIONS(22756), 1,
      sym_keyword_cycle,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548950] = 2,
    ACTIONS(22758), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548958] = 2,
    ACTIONS(15277), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548966] = 2,
    ACTIONS(22760), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548974] = 2,
    ACTIONS(22762), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548982] = 2,
    ACTIONS(22764), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548990] = 2,
    ACTIONS(22766), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548998] = 2,
    ACTIONS(22768), 1,
      sym_keyword_is,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549006] = 2,
    ACTIONS(22770), 1,
      sym_keyword_returns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549014] = 2,
    ACTIONS(22772), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549022] = 2,
    ACTIONS(22774), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549030] = 2,
    ACTIONS(22776), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549038] = 2,
    ACTIONS(22778), 1,
      sym_keyword_database,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549046] = 2,
    ACTIONS(22780), 1,
      sym_keyword_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549054] = 2,
    ACTIONS(22782), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549062] = 2,
    ACTIONS(22784), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549070] = 2,
    ACTIONS(16023), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549078] = 2,
    ACTIONS(22786), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549086] = 2,
    ACTIONS(22788), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549094] = 2,
    ACTIONS(14854), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549102] = 2,
    ACTIONS(14951), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549110] = 2,
    ACTIONS(22790), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549118] = 2,
    ACTIONS(22792), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549126] = 2,
    ACTIONS(22794), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549134] = 2,
    ACTIONS(22796), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549142] = 2,
    ACTIONS(22798), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549150] = 2,
    ACTIONS(22800), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549158] = 2,
    ACTIONS(22802), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549166] = 2,
    ACTIONS(1707), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549174] = 2,
    ACTIONS(22804), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549182] = 2,
    ACTIONS(22806), 1,
      sym_keyword_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549190] = 2,
    ACTIONS(22808), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549198] = 2,
    ACTIONS(22810), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549206] = 2,
    ACTIONS(22812), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549214] = 2,
    ACTIONS(22814), 1,
      sym_keyword_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549222] = 2,
    ACTIONS(22816), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549230] = 2,
    ACTIONS(22818), 1,
      sym_keyword_schema,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549238] = 2,
    ACTIONS(22820), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549246] = 2,
    ACTIONS(22822), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549254] = 2,
    ACTIONS(15243), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549262] = 2,
    ACTIONS(22824), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549270] = 2,
    ACTIONS(22826), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549278] = 2,
    ACTIONS(15652), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549286] = 2,
    ACTIONS(22828), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549294] = 2,
    ACTIONS(22830), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549302] = 2,
    ACTIONS(22832), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549310] = 2,
    ACTIONS(16376), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549318] = 2,
    ACTIONS(22834), 1,
      aux_sym__integer_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549326] = 2,
    ACTIONS(22836), 1,
      sym_keyword_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549334] = 2,
    ACTIONS(22838), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549342] = 2,
    ACTIONS(22840), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549350] = 2,
    ACTIONS(22842), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549358] = 2,
    ACTIONS(22844), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549366] = 2,
    ACTIONS(22846), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549374] = 2,
    ACTIONS(22848), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549382] = 2,
    ACTIONS(22850), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549390] = 2,
    ACTIONS(22852), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549398] = 2,
    ACTIONS(22854), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549406] = 2,
    ACTIONS(22856), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549414] = 2,
    ACTIONS(22858), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549422] = 2,
    ACTIONS(22860), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549430] = 2,
    ACTIONS(15390), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549438] = 2,
    ACTIONS(14832), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549446] = 2,
    ACTIONS(22862), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549454] = 2,
    ACTIONS(22864), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549462] = 2,
    ACTIONS(22866), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549470] = 2,
    ACTIONS(22868), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549478] = 2,
    ACTIONS(22870), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549486] = 2,
    ACTIONS(22872), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549494] = 2,
    ACTIONS(22874), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549502] = 2,
    ACTIONS(22876), 1,
      sym_keyword_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549510] = 2,
    ACTIONS(22878), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549518] = 2,
    ACTIONS(22880), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549526] = 2,
    ACTIONS(22882), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549534] = 2,
    ACTIONS(22884), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549542] = 2,
    ACTIONS(22886), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549550] = 2,
    ACTIONS(22888), 1,
      sym_keyword_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549558] = 2,
    ACTIONS(22890), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549566] = 2,
    ACTIONS(22892), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549574] = 2,
    ACTIONS(22894), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549582] = 2,
    ACTIONS(22896), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549590] = 2,
    ACTIONS(22898), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549598] = 2,
    ACTIONS(22900), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549606] = 2,
    ACTIONS(22902), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549614] = 2,
    ACTIONS(22904), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549622] = 2,
    ACTIONS(22906), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549630] = 2,
    ACTIONS(22908), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549638] = 2,
    ACTIONS(22910), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549646] = 2,
    ACTIONS(22912), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549654] = 2,
    ACTIONS(22914), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549662] = 2,
    ACTIONS(22916), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549670] = 2,
    ACTIONS(22918), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549678] = 2,
    ACTIONS(22920), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549686] = 2,
    ACTIONS(22922), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549694] = 2,
    ACTIONS(22924), 1,
      sym_keyword_always,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549702] = 2,
    ACTIONS(22926), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549710] = 2,
    ACTIONS(22928), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549718] = 2,
    ACTIONS(22930), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549726] = 2,
    ACTIONS(22932), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549734] = 2,
    ACTIONS(22934), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549742] = 2,
    ACTIONS(22936), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549750] = 2,
    ACTIONS(22938), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549758] = 2,
    ACTIONS(15380), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549766] = 2,
    ACTIONS(22940), 1,
      aux_sym__integer_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549774] = 2,
    ACTIONS(22942), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549782] = 2,
    ACTIONS(22944), 1,
      sym_keyword_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549790] = 2,
    ACTIONS(22946), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549798] = 2,
    ACTIONS(22948), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549806] = 2,
    ACTIONS(22950), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549814] = 2,
    ACTIONS(22952), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549822] = 2,
    ACTIONS(22954), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549830] = 2,
    ACTIONS(22956), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549838] = 2,
    ACTIONS(22958), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549846] = 2,
    ACTIONS(22960), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549854] = 2,
    ACTIONS(22962), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549862] = 2,
    ACTIONS(22964), 1,
      sym_keyword_terminated,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549870] = 2,
    ACTIONS(22966), 1,
      sym_keyword_terminated,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549878] = 2,
    ACTIONS(22968), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549886] = 2,
    ACTIONS(22970), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549894] = 2,
    ACTIONS(22972), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549902] = 2,
    ACTIONS(22696), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549910] = 2,
    ACTIONS(22974), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549918] = 2,
    ACTIONS(22976), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549926] = 2,
    ACTIONS(1785), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549934] = 2,
    ACTIONS(22978), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549942] = 2,
    ACTIONS(22980), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549950] = 2,
    ACTIONS(22982), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549958] = 2,
    ACTIONS(22984), 1,
      sym_keyword_atomic,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549966] = 2,
    ACTIONS(22986), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549974] = 2,
    ACTIONS(22988), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549982] = 2,
    ACTIONS(22990), 1,
      sym_keyword_distinct,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549990] = 2,
    ACTIONS(22992), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549998] = 2,
    ACTIONS(22994), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550006] = 2,
    ACTIONS(22996), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550014] = 2,
    ACTIONS(22998), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550022] = 2,
    ACTIONS(23000), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550030] = 2,
    ACTIONS(23002), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550038] = 2,
    ACTIONS(23004), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550046] = 2,
    ACTIONS(23006), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550054] = 2,
    ACTIONS(23008), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550062] = 2,
    ACTIONS(16074), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550070] = 2,
    ACTIONS(23010), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550078] = 2,
    ACTIONS(23012), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550086] = 2,
    ACTIONS(23014), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550094] = 2,
    ACTIONS(23016), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550102] = 2,
    ACTIONS(23018), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550110] = 2,
    ACTIONS(23020), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550118] = 2,
    ACTIONS(23022), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550126] = 2,
    ACTIONS(16253), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550134] = 2,
    ACTIONS(23024), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550142] = 2,
    ACTIONS(23026), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550150] = 2,
    ACTIONS(23028), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550158] = 2,
    ACTIONS(17015), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550166] = 2,
    ACTIONS(23030), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550174] = 2,
    ACTIONS(23032), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550182] = 2,
    ACTIONS(23034), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550190] = 2,
    ACTIONS(23036), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550198] = 2,
    ACTIONS(23038), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550206] = 2,
    ACTIONS(23040), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550214] = 2,
    ACTIONS(23042), 1,
      sym_keyword_index,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550222] = 2,
    ACTIONS(23044), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550230] = 2,
    ACTIONS(23046), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550238] = 2,
    ACTIONS(23048), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550246] = 2,
    ACTIONS(23050), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550254] = 2,
    ACTIONS(23052), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550262] = 2,
    ACTIONS(23054), 1,
      sym_keyword_authorization,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550270] = 2,
    ACTIONS(23056), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550278] = 2,
    ACTIONS(23058), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550286] = 2,
    ACTIONS(23060), 1,
      sym_keyword_matched,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550294] = 2,
    ACTIONS(23062), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550302] = 2,
    ACTIONS(23064), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550310] = 2,
    ACTIONS(23066), 1,
      sym_keyword_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550318] = 2,
    ACTIONS(23068), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550326] = 2,
    ACTIONS(23070), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550334] = 2,
    ACTIONS(23072), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550342] = 2,
    ACTIONS(13914), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550350] = 2,
    ACTIONS(23074), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550358] = 2,
    ACTIONS(23076), 1,
      sym_keyword_replication,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550366] = 2,
    ACTIONS(23078), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550374] = 2,
    ACTIONS(23080), 1,
      sym_keyword_metadata,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550382] = 2,
    ACTIONS(23082), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550390] = 2,
    ACTIONS(23084), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550398] = 2,
    ACTIONS(23086), 1,
      sym_keyword_into,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550406] = 2,
    ACTIONS(23088), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550414] = 2,
    ACTIONS(23090), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550422] = 2,
    ACTIONS(23092), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550430] = 2,
    ACTIONS(23094), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550438] = 2,
    ACTIONS(23096), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550446] = 2,
    ACTIONS(23098), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550454] = 2,
    ACTIONS(15564), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550462] = 2,
    ACTIONS(23100), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550470] = 2,
    ACTIONS(23102), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550478] = 2,
    ACTIONS(15033), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550486] = 2,
    ACTIONS(23104), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550494] = 2,
    ACTIONS(23106), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550502] = 2,
    ACTIONS(23108), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550510] = 2,
    ACTIONS(23110), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550518] = 2,
    ACTIONS(23112), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550526] = 2,
    ACTIONS(23114), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550534] = 2,
    ACTIONS(23116), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550542] = 2,
    ACTIONS(23118), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550550] = 2,
    ACTIONS(23120), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550558] = 2,
    ACTIONS(23122), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550566] = 2,
    ACTIONS(23124), 1,
      sym_keyword_matched,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550574] = 2,
    ACTIONS(23126), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550582] = 2,
    ACTIONS(23128), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550590] = 2,
    ACTIONS(17390), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550598] = 2,
    ACTIONS(23130), 1,
      sym_keyword_terminated,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550606] = 2,
    ACTIONS(15616), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550614] = 2,
    ACTIONS(23132), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550622] = 2,
    ACTIONS(23134), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550630] = 2,
    ACTIONS(23136), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550638] = 2,
    ACTIONS(23138), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550646] = 2,
    ACTIONS(23140), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550654] = 2,
    ACTIONS(23142), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550662] = 2,
    ACTIONS(23144), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550670] = 2,
    ACTIONS(23146), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550678] = 2,
    ACTIONS(23148), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550686] = 2,
    ACTIONS(16386), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550694] = 2,
    ACTIONS(23150), 1,
      sym_keyword_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550702] = 2,
    ACTIONS(23152), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550710] = 2,
    ACTIONS(23154), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550718] = 2,
    ACTIONS(23156), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550726] = 2,
    ACTIONS(23158), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550734] = 2,
    ACTIONS(23160), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550742] = 2,
    ACTIONS(23162), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550750] = 2,
    ACTIONS(23164), 1,
      sym_keyword_input,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550758] = 2,
    ACTIONS(23166), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550766] = 2,
    ACTIONS(23168), 1,
      sym_keyword_terminated,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550774] = 2,
    ACTIONS(23170), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550782] = 2,
    ACTIONS(23172), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550790] = 2,
    ACTIONS(23174), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550798] = 2,
    ACTIONS(23176), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550806] = 2,
    ACTIONS(23178), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550814] = 2,
    ACTIONS(23180), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550822] = 2,
    ACTIONS(23182), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550830] = 2,
    ACTIONS(23184), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550838] = 2,
    ACTIONS(23186), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550846] = 2,
    ACTIONS(23188), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550854] = 2,
    ACTIONS(23190), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550862] = 2,
    ACTIONS(23192), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550870] = 2,
    ACTIONS(23194), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550878] = 2,
    ACTIONS(23196), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550886] = 2,
    ACTIONS(23198), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550894] = 2,
    ACTIONS(23200), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550902] = 2,
    ACTIONS(23202), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550910] = 2,
    ACTIONS(23204), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550918] = 2,
    ACTIONS(23206), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550926] = 2,
    ACTIONS(23208), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550934] = 2,
    ACTIONS(23210), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550942] = 2,
    ACTIONS(23212), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550950] = 2,
    ACTIONS(23214), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550958] = 2,
    ACTIONS(23216), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550966] = 2,
    ACTIONS(23218), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550974] = 2,
    ACTIONS(23220), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550982] = 2,
    ACTIONS(23222), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550990] = 2,
    ACTIONS(23224), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550998] = 2,
    ACTIONS(23226), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551006] = 2,
    ACTIONS(23228), 1,
      sym_keyword_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551014] = 2,
    ACTIONS(23230), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551022] = 2,
    ACTIONS(23232), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551030] = 2,
    ACTIONS(23234), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551038] = 2,
    ACTIONS(23236), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551046] = 2,
    ACTIONS(23238), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551054] = 2,
    ACTIONS(23240), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551062] = 2,
    ACTIONS(23242), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551070] = 2,
    ACTIONS(23244), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551078] = 2,
    ACTIONS(23246), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551086] = 2,
    ACTIONS(16905), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551094] = 2,
    ACTIONS(23248), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551102] = 2,
    ACTIONS(23250), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551110] = 2,
    ACTIONS(23252), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551118] = 2,
    ACTIONS(23254), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551126] = 2,
    ACTIONS(23256), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551134] = 2,
    ACTIONS(23258), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551142] = 2,
    ACTIONS(23260), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551150] = 2,
    ACTIONS(23262), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551158] = 2,
    ACTIONS(23264), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551166] = 2,
    ACTIONS(23266), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551174] = 2,
    ACTIONS(23268), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551182] = 2,
    ACTIONS(23270), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551190] = 2,
    ACTIONS(23272), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551198] = 2,
    ACTIONS(23274), 1,
      sym_keyword_terminated,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551206] = 2,
    ACTIONS(23276), 1,
      sym_keyword_terminated,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551214] = 2,
    ACTIONS(23278), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551222] = 2,
    ACTIONS(23280), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551230] = 2,
    ACTIONS(23282), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551238] = 2,
    ACTIONS(23284), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551246] = 2,
    ACTIONS(23286), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551254] = 2,
    ACTIONS(23288), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551262] = 2,
    ACTIONS(23290), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551270] = 2,
    ACTIONS(20134), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551278] = 2,
    ACTIONS(23292), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551286] = 2,
    ACTIONS(23294), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551294] = 2,
    ACTIONS(23296), 1,
      sym_keyword_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551302] = 2,
    ACTIONS(23298), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551310] = 2,
    ACTIONS(23300), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551318] = 2,
    ACTIONS(23302), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551326] = 2,
    ACTIONS(23304), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551334] = 2,
    ACTIONS(23306), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551342] = 2,
    ACTIONS(23308), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551350] = 2,
    ACTIONS(23310), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551358] = 2,
    ACTIONS(23312), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551366] = 2,
    ACTIONS(23314), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551374] = 2,
    ACTIONS(23316), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551382] = 2,
    ACTIONS(23318), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551390] = 2,
    ACTIONS(23320), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551398] = 2,
    ACTIONS(18645), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551406] = 2,
    ACTIONS(23322), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551414] = 2,
    ACTIONS(23324), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551422] = 2,
    ACTIONS(23326), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551430] = 2,
    ACTIONS(23328), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551438] = 2,
    ACTIONS(23330), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551446] = 2,
    ACTIONS(23332), 1,
      sym_keyword_ordinality,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551454] = 2,
    ACTIONS(23334), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551462] = 2,
    ACTIONS(23336), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551470] = 2,
    ACTIONS(23338), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551478] = 2,
    ACTIONS(23340), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551486] = 2,
    ACTIONS(19670), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551494] = 2,
    ACTIONS(23342), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551502] = 2,
    ACTIONS(23344), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551510] = 2,
    ACTIONS(23346), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551518] = 2,
    ACTIONS(23348), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551526] = 2,
    ACTIONS(23350), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551534] = 2,
    ACTIONS(23352), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551542] = 2,
    ACTIONS(23354), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551550] = 2,
    ACTIONS(23356), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551558] = 2,
    ACTIONS(23358), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551566] = 2,
    ACTIONS(23360), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551574] = 2,
    ACTIONS(23362), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551582] = 2,
    ACTIONS(23364), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551590] = 2,
    ACTIONS(23366), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551598] = 2,
    ACTIONS(23368), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551606] = 2,
    ACTIONS(23370), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551614] = 2,
    ACTIONS(23372), 1,
      sym_keyword_authorization,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551622] = 2,
    ACTIONS(23374), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551630] = 2,
    ACTIONS(23376), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551638] = 2,
    ACTIONS(23378), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551646] = 2,
    ACTIONS(23380), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551654] = 2,
    ACTIONS(23382), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551662] = 2,
    ACTIONS(23384), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551670] = 2,
    ACTIONS(23386), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551678] = 2,
    ACTIONS(23388), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551686] = 2,
    ACTIONS(23390), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551694] = 2,
    ACTIONS(23392), 1,
      sym_keyword_minvalue,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551702] = 2,
    ACTIONS(23392), 1,
      sym_keyword_maxvalue,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551710] = 2,
    ACTIONS(23394), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551718] = 2,
    ACTIONS(23396), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551726] = 2,
    ACTIONS(23398), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551734] = 2,
    ACTIONS(23400), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551742] = 2,
    ACTIONS(19306), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551750] = 2,
    ACTIONS(23402), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551758] = 2,
    ACTIONS(23404), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551766] = 2,
    ACTIONS(23406), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551774] = 2,
    ACTIONS(23408), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551782] = 2,
    ACTIONS(23410), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551790] = 2,
    ACTIONS(23412), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551798] = 2,
    ACTIONS(23414), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551806] = 2,
    ACTIONS(23416), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551814] = 2,
    ACTIONS(23418), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551822] = 2,
    ACTIONS(23420), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551830] = 2,
    ACTIONS(23422), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551838] = 2,
    ACTIONS(23424), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551846] = 2,
    ACTIONS(17947), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551854] = 2,
    ACTIONS(23426), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551862] = 2,
    ACTIONS(23428), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551870] = 2,
    ACTIONS(23430), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551878] = 2,
    ACTIONS(15880), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551886] = 2,
    ACTIONS(23432), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551894] = 2,
    ACTIONS(23434), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551902] = 2,
    ACTIONS(23436), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551910] = 2,
    ACTIONS(23438), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551918] = 2,
    ACTIONS(15152), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551926] = 2,
    ACTIONS(23440), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551934] = 2,
    ACTIONS(23442), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551942] = 2,
    ACTIONS(23444), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551950] = 2,
    ACTIONS(23446), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551958] = 2,
    ACTIONS(23448), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551966] = 2,
    ACTIONS(23450), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551974] = 2,
    ACTIONS(23452), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551982] = 2,
    ACTIONS(23454), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551990] = 2,
    ACTIONS(23456), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551998] = 2,
    ACTIONS(23458), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552006] = 2,
    ACTIONS(23460), 1,
      sym_keyword_distinct,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552014] = 2,
    ACTIONS(15900), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552022] = 2,
    ACTIONS(23462), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552030] = 2,
    ACTIONS(23464), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552038] = 2,
    ACTIONS(23466), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552046] = 2,
    ACTIONS(16269), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552054] = 2,
    ACTIONS(23468), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552062] = 2,
    ACTIONS(23470), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552070] = 2,
    ACTIONS(23472), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552078] = 2,
    ACTIONS(23474), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552086] = 2,
    ACTIONS(16392), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552094] = 2,
    ACTIONS(23476), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552102] = 2,
    ACTIONS(23478), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552110] = 2,
    ACTIONS(23480), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552118] = 2,
    ACTIONS(23482), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552126] = 2,
    ACTIONS(23484), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552134] = 2,
    ACTIONS(23486), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552142] = 2,
    ACTIONS(23488), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552150] = 2,
    ACTIONS(23490), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552158] = 2,
    ACTIONS(23492), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552166] = 2,
    ACTIONS(23494), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552174] = 2,
    ACTIONS(23496), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552182] = 2,
    ACTIONS(23498), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552190] = 2,
    ACTIONS(23500), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552198] = 2,
    ACTIONS(23502), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552206] = 2,
    ACTIONS(23504), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552214] = 2,
    ACTIONS(23506), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552222] = 2,
    ACTIONS(23508), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552230] = 2,
    ACTIONS(23510), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552238] = 2,
    ACTIONS(23512), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552246] = 2,
    ACTIONS(23514), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552254] = 2,
    ACTIONS(23516), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552262] = 2,
    ACTIONS(23518), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552270] = 2,
    ACTIONS(23520), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552278] = 2,
    ACTIONS(23522), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552286] = 2,
    ACTIONS(23524), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552294] = 2,
    ACTIONS(23526), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552302] = 2,
    ACTIONS(23528), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552310] = 2,
    ACTIONS(23530), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552318] = 2,
    ACTIONS(23532), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552326] = 2,
    ACTIONS(23534), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552334] = 2,
    ACTIONS(23536), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552342] = 2,
    ACTIONS(23538), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552350] = 2,
    ACTIONS(23540), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552358] = 2,
    ACTIONS(23542), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552366] = 2,
    ACTIONS(23544), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552374] = 2,
    ACTIONS(23546), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552382] = 2,
    ACTIONS(23548), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552390] = 2,
    ACTIONS(23550), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552398] = 2,
    ACTIONS(23552), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552406] = 2,
    ACTIONS(23554), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552414] = 2,
    ACTIONS(23556), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552422] = 2,
    ACTIONS(23558), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552430] = 2,
    ACTIONS(23560), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552438] = 2,
    ACTIONS(23562), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552446] = 2,
    ACTIONS(23564), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552454] = 2,
    ACTIONS(23566), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552462] = 2,
    ACTIONS(23568), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552470] = 2,
    ACTIONS(23570), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552478] = 2,
    ACTIONS(23572), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552486] = 2,
    ACTIONS(23574), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552494] = 2,
    ACTIONS(23576), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552502] = 2,
    ACTIONS(23578), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552510] = 2,
    ACTIONS(23580), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552518] = 2,
    ACTIONS(23582), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552526] = 2,
    ACTIONS(23584), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552534] = 2,
    ACTIONS(23586), 1,
      sym_keyword_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552542] = 2,
    ACTIONS(23588), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552550] = 2,
    ACTIONS(23590), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552558] = 2,
    ACTIONS(23592), 1,
      sym_keyword_action,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552566] = 2,
    ACTIONS(23594), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552574] = 2,
    ACTIONS(23596), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552582] = 2,
    ACTIONS(23598), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552590] = 2,
    ACTIONS(23600), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552598] = 2,
    ACTIONS(23602), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552606] = 2,
    ACTIONS(23604), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552614] = 2,
    ACTIONS(23606), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552622] = 2,
    ACTIONS(23608), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552630] = 2,
    ACTIONS(23610), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552638] = 2,
    ACTIONS(23612), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552646] = 2,
    ACTIONS(23614), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552654] = 2,
    ACTIONS(23616), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552662] = 2,
    ACTIONS(23618), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552670] = 2,
    ACTIONS(23620), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552678] = 2,
    ACTIONS(23622), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552686] = 2,
    ACTIONS(23624), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552694] = 2,
    ACTIONS(23626), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552702] = 2,
    ACTIONS(23628), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552710] = 2,
    ACTIONS(23630), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552718] = 2,
    ACTIONS(23632), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552726] = 2,
    ACTIONS(23634), 1,
      sym_keyword_terminated,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552734] = 2,
    ACTIONS(23636), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552742] = 2,
    ACTIONS(23638), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552750] = 2,
    ACTIONS(23640), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552758] = 2,
    ACTIONS(23642), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552766] = 2,
    ACTIONS(23644), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552774] = 2,
    ACTIONS(23646), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552782] = 2,
    ACTIONS(23648), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552790] = 2,
    ACTIONS(23650), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552798] = 2,
    ACTIONS(23652), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552806] = 2,
    ACTIONS(23654), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552814] = 2,
    ACTIONS(23656), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552822] = 2,
    ACTIONS(23658), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552830] = 2,
    ACTIONS(23660), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552838] = 2,
    ACTIONS(23662), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552846] = 2,
    ACTIONS(23664), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552854] = 2,
    ACTIONS(23666), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552862] = 2,
    ACTIONS(23668), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552870] = 2,
    ACTIONS(23670), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552878] = 2,
    ACTIONS(23672), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552886] = 2,
    ACTIONS(23674), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552894] = 2,
    ACTIONS(23676), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552902] = 2,
    ACTIONS(23678), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552910] = 2,
    ACTIONS(23680), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552918] = 2,
    ACTIONS(23682), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552926] = 2,
    ACTIONS(23684), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552934] = 2,
    ACTIONS(23686), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552942] = 2,
    ACTIONS(23688), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552950] = 2,
    ACTIONS(23690), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552958] = 2,
    ACTIONS(23692), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552966] = 2,
    ACTIONS(23694), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552974] = 2,
    ACTIONS(23696), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552982] = 2,
    ACTIONS(23698), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552990] = 2,
    ACTIONS(23700), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552998] = 2,
    ACTIONS(23702), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553006] = 2,
    ACTIONS(23704), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553014] = 2,
    ACTIONS(23706), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553022] = 2,
    ACTIONS(23708), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553030] = 2,
    ACTIONS(23710), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553038] = 2,
    ACTIONS(23712), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553046] = 2,
    ACTIONS(23714), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553054] = 2,
    ACTIONS(23716), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553062] = 2,
    ACTIONS(23718), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553070] = 2,
    ACTIONS(23720), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553078] = 2,
    ACTIONS(23722), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553086] = 2,
    ACTIONS(23724), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553094] = 2,
    ACTIONS(23726), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553102] = 2,
    ACTIONS(23728), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553110] = 2,
    ACTIONS(23730), 1,
      sym_keyword_leakproof,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553118] = 2,
    ACTIONS(23732), 1,
      sym_keyword_atomic,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553126] = 2,
    ACTIONS(23734), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553134] = 2,
    ACTIONS(23736), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553142] = 2,
    ACTIONS(23738), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553150] = 2,
    ACTIONS(23740), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553158] = 2,
    ACTIONS(23742), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553166] = 2,
    ACTIONS(23744), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553174] = 2,
    ACTIONS(15318), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553182] = 2,
    ACTIONS(23746), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553190] = 2,
    ACTIONS(23748), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553198] = 2,
    ACTIONS(23750), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553206] = 2,
    ACTIONS(23752), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553214] = 2,
    ACTIONS(23754), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553222] = 2,
    ACTIONS(23756), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553230] = 2,
    ACTIONS(23758), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553238] = 2,
    ACTIONS(23760), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553246] = 2,
    ACTIONS(16674), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553254] = 2,
    ACTIONS(23762), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553262] = 2,
    ACTIONS(23764), 1,
      sym_keyword_returns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553270] = 2,
    ACTIONS(23766), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553278] = 2,
    ACTIONS(23768), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553286] = 2,
    ACTIONS(23770), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553294] = 2,
    ACTIONS(23772), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553302] = 2,
    ACTIONS(23774), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553310] = 2,
    ACTIONS(23776), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553318] = 2,
    ACTIONS(23778), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553326] = 2,
    ACTIONS(23780), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553334] = 2,
    ACTIONS(23782), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553342] = 2,
    ACTIONS(16094), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553350] = 2,
    ACTIONS(23784), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553358] = 2,
    ACTIONS(23786), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553366] = 2,
    ACTIONS(23788), 1,
      sym_keyword_security,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553374] = 2,
    ACTIONS(23790), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553382] = 2,
    ACTIONS(23792), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553390] = 2,
    ACTIONS(23794), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553398] = 2,
    ACTIONS(23796), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553406] = 2,
    ACTIONS(23798), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553414] = 2,
    ACTIONS(23800), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553422] = 2,
    ACTIONS(23802), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553430] = 2,
    ACTIONS(23804), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553438] = 2,
    ACTIONS(23806), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553446] = 2,
    ACTIONS(23808), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553454] = 2,
    ACTIONS(23810), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553462] = 2,
    ACTIONS(23812), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553470] = 2,
    ACTIONS(23814), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553478] = 2,
    ACTIONS(23816), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553486] = 2,
    ACTIONS(23818), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553494] = 2,
    ACTIONS(23820), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553502] = 2,
    ACTIONS(23822), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553510] = 2,
    ACTIONS(23824), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553518] = 2,
    ACTIONS(23826), 1,
      sym_keyword_current,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553526] = 2,
    ACTIONS(23828), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553534] = 2,
    ACTIONS(23830), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553542] = 2,
    ACTIONS(23832), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553550] = 2,
    ACTIONS(23834), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553558] = 2,
    ACTIONS(23836), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553566] = 2,
    ACTIONS(23838), 1,
      sym_keyword_stats,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553574] = 2,
    ACTIONS(23840), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553582] = 2,
    ACTIONS(23842), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553590] = 2,
    ACTIONS(23844), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553598] = 2,
    ACTIONS(23846), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553606] = 2,
    ACTIONS(23848), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553614] = 2,
    ACTIONS(23850), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553622] = 2,
    ACTIONS(23852), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553630] = 2,
    ACTIONS(23854), 1,
      sym_keyword_metadata,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553638] = 2,
    ACTIONS(23856), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553646] = 2,
    ACTIONS(23858), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553654] = 2,
    ACTIONS(23860), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553662] = 2,
    ACTIONS(23862), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553670] = 2,
    ACTIONS(23864), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553678] = 2,
    ACTIONS(23866), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553686] = 2,
    ACTIONS(23868), 1,
      sym_keyword_others,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553694] = 2,
    ACTIONS(18745), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553702] = 2,
    ACTIONS(23870), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553710] = 2,
    ACTIONS(15692), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553718] = 2,
    ACTIONS(23872), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553726] = 2,
    ACTIONS(23874), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553734] = 2,
    ACTIONS(23876), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553742] = 2,
    ACTIONS(23878), 1,
      sym_keyword_row,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553750] = 2,
    ACTIONS(23880), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553758] = 2,
    ACTIONS(16682), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553766] = 2,
    ACTIONS(23882), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553774] = 2,
    ACTIONS(23884), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553782] = 2,
    ACTIONS(23886), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553790] = 2,
    ACTIONS(23888), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553798] = 2,
    ACTIONS(23890), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553806] = 2,
    ACTIONS(23892), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553814] = 2,
    ACTIONS(23894), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553822] = 2,
    ACTIONS(15842), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553830] = 2,
    ACTIONS(23896), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553838] = 2,
    ACTIONS(23898), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553846] = 2,
    ACTIONS(23900), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553854] = 2,
    ACTIONS(23902), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553862] = 2,
    ACTIONS(23904), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553870] = 2,
    ACTIONS(14802), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553878] = 2,
    ACTIONS(23906), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553886] = 2,
    ACTIONS(15067), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553894] = 2,
    ACTIONS(23908), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553902] = 2,
    ACTIONS(23910), 1,
      sym_keyword_input,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553910] = 2,
    ACTIONS(23912), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553918] = 2,
    ACTIONS(23914), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553926] = 2,
    ACTIONS(23916), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553934] = 2,
    ACTIONS(23918), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553942] = 2,
    ACTIONS(17917), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553950] = 2,
    ACTIONS(23920), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553958] = 2,
    ACTIONS(23922), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553966] = 2,
    ACTIONS(23924), 1,
      sym__identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553974] = 2,
    ACTIONS(23926), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553982] = 2,
    ACTIONS(23928), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553990] = 2,
    ACTIONS(23930), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553998] = 2,
    ACTIONS(15406), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554006] = 2,
    ACTIONS(23932), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554014] = 2,
    ACTIONS(23934), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554022] = 2,
    ACTIONS(23936), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554030] = 2,
    ACTIONS(23938), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554038] = 2,
    ACTIONS(23940), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554046] = 2,
    ACTIONS(23942), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554054] = 2,
    ACTIONS(23944), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554062] = 2,
    ACTIONS(23946), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554070] = 2,
    ACTIONS(23948), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554078] = 2,
    ACTIONS(23950), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554086] = 2,
    ACTIONS(23952), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554094] = 2,
    ACTIONS(23954), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554102] = 2,
    ACTIONS(23956), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554110] = 2,
    ACTIONS(23958), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554118] = 2,
    ACTIONS(23960), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554126] = 2,
    ACTIONS(23962), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554134] = 2,
    ACTIONS(16400), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554142] = 2,
    ACTIONS(23964), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554150] = 2,
    ACTIONS(23966), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554158] = 2,
    ACTIONS(23968), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554166] = 2,
    ACTIONS(23970), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554174] = 2,
    ACTIONS(23972), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554182] = 2,
    ACTIONS(23974), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554190] = 2,
    ACTIONS(23976), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554198] = 2,
    ACTIONS(23978), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554206] = 2,
    ACTIONS(23980), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554214] = 2,
    ACTIONS(23982), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554222] = 2,
    ACTIONS(23984), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554230] = 2,
    ACTIONS(23986), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554238] = 2,
    ACTIONS(23988), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554246] = 2,
    ACTIONS(1725), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554254] = 2,
    ACTIONS(23990), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554262] = 2,
    ACTIONS(23992), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554270] = 2,
    ACTIONS(23994), 1,
      sym_keyword_index,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554278] = 2,
    ACTIONS(23996), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554286] = 2,
    ACTIONS(23998), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554294] = 2,
    ACTIONS(24000), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554302] = 2,
    ACTIONS(24002), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554310] = 2,
    ACTIONS(24004), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554318] = 2,
    ACTIONS(24006), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554326] = 2,
    ACTIONS(24008), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554334] = 2,
    ACTIONS(24010), 1,
      sym_keyword_index,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554342] = 2,
    ACTIONS(13856), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554350] = 2,
    ACTIONS(24012), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554358] = 2,
    ACTIONS(24014), 1,
      sym_keyword_rewrite,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554366] = 2,
    ACTIONS(24016), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554374] = 2,
    ACTIONS(24018), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554382] = 2,
    ACTIONS(24020), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554390] = 2,
    ACTIONS(24022), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554398] = 2,
    ACTIONS(24024), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554406] = 2,
    ACTIONS(24026), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554414] = 2,
    ACTIONS(24028), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554422] = 2,
    ACTIONS(24030), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554430] = 2,
    ACTIONS(24032), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554438] = 2,
    ACTIONS(16708), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554446] = 2,
    ACTIONS(24034), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554454] = 2,
    ACTIONS(24036), 1,
      sym_keyword_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554462] = 2,
    ACTIONS(24038), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554470] = 2,
    ACTIONS(24040), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554478] = 2,
    ACTIONS(24042), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554486] = 2,
    ACTIONS(24044), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554494] = 2,
    ACTIONS(24046), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554502] = 2,
    ACTIONS(15706), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554510] = 2,
    ACTIONS(18713), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554518] = 2,
    ACTIONS(24048), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554526] = 2,
    ACTIONS(24050), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554534] = 2,
    ACTIONS(24052), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554542] = 2,
    ACTIONS(24054), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554550] = 2,
    ACTIONS(24056), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554558] = 2,
    ACTIONS(14329), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554566] = 2,
    ACTIONS(24058), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554574] = 2,
    ACTIONS(24060), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554582] = 2,
    ACTIONS(24062), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554590] = 2,
    ACTIONS(24064), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554598] = 2,
    ACTIONS(24066), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554606] = 2,
    ACTIONS(20172), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554614] = 2,
    ACTIONS(24068), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554622] = 2,
    ACTIONS(24070), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554630] = 2,
    ACTIONS(24072), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554638] = 2,
    ACTIONS(24074), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554646] = 2,
    ACTIONS(24076), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554654] = 2,
    ACTIONS(24078), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554662] = 2,
    ACTIONS(24080), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554670] = 2,
    ACTIONS(24082), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554678] = 2,
    ACTIONS(24084), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554686] = 2,
    ACTIONS(17673), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554694] = 2,
    ACTIONS(24086), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554702] = 2,
    ACTIONS(16610), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554710] = 2,
    ACTIONS(24088), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554718] = 2,
    ACTIONS(24090), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554726] = 2,
    ACTIONS(24092), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554734] = 2,
    ACTIONS(24094), 1,
      sym_keyword_materialized,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554742] = 2,
    ACTIONS(24096), 1,
      sym_keyword_rewrite,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554750] = 2,
    ACTIONS(24098), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554758] = 2,
    ACTIONS(20184), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554766] = 2,
    ACTIONS(24100), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554774] = 2,
    ACTIONS(24102), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554782] = 2,
    ACTIONS(24104), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554790] = 2,
    ACTIONS(24106), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554798] = 2,
    ACTIONS(24108), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554806] = 2,
    ACTIONS(24110), 1,
      sym_keyword_check,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554814] = 2,
    ACTIONS(24112), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554822] = 2,
    ACTIONS(24114), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554830] = 2,
    ACTIONS(24116), 1,
      sym_keyword_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554838] = 2,
    ACTIONS(24118), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554846] = 2,
    ACTIONS(24120), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554854] = 2,
    ACTIONS(16312), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554862] = 2,
    ACTIONS(20186), 1,
      sym_keyword_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554870] = 2,
    ACTIONS(24122), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554878] = 2,
    ACTIONS(24124), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554886] = 2,
    ACTIONS(20188), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554894] = 2,
    ACTIONS(24126), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554902] = 2,
    ACTIONS(24128), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554910] = 2,
    ACTIONS(24130), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554918] = 2,
    ACTIONS(24132), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554926] = 2,
    ACTIONS(24134), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554934] = 2,
    ACTIONS(24136), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554942] = 2,
    ACTIONS(24138), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554950] = 2,
    ACTIONS(24140), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554958] = 2,
    ACTIONS(24142), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554966] = 2,
    ACTIONS(24144), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554974] = 2,
    ACTIONS(20194), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554982] = 2,
    ACTIONS(24146), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554990] = 2,
    ACTIONS(24148), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554998] = 2,
    ACTIONS(24150), 1,
      sym_keyword_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555006] = 2,
    ACTIONS(24152), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555014] = 2,
    ACTIONS(18960), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555022] = 2,
    ACTIONS(24154), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555030] = 2,
    ACTIONS(24156), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555038] = 2,
    ACTIONS(24158), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555046] = 2,
    ACTIONS(24160), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555054] = 2,
    ACTIONS(24162), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555062] = 2,
    ACTIONS(24164), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555070] = 2,
    ACTIONS(20210), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555078] = 2,
    ACTIONS(24166), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555086] = 2,
    ACTIONS(24168), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555094] = 2,
    ACTIONS(24170), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555102] = 2,
    ACTIONS(24172), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555110] = 2,
    ACTIONS(24174), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555118] = 2,
    ACTIONS(24176), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555126] = 2,
    ACTIONS(24178), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555134] = 2,
    ACTIONS(24180), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555142] = 2,
    ACTIONS(24182), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555150] = 2,
    ACTIONS(24184), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555158] = 2,
    ACTIONS(24186), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555166] = 2,
    ACTIONS(24188), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555174] = 2,
    ACTIONS(24190), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555182] = 2,
    ACTIONS(15945), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555190] = 2,
    ACTIONS(24192), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555198] = 2,
    ACTIONS(18707), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555206] = 2,
    ACTIONS(24194), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555214] = 2,
    ACTIONS(14944), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555222] = 2,
    ACTIONS(24196), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555230] = 2,
    ACTIONS(24198), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555238] = 2,
    ACTIONS(20364), 1,
      sym_keyword_deferrable,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555246] = 2,
    ACTIONS(24200), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555254] = 2,
    ACTIONS(20228), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555262] = 2,
    ACTIONS(24202), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555270] = 2,
    ACTIONS(24204), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555278] = 2,
    ACTIONS(15492), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555286] = 2,
    ACTIONS(24206), 1,
      sym_keyword_check,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555294] = 2,
    ACTIONS(24208), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555302] = 2,
    ACTIONS(24210), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555310] = 2,
    ACTIONS(24212), 1,
      aux_sym__integer_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555318] = 2,
    ACTIONS(22714), 1,
      sym_keyword_maxvalue,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555326] = 2,
    ACTIONS(24214), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555334] = 2,
    ACTIONS(24216), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555342] = 2,
    ACTIONS(24218), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555350] = 2,
    ACTIONS(24220), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555358] = 2,
    ACTIONS(24222), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555366] = 2,
    ACTIONS(24224), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555374] = 2,
    ACTIONS(16031), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555382] = 2,
    ACTIONS(24226), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555390] = 2,
    ACTIONS(19532), 1,
      sym_keyword_deferrable,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555398] = 2,
    ACTIONS(24228), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555406] = 2,
    ACTIONS(24230), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555414] = 2,
    ACTIONS(24232), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555422] = 2,
    ACTIONS(24234), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555430] = 2,
    ACTIONS(24236), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555438] = 2,
    ACTIONS(24238), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555446] = 2,
    ACTIONS(24240), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555454] = 2,
    ACTIONS(15017), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555462] = 2,
    ACTIONS(24242), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555470] = 2,
    ACTIONS(24244), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555478] = 2,
    ACTIONS(24246), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555486] = 2,
    ACTIONS(15197), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555494] = 2,
    ACTIONS(24248), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555502] = 2,
    ACTIONS(24250), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555510] = 2,
    ACTIONS(24252), 1,
      sym_keyword_not,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555518] = 2,
    ACTIONS(24254), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555526] = 2,
    ACTIONS(24256), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555534] = 2,
    ACTIONS(24258), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555542] = 2,
    ACTIONS(14828), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555550] = 2,
    ACTIONS(16287), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555558] = 2,
    ACTIONS(24260), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555566] = 2,
    ACTIONS(24262), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555574] = 2,
    ACTIONS(24264), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555582] = 2,
    ACTIONS(24266), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555590] = 2,
    ACTIONS(24268), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555598] = 2,
    ACTIONS(24270), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555606] = 2,
    ACTIONS(24272), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555614] = 2,
    ACTIONS(24274), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555622] = 2,
    ACTIONS(17382), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555630] = 2,
    ACTIONS(24276), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555638] = 2,
    ACTIONS(24278), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555646] = 2,
    ACTIONS(24280), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555654] = 2,
    ACTIONS(24282), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555662] = 2,
    ACTIONS(24284), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555670] = 2,
    ACTIONS(24286), 1,
      sym_keyword_password,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555678] = 2,
    ACTIONS(24288), 1,
      sym_keyword_cycle,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555686] = 2,
    ACTIONS(24290), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555694] = 2,
    ACTIONS(24292), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555702] = 2,
    ACTIONS(24294), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555710] = 2,
    ACTIONS(24296), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555718] = 2,
    ACTIONS(24298), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555726] = 2,
    ACTIONS(24300), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555734] = 2,
    ACTIONS(24302), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555742] = 2,
    ACTIONS(15781), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555750] = 2,
    ACTIONS(24304), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555758] = 2,
    ACTIONS(24306), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555766] = 2,
    ACTIONS(24308), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555774] = 2,
    ACTIONS(24310), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555782] = 2,
    ACTIONS(16412), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555790] = 2,
    ACTIONS(24312), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555798] = 2,
    ACTIONS(24314), 1,
      sym_keyword_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555806] = 2,
    ACTIONS(24316), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555814] = 2,
    ACTIONS(24318), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555822] = 2,
    ACTIONS(24320), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555830] = 2,
    ACTIONS(20272), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555838] = 2,
    ACTIONS(24322), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555846] = 2,
    ACTIONS(24324), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555854] = 2,
    ACTIONS(20276), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555862] = 2,
    ACTIONS(24326), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555870] = 2,
    ACTIONS(24328), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555878] = 2,
    ACTIONS(24330), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555886] = 2,
    ACTIONS(24332), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555894] = 2,
    ACTIONS(24334), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555902] = 2,
    ACTIONS(24336), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555910] = 2,
    ACTIONS(24338), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555918] = 2,
    ACTIONS(24340), 1,
      sym_keyword_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555926] = 2,
    ACTIONS(24342), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555934] = 2,
    ACTIONS(24344), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555942] = 2,
    ACTIONS(24346), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555950] = 2,
    ACTIONS(24348), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555958] = 2,
    ACTIONS(24350), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555966] = 2,
    ACTIONS(24352), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555974] = 2,
    ACTIONS(20286), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555982] = 2,
    ACTIONS(24354), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555990] = 2,
    ACTIONS(24356), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555998] = 2,
    ACTIONS(20290), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556006] = 2,
    ACTIONS(24358), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556014] = 2,
    ACTIONS(24360), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556022] = 2,
    ACTIONS(24362), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556030] = 2,
    ACTIONS(24364), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556038] = 2,
    ACTIONS(24366), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556046] = 2,
    ACTIONS(24368), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556054] = 2,
    ACTIONS(24370), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556062] = 2,
    ACTIONS(24372), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556070] = 2,
    ACTIONS(24374), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556078] = 2,
    ACTIONS(24376), 1,
      sym_keyword_schema,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556086] = 2,
    ACTIONS(24378), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556094] = 2,
    ACTIONS(24380), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556102] = 2,
    ACTIONS(20294), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556110] = 2,
    ACTIONS(24382), 1,
      sym_keyword_authorization,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556118] = 2,
    ACTIONS(24384), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556126] = 2,
    ACTIONS(20298), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556134] = 2,
    ACTIONS(24386), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556142] = 2,
    ACTIONS(24388), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556150] = 2,
    ACTIONS(24390), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556158] = 2,
    ACTIONS(24392), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556166] = 2,
    ACTIONS(24394), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556174] = 2,
    ACTIONS(24396), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556182] = 2,
    ACTIONS(24398), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556190] = 2,
    ACTIONS(24400), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556198] = 2,
    ACTIONS(24402), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556206] = 2,
    ACTIONS(24404), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556214] = 2,
    ACTIONS(19658), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556222] = 2,
    ACTIONS(24406), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556230] = 2,
    ACTIONS(20310), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556238] = 2,
    ACTIONS(24408), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556246] = 2,
    ACTIONS(24410), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556254] = 2,
    ACTIONS(20314), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556262] = 2,
    ACTIONS(24412), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556270] = 2,
    ACTIONS(24414), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556278] = 2,
    ACTIONS(24416), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556286] = 2,
    ACTIONS(24418), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556294] = 2,
    ACTIONS(24420), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556302] = 2,
    ACTIONS(24422), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556310] = 2,
    ACTIONS(24424), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556318] = 2,
    ACTIONS(24426), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556326] = 2,
    ACTIONS(24428), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556334] = 2,
    ACTIONS(24430), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556342] = 2,
    ACTIONS(24432), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556350] = 2,
    ACTIONS(24434), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556358] = 2,
    ACTIONS(20322), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556366] = 2,
    ACTIONS(24436), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556374] = 2,
    ACTIONS(24438), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556382] = 2,
    ACTIONS(24440), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556390] = 2,
    ACTIONS(24442), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556398] = 2,
    ACTIONS(24444), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556406] = 2,
    ACTIONS(24446), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556414] = 2,
    ACTIONS(24448), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556422] = 2,
    ACTIONS(24450), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556430] = 2,
    ACTIONS(24452), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556438] = 2,
    ACTIONS(19542), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556446] = 2,
    ACTIONS(24454), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556454] = 2,
    ACTIONS(24456), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556462] = 2,
    ACTIONS(20326), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556470] = 2,
    ACTIONS(24458), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556478] = 2,
    ACTIONS(24460), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556486] = 2,
    ACTIONS(24462), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556494] = 2,
    ACTIONS(24464), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556502] = 2,
    ACTIONS(24466), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556510] = 2,
    ACTIONS(24468), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556518] = 2,
    ACTIONS(24470), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556526] = 2,
    ACTIONS(24472), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556534] = 2,
    ACTIONS(24474), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556542] = 2,
    ACTIONS(24476), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556550] = 2,
    ACTIONS(24478), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556558] = 2,
    ACTIONS(24480), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556566] = 2,
    ACTIONS(24482), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556574] = 2,
    ACTIONS(24484), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556582] = 2,
    ACTIONS(24486), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556590] = 2,
    ACTIONS(24488), 1,
      sym_keyword_level,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556598] = 2,
    ACTIONS(24490), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556606] = 2,
    ACTIONS(24492), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556614] = 2,
    ACTIONS(24494), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556622] = 2,
    ACTIONS(24496), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556630] = 2,
    ACTIONS(24498), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556638] = 2,
    ACTIONS(24500), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556646] = 2,
    ACTIONS(24502), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556654] = 2,
    ACTIONS(24504), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556662] = 2,
    ACTIONS(24506), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556670] = 2,
    ACTIONS(24508), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556678] = 2,
    ACTIONS(24510), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556686] = 2,
    ACTIONS(24512), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556694] = 2,
    ACTIONS(24514), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556702] = 2,
    ACTIONS(24516), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556710] = 2,
    ACTIONS(24518), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556718] = 2,
    ACTIONS(24520), 1,
      sym_keyword_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556726] = 2,
    ACTIONS(24522), 1,
      sym_keyword_metadata,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556734] = 2,
    ACTIONS(24524), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556742] = 2,
    ACTIONS(24526), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556750] = 2,
    ACTIONS(24528), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556758] = 2,
    ACTIONS(24530), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556766] = 2,
    ACTIONS(24532), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556774] = 2,
    ACTIONS(24534), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556782] = 2,
    ACTIONS(24536), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556790] = 2,
    ACTIONS(24538), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556798] = 2,
    ACTIONS(15894), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556806] = 2,
    ACTIONS(24540), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556814] = 2,
    ACTIONS(24542), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556822] = 2,
    ACTIONS(24544), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556830] = 2,
    ACTIONS(24546), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556838] = 2,
    ACTIONS(24548), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556846] = 2,
    ACTIONS(24550), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556854] = 2,
    ACTIONS(24552), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556862] = 2,
    ACTIONS(24554), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556870] = 2,
    ACTIONS(24556), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556878] = 2,
    ACTIONS(24558), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556886] = 2,
    ACTIONS(24560), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556894] = 2,
    ACTIONS(24562), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556902] = 2,
    ACTIONS(24564), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556910] = 2,
    ACTIONS(24566), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556918] = 2,
    ACTIONS(22092), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556926] = 2,
    ACTIONS(24568), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556934] = 2,
    ACTIONS(24570), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556942] = 2,
    ACTIONS(24572), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556950] = 2,
    ACTIONS(24574), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556958] = 2,
    ACTIONS(24576), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556966] = 2,
    ACTIONS(24578), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556974] = 2,
    ACTIONS(24580), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556982] = 2,
    ACTIONS(24582), 1,
      sym_keyword_materialized,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556990] = 2,
    ACTIONS(24584), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556998] = 2,
    ACTIONS(24586), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557006] = 2,
    ACTIONS(24588), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557014] = 2,
    ACTIONS(24590), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557022] = 2,
    ACTIONS(24592), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557030] = 2,
    ACTIONS(24594), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557038] = 2,
    ACTIONS(24596), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557046] = 2,
    ACTIONS(24598), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557054] = 2,
    ACTIONS(24600), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557062] = 2,
    ACTIONS(24602), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557070] = 2,
    ACTIONS(24604), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557078] = 2,
    ACTIONS(24606), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557086] = 2,
    ACTIONS(24608), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557094] = 2,
    ACTIONS(24610), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557102] = 2,
    ACTIONS(24612), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557110] = 2,
    ACTIONS(24614), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557118] = 2,
    ACTIONS(24616), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557126] = 2,
    ACTIONS(24618), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557134] = 2,
    ACTIONS(24620), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557142] = 2,
    ACTIONS(24622), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557150] = 2,
    ACTIONS(24624), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557158] = 2,
    ACTIONS(24626), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557166] = 2,
    ACTIONS(24628), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557174] = 2,
    ACTIONS(24630), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557182] = 2,
    ACTIONS(24632), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557190] = 2,
    ACTIONS(24634), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557198] = 2,
    ACTIONS(24636), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557206] = 2,
    ACTIONS(24638), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557214] = 2,
    ACTIONS(24640), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557222] = 2,
    ACTIONS(24642), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557230] = 2,
    ACTIONS(24644), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557238] = 2,
    ACTIONS(24646), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557246] = 2,
    ACTIONS(24648), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557254] = 2,
    ACTIONS(24650), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557262] = 2,
    ACTIONS(24652), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557270] = 2,
    ACTIONS(24654), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557278] = 2,
    ACTIONS(24656), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557286] = 2,
    ACTIONS(24658), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557294] = 2,
    ACTIONS(24660), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557302] = 2,
    ACTIONS(24662), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557310] = 2,
    ACTIONS(24664), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557318] = 2,
    ACTIONS(24666), 1,
      sym_keyword_index,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557326] = 2,
    ACTIONS(24668), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557334] = 2,
    ACTIONS(24670), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557342] = 2,
    ACTIONS(24672), 1,
      sym_keyword_rewrite,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557350] = 2,
    ACTIONS(24674), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557358] = 2,
    ACTIONS(24676), 1,
      sym_keyword_authorization,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557366] = 2,
    ACTIONS(24678), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557374] = 2,
    ACTIONS(24680), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557382] = 2,
    ACTIONS(24682), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557390] = 2,
    ACTIONS(24684), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557398] = 2,
    ACTIONS(24686), 1,
      sym_keyword_level,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557406] = 2,
    ACTIONS(24688), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557414] = 2,
    ACTIONS(24690), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557422] = 2,
    ACTIONS(24692), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557430] = 2,
    ACTIONS(24694), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557438] = 2,
    ACTIONS(24696), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557446] = 2,
    ACTIONS(24698), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557454] = 2,
    ACTIONS(24700), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557462] = 2,
    ACTIONS(24702), 1,
      sym_keyword_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557470] = 2,
    ACTIONS(15191), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557478] = 2,
    ACTIONS(24704), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557486] = 2,
    ACTIONS(24706), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557494] = 2,
    ACTIONS(24708), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557502] = 2,
    ACTIONS(24710), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557510] = 2,
    ACTIONS(24712), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557518] = 2,
    ACTIONS(24714), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557526] = 2,
    ACTIONS(24716), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557534] = 2,
    ACTIONS(24718), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557542] = 2,
    ACTIONS(24720), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557550] = 2,
    ACTIONS(24722), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557558] = 2,
    ACTIONS(24724), 1,
      sym_keyword_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557566] = 2,
    ACTIONS(24726), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557574] = 2,
    ACTIONS(24728), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557582] = 2,
    ACTIONS(24730), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557590] = 2,
    ACTIONS(24732), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557598] = 2,
    ACTIONS(24734), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557606] = 2,
    ACTIONS(24736), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557614] = 2,
    ACTIONS(24738), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557622] = 2,
    ACTIONS(24740), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557630] = 2,
    ACTIONS(24742), 1,
      sym_keyword_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557638] = 2,
    ACTIONS(24744), 1,
      sym_keyword_row,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557646] = 2,
    ACTIONS(24746), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557654] = 2,
    ACTIONS(24748), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557662] = 2,
    ACTIONS(24750), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557670] = 2,
    ACTIONS(24752), 1,
      sym_keyword_action,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557678] = 2,
    ACTIONS(24754), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557686] = 2,
    ACTIONS(24756), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557694] = 2,
    ACTIONS(24758), 1,
      sym_keyword_metadata,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557702] = 2,
    ACTIONS(24760), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557710] = 2,
    ACTIONS(24762), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557718] = 2,
    ACTIONS(24764), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557726] = 2,
    ACTIONS(24766), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557734] = 2,
    ACTIONS(24768), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557742] = 2,
    ACTIONS(15580), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557750] = 2,
    ACTIONS(24770), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557758] = 2,
    ACTIONS(24772), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557766] = 2,
    ACTIONS(24774), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557774] = 2,
    ACTIONS(14908), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557782] = 2,
    ACTIONS(24776), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557790] = 2,
    ACTIONS(24778), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557798] = 2,
    ACTIONS(24780), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557806] = 2,
    ACTIONS(24782), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557814] = 2,
    ACTIONS(24784), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557822] = 2,
    ACTIONS(24786), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557830] = 2,
    ACTIONS(24788), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557838] = 2,
    ACTIONS(15736), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557846] = 2,
    ACTIONS(14953), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557854] = 2,
    ACTIONS(24790), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557862] = 2,
    ACTIONS(24792), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557870] = 2,
    ACTIONS(24794), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557878] = 2,
    ACTIONS(24796), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557886] = 2,
    ACTIONS(24798), 1,
      sym_keyword_bin_pack,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557894] = 2,
    ACTIONS(16420), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557902] = 2,
    ACTIONS(24800), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557910] = 2,
    ACTIONS(24802), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557918] = 2,
    ACTIONS(24804), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557926] = 2,
    ACTIONS(24806), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557934] = 2,
    ACTIONS(24808), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557942] = 2,
    ACTIONS(24810), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557950] = 2,
    ACTIONS(24812), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557958] = 2,
    ACTIONS(24814), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557966] = 2,
    ACTIONS(24816), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557974] = 2,
    ACTIONS(24818), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557982] = 2,
    ACTIONS(24820), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557990] = 2,
    ACTIONS(24822), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557998] = 2,
    ACTIONS(24824), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558006] = 2,
    ACTIONS(24826), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558014] = 2,
    ACTIONS(24828), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558022] = 2,
    ACTIONS(24830), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558030] = 2,
    ACTIONS(24832), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558038] = 2,
    ACTIONS(24834), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558046] = 2,
    ACTIONS(24836), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558054] = 2,
    ACTIONS(24838), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558062] = 2,
    ACTIONS(24840), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558070] = 2,
    ACTIONS(24842), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558078] = 2,
    ACTIONS(24844), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558086] = 2,
    ACTIONS(24846), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558094] = 2,
    ACTIONS(24848), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558102] = 2,
    ACTIONS(24850), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558110] = 2,
    ACTIONS(24852), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558118] = 2,
    ACTIONS(24854), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558126] = 2,
    ACTIONS(24856), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558134] = 2,
    ACTIONS(24858), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558142] = 2,
    ACTIONS(24860), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558150] = 2,
    ACTIONS(24862), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558158] = 2,
    ACTIONS(16154), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558166] = 2,
    ACTIONS(24864), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558174] = 2,
    ACTIONS(24866), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558182] = 2,
    ACTIONS(24868), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558190] = 2,
    ACTIONS(24870), 1,
      sym_keyword_ordinality,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558198] = 2,
    ACTIONS(24872), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558206] = 2,
    ACTIONS(24874), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558214] = 2,
    ACTIONS(24876), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558222] = 2,
    ACTIONS(16580), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558230] = 2,
    ACTIONS(24878), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558238] = 2,
    ACTIONS(24880), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558246] = 2,
    ACTIONS(24882), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558254] = 2,
    ACTIONS(24884), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558262] = 2,
    ACTIONS(24886), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558270] = 2,
    ACTIONS(24888), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558278] = 2,
    ACTIONS(24890), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558286] = 2,
    ACTIONS(24892), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558294] = 2,
    ACTIONS(24894), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558302] = 2,
    ACTIONS(14469), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558310] = 2,
    ACTIONS(24896), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558318] = 2,
    ACTIONS(24898), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558326] = 2,
    ACTIONS(24900), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558334] = 2,
    ACTIONS(24902), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558342] = 2,
    ACTIONS(24904), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558350] = 2,
    ACTIONS(24906), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558358] = 2,
    ACTIONS(24908), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558366] = 2,
    ACTIONS(24910), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558374] = 2,
    ACTIONS(24912), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558382] = 2,
    ACTIONS(24914), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558390] = 2,
    ACTIONS(24916), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558398] = 2,
    ACTIONS(24918), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558406] = 2,
    ACTIONS(24920), 1,
      sym_keyword_not,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558414] = 2,
    ACTIONS(24922), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558422] = 2,
    ACTIONS(24924), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558430] = 2,
    ACTIONS(24926), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558438] = 2,
    ACTIONS(24928), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558446] = 2,
    ACTIONS(24930), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558454] = 2,
    ACTIONS(24932), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558462] = 2,
    ACTIONS(24934), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558470] = 2,
    ACTIONS(24936), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558478] = 2,
    ACTIONS(24938), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558486] = 2,
    ACTIONS(24940), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558494] = 2,
    ACTIONS(24942), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558502] = 2,
    ACTIONS(24944), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558510] = 2,
    ACTIONS(24946), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558518] = 2,
    ACTIONS(24948), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558526] = 2,
    ACTIONS(21022), 1,
      sym_keyword_maxvalue,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558534] = 2,
    ACTIONS(24950), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558542] = 2,
    ACTIONS(24952), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558550] = 2,
    ACTIONS(24954), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558558] = 2,
    ACTIONS(24956), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558566] = 2,
    ACTIONS(24958), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558574] = 2,
    ACTIONS(24960), 1,
      aux_sym__integer_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558582] = 2,
    ACTIONS(24962), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558590] = 2,
    ACTIONS(24964), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558598] = 2,
    ACTIONS(24966), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558606] = 2,
    ACTIONS(24968), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558614] = 2,
    ACTIONS(24970), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558622] = 2,
    ACTIONS(24972), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558630] = 2,
    ACTIONS(24974), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558638] = 2,
    ACTIONS(24976), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558646] = 2,
    ACTIONS(24978), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558654] = 2,
    ACTIONS(24980), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558662] = 2,
    ACTIONS(14023), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558670] = 2,
    ACTIONS(17489), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558678] = 2,
    ACTIONS(24982), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558686] = 2,
    ACTIONS(24984), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558694] = 2,
    ACTIONS(24986), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558702] = 2,
    ACTIONS(24988), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558710] = 2,
    ACTIONS(24990), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558718] = 2,
    ACTIONS(16426), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558726] = 2,
    ACTIONS(19057), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558734] = 2,
    ACTIONS(24992), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558742] = 2,
    ACTIONS(24994), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558750] = 2,
    ACTIONS(24996), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558758] = 2,
    ACTIONS(24998), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558766] = 2,
    ACTIONS(25000), 1,
      sym_keyword_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558774] = 2,
    ACTIONS(25002), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558782] = 2,
    ACTIONS(25004), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558790] = 2,
    ACTIONS(25006), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558798] = 2,
    ACTIONS(17606), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558806] = 2,
    ACTIONS(16184), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558814] = 2,
    ACTIONS(25008), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558822] = 2,
    ACTIONS(25010), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558830] = 2,
    ACTIONS(25012), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558838] = 2,
    ACTIONS(25014), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558846] = 2,
    ACTIONS(25016), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558854] = 2,
    ACTIONS(25018), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558862] = 2,
    ACTIONS(25020), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558870] = 2,
    ACTIONS(25022), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558878] = 2,
    ACTIONS(25024), 1,
      sym_keyword_index,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558886] = 2,
    ACTIONS(25026), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558894] = 2,
    ACTIONS(25028), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558902] = 2,
    ACTIONS(25030), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558910] = 2,
    ACTIONS(25032), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558918] = 2,
    ACTIONS(25034), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558926] = 2,
    ACTIONS(15438), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558934] = 2,
    ACTIONS(25036), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558942] = 2,
    ACTIONS(25038), 1,
      sym_keyword_into,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558950] = 2,
    ACTIONS(25040), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558958] = 2,
    ACTIONS(15011), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558966] = 2,
    ACTIONS(25042), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558974] = 2,
    ACTIONS(25044), 1,
      sym_keyword_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558982] = 2,
    ACTIONS(25046), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558990] = 2,
    ACTIONS(25048), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558998] = 2,
    ACTIONS(25050), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559006] = 2,
    ACTIONS(25052), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559014] = 2,
    ACTIONS(17463), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559022] = 2,
    ACTIONS(25054), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559030] = 2,
    ACTIONS(25056), 1,
      sym_keyword_transaction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559038] = 2,
    ACTIONS(25058), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559046] = 2,
    ACTIONS(15548), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559054] = 2,
    ACTIONS(25060), 1,
      sym_keyword_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559062] = 2,
    ACTIONS(25062), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559070] = 2,
    ACTIONS(25064), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559078] = 2,
    ACTIONS(25066), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559086] = 2,
    ACTIONS(16430), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559094] = 2,
    ACTIONS(25068), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559102] = 2,
    ACTIONS(25070), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559110] = 2,
    ACTIONS(25072), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559118] = 2,
    ACTIONS(25074), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559126] = 2,
    ACTIONS(25076), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559134] = 2,
    ACTIONS(25078), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559142] = 2,
    ACTIONS(20392), 1,
      sym_keyword_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559150] = 2,
    ACTIONS(25080), 1,
      sym_keyword_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559158] = 2,
    ACTIONS(25082), 1,
      sym_keyword_until,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559166] = 2,
    ACTIONS(25084), 1,
      sym_keyword_transaction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559174] = 2,
    ACTIONS(25086), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559182] = 2,
    ACTIONS(25088), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559190] = 2,
    ACTIONS(25090), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559198] = 2,
    ACTIONS(25092), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559206] = 2,
    ACTIONS(25094), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559214] = 2,
    ACTIONS(25096), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559222] = 2,
    ACTIONS(25098), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559230] = 2,
    ACTIONS(25100), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559238] = 2,
    ACTIONS(25102), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559246] = 2,
    ACTIONS(19144), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559254] = 2,
    ACTIONS(25104), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559262] = 2,
    ACTIONS(19148), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559270] = 2,
    ACTIONS(19152), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559278] = 2,
    ACTIONS(25106), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559286] = 2,
    ACTIONS(19156), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559294] = 2,
    ACTIONS(25108), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559302] = 2,
    ACTIONS(25110), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559310] = 2,
    ACTIONS(19160), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559318] = 2,
    ACTIONS(19164), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559326] = 2,
    ACTIONS(25112), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559334] = 2,
    ACTIONS(19168), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559342] = 2,
    ACTIONS(25114), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559350] = 2,
    ACTIONS(25116), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559358] = 2,
    ACTIONS(25118), 1,
      sym_keyword_into,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559366] = 2,
    ACTIONS(25120), 1,
      sym_keyword_password,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559374] = 2,
    ACTIONS(25122), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559382] = 2,
    ACTIONS(25124), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559390] = 2,
    ACTIONS(25126), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559398] = 2,
    ACTIONS(25128), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559406] = 2,
    ACTIONS(25130), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559414] = 2,
    ACTIONS(25132), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559422] = 2,
    ACTIONS(25134), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559430] = 2,
    ACTIONS(25136), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559438] = 2,
    ACTIONS(25138), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559446] = 2,
    ACTIONS(25140), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559454] = 2,
    ACTIONS(25142), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559462] = 2,
    ACTIONS(25144), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559470] = 2,
    ACTIONS(25146), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559478] = 2,
    ACTIONS(25148), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559486] = 2,
    ACTIONS(17522), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559494] = 2,
    ACTIONS(25150), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559502] = 2,
    ACTIONS(25152), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559510] = 2,
    ACTIONS(16803), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559518] = 2,
    ACTIONS(25154), 1,
      aux_sym__integer_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559526] = 2,
    ACTIONS(16544), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559534] = 2,
    ACTIONS(25156), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559542] = 2,
    ACTIONS(17528), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559550] = 2,
    ACTIONS(25158), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559558] = 2,
    ACTIONS(25160), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559566] = 2,
    ACTIONS(25162), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559574] = 2,
    ACTIONS(25164), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559582] = 2,
    ACTIONS(25166), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559590] = 2,
    ACTIONS(25168), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559598] = 2,
    ACTIONS(16293), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(300)] = 0,
  [SMALL_STATE(301)] = 141,
  [SMALL_STATE(302)] = 282,
  [SMALL_STATE(303)] = 423,
  [SMALL_STATE(304)] = 564,
  [SMALL_STATE(305)] = 645,
  [SMALL_STATE(306)] = 736,
  [SMALL_STATE(307)] = 813,
  [SMALL_STATE(308)] = 954,
  [SMALL_STATE(309)] = 1095,
  [SMALL_STATE(310)] = 1236,
  [SMALL_STATE(311)] = 1377,
  [SMALL_STATE(312)] = 1518,
  [SMALL_STATE(313)] = 1659,
  [SMALL_STATE(314)] = 1800,
  [SMALL_STATE(315)] = 1941,
  [SMALL_STATE(316)] = 2082,
  [SMALL_STATE(317)] = 2223,
  [SMALL_STATE(318)] = 2364,
  [SMALL_STATE(319)] = 2505,
  [SMALL_STATE(320)] = 2646,
  [SMALL_STATE(321)] = 2787,
  [SMALL_STATE(322)] = 2928,
  [SMALL_STATE(323)] = 3069,
  [SMALL_STATE(324)] = 3210,
  [SMALL_STATE(325)] = 3351,
  [SMALL_STATE(326)] = 3492,
  [SMALL_STATE(327)] = 3633,
  [SMALL_STATE(328)] = 3774,
  [SMALL_STATE(329)] = 3915,
  [SMALL_STATE(330)] = 4056,
  [SMALL_STATE(331)] = 4197,
  [SMALL_STATE(332)] = 4338,
  [SMALL_STATE(333)] = 4479,
  [SMALL_STATE(334)] = 4620,
  [SMALL_STATE(335)] = 4761,
  [SMALL_STATE(336)] = 4902,
  [SMALL_STATE(337)] = 5043,
  [SMALL_STATE(338)] = 5184,
  [SMALL_STATE(339)] = 5325,
  [SMALL_STATE(340)] = 5466,
  [SMALL_STATE(341)] = 5607,
  [SMALL_STATE(342)] = 5748,
  [SMALL_STATE(343)] = 5889,
  [SMALL_STATE(344)] = 6030,
  [SMALL_STATE(345)] = 6171,
  [SMALL_STATE(346)] = 6312,
  [SMALL_STATE(347)] = 6453,
  [SMALL_STATE(348)] = 6594,
  [SMALL_STATE(349)] = 6735,
  [SMALL_STATE(350)] = 6842,
  [SMALL_STATE(351)] = 6951,
  [SMALL_STATE(352)] = 7048,
  [SMALL_STATE(353)] = 7131,
  [SMALL_STATE(354)] = 7222,
  [SMALL_STATE(355)] = 7309,
  [SMALL_STATE(356)] = 7390,
  [SMALL_STATE(357)] = 7491,
  [SMALL_STATE(358)] = 7596,
  [SMALL_STATE(359)] = 7701,
  [SMALL_STATE(360)] = 7842,
  [SMALL_STATE(361)] = 7983,
  [SMALL_STATE(362)] = 8124,
  [SMALL_STATE(363)] = 8265,
  [SMALL_STATE(364)] = 8406,
  [SMALL_STATE(365)] = 8547,
  [SMALL_STATE(366)] = 8688,
  [SMALL_STATE(367)] = 8829,
  [SMALL_STATE(368)] = 8970,
  [SMALL_STATE(369)] = 9111,
  [SMALL_STATE(370)] = 9252,
  [SMALL_STATE(371)] = 9393,
  [SMALL_STATE(372)] = 9534,
  [SMALL_STATE(373)] = 9675,
  [SMALL_STATE(374)] = 9749,
  [SMALL_STATE(375)] = 9823,
  [SMALL_STATE(376)] = 9897,
  [SMALL_STATE(377)] = 9971,
  [SMALL_STATE(378)] = 10045,
  [SMALL_STATE(379)] = 10119,
  [SMALL_STATE(380)] = 10193,
  [SMALL_STATE(381)] = 10263,
  [SMALL_STATE(382)] = 10337,
  [SMALL_STATE(383)] = 10411,
  [SMALL_STATE(384)] = 10485,
  [SMALL_STATE(385)] = 10559,
  [SMALL_STATE(386)] = 10633,
  [SMALL_STATE(387)] = 10707,
  [SMALL_STATE(388)] = 10781,
  [SMALL_STATE(389)] = 10855,
  [SMALL_STATE(390)] = 10929,
  [SMALL_STATE(391)] = 11003,
  [SMALL_STATE(392)] = 11077,
  [SMALL_STATE(393)] = 11151,
  [SMALL_STATE(394)] = 11224,
  [SMALL_STATE(395)] = 11297,
  [SMALL_STATE(396)] = 11370,
  [SMALL_STATE(397)] = 11438,
  [SMALL_STATE(398)] = 11506,
  [SMALL_STATE(399)] = 11582,
  [SMALL_STATE(400)] = 11650,
  [SMALL_STATE(401)] = 11718,
  [SMALL_STATE(402)] = 11786,
  [SMALL_STATE(403)] = 11854,
  [SMALL_STATE(404)] = 11922,
  [SMALL_STATE(405)] = 11990,
  [SMALL_STATE(406)] = 12058,
  [SMALL_STATE(407)] = 12126,
  [SMALL_STATE(408)] = 12194,
  [SMALL_STATE(409)] = 12262,
  [SMALL_STATE(410)] = 12330,
  [SMALL_STATE(411)] = 12398,
  [SMALL_STATE(412)] = 12466,
  [SMALL_STATE(413)] = 12534,
  [SMALL_STATE(414)] = 12602,
  [SMALL_STATE(415)] = 12670,
  [SMALL_STATE(416)] = 12738,
  [SMALL_STATE(417)] = 12806,
  [SMALL_STATE(418)] = 12877,
  [SMALL_STATE(419)] = 12948,
  [SMALL_STATE(420)] = 13019,
  [SMALL_STATE(421)] = 13090,
  [SMALL_STATE(422)] = 13157,
  [SMALL_STATE(423)] = 13228,
  [SMALL_STATE(424)] = 13299,
  [SMALL_STATE(425)] = 13370,
  [SMALL_STATE(426)] = 13445,
  [SMALL_STATE(427)] = 13520,
  [SMALL_STATE(428)] = 13591,
  [SMALL_STATE(429)] = 13662,
  [SMALL_STATE(430)] = 13729,
  [SMALL_STATE(431)] = 13796,
  [SMALL_STATE(432)] = 13871,
  [SMALL_STATE(433)] = 13946,
  [SMALL_STATE(434)] = 14013,
  [SMALL_STATE(435)] = 14080,
  [SMALL_STATE(436)] = 14155,
  [SMALL_STATE(437)] = 14222,
  [SMALL_STATE(438)] = 14289,
  [SMALL_STATE(439)] = 14356,
  [SMALL_STATE(440)] = 14423,
  [SMALL_STATE(441)] = 14496,
  [SMALL_STATE(442)] = 14567,
  [SMALL_STATE(443)] = 14640,
  [SMALL_STATE(444)] = 14713,
  [SMALL_STATE(445)] = 14786,
  [SMALL_STATE(446)] = 14859,
  [SMALL_STATE(447)] = 14932,
  [SMALL_STATE(448)] = 15003,
  [SMALL_STATE(449)] = 15074,
  [SMALL_STATE(450)] = 15145,
  [SMALL_STATE(451)] = 15216,
  [SMALL_STATE(452)] = 15287,
  [SMALL_STATE(453)] = 15360,
  [SMALL_STATE(454)] = 15433,
  [SMALL_STATE(455)] = 15504,
  [SMALL_STATE(456)] = 15575,
  [SMALL_STATE(457)] = 15646,
  [SMALL_STATE(458)] = 15717,
  [SMALL_STATE(459)] = 15843,
  [SMALL_STATE(460)] = 15913,
  [SMALL_STATE(461)] = 16039,
  [SMALL_STATE(462)] = 16109,
  [SMALL_STATE(463)] = 16179,
  [SMALL_STATE(464)] = 16305,
  [SMALL_STATE(465)] = 16375,
  [SMALL_STATE(466)] = 16445,
  [SMALL_STATE(467)] = 16571,
  [SMALL_STATE(468)] = 16641,
  [SMALL_STATE(469)] = 16711,
  [SMALL_STATE(470)] = 16837,
  [SMALL_STATE(471)] = 16907,
  [SMALL_STATE(472)] = 16977,
  [SMALL_STATE(473)] = 17047,
  [SMALL_STATE(474)] = 17123,
  [SMALL_STATE(475)] = 17209,
  [SMALL_STATE(476)] = 17311,
  [SMALL_STATE(477)] = 17415,
  [SMALL_STATE(478)] = 17487,
  [SMALL_STATE(479)] = 17579,
  [SMALL_STATE(480)] = 17657,
  [SMALL_STATE(481)] = 17743,
  [SMALL_STATE(482)] = 17825,
  [SMALL_STATE(483)] = 17901,
  [SMALL_STATE(484)] = 17971,
  [SMALL_STATE(485)] = 18067,
  [SMALL_STATE(486)] = 18167,
  [SMALL_STATE(487)] = 18267,
  [SMALL_STATE(488)] = 18393,
  [SMALL_STATE(489)] = 18519,
  [SMALL_STATE(490)] = 18587,
  [SMALL_STATE(491)] = 18653,
  [SMALL_STATE(492)] = 18725,
  [SMALL_STATE(493)] = 18797,
  [SMALL_STATE(494)] = 18923,
  [SMALL_STATE(495)] = 19049,
  [SMALL_STATE(496)] = 19175,
  [SMALL_STATE(497)] = 19301,
  [SMALL_STATE(498)] = 19427,
  [SMALL_STATE(499)] = 19497,
  [SMALL_STATE(500)] = 19567,
  [SMALL_STATE(501)] = 19693,
  [SMALL_STATE(502)] = 19823,
  [SMALL_STATE(503)] = 19891,
  [SMALL_STATE(504)] = 19961,
  [SMALL_STATE(505)] = 20087,
  [SMALL_STATE(506)] = 20213,
  [SMALL_STATE(507)] = 20283,
  [SMALL_STATE(508)] = 20353,
  [SMALL_STATE(509)] = 20479,
  [SMALL_STATE(510)] = 20605,
  [SMALL_STATE(511)] = 20675,
  [SMALL_STATE(512)] = 20745,
  [SMALL_STATE(513)] = 20815,
  [SMALL_STATE(514)] = 20941,
  [SMALL_STATE(515)] = 21067,
  [SMALL_STATE(516)] = 21137,
  [SMALL_STATE(517)] = 21207,
  [SMALL_STATE(518)] = 21277,
  [SMALL_STATE(519)] = 21347,
  [SMALL_STATE(520)] = 21473,
  [SMALL_STATE(521)] = 21543,
  [SMALL_STATE(522)] = 21669,
  [SMALL_STATE(523)] = 21739,
  [SMALL_STATE(524)] = 21809,
  [SMALL_STATE(525)] = 21935,
  [SMALL_STATE(526)] = 22061,
  [SMALL_STATE(527)] = 22131,
  [SMALL_STATE(528)] = 22201,
  [SMALL_STATE(529)] = 22271,
  [SMALL_STATE(530)] = 22341,
  [SMALL_STATE(531)] = 22411,
  [SMALL_STATE(532)] = 22537,
  [SMALL_STATE(533)] = 22607,
  [SMALL_STATE(534)] = 22733,
  [SMALL_STATE(535)] = 22858,
  [SMALL_STATE(536)] = 22925,
  [SMALL_STATE(537)] = 22996,
  [SMALL_STATE(538)] = 23063,
  [SMALL_STATE(539)] = 23158,
  [SMALL_STATE(540)] = 23223,
  [SMALL_STATE(541)] = 23348,
  [SMALL_STATE(542)] = 23471,
  [SMALL_STATE(543)] = 23536,
  [SMALL_STATE(544)] = 23603,
  [SMALL_STATE(545)] = 23670,
  [SMALL_STATE(546)] = 23737,
  [SMALL_STATE(547)] = 23804,
  [SMALL_STATE(548)] = 23871,
  [SMALL_STATE(549)] = 23994,
  [SMALL_STATE(550)] = 24117,
  [SMALL_STATE(551)] = 24184,
  [SMALL_STATE(552)] = 24283,
  [SMALL_STATE(553)] = 24350,
  [SMALL_STATE(554)] = 24417,
  [SMALL_STATE(555)] = 24482,
  [SMALL_STATE(556)] = 24605,
  [SMALL_STATE(557)] = 24728,
  [SMALL_STATE(558)] = 24851,
  [SMALL_STATE(559)] = 24916,
  [SMALL_STATE(560)] = 25039,
  [SMALL_STATE(561)] = 25162,
  [SMALL_STATE(562)] = 25227,
  [SMALL_STATE(563)] = 25326,
  [SMALL_STATE(564)] = 25451,
  [SMALL_STATE(565)] = 25516,
  [SMALL_STATE(566)] = 25591,
  [SMALL_STATE(567)] = 25676,
  [SMALL_STATE(568)] = 25741,
  [SMALL_STATE(569)] = 25806,
  [SMALL_STATE(570)] = 25871,
  [SMALL_STATE(571)] = 25994,
  [SMALL_STATE(572)] = 26117,
  [SMALL_STATE(573)] = 26182,
  [SMALL_STATE(574)] = 26247,
  [SMALL_STATE(575)] = 26312,
  [SMALL_STATE(576)] = 26435,
  [SMALL_STATE(577)] = 26506,
  [SMALL_STATE(578)] = 26571,
  [SMALL_STATE(579)] = 26636,
  [SMALL_STATE(580)] = 26701,
  [SMALL_STATE(581)] = 26766,
  [SMALL_STATE(582)] = 26889,
  [SMALL_STATE(583)] = 26954,
  [SMALL_STATE(584)] = 27019,
  [SMALL_STATE(585)] = 27144,
  [SMALL_STATE(586)] = 27209,
  [SMALL_STATE(587)] = 27274,
  [SMALL_STATE(588)] = 27397,
  [SMALL_STATE(589)] = 27522,
  [SMALL_STATE(590)] = 27591,
  [SMALL_STATE(591)] = 27714,
  [SMALL_STATE(592)] = 27837,
  [SMALL_STATE(593)] = 27904,
  [SMALL_STATE(594)] = 27971,
  [SMALL_STATE(595)] = 28098,
  [SMALL_STATE(596)] = 28221,
  [SMALL_STATE(597)] = 28344,
  [SMALL_STATE(598)] = 28413,
  [SMALL_STATE(599)] = 28540,
  [SMALL_STATE(600)] = 28607,
  [SMALL_STATE(601)] = 28674,
  [SMALL_STATE(602)] = 28741,
  [SMALL_STATE(603)] = 28810,
  [SMALL_STATE(604)] = 28879,
  [SMALL_STATE(605)] = 28948,
  [SMALL_STATE(606)] = 29013,
  [SMALL_STATE(607)] = 29082,
  [SMALL_STATE(608)] = 29149,
  [SMALL_STATE(609)] = 29214,
  [SMALL_STATE(610)] = 29281,
  [SMALL_STATE(611)] = 29348,
  [SMALL_STATE(612)] = 29471,
  [SMALL_STATE(613)] = 29594,
  [SMALL_STATE(614)] = 29695,
  [SMALL_STATE(615)] = 29798,
  [SMALL_STATE(616)] = 29889,
  [SMALL_STATE(617)] = 29966,
  [SMALL_STATE(618)] = 30051,
  [SMALL_STATE(619)] = 30118,
  [SMALL_STATE(620)] = 30185,
  [SMALL_STATE(621)] = 30250,
  [SMALL_STATE(622)] = 30317,
  [SMALL_STATE(623)] = 30398,
  [SMALL_STATE(624)] = 30465,
  [SMALL_STATE(625)] = 30532,
  [SMALL_STATE(626)] = 30599,
  [SMALL_STATE(627)] = 30666,
  [SMALL_STATE(628)] = 30789,
  [SMALL_STATE(629)] = 30912,
  [SMALL_STATE(630)] = 31035,
  [SMALL_STATE(631)] = 31158,
  [SMALL_STATE(632)] = 31281,
  [SMALL_STATE(633)] = 31404,
  [SMALL_STATE(634)] = 31529,
  [SMALL_STATE(635)] = 31596,
  [SMALL_STATE(636)] = 31721,
  [SMALL_STATE(637)] = 31846,
  [SMALL_STATE(638)] = 31969,
  [SMALL_STATE(639)] = 32092,
  [SMALL_STATE(640)] = 32215,
  [SMALL_STATE(641)] = 32338,
  [SMALL_STATE(642)] = 32461,
  [SMALL_STATE(643)] = 32584,
  [SMALL_STATE(644)] = 32707,
  [SMALL_STATE(645)] = 32830,
  [SMALL_STATE(646)] = 32953,
  [SMALL_STATE(647)] = 33078,
  [SMALL_STATE(648)] = 33203,
  [SMALL_STATE(649)] = 33328,
  [SMALL_STATE(650)] = 33453,
  [SMALL_STATE(651)] = 33578,
  [SMALL_STATE(652)] = 33703,
  [SMALL_STATE(653)] = 33828,
  [SMALL_STATE(654)] = 33953,
  [SMALL_STATE(655)] = 34078,
  [SMALL_STATE(656)] = 34203,
  [SMALL_STATE(657)] = 34328,
  [SMALL_STATE(658)] = 34453,
  [SMALL_STATE(659)] = 34578,
  [SMALL_STATE(660)] = 34703,
  [SMALL_STATE(661)] = 34828,
  [SMALL_STATE(662)] = 34953,
  [SMALL_STATE(663)] = 35078,
  [SMALL_STATE(664)] = 35203,
  [SMALL_STATE(665)] = 35328,
  [SMALL_STATE(666)] = 35453,
  [SMALL_STATE(667)] = 35578,
  [SMALL_STATE(668)] = 35703,
  [SMALL_STATE(669)] = 35828,
  [SMALL_STATE(670)] = 35953,
  [SMALL_STATE(671)] = 36078,
  [SMALL_STATE(672)] = 36203,
  [SMALL_STATE(673)] = 36328,
  [SMALL_STATE(674)] = 36453,
  [SMALL_STATE(675)] = 36578,
  [SMALL_STATE(676)] = 36703,
  [SMALL_STATE(677)] = 36828,
  [SMALL_STATE(678)] = 36895,
  [SMALL_STATE(679)] = 37020,
  [SMALL_STATE(680)] = 37145,
  [SMALL_STATE(681)] = 37270,
  [SMALL_STATE(682)] = 37395,
  [SMALL_STATE(683)] = 37520,
  [SMALL_STATE(684)] = 37645,
  [SMALL_STATE(685)] = 37770,
  [SMALL_STATE(686)] = 37895,
  [SMALL_STATE(687)] = 38020,
  [SMALL_STATE(688)] = 38145,
  [SMALL_STATE(689)] = 38270,
  [SMALL_STATE(690)] = 38395,
  [SMALL_STATE(691)] = 38520,
  [SMALL_STATE(692)] = 38645,
  [SMALL_STATE(693)] = 38770,
  [SMALL_STATE(694)] = 38895,
  [SMALL_STATE(695)] = 39020,
  [SMALL_STATE(696)] = 39145,
  [SMALL_STATE(697)] = 39270,
  [SMALL_STATE(698)] = 39395,
  [SMALL_STATE(699)] = 39520,
  [SMALL_STATE(700)] = 39645,
  [SMALL_STATE(701)] = 39770,
  [SMALL_STATE(702)] = 39895,
  [SMALL_STATE(703)] = 40020,
  [SMALL_STATE(704)] = 40145,
  [SMALL_STATE(705)] = 40270,
  [SMALL_STATE(706)] = 40395,
  [SMALL_STATE(707)] = 40520,
  [SMALL_STATE(708)] = 40645,
  [SMALL_STATE(709)] = 40770,
  [SMALL_STATE(710)] = 40895,
  [SMALL_STATE(711)] = 40962,
  [SMALL_STATE(712)] = 41029,
  [SMALL_STATE(713)] = 41096,
  [SMALL_STATE(714)] = 41163,
  [SMALL_STATE(715)] = 41238,
  [SMALL_STATE(716)] = 41305,
  [SMALL_STATE(717)] = 41372,
  [SMALL_STATE(718)] = 41439,
  [SMALL_STATE(719)] = 41506,
  [SMALL_STATE(720)] = 41631,
  [SMALL_STATE(721)] = 41751,
  [SMALL_STATE(722)] = 41815,
  [SMALL_STATE(723)] = 41879,
  [SMALL_STATE(724)] = 41943,
  [SMALL_STATE(725)] = 42007,
  [SMALL_STATE(726)] = 42071,
  [SMALL_STATE(727)] = 42135,
  [SMALL_STATE(728)] = 42199,
  [SMALL_STATE(729)] = 42263,
  [SMALL_STATE(730)] = 42327,
  [SMALL_STATE(731)] = 42391,
  [SMALL_STATE(732)] = 42455,
  [SMALL_STATE(733)] = 42519,
  [SMALL_STATE(734)] = 42587,
  [SMALL_STATE(735)] = 42707,
  [SMALL_STATE(736)] = 42827,
  [SMALL_STATE(737)] = 42895,
  [SMALL_STATE(738)] = 42999,
  [SMALL_STATE(739)] = 43063,
  [SMALL_STATE(740)] = 43127,
  [SMALL_STATE(741)] = 43191,
  [SMALL_STATE(742)] = 43255,
  [SMALL_STATE(743)] = 43319,
  [SMALL_STATE(744)] = 43383,
  [SMALL_STATE(745)] = 43447,
  [SMALL_STATE(746)] = 43511,
  [SMALL_STATE(747)] = 43575,
  [SMALL_STATE(748)] = 43639,
  [SMALL_STATE(749)] = 43703,
  [SMALL_STATE(750)] = 43767,
  [SMALL_STATE(751)] = 43871,
  [SMALL_STATE(752)] = 43935,
  [SMALL_STATE(753)] = 44039,
  [SMALL_STATE(754)] = 44103,
  [SMALL_STATE(755)] = 44223,
  [SMALL_STATE(756)] = 44287,
  [SMALL_STATE(757)] = 44391,
  [SMALL_STATE(758)] = 44455,
  [SMALL_STATE(759)] = 44519,
  [SMALL_STATE(760)] = 44583,
  [SMALL_STATE(761)] = 44647,
  [SMALL_STATE(762)] = 44711,
  [SMALL_STATE(763)] = 44775,
  [SMALL_STATE(764)] = 44839,
  [SMALL_STATE(765)] = 44903,
  [SMALL_STATE(766)] = 44967,
  [SMALL_STATE(767)] = 45031,
  [SMALL_STATE(768)] = 45095,
  [SMALL_STATE(769)] = 45199,
  [SMALL_STATE(770)] = 45303,
  [SMALL_STATE(771)] = 45367,
  [SMALL_STATE(772)] = 45431,
  [SMALL_STATE(773)] = 45495,
  [SMALL_STATE(774)] = 45559,
  [SMALL_STATE(775)] = 45623,
  [SMALL_STATE(776)] = 45687,
  [SMALL_STATE(777)] = 45791,
  [SMALL_STATE(778)] = 45855,
  [SMALL_STATE(779)] = 45919,
  [SMALL_STATE(780)] = 45983,
  [SMALL_STATE(781)] = 46057,
  [SMALL_STATE(782)] = 46141,
  [SMALL_STATE(783)] = 46211,
  [SMALL_STATE(784)] = 46275,
  [SMALL_STATE(785)] = 46379,
  [SMALL_STATE(786)] = 46443,
  [SMALL_STATE(787)] = 46507,
  [SMALL_STATE(788)] = 46571,
  [SMALL_STATE(789)] = 46637,
  [SMALL_STATE(790)] = 46741,
  [SMALL_STATE(791)] = 46861,
  [SMALL_STATE(792)] = 46961,
  [SMALL_STATE(793)] = 47063,
  [SMALL_STATE(794)] = 47167,
  [SMALL_STATE(795)] = 47287,
  [SMALL_STATE(796)] = 47377,
  [SMALL_STATE(797)] = 47497,
  [SMALL_STATE(798)] = 47573,
  [SMALL_STATE(799)] = 47657,
  [SMALL_STATE(800)] = 47737,
  [SMALL_STATE(801)] = 47811,
  [SMALL_STATE(802)] = 47905,
  [SMALL_STATE(803)] = 48025,
  [SMALL_STATE(804)] = 48145,
  [SMALL_STATE(805)] = 48265,
  [SMALL_STATE(806)] = 48329,
  [SMALL_STATE(807)] = 48449,
  [SMALL_STATE(808)] = 48569,
  [SMALL_STATE(809)] = 48689,
  [SMALL_STATE(810)] = 48809,
  [SMALL_STATE(811)] = 48929,
  [SMALL_STATE(812)] = 49049,
  [SMALL_STATE(813)] = 49113,
  [SMALL_STATE(814)] = 49233,
  [SMALL_STATE(815)] = 49353,
  [SMALL_STATE(816)] = 49473,
  [SMALL_STATE(817)] = 49571,
  [SMALL_STATE(818)] = 49691,
  [SMALL_STATE(819)] = 49811,
  [SMALL_STATE(820)] = 49931,
  [SMALL_STATE(821)] = 49995,
  [SMALL_STATE(822)] = 50059,
  [SMALL_STATE(823)] = 50123,
  [SMALL_STATE(824)] = 50187,
  [SMALL_STATE(825)] = 50285,
  [SMALL_STATE(826)] = 50389,
  [SMALL_STATE(827)] = 50453,
  [SMALL_STATE(828)] = 50517,
  [SMALL_STATE(829)] = 50581,
  [SMALL_STATE(830)] = 50701,
  [SMALL_STATE(831)] = 50765,
  [SMALL_STATE(832)] = 50829,
  [SMALL_STATE(833)] = 50949,
  [SMALL_STATE(834)] = 51013,
  [SMALL_STATE(835)] = 51077,
  [SMALL_STATE(836)] = 51141,
  [SMALL_STATE(837)] = 51205,
  [SMALL_STATE(838)] = 51269,
  [SMALL_STATE(839)] = 51333,
  [SMALL_STATE(840)] = 51397,
  [SMALL_STATE(841)] = 51501,
  [SMALL_STATE(842)] = 51565,
  [SMALL_STATE(843)] = 51629,
  [SMALL_STATE(844)] = 51749,
  [SMALL_STATE(845)] = 51813,
  [SMALL_STATE(846)] = 51877,
  [SMALL_STATE(847)] = 51997,
  [SMALL_STATE(848)] = 52061,
  [SMALL_STATE(849)] = 52125,
  [SMALL_STATE(850)] = 52189,
  [SMALL_STATE(851)] = 52253,
  [SMALL_STATE(852)] = 52317,
  [SMALL_STATE(853)] = 52381,
  [SMALL_STATE(854)] = 52447,
  [SMALL_STATE(855)] = 52551,
  [SMALL_STATE(856)] = 52615,
  [SMALL_STATE(857)] = 52679,
  [SMALL_STATE(858)] = 52747,
  [SMALL_STATE(859)] = 52811,
  [SMALL_STATE(860)] = 52875,
  [SMALL_STATE(861)] = 52939,
  [SMALL_STATE(862)] = 53059,
  [SMALL_STATE(863)] = 53123,
  [SMALL_STATE(864)] = 53187,
  [SMALL_STATE(865)] = 53251,
  [SMALL_STATE(866)] = 53315,
  [SMALL_STATE(867)] = 53379,
  [SMALL_STATE(868)] = 53443,
  [SMALL_STATE(869)] = 53546,
  [SMALL_STATE(870)] = 53649,
  [SMALL_STATE(871)] = 53712,
  [SMALL_STATE(872)] = 53775,
  [SMALL_STATE(873)] = 53838,
  [SMALL_STATE(874)] = 53901,
  [SMALL_STATE(875)] = 53964,
  [SMALL_STATE(876)] = 54027,
  [SMALL_STATE(877)] = 54090,
  [SMALL_STATE(878)] = 54209,
  [SMALL_STATE(879)] = 54272,
  [SMALL_STATE(880)] = 54335,
  [SMALL_STATE(881)] = 54438,
  [SMALL_STATE(882)] = 54501,
  [SMALL_STATE(883)] = 54564,
  [SMALL_STATE(884)] = 54627,
  [SMALL_STATE(885)] = 54690,
  [SMALL_STATE(886)] = 54753,
  [SMALL_STATE(887)] = 54816,
  [SMALL_STATE(888)] = 54879,
  [SMALL_STATE(889)] = 54942,
  [SMALL_STATE(890)] = 55005,
  [SMALL_STATE(891)] = 55108,
  [SMALL_STATE(892)] = 55171,
  [SMALL_STATE(893)] = 55234,
  [SMALL_STATE(894)] = 55297,
  [SMALL_STATE(895)] = 55360,
  [SMALL_STATE(896)] = 55423,
  [SMALL_STATE(897)] = 55486,
  [SMALL_STATE(898)] = 55549,
  [SMALL_STATE(899)] = 55652,
  [SMALL_STATE(900)] = 55715,
  [SMALL_STATE(901)] = 55818,
  [SMALL_STATE(902)] = 55921,
  [SMALL_STATE(903)] = 56024,
  [SMALL_STATE(904)] = 56127,
  [SMALL_STATE(905)] = 56190,
  [SMALL_STATE(906)] = 56293,
  [SMALL_STATE(907)] = 56396,
  [SMALL_STATE(908)] = 56499,
  [SMALL_STATE(909)] = 56562,
  [SMALL_STATE(910)] = 56625,
  [SMALL_STATE(911)] = 56688,
  [SMALL_STATE(912)] = 56751,
  [SMALL_STATE(913)] = 56814,
  [SMALL_STATE(914)] = 56877,
  [SMALL_STATE(915)] = 56940,
  [SMALL_STATE(916)] = 57003,
  [SMALL_STATE(917)] = 57066,
  [SMALL_STATE(918)] = 57129,
  [SMALL_STATE(919)] = 57192,
  [SMALL_STATE(920)] = 57295,
  [SMALL_STATE(921)] = 57358,
  [SMALL_STATE(922)] = 57421,
  [SMALL_STATE(923)] = 57484,
  [SMALL_STATE(924)] = 57603,
  [SMALL_STATE(925)] = 57706,
  [SMALL_STATE(926)] = 57809,
  [SMALL_STATE(927)] = 57923,
  [SMALL_STATE(928)] = 58039,
  [SMALL_STATE(929)] = 58153,
  [SMALL_STATE(930)] = 58231,
  [SMALL_STATE(931)] = 58309,
  [SMALL_STATE(932)] = 58423,
  [SMALL_STATE(933)] = 58539,
  [SMALL_STATE(934)] = 58609,
  [SMALL_STATE(935)] = 58687,
  [SMALL_STATE(936)] = 58801,
  [SMALL_STATE(937)] = 58879,
  [SMALL_STATE(938)] = 58993,
  [SMALL_STATE(939)] = 59107,
  [SMALL_STATE(940)] = 59221,
  [SMALL_STATE(941)] = 59335,
  [SMALL_STATE(942)] = 59451,
  [SMALL_STATE(943)] = 59565,
  [SMALL_STATE(944)] = 59681,
  [SMALL_STATE(945)] = 59759,
  [SMALL_STATE(946)] = 59875,
  [SMALL_STATE(947)] = 59991,
  [SMALL_STATE(948)] = 60107,
  [SMALL_STATE(949)] = 60221,
  [SMALL_STATE(950)] = 60335,
  [SMALL_STATE(951)] = 60413,
  [SMALL_STATE(952)] = 60529,
  [SMALL_STATE(953)] = 60607,
  [SMALL_STATE(954)] = 60723,
  [SMALL_STATE(955)] = 60839,
  [SMALL_STATE(956)] = 60955,
  [SMALL_STATE(957)] = 61033,
  [SMALL_STATE(958)] = 61147,
  [SMALL_STATE(959)] = 61261,
  [SMALL_STATE(960)] = 61375,
  [SMALL_STATE(961)] = 61489,
  [SMALL_STATE(962)] = 61605,
  [SMALL_STATE(963)] = 61719,
  [SMALL_STATE(964)] = 61797,
  [SMALL_STATE(965)] = 61899,
  [SMALL_STATE(966)] = 62001,
  [SMALL_STATE(967)] = 62103,
  [SMALL_STATE(968)] = 62219,
  [SMALL_STATE(969)] = 62321,
  [SMALL_STATE(970)] = 62423,
  [SMALL_STATE(971)] = 62525,
  [SMALL_STATE(972)] = 62639,
  [SMALL_STATE(973)] = 62741,
  [SMALL_STATE(974)] = 62857,
  [SMALL_STATE(975)] = 62959,
  [SMALL_STATE(976)] = 63061,
  [SMALL_STATE(977)] = 63163,
  [SMALL_STATE(978)] = 63279,
  [SMALL_STATE(979)] = 63381,
  [SMALL_STATE(980)] = 63483,
  [SMALL_STATE(981)] = 63585,
  [SMALL_STATE(982)] = 63701,
  [SMALL_STATE(983)] = 63779,
  [SMALL_STATE(984)] = 63895,
  [SMALL_STATE(985)] = 63973,
  [SMALL_STATE(986)] = 64087,
  [SMALL_STATE(987)] = 64201,
  [SMALL_STATE(988)] = 64317,
  [SMALL_STATE(989)] = 64395,
  [SMALL_STATE(990)] = 64511,
  [SMALL_STATE(991)] = 64589,
  [SMALL_STATE(992)] = 64703,
  [SMALL_STATE(993)] = 64781,
  [SMALL_STATE(994)] = 64897,
  [SMALL_STATE(995)] = 64975,
  [SMALL_STATE(996)] = 65089,
  [SMALL_STATE(997)] = 65203,
  [SMALL_STATE(998)] = 65319,
  [SMALL_STATE(999)] = 65435,
  [SMALL_STATE(1000)] = 65513,
  [SMALL_STATE(1001)] = 65591,
  [SMALL_STATE(1002)] = 65705,
  [SMALL_STATE(1003)] = 65775,
  [SMALL_STATE(1004)] = 65845,
  [SMALL_STATE(1005)] = 65907,
  [SMALL_STATE(1006)] = 66021,
  [SMALL_STATE(1007)] = 66083,
  [SMALL_STATE(1008)] = 66197,
  [SMALL_STATE(1009)] = 66311,
  [SMALL_STATE(1010)] = 66389,
  [SMALL_STATE(1011)] = 66503,
  [SMALL_STATE(1012)] = 66617,
  [SMALL_STATE(1013)] = 66695,
  [SMALL_STATE(1014)] = 66773,
  [SMALL_STATE(1015)] = 66887,
  [SMALL_STATE(1016)] = 66989,
  [SMALL_STATE(1017)] = 67105,
  [SMALL_STATE(1018)] = 67183,
  [SMALL_STATE(1019)] = 67261,
  [SMALL_STATE(1020)] = 67375,
  [SMALL_STATE(1021)] = 67489,
  [SMALL_STATE(1022)] = 67603,
  [SMALL_STATE(1023)] = 67717,
  [SMALL_STATE(1024)] = 67831,
  [SMALL_STATE(1025)] = 67945,
  [SMALL_STATE(1026)] = 68059,
  [SMALL_STATE(1027)] = 68173,
  [SMALL_STATE(1028)] = 68287,
  [SMALL_STATE(1029)] = 68401,
  [SMALL_STATE(1030)] = 68515,
  [SMALL_STATE(1031)] = 68629,
  [SMALL_STATE(1032)] = 68743,
  [SMALL_STATE(1033)] = 68857,
  [SMALL_STATE(1034)] = 68971,
  [SMALL_STATE(1035)] = 69085,
  [SMALL_STATE(1036)] = 69155,
  [SMALL_STATE(1037)] = 69269,
  [SMALL_STATE(1038)] = 69383,
  [SMALL_STATE(1039)] = 69485,
  [SMALL_STATE(1040)] = 69599,
  [SMALL_STATE(1041)] = 69677,
  [SMALL_STATE(1042)] = 69791,
  [SMALL_STATE(1043)] = 69905,
  [SMALL_STATE(1044)] = 70016,
  [SMALL_STATE(1045)] = 70127,
  [SMALL_STATE(1046)] = 70238,
  [SMALL_STATE(1047)] = 70349,
  [SMALL_STATE(1048)] = 70460,
  [SMALL_STATE(1049)] = 70571,
  [SMALL_STATE(1050)] = 70682,
  [SMALL_STATE(1051)] = 70793,
  [SMALL_STATE(1052)] = 70904,
  [SMALL_STATE(1053)] = 71015,
  [SMALL_STATE(1054)] = 71126,
  [SMALL_STATE(1055)] = 71237,
  [SMALL_STATE(1056)] = 71348,
  [SMALL_STATE(1057)] = 71413,
  [SMALL_STATE(1058)] = 71478,
  [SMALL_STATE(1059)] = 71589,
  [SMALL_STATE(1060)] = 71654,
  [SMALL_STATE(1061)] = 71719,
  [SMALL_STATE(1062)] = 71784,
  [SMALL_STATE(1063)] = 71895,
  [SMALL_STATE(1064)] = 72006,
  [SMALL_STATE(1065)] = 72071,
  [SMALL_STATE(1066)] = 72136,
  [SMALL_STATE(1067)] = 72201,
  [SMALL_STATE(1068)] = 72266,
  [SMALL_STATE(1069)] = 72331,
  [SMALL_STATE(1070)] = 72444,
  [SMALL_STATE(1071)] = 72509,
  [SMALL_STATE(1072)] = 72574,
  [SMALL_STATE(1073)] = 72639,
  [SMALL_STATE(1074)] = 72704,
  [SMALL_STATE(1075)] = 72769,
  [SMALL_STATE(1076)] = 72834,
  [SMALL_STATE(1077)] = 72899,
  [SMALL_STATE(1078)] = 72964,
  [SMALL_STATE(1079)] = 73029,
  [SMALL_STATE(1080)] = 73142,
  [SMALL_STATE(1081)] = 73253,
  [SMALL_STATE(1082)] = 73364,
  [SMALL_STATE(1083)] = 73475,
  [SMALL_STATE(1084)] = 73586,
  [SMALL_STATE(1085)] = 73697,
  [SMALL_STATE(1086)] = 73808,
  [SMALL_STATE(1087)] = 73919,
  [SMALL_STATE(1088)] = 74030,
  [SMALL_STATE(1089)] = 74141,
  [SMALL_STATE(1090)] = 74252,
  [SMALL_STATE(1091)] = 74363,
  [SMALL_STATE(1092)] = 74474,
  [SMALL_STATE(1093)] = 74585,
  [SMALL_STATE(1094)] = 74696,
  [SMALL_STATE(1095)] = 74807,
  [SMALL_STATE(1096)] = 74918,
  [SMALL_STATE(1097)] = 75029,
  [SMALL_STATE(1098)] = 75140,
  [SMALL_STATE(1099)] = 75251,
  [SMALL_STATE(1100)] = 75362,
  [SMALL_STATE(1101)] = 75473,
  [SMALL_STATE(1102)] = 75584,
  [SMALL_STATE(1103)] = 75695,
  [SMALL_STATE(1104)] = 75806,
  [SMALL_STATE(1105)] = 75917,
  [SMALL_STATE(1106)] = 76028,
  [SMALL_STATE(1107)] = 76139,
  [SMALL_STATE(1108)] = 76250,
  [SMALL_STATE(1109)] = 76361,
  [SMALL_STATE(1110)] = 76472,
  [SMALL_STATE(1111)] = 76583,
  [SMALL_STATE(1112)] = 76694,
  [SMALL_STATE(1113)] = 76805,
  [SMALL_STATE(1114)] = 76916,
  [SMALL_STATE(1115)] = 77027,
  [SMALL_STATE(1116)] = 77138,
  [SMALL_STATE(1117)] = 77249,
  [SMALL_STATE(1118)] = 77360,
  [SMALL_STATE(1119)] = 77421,
  [SMALL_STATE(1120)] = 77482,
  [SMALL_STATE(1121)] = 77543,
  [SMALL_STATE(1122)] = 77604,
  [SMALL_STATE(1123)] = 77665,
  [SMALL_STATE(1124)] = 77726,
  [SMALL_STATE(1125)] = 77793,
  [SMALL_STATE(1126)] = 77860,
  [SMALL_STATE(1127)] = 77927,
  [SMALL_STATE(1128)] = 77994,
  [SMALL_STATE(1129)] = 78061,
  [SMALL_STATE(1130)] = 78128,
  [SMALL_STATE(1131)] = 78195,
  [SMALL_STATE(1132)] = 78306,
  [SMALL_STATE(1133)] = 78373,
  [SMALL_STATE(1134)] = 78484,
  [SMALL_STATE(1135)] = 78553,
  [SMALL_STATE(1136)] = 78666,
  [SMALL_STATE(1137)] = 78779,
  [SMALL_STATE(1138)] = 78892,
  [SMALL_STATE(1139)] = 78961,
  [SMALL_STATE(1140)] = 79030,
  [SMALL_STATE(1141)] = 79099,
  [SMALL_STATE(1142)] = 79168,
  [SMALL_STATE(1143)] = 79279,
  [SMALL_STATE(1144)] = 79390,
  [SMALL_STATE(1145)] = 79503,
  [SMALL_STATE(1146)] = 79614,
  [SMALL_STATE(1147)] = 79683,
  [SMALL_STATE(1148)] = 79796,
  [SMALL_STATE(1149)] = 79857,
  [SMALL_STATE(1150)] = 79968,
  [SMALL_STATE(1151)] = 80079,
  [SMALL_STATE(1152)] = 80150,
  [SMALL_STATE(1153)] = 80261,
  [SMALL_STATE(1154)] = 80332,
  [SMALL_STATE(1155)] = 80413,
  [SMALL_STATE(1156)] = 80524,
  [SMALL_STATE(1157)] = 80635,
  [SMALL_STATE(1158)] = 80746,
  [SMALL_STATE(1159)] = 80857,
  [SMALL_STATE(1160)] = 80968,
  [SMALL_STATE(1161)] = 81079,
  [SMALL_STATE(1162)] = 81190,
  [SMALL_STATE(1163)] = 81301,
  [SMALL_STATE(1164)] = 81412,
  [SMALL_STATE(1165)] = 81523,
  [SMALL_STATE(1166)] = 81634,
  [SMALL_STATE(1167)] = 81731,
  [SMALL_STATE(1168)] = 81830,
  [SMALL_STATE(1169)] = 81897,
  [SMALL_STATE(1170)] = 81984,
  [SMALL_STATE(1171)] = 82057,
  [SMALL_STATE(1172)] = 82168,
  [SMALL_STATE(1173)] = 82279,
  [SMALL_STATE(1174)] = 82390,
  [SMALL_STATE(1175)] = 82501,
  [SMALL_STATE(1176)] = 82582,
  [SMALL_STATE(1177)] = 82659,
  [SMALL_STATE(1178)] = 82730,
  [SMALL_STATE(1179)] = 82821,
  [SMALL_STATE(1180)] = 82932,
  [SMALL_STATE(1181)] = 83043,
  [SMALL_STATE(1182)] = 83154,
  [SMALL_STATE(1183)] = 83265,
  [SMALL_STATE(1184)] = 83376,
  [SMALL_STATE(1185)] = 83487,
  [SMALL_STATE(1186)] = 83598,
  [SMALL_STATE(1187)] = 83709,
  [SMALL_STATE(1188)] = 83820,
  [SMALL_STATE(1189)] = 83931,
  [SMALL_STATE(1190)] = 84042,
  [SMALL_STATE(1191)] = 84153,
  [SMALL_STATE(1192)] = 84264,
  [SMALL_STATE(1193)] = 84375,
  [SMALL_STATE(1194)] = 84486,
  [SMALL_STATE(1195)] = 84597,
  [SMALL_STATE(1196)] = 84692,
  [SMALL_STATE(1197)] = 84803,
  [SMALL_STATE(1198)] = 84914,
  [SMALL_STATE(1199)] = 85025,
  [SMALL_STATE(1200)] = 85094,
  [SMALL_STATE(1201)] = 85205,
  [SMALL_STATE(1202)] = 85316,
  [SMALL_STATE(1203)] = 85411,
  [SMALL_STATE(1204)] = 85522,
  [SMALL_STATE(1205)] = 85633,
  [SMALL_STATE(1206)] = 85744,
  [SMALL_STATE(1207)] = 85855,
  [SMALL_STATE(1208)] = 85966,
  [SMALL_STATE(1209)] = 86077,
  [SMALL_STATE(1210)] = 86188,
  [SMALL_STATE(1211)] = 86299,
  [SMALL_STATE(1212)] = 86364,
  [SMALL_STATE(1213)] = 86429,
  [SMALL_STATE(1214)] = 86494,
  [SMALL_STATE(1215)] = 86559,
  [SMALL_STATE(1216)] = 86624,
  [SMALL_STATE(1217)] = 86735,
  [SMALL_STATE(1218)] = 86800,
  [SMALL_STATE(1219)] = 86865,
  [SMALL_STATE(1220)] = 86930,
  [SMALL_STATE(1221)] = 86995,
  [SMALL_STATE(1222)] = 87060,
  [SMALL_STATE(1223)] = 87125,
  [SMALL_STATE(1224)] = 87190,
  [SMALL_STATE(1225)] = 87255,
  [SMALL_STATE(1226)] = 87320,
  [SMALL_STATE(1227)] = 87385,
  [SMALL_STATE(1228)] = 87450,
  [SMALL_STATE(1229)] = 87515,
  [SMALL_STATE(1230)] = 87580,
  [SMALL_STATE(1231)] = 87645,
  [SMALL_STATE(1232)] = 87756,
  [SMALL_STATE(1233)] = 87867,
  [SMALL_STATE(1234)] = 87978,
  [SMALL_STATE(1235)] = 88089,
  [SMALL_STATE(1236)] = 88200,
  [SMALL_STATE(1237)] = 88263,
  [SMALL_STATE(1238)] = 88374,
  [SMALL_STATE(1239)] = 88487,
  [SMALL_STATE(1240)] = 88598,
  [SMALL_STATE(1241)] = 88709,
  [SMALL_STATE(1242)] = 88822,
  [SMALL_STATE(1243)] = 88933,
  [SMALL_STATE(1244)] = 89044,
  [SMALL_STATE(1245)] = 89155,
  [SMALL_STATE(1246)] = 89266,
  [SMALL_STATE(1247)] = 89377,
  [SMALL_STATE(1248)] = 89488,
  [SMALL_STATE(1249)] = 89599,
  [SMALL_STATE(1250)] = 89710,
  [SMALL_STATE(1251)] = 89821,
  [SMALL_STATE(1252)] = 89932,
  [SMALL_STATE(1253)] = 90043,
  [SMALL_STATE(1254)] = 90154,
  [SMALL_STATE(1255)] = 90267,
  [SMALL_STATE(1256)] = 90378,
  [SMALL_STATE(1257)] = 90489,
  [SMALL_STATE(1258)] = 90600,
  [SMALL_STATE(1259)] = 90711,
  [SMALL_STATE(1260)] = 90824,
  [SMALL_STATE(1261)] = 90937,
  [SMALL_STATE(1262)] = 91048,
  [SMALL_STATE(1263)] = 91161,
  [SMALL_STATE(1264)] = 91274,
  [SMALL_STATE(1265)] = 91385,
  [SMALL_STATE(1266)] = 91498,
  [SMALL_STATE(1267)] = 91611,
  [SMALL_STATE(1268)] = 91722,
  [SMALL_STATE(1269)] = 91833,
  [SMALL_STATE(1270)] = 91944,
  [SMALL_STATE(1271)] = 92055,
  [SMALL_STATE(1272)] = 92166,
  [SMALL_STATE(1273)] = 92277,
  [SMALL_STATE(1274)] = 92388,
  [SMALL_STATE(1275)] = 92499,
  [SMALL_STATE(1276)] = 92610,
  [SMALL_STATE(1277)] = 92721,
  [SMALL_STATE(1278)] = 92832,
  [SMALL_STATE(1279)] = 92943,
  [SMALL_STATE(1280)] = 93054,
  [SMALL_STATE(1281)] = 93165,
  [SMALL_STATE(1282)] = 93276,
  [SMALL_STATE(1283)] = 93387,
  [SMALL_STATE(1284)] = 93498,
  [SMALL_STATE(1285)] = 93609,
  [SMALL_STATE(1286)] = 93720,
  [SMALL_STATE(1287)] = 93831,
  [SMALL_STATE(1288)] = 93942,
  [SMALL_STATE(1289)] = 94053,
  [SMALL_STATE(1290)] = 94164,
  [SMALL_STATE(1291)] = 94275,
  [SMALL_STATE(1292)] = 94386,
  [SMALL_STATE(1293)] = 94497,
  [SMALL_STATE(1294)] = 94608,
  [SMALL_STATE(1295)] = 94719,
  [SMALL_STATE(1296)] = 94830,
  [SMALL_STATE(1297)] = 94941,
  [SMALL_STATE(1298)] = 95052,
  [SMALL_STATE(1299)] = 95163,
  [SMALL_STATE(1300)] = 95274,
  [SMALL_STATE(1301)] = 95385,
  [SMALL_STATE(1302)] = 95496,
  [SMALL_STATE(1303)] = 95607,
  [SMALL_STATE(1304)] = 95718,
  [SMALL_STATE(1305)] = 95831,
  [SMALL_STATE(1306)] = 95942,
  [SMALL_STATE(1307)] = 96053,
  [SMALL_STATE(1308)] = 96164,
  [SMALL_STATE(1309)] = 96277,
  [SMALL_STATE(1310)] = 96390,
  [SMALL_STATE(1311)] = 96501,
  [SMALL_STATE(1312)] = 96614,
  [SMALL_STATE(1313)] = 96727,
  [SMALL_STATE(1314)] = 96838,
  [SMALL_STATE(1315)] = 96951,
  [SMALL_STATE(1316)] = 97064,
  [SMALL_STATE(1317)] = 97175,
  [SMALL_STATE(1318)] = 97286,
  [SMALL_STATE(1319)] = 97397,
  [SMALL_STATE(1320)] = 97508,
  [SMALL_STATE(1321)] = 97619,
  [SMALL_STATE(1322)] = 97730,
  [SMALL_STATE(1323)] = 97841,
  [SMALL_STATE(1324)] = 97952,
  [SMALL_STATE(1325)] = 98063,
  [SMALL_STATE(1326)] = 98174,
  [SMALL_STATE(1327)] = 98285,
  [SMALL_STATE(1328)] = 98396,
  [SMALL_STATE(1329)] = 98507,
  [SMALL_STATE(1330)] = 98618,
  [SMALL_STATE(1331)] = 98679,
  [SMALL_STATE(1332)] = 98790,
  [SMALL_STATE(1333)] = 98901,
  [SMALL_STATE(1334)] = 99012,
  [SMALL_STATE(1335)] = 99123,
  [SMALL_STATE(1336)] = 99234,
  [SMALL_STATE(1337)] = 99345,
  [SMALL_STATE(1338)] = 99458,
  [SMALL_STATE(1339)] = 99569,
  [SMALL_STATE(1340)] = 99680,
  [SMALL_STATE(1341)] = 99793,
  [SMALL_STATE(1342)] = 99906,
  [SMALL_STATE(1343)] = 100017,
  [SMALL_STATE(1344)] = 100130,
  [SMALL_STATE(1345)] = 100243,
  [SMALL_STATE(1346)] = 100354,
  [SMALL_STATE(1347)] = 100467,
  [SMALL_STATE(1348)] = 100580,
  [SMALL_STATE(1349)] = 100691,
  [SMALL_STATE(1350)] = 100802,
  [SMALL_STATE(1351)] = 100913,
  [SMALL_STATE(1352)] = 101024,
  [SMALL_STATE(1353)] = 101135,
  [SMALL_STATE(1354)] = 101246,
  [SMALL_STATE(1355)] = 101357,
  [SMALL_STATE(1356)] = 101468,
  [SMALL_STATE(1357)] = 101579,
  [SMALL_STATE(1358)] = 101690,
  [SMALL_STATE(1359)] = 101801,
  [SMALL_STATE(1360)] = 101912,
  [SMALL_STATE(1361)] = 102023,
  [SMALL_STATE(1362)] = 102134,
  [SMALL_STATE(1363)] = 102245,
  [SMALL_STATE(1364)] = 102356,
  [SMALL_STATE(1365)] = 102467,
  [SMALL_STATE(1366)] = 102578,
  [SMALL_STATE(1367)] = 102689,
  [SMALL_STATE(1368)] = 102800,
  [SMALL_STATE(1369)] = 102911,
  [SMALL_STATE(1370)] = 103022,
  [SMALL_STATE(1371)] = 103133,
  [SMALL_STATE(1372)] = 103244,
  [SMALL_STATE(1373)] = 103355,
  [SMALL_STATE(1374)] = 103466,
  [SMALL_STATE(1375)] = 103577,
  [SMALL_STATE(1376)] = 103688,
  [SMALL_STATE(1377)] = 103799,
  [SMALL_STATE(1378)] = 103910,
  [SMALL_STATE(1379)] = 104021,
  [SMALL_STATE(1380)] = 104132,
  [SMALL_STATE(1381)] = 104243,
  [SMALL_STATE(1382)] = 104354,
  [SMALL_STATE(1383)] = 104465,
  [SMALL_STATE(1384)] = 104576,
  [SMALL_STATE(1385)] = 104687,
  [SMALL_STATE(1386)] = 104798,
  [SMALL_STATE(1387)] = 104909,
  [SMALL_STATE(1388)] = 105020,
  [SMALL_STATE(1389)] = 105131,
  [SMALL_STATE(1390)] = 105242,
  [SMALL_STATE(1391)] = 105353,
  [SMALL_STATE(1392)] = 105464,
  [SMALL_STATE(1393)] = 105575,
  [SMALL_STATE(1394)] = 105686,
  [SMALL_STATE(1395)] = 105797,
  [SMALL_STATE(1396)] = 105908,
  [SMALL_STATE(1397)] = 106019,
  [SMALL_STATE(1398)] = 106130,
  [SMALL_STATE(1399)] = 106241,
  [SMALL_STATE(1400)] = 106352,
  [SMALL_STATE(1401)] = 106463,
  [SMALL_STATE(1402)] = 106574,
  [SMALL_STATE(1403)] = 106685,
  [SMALL_STATE(1404)] = 106796,
  [SMALL_STATE(1405)] = 106907,
  [SMALL_STATE(1406)] = 107018,
  [SMALL_STATE(1407)] = 107129,
  [SMALL_STATE(1408)] = 107240,
  [SMALL_STATE(1409)] = 107351,
  [SMALL_STATE(1410)] = 107462,
  [SMALL_STATE(1411)] = 107573,
  [SMALL_STATE(1412)] = 107684,
  [SMALL_STATE(1413)] = 107795,
  [SMALL_STATE(1414)] = 107906,
  [SMALL_STATE(1415)] = 108017,
  [SMALL_STATE(1416)] = 108128,
  [SMALL_STATE(1417)] = 108239,
  [SMALL_STATE(1418)] = 108350,
  [SMALL_STATE(1419)] = 108461,
  [SMALL_STATE(1420)] = 108572,
  [SMALL_STATE(1421)] = 108683,
  [SMALL_STATE(1422)] = 108794,
  [SMALL_STATE(1423)] = 108905,
  [SMALL_STATE(1424)] = 109016,
  [SMALL_STATE(1425)] = 109127,
  [SMALL_STATE(1426)] = 109238,
  [SMALL_STATE(1427)] = 109349,
  [SMALL_STATE(1428)] = 109460,
  [SMALL_STATE(1429)] = 109571,
  [SMALL_STATE(1430)] = 109682,
  [SMALL_STATE(1431)] = 109793,
  [SMALL_STATE(1432)] = 109904,
  [SMALL_STATE(1433)] = 110015,
  [SMALL_STATE(1434)] = 110126,
  [SMALL_STATE(1435)] = 110237,
  [SMALL_STATE(1436)] = 110348,
  [SMALL_STATE(1437)] = 110459,
  [SMALL_STATE(1438)] = 110570,
  [SMALL_STATE(1439)] = 110681,
  [SMALL_STATE(1440)] = 110792,
  [SMALL_STATE(1441)] = 110903,
  [SMALL_STATE(1442)] = 111014,
  [SMALL_STATE(1443)] = 111125,
  [SMALL_STATE(1444)] = 111236,
  [SMALL_STATE(1445)] = 111347,
  [SMALL_STATE(1446)] = 111458,
  [SMALL_STATE(1447)] = 111569,
  [SMALL_STATE(1448)] = 111680,
  [SMALL_STATE(1449)] = 111791,
  [SMALL_STATE(1450)] = 111902,
  [SMALL_STATE(1451)] = 112013,
  [SMALL_STATE(1452)] = 112124,
  [SMALL_STATE(1453)] = 112235,
  [SMALL_STATE(1454)] = 112346,
  [SMALL_STATE(1455)] = 112457,
  [SMALL_STATE(1456)] = 112568,
  [SMALL_STATE(1457)] = 112679,
  [SMALL_STATE(1458)] = 112790,
  [SMALL_STATE(1459)] = 112901,
  [SMALL_STATE(1460)] = 113012,
  [SMALL_STATE(1461)] = 113123,
  [SMALL_STATE(1462)] = 113234,
  [SMALL_STATE(1463)] = 113345,
  [SMALL_STATE(1464)] = 113456,
  [SMALL_STATE(1465)] = 113567,
  [SMALL_STATE(1466)] = 113678,
  [SMALL_STATE(1467)] = 113789,
  [SMALL_STATE(1468)] = 113900,
  [SMALL_STATE(1469)] = 114011,
  [SMALL_STATE(1470)] = 114122,
  [SMALL_STATE(1471)] = 114233,
  [SMALL_STATE(1472)] = 114344,
  [SMALL_STATE(1473)] = 114455,
  [SMALL_STATE(1474)] = 114566,
  [SMALL_STATE(1475)] = 114677,
  [SMALL_STATE(1476)] = 114788,
  [SMALL_STATE(1477)] = 114899,
  [SMALL_STATE(1478)] = 115010,
  [SMALL_STATE(1479)] = 115121,
  [SMALL_STATE(1480)] = 115232,
  [SMALL_STATE(1481)] = 115343,
  [SMALL_STATE(1482)] = 115454,
  [SMALL_STATE(1483)] = 115565,
  [SMALL_STATE(1484)] = 115676,
  [SMALL_STATE(1485)] = 115787,
  [SMALL_STATE(1486)] = 115898,
  [SMALL_STATE(1487)] = 116009,
  [SMALL_STATE(1488)] = 116120,
  [SMALL_STATE(1489)] = 116231,
  [SMALL_STATE(1490)] = 116342,
  [SMALL_STATE(1491)] = 116453,
  [SMALL_STATE(1492)] = 116564,
  [SMALL_STATE(1493)] = 116675,
  [SMALL_STATE(1494)] = 116786,
  [SMALL_STATE(1495)] = 116897,
  [SMALL_STATE(1496)] = 117010,
  [SMALL_STATE(1497)] = 117121,
  [SMALL_STATE(1498)] = 117232,
  [SMALL_STATE(1499)] = 117343,
  [SMALL_STATE(1500)] = 117454,
  [SMALL_STATE(1501)] = 117567,
  [SMALL_STATE(1502)] = 117678,
  [SMALL_STATE(1503)] = 117789,
  [SMALL_STATE(1504)] = 117900,
  [SMALL_STATE(1505)] = 118011,
  [SMALL_STATE(1506)] = 118122,
  [SMALL_STATE(1507)] = 118233,
  [SMALL_STATE(1508)] = 118344,
  [SMALL_STATE(1509)] = 118455,
  [SMALL_STATE(1510)] = 118566,
  [SMALL_STATE(1511)] = 118677,
  [SMALL_STATE(1512)] = 118788,
  [SMALL_STATE(1513)] = 118899,
  [SMALL_STATE(1514)] = 119010,
  [SMALL_STATE(1515)] = 119121,
  [SMALL_STATE(1516)] = 119232,
  [SMALL_STATE(1517)] = 119343,
  [SMALL_STATE(1518)] = 119454,
  [SMALL_STATE(1519)] = 119565,
  [SMALL_STATE(1520)] = 119676,
  [SMALL_STATE(1521)] = 119787,
  [SMALL_STATE(1522)] = 119898,
  [SMALL_STATE(1523)] = 120009,
  [SMALL_STATE(1524)] = 120120,
  [SMALL_STATE(1525)] = 120231,
  [SMALL_STATE(1526)] = 120342,
  [SMALL_STATE(1527)] = 120453,
  [SMALL_STATE(1528)] = 120564,
  [SMALL_STATE(1529)] = 120675,
  [SMALL_STATE(1530)] = 120786,
  [SMALL_STATE(1531)] = 120887,
  [SMALL_STATE(1532)] = 120988,
  [SMALL_STATE(1533)] = 121089,
  [SMALL_STATE(1534)] = 121190,
  [SMALL_STATE(1535)] = 121291,
  [SMALL_STATE(1536)] = 121392,
  [SMALL_STATE(1537)] = 121493,
  [SMALL_STATE(1538)] = 121594,
  [SMALL_STATE(1539)] = 121695,
  [SMALL_STATE(1540)] = 121796,
  [SMALL_STATE(1541)] = 121897,
  [SMALL_STATE(1542)] = 121998,
  [SMALL_STATE(1543)] = 122099,
  [SMALL_STATE(1544)] = 122210,
  [SMALL_STATE(1545)] = 122321,
  [SMALL_STATE(1546)] = 122432,
  [SMALL_STATE(1547)] = 122543,
  [SMALL_STATE(1548)] = 122654,
  [SMALL_STATE(1549)] = 122765,
  [SMALL_STATE(1550)] = 122876,
  [SMALL_STATE(1551)] = 122987,
  [SMALL_STATE(1552)] = 123098,
  [SMALL_STATE(1553)] = 123209,
  [SMALL_STATE(1554)] = 123320,
  [SMALL_STATE(1555)] = 123431,
  [SMALL_STATE(1556)] = 123542,
  [SMALL_STATE(1557)] = 123653,
  [SMALL_STATE(1558)] = 123764,
  [SMALL_STATE(1559)] = 123875,
  [SMALL_STATE(1560)] = 123986,
  [SMALL_STATE(1561)] = 124097,
  [SMALL_STATE(1562)] = 124208,
  [SMALL_STATE(1563)] = 124319,
  [SMALL_STATE(1564)] = 124430,
  [SMALL_STATE(1565)] = 124541,
  [SMALL_STATE(1566)] = 124652,
  [SMALL_STATE(1567)] = 124763,
  [SMALL_STATE(1568)] = 124874,
  [SMALL_STATE(1569)] = 124987,
  [SMALL_STATE(1570)] = 125098,
  [SMALL_STATE(1571)] = 125211,
  [SMALL_STATE(1572)] = 125324,
  [SMALL_STATE(1573)] = 125437,
  [SMALL_STATE(1574)] = 125550,
  [SMALL_STATE(1575)] = 125663,
  [SMALL_STATE(1576)] = 125776,
  [SMALL_STATE(1577)] = 125887,
  [SMALL_STATE(1578)] = 125998,
  [SMALL_STATE(1579)] = 126109,
  [SMALL_STATE(1580)] = 126220,
  [SMALL_STATE(1581)] = 126331,
  [SMALL_STATE(1582)] = 126442,
  [SMALL_STATE(1583)] = 126553,
  [SMALL_STATE(1584)] = 126664,
  [SMALL_STATE(1585)] = 126775,
  [SMALL_STATE(1586)] = 126886,
  [SMALL_STATE(1587)] = 126997,
  [SMALL_STATE(1588)] = 127108,
  [SMALL_STATE(1589)] = 127219,
  [SMALL_STATE(1590)] = 127330,
  [SMALL_STATE(1591)] = 127441,
  [SMALL_STATE(1592)] = 127552,
  [SMALL_STATE(1593)] = 127663,
  [SMALL_STATE(1594)] = 127774,
  [SMALL_STATE(1595)] = 127885,
  [SMALL_STATE(1596)] = 127996,
  [SMALL_STATE(1597)] = 128107,
  [SMALL_STATE(1598)] = 128218,
  [SMALL_STATE(1599)] = 128329,
  [SMALL_STATE(1600)] = 128440,
  [SMALL_STATE(1601)] = 128551,
  [SMALL_STATE(1602)] = 128662,
  [SMALL_STATE(1603)] = 128773,
  [SMALL_STATE(1604)] = 128884,
  [SMALL_STATE(1605)] = 128995,
  [SMALL_STATE(1606)] = 129106,
  [SMALL_STATE(1607)] = 129217,
  [SMALL_STATE(1608)] = 129328,
  [SMALL_STATE(1609)] = 129439,
  [SMALL_STATE(1610)] = 129550,
  [SMALL_STATE(1611)] = 129661,
  [SMALL_STATE(1612)] = 129772,
  [SMALL_STATE(1613)] = 129883,
  [SMALL_STATE(1614)] = 129994,
  [SMALL_STATE(1615)] = 130105,
  [SMALL_STATE(1616)] = 130216,
  [SMALL_STATE(1617)] = 130327,
  [SMALL_STATE(1618)] = 130438,
  [SMALL_STATE(1619)] = 130549,
  [SMALL_STATE(1620)] = 130660,
  [SMALL_STATE(1621)] = 130771,
  [SMALL_STATE(1622)] = 130882,
  [SMALL_STATE(1623)] = 130993,
  [SMALL_STATE(1624)] = 131104,
  [SMALL_STATE(1625)] = 131215,
  [SMALL_STATE(1626)] = 131326,
  [SMALL_STATE(1627)] = 131437,
  [SMALL_STATE(1628)] = 131548,
  [SMALL_STATE(1629)] = 131659,
  [SMALL_STATE(1630)] = 131770,
  [SMALL_STATE(1631)] = 131881,
  [SMALL_STATE(1632)] = 131992,
  [SMALL_STATE(1633)] = 132103,
  [SMALL_STATE(1634)] = 132214,
  [SMALL_STATE(1635)] = 132325,
  [SMALL_STATE(1636)] = 132436,
  [SMALL_STATE(1637)] = 132547,
  [SMALL_STATE(1638)] = 132658,
  [SMALL_STATE(1639)] = 132769,
  [SMALL_STATE(1640)] = 132880,
  [SMALL_STATE(1641)] = 132991,
  [SMALL_STATE(1642)] = 133102,
  [SMALL_STATE(1643)] = 133213,
  [SMALL_STATE(1644)] = 133324,
  [SMALL_STATE(1645)] = 133435,
  [SMALL_STATE(1646)] = 133546,
  [SMALL_STATE(1647)] = 133657,
  [SMALL_STATE(1648)] = 133768,
  [SMALL_STATE(1649)] = 133879,
  [SMALL_STATE(1650)] = 133990,
  [SMALL_STATE(1651)] = 134101,
  [SMALL_STATE(1652)] = 134212,
  [SMALL_STATE(1653)] = 134323,
  [SMALL_STATE(1654)] = 134434,
  [SMALL_STATE(1655)] = 134545,
  [SMALL_STATE(1656)] = 134656,
  [SMALL_STATE(1657)] = 134767,
  [SMALL_STATE(1658)] = 134878,
  [SMALL_STATE(1659)] = 134989,
  [SMALL_STATE(1660)] = 135100,
  [SMALL_STATE(1661)] = 135211,
  [SMALL_STATE(1662)] = 135322,
  [SMALL_STATE(1663)] = 135433,
  [SMALL_STATE(1664)] = 135544,
  [SMALL_STATE(1665)] = 135655,
  [SMALL_STATE(1666)] = 135766,
  [SMALL_STATE(1667)] = 135877,
  [SMALL_STATE(1668)] = 135988,
  [SMALL_STATE(1669)] = 136099,
  [SMALL_STATE(1670)] = 136210,
  [SMALL_STATE(1671)] = 136321,
  [SMALL_STATE(1672)] = 136432,
  [SMALL_STATE(1673)] = 136543,
  [SMALL_STATE(1674)] = 136654,
  [SMALL_STATE(1675)] = 136765,
  [SMALL_STATE(1676)] = 136876,
  [SMALL_STATE(1677)] = 136987,
  [SMALL_STATE(1678)] = 137098,
  [SMALL_STATE(1679)] = 137209,
  [SMALL_STATE(1680)] = 137320,
  [SMALL_STATE(1681)] = 137431,
  [SMALL_STATE(1682)] = 137542,
  [SMALL_STATE(1683)] = 137653,
  [SMALL_STATE(1684)] = 137764,
  [SMALL_STATE(1685)] = 137875,
  [SMALL_STATE(1686)] = 137986,
  [SMALL_STATE(1687)] = 138097,
  [SMALL_STATE(1688)] = 138208,
  [SMALL_STATE(1689)] = 138319,
  [SMALL_STATE(1690)] = 138430,
  [SMALL_STATE(1691)] = 138541,
  [SMALL_STATE(1692)] = 138652,
  [SMALL_STATE(1693)] = 138763,
  [SMALL_STATE(1694)] = 138874,
  [SMALL_STATE(1695)] = 138985,
  [SMALL_STATE(1696)] = 139096,
  [SMALL_STATE(1697)] = 139207,
  [SMALL_STATE(1698)] = 139318,
  [SMALL_STATE(1699)] = 139429,
  [SMALL_STATE(1700)] = 139540,
  [SMALL_STATE(1701)] = 139651,
  [SMALL_STATE(1702)] = 139762,
  [SMALL_STATE(1703)] = 139873,
  [SMALL_STATE(1704)] = 139984,
  [SMALL_STATE(1705)] = 140095,
  [SMALL_STATE(1706)] = 140206,
  [SMALL_STATE(1707)] = 140317,
  [SMALL_STATE(1708)] = 140428,
  [SMALL_STATE(1709)] = 140539,
  [SMALL_STATE(1710)] = 140650,
  [SMALL_STATE(1711)] = 140761,
  [SMALL_STATE(1712)] = 140872,
  [SMALL_STATE(1713)] = 140983,
  [SMALL_STATE(1714)] = 141094,
  [SMALL_STATE(1715)] = 141205,
  [SMALL_STATE(1716)] = 141316,
  [SMALL_STATE(1717)] = 141427,
  [SMALL_STATE(1718)] = 141538,
  [SMALL_STATE(1719)] = 141649,
  [SMALL_STATE(1720)] = 141760,
  [SMALL_STATE(1721)] = 141871,
  [SMALL_STATE(1722)] = 141982,
  [SMALL_STATE(1723)] = 142093,
  [SMALL_STATE(1724)] = 142204,
  [SMALL_STATE(1725)] = 142315,
  [SMALL_STATE(1726)] = 142426,
  [SMALL_STATE(1727)] = 142537,
  [SMALL_STATE(1728)] = 142648,
  [SMALL_STATE(1729)] = 142759,
  [SMALL_STATE(1730)] = 142870,
  [SMALL_STATE(1731)] = 142981,
  [SMALL_STATE(1732)] = 143092,
  [SMALL_STATE(1733)] = 143203,
  [SMALL_STATE(1734)] = 143314,
  [SMALL_STATE(1735)] = 143425,
  [SMALL_STATE(1736)] = 143536,
  [SMALL_STATE(1737)] = 143647,
  [SMALL_STATE(1738)] = 143758,
  [SMALL_STATE(1739)] = 143869,
  [SMALL_STATE(1740)] = 143980,
  [SMALL_STATE(1741)] = 144091,
  [SMALL_STATE(1742)] = 144202,
  [SMALL_STATE(1743)] = 144313,
  [SMALL_STATE(1744)] = 144424,
  [SMALL_STATE(1745)] = 144535,
  [SMALL_STATE(1746)] = 144646,
  [SMALL_STATE(1747)] = 144757,
  [SMALL_STATE(1748)] = 144868,
  [SMALL_STATE(1749)] = 144979,
  [SMALL_STATE(1750)] = 145090,
  [SMALL_STATE(1751)] = 145201,
  [SMALL_STATE(1752)] = 145312,
  [SMALL_STATE(1753)] = 145423,
  [SMALL_STATE(1754)] = 145534,
  [SMALL_STATE(1755)] = 145645,
  [SMALL_STATE(1756)] = 145756,
  [SMALL_STATE(1757)] = 145867,
  [SMALL_STATE(1758)] = 145978,
  [SMALL_STATE(1759)] = 146089,
  [SMALL_STATE(1760)] = 146200,
  [SMALL_STATE(1761)] = 146311,
  [SMALL_STATE(1762)] = 146422,
  [SMALL_STATE(1763)] = 146533,
  [SMALL_STATE(1764)] = 146644,
  [SMALL_STATE(1765)] = 146757,
  [SMALL_STATE(1766)] = 146868,
  [SMALL_STATE(1767)] = 146981,
  [SMALL_STATE(1768)] = 147094,
  [SMALL_STATE(1769)] = 147207,
  [SMALL_STATE(1770)] = 147320,
  [SMALL_STATE(1771)] = 147431,
  [SMALL_STATE(1772)] = 147544,
  [SMALL_STATE(1773)] = 147655,
  [SMALL_STATE(1774)] = 147768,
  [SMALL_STATE(1775)] = 147879,
  [SMALL_STATE(1776)] = 147990,
  [SMALL_STATE(1777)] = 148101,
  [SMALL_STATE(1778)] = 148212,
  [SMALL_STATE(1779)] = 148323,
  [SMALL_STATE(1780)] = 148434,
  [SMALL_STATE(1781)] = 148545,
  [SMALL_STATE(1782)] = 148656,
  [SMALL_STATE(1783)] = 148767,
  [SMALL_STATE(1784)] = 148878,
  [SMALL_STATE(1785)] = 148989,
  [SMALL_STATE(1786)] = 149100,
  [SMALL_STATE(1787)] = 149211,
  [SMALL_STATE(1788)] = 149322,
  [SMALL_STATE(1789)] = 149433,
  [SMALL_STATE(1790)] = 149544,
  [SMALL_STATE(1791)] = 149655,
  [SMALL_STATE(1792)] = 149766,
  [SMALL_STATE(1793)] = 149877,
  [SMALL_STATE(1794)] = 149988,
  [SMALL_STATE(1795)] = 150099,
  [SMALL_STATE(1796)] = 150210,
  [SMALL_STATE(1797)] = 150321,
  [SMALL_STATE(1798)] = 150432,
  [SMALL_STATE(1799)] = 150543,
  [SMALL_STATE(1800)] = 150654,
  [SMALL_STATE(1801)] = 150765,
  [SMALL_STATE(1802)] = 150876,
  [SMALL_STATE(1803)] = 150987,
  [SMALL_STATE(1804)] = 151098,
  [SMALL_STATE(1805)] = 151209,
  [SMALL_STATE(1806)] = 151320,
  [SMALL_STATE(1807)] = 151431,
  [SMALL_STATE(1808)] = 151542,
  [SMALL_STATE(1809)] = 151653,
  [SMALL_STATE(1810)] = 151764,
  [SMALL_STATE(1811)] = 151875,
  [SMALL_STATE(1812)] = 151986,
  [SMALL_STATE(1813)] = 152097,
  [SMALL_STATE(1814)] = 152208,
  [SMALL_STATE(1815)] = 152319,
  [SMALL_STATE(1816)] = 152430,
  [SMALL_STATE(1817)] = 152541,
  [SMALL_STATE(1818)] = 152652,
  [SMALL_STATE(1819)] = 152763,
  [SMALL_STATE(1820)] = 152874,
  [SMALL_STATE(1821)] = 152985,
  [SMALL_STATE(1822)] = 153096,
  [SMALL_STATE(1823)] = 153207,
  [SMALL_STATE(1824)] = 153318,
  [SMALL_STATE(1825)] = 153429,
  [SMALL_STATE(1826)] = 153540,
  [SMALL_STATE(1827)] = 153651,
  [SMALL_STATE(1828)] = 153762,
  [SMALL_STATE(1829)] = 153873,
  [SMALL_STATE(1830)] = 153984,
  [SMALL_STATE(1831)] = 154095,
  [SMALL_STATE(1832)] = 154206,
  [SMALL_STATE(1833)] = 154317,
  [SMALL_STATE(1834)] = 154428,
  [SMALL_STATE(1835)] = 154539,
  [SMALL_STATE(1836)] = 154650,
  [SMALL_STATE(1837)] = 154761,
  [SMALL_STATE(1838)] = 154825,
  [SMALL_STATE(1839)] = 154889,
  [SMALL_STATE(1840)] = 154953,
  [SMALL_STATE(1841)] = 155015,
  [SMALL_STATE(1842)] = 155079,
  [SMALL_STATE(1843)] = 155139,
  [SMALL_STATE(1844)] = 155203,
  [SMALL_STATE(1845)] = 155263,
  [SMALL_STATE(1846)] = 155327,
  [SMALL_STATE(1847)] = 155391,
  [SMALL_STATE(1848)] = 155455,
  [SMALL_STATE(1849)] = 155519,
  [SMALL_STATE(1850)] = 155583,
  [SMALL_STATE(1851)] = 155647,
  [SMALL_STATE(1852)] = 155707,
  [SMALL_STATE(1853)] = 155767,
  [SMALL_STATE(1854)] = 155835,
  [SMALL_STATE(1855)] = 155903,
  [SMALL_STATE(1856)] = 155963,
  [SMALL_STATE(1857)] = 156027,
  [SMALL_STATE(1858)] = 156087,
  [SMALL_STATE(1859)] = 156153,
  [SMALL_STATE(1860)] = 156219,
  [SMALL_STATE(1861)] = 156281,
  [SMALL_STATE(1862)] = 156341,
  [SMALL_STATE(1863)] = 156407,
  [SMALL_STATE(1864)] = 156519,
  [SMALL_STATE(1865)] = 156581,
  [SMALL_STATE(1866)] = 156645,
  [SMALL_STATE(1867)] = 156711,
  [SMALL_STATE(1868)] = 156777,
  [SMALL_STATE(1869)] = 156843,
  [SMALL_STATE(1870)] = 156909,
  [SMALL_STATE(1871)] = 156975,
  [SMALL_STATE(1872)] = 157041,
  [SMALL_STATE(1873)] = 157107,
  [SMALL_STATE(1874)] = 157171,
  [SMALL_STATE(1875)] = 157235,
  [SMALL_STATE(1876)] = 157299,
  [SMALL_STATE(1877)] = 157365,
  [SMALL_STATE(1878)] = 157429,
  [SMALL_STATE(1879)] = 157493,
  [SMALL_STATE(1880)] = 157557,
  [SMALL_STATE(1881)] = 157625,
  [SMALL_STATE(1882)] = 157693,
  [SMALL_STATE(1883)] = 157757,
  [SMALL_STATE(1884)] = 157821,
  [SMALL_STATE(1885)] = 157885,
  [SMALL_STATE(1886)] = 157949,
  [SMALL_STATE(1887)] = 158013,
  [SMALL_STATE(1888)] = 158077,
  [SMALL_STATE(1889)] = 158141,
  [SMALL_STATE(1890)] = 158205,
  [SMALL_STATE(1891)] = 158267,
  [SMALL_STATE(1892)] = 158329,
  [SMALL_STATE(1893)] = 158393,
  [SMALL_STATE(1894)] = 158457,
  [SMALL_STATE(1895)] = 158521,
  [SMALL_STATE(1896)] = 158587,
  [SMALL_STATE(1897)] = 158651,
  [SMALL_STATE(1898)] = 158711,
  [SMALL_STATE(1899)] = 158771,
  [SMALL_STATE(1900)] = 158831,
  [SMALL_STATE(1901)] = 158891,
  [SMALL_STATE(1902)] = 158951,
  [SMALL_STATE(1903)] = 159011,
  [SMALL_STATE(1904)] = 159077,
  [SMALL_STATE(1905)] = 159143,
  [SMALL_STATE(1906)] = 159209,
  [SMALL_STATE(1907)] = 159275,
  [SMALL_STATE(1908)] = 159341,
  [SMALL_STATE(1909)] = 159407,
  [SMALL_STATE(1910)] = 159473,
  [SMALL_STATE(1911)] = 159539,
  [SMALL_STATE(1912)] = 159603,
  [SMALL_STATE(1913)] = 159667,
  [SMALL_STATE(1914)] = 159731,
  [SMALL_STATE(1915)] = 159795,
  [SMALL_STATE(1916)] = 159859,
  [SMALL_STATE(1917)] = 159927,
  [SMALL_STATE(1918)] = 159991,
  [SMALL_STATE(1919)] = 160055,
  [SMALL_STATE(1920)] = 160148,
  [SMALL_STATE(1921)] = 160247,
  [SMALL_STATE(1922)] = 160326,
  [SMALL_STATE(1923)] = 160401,
  [SMALL_STATE(1924)] = 160470,
  [SMALL_STATE(1925)] = 160529,
  [SMALL_STATE(1926)] = 160618,
  [SMALL_STATE(1927)] = 160711,
  [SMALL_STATE(1928)] = 160804,
  [SMALL_STATE(1929)] = 160863,
  [SMALL_STATE(1930)] = 160962,
  [SMALL_STATE(1931)] = 161021,
  [SMALL_STATE(1932)] = 161084,
  [SMALL_STATE(1933)] = 161147,
  [SMALL_STATE(1934)] = 161206,
  [SMALL_STATE(1935)] = 161275,
  [SMALL_STATE(1936)] = 161354,
  [SMALL_STATE(1937)] = 161413,
  [SMALL_STATE(1938)] = 161472,
  [SMALL_STATE(1939)] = 161571,
  [SMALL_STATE(1940)] = 161630,
  [SMALL_STATE(1941)] = 161729,
  [SMALL_STATE(1942)] = 161824,
  [SMALL_STATE(1943)] = 161883,
  [SMALL_STATE(1944)] = 161980,
  [SMALL_STATE(1945)] = 162043,
  [SMALL_STATE(1946)] = 162102,
  [SMALL_STATE(1947)] = 162181,
  [SMALL_STATE(1948)] = 162240,
  [SMALL_STATE(1949)] = 162299,
  [SMALL_STATE(1950)] = 162362,
  [SMALL_STATE(1951)] = 162421,
  [SMALL_STATE(1952)] = 162520,
  [SMALL_STATE(1953)] = 162585,
  [SMALL_STATE(1954)] = 162644,
  [SMALL_STATE(1955)] = 162729,
  [SMALL_STATE(1956)] = 162788,
  [SMALL_STATE(1957)] = 162849,
  [SMALL_STATE(1958)] = 162948,
  [SMALL_STATE(1959)] = 163009,
  [SMALL_STATE(1960)] = 163070,
  [SMALL_STATE(1961)] = 163129,
  [SMALL_STATE(1962)] = 163192,
  [SMALL_STATE(1963)] = 163255,
  [SMALL_STATE(1964)] = 163326,
  [SMALL_STATE(1965)] = 163387,
  [SMALL_STATE(1966)] = 163448,
  [SMALL_STATE(1967)] = 163523,
  [SMALL_STATE(1968)] = 163592,
  [SMALL_STATE(1969)] = 163655,
  [SMALL_STATE(1970)] = 163744,
  [SMALL_STATE(1971)] = 163803,
  [SMALL_STATE(1972)] = 163862,
  [SMALL_STATE(1973)] = 163927,
  [SMALL_STATE(1974)] = 163990,
  [SMALL_STATE(1975)] = 164069,
  [SMALL_STATE(1976)] = 164132,
  [SMALL_STATE(1977)] = 164191,
  [SMALL_STATE(1978)] = 164252,
  [SMALL_STATE(1979)] = 164313,
  [SMALL_STATE(1980)] = 164372,
  [SMALL_STATE(1981)] = 164435,
  [SMALL_STATE(1982)] = 164494,
  [SMALL_STATE(1983)] = 164553,
  [SMALL_STATE(1984)] = 164612,
  [SMALL_STATE(1985)] = 164711,
  [SMALL_STATE(1986)] = 164772,
  [SMALL_STATE(1987)] = 164833,
  [SMALL_STATE(1988)] = 164896,
  [SMALL_STATE(1989)] = 164995,
  [SMALL_STATE(1990)] = 165054,
  [SMALL_STATE(1991)] = 165113,
  [SMALL_STATE(1992)] = 165172,
  [SMALL_STATE(1993)] = 165233,
  [SMALL_STATE(1994)] = 165332,
  [SMALL_STATE(1995)] = 165391,
  [SMALL_STATE(1996)] = 165452,
  [SMALL_STATE(1997)] = 165513,
  [SMALL_STATE(1998)] = 165572,
  [SMALL_STATE(1999)] = 165631,
  [SMALL_STATE(2000)] = 165702,
  [SMALL_STATE(2001)] = 165765,
  [SMALL_STATE(2002)] = 165860,
  [SMALL_STATE(2003)] = 165919,
  [SMALL_STATE(2004)] = 165980,
  [SMALL_STATE(2005)] = 166077,
  [SMALL_STATE(2006)] = 166136,
  [SMALL_STATE(2007)] = 166195,
  [SMALL_STATE(2008)] = 166256,
  [SMALL_STATE(2009)] = 166317,
  [SMALL_STATE(2010)] = 166376,
  [SMALL_STATE(2011)] = 166435,
  [SMALL_STATE(2012)] = 166506,
  [SMALL_STATE(2013)] = 166567,
  [SMALL_STATE(2014)] = 166628,
  [SMALL_STATE(2015)] = 166689,
  [SMALL_STATE(2016)] = 166750,
  [SMALL_STATE(2017)] = 166811,
  [SMALL_STATE(2018)] = 166872,
  [SMALL_STATE(2019)] = 166933,
  [SMALL_STATE(2020)] = 166994,
  [SMALL_STATE(2021)] = 167055,
  [SMALL_STATE(2022)] = 167116,
  [SMALL_STATE(2023)] = 167177,
  [SMALL_STATE(2024)] = 167236,
  [SMALL_STATE(2025)] = 167297,
  [SMALL_STATE(2026)] = 167376,
  [SMALL_STATE(2027)] = 167451,
  [SMALL_STATE(2028)] = 167520,
  [SMALL_STATE(2029)] = 167609,
  [SMALL_STATE(2030)] = 167694,
  [SMALL_STATE(2031)] = 167755,
  [SMALL_STATE(2032)] = 167816,
  [SMALL_STATE(2033)] = 167909,
  [SMALL_STATE(2034)] = 167970,
  [SMALL_STATE(2035)] = 168031,
  [SMALL_STATE(2036)] = 168124,
  [SMALL_STATE(2037)] = 168185,
  [SMALL_STATE(2038)] = 168248,
  [SMALL_STATE(2039)] = 168307,
  [SMALL_STATE(2040)] = 168372,
  [SMALL_STATE(2041)] = 168437,
  [SMALL_STATE(2042)] = 168496,
  [SMALL_STATE(2043)] = 168575,
  [SMALL_STATE(2044)] = 168674,
  [SMALL_STATE(2045)] = 168733,
  [SMALL_STATE(2046)] = 168796,
  [SMALL_STATE(2047)] = 168855,
  [SMALL_STATE(2048)] = 168914,
  [SMALL_STATE(2049)] = 168973,
  [SMALL_STATE(2050)] = 169032,
  [SMALL_STATE(2051)] = 169091,
  [SMALL_STATE(2052)] = 169190,
  [SMALL_STATE(2053)] = 169253,
  [SMALL_STATE(2054)] = 169312,
  [SMALL_STATE(2055)] = 169373,
  [SMALL_STATE(2056)] = 169438,
  [SMALL_STATE(2057)] = 169499,
  [SMALL_STATE(2058)] = 169610,
  [SMALL_STATE(2059)] = 169673,
  [SMALL_STATE(2060)] = 169736,
  [SMALL_STATE(2061)] = 169801,
  [SMALL_STATE(2062)] = 169896,
  [SMALL_STATE(2063)] = 169965,
  [SMALL_STATE(2064)] = 170062,
  [SMALL_STATE(2065)] = 170125,
  [SMALL_STATE(2066)] = 170188,
  [SMALL_STATE(2067)] = 170251,
  [SMALL_STATE(2068)] = 170320,
  [SMALL_STATE(2069)] = 170383,
  [SMALL_STATE(2070)] = 170446,
  [SMALL_STATE(2071)] = 170507,
  [SMALL_STATE(2072)] = 170614,
  [SMALL_STATE(2073)] = 170675,
  [SMALL_STATE(2074)] = 170736,
  [SMALL_STATE(2075)] = 170835,
  [SMALL_STATE(2076)] = 170928,
  [SMALL_STATE(2077)] = 170991,
  [SMALL_STATE(2078)] = 171054,
  [SMALL_STATE(2079)] = 171117,
  [SMALL_STATE(2080)] = 171202,
  [SMALL_STATE(2081)] = 171261,
  [SMALL_STATE(2082)] = 171322,
  [SMALL_STATE(2083)] = 171421,
  [SMALL_STATE(2084)] = 171484,
  [SMALL_STATE(2085)] = 171545,
  [SMALL_STATE(2086)] = 171608,
  [SMALL_STATE(2087)] = 171671,
  [SMALL_STATE(2088)] = 171734,
  [SMALL_STATE(2089)] = 171797,
  [SMALL_STATE(2090)] = 171860,
  [SMALL_STATE(2091)] = 171921,
  [SMALL_STATE(2092)] = 171979,
  [SMALL_STATE(2093)] = 172037,
  [SMALL_STATE(2094)] = 172099,
  [SMALL_STATE(2095)] = 172161,
  [SMALL_STATE(2096)] = 172219,
  [SMALL_STATE(2097)] = 172279,
  [SMALL_STATE(2098)] = 172339,
  [SMALL_STATE(2099)] = 172399,
  [SMALL_STATE(2100)] = 172459,
  [SMALL_STATE(2101)] = 172519,
  [SMALL_STATE(2102)] = 172579,
  [SMALL_STATE(2103)] = 172637,
  [SMALL_STATE(2104)] = 172697,
  [SMALL_STATE(2105)] = 172755,
  [SMALL_STATE(2106)] = 172815,
  [SMALL_STATE(2107)] = 172875,
  [SMALL_STATE(2108)] = 172941,
  [SMALL_STATE(2109)] = 173001,
  [SMALL_STATE(2110)] = 173069,
  [SMALL_STATE(2111)] = 173147,
  [SMALL_STATE(2112)] = 173241,
  [SMALL_STATE(2113)] = 173337,
  [SMALL_STATE(2114)] = 173401,
  [SMALL_STATE(2115)] = 173485,
  [SMALL_STATE(2116)] = 173555,
  [SMALL_STATE(2117)] = 173613,
  [SMALL_STATE(2118)] = 173673,
  [SMALL_STATE(2119)] = 173733,
  [SMALL_STATE(2120)] = 173793,
  [SMALL_STATE(2121)] = 173891,
  [SMALL_STATE(2122)] = 173959,
  [SMALL_STATE(2123)] = 174017,
  [SMALL_STATE(2124)] = 174077,
  [SMALL_STATE(2125)] = 174135,
  [SMALL_STATE(2126)] = 174193,
  [SMALL_STATE(2127)] = 174251,
  [SMALL_STATE(2128)] = 174329,
  [SMALL_STATE(2129)] = 174407,
  [SMALL_STATE(2130)] = 174481,
  [SMALL_STATE(2131)] = 174549,
  [SMALL_STATE(2132)] = 174637,
  [SMALL_STATE(2133)] = 174735,
  [SMALL_STATE(2134)] = 174833,
  [SMALL_STATE(2135)] = 174931,
  [SMALL_STATE(2136)] = 174991,
  [SMALL_STATE(2137)] = 175089,
  [SMALL_STATE(2138)] = 175187,
  [SMALL_STATE(2139)] = 175279,
  [SMALL_STATE(2140)] = 175337,
  [SMALL_STATE(2141)] = 175431,
  [SMALL_STATE(2142)] = 175495,
  [SMALL_STATE(2143)] = 175587,
  [SMALL_STATE(2144)] = 175671,
  [SMALL_STATE(2145)] = 175741,
  [SMALL_STATE(2146)] = 175819,
  [SMALL_STATE(2147)] = 175911,
  [SMALL_STATE(2148)] = 175985,
  [SMALL_STATE(2149)] = 176053,
  [SMALL_STATE(2150)] = 176111,
  [SMALL_STATE(2151)] = 176171,
  [SMALL_STATE(2152)] = 176257,
  [SMALL_STATE(2153)] = 176317,
  [SMALL_STATE(2154)] = 176377,
  [SMALL_STATE(2155)] = 176437,
  [SMALL_STATE(2156)] = 176497,
  [SMALL_STATE(2157)] = 176557,
  [SMALL_STATE(2158)] = 176617,
  [SMALL_STATE(2159)] = 176677,
  [SMALL_STATE(2160)] = 176737,
  [SMALL_STATE(2161)] = 176797,
  [SMALL_STATE(2162)] = 176855,
  [SMALL_STATE(2163)] = 176945,
  [SMALL_STATE(2164)] = 177005,
  [SMALL_STATE(2165)] = 177065,
  [SMALL_STATE(2166)] = 177163,
  [SMALL_STATE(2167)] = 177221,
  [SMALL_STATE(2168)] = 177281,
  [SMALL_STATE(2169)] = 177341,
  [SMALL_STATE(2170)] = 177401,
  [SMALL_STATE(2171)] = 177491,
  [SMALL_STATE(2172)] = 177589,
  [SMALL_STATE(2173)] = 177687,
  [SMALL_STATE(2174)] = 177745,
  [SMALL_STATE(2175)] = 177843,
  [SMALL_STATE(2176)] = 177949,
  [SMALL_STATE(2177)] = 178007,
  [SMALL_STATE(2178)] = 178065,
  [SMALL_STATE(2179)] = 178163,
  [SMALL_STATE(2180)] = 178221,
  [SMALL_STATE(2181)] = 178279,
  [SMALL_STATE(2182)] = 178373,
  [SMALL_STATE(2183)] = 178469,
  [SMALL_STATE(2184)] = 178527,
  [SMALL_STATE(2185)] = 178585,
  [SMALL_STATE(2186)] = 178669,
  [SMALL_STATE(2187)] = 178739,
  [SMALL_STATE(2188)] = 178797,
  [SMALL_STATE(2189)] = 178855,
  [SMALL_STATE(2190)] = 178913,
  [SMALL_STATE(2191)] = 178991,
  [SMALL_STATE(2192)] = 179049,
  [SMALL_STATE(2193)] = 179107,
  [SMALL_STATE(2194)] = 179167,
  [SMALL_STATE(2195)] = 179225,
  [SMALL_STATE(2196)] = 179299,
  [SMALL_STATE(2197)] = 179367,
  [SMALL_STATE(2198)] = 179425,
  [SMALL_STATE(2199)] = 179483,
  [SMALL_STATE(2200)] = 179593,
  [SMALL_STATE(2201)] = 179651,
  [SMALL_STATE(2202)] = 179709,
  [SMALL_STATE(2203)] = 179797,
  [SMALL_STATE(2204)] = 179889,
  [SMALL_STATE(2205)] = 179981,
  [SMALL_STATE(2206)] = 180039,
  [SMALL_STATE(2207)] = 180137,
  [SMALL_STATE(2208)] = 180197,
  [SMALL_STATE(2209)] = 180255,
  [SMALL_STATE(2210)] = 180313,
  [SMALL_STATE(2211)] = 180371,
  [SMALL_STATE(2212)] = 180429,
  [SMALL_STATE(2213)] = 180487,
  [SMALL_STATE(2214)] = 180547,
  [SMALL_STATE(2215)] = 180605,
  [SMALL_STATE(2216)] = 180673,
  [SMALL_STATE(2217)] = 180751,
  [SMALL_STATE(2218)] = 180815,
  [SMALL_STATE(2219)] = 180873,
  [SMALL_STATE(2220)] = 180935,
  [SMALL_STATE(2221)] = 180993,
  [SMALL_STATE(2222)] = 181051,
  [SMALL_STATE(2223)] = 181111,
  [SMALL_STATE(2224)] = 181169,
  [SMALL_STATE(2225)] = 181229,
  [SMALL_STATE(2226)] = 181287,
  [SMALL_STATE(2227)] = 181347,
  [SMALL_STATE(2228)] = 181407,
  [SMALL_STATE(2229)] = 181467,
  [SMALL_STATE(2230)] = 181527,
  [SMALL_STATE(2231)] = 181585,
  [SMALL_STATE(2232)] = 181643,
  [SMALL_STATE(2233)] = 181701,
  [SMALL_STATE(2234)] = 181761,
  [SMALL_STATE(2235)] = 181819,
  [SMALL_STATE(2236)] = 181879,
  [SMALL_STATE(2237)] = 181939,
  [SMALL_STATE(2238)] = 182005,
  [SMALL_STATE(2239)] = 182071,
  [SMALL_STATE(2240)] = 182129,
  [SMALL_STATE(2241)] = 182187,
  [SMALL_STATE(2242)] = 182245,
  [SMALL_STATE(2243)] = 182303,
  [SMALL_STATE(2244)] = 182361,
  [SMALL_STATE(2245)] = 182421,
  [SMALL_STATE(2246)] = 182481,
  [SMALL_STATE(2247)] = 182545,
  [SMALL_STATE(2248)] = 182605,
  [SMALL_STATE(2249)] = 182663,
  [SMALL_STATE(2250)] = 182723,
  [SMALL_STATE(2251)] = 182781,
  [SMALL_STATE(2252)] = 182841,
  [SMALL_STATE(2253)] = 182901,
  [SMALL_STATE(2254)] = 182961,
  [SMALL_STATE(2255)] = 183021,
  [SMALL_STATE(2256)] = 183081,
  [SMALL_STATE(2257)] = 183141,
  [SMALL_STATE(2258)] = 183201,
  [SMALL_STATE(2259)] = 183261,
  [SMALL_STATE(2260)] = 183321,
  [SMALL_STATE(2261)] = 183379,
  [SMALL_STATE(2262)] = 183439,
  [SMALL_STATE(2263)] = 183499,
  [SMALL_STATE(2264)] = 183559,
  [SMALL_STATE(2265)] = 183619,
  [SMALL_STATE(2266)] = 183679,
  [SMALL_STATE(2267)] = 183737,
  [SMALL_STATE(2268)] = 183795,
  [SMALL_STATE(2269)] = 183855,
  [SMALL_STATE(2270)] = 183919,
  [SMALL_STATE(2271)] = 183979,
  [SMALL_STATE(2272)] = 184037,
  [SMALL_STATE(2273)] = 184095,
  [SMALL_STATE(2274)] = 184153,
  [SMALL_STATE(2275)] = 184211,
  [SMALL_STATE(2276)] = 184269,
  [SMALL_STATE(2277)] = 184327,
  [SMALL_STATE(2278)] = 184385,
  [SMALL_STATE(2279)] = 184443,
  [SMALL_STATE(2280)] = 184541,
  [SMALL_STATE(2281)] = 184645,
  [SMALL_STATE(2282)] = 184703,
  [SMALL_STATE(2283)] = 184761,
  [SMALL_STATE(2284)] = 184819,
  [SMALL_STATE(2285)] = 184879,
  [SMALL_STATE(2286)] = 184939,
  [SMALL_STATE(2287)] = 184999,
  [SMALL_STATE(2288)] = 185059,
  [SMALL_STATE(2289)] = 185119,
  [SMALL_STATE(2290)] = 185177,
  [SMALL_STATE(2291)] = 185235,
  [SMALL_STATE(2292)] = 185293,
  [SMALL_STATE(2293)] = 185351,
  [SMALL_STATE(2294)] = 185411,
  [SMALL_STATE(2295)] = 185469,
  [SMALL_STATE(2296)] = 185529,
  [SMALL_STATE(2297)] = 185589,
  [SMALL_STATE(2298)] = 185647,
  [SMALL_STATE(2299)] = 185741,
  [SMALL_STATE(2300)] = 185837,
  [SMALL_STATE(2301)] = 185921,
  [SMALL_STATE(2302)] = 185991,
  [SMALL_STATE(2303)] = 186069,
  [SMALL_STATE(2304)] = 186143,
  [SMALL_STATE(2305)] = 186211,
  [SMALL_STATE(2306)] = 186299,
  [SMALL_STATE(2307)] = 186357,
  [SMALL_STATE(2308)] = 186449,
  [SMALL_STATE(2309)] = 186541,
  [SMALL_STATE(2310)] = 186603,
  [SMALL_STATE(2311)] = 186661,
  [SMALL_STATE(2312)] = 186719,
  [SMALL_STATE(2313)] = 186777,
  [SMALL_STATE(2314)] = 186835,
  [SMALL_STATE(2315)] = 186893,
  [SMALL_STATE(2316)] = 186951,
  [SMALL_STATE(2317)] = 187009,
  [SMALL_STATE(2318)] = 187067,
  [SMALL_STATE(2319)] = 187125,
  [SMALL_STATE(2320)] = 187183,
  [SMALL_STATE(2321)] = 187241,
  [SMALL_STATE(2322)] = 187299,
  [SMALL_STATE(2323)] = 187357,
  [SMALL_STATE(2324)] = 187415,
  [SMALL_STATE(2325)] = 187473,
  [SMALL_STATE(2326)] = 187531,
  [SMALL_STATE(2327)] = 187589,
  [SMALL_STATE(2328)] = 187647,
  [SMALL_STATE(2329)] = 187705,
  [SMALL_STATE(2330)] = 187763,
  [SMALL_STATE(2331)] = 187821,
  [SMALL_STATE(2332)] = 187879,
  [SMALL_STATE(2333)] = 187937,
  [SMALL_STATE(2334)] = 187995,
  [SMALL_STATE(2335)] = 188057,
  [SMALL_STATE(2336)] = 188115,
  [SMALL_STATE(2337)] = 188173,
  [SMALL_STATE(2338)] = 188231,
  [SMALL_STATE(2339)] = 188289,
  [SMALL_STATE(2340)] = 188347,
  [SMALL_STATE(2341)] = 188405,
  [SMALL_STATE(2342)] = 188463,
  [SMALL_STATE(2343)] = 188521,
  [SMALL_STATE(2344)] = 188579,
  [SMALL_STATE(2345)] = 188637,
  [SMALL_STATE(2346)] = 188695,
  [SMALL_STATE(2347)] = 188753,
  [SMALL_STATE(2348)] = 188811,
  [SMALL_STATE(2349)] = 188869,
  [SMALL_STATE(2350)] = 188927,
  [SMALL_STATE(2351)] = 188985,
  [SMALL_STATE(2352)] = 189043,
  [SMALL_STATE(2353)] = 189101,
  [SMALL_STATE(2354)] = 189159,
  [SMALL_STATE(2355)] = 189217,
  [SMALL_STATE(2356)] = 189275,
  [SMALL_STATE(2357)] = 189333,
  [SMALL_STATE(2358)] = 189391,
  [SMALL_STATE(2359)] = 189459,
  [SMALL_STATE(2360)] = 189517,
  [SMALL_STATE(2361)] = 189575,
  [SMALL_STATE(2362)] = 189653,
  [SMALL_STATE(2363)] = 189717,
  [SMALL_STATE(2364)] = 189775,
  [SMALL_STATE(2365)] = 189833,
  [SMALL_STATE(2366)] = 189895,
  [SMALL_STATE(2367)] = 189953,
  [SMALL_STATE(2368)] = 190011,
  [SMALL_STATE(2369)] = 190071,
  [SMALL_STATE(2370)] = 190129,
  [SMALL_STATE(2371)] = 190187,
  [SMALL_STATE(2372)] = 190244,
  [SMALL_STATE(2373)] = 190341,
  [SMALL_STATE(2374)] = 190398,
  [SMALL_STATE(2375)] = 190455,
  [SMALL_STATE(2376)] = 190512,
  [SMALL_STATE(2377)] = 190569,
  [SMALL_STATE(2378)] = 190626,
  [SMALL_STATE(2379)] = 190683,
  [SMALL_STATE(2380)] = 190740,
  [SMALL_STATE(2381)] = 190797,
  [SMALL_STATE(2382)] = 190854,
  [SMALL_STATE(2383)] = 190911,
  [SMALL_STATE(2384)] = 190968,
  [SMALL_STATE(2385)] = 191025,
  [SMALL_STATE(2386)] = 191082,
  [SMALL_STATE(2387)] = 191139,
  [SMALL_STATE(2388)] = 191196,
  [SMALL_STATE(2389)] = 191253,
  [SMALL_STATE(2390)] = 191356,
  [SMALL_STATE(2391)] = 191413,
  [SMALL_STATE(2392)] = 191480,
  [SMALL_STATE(2393)] = 191557,
  [SMALL_STATE(2394)] = 191614,
  [SMALL_STATE(2395)] = 191671,
  [SMALL_STATE(2396)] = 191728,
  [SMALL_STATE(2397)] = 191785,
  [SMALL_STATE(2398)] = 191842,
  [SMALL_STATE(2399)] = 191905,
  [SMALL_STATE(2400)] = 191962,
  [SMALL_STATE(2401)] = 192025,
  [SMALL_STATE(2402)] = 192082,
  [SMALL_STATE(2403)] = 192139,
  [SMALL_STATE(2404)] = 192196,
  [SMALL_STATE(2405)] = 192253,
  [SMALL_STATE(2406)] = 192310,
  [SMALL_STATE(2407)] = 192373,
  [SMALL_STATE(2408)] = 192436,
  [SMALL_STATE(2409)] = 192499,
  [SMALL_STATE(2410)] = 192562,
  [SMALL_STATE(2411)] = 192625,
  [SMALL_STATE(2412)] = 192682,
  [SMALL_STATE(2413)] = 192739,
  [SMALL_STATE(2414)] = 192802,
  [SMALL_STATE(2415)] = 192859,
  [SMALL_STATE(2416)] = 192918,
  [SMALL_STATE(2417)] = 193023,
  [SMALL_STATE(2418)] = 193084,
  [SMALL_STATE(2419)] = 193145,
  [SMALL_STATE(2420)] = 193202,
  [SMALL_STATE(2421)] = 193265,
  [SMALL_STATE(2422)] = 193322,
  [SMALL_STATE(2423)] = 193385,
  [SMALL_STATE(2424)] = 193442,
  [SMALL_STATE(2425)] = 193533,
  [SMALL_STATE(2426)] = 193626,
  [SMALL_STATE(2427)] = 193709,
  [SMALL_STATE(2428)] = 193778,
  [SMALL_STATE(2429)] = 193855,
  [SMALL_STATE(2430)] = 193928,
  [SMALL_STATE(2431)] = 193995,
  [SMALL_STATE(2432)] = 194080,
  [SMALL_STATE(2433)] = 194169,
  [SMALL_STATE(2434)] = 194258,
  [SMALL_STATE(2435)] = 194367,
  [SMALL_STATE(2436)] = 194424,
  [SMALL_STATE(2437)] = 194481,
  [SMALL_STATE(2438)] = 194538,
  [SMALL_STATE(2439)] = 194595,
  [SMALL_STATE(2440)] = 194658,
  [SMALL_STATE(2441)] = 194715,
  [SMALL_STATE(2442)] = 194772,
  [SMALL_STATE(2443)] = 194829,
  [SMALL_STATE(2444)] = 194886,
  [SMALL_STATE(2445)] = 194943,
  [SMALL_STATE(2446)] = 195000,
  [SMALL_STATE(2447)] = 195057,
  [SMALL_STATE(2448)] = 195114,
  [SMALL_STATE(2449)] = 195171,
  [SMALL_STATE(2450)] = 195228,
  [SMALL_STATE(2451)] = 195285,
  [SMALL_STATE(2452)] = 195342,
  [SMALL_STATE(2453)] = 195399,
  [SMALL_STATE(2454)] = 195456,
  [SMALL_STATE(2455)] = 195513,
  [SMALL_STATE(2456)] = 195616,
  [SMALL_STATE(2457)] = 195673,
  [SMALL_STATE(2458)] = 195730,
  [SMALL_STATE(2459)] = 195787,
  [SMALL_STATE(2460)] = 195844,
  [SMALL_STATE(2461)] = 195901,
  [SMALL_STATE(2462)] = 195958,
  [SMALL_STATE(2463)] = 196015,
  [SMALL_STATE(2464)] = 196072,
  [SMALL_STATE(2465)] = 196129,
  [SMALL_STATE(2466)] = 196186,
  [SMALL_STATE(2467)] = 196243,
  [SMALL_STATE(2468)] = 196300,
  [SMALL_STATE(2469)] = 196365,
  [SMALL_STATE(2470)] = 196422,
  [SMALL_STATE(2471)] = 196487,
  [SMALL_STATE(2472)] = 196544,
  [SMALL_STATE(2473)] = 196601,
  [SMALL_STATE(2474)] = 196658,
  [SMALL_STATE(2475)] = 196715,
  [SMALL_STATE(2476)] = 196772,
  [SMALL_STATE(2477)] = 196829,
  [SMALL_STATE(2478)] = 196886,
  [SMALL_STATE(2479)] = 196943,
  [SMALL_STATE(2480)] = 197000,
  [SMALL_STATE(2481)] = 197057,
  [SMALL_STATE(2482)] = 197114,
  [SMALL_STATE(2483)] = 197171,
  [SMALL_STATE(2484)] = 197228,
  [SMALL_STATE(2485)] = 197285,
  [SMALL_STATE(2486)] = 197342,
  [SMALL_STATE(2487)] = 197399,
  [SMALL_STATE(2488)] = 197456,
  [SMALL_STATE(2489)] = 197513,
  [SMALL_STATE(2490)] = 197570,
  [SMALL_STATE(2491)] = 197627,
  [SMALL_STATE(2492)] = 197684,
  [SMALL_STATE(2493)] = 197741,
  [SMALL_STATE(2494)] = 197798,
  [SMALL_STATE(2495)] = 197855,
  [SMALL_STATE(2496)] = 197912,
  [SMALL_STATE(2497)] = 197969,
  [SMALL_STATE(2498)] = 198026,
  [SMALL_STATE(2499)] = 198083,
  [SMALL_STATE(2500)] = 198140,
  [SMALL_STATE(2501)] = 198203,
  [SMALL_STATE(2502)] = 198266,
  [SMALL_STATE(2503)] = 198323,
  [SMALL_STATE(2504)] = 198380,
  [SMALL_STATE(2505)] = 198437,
  [SMALL_STATE(2506)] = 198494,
  [SMALL_STATE(2507)] = 198551,
  [SMALL_STATE(2508)] = 198608,
  [SMALL_STATE(2509)] = 198665,
  [SMALL_STATE(2510)] = 198722,
  [SMALL_STATE(2511)] = 198779,
  [SMALL_STATE(2512)] = 198836,
  [SMALL_STATE(2513)] = 198893,
  [SMALL_STATE(2514)] = 198950,
  [SMALL_STATE(2515)] = 199007,
  [SMALL_STATE(2516)] = 199064,
  [SMALL_STATE(2517)] = 199121,
  [SMALL_STATE(2518)] = 199178,
  [SMALL_STATE(2519)] = 199235,
  [SMALL_STATE(2520)] = 199292,
  [SMALL_STATE(2521)] = 199349,
  [SMALL_STATE(2522)] = 199406,
  [SMALL_STATE(2523)] = 199463,
  [SMALL_STATE(2524)] = 199520,
  [SMALL_STATE(2525)] = 199577,
  [SMALL_STATE(2526)] = 199634,
  [SMALL_STATE(2527)] = 199691,
  [SMALL_STATE(2528)] = 199748,
  [SMALL_STATE(2529)] = 199805,
  [SMALL_STATE(2530)] = 199862,
  [SMALL_STATE(2531)] = 199919,
  [SMALL_STATE(2532)] = 199976,
  [SMALL_STATE(2533)] = 200033,
  [SMALL_STATE(2534)] = 200090,
  [SMALL_STATE(2535)] = 200147,
  [SMALL_STATE(2536)] = 200204,
  [SMALL_STATE(2537)] = 200261,
  [SMALL_STATE(2538)] = 200318,
  [SMALL_STATE(2539)] = 200375,
  [SMALL_STATE(2540)] = 200432,
  [SMALL_STATE(2541)] = 200489,
  [SMALL_STATE(2542)] = 200546,
  [SMALL_STATE(2543)] = 200603,
  [SMALL_STATE(2544)] = 200660,
  [SMALL_STATE(2545)] = 200717,
  [SMALL_STATE(2546)] = 200774,
  [SMALL_STATE(2547)] = 200831,
  [SMALL_STATE(2548)] = 200888,
  [SMALL_STATE(2549)] = 200945,
  [SMALL_STATE(2550)] = 201002,
  [SMALL_STATE(2551)] = 201059,
  [SMALL_STATE(2552)] = 201116,
  [SMALL_STATE(2553)] = 201173,
  [SMALL_STATE(2554)] = 201230,
  [SMALL_STATE(2555)] = 201287,
  [SMALL_STATE(2556)] = 201344,
  [SMALL_STATE(2557)] = 201401,
  [SMALL_STATE(2558)] = 201458,
  [SMALL_STATE(2559)] = 201515,
  [SMALL_STATE(2560)] = 201572,
  [SMALL_STATE(2561)] = 201629,
  [SMALL_STATE(2562)] = 201686,
  [SMALL_STATE(2563)] = 201743,
  [SMALL_STATE(2564)] = 201800,
  [SMALL_STATE(2565)] = 201857,
  [SMALL_STATE(2566)] = 201914,
  [SMALL_STATE(2567)] = 201971,
  [SMALL_STATE(2568)] = 202028,
  [SMALL_STATE(2569)] = 202085,
  [SMALL_STATE(2570)] = 202142,
  [SMALL_STATE(2571)] = 202199,
  [SMALL_STATE(2572)] = 202256,
  [SMALL_STATE(2573)] = 202313,
  [SMALL_STATE(2574)] = 202370,
  [SMALL_STATE(2575)] = 202435,
  [SMALL_STATE(2576)] = 202492,
  [SMALL_STATE(2577)] = 202549,
  [SMALL_STATE(2578)] = 202606,
  [SMALL_STATE(2579)] = 202663,
  [SMALL_STATE(2580)] = 202720,
  [SMALL_STATE(2581)] = 202777,
  [SMALL_STATE(2582)] = 202840,
  [SMALL_STATE(2583)] = 202897,
  [SMALL_STATE(2584)] = 202960,
  [SMALL_STATE(2585)] = 203017,
  [SMALL_STATE(2586)] = 203074,
  [SMALL_STATE(2587)] = 203131,
  [SMALL_STATE(2588)] = 203188,
  [SMALL_STATE(2589)] = 203245,
  [SMALL_STATE(2590)] = 203304,
  [SMALL_STATE(2591)] = 203369,
  [SMALL_STATE(2592)] = 203426,
  [SMALL_STATE(2593)] = 203483,
  [SMALL_STATE(2594)] = 203540,
  [SMALL_STATE(2595)] = 203597,
  [SMALL_STATE(2596)] = 203654,
  [SMALL_STATE(2597)] = 203711,
  [SMALL_STATE(2598)] = 203768,
  [SMALL_STATE(2599)] = 203825,
  [SMALL_STATE(2600)] = 203882,
  [SMALL_STATE(2601)] = 203939,
  [SMALL_STATE(2602)] = 203996,
  [SMALL_STATE(2603)] = 204053,
  [SMALL_STATE(2604)] = 204110,
  [SMALL_STATE(2605)] = 204167,
  [SMALL_STATE(2606)] = 204224,
  [SMALL_STATE(2607)] = 204281,
  [SMALL_STATE(2608)] = 204338,
  [SMALL_STATE(2609)] = 204395,
  [SMALL_STATE(2610)] = 204452,
  [SMALL_STATE(2611)] = 204509,
  [SMALL_STATE(2612)] = 204566,
  [SMALL_STATE(2613)] = 204623,
  [SMALL_STATE(2614)] = 204680,
  [SMALL_STATE(2615)] = 204737,
  [SMALL_STATE(2616)] = 204794,
  [SMALL_STATE(2617)] = 204851,
  [SMALL_STATE(2618)] = 204908,
  [SMALL_STATE(2619)] = 204965,
  [SMALL_STATE(2620)] = 205030,
  [SMALL_STATE(2621)] = 205087,
  [SMALL_STATE(2622)] = 205144,
  [SMALL_STATE(2623)] = 205201,
  [SMALL_STATE(2624)] = 205258,
  [SMALL_STATE(2625)] = 205315,
  [SMALL_STATE(2626)] = 205372,
  [SMALL_STATE(2627)] = 205433,
  [SMALL_STATE(2628)] = 205489,
  [SMALL_STATE(2629)] = 205545,
  [SMALL_STATE(2630)] = 205601,
  [SMALL_STATE(2631)] = 205657,
  [SMALL_STATE(2632)] = 205721,
  [SMALL_STATE(2633)] = 205777,
  [SMALL_STATE(2634)] = 205833,
  [SMALL_STATE(2635)] = 205889,
  [SMALL_STATE(2636)] = 205945,
  [SMALL_STATE(2637)] = 206001,
  [SMALL_STATE(2638)] = 206057,
  [SMALL_STATE(2639)] = 206119,
  [SMALL_STATE(2640)] = 206181,
  [SMALL_STATE(2641)] = 206237,
  [SMALL_STATE(2642)] = 206293,
  [SMALL_STATE(2643)] = 206349,
  [SMALL_STATE(2644)] = 206405,
  [SMALL_STATE(2645)] = 206465,
  [SMALL_STATE(2646)] = 206525,
  [SMALL_STATE(2647)] = 206581,
  [SMALL_STATE(2648)] = 206637,
  [SMALL_STATE(2649)] = 206693,
  [SMALL_STATE(2650)] = 206749,
  [SMALL_STATE(2651)] = 206805,
  [SMALL_STATE(2652)] = 206861,
  [SMALL_STATE(2653)] = 206919,
  [SMALL_STATE(2654)] = 206975,
  [SMALL_STATE(2655)] = 207031,
  [SMALL_STATE(2656)] = 207135,
  [SMALL_STATE(2657)] = 207197,
  [SMALL_STATE(2658)] = 207261,
  [SMALL_STATE(2659)] = 207325,
  [SMALL_STATE(2660)] = 207381,
  [SMALL_STATE(2661)] = 207437,
  [SMALL_STATE(2662)] = 207533,
  [SMALL_STATE(2663)] = 207593,
  [SMALL_STATE(2664)] = 207649,
  [SMALL_STATE(2665)] = 207705,
  [SMALL_STATE(2666)] = 207761,
  [SMALL_STATE(2667)] = 207821,
  [SMALL_STATE(2668)] = 207877,
  [SMALL_STATE(2669)] = 207933,
  [SMALL_STATE(2670)] = 207991,
  [SMALL_STATE(2671)] = 208047,
  [SMALL_STATE(2672)] = 208103,
  [SMALL_STATE(2673)] = 208159,
  [SMALL_STATE(2674)] = 208215,
  [SMALL_STATE(2675)] = 208317,
  [SMALL_STATE(2676)] = 208377,
  [SMALL_STATE(2677)] = 208437,
  [SMALL_STATE(2678)] = 208501,
  [SMALL_STATE(2679)] = 208561,
  [SMALL_STATE(2680)] = 208617,
  [SMALL_STATE(2681)] = 208673,
  [SMALL_STATE(2682)] = 208729,
  [SMALL_STATE(2683)] = 208789,
  [SMALL_STATE(2684)] = 208845,
  [SMALL_STATE(2685)] = 208909,
  [SMALL_STATE(2686)] = 208965,
  [SMALL_STATE(2687)] = 209021,
  [SMALL_STATE(2688)] = 209077,
  [SMALL_STATE(2689)] = 209139,
  [SMALL_STATE(2690)] = 209199,
  [SMALL_STATE(2691)] = 209259,
  [SMALL_STATE(2692)] = 209315,
  [SMALL_STATE(2693)] = 209379,
  [SMALL_STATE(2694)] = 209435,
  [SMALL_STATE(2695)] = 209495,
  [SMALL_STATE(2696)] = 209551,
  [SMALL_STATE(2697)] = 209611,
  [SMALL_STATE(2698)] = 209673,
  [SMALL_STATE(2699)] = 209735,
  [SMALL_STATE(2700)] = 209797,
  [SMALL_STATE(2701)] = 209859,
  [SMALL_STATE(2702)] = 209921,
  [SMALL_STATE(2703)] = 209983,
  [SMALL_STATE(2704)] = 210039,
  [SMALL_STATE(2705)] = 210095,
  [SMALL_STATE(2706)] = 210191,
  [SMALL_STATE(2707)] = 210253,
  [SMALL_STATE(2708)] = 210313,
  [SMALL_STATE(2709)] = 210377,
  [SMALL_STATE(2710)] = 210433,
  [SMALL_STATE(2711)] = 210489,
  [SMALL_STATE(2712)] = 210545,
  [SMALL_STATE(2713)] = 210601,
  [SMALL_STATE(2714)] = 210657,
  [SMALL_STATE(2715)] = 210713,
  [SMALL_STATE(2716)] = 210769,
  [SMALL_STATE(2717)] = 210825,
  [SMALL_STATE(2718)] = 210883,
  [SMALL_STATE(2719)] = 210939,
  [SMALL_STATE(2720)] = 210999,
  [SMALL_STATE(2721)] = 211055,
  [SMALL_STATE(2722)] = 211111,
  [SMALL_STATE(2723)] = 211167,
  [SMALL_STATE(2724)] = 211223,
  [SMALL_STATE(2725)] = 211279,
  [SMALL_STATE(2726)] = 211335,
  [SMALL_STATE(2727)] = 211392,
  [SMALL_STATE(2728)] = 211451,
  [SMALL_STATE(2729)] = 211508,
  [SMALL_STATE(2730)] = 211567,
  [SMALL_STATE(2731)] = 211624,
  [SMALL_STATE(2732)] = 211683,
  [SMALL_STATE(2733)] = 211740,
  [SMALL_STATE(2734)] = 211803,
  [SMALL_STATE(2735)] = 211866,
  [SMALL_STATE(2736)] = 211927,
  [SMALL_STATE(2737)] = 211988,
  [SMALL_STATE(2738)] = 212083,
  [SMALL_STATE(2739)] = 212142,
  [SMALL_STATE(2740)] = 212205,
  [SMALL_STATE(2741)] = 212264,
  [SMALL_STATE(2742)] = 212323,
  [SMALL_STATE(2743)] = 212390,
  [SMALL_STATE(2744)] = 212447,
  [SMALL_STATE(2745)] = 212506,
  [SMALL_STATE(2746)] = 212569,
  [SMALL_STATE(2747)] = 212628,
  [SMALL_STATE(2748)] = 212685,
  [SMALL_STATE(2749)] = 212740,
  [SMALL_STATE(2750)] = 212797,
  [SMALL_STATE(2751)] = 212856,
  [SMALL_STATE(2752)] = 212913,
  [SMALL_STATE(2753)] = 212970,
  [SMALL_STATE(2754)] = 213029,
  [SMALL_STATE(2755)] = 213090,
  [SMALL_STATE(2756)] = 213147,
  [SMALL_STATE(2757)] = 213206,
  [SMALL_STATE(2758)] = 213269,
  [SMALL_STATE(2759)] = 213328,
  [SMALL_STATE(2760)] = 213387,
  [SMALL_STATE(2761)] = 213462,
  [SMALL_STATE(2762)] = 213533,
  [SMALL_STATE(2763)] = 213598,
  [SMALL_STATE(2764)] = 213683,
  [SMALL_STATE(2765)] = 213740,
  [SMALL_STATE(2766)] = 213801,
  [SMALL_STATE(2767)] = 213890,
  [SMALL_STATE(2768)] = 213991,
  [SMALL_STATE(2769)] = 214086,
  [SMALL_STATE(2770)] = 214145,
  [SMALL_STATE(2771)] = 214234,
  [SMALL_STATE(2772)] = 214295,
  [SMALL_STATE(2773)] = 214358,
  [SMALL_STATE(2774)] = 214413,
  [SMALL_STATE(2775)] = 214468,
  [SMALL_STATE(2776)] = 214525,
  [SMALL_STATE(2777)] = 214582,
  [SMALL_STATE(2778)] = 214639,
  [SMALL_STATE(2779)] = 214696,
  [SMALL_STATE(2780)] = 214753,
  [SMALL_STATE(2781)] = 214810,
  [SMALL_STATE(2782)] = 214867,
  [SMALL_STATE(2783)] = 214924,
  [SMALL_STATE(2784)] = 214983,
  [SMALL_STATE(2785)] = 215038,
  [SMALL_STATE(2786)] = 215097,
  [SMALL_STATE(2787)] = 215160,
  [SMALL_STATE(2788)] = 215217,
  [SMALL_STATE(2789)] = 215282,
  [SMALL_STATE(2790)] = 215357,
  [SMALL_STATE(2791)] = 215418,
  [SMALL_STATE(2792)] = 215477,
  [SMALL_STATE(2793)] = 215572,
  [SMALL_STATE(2794)] = 215627,
  [SMALL_STATE(2795)] = 215684,
  [SMALL_STATE(2796)] = 215741,
  [SMALL_STATE(2797)] = 215802,
  [SMALL_STATE(2798)] = 215865,
  [SMALL_STATE(2799)] = 215922,
  [SMALL_STATE(2800)] = 215977,
  [SMALL_STATE(2801)] = 216040,
  [SMALL_STATE(2802)] = 216103,
  [SMALL_STATE(2803)] = 216160,
  [SMALL_STATE(2804)] = 216217,
  [SMALL_STATE(2805)] = 216276,
  [SMALL_STATE(2806)] = 216337,
  [SMALL_STATE(2807)] = 216394,
  [SMALL_STATE(2808)] = 216449,
  [SMALL_STATE(2809)] = 216508,
  [SMALL_STATE(2810)] = 216567,
  [SMALL_STATE(2811)] = 216626,
  [SMALL_STATE(2812)] = 216717,
  [SMALL_STATE(2813)] = 216774,
  [SMALL_STATE(2814)] = 216831,
  [SMALL_STATE(2815)] = 216886,
  [SMALL_STATE(2816)] = 216949,
  [SMALL_STATE(2817)] = 217010,
  [SMALL_STATE(2818)] = 217065,
  [SMALL_STATE(2819)] = 217126,
  [SMALL_STATE(2820)] = 217187,
  [SMALL_STATE(2821)] = 217246,
  [SMALL_STATE(2822)] = 217307,
  [SMALL_STATE(2823)] = 217368,
  [SMALL_STATE(2824)] = 217427,
  [SMALL_STATE(2825)] = 217488,
  [SMALL_STATE(2826)] = 217581,
  [SMALL_STATE(2827)] = 217636,
  [SMALL_STATE(2828)] = 217695,
  [SMALL_STATE(2829)] = 217754,
  [SMALL_STATE(2830)] = 217815,
  [SMALL_STATE(2831)] = 217876,
  [SMALL_STATE(2832)] = 217931,
  [SMALL_STATE(2833)] = 217988,
  [SMALL_STATE(2834)] = 218049,
  [SMALL_STATE(2835)] = 218110,
  [SMALL_STATE(2836)] = 218165,
  [SMALL_STATE(2837)] = 218222,
  [SMALL_STATE(2838)] = 218283,
  [SMALL_STATE(2839)] = 218338,
  [SMALL_STATE(2840)] = 218395,
  [SMALL_STATE(2841)] = 218450,
  [SMALL_STATE(2842)] = 218507,
  [SMALL_STATE(2843)] = 218564,
  [SMALL_STATE(2844)] = 218619,
  [SMALL_STATE(2845)] = 218682,
  [SMALL_STATE(2846)] = 218737,
  [SMALL_STATE(2847)] = 218800,
  [SMALL_STATE(2848)] = 218863,
  [SMALL_STATE(2849)] = 218920,
  [SMALL_STATE(2850)] = 218979,
  [SMALL_STATE(2851)] = 219042,
  [SMALL_STATE(2852)] = 219099,
  [SMALL_STATE(2853)] = 219160,
  [SMALL_STATE(2854)] = 219241,
  [SMALL_STATE(2855)] = 219296,
  [SMALL_STATE(2856)] = 219353,
  [SMALL_STATE(2857)] = 219412,
  [SMALL_STATE(2858)] = 219469,
  [SMALL_STATE(2859)] = 219524,
  [SMALL_STATE(2860)] = 219583,
  [SMALL_STATE(2861)] = 219638,
  [SMALL_STATE(2862)] = 219693,
  [SMALL_STATE(2863)] = 219788,
  [SMALL_STATE(2864)] = 219847,
  [SMALL_STATE(2865)] = 219902,
  [SMALL_STATE(2866)] = 219965,
  [SMALL_STATE(2867)] = 220020,
  [SMALL_STATE(2868)] = 220081,
  [SMALL_STATE(2869)] = 220138,
  [SMALL_STATE(2870)] = 220193,
  [SMALL_STATE(2871)] = 220248,
  [SMALL_STATE(2872)] = 220307,
  [SMALL_STATE(2873)] = 220366,
  [SMALL_STATE(2874)] = 220425,
  [SMALL_STATE(2875)] = 220484,
  [SMALL_STATE(2876)] = 220543,
  [SMALL_STATE(2877)] = 220601,
  [SMALL_STATE(2878)] = 220659,
  [SMALL_STATE(2879)] = 220717,
  [SMALL_STATE(2880)] = 220779,
  [SMALL_STATE(2881)] = 220841,
  [SMALL_STATE(2882)] = 220903,
  [SMALL_STATE(2883)] = 220961,
  [SMALL_STATE(2884)] = 221019,
  [SMALL_STATE(2885)] = 221077,
  [SMALL_STATE(2886)] = 221135,
  [SMALL_STATE(2887)] = 221193,
  [SMALL_STATE(2888)] = 221251,
  [SMALL_STATE(2889)] = 221309,
  [SMALL_STATE(2890)] = 221367,
  [SMALL_STATE(2891)] = 221425,
  [SMALL_STATE(2892)] = 221483,
  [SMALL_STATE(2893)] = 221541,
  [SMALL_STATE(2894)] = 221599,
  [SMALL_STATE(2895)] = 221657,
  [SMALL_STATE(2896)] = 221715,
  [SMALL_STATE(2897)] = 221773,
  [SMALL_STATE(2898)] = 221831,
  [SMALL_STATE(2899)] = 221889,
  [SMALL_STATE(2900)] = 221947,
  [SMALL_STATE(2901)] = 222005,
  [SMALL_STATE(2902)] = 222063,
  [SMALL_STATE(2903)] = 222121,
  [SMALL_STATE(2904)] = 222183,
  [SMALL_STATE(2905)] = 222245,
  [SMALL_STATE(2906)] = 222307,
  [SMALL_STATE(2907)] = 222369,
  [SMALL_STATE(2908)] = 222471,
  [SMALL_STATE(2909)] = 222531,
  [SMALL_STATE(2910)] = 222591,
  [SMALL_STATE(2911)] = 222649,
  [SMALL_STATE(2912)] = 222707,
  [SMALL_STATE(2913)] = 222765,
  [SMALL_STATE(2914)] = 222823,
  [SMALL_STATE(2915)] = 222881,
  [SMALL_STATE(2916)] = 222937,
  [SMALL_STATE(2917)] = 222993,
  [SMALL_STATE(2918)] = 223051,
  [SMALL_STATE(2919)] = 223109,
  [SMALL_STATE(2920)] = 223167,
  [SMALL_STATE(2921)] = 223225,
  [SMALL_STATE(2922)] = 223281,
  [SMALL_STATE(2923)] = 223339,
  [SMALL_STATE(2924)] = 223397,
  [SMALL_STATE(2925)] = 223455,
  [SMALL_STATE(2926)] = 223517,
  [SMALL_STATE(2927)] = 223571,
  [SMALL_STATE(2928)] = 223625,
  [SMALL_STATE(2929)] = 223679,
  [SMALL_STATE(2930)] = 223733,
  [SMALL_STATE(2931)] = 223787,
  [SMALL_STATE(2932)] = 223841,
  [SMALL_STATE(2933)] = 223901,
  [SMALL_STATE(2934)] = 223961,
  [SMALL_STATE(2935)] = 224021,
  [SMALL_STATE(2936)] = 224081,
  [SMALL_STATE(2937)] = 224141,
  [SMALL_STATE(2938)] = 224201,
  [SMALL_STATE(2939)] = 224261,
  [SMALL_STATE(2940)] = 224321,
  [SMALL_STATE(2941)] = 224375,
  [SMALL_STATE(2942)] = 224437,
  [SMALL_STATE(2943)] = 224499,
  [SMALL_STATE(2944)] = 224561,
  [SMALL_STATE(2945)] = 224617,
  [SMALL_STATE(2946)] = 224675,
  [SMALL_STATE(2947)] = 224733,
  [SMALL_STATE(2948)] = 224795,
  [SMALL_STATE(2949)] = 224857,
  [SMALL_STATE(2950)] = 224915,
  [SMALL_STATE(2951)] = 224969,
  [SMALL_STATE(2952)] = 225029,
  [SMALL_STATE(2953)] = 225089,
  [SMALL_STATE(2954)] = 225147,
  [SMALL_STATE(2955)] = 225205,
  [SMALL_STATE(2956)] = 225263,
  [SMALL_STATE(2957)] = 225319,
  [SMALL_STATE(2958)] = 225377,
  [SMALL_STATE(2959)] = 225435,
  [SMALL_STATE(2960)] = 225493,
  [SMALL_STATE(2961)] = 225551,
  [SMALL_STATE(2962)] = 225609,
  [SMALL_STATE(2963)] = 225667,
  [SMALL_STATE(2964)] = 225725,
  [SMALL_STATE(2965)] = 225783,
  [SMALL_STATE(2966)] = 225841,
  [SMALL_STATE(2967)] = 225899,
  [SMALL_STATE(2968)] = 225957,
  [SMALL_STATE(2969)] = 226015,
  [SMALL_STATE(2970)] = 226073,
  [SMALL_STATE(2971)] = 226131,
  [SMALL_STATE(2972)] = 226185,
  [SMALL_STATE(2973)] = 226243,
  [SMALL_STATE(2974)] = 226301,
  [SMALL_STATE(2975)] = 226355,
  [SMALL_STATE(2976)] = 226409,
  [SMALL_STATE(2977)] = 226463,
  [SMALL_STATE(2978)] = 226519,
  [SMALL_STATE(2979)] = 226575,
  [SMALL_STATE(2980)] = 226631,
  [SMALL_STATE(2981)] = 226685,
  [SMALL_STATE(2982)] = 226743,
  [SMALL_STATE(2983)] = 226801,
  [SMALL_STATE(2984)] = 226857,
  [SMALL_STATE(2985)] = 226913,
  [SMALL_STATE(2986)] = 226971,
  [SMALL_STATE(2987)] = 227025,
  [SMALL_STATE(2988)] = 227079,
  [SMALL_STATE(2989)] = 227133,
  [SMALL_STATE(2990)] = 227187,
  [SMALL_STATE(2991)] = 227241,
  [SMALL_STATE(2992)] = 227295,
  [SMALL_STATE(2993)] = 227349,
  [SMALL_STATE(2994)] = 227407,
  [SMALL_STATE(2995)] = 227461,
  [SMALL_STATE(2996)] = 227515,
  [SMALL_STATE(2997)] = 227569,
  [SMALL_STATE(2998)] = 227623,
  [SMALL_STATE(2999)] = 227677,
  [SMALL_STATE(3000)] = 227731,
  [SMALL_STATE(3001)] = 227785,
  [SMALL_STATE(3002)] = 227839,
  [SMALL_STATE(3003)] = 227893,
  [SMALL_STATE(3004)] = 227947,
  [SMALL_STATE(3005)] = 228001,
  [SMALL_STATE(3006)] = 228055,
  [SMALL_STATE(3007)] = 228109,
  [SMALL_STATE(3008)] = 228163,
  [SMALL_STATE(3009)] = 228219,
  [SMALL_STATE(3010)] = 228273,
  [SMALL_STATE(3011)] = 228327,
  [SMALL_STATE(3012)] = 228381,
  [SMALL_STATE(3013)] = 228435,
  [SMALL_STATE(3014)] = 228489,
  [SMALL_STATE(3015)] = 228543,
  [SMALL_STATE(3016)] = 228597,
  [SMALL_STATE(3017)] = 228651,
  [SMALL_STATE(3018)] = 228709,
  [SMALL_STATE(3019)] = 228763,
  [SMALL_STATE(3020)] = 228817,
  [SMALL_STATE(3021)] = 228871,
  [SMALL_STATE(3022)] = 228925,
  [SMALL_STATE(3023)] = 228979,
  [SMALL_STATE(3024)] = 229033,
  [SMALL_STATE(3025)] = 229087,
  [SMALL_STATE(3026)] = 229141,
  [SMALL_STATE(3027)] = 229195,
  [SMALL_STATE(3028)] = 229289,
  [SMALL_STATE(3029)] = 229343,
  [SMALL_STATE(3030)] = 229397,
  [SMALL_STATE(3031)] = 229451,
  [SMALL_STATE(3032)] = 229505,
  [SMALL_STATE(3033)] = 229559,
  [SMALL_STATE(3034)] = 229613,
  [SMALL_STATE(3035)] = 229667,
  [SMALL_STATE(3036)] = 229721,
  [SMALL_STATE(3037)] = 229775,
  [SMALL_STATE(3038)] = 229829,
  [SMALL_STATE(3039)] = 229883,
  [SMALL_STATE(3040)] = 229937,
  [SMALL_STATE(3041)] = 229991,
  [SMALL_STATE(3042)] = 230045,
  [SMALL_STATE(3043)] = 230099,
  [SMALL_STATE(3044)] = 230153,
  [SMALL_STATE(3045)] = 230207,
  [SMALL_STATE(3046)] = 230261,
  [SMALL_STATE(3047)] = 230315,
  [SMALL_STATE(3048)] = 230369,
  [SMALL_STATE(3049)] = 230423,
  [SMALL_STATE(3050)] = 230477,
  [SMALL_STATE(3051)] = 230531,
  [SMALL_STATE(3052)] = 230585,
  [SMALL_STATE(3053)] = 230645,
  [SMALL_STATE(3054)] = 230699,
  [SMALL_STATE(3055)] = 230753,
  [SMALL_STATE(3056)] = 230807,
  [SMALL_STATE(3057)] = 230863,
  [SMALL_STATE(3058)] = 230925,
  [SMALL_STATE(3059)] = 231019,
  [SMALL_STATE(3060)] = 231079,
  [SMALL_STATE(3061)] = 231139,
  [SMALL_STATE(3062)] = 231199,
  [SMALL_STATE(3063)] = 231259,
  [SMALL_STATE(3064)] = 231319,
  [SMALL_STATE(3065)] = 231379,
  [SMALL_STATE(3066)] = 231441,
  [SMALL_STATE(3067)] = 231535,
  [SMALL_STATE(3068)] = 231593,
  [SMALL_STATE(3069)] = 231655,
  [SMALL_STATE(3070)] = 231715,
  [SMALL_STATE(3071)] = 231773,
  [SMALL_STATE(3072)] = 231831,
  [SMALL_STATE(3073)] = 231887,
  [SMALL_STATE(3074)] = 231943,
  [SMALL_STATE(3075)] = 231999,
  [SMALL_STATE(3076)] = 232061,
  [SMALL_STATE(3077)] = 232117,
  [SMALL_STATE(3078)] = 232173,
  [SMALL_STATE(3079)] = 232227,
  [SMALL_STATE(3080)] = 232283,
  [SMALL_STATE(3081)] = 232337,
  [SMALL_STATE(3082)] = 232393,
  [SMALL_STATE(3083)] = 232449,
  [SMALL_STATE(3084)] = 232505,
  [SMALL_STATE(3085)] = 232561,
  [SMALL_STATE(3086)] = 232615,
  [SMALL_STATE(3087)] = 232669,
  [SMALL_STATE(3088)] = 232723,
  [SMALL_STATE(3089)] = 232777,
  [SMALL_STATE(3090)] = 232831,
  [SMALL_STATE(3091)] = 232887,
  [SMALL_STATE(3092)] = 232941,
  [SMALL_STATE(3093)] = 232997,
  [SMALL_STATE(3094)] = 233053,
  [SMALL_STATE(3095)] = 233109,
  [SMALL_STATE(3096)] = 233165,
  [SMALL_STATE(3097)] = 233221,
  [SMALL_STATE(3098)] = 233277,
  [SMALL_STATE(3099)] = 233333,
  [SMALL_STATE(3100)] = 233389,
  [SMALL_STATE(3101)] = 233445,
  [SMALL_STATE(3102)] = 233501,
  [SMALL_STATE(3103)] = 233557,
  [SMALL_STATE(3104)] = 233613,
  [SMALL_STATE(3105)] = 233669,
  [SMALL_STATE(3106)] = 233725,
  [SMALL_STATE(3107)] = 233779,
  [SMALL_STATE(3108)] = 233839,
  [SMALL_STATE(3109)] = 233899,
  [SMALL_STATE(3110)] = 233955,
  [SMALL_STATE(3111)] = 234015,
  [SMALL_STATE(3112)] = 234075,
  [SMALL_STATE(3113)] = 234135,
  [SMALL_STATE(3114)] = 234195,
  [SMALL_STATE(3115)] = 234255,
  [SMALL_STATE(3116)] = 234315,
  [SMALL_STATE(3117)] = 234375,
  [SMALL_STATE(3118)] = 234429,
  [SMALL_STATE(3119)] = 234486,
  [SMALL_STATE(3120)] = 234545,
  [SMALL_STATE(3121)] = 234604,
  [SMALL_STATE(3122)] = 234657,
  [SMALL_STATE(3123)] = 234710,
  [SMALL_STATE(3124)] = 234763,
  [SMALL_STATE(3125)] = 234816,
  [SMALL_STATE(3126)] = 234871,
  [SMALL_STATE(3127)] = 234926,
  [SMALL_STATE(3128)] = 234979,
  [SMALL_STATE(3129)] = 235034,
  [SMALL_STATE(3130)] = 235087,
  [SMALL_STATE(3131)] = 235140,
  [SMALL_STATE(3132)] = 235193,
  [SMALL_STATE(3133)] = 235246,
  [SMALL_STATE(3134)] = 235303,
  [SMALL_STATE(3135)] = 235358,
  [SMALL_STATE(3136)] = 235419,
  [SMALL_STATE(3137)] = 235476,
  [SMALL_STATE(3138)] = 235529,
  [SMALL_STATE(3139)] = 235584,
  [SMALL_STATE(3140)] = 235639,
  [SMALL_STATE(3141)] = 235694,
  [SMALL_STATE(3142)] = 235755,
  [SMALL_STATE(3143)] = 235812,
  [SMALL_STATE(3144)] = 235873,
  [SMALL_STATE(3145)] = 235930,
  [SMALL_STATE(3146)] = 235987,
  [SMALL_STATE(3147)] = 236044,
  [SMALL_STATE(3148)] = 236101,
  [SMALL_STATE(3149)] = 236158,
  [SMALL_STATE(3150)] = 236215,
  [SMALL_STATE(3151)] = 236272,
  [SMALL_STATE(3152)] = 236329,
  [SMALL_STATE(3153)] = 236386,
  [SMALL_STATE(3154)] = 236491,
  [SMALL_STATE(3155)] = 236546,
  [SMALL_STATE(3156)] = 236603,
  [SMALL_STATE(3157)] = 236656,
  [SMALL_STATE(3158)] = 236709,
  [SMALL_STATE(3159)] = 236762,
  [SMALL_STATE(3160)] = 236817,
  [SMALL_STATE(3161)] = 236874,
  [SMALL_STATE(3162)] = 236927,
  [SMALL_STATE(3163)] = 236984,
  [SMALL_STATE(3164)] = 237037,
  [SMALL_STATE(3165)] = 237090,
  [SMALL_STATE(3166)] = 237143,
  [SMALL_STATE(3167)] = 237196,
  [SMALL_STATE(3168)] = 237249,
  [SMALL_STATE(3169)] = 237304,
  [SMALL_STATE(3170)] = 237359,
  [SMALL_STATE(3171)] = 237414,
  [SMALL_STATE(3172)] = 237467,
  [SMALL_STATE(3173)] = 237522,
  [SMALL_STATE(3174)] = 237577,
  [SMALL_STATE(3175)] = 237630,
  [SMALL_STATE(3176)] = 237689,
  [SMALL_STATE(3177)] = 237748,
  [SMALL_STATE(3178)] = 237801,
  [SMALL_STATE(3179)] = 237856,
  [SMALL_STATE(3180)] = 237909,
  [SMALL_STATE(3181)] = 237964,
  [SMALL_STATE(3182)] = 238019,
  [SMALL_STATE(3183)] = 238076,
  [SMALL_STATE(3184)] = 238131,
  [SMALL_STATE(3185)] = 238186,
  [SMALL_STATE(3186)] = 238241,
  [SMALL_STATE(3187)] = 238298,
  [SMALL_STATE(3188)] = 238355,
  [SMALL_STATE(3189)] = 238410,
  [SMALL_STATE(3190)] = 238463,
  [SMALL_STATE(3191)] = 238518,
  [SMALL_STATE(3192)] = 238573,
  [SMALL_STATE(3193)] = 238628,
  [SMALL_STATE(3194)] = 238683,
  [SMALL_STATE(3195)] = 238738,
  [SMALL_STATE(3196)] = 238793,
  [SMALL_STATE(3197)] = 238848,
  [SMALL_STATE(3198)] = 238903,
  [SMALL_STATE(3199)] = 238956,
  [SMALL_STATE(3200)] = 239011,
  [SMALL_STATE(3201)] = 239072,
  [SMALL_STATE(3202)] = 239133,
  [SMALL_STATE(3203)] = 239188,
  [SMALL_STATE(3204)] = 239243,
  [SMALL_STATE(3205)] = 239298,
  [SMALL_STATE(3206)] = 239353,
  [SMALL_STATE(3207)] = 239406,
  [SMALL_STATE(3208)] = 239461,
  [SMALL_STATE(3209)] = 239516,
  [SMALL_STATE(3210)] = 239569,
  [SMALL_STATE(3211)] = 239622,
  [SMALL_STATE(3212)] = 239679,
  [SMALL_STATE(3213)] = 239732,
  [SMALL_STATE(3214)] = 239789,
  [SMALL_STATE(3215)] = 239846,
  [SMALL_STATE(3216)] = 239901,
  [SMALL_STATE(3217)] = 239960,
  [SMALL_STATE(3218)] = 240015,
  [SMALL_STATE(3219)] = 240068,
  [SMALL_STATE(3220)] = 240121,
  [SMALL_STATE(3221)] = 240180,
  [SMALL_STATE(3222)] = 240237,
  [SMALL_STATE(3223)] = 240290,
  [SMALL_STATE(3224)] = 240349,
  [SMALL_STATE(3225)] = 240406,
  [SMALL_STATE(3226)] = 240465,
  [SMALL_STATE(3227)] = 240524,
  [SMALL_STATE(3228)] = 240581,
  [SMALL_STATE(3229)] = 240638,
  [SMALL_STATE(3230)] = 240697,
  [SMALL_STATE(3231)] = 240756,
  [SMALL_STATE(3232)] = 240815,
  [SMALL_STATE(3233)] = 240872,
  [SMALL_STATE(3234)] = 240929,
  [SMALL_STATE(3235)] = 240986,
  [SMALL_STATE(3236)] = 241041,
  [SMALL_STATE(3237)] = 241096,
  [SMALL_STATE(3238)] = 241151,
  [SMALL_STATE(3239)] = 241206,
  [SMALL_STATE(3240)] = 241261,
  [SMALL_STATE(3241)] = 241316,
  [SMALL_STATE(3242)] = 241371,
  [SMALL_STATE(3243)] = 241428,
  [SMALL_STATE(3244)] = 241485,
  [SMALL_STATE(3245)] = 241542,
  [SMALL_STATE(3246)] = 241597,
  [SMALL_STATE(3247)] = 241654,
  [SMALL_STATE(3248)] = 241711,
  [SMALL_STATE(3249)] = 241766,
  [SMALL_STATE(3250)] = 241821,
  [SMALL_STATE(3251)] = 241878,
  [SMALL_STATE(3252)] = 241983,
  [SMALL_STATE(3253)] = 242038,
  [SMALL_STATE(3254)] = 242095,
  [SMALL_STATE(3255)] = 242152,
  [SMALL_STATE(3256)] = 242209,
  [SMALL_STATE(3257)] = 242264,
  [SMALL_STATE(3258)] = 242321,
  [SMALL_STATE(3259)] = 242378,
  [SMALL_STATE(3260)] = 242435,
  [SMALL_STATE(3261)] = 242492,
  [SMALL_STATE(3262)] = 242551,
  [SMALL_STATE(3263)] = 242608,
  [SMALL_STATE(3264)] = 242665,
  [SMALL_STATE(3265)] = 242722,
  [SMALL_STATE(3266)] = 242775,
  [SMALL_STATE(3267)] = 242832,
  [SMALL_STATE(3268)] = 242885,
  [SMALL_STATE(3269)] = 242938,
  [SMALL_STATE(3270)] = 242995,
  [SMALL_STATE(3271)] = 243052,
  [SMALL_STATE(3272)] = 243107,
  [SMALL_STATE(3273)] = 243164,
  [SMALL_STATE(3274)] = 243219,
  [SMALL_STATE(3275)] = 243272,
  [SMALL_STATE(3276)] = 243325,
  [SMALL_STATE(3277)] = 243378,
  [SMALL_STATE(3278)] = 243435,
  [SMALL_STATE(3279)] = 243490,
  [SMALL_STATE(3280)] = 243543,
  [SMALL_STATE(3281)] = 243598,
  [SMALL_STATE(3282)] = 243653,
  [SMALL_STATE(3283)] = 243710,
  [SMALL_STATE(3284)] = 243763,
  [SMALL_STATE(3285)] = 243816,
  [SMALL_STATE(3286)] = 243869,
  [SMALL_STATE(3287)] = 243926,
  [SMALL_STATE(3288)] = 243983,
  [SMALL_STATE(3289)] = 244036,
  [SMALL_STATE(3290)] = 244093,
  [SMALL_STATE(3291)] = 244146,
  [SMALL_STATE(3292)] = 244203,
  [SMALL_STATE(3293)] = 244256,
  [SMALL_STATE(3294)] = 244313,
  [SMALL_STATE(3295)] = 244370,
  [SMALL_STATE(3296)] = 244427,
  [SMALL_STATE(3297)] = 244480,
  [SMALL_STATE(3298)] = 244535,
  [SMALL_STATE(3299)] = 244588,
  [SMALL_STATE(3300)] = 244641,
  [SMALL_STATE(3301)] = 244696,
  [SMALL_STATE(3302)] = 244753,
  [SMALL_STATE(3303)] = 244806,
  [SMALL_STATE(3304)] = 244863,
  [SMALL_STATE(3305)] = 244920,
  [SMALL_STATE(3306)] = 244977,
  [SMALL_STATE(3307)] = 245034,
  [SMALL_STATE(3308)] = 245091,
  [SMALL_STATE(3309)] = 245144,
  [SMALL_STATE(3310)] = 245201,
  [SMALL_STATE(3311)] = 245256,
  [SMALL_STATE(3312)] = 245313,
  [SMALL_STATE(3313)] = 245370,
  [SMALL_STATE(3314)] = 245427,
  [SMALL_STATE(3315)] = 245484,
  [SMALL_STATE(3316)] = 245541,
  [SMALL_STATE(3317)] = 245598,
  [SMALL_STATE(3318)] = 245655,
  [SMALL_STATE(3319)] = 245708,
  [SMALL_STATE(3320)] = 245761,
  [SMALL_STATE(3321)] = 245814,
  [SMALL_STATE(3322)] = 245867,
  [SMALL_STATE(3323)] = 245922,
  [SMALL_STATE(3324)] = 245979,
  [SMALL_STATE(3325)] = 246032,
  [SMALL_STATE(3326)] = 246089,
  [SMALL_STATE(3327)] = 246148,
  [SMALL_STATE(3328)] = 246205,
  [SMALL_STATE(3329)] = 246260,
  [SMALL_STATE(3330)] = 246317,
  [SMALL_STATE(3331)] = 246374,
  [SMALL_STATE(3332)] = 246431,
  [SMALL_STATE(3333)] = 246484,
  [SMALL_STATE(3334)] = 246537,
  [SMALL_STATE(3335)] = 246590,
  [SMALL_STATE(3336)] = 246643,
  [SMALL_STATE(3337)] = 246700,
  [SMALL_STATE(3338)] = 246793,
  [SMALL_STATE(3339)] = 246846,
  [SMALL_STATE(3340)] = 246899,
  [SMALL_STATE(3341)] = 246952,
  [SMALL_STATE(3342)] = 247005,
  [SMALL_STATE(3343)] = 247062,
  [SMALL_STATE(3344)] = 247119,
  [SMALL_STATE(3345)] = 247176,
  [SMALL_STATE(3346)] = 247229,
  [SMALL_STATE(3347)] = 247282,
  [SMALL_STATE(3348)] = 247335,
  [SMALL_STATE(3349)] = 247388,
  [SMALL_STATE(3350)] = 247441,
  [SMALL_STATE(3351)] = 247498,
  [SMALL_STATE(3352)] = 247553,
  [SMALL_STATE(3353)] = 247610,
  [SMALL_STATE(3354)] = 247665,
  [SMALL_STATE(3355)] = 247722,
  [SMALL_STATE(3356)] = 247815,
  [SMALL_STATE(3357)] = 247920,
  [SMALL_STATE(3358)] = 247973,
  [SMALL_STATE(3359)] = 248030,
  [SMALL_STATE(3360)] = 248085,
  [SMALL_STATE(3361)] = 248140,
  [SMALL_STATE(3362)] = 248197,
  [SMALL_STATE(3363)] = 248254,
  [SMALL_STATE(3364)] = 248311,
  [SMALL_STATE(3365)] = 248366,
  [SMALL_STATE(3366)] = 248421,
  [SMALL_STATE(3367)] = 248476,
  [SMALL_STATE(3368)] = 248533,
  [SMALL_STATE(3369)] = 248586,
  [SMALL_STATE(3370)] = 248641,
  [SMALL_STATE(3371)] = 248698,
  [SMALL_STATE(3372)] = 248755,
  [SMALL_STATE(3373)] = 248812,
  [SMALL_STATE(3374)] = 248869,
  [SMALL_STATE(3375)] = 248926,
  [SMALL_STATE(3376)] = 248981,
  [SMALL_STATE(3377)] = 249038,
  [SMALL_STATE(3378)] = 249095,
  [SMALL_STATE(3379)] = 249152,
  [SMALL_STATE(3380)] = 249209,
  [SMALL_STATE(3381)] = 249266,
  [SMALL_STATE(3382)] = 249323,
  [SMALL_STATE(3383)] = 249378,
  [SMALL_STATE(3384)] = 249435,
  [SMALL_STATE(3385)] = 249492,
  [SMALL_STATE(3386)] = 249549,
  [SMALL_STATE(3387)] = 249606,
  [SMALL_STATE(3388)] = 249663,
  [SMALL_STATE(3389)] = 249720,
  [SMALL_STATE(3390)] = 249777,
  [SMALL_STATE(3391)] = 249834,
  [SMALL_STATE(3392)] = 249887,
  [SMALL_STATE(3393)] = 249940,
  [SMALL_STATE(3394)] = 249993,
  [SMALL_STATE(3395)] = 250046,
  [SMALL_STATE(3396)] = 250099,
  [SMALL_STATE(3397)] = 250154,
  [SMALL_STATE(3398)] = 250207,
  [SMALL_STATE(3399)] = 250260,
  [SMALL_STATE(3400)] = 250313,
  [SMALL_STATE(3401)] = 250366,
  [SMALL_STATE(3402)] = 250423,
  [SMALL_STATE(3403)] = 250480,
  [SMALL_STATE(3404)] = 250533,
  [SMALL_STATE(3405)] = 250588,
  [SMALL_STATE(3406)] = 250645,
  [SMALL_STATE(3407)] = 250698,
  [SMALL_STATE(3408)] = 250751,
  [SMALL_STATE(3409)] = 250804,
  [SMALL_STATE(3410)] = 250859,
  [SMALL_STATE(3411)] = 250914,
  [SMALL_STATE(3412)] = 250969,
  [SMALL_STATE(3413)] = 251022,
  [SMALL_STATE(3414)] = 251077,
  [SMALL_STATE(3415)] = 251130,
  [SMALL_STATE(3416)] = 251183,
  [SMALL_STATE(3417)] = 251236,
  [SMALL_STATE(3418)] = 251289,
  [SMALL_STATE(3419)] = 251344,
  [SMALL_STATE(3420)] = 251397,
  [SMALL_STATE(3421)] = 251450,
  [SMALL_STATE(3422)] = 251503,
  [SMALL_STATE(3423)] = 251556,
  [SMALL_STATE(3424)] = 251609,
  [SMALL_STATE(3425)] = 251662,
  [SMALL_STATE(3426)] = 251715,
  [SMALL_STATE(3427)] = 251768,
  [SMALL_STATE(3428)] = 251823,
  [SMALL_STATE(3429)] = 251876,
  [SMALL_STATE(3430)] = 251929,
  [SMALL_STATE(3431)] = 251986,
  [SMALL_STATE(3432)] = 252043,
  [SMALL_STATE(3433)] = 252100,
  [SMALL_STATE(3434)] = 252157,
  [SMALL_STATE(3435)] = 252210,
  [SMALL_STATE(3436)] = 252263,
  [SMALL_STATE(3437)] = 252316,
  [SMALL_STATE(3438)] = 252369,
  [SMALL_STATE(3439)] = 252422,
  [SMALL_STATE(3440)] = 252475,
  [SMALL_STATE(3441)] = 252528,
  [SMALL_STATE(3442)] = 252629,
  [SMALL_STATE(3443)] = 252682,
  [SMALL_STATE(3444)] = 252739,
  [SMALL_STATE(3445)] = 252792,
  [SMALL_STATE(3446)] = 252849,
  [SMALL_STATE(3447)] = 252902,
  [SMALL_STATE(3448)] = 252956,
  [SMALL_STATE(3449)] = 253008,
  [SMALL_STATE(3450)] = 253060,
  [SMALL_STATE(3451)] = 253114,
  [SMALL_STATE(3452)] = 253166,
  [SMALL_STATE(3453)] = 253222,
  [SMALL_STATE(3454)] = 253274,
  [SMALL_STATE(3455)] = 253326,
  [SMALL_STATE(3456)] = 253378,
  [SMALL_STATE(3457)] = 253434,
  [SMALL_STATE(3458)] = 253488,
  [SMALL_STATE(3459)] = 253542,
  [SMALL_STATE(3460)] = 253594,
  [SMALL_STATE(3461)] = 253650,
  [SMALL_STATE(3462)] = 253704,
  [SMALL_STATE(3463)] = 253756,
  [SMALL_STATE(3464)] = 253808,
  [SMALL_STATE(3465)] = 253860,
  [SMALL_STATE(3466)] = 253916,
  [SMALL_STATE(3467)] = 253970,
  [SMALL_STATE(3468)] = 254024,
  [SMALL_STATE(3469)] = 254080,
  [SMALL_STATE(3470)] = 254132,
  [SMALL_STATE(3471)] = 254184,
  [SMALL_STATE(3472)] = 254236,
  [SMALL_STATE(3473)] = 254290,
  [SMALL_STATE(3474)] = 254344,
  [SMALL_STATE(3475)] = 254398,
  [SMALL_STATE(3476)] = 254452,
  [SMALL_STATE(3477)] = 254508,
  [SMALL_STATE(3478)] = 254560,
  [SMALL_STATE(3479)] = 254614,
  [SMALL_STATE(3480)] = 254666,
  [SMALL_STATE(3481)] = 254720,
  [SMALL_STATE(3482)] = 254772,
  [SMALL_STATE(3483)] = 254826,
  [SMALL_STATE(3484)] = 254880,
  [SMALL_STATE(3485)] = 254934,
  [SMALL_STATE(3486)] = 254986,
  [SMALL_STATE(3487)] = 255038,
  [SMALL_STATE(3488)] = 255090,
  [SMALL_STATE(3489)] = 255142,
  [SMALL_STATE(3490)] = 255194,
  [SMALL_STATE(3491)] = 255248,
  [SMALL_STATE(3492)] = 255300,
  [SMALL_STATE(3493)] = 255352,
  [SMALL_STATE(3494)] = 255408,
  [SMALL_STATE(3495)] = 255460,
  [SMALL_STATE(3496)] = 255516,
  [SMALL_STATE(3497)] = 255570,
  [SMALL_STATE(3498)] = 255626,
  [SMALL_STATE(3499)] = 255682,
  [SMALL_STATE(3500)] = 255738,
  [SMALL_STATE(3501)] = 255792,
  [SMALL_STATE(3502)] = 255844,
  [SMALL_STATE(3503)] = 255902,
  [SMALL_STATE(3504)] = 255960,
  [SMALL_STATE(3505)] = 256014,
  [SMALL_STATE(3506)] = 256066,
  [SMALL_STATE(3507)] = 256122,
  [SMALL_STATE(3508)] = 256178,
  [SMALL_STATE(3509)] = 256230,
  [SMALL_STATE(3510)] = 256282,
  [SMALL_STATE(3511)] = 256334,
  [SMALL_STATE(3512)] = 256392,
  [SMALL_STATE(3513)] = 256444,
  [SMALL_STATE(3514)] = 256498,
  [SMALL_STATE(3515)] = 256552,
  [SMALL_STATE(3516)] = 256604,
  [SMALL_STATE(3517)] = 256656,
  [SMALL_STATE(3518)] = 256708,
  [SMALL_STATE(3519)] = 256760,
  [SMALL_STATE(3520)] = 256814,
  [SMALL_STATE(3521)] = 256868,
  [SMALL_STATE(3522)] = 256920,
  [SMALL_STATE(3523)] = 256972,
  [SMALL_STATE(3524)] = 257024,
  [SMALL_STATE(3525)] = 257076,
  [SMALL_STATE(3526)] = 257128,
  [SMALL_STATE(3527)] = 257180,
  [SMALL_STATE(3528)] = 257232,
  [SMALL_STATE(3529)] = 257300,
  [SMALL_STATE(3530)] = 257352,
  [SMALL_STATE(3531)] = 257404,
  [SMALL_STATE(3532)] = 257456,
  [SMALL_STATE(3533)] = 257508,
  [SMALL_STATE(3534)] = 257562,
  [SMALL_STATE(3535)] = 257616,
  [SMALL_STATE(3536)] = 257668,
  [SMALL_STATE(3537)] = 257720,
  [SMALL_STATE(3538)] = 257772,
  [SMALL_STATE(3539)] = 257824,
  [SMALL_STATE(3540)] = 257876,
  [SMALL_STATE(3541)] = 257928,
  [SMALL_STATE(3542)] = 257980,
  [SMALL_STATE(3543)] = 258032,
  [SMALL_STATE(3544)] = 258088,
  [SMALL_STATE(3545)] = 258144,
  [SMALL_STATE(3546)] = 258196,
  [SMALL_STATE(3547)] = 258248,
  [SMALL_STATE(3548)] = 258300,
  [SMALL_STATE(3549)] = 258354,
  [SMALL_STATE(3550)] = 258408,
  [SMALL_STATE(3551)] = 258462,
  [SMALL_STATE(3552)] = 258514,
  [SMALL_STATE(3553)] = 258566,
  [SMALL_STATE(3554)] = 258618,
  [SMALL_STATE(3555)] = 258670,
  [SMALL_STATE(3556)] = 258724,
  [SMALL_STATE(3557)] = 258776,
  [SMALL_STATE(3558)] = 258830,
  [SMALL_STATE(3559)] = 258882,
  [SMALL_STATE(3560)] = 258934,
  [SMALL_STATE(3561)] = 258988,
  [SMALL_STATE(3562)] = 259042,
  [SMALL_STATE(3563)] = 259094,
  [SMALL_STATE(3564)] = 259148,
  [SMALL_STATE(3565)] = 259200,
  [SMALL_STATE(3566)] = 259256,
  [SMALL_STATE(3567)] = 259308,
  [SMALL_STATE(3568)] = 259370,
  [SMALL_STATE(3569)] = 259424,
  [SMALL_STATE(3570)] = 259476,
  [SMALL_STATE(3571)] = 259528,
  [SMALL_STATE(3572)] = 259580,
  [SMALL_STATE(3573)] = 259632,
  [SMALL_STATE(3574)] = 259686,
  [SMALL_STATE(3575)] = 259738,
  [SMALL_STATE(3576)] = 259790,
  [SMALL_STATE(3577)] = 259846,
  [SMALL_STATE(3578)] = 259898,
  [SMALL_STATE(3579)] = 259954,
  [SMALL_STATE(3580)] = 260006,
  [SMALL_STATE(3581)] = 260058,
  [SMALL_STATE(3582)] = 260110,
  [SMALL_STATE(3583)] = 260162,
  [SMALL_STATE(3584)] = 260214,
  [SMALL_STATE(3585)] = 260266,
  [SMALL_STATE(3586)] = 260320,
  [SMALL_STATE(3587)] = 260374,
  [SMALL_STATE(3588)] = 260426,
  [SMALL_STATE(3589)] = 260478,
  [SMALL_STATE(3590)] = 260530,
  [SMALL_STATE(3591)] = 260582,
  [SMALL_STATE(3592)] = 260634,
  [SMALL_STATE(3593)] = 260686,
  [SMALL_STATE(3594)] = 260740,
  [SMALL_STATE(3595)] = 260792,
  [SMALL_STATE(3596)] = 260844,
  [SMALL_STATE(3597)] = 260896,
  [SMALL_STATE(3598)] = 260950,
  [SMALL_STATE(3599)] = 261002,
  [SMALL_STATE(3600)] = 261054,
  [SMALL_STATE(3601)] = 261106,
  [SMALL_STATE(3602)] = 261160,
  [SMALL_STATE(3603)] = 261212,
  [SMALL_STATE(3604)] = 261266,
  [SMALL_STATE(3605)] = 261318,
  [SMALL_STATE(3606)] = 261370,
  [SMALL_STATE(3607)] = 261422,
  [SMALL_STATE(3608)] = 261474,
  [SMALL_STATE(3609)] = 261526,
  [SMALL_STATE(3610)] = 261580,
  [SMALL_STATE(3611)] = 261632,
  [SMALL_STATE(3612)] = 261736,
  [SMALL_STATE(3613)] = 261788,
  [SMALL_STATE(3614)] = 261840,
  [SMALL_STATE(3615)] = 261892,
  [SMALL_STATE(3616)] = 261944,
  [SMALL_STATE(3617)] = 261998,
  [SMALL_STATE(3618)] = 262050,
  [SMALL_STATE(3619)] = 262102,
  [SMALL_STATE(3620)] = 262154,
  [SMALL_STATE(3621)] = 262208,
  [SMALL_STATE(3622)] = 262262,
  [SMALL_STATE(3623)] = 262316,
  [SMALL_STATE(3624)] = 262376,
  [SMALL_STATE(3625)] = 262436,
  [SMALL_STATE(3626)] = 262488,
  [SMALL_STATE(3627)] = 262540,
  [SMALL_STATE(3628)] = 262592,
  [SMALL_STATE(3629)] = 262644,
  [SMALL_STATE(3630)] = 262696,
  [SMALL_STATE(3631)] = 262748,
  [SMALL_STATE(3632)] = 262802,
  [SMALL_STATE(3633)] = 262854,
  [SMALL_STATE(3634)] = 262908,
  [SMALL_STATE(3635)] = 262962,
  [SMALL_STATE(3636)] = 263014,
  [SMALL_STATE(3637)] = 263066,
  [SMALL_STATE(3638)] = 263118,
  [SMALL_STATE(3639)] = 263210,
  [SMALL_STATE(3640)] = 263262,
  [SMALL_STATE(3641)] = 263314,
  [SMALL_STATE(3642)] = 263366,
  [SMALL_STATE(3643)] = 263418,
  [SMALL_STATE(3644)] = 263470,
  [SMALL_STATE(3645)] = 263524,
  [SMALL_STATE(3646)] = 263578,
  [SMALL_STATE(3647)] = 263630,
  [SMALL_STATE(3648)] = 263682,
  [SMALL_STATE(3649)] = 263734,
  [SMALL_STATE(3650)] = 263788,
  [SMALL_STATE(3651)] = 263840,
  [SMALL_STATE(3652)] = 263894,
  [SMALL_STATE(3653)] = 263946,
  [SMALL_STATE(3654)] = 264000,
  [SMALL_STATE(3655)] = 264054,
  [SMALL_STATE(3656)] = 264106,
  [SMALL_STATE(3657)] = 264160,
  [SMALL_STATE(3658)] = 264214,
  [SMALL_STATE(3659)] = 264266,
  [SMALL_STATE(3660)] = 264320,
  [SMALL_STATE(3661)] = 264374,
  [SMALL_STATE(3662)] = 264428,
  [SMALL_STATE(3663)] = 264480,
  [SMALL_STATE(3664)] = 264534,
  [SMALL_STATE(3665)] = 264588,
  [SMALL_STATE(3666)] = 264642,
  [SMALL_STATE(3667)] = 264696,
  [SMALL_STATE(3668)] = 264750,
  [SMALL_STATE(3669)] = 264804,
  [SMALL_STATE(3670)] = 264858,
  [SMALL_STATE(3671)] = 264914,
  [SMALL_STATE(3672)] = 264968,
  [SMALL_STATE(3673)] = 265022,
  [SMALL_STATE(3674)] = 265076,
  [SMALL_STATE(3675)] = 265132,
  [SMALL_STATE(3676)] = 265184,
  [SMALL_STATE(3677)] = 265236,
  [SMALL_STATE(3678)] = 265318,
  [SMALL_STATE(3679)] = 265374,
  [SMALL_STATE(3680)] = 265428,
  [SMALL_STATE(3681)] = 265482,
  [SMALL_STATE(3682)] = 265540,
  [SMALL_STATE(3683)] = 265594,
  [SMALL_STATE(3684)] = 265646,
  [SMALL_STATE(3685)] = 265700,
  [SMALL_STATE(3686)] = 265754,
  [SMALL_STATE(3687)] = 265806,
  [SMALL_STATE(3688)] = 265858,
  [SMALL_STATE(3689)] = 265910,
  [SMALL_STATE(3690)] = 265962,
  [SMALL_STATE(3691)] = 266014,
  [SMALL_STATE(3692)] = 266066,
  [SMALL_STATE(3693)] = 266120,
  [SMALL_STATE(3694)] = 266178,
  [SMALL_STATE(3695)] = 266230,
  [SMALL_STATE(3696)] = 266282,
  [SMALL_STATE(3697)] = 266334,
  [SMALL_STATE(3698)] = 266386,
  [SMALL_STATE(3699)] = 266472,
  [SMALL_STATE(3700)] = 266524,
  [SMALL_STATE(3701)] = 266610,
  [SMALL_STATE(3702)] = 266662,
  [SMALL_STATE(3703)] = 266716,
  [SMALL_STATE(3704)] = 266768,
  [SMALL_STATE(3705)] = 266822,
  [SMALL_STATE(3706)] = 266874,
  [SMALL_STATE(3707)] = 266926,
  [SMALL_STATE(3708)] = 266978,
  [SMALL_STATE(3709)] = 267030,
  [SMALL_STATE(3710)] = 267082,
  [SMALL_STATE(3711)] = 267142,
  [SMALL_STATE(3712)] = 267204,
  [SMALL_STATE(3713)] = 267276,
  [SMALL_STATE(3714)] = 267328,
  [SMALL_STATE(3715)] = 267380,
  [SMALL_STATE(3716)] = 267432,
  [SMALL_STATE(3717)] = 267488,
  [SMALL_STATE(3718)] = 267574,
  [SMALL_STATE(3719)] = 267662,
  [SMALL_STATE(3720)] = 267720,
  [SMALL_STATE(3721)] = 267798,
  [SMALL_STATE(3722)] = 267862,
  [SMALL_STATE(3723)] = 267922,
  [SMALL_STATE(3724)] = 267982,
  [SMALL_STATE(3725)] = 268054,
  [SMALL_STATE(3726)] = 268122,
  [SMALL_STATE(3727)] = 268184,
  [SMALL_STATE(3728)] = 268264,
  [SMALL_STATE(3729)] = 268320,
  [SMALL_STATE(3730)] = 268376,
  [SMALL_STATE(3731)] = 268432,
  [SMALL_STATE(3732)] = 268488,
  [SMALL_STATE(3733)] = 268572,
  [SMALL_STATE(3734)] = 268624,
  [SMALL_STATE(3735)] = 268680,
  [SMALL_STATE(3736)] = 268736,
  [SMALL_STATE(3737)] = 268792,
  [SMALL_STATE(3738)] = 268848,
  [SMALL_STATE(3739)] = 268904,
  [SMALL_STATE(3740)] = 268988,
  [SMALL_STATE(3741)] = 269040,
  [SMALL_STATE(3742)] = 269092,
  [SMALL_STATE(3743)] = 269148,
  [SMALL_STATE(3744)] = 269204,
  [SMALL_STATE(3745)] = 269260,
  [SMALL_STATE(3746)] = 269312,
  [SMALL_STATE(3747)] = 269368,
  [SMALL_STATE(3748)] = 269420,
  [SMALL_STATE(3749)] = 269476,
  [SMALL_STATE(3750)] = 269532,
  [SMALL_STATE(3751)] = 269588,
  [SMALL_STATE(3752)] = 269644,
  [SMALL_STATE(3753)] = 269700,
  [SMALL_STATE(3754)] = 269756,
  [SMALL_STATE(3755)] = 269810,
  [SMALL_STATE(3756)] = 269862,
  [SMALL_STATE(3757)] = 269918,
  [SMALL_STATE(3758)] = 269970,
  [SMALL_STATE(3759)] = 270022,
  [SMALL_STATE(3760)] = 270074,
  [SMALL_STATE(3761)] = 270126,
  [SMALL_STATE(3762)] = 270178,
  [SMALL_STATE(3763)] = 270230,
  [SMALL_STATE(3764)] = 270282,
  [SMALL_STATE(3765)] = 270336,
  [SMALL_STATE(3766)] = 270390,
  [SMALL_STATE(3767)] = 270442,
  [SMALL_STATE(3768)] = 270494,
  [SMALL_STATE(3769)] = 270548,
  [SMALL_STATE(3770)] = 270602,
  [SMALL_STATE(3771)] = 270654,
  [SMALL_STATE(3772)] = 270706,
  [SMALL_STATE(3773)] = 270760,
  [SMALL_STATE(3774)] = 270814,
  [SMALL_STATE(3775)] = 270866,
  [SMALL_STATE(3776)] = 270920,
  [SMALL_STATE(3777)] = 270972,
  [SMALL_STATE(3778)] = 271024,
  [SMALL_STATE(3779)] = 271076,
  [SMALL_STATE(3780)] = 271128,
  [SMALL_STATE(3781)] = 271180,
  [SMALL_STATE(3782)] = 271232,
  [SMALL_STATE(3783)] = 271284,
  [SMALL_STATE(3784)] = 271336,
  [SMALL_STATE(3785)] = 271388,
  [SMALL_STATE(3786)] = 271440,
  [SMALL_STATE(3787)] = 271492,
  [SMALL_STATE(3788)] = 271544,
  [SMALL_STATE(3789)] = 271596,
  [SMALL_STATE(3790)] = 271648,
  [SMALL_STATE(3791)] = 271700,
  [SMALL_STATE(3792)] = 271752,
  [SMALL_STATE(3793)] = 271806,
  [SMALL_STATE(3794)] = 271858,
  [SMALL_STATE(3795)] = 271910,
  [SMALL_STATE(3796)] = 271962,
  [SMALL_STATE(3797)] = 272014,
  [SMALL_STATE(3798)] = 272068,
  [SMALL_STATE(3799)] = 272122,
  [SMALL_STATE(3800)] = 272174,
  [SMALL_STATE(3801)] = 272226,
  [SMALL_STATE(3802)] = 272278,
  [SMALL_STATE(3803)] = 272334,
  [SMALL_STATE(3804)] = 272386,
  [SMALL_STATE(3805)] = 272438,
  [SMALL_STATE(3806)] = 272490,
  [SMALL_STATE(3807)] = 272578,
  [SMALL_STATE(3808)] = 272630,
  [SMALL_STATE(3809)] = 272682,
  [SMALL_STATE(3810)] = 272754,
  [SMALL_STATE(3811)] = 272806,
  [SMALL_STATE(3812)] = 272860,
  [SMALL_STATE(3813)] = 272912,
  [SMALL_STATE(3814)] = 272964,
  [SMALL_STATE(3815)] = 273016,
  [SMALL_STATE(3816)] = 273078,
  [SMALL_STATE(3817)] = 273130,
  [SMALL_STATE(3818)] = 273184,
  [SMALL_STATE(3819)] = 273236,
  [SMALL_STATE(3820)] = 273290,
  [SMALL_STATE(3821)] = 273344,
  [SMALL_STATE(3822)] = 273398,
  [SMALL_STATE(3823)] = 273450,
  [SMALL_STATE(3824)] = 273502,
  [SMALL_STATE(3825)] = 273554,
  [SMALL_STATE(3826)] = 273606,
  [SMALL_STATE(3827)] = 273658,
  [SMALL_STATE(3828)] = 273748,
  [SMALL_STATE(3829)] = 273826,
  [SMALL_STATE(3830)] = 273878,
  [SMALL_STATE(3831)] = 273932,
  [SMALL_STATE(3832)] = 273986,
  [SMALL_STATE(3833)] = 274058,
  [SMALL_STATE(3834)] = 274112,
  [SMALL_STATE(3835)] = 274164,
  [SMALL_STATE(3836)] = 274216,
  [SMALL_STATE(3837)] = 274270,
  [SMALL_STATE(3838)] = 274322,
  [SMALL_STATE(3839)] = 274376,
  [SMALL_STATE(3840)] = 274430,
  [SMALL_STATE(3841)] = 274484,
  [SMALL_STATE(3842)] = 274538,
  [SMALL_STATE(3843)] = 274592,
  [SMALL_STATE(3844)] = 274646,
  [SMALL_STATE(3845)] = 274700,
  [SMALL_STATE(3846)] = 274754,
  [SMALL_STATE(3847)] = 274808,
  [SMALL_STATE(3848)] = 274860,
  [SMALL_STATE(3849)] = 274914,
  [SMALL_STATE(3850)] = 274968,
  [SMALL_STATE(3851)] = 275022,
  [SMALL_STATE(3852)] = 275076,
  [SMALL_STATE(3853)] = 275130,
  [SMALL_STATE(3854)] = 275182,
  [SMALL_STATE(3855)] = 275234,
  [SMALL_STATE(3856)] = 275286,
  [SMALL_STATE(3857)] = 275350,
  [SMALL_STATE(3858)] = 275402,
  [SMALL_STATE(3859)] = 275458,
  [SMALL_STATE(3860)] = 275514,
  [SMALL_STATE(3861)] = 275572,
  [SMALL_STATE(3862)] = 275626,
  [SMALL_STATE(3863)] = 275724,
  [SMALL_STATE(3864)] = 275776,
  [SMALL_STATE(3865)] = 275828,
  [SMALL_STATE(3866)] = 275880,
  [SMALL_STATE(3867)] = 275932,
  [SMALL_STATE(3868)] = 275986,
  [SMALL_STATE(3869)] = 276038,
  [SMALL_STATE(3870)] = 276090,
  [SMALL_STATE(3871)] = 276141,
  [SMALL_STATE(3872)] = 276198,
  [SMALL_STATE(3873)] = 276249,
  [SMALL_STATE(3874)] = 276302,
  [SMALL_STATE(3875)] = 276353,
  [SMALL_STATE(3876)] = 276404,
  [SMALL_STATE(3877)] = 276455,
  [SMALL_STATE(3878)] = 276506,
  [SMALL_STATE(3879)] = 276557,
  [SMALL_STATE(3880)] = 276608,
  [SMALL_STATE(3881)] = 276659,
  [SMALL_STATE(3882)] = 276710,
  [SMALL_STATE(3883)] = 276761,
  [SMALL_STATE(3884)] = 276812,
  [SMALL_STATE(3885)] = 276871,
  [SMALL_STATE(3886)] = 276924,
  [SMALL_STATE(3887)] = 276979,
  [SMALL_STATE(3888)] = 277034,
  [SMALL_STATE(3889)] = 277087,
  [SMALL_STATE(3890)] = 277138,
  [SMALL_STATE(3891)] = 277189,
  [SMALL_STATE(3892)] = 277240,
  [SMALL_STATE(3893)] = 277291,
  [SMALL_STATE(3894)] = 277342,
  [SMALL_STATE(3895)] = 277393,
  [SMALL_STATE(3896)] = 277444,
  [SMALL_STATE(3897)] = 277495,
  [SMALL_STATE(3898)] = 277546,
  [SMALL_STATE(3899)] = 277605,
  [SMALL_STATE(3900)] = 277664,
  [SMALL_STATE(3901)] = 277715,
  [SMALL_STATE(3902)] = 277766,
  [SMALL_STATE(3903)] = 277817,
  [SMALL_STATE(3904)] = 277868,
  [SMALL_STATE(3905)] = 277919,
  [SMALL_STATE(3906)] = 277970,
  [SMALL_STATE(3907)] = 278021,
  [SMALL_STATE(3908)] = 278072,
  [SMALL_STATE(3909)] = 278125,
  [SMALL_STATE(3910)] = 278178,
  [SMALL_STATE(3911)] = 278229,
  [SMALL_STATE(3912)] = 278282,
  [SMALL_STATE(3913)] = 278335,
  [SMALL_STATE(3914)] = 278388,
  [SMALL_STATE(3915)] = 278447,
  [SMALL_STATE(3916)] = 278506,
  [SMALL_STATE(3917)] = 278557,
  [SMALL_STATE(3918)] = 278608,
  [SMALL_STATE(3919)] = 278659,
  [SMALL_STATE(3920)] = 278710,
  [SMALL_STATE(3921)] = 278761,
  [SMALL_STATE(3922)] = 278812,
  [SMALL_STATE(3923)] = 278863,
  [SMALL_STATE(3924)] = 278914,
  [SMALL_STATE(3925)] = 278965,
  [SMALL_STATE(3926)] = 279016,
  [SMALL_STATE(3927)] = 279067,
  [SMALL_STATE(3928)] = 279118,
  [SMALL_STATE(3929)] = 279169,
  [SMALL_STATE(3930)] = 279220,
  [SMALL_STATE(3931)] = 279271,
  [SMALL_STATE(3932)] = 279322,
  [SMALL_STATE(3933)] = 279373,
  [SMALL_STATE(3934)] = 279424,
  [SMALL_STATE(3935)] = 279475,
  [SMALL_STATE(3936)] = 279526,
  [SMALL_STATE(3937)] = 279577,
  [SMALL_STATE(3938)] = 279628,
  [SMALL_STATE(3939)] = 279679,
  [SMALL_STATE(3940)] = 279730,
  [SMALL_STATE(3941)] = 279783,
  [SMALL_STATE(3942)] = 279834,
  [SMALL_STATE(3943)] = 279887,
  [SMALL_STATE(3944)] = 279938,
  [SMALL_STATE(3945)] = 279989,
  [SMALL_STATE(3946)] = 280040,
  [SMALL_STATE(3947)] = 280093,
  [SMALL_STATE(3948)] = 280144,
  [SMALL_STATE(3949)] = 280195,
  [SMALL_STATE(3950)] = 280280,
  [SMALL_STATE(3951)] = 280367,
  [SMALL_STATE(3952)] = 280424,
  [SMALL_STATE(3953)] = 280501,
  [SMALL_STATE(3954)] = 280564,
  [SMALL_STATE(3955)] = 280635,
  [SMALL_STATE(3956)] = 280702,
  [SMALL_STATE(3957)] = 280763,
  [SMALL_STATE(3958)] = 280842,
  [SMALL_STATE(3959)] = 280925,
  [SMALL_STATE(3960)] = 281008,
  [SMALL_STATE(3961)] = 281059,
  [SMALL_STATE(3962)] = 281110,
  [SMALL_STATE(3963)] = 281161,
  [SMALL_STATE(3964)] = 281212,
  [SMALL_STATE(3965)] = 281267,
  [SMALL_STATE(3966)] = 281318,
  [SMALL_STATE(3967)] = 281369,
  [SMALL_STATE(3968)] = 281420,
  [SMALL_STATE(3969)] = 281471,
  [SMALL_STATE(3970)] = 281522,
  [SMALL_STATE(3971)] = 281609,
  [SMALL_STATE(3972)] = 281698,
  [SMALL_STATE(3973)] = 281749,
  [SMALL_STATE(3974)] = 281800,
  [SMALL_STATE(3975)] = 281851,
  [SMALL_STATE(3976)] = 281902,
  [SMALL_STATE(3977)] = 281979,
  [SMALL_STATE(3978)] = 282042,
  [SMALL_STATE(3979)] = 282093,
  [SMALL_STATE(3980)] = 282144,
  [SMALL_STATE(3981)] = 282195,
  [SMALL_STATE(3982)] = 282246,
  [SMALL_STATE(3983)] = 282297,
  [SMALL_STATE(3984)] = 282348,
  [SMALL_STATE(3985)] = 282399,
  [SMALL_STATE(3986)] = 282450,
  [SMALL_STATE(3987)] = 282501,
  [SMALL_STATE(3988)] = 282552,
  [SMALL_STATE(3989)] = 282603,
  [SMALL_STATE(3990)] = 282654,
  [SMALL_STATE(3991)] = 282705,
  [SMALL_STATE(3992)] = 282756,
  [SMALL_STATE(3993)] = 282807,
  [SMALL_STATE(3994)] = 282858,
  [SMALL_STATE(3995)] = 282909,
  [SMALL_STATE(3996)] = 282960,
  [SMALL_STATE(3997)] = 283011,
  [SMALL_STATE(3998)] = 283062,
  [SMALL_STATE(3999)] = 283133,
  [SMALL_STATE(4000)] = 283184,
  [SMALL_STATE(4001)] = 283245,
  [SMALL_STATE(4002)] = 283296,
  [SMALL_STATE(4003)] = 283363,
  [SMALL_STATE(4004)] = 283414,
  [SMALL_STATE(4005)] = 283475,
  [SMALL_STATE(4006)] = 283556,
  [SMALL_STATE(4007)] = 283607,
  [SMALL_STATE(4008)] = 283658,
  [SMALL_STATE(4009)] = 283709,
  [SMALL_STATE(4010)] = 283760,
  [SMALL_STATE(4011)] = 283811,
  [SMALL_STATE(4012)] = 283862,
  [SMALL_STATE(4013)] = 283917,
  [SMALL_STATE(4014)] = 283968,
  [SMALL_STATE(4015)] = 284039,
  [SMALL_STATE(4016)] = 284090,
  [SMALL_STATE(4017)] = 284141,
  [SMALL_STATE(4018)] = 284192,
  [SMALL_STATE(4019)] = 284243,
  [SMALL_STATE(4020)] = 284294,
  [SMALL_STATE(4021)] = 284345,
  [SMALL_STATE(4022)] = 284396,
  [SMALL_STATE(4023)] = 284447,
  [SMALL_STATE(4024)] = 284498,
  [SMALL_STATE(4025)] = 284551,
  [SMALL_STATE(4026)] = 284602,
  [SMALL_STATE(4027)] = 284653,
  [SMALL_STATE(4028)] = 284704,
  [SMALL_STATE(4029)] = 284755,
  [SMALL_STATE(4030)] = 284806,
  [SMALL_STATE(4031)] = 284857,
  [SMALL_STATE(4032)] = 284908,
  [SMALL_STATE(4033)] = 284959,
  [SMALL_STATE(4034)] = 285010,
  [SMALL_STATE(4035)] = 285061,
  [SMALL_STATE(4036)] = 285112,
  [SMALL_STATE(4037)] = 285163,
  [SMALL_STATE(4038)] = 285214,
  [SMALL_STATE(4039)] = 285265,
  [SMALL_STATE(4040)] = 285316,
  [SMALL_STATE(4041)] = 285367,
  [SMALL_STATE(4042)] = 285422,
  [SMALL_STATE(4043)] = 285477,
  [SMALL_STATE(4044)] = 285532,
  [SMALL_STATE(4045)] = 285583,
  [SMALL_STATE(4046)] = 285634,
  [SMALL_STATE(4047)] = 285719,
  [SMALL_STATE(4048)] = 285770,
  [SMALL_STATE(4049)] = 285821,
  [SMALL_STATE(4050)] = 285908,
  [SMALL_STATE(4051)] = 285959,
  [SMALL_STATE(4052)] = 286010,
  [SMALL_STATE(4053)] = 286061,
  [SMALL_STATE(4054)] = 286150,
  [SMALL_STATE(4055)] = 286201,
  [SMALL_STATE(4056)] = 286252,
  [SMALL_STATE(4057)] = 286309,
  [SMALL_STATE(4058)] = 286386,
  [SMALL_STATE(4059)] = 286449,
  [SMALL_STATE(4060)] = 286504,
  [SMALL_STATE(4061)] = 286555,
  [SMALL_STATE(4062)] = 286610,
  [SMALL_STATE(4063)] = 286665,
  [SMALL_STATE(4064)] = 286720,
  [SMALL_STATE(4065)] = 286775,
  [SMALL_STATE(4066)] = 286826,
  [SMALL_STATE(4067)] = 286897,
  [SMALL_STATE(4068)] = 286964,
  [SMALL_STATE(4069)] = 287025,
  [SMALL_STATE(4070)] = 287106,
  [SMALL_STATE(4071)] = 287191,
  [SMALL_STATE(4072)] = 287242,
  [SMALL_STATE(4073)] = 287293,
  [SMALL_STATE(4074)] = 287344,
  [SMALL_STATE(4075)] = 287395,
  [SMALL_STATE(4076)] = 287446,
  [SMALL_STATE(4077)] = 287497,
  [SMALL_STATE(4078)] = 287548,
  [SMALL_STATE(4079)] = 287599,
  [SMALL_STATE(4080)] = 287650,
  [SMALL_STATE(4081)] = 287701,
  [SMALL_STATE(4082)] = 287752,
  [SMALL_STATE(4083)] = 287803,
  [SMALL_STATE(4084)] = 287858,
  [SMALL_STATE(4085)] = 287911,
  [SMALL_STATE(4086)] = 287962,
  [SMALL_STATE(4087)] = 288013,
  [SMALL_STATE(4088)] = 288064,
  [SMALL_STATE(4089)] = 288119,
  [SMALL_STATE(4090)] = 288174,
  [SMALL_STATE(4091)] = 288229,
  [SMALL_STATE(4092)] = 288314,
  [SMALL_STATE(4093)] = 288365,
  [SMALL_STATE(4094)] = 288420,
  [SMALL_STATE(4095)] = 288475,
  [SMALL_STATE(4096)] = 288526,
  [SMALL_STATE(4097)] = 288577,
  [SMALL_STATE(4098)] = 288628,
  [SMALL_STATE(4099)] = 288679,
  [SMALL_STATE(4100)] = 288730,
  [SMALL_STATE(4101)] = 288781,
  [SMALL_STATE(4102)] = 288866,
  [SMALL_STATE(4103)] = 288917,
  [SMALL_STATE(4104)] = 288968,
  [SMALL_STATE(4105)] = 289019,
  [SMALL_STATE(4106)] = 289070,
  [SMALL_STATE(4107)] = 289121,
  [SMALL_STATE(4108)] = 289172,
  [SMALL_STATE(4109)] = 289223,
  [SMALL_STATE(4110)] = 289274,
  [SMALL_STATE(4111)] = 289325,
  [SMALL_STATE(4112)] = 289376,
  [SMALL_STATE(4113)] = 289427,
  [SMALL_STATE(4114)] = 289478,
  [SMALL_STATE(4115)] = 289529,
  [SMALL_STATE(4116)] = 289580,
  [SMALL_STATE(4117)] = 289631,
  [SMALL_STATE(4118)] = 289682,
  [SMALL_STATE(4119)] = 289733,
  [SMALL_STATE(4120)] = 289786,
  [SMALL_STATE(4121)] = 289837,
  [SMALL_STATE(4122)] = 289888,
  [SMALL_STATE(4123)] = 289943,
  [SMALL_STATE(4124)] = 289998,
  [SMALL_STATE(4125)] = 290049,
  [SMALL_STATE(4126)] = 290100,
  [SMALL_STATE(4127)] = 290151,
  [SMALL_STATE(4128)] = 290202,
  [SMALL_STATE(4129)] = 290255,
  [SMALL_STATE(4130)] = 290310,
  [SMALL_STATE(4131)] = 290361,
  [SMALL_STATE(4132)] = 290412,
  [SMALL_STATE(4133)] = 290467,
  [SMALL_STATE(4134)] = 290518,
  [SMALL_STATE(4135)] = 290579,
  [SMALL_STATE(4136)] = 290650,
  [SMALL_STATE(4137)] = 290705,
  [SMALL_STATE(4138)] = 290756,
  [SMALL_STATE(4139)] = 290807,
  [SMALL_STATE(4140)] = 290864,
  [SMALL_STATE(4141)] = 290925,
  [SMALL_STATE(4142)] = 290996,
  [SMALL_STATE(4143)] = 291049,
  [SMALL_STATE(4144)] = 291100,
  [SMALL_STATE(4145)] = 291151,
  [SMALL_STATE(4146)] = 291202,
  [SMALL_STATE(4147)] = 291255,
  [SMALL_STATE(4148)] = 291342,
  [SMALL_STATE(4149)] = 291431,
  [SMALL_STATE(4150)] = 291488,
  [SMALL_STATE(4151)] = 291565,
  [SMALL_STATE(4152)] = 291628,
  [SMALL_STATE(4153)] = 291699,
  [SMALL_STATE(4154)] = 291766,
  [SMALL_STATE(4155)] = 291827,
  [SMALL_STATE(4156)] = 291908,
  [SMALL_STATE(4157)] = 291961,
  [SMALL_STATE(4158)] = 292014,
  [SMALL_STATE(4159)] = 292065,
  [SMALL_STATE(4160)] = 292116,
  [SMALL_STATE(4161)] = 292201,
  [SMALL_STATE(4162)] = 292286,
  [SMALL_STATE(4163)] = 292337,
  [SMALL_STATE(4164)] = 292388,
  [SMALL_STATE(4165)] = 292439,
  [SMALL_STATE(4166)] = 292490,
  [SMALL_STATE(4167)] = 292541,
  [SMALL_STATE(4168)] = 292594,
  [SMALL_STATE(4169)] = 292645,
  [SMALL_STATE(4170)] = 292698,
  [SMALL_STATE(4171)] = 292751,
  [SMALL_STATE(4172)] = 292802,
  [SMALL_STATE(4173)] = 292853,
  [SMALL_STATE(4174)] = 292904,
  [SMALL_STATE(4175)] = 292995,
  [SMALL_STATE(4176)] = 293046,
  [SMALL_STATE(4177)] = 293097,
  [SMALL_STATE(4178)] = 293148,
  [SMALL_STATE(4179)] = 293199,
  [SMALL_STATE(4180)] = 293250,
  [SMALL_STATE(4181)] = 293301,
  [SMALL_STATE(4182)] = 293354,
  [SMALL_STATE(4183)] = 293405,
  [SMALL_STATE(4184)] = 293458,
  [SMALL_STATE(4185)] = 293509,
  [SMALL_STATE(4186)] = 293560,
  [SMALL_STATE(4187)] = 293611,
  [SMALL_STATE(4188)] = 293662,
  [SMALL_STATE(4189)] = 293713,
  [SMALL_STATE(4190)] = 293764,
  [SMALL_STATE(4191)] = 293815,
  [SMALL_STATE(4192)] = 293866,
  [SMALL_STATE(4193)] = 293917,
  [SMALL_STATE(4194)] = 293968,
  [SMALL_STATE(4195)] = 294019,
  [SMALL_STATE(4196)] = 294074,
  [SMALL_STATE(4197)] = 294125,
  [SMALL_STATE(4198)] = 294176,
  [SMALL_STATE(4199)] = 294227,
  [SMALL_STATE(4200)] = 294278,
  [SMALL_STATE(4201)] = 294329,
  [SMALL_STATE(4202)] = 294380,
  [SMALL_STATE(4203)] = 294431,
  [SMALL_STATE(4204)] = 294484,
  [SMALL_STATE(4205)] = 294537,
  [SMALL_STATE(4206)] = 294588,
  [SMALL_STATE(4207)] = 294639,
  [SMALL_STATE(4208)] = 294690,
  [SMALL_STATE(4209)] = 294741,
  [SMALL_STATE(4210)] = 294792,
  [SMALL_STATE(4211)] = 294843,
  [SMALL_STATE(4212)] = 294894,
  [SMALL_STATE(4213)] = 294947,
  [SMALL_STATE(4214)] = 294998,
  [SMALL_STATE(4215)] = 295049,
  [SMALL_STATE(4216)] = 295100,
  [SMALL_STATE(4217)] = 295153,
  [SMALL_STATE(4218)] = 295204,
  [SMALL_STATE(4219)] = 295257,
  [SMALL_STATE(4220)] = 295308,
  [SMALL_STATE(4221)] = 295361,
  [SMALL_STATE(4222)] = 295412,
  [SMALL_STATE(4223)] = 295463,
  [SMALL_STATE(4224)] = 295514,
  [SMALL_STATE(4225)] = 295565,
  [SMALL_STATE(4226)] = 295616,
  [SMALL_STATE(4227)] = 295669,
  [SMALL_STATE(4228)] = 295720,
  [SMALL_STATE(4229)] = 295771,
  [SMALL_STATE(4230)] = 295822,
  [SMALL_STATE(4231)] = 295873,
  [SMALL_STATE(4232)] = 295924,
  [SMALL_STATE(4233)] = 295975,
  [SMALL_STATE(4234)] = 296026,
  [SMALL_STATE(4235)] = 296077,
  [SMALL_STATE(4236)] = 296128,
  [SMALL_STATE(4237)] = 296179,
  [SMALL_STATE(4238)] = 296230,
  [SMALL_STATE(4239)] = 296281,
  [SMALL_STATE(4240)] = 296332,
  [SMALL_STATE(4241)] = 296385,
  [SMALL_STATE(4242)] = 296436,
  [SMALL_STATE(4243)] = 296487,
  [SMALL_STATE(4244)] = 296538,
  [SMALL_STATE(4245)] = 296591,
  [SMALL_STATE(4246)] = 296642,
  [SMALL_STATE(4247)] = 296693,
  [SMALL_STATE(4248)] = 296744,
  [SMALL_STATE(4249)] = 296795,
  [SMALL_STATE(4250)] = 296846,
  [SMALL_STATE(4251)] = 296897,
  [SMALL_STATE(4252)] = 296948,
  [SMALL_STATE(4253)] = 296999,
  [SMALL_STATE(4254)] = 297050,
  [SMALL_STATE(4255)] = 297101,
  [SMALL_STATE(4256)] = 297152,
  [SMALL_STATE(4257)] = 297203,
  [SMALL_STATE(4258)] = 297254,
  [SMALL_STATE(4259)] = 297305,
  [SMALL_STATE(4260)] = 297362,
  [SMALL_STATE(4261)] = 297413,
  [SMALL_STATE(4262)] = 297470,
  [SMALL_STATE(4263)] = 297521,
  [SMALL_STATE(4264)] = 297572,
  [SMALL_STATE(4265)] = 297623,
  [SMALL_STATE(4266)] = 297674,
  [SMALL_STATE(4267)] = 297725,
  [SMALL_STATE(4268)] = 297776,
  [SMALL_STATE(4269)] = 297827,
  [SMALL_STATE(4270)] = 297878,
  [SMALL_STATE(4271)] = 297929,
  [SMALL_STATE(4272)] = 297980,
  [SMALL_STATE(4273)] = 298031,
  [SMALL_STATE(4274)] = 298082,
  [SMALL_STATE(4275)] = 298133,
  [SMALL_STATE(4276)] = 298188,
  [SMALL_STATE(4277)] = 298239,
  [SMALL_STATE(4278)] = 298290,
  [SMALL_STATE(4279)] = 298341,
  [SMALL_STATE(4280)] = 298392,
  [SMALL_STATE(4281)] = 298443,
  [SMALL_STATE(4282)] = 298494,
  [SMALL_STATE(4283)] = 298545,
  [SMALL_STATE(4284)] = 298596,
  [SMALL_STATE(4285)] = 298647,
  [SMALL_STATE(4286)] = 298698,
  [SMALL_STATE(4287)] = 298749,
  [SMALL_STATE(4288)] = 298800,
  [SMALL_STATE(4289)] = 298851,
  [SMALL_STATE(4290)] = 298902,
  [SMALL_STATE(4291)] = 298953,
  [SMALL_STATE(4292)] = 299004,
  [SMALL_STATE(4293)] = 299055,
  [SMALL_STATE(4294)] = 299106,
  [SMALL_STATE(4295)] = 299157,
  [SMALL_STATE(4296)] = 299208,
  [SMALL_STATE(4297)] = 299259,
  [SMALL_STATE(4298)] = 299310,
  [SMALL_STATE(4299)] = 299361,
  [SMALL_STATE(4300)] = 299412,
  [SMALL_STATE(4301)] = 299463,
  [SMALL_STATE(4302)] = 299514,
  [SMALL_STATE(4303)] = 299567,
  [SMALL_STATE(4304)] = 299620,
  [SMALL_STATE(4305)] = 299671,
  [SMALL_STATE(4306)] = 299722,
  [SMALL_STATE(4307)] = 299773,
  [SMALL_STATE(4308)] = 299824,
  [SMALL_STATE(4309)] = 299875,
  [SMALL_STATE(4310)] = 299926,
  [SMALL_STATE(4311)] = 299977,
  [SMALL_STATE(4312)] = 300028,
  [SMALL_STATE(4313)] = 300079,
  [SMALL_STATE(4314)] = 300130,
  [SMALL_STATE(4315)] = 300181,
  [SMALL_STATE(4316)] = 300238,
  [SMALL_STATE(4317)] = 300291,
  [SMALL_STATE(4318)] = 300348,
  [SMALL_STATE(4319)] = 300399,
  [SMALL_STATE(4320)] = 300450,
  [SMALL_STATE(4321)] = 300501,
  [SMALL_STATE(4322)] = 300552,
  [SMALL_STATE(4323)] = 300603,
  [SMALL_STATE(4324)] = 300654,
  [SMALL_STATE(4325)] = 300707,
  [SMALL_STATE(4326)] = 300758,
  [SMALL_STATE(4327)] = 300809,
  [SMALL_STATE(4328)] = 300862,
  [SMALL_STATE(4329)] = 300913,
  [SMALL_STATE(4330)] = 300964,
  [SMALL_STATE(4331)] = 301015,
  [SMALL_STATE(4332)] = 301066,
  [SMALL_STATE(4333)] = 301117,
  [SMALL_STATE(4334)] = 301168,
  [SMALL_STATE(4335)] = 301219,
  [SMALL_STATE(4336)] = 301270,
  [SMALL_STATE(4337)] = 301331,
  [SMALL_STATE(4338)] = 301402,
  [SMALL_STATE(4339)] = 301453,
  [SMALL_STATE(4340)] = 301506,
  [SMALL_STATE(4341)] = 301557,
  [SMALL_STATE(4342)] = 301618,
  [SMALL_STATE(4343)] = 301689,
  [SMALL_STATE(4344)] = 301746,
  [SMALL_STATE(4345)] = 301833,
  [SMALL_STATE(4346)] = 301922,
  [SMALL_STATE(4347)] = 301999,
  [SMALL_STATE(4348)] = 302062,
  [SMALL_STATE(4349)] = 302133,
  [SMALL_STATE(4350)] = 302200,
  [SMALL_STATE(4351)] = 302261,
  [SMALL_STATE(4352)] = 302342,
  [SMALL_STATE(4353)] = 302427,
  [SMALL_STATE(4354)] = 302512,
  [SMALL_STATE(4355)] = 302563,
  [SMALL_STATE(4356)] = 302614,
  [SMALL_STATE(4357)] = 302667,
  [SMALL_STATE(4358)] = 302718,
  [SMALL_STATE(4359)] = 302769,
  [SMALL_STATE(4360)] = 302820,
  [SMALL_STATE(4361)] = 302871,
  [SMALL_STATE(4362)] = 302922,
  [SMALL_STATE(4363)] = 302973,
  [SMALL_STATE(4364)] = 303024,
  [SMALL_STATE(4365)] = 303075,
  [SMALL_STATE(4366)] = 303126,
  [SMALL_STATE(4367)] = 303177,
  [SMALL_STATE(4368)] = 303228,
  [SMALL_STATE(4369)] = 303279,
  [SMALL_STATE(4370)] = 303330,
  [SMALL_STATE(4371)] = 303381,
  [SMALL_STATE(4372)] = 303434,
  [SMALL_STATE(4373)] = 303485,
  [SMALL_STATE(4374)] = 303536,
  [SMALL_STATE(4375)] = 303589,
  [SMALL_STATE(4376)] = 303640,
  [SMALL_STATE(4377)] = 303691,
  [SMALL_STATE(4378)] = 303742,
  [SMALL_STATE(4379)] = 303793,
  [SMALL_STATE(4380)] = 303844,
  [SMALL_STATE(4381)] = 303895,
  [SMALL_STATE(4382)] = 303946,
  [SMALL_STATE(4383)] = 303997,
  [SMALL_STATE(4384)] = 304048,
  [SMALL_STATE(4385)] = 304101,
  [SMALL_STATE(4386)] = 304192,
  [SMALL_STATE(4387)] = 304243,
  [SMALL_STATE(4388)] = 304294,
  [SMALL_STATE(4389)] = 304345,
  [SMALL_STATE(4390)] = 304396,
  [SMALL_STATE(4391)] = 304455,
  [SMALL_STATE(4392)] = 304514,
  [SMALL_STATE(4393)] = 304565,
  [SMALL_STATE(4394)] = 304616,
  [SMALL_STATE(4395)] = 304669,
  [SMALL_STATE(4396)] = 304720,
  [SMALL_STATE(4397)] = 304771,
  [SMALL_STATE(4398)] = 304822,
  [SMALL_STATE(4399)] = 304873,
  [SMALL_STATE(4400)] = 304924,
  [SMALL_STATE(4401)] = 304975,
  [SMALL_STATE(4402)] = 305026,
  [SMALL_STATE(4403)] = 305077,
  [SMALL_STATE(4404)] = 305128,
  [SMALL_STATE(4405)] = 305179,
  [SMALL_STATE(4406)] = 305230,
  [SMALL_STATE(4407)] = 305281,
  [SMALL_STATE(4408)] = 305332,
  [SMALL_STATE(4409)] = 305383,
  [SMALL_STATE(4410)] = 305434,
  [SMALL_STATE(4411)] = 305485,
  [SMALL_STATE(4412)] = 305536,
  [SMALL_STATE(4413)] = 305587,
  [SMALL_STATE(4414)] = 305638,
  [SMALL_STATE(4415)] = 305689,
  [SMALL_STATE(4416)] = 305740,
  [SMALL_STATE(4417)] = 305791,
  [SMALL_STATE(4418)] = 305841,
  [SMALL_STATE(4419)] = 305891,
  [SMALL_STATE(4420)] = 305941,
  [SMALL_STATE(4421)] = 305991,
  [SMALL_STATE(4422)] = 306041,
  [SMALL_STATE(4423)] = 306091,
  [SMALL_STATE(4424)] = 306141,
  [SMALL_STATE(4425)] = 306191,
  [SMALL_STATE(4426)] = 306247,
  [SMALL_STATE(4427)] = 306297,
  [SMALL_STATE(4428)] = 306347,
  [SMALL_STATE(4429)] = 306403,
  [SMALL_STATE(4430)] = 306461,
  [SMALL_STATE(4431)] = 306519,
  [SMALL_STATE(4432)] = 306569,
  [SMALL_STATE(4433)] = 306619,
  [SMALL_STATE(4434)] = 306669,
  [SMALL_STATE(4435)] = 306719,
  [SMALL_STATE(4436)] = 306769,
  [SMALL_STATE(4437)] = 306819,
  [SMALL_STATE(4438)] = 306869,
  [SMALL_STATE(4439)] = 306919,
  [SMALL_STATE(4440)] = 306969,
  [SMALL_STATE(4441)] = 307019,
  [SMALL_STATE(4442)] = 307069,
  [SMALL_STATE(4443)] = 307119,
  [SMALL_STATE(4444)] = 307169,
  [SMALL_STATE(4445)] = 307219,
  [SMALL_STATE(4446)] = 307269,
  [SMALL_STATE(4447)] = 307319,
  [SMALL_STATE(4448)] = 307369,
  [SMALL_STATE(4449)] = 307419,
  [SMALL_STATE(4450)] = 307469,
  [SMALL_STATE(4451)] = 307519,
  [SMALL_STATE(4452)] = 307569,
  [SMALL_STATE(4453)] = 307619,
  [SMALL_STATE(4454)] = 307669,
  [SMALL_STATE(4455)] = 307719,
  [SMALL_STATE(4456)] = 307769,
  [SMALL_STATE(4457)] = 307819,
  [SMALL_STATE(4458)] = 307869,
  [SMALL_STATE(4459)] = 307919,
  [SMALL_STATE(4460)] = 307969,
  [SMALL_STATE(4461)] = 308019,
  [SMALL_STATE(4462)] = 308069,
  [SMALL_STATE(4463)] = 308119,
  [SMALL_STATE(4464)] = 308169,
  [SMALL_STATE(4465)] = 308219,
  [SMALL_STATE(4466)] = 308269,
  [SMALL_STATE(4467)] = 308319,
  [SMALL_STATE(4468)] = 308369,
  [SMALL_STATE(4469)] = 308419,
  [SMALL_STATE(4470)] = 308469,
  [SMALL_STATE(4471)] = 308519,
  [SMALL_STATE(4472)] = 308569,
  [SMALL_STATE(4473)] = 308619,
  [SMALL_STATE(4474)] = 308675,
  [SMALL_STATE(4475)] = 308725,
  [SMALL_STATE(4476)] = 308775,
  [SMALL_STATE(4477)] = 308825,
  [SMALL_STATE(4478)] = 308875,
  [SMALL_STATE(4479)] = 308925,
  [SMALL_STATE(4480)] = 308975,
  [SMALL_STATE(4481)] = 309025,
  [SMALL_STATE(4482)] = 309075,
  [SMALL_STATE(4483)] = 309131,
  [SMALL_STATE(4484)] = 309181,
  [SMALL_STATE(4485)] = 309231,
  [SMALL_STATE(4486)] = 309281,
  [SMALL_STATE(4487)] = 309331,
  [SMALL_STATE(4488)] = 309381,
  [SMALL_STATE(4489)] = 309431,
  [SMALL_STATE(4490)] = 309481,
  [SMALL_STATE(4491)] = 309531,
  [SMALL_STATE(4492)] = 309585,
  [SMALL_STATE(4493)] = 309635,
  [SMALL_STATE(4494)] = 309685,
  [SMALL_STATE(4495)] = 309735,
  [SMALL_STATE(4496)] = 309785,
  [SMALL_STATE(4497)] = 309835,
  [SMALL_STATE(4498)] = 309885,
  [SMALL_STATE(4499)] = 309935,
  [SMALL_STATE(4500)] = 309985,
  [SMALL_STATE(4501)] = 310035,
  [SMALL_STATE(4502)] = 310085,
  [SMALL_STATE(4503)] = 310135,
  [SMALL_STATE(4504)] = 310185,
  [SMALL_STATE(4505)] = 310235,
  [SMALL_STATE(4506)] = 310285,
  [SMALL_STATE(4507)] = 310335,
  [SMALL_STATE(4508)] = 310385,
  [SMALL_STATE(4509)] = 310435,
  [SMALL_STATE(4510)] = 310485,
  [SMALL_STATE(4511)] = 310535,
  [SMALL_STATE(4512)] = 310585,
  [SMALL_STATE(4513)] = 310635,
  [SMALL_STATE(4514)] = 310685,
  [SMALL_STATE(4515)] = 310735,
  [SMALL_STATE(4516)] = 310785,
  [SMALL_STATE(4517)] = 310835,
  [SMALL_STATE(4518)] = 310885,
  [SMALL_STATE(4519)] = 310935,
  [SMALL_STATE(4520)] = 310985,
  [SMALL_STATE(4521)] = 311035,
  [SMALL_STATE(4522)] = 311085,
  [SMALL_STATE(4523)] = 311135,
  [SMALL_STATE(4524)] = 311185,
  [SMALL_STATE(4525)] = 311235,
  [SMALL_STATE(4526)] = 311285,
  [SMALL_STATE(4527)] = 311335,
  [SMALL_STATE(4528)] = 311385,
  [SMALL_STATE(4529)] = 311435,
  [SMALL_STATE(4530)] = 311487,
  [SMALL_STATE(4531)] = 311537,
  [SMALL_STATE(4532)] = 311587,
  [SMALL_STATE(4533)] = 311637,
  [SMALL_STATE(4534)] = 311687,
  [SMALL_STATE(4535)] = 311737,
  [SMALL_STATE(4536)] = 311823,
  [SMALL_STATE(4537)] = 311911,
  [SMALL_STATE(4538)] = 311967,
  [SMALL_STATE(4539)] = 312043,
  [SMALL_STATE(4540)] = 312105,
  [SMALL_STATE(4541)] = 312175,
  [SMALL_STATE(4542)] = 312241,
  [SMALL_STATE(4543)] = 312301,
  [SMALL_STATE(4544)] = 312381,
  [SMALL_STATE(4545)] = 312431,
  [SMALL_STATE(4546)] = 312515,
  [SMALL_STATE(4547)] = 312599,
  [SMALL_STATE(4548)] = 312649,
  [SMALL_STATE(4549)] = 312699,
  [SMALL_STATE(4550)] = 312749,
  [SMALL_STATE(4551)] = 312799,
  [SMALL_STATE(4552)] = 312849,
  [SMALL_STATE(4553)] = 312899,
  [SMALL_STATE(4554)] = 312949,
  [SMALL_STATE(4555)] = 313039,
  [SMALL_STATE(4556)] = 313089,
  [SMALL_STATE(4557)] = 313139,
  [SMALL_STATE(4558)] = 313189,
  [SMALL_STATE(4559)] = 313239,
  [SMALL_STATE(4560)] = 313289,
  [SMALL_STATE(4561)] = 313339,
  [SMALL_STATE(4562)] = 313389,
  [SMALL_STATE(4563)] = 313439,
  [SMALL_STATE(4564)] = 313489,
  [SMALL_STATE(4565)] = 313539,
  [SMALL_STATE(4566)] = 313599,
  [SMALL_STATE(4567)] = 313669,
  [SMALL_STATE(4568)] = 313719,
  [SMALL_STATE(4569)] = 313769,
  [SMALL_STATE(4570)] = 313819,
  [SMALL_STATE(4571)] = 313869,
  [SMALL_STATE(4572)] = 313919,
  [SMALL_STATE(4573)] = 313969,
  [SMALL_STATE(4574)] = 314019,
  [SMALL_STATE(4575)] = 314069,
  [SMALL_STATE(4576)] = 314119,
  [SMALL_STATE(4577)] = 314169,
  [SMALL_STATE(4578)] = 314219,
  [SMALL_STATE(4579)] = 314269,
  [SMALL_STATE(4580)] = 314319,
  [SMALL_STATE(4581)] = 314369,
  [SMALL_STATE(4582)] = 314419,
  [SMALL_STATE(4583)] = 314469,
  [SMALL_STATE(4584)] = 314519,
  [SMALL_STATE(4585)] = 314569,
  [SMALL_STATE(4586)] = 314619,
  [SMALL_STATE(4587)] = 314669,
  [SMALL_STATE(4588)] = 314719,
  [SMALL_STATE(4589)] = 314769,
  [SMALL_STATE(4590)] = 314819,
  [SMALL_STATE(4591)] = 314869,
  [SMALL_STATE(4592)] = 314919,
  [SMALL_STATE(4593)] = 315009,
  [SMALL_STATE(4594)] = 315059,
  [SMALL_STATE(4595)] = 315109,
  [SMALL_STATE(4596)] = 315199,
  [SMALL_STATE(4597)] = 315249,
  [SMALL_STATE(4598)] = 315299,
  [SMALL_STATE(4599)] = 315349,
  [SMALL_STATE(4600)] = 315399,
  [SMALL_STATE(4601)] = 315449,
  [SMALL_STATE(4602)] = 315499,
  [SMALL_STATE(4603)] = 315549,
  [SMALL_STATE(4604)] = 315599,
  [SMALL_STATE(4605)] = 315649,
  [SMALL_STATE(4606)] = 315699,
  [SMALL_STATE(4607)] = 315749,
  [SMALL_STATE(4608)] = 315799,
  [SMALL_STATE(4609)] = 315849,
  [SMALL_STATE(4610)] = 315899,
  [SMALL_STATE(4611)] = 315949,
  [SMALL_STATE(4612)] = 315999,
  [SMALL_STATE(4613)] = 316049,
  [SMALL_STATE(4614)] = 316099,
  [SMALL_STATE(4615)] = 316149,
  [SMALL_STATE(4616)] = 316199,
  [SMALL_STATE(4617)] = 316249,
  [SMALL_STATE(4618)] = 316299,
  [SMALL_STATE(4619)] = 316349,
  [SMALL_STATE(4620)] = 316399,
  [SMALL_STATE(4621)] = 316449,
  [SMALL_STATE(4622)] = 316499,
  [SMALL_STATE(4623)] = 316549,
  [SMALL_STATE(4624)] = 316599,
  [SMALL_STATE(4625)] = 316649,
  [SMALL_STATE(4626)] = 316699,
  [SMALL_STATE(4627)] = 316749,
  [SMALL_STATE(4628)] = 316801,
  [SMALL_STATE(4629)] = 316851,
  [SMALL_STATE(4630)] = 316901,
  [SMALL_STATE(4631)] = 316951,
  [SMALL_STATE(4632)] = 317001,
  [SMALL_STATE(4633)] = 317051,
  [SMALL_STATE(4634)] = 317101,
  [SMALL_STATE(4635)] = 317151,
  [SMALL_STATE(4636)] = 317207,
  [SMALL_STATE(4637)] = 317261,
  [SMALL_STATE(4638)] = 317311,
  [SMALL_STATE(4639)] = 317361,
  [SMALL_STATE(4640)] = 317417,
  [SMALL_STATE(4641)] = 317467,
  [SMALL_STATE(4642)] = 317517,
  [SMALL_STATE(4643)] = 317567,
  [SMALL_STATE(4644)] = 317657,
  [SMALL_STATE(4645)] = 317707,
  [SMALL_STATE(4646)] = 317757,
  [SMALL_STATE(4647)] = 317807,
  [SMALL_STATE(4648)] = 317857,
  [SMALL_STATE(4649)] = 317907,
  [SMALL_STATE(4650)] = 317957,
  [SMALL_STATE(4651)] = 318007,
  [SMALL_STATE(4652)] = 318057,
  [SMALL_STATE(4653)] = 318107,
  [SMALL_STATE(4654)] = 318157,
  [SMALL_STATE(4655)] = 318207,
  [SMALL_STATE(4656)] = 318257,
  [SMALL_STATE(4657)] = 318307,
  [SMALL_STATE(4658)] = 318357,
  [SMALL_STATE(4659)] = 318407,
  [SMALL_STATE(4660)] = 318457,
  [SMALL_STATE(4661)] = 318507,
  [SMALL_STATE(4662)] = 318557,
  [SMALL_STATE(4663)] = 318607,
  [SMALL_STATE(4664)] = 318657,
  [SMALL_STATE(4665)] = 318707,
  [SMALL_STATE(4666)] = 318757,
  [SMALL_STATE(4667)] = 318807,
  [SMALL_STATE(4668)] = 318857,
  [SMALL_STATE(4669)] = 318907,
  [SMALL_STATE(4670)] = 318957,
  [SMALL_STATE(4671)] = 319007,
  [SMALL_STATE(4672)] = 319057,
  [SMALL_STATE(4673)] = 319107,
  [SMALL_STATE(4674)] = 319157,
  [SMALL_STATE(4675)] = 319207,
  [SMALL_STATE(4676)] = 319257,
  [SMALL_STATE(4677)] = 319307,
  [SMALL_STATE(4678)] = 319357,
  [SMALL_STATE(4679)] = 319407,
  [SMALL_STATE(4680)] = 319457,
  [SMALL_STATE(4681)] = 319507,
  [SMALL_STATE(4682)] = 319557,
  [SMALL_STATE(4683)] = 319607,
  [SMALL_STATE(4684)] = 319657,
  [SMALL_STATE(4685)] = 319707,
  [SMALL_STATE(4686)] = 319757,
  [SMALL_STATE(4687)] = 319807,
  [SMALL_STATE(4688)] = 319857,
  [SMALL_STATE(4689)] = 319907,
  [SMALL_STATE(4690)] = 319957,
  [SMALL_STATE(4691)] = 320006,
  [SMALL_STATE(4692)] = 320055,
  [SMALL_STATE(4693)] = 320124,
  [SMALL_STATE(4694)] = 320173,
  [SMALL_STATE(4695)] = 320222,
  [SMALL_STATE(4696)] = 320271,
  [SMALL_STATE(4697)] = 320320,
  [SMALL_STATE(4698)] = 320409,
  [SMALL_STATE(4699)] = 320458,
  [SMALL_STATE(4700)] = 320507,
  [SMALL_STATE(4701)] = 320556,
  [SMALL_STATE(4702)] = 320605,
  [SMALL_STATE(4703)] = 320654,
  [SMALL_STATE(4704)] = 320703,
  [SMALL_STATE(4705)] = 320752,
  [SMALL_STATE(4706)] = 320841,
  [SMALL_STATE(4707)] = 320890,
  [SMALL_STATE(4708)] = 320939,
  [SMALL_STATE(4709)] = 320988,
  [SMALL_STATE(4710)] = 321037,
  [SMALL_STATE(4711)] = 321086,
  [SMALL_STATE(4712)] = 321135,
  [SMALL_STATE(4713)] = 321184,
  [SMALL_STATE(4714)] = 321265,
  [SMALL_STATE(4715)] = 321314,
  [SMALL_STATE(4716)] = 321363,
  [SMALL_STATE(4717)] = 321446,
  [SMALL_STATE(4718)] = 321531,
  [SMALL_STATE(4719)] = 321580,
  [SMALL_STATE(4720)] = 321629,
  [SMALL_STATE(4721)] = 321678,
  [SMALL_STATE(4722)] = 321739,
  [SMALL_STATE(4723)] = 321788,
  [SMALL_STATE(4724)] = 321877,
  [SMALL_STATE(4725)] = 321970,
  [SMALL_STATE(4726)] = 322029,
  [SMALL_STATE(4727)] = 322078,
  [SMALL_STATE(4728)] = 322127,
  [SMALL_STATE(4729)] = 322176,
  [SMALL_STATE(4730)] = 322245,
  [SMALL_STATE(4731)] = 322302,
  [SMALL_STATE(4732)] = 322359,
  [SMALL_STATE(4733)] = 322408,
  [SMALL_STATE(4734)] = 322457,
  [SMALL_STATE(4735)] = 322506,
  [SMALL_STATE(4736)] = 322555,
  [SMALL_STATE(4737)] = 322644,
  [SMALL_STATE(4738)] = 322703,
  [SMALL_STATE(4739)] = 322752,
  [SMALL_STATE(4740)] = 322807,
  [SMALL_STATE(4741)] = 322856,
  [SMALL_STATE(4742)] = 322905,
  [SMALL_STATE(4743)] = 322994,
  [SMALL_STATE(4744)] = 323051,
  [SMALL_STATE(4745)] = 323100,
  [SMALL_STATE(4746)] = 323149,
  [SMALL_STATE(4747)] = 323206,
  [SMALL_STATE(4748)] = 323255,
  [SMALL_STATE(4749)] = 323304,
  [SMALL_STATE(4750)] = 323353,
  [SMALL_STATE(4751)] = 323402,
  [SMALL_STATE(4752)] = 323451,
  [SMALL_STATE(4753)] = 323516,
  [SMALL_STATE(4754)] = 323605,
  [SMALL_STATE(4755)] = 323654,
  [SMALL_STATE(4756)] = 323703,
  [SMALL_STATE(4757)] = 323752,
  [SMALL_STATE(4758)] = 323801,
  [SMALL_STATE(4759)] = 323852,
  [SMALL_STATE(4760)] = 323907,
  [SMALL_STATE(4761)] = 323996,
  [SMALL_STATE(4762)] = 324045,
  [SMALL_STATE(4763)] = 324094,
  [SMALL_STATE(4764)] = 324183,
  [SMALL_STATE(4765)] = 324232,
  [SMALL_STATE(4766)] = 324281,
  [SMALL_STATE(4767)] = 324330,
  [SMALL_STATE(4768)] = 324379,
  [SMALL_STATE(4769)] = 324428,
  [SMALL_STATE(4770)] = 324477,
  [SMALL_STATE(4771)] = 324552,
  [SMALL_STATE(4772)] = 324607,
  [SMALL_STATE(4773)] = 324688,
  [SMALL_STATE(4774)] = 324737,
  [SMALL_STATE(4775)] = 324786,
  [SMALL_STATE(4776)] = 324835,
  [SMALL_STATE(4777)] = 324884,
  [SMALL_STATE(4778)] = 324939,
  [SMALL_STATE(4779)] = 324994,
  [SMALL_STATE(4780)] = 325043,
  [SMALL_STATE(4781)] = 325092,
  [SMALL_STATE(4782)] = 325169,
  [SMALL_STATE(4783)] = 325217,
  [SMALL_STATE(4784)] = 325271,
  [SMALL_STATE(4785)] = 325325,
  [SMALL_STATE(4786)] = 325373,
  [SMALL_STATE(4787)] = 325423,
  [SMALL_STATE(4788)] = 325471,
  [SMALL_STATE(4789)] = 325519,
  [SMALL_STATE(4790)] = 325567,
  [SMALL_STATE(4791)] = 325621,
  [SMALL_STATE(4792)] = 325669,
  [SMALL_STATE(4793)] = 325717,
  [SMALL_STATE(4794)] = 325771,
  [SMALL_STATE(4795)] = 325859,
  [SMALL_STATE(4796)] = 325913,
  [SMALL_STATE(4797)] = 325969,
  [SMALL_STATE(4798)] = 326025,
  [SMALL_STATE(4799)] = 326081,
  [SMALL_STATE(4800)] = 326169,
  [SMALL_STATE(4801)] = 326217,
  [SMALL_STATE(4802)] = 326265,
  [SMALL_STATE(4803)] = 326313,
  [SMALL_STATE(4804)] = 326361,
  [SMALL_STATE(4805)] = 326409,
  [SMALL_STATE(4806)] = 326457,
  [SMALL_STATE(4807)] = 326505,
  [SMALL_STATE(4808)] = 326561,
  [SMALL_STATE(4809)] = 326617,
  [SMALL_STATE(4810)] = 326665,
  [SMALL_STATE(4811)] = 326721,
  [SMALL_STATE(4812)] = 326769,
  [SMALL_STATE(4813)] = 326817,
  [SMALL_STATE(4814)] = 326865,
  [SMALL_STATE(4815)] = 326913,
  [SMALL_STATE(4816)] = 326967,
  [SMALL_STATE(4817)] = 327015,
  [SMALL_STATE(4818)] = 327063,
  [SMALL_STATE(4819)] = 327111,
  [SMALL_STATE(4820)] = 327167,
  [SMALL_STATE(4821)] = 327215,
  [SMALL_STATE(4822)] = 327263,
  [SMALL_STATE(4823)] = 327311,
  [SMALL_STATE(4824)] = 327359,
  [SMALL_STATE(4825)] = 327407,
  [SMALL_STATE(4826)] = 327495,
  [SMALL_STATE(4827)] = 327549,
  [SMALL_STATE(4828)] = 327597,
  [SMALL_STATE(4829)] = 327685,
  [SMALL_STATE(4830)] = 327733,
  [SMALL_STATE(4831)] = 327781,
  [SMALL_STATE(4832)] = 327829,
  [SMALL_STATE(4833)] = 327877,
  [SMALL_STATE(4834)] = 327925,
  [SMALL_STATE(4835)] = 327973,
  [SMALL_STATE(4836)] = 328029,
  [SMALL_STATE(4837)] = 328077,
  [SMALL_STATE(4838)] = 328131,
  [SMALL_STATE(4839)] = 328187,
  [SMALL_STATE(4840)] = 328239,
  [SMALL_STATE(4841)] = 328327,
  [SMALL_STATE(4842)] = 328375,
  [SMALL_STATE(4843)] = 328423,
  [SMALL_STATE(4844)] = 328471,
  [SMALL_STATE(4845)] = 328519,
  [SMALL_STATE(4846)] = 328567,
  [SMALL_STATE(4847)] = 328615,
  [SMALL_STATE(4848)] = 328669,
  [SMALL_STATE(4849)] = 328723,
  [SMALL_STATE(4850)] = 328777,
  [SMALL_STATE(4851)] = 328831,
  [SMALL_STATE(4852)] = 328885,
  [SMALL_STATE(4853)] = 328941,
  [SMALL_STATE(4854)] = 328995,
  [SMALL_STATE(4855)] = 329049,
  [SMALL_STATE(4856)] = 329103,
  [SMALL_STATE(4857)] = 329157,
  [SMALL_STATE(4858)] = 329213,
  [SMALL_STATE(4859)] = 329261,
  [SMALL_STATE(4860)] = 329315,
  [SMALL_STATE(4861)] = 329369,
  [SMALL_STATE(4862)] = 329417,
  [SMALL_STATE(4863)] = 329465,
  [SMALL_STATE(4864)] = 329519,
  [SMALL_STATE(4865)] = 329571,
  [SMALL_STATE(4866)] = 329622,
  [SMALL_STATE(4867)] = 329675,
  [SMALL_STATE(4868)] = 329722,
  [SMALL_STATE(4869)] = 329773,
  [SMALL_STATE(4870)] = 329824,
  [SMALL_STATE(4871)] = 329877,
  [SMALL_STATE(4872)] = 329928,
  [SMALL_STATE(4873)] = 329981,
  [SMALL_STATE(4874)] = 330032,
  [SMALL_STATE(4875)] = 330079,
  [SMALL_STATE(4876)] = 330132,
  [SMALL_STATE(4877)] = 330179,
  [SMALL_STATE(4878)] = 330232,
  [SMALL_STATE(4879)] = 330283,
  [SMALL_STATE(4880)] = 330336,
  [SMALL_STATE(4881)] = 330389,
  [SMALL_STATE(4882)] = 330436,
  [SMALL_STATE(4883)] = 330489,
  [SMALL_STATE(4884)] = 330540,
  [SMALL_STATE(4885)] = 330627,
  [SMALL_STATE(4886)] = 330674,
  [SMALL_STATE(4887)] = 330727,
  [SMALL_STATE(4888)] = 330778,
  [SMALL_STATE(4889)] = 330829,
  [SMALL_STATE(4890)] = 330882,
  [SMALL_STATE(4891)] = 330933,
  [SMALL_STATE(4892)] = 330984,
  [SMALL_STATE(4893)] = 331071,
  [SMALL_STATE(4894)] = 331122,
  [SMALL_STATE(4895)] = 331173,
  [SMALL_STATE(4896)] = 331224,
  [SMALL_STATE(4897)] = 331279,
  [SMALL_STATE(4898)] = 331330,
  [SMALL_STATE(4899)] = 331381,
  [SMALL_STATE(4900)] = 331434,
  [SMALL_STATE(4901)] = 331489,
  [SMALL_STATE(4902)] = 331540,
  [SMALL_STATE(4903)] = 331591,
  [SMALL_STATE(4904)] = 331646,
  [SMALL_STATE(4905)] = 331699,
  [SMALL_STATE(4906)] = 331754,
  [SMALL_STATE(4907)] = 331807,
  [SMALL_STATE(4908)] = 331860,
  [SMALL_STATE(4909)] = 331913,
  [SMALL_STATE(4910)] = 331960,
  [SMALL_STATE(4911)] = 332015,
  [SMALL_STATE(4912)] = 332068,
  [SMALL_STATE(4913)] = 332117,
  [SMALL_STATE(4914)] = 332204,
  [SMALL_STATE(4915)] = 332255,
  [SMALL_STATE(4916)] = 332308,
  [SMALL_STATE(4917)] = 332395,
  [SMALL_STATE(4918)] = 332446,
  [SMALL_STATE(4919)] = 332533,
  [SMALL_STATE(4920)] = 332584,
  [SMALL_STATE(4921)] = 332635,
  [SMALL_STATE(4922)] = 332686,
  [SMALL_STATE(4923)] = 332737,
  [SMALL_STATE(4924)] = 332786,
  [SMALL_STATE(4925)] = 332837,
  [SMALL_STATE(4926)] = 332888,
  [SMALL_STATE(4927)] = 332939,
  [SMALL_STATE(4928)] = 332990,
  [SMALL_STATE(4929)] = 333041,
  [SMALL_STATE(4930)] = 333092,
  [SMALL_STATE(4931)] = 333139,
  [SMALL_STATE(4932)] = 333190,
  [SMALL_STATE(4933)] = 333277,
  [SMALL_STATE(4934)] = 333364,
  [SMALL_STATE(4935)] = 333411,
  [SMALL_STATE(4936)] = 333462,
  [SMALL_STATE(4937)] = 333513,
  [SMALL_STATE(4938)] = 333600,
  [SMALL_STATE(4939)] = 333649,
  [SMALL_STATE(4940)] = 333700,
  [SMALL_STATE(4941)] = 333751,
  [SMALL_STATE(4942)] = 333802,
  [SMALL_STATE(4943)] = 333853,
  [SMALL_STATE(4944)] = 333904,
  [SMALL_STATE(4945)] = 333955,
  [SMALL_STATE(4946)] = 334008,
  [SMALL_STATE(4947)] = 334055,
  [SMALL_STATE(4948)] = 334106,
  [SMALL_STATE(4949)] = 334153,
  [SMALL_STATE(4950)] = 334200,
  [SMALL_STATE(4951)] = 334247,
  [SMALL_STATE(4952)] = 334294,
  [SMALL_STATE(4953)] = 334345,
  [SMALL_STATE(4954)] = 334393,
  [SMALL_STATE(4955)] = 334441,
  [SMALL_STATE(4956)] = 334491,
  [SMALL_STATE(4957)] = 334539,
  [SMALL_STATE(4958)] = 334589,
  [SMALL_STATE(4959)] = 334639,
  [SMALL_STATE(4960)] = 334689,
  [SMALL_STATE(4961)] = 334737,
  [SMALL_STATE(4962)] = 334785,
  [SMALL_STATE(4963)] = 334835,
  [SMALL_STATE(4964)] = 334921,
  [SMALL_STATE(4965)] = 335013,
  [SMALL_STATE(4966)] = 335063,
  [SMALL_STATE(4967)] = 335155,
  [SMALL_STATE(4968)] = 335203,
  [SMALL_STATE(4969)] = 335295,
  [SMALL_STATE(4970)] = 335387,
  [SMALL_STATE(4971)] = 335437,
  [SMALL_STATE(4972)] = 335487,
  [SMALL_STATE(4973)] = 335537,
  [SMALL_STATE(4974)] = 335585,
  [SMALL_STATE(4975)] = 335637,
  [SMALL_STATE(4976)] = 335729,
  [SMALL_STATE(4977)] = 335779,
  [SMALL_STATE(4978)] = 335827,
  [SMALL_STATE(4979)] = 335875,
  [SMALL_STATE(4980)] = 335925,
  [SMALL_STATE(4981)] = 335975,
  [SMALL_STATE(4982)] = 336025,
  [SMALL_STATE(4983)] = 336117,
  [SMALL_STATE(4984)] = 336167,
  [SMALL_STATE(4985)] = 336253,
  [SMALL_STATE(4986)] = 336345,
  [SMALL_STATE(4987)] = 336395,
  [SMALL_STATE(4988)] = 336443,
  [SMALL_STATE(4989)] = 336493,
  [SMALL_STATE(4990)] = 336547,
  [SMALL_STATE(4991)] = 336639,
  [SMALL_STATE(4992)] = 336689,
  [SMALL_STATE(4993)] = 336739,
  [SMALL_STATE(4994)] = 336787,
  [SMALL_STATE(4995)] = 336835,
  [SMALL_STATE(4996)] = 336885,
  [SMALL_STATE(4997)] = 336933,
  [SMALL_STATE(4998)] = 337025,
  [SMALL_STATE(4999)] = 337117,
  [SMALL_STATE(5000)] = 337165,
  [SMALL_STATE(5001)] = 337213,
  [SMALL_STATE(5002)] = 337305,
  [SMALL_STATE(5003)] = 337355,
  [SMALL_STATE(5004)] = 337403,
  [SMALL_STATE(5005)] = 337495,
  [SMALL_STATE(5006)] = 337545,
  [SMALL_STATE(5007)] = 337637,
  [SMALL_STATE(5008)] = 337685,
  [SMALL_STATE(5009)] = 337735,
  [SMALL_STATE(5010)] = 337827,
  [SMALL_STATE(5011)] = 337875,
  [SMALL_STATE(5012)] = 337967,
  [SMALL_STATE(5013)] = 338015,
  [SMALL_STATE(5014)] = 338101,
  [SMALL_STATE(5015)] = 338149,
  [SMALL_STATE(5016)] = 338197,
  [SMALL_STATE(5017)] = 338247,
  [SMALL_STATE(5018)] = 338301,
  [SMALL_STATE(5019)] = 338355,
  [SMALL_STATE(5020)] = 338447,
  [SMALL_STATE(5021)] = 338497,
  [SMALL_STATE(5022)] = 338547,
  [SMALL_STATE(5023)] = 338595,
  [SMALL_STATE(5024)] = 338643,
  [SMALL_STATE(5025)] = 338693,
  [SMALL_STATE(5026)] = 338741,
  [SMALL_STATE(5027)] = 338791,
  [SMALL_STATE(5028)] = 338883,
  [SMALL_STATE(5029)] = 338975,
  [SMALL_STATE(5030)] = 339023,
  [SMALL_STATE(5031)] = 339071,
  [SMALL_STATE(5032)] = 339119,
  [SMALL_STATE(5033)] = 339211,
  [SMALL_STATE(5034)] = 339259,
  [SMALL_STATE(5035)] = 339351,
  [SMALL_STATE(5036)] = 339399,
  [SMALL_STATE(5037)] = 339447,
  [SMALL_STATE(5038)] = 339539,
  [SMALL_STATE(5039)] = 339589,
  [SMALL_STATE(5040)] = 339637,
  [SMALL_STATE(5041)] = 339729,
  [SMALL_STATE(5042)] = 339815,
  [SMALL_STATE(5043)] = 339863,
  [SMALL_STATE(5044)] = 339911,
  [SMALL_STATE(5045)] = 339961,
  [SMALL_STATE(5046)] = 340053,
  [SMALL_STATE(5047)] = 340145,
  [SMALL_STATE(5048)] = 340237,
  [SMALL_STATE(5049)] = 340285,
  [SMALL_STATE(5050)] = 340333,
  [SMALL_STATE(5051)] = 340425,
  [SMALL_STATE(5052)] = 340473,
  [SMALL_STATE(5053)] = 340521,
  [SMALL_STATE(5054)] = 340613,
  [SMALL_STATE(5055)] = 340661,
  [SMALL_STATE(5056)] = 340709,
  [SMALL_STATE(5057)] = 340757,
  [SMALL_STATE(5058)] = 340805,
  [SMALL_STATE(5059)] = 340891,
  [SMALL_STATE(5060)] = 340937,
  [SMALL_STATE(5061)] = 340985,
  [SMALL_STATE(5062)] = 341031,
  [SMALL_STATE(5063)] = 341079,
  [SMALL_STATE(5064)] = 341127,
  [SMALL_STATE(5065)] = 341175,
  [SMALL_STATE(5066)] = 341221,
  [SMALL_STATE(5067)] = 341307,
  [SMALL_STATE(5068)] = 341355,
  [SMALL_STATE(5069)] = 341405,
  [SMALL_STATE(5070)] = 341497,
  [SMALL_STATE(5071)] = 341549,
  [SMALL_STATE(5072)] = 341599,
  [SMALL_STATE(5073)] = 341649,
  [SMALL_STATE(5074)] = 341697,
  [SMALL_STATE(5075)] = 341745,
  [SMALL_STATE(5076)] = 341831,
  [SMALL_STATE(5077)] = 341923,
  [SMALL_STATE(5078)] = 341973,
  [SMALL_STATE(5079)] = 342021,
  [SMALL_STATE(5080)] = 342113,
  [SMALL_STATE(5081)] = 342161,
  [SMALL_STATE(5082)] = 342211,
  [SMALL_STATE(5083)] = 342259,
  [SMALL_STATE(5084)] = 342307,
  [SMALL_STATE(5085)] = 342353,
  [SMALL_STATE(5086)] = 342399,
  [SMALL_STATE(5087)] = 342447,
  [SMALL_STATE(5088)] = 342497,
  [SMALL_STATE(5089)] = 342545,
  [SMALL_STATE(5090)] = 342593,
  [SMALL_STATE(5091)] = 342685,
  [SMALL_STATE(5092)] = 342771,
  [SMALL_STATE(5093)] = 342821,
  [SMALL_STATE(5094)] = 342871,
  [SMALL_STATE(5095)] = 342921,
  [SMALL_STATE(5096)] = 342969,
  [SMALL_STATE(5097)] = 343017,
  [SMALL_STATE(5098)] = 343067,
  [SMALL_STATE(5099)] = 343153,
  [SMALL_STATE(5100)] = 343199,
  [SMALL_STATE(5101)] = 343291,
  [SMALL_STATE(5102)] = 343345,
  [SMALL_STATE(5103)] = 343395,
  [SMALL_STATE(5104)] = 343449,
  [SMALL_STATE(5105)] = 343499,
  [SMALL_STATE(5106)] = 343591,
  [SMALL_STATE(5107)] = 343641,
  [SMALL_STATE(5108)] = 343733,
  [SMALL_STATE(5109)] = 343779,
  [SMALL_STATE(5110)] = 343827,
  [SMALL_STATE(5111)] = 343877,
  [SMALL_STATE(5112)] = 343969,
  [SMALL_STATE(5113)] = 344017,
  [SMALL_STATE(5114)] = 344065,
  [SMALL_STATE(5115)] = 344113,
  [SMALL_STATE(5116)] = 344161,
  [SMALL_STATE(5117)] = 344209,
  [SMALL_STATE(5118)] = 344257,
  [SMALL_STATE(5119)] = 344307,
  [SMALL_STATE(5120)] = 344355,
  [SMALL_STATE(5121)] = 344403,
  [SMALL_STATE(5122)] = 344451,
  [SMALL_STATE(5123)] = 344499,
  [SMALL_STATE(5124)] = 344591,
  [SMALL_STATE(5125)] = 344641,
  [SMALL_STATE(5126)] = 344691,
  [SMALL_STATE(5127)] = 344741,
  [SMALL_STATE(5128)] = 344789,
  [SMALL_STATE(5129)] = 344837,
  [SMALL_STATE(5130)] = 344885,
  [SMALL_STATE(5131)] = 344933,
  [SMALL_STATE(5132)] = 344981,
  [SMALL_STATE(5133)] = 345035,
  [SMALL_STATE(5134)] = 345083,
  [SMALL_STATE(5135)] = 345128,
  [SMALL_STATE(5136)] = 345173,
  [SMALL_STATE(5137)] = 345218,
  [SMALL_STATE(5138)] = 345263,
  [SMALL_STATE(5139)] = 345308,
  [SMALL_STATE(5140)] = 345353,
  [SMALL_STATE(5141)] = 345398,
  [SMALL_STATE(5142)] = 345443,
  [SMALL_STATE(5143)] = 345488,
  [SMALL_STATE(5144)] = 345533,
  [SMALL_STATE(5145)] = 345584,
  [SMALL_STATE(5146)] = 345629,
  [SMALL_STATE(5147)] = 345674,
  [SMALL_STATE(5148)] = 345719,
  [SMALL_STATE(5149)] = 345764,
  [SMALL_STATE(5150)] = 345809,
  [SMALL_STATE(5151)] = 345854,
  [SMALL_STATE(5152)] = 345899,
  [SMALL_STATE(5153)] = 345944,
  [SMALL_STATE(5154)] = 345989,
  [SMALL_STATE(5155)] = 346034,
  [SMALL_STATE(5156)] = 346079,
  [SMALL_STATE(5157)] = 346124,
  [SMALL_STATE(5158)] = 346169,
  [SMALL_STATE(5159)] = 346214,
  [SMALL_STATE(5160)] = 346259,
  [SMALL_STATE(5161)] = 346304,
  [SMALL_STATE(5162)] = 346349,
  [SMALL_STATE(5163)] = 346394,
  [SMALL_STATE(5164)] = 346439,
  [SMALL_STATE(5165)] = 346484,
  [SMALL_STATE(5166)] = 346529,
  [SMALL_STATE(5167)] = 346580,
  [SMALL_STATE(5168)] = 346631,
  [SMALL_STATE(5169)] = 346684,
  [SMALL_STATE(5170)] = 346737,
  [SMALL_STATE(5171)] = 346784,
  [SMALL_STATE(5172)] = 346831,
  [SMALL_STATE(5173)] = 346916,
  [SMALL_STATE(5174)] = 346965,
  [SMALL_STATE(5175)] = 347050,
  [SMALL_STATE(5176)] = 347139,
  [SMALL_STATE(5177)] = 347184,
  [SMALL_STATE(5178)] = 347229,
  [SMALL_STATE(5179)] = 347274,
  [SMALL_STATE(5180)] = 347319,
  [SMALL_STATE(5181)] = 347364,
  [SMALL_STATE(5182)] = 347409,
  [SMALL_STATE(5183)] = 347454,
  [SMALL_STATE(5184)] = 347499,
  [SMALL_STATE(5185)] = 347544,
  [SMALL_STATE(5186)] = 347589,
  [SMALL_STATE(5187)] = 347634,
  [SMALL_STATE(5188)] = 347679,
  [SMALL_STATE(5189)] = 347724,
  [SMALL_STATE(5190)] = 347769,
  [SMALL_STATE(5191)] = 347814,
  [SMALL_STATE(5192)] = 347859,
  [SMALL_STATE(5193)] = 347904,
  [SMALL_STATE(5194)] = 347949,
  [SMALL_STATE(5195)] = 347994,
  [SMALL_STATE(5196)] = 348039,
  [SMALL_STATE(5197)] = 348084,
  [SMALL_STATE(5198)] = 348129,
  [SMALL_STATE(5199)] = 348174,
  [SMALL_STATE(5200)] = 348219,
  [SMALL_STATE(5201)] = 348264,
  [SMALL_STATE(5202)] = 348309,
  [SMALL_STATE(5203)] = 348354,
  [SMALL_STATE(5204)] = 348399,
  [SMALL_STATE(5205)] = 348444,
  [SMALL_STATE(5206)] = 348489,
  [SMALL_STATE(5207)] = 348534,
  [SMALL_STATE(5208)] = 348579,
  [SMALL_STATE(5209)] = 348624,
  [SMALL_STATE(5210)] = 348669,
  [SMALL_STATE(5211)] = 348714,
  [SMALL_STATE(5212)] = 348759,
  [SMALL_STATE(5213)] = 348804,
  [SMALL_STATE(5214)] = 348849,
  [SMALL_STATE(5215)] = 348894,
  [SMALL_STATE(5216)] = 348939,
  [SMALL_STATE(5217)] = 348984,
  [SMALL_STATE(5218)] = 349029,
  [SMALL_STATE(5219)] = 349074,
  [SMALL_STATE(5220)] = 349119,
  [SMALL_STATE(5221)] = 349164,
  [SMALL_STATE(5222)] = 349209,
  [SMALL_STATE(5223)] = 349254,
  [SMALL_STATE(5224)] = 349299,
  [SMALL_STATE(5225)] = 349344,
  [SMALL_STATE(5226)] = 349389,
  [SMALL_STATE(5227)] = 349434,
  [SMALL_STATE(5228)] = 349479,
  [SMALL_STATE(5229)] = 349524,
  [SMALL_STATE(5230)] = 349569,
  [SMALL_STATE(5231)] = 349614,
  [SMALL_STATE(5232)] = 349659,
  [SMALL_STATE(5233)] = 349704,
  [SMALL_STATE(5234)] = 349749,
  [SMALL_STATE(5235)] = 349794,
  [SMALL_STATE(5236)] = 349849,
  [SMALL_STATE(5237)] = 349894,
  [SMALL_STATE(5238)] = 349939,
  [SMALL_STATE(5239)] = 349984,
  [SMALL_STATE(5240)] = 350029,
  [SMALL_STATE(5241)] = 350074,
  [SMALL_STATE(5242)] = 350123,
  [SMALL_STATE(5243)] = 350168,
  [SMALL_STATE(5244)] = 350213,
  [SMALL_STATE(5245)] = 350258,
  [SMALL_STATE(5246)] = 350303,
  [SMALL_STATE(5247)] = 350348,
  [SMALL_STATE(5248)] = 350393,
  [SMALL_STATE(5249)] = 350440,
  [SMALL_STATE(5250)] = 350487,
  [SMALL_STATE(5251)] = 350538,
  [SMALL_STATE(5252)] = 350585,
  [SMALL_STATE(5253)] = 350632,
  [SMALL_STATE(5254)] = 350677,
  [SMALL_STATE(5255)] = 350724,
  [SMALL_STATE(5256)] = 350769,
  [SMALL_STATE(5257)] = 350816,
  [SMALL_STATE(5258)] = 350863,
  [SMALL_STATE(5259)] = 350914,
  [SMALL_STATE(5260)] = 350965,
  [SMALL_STATE(5261)] = 351016,
  [SMALL_STATE(5262)] = 351067,
  [SMALL_STATE(5263)] = 351118,
  [SMALL_STATE(5264)] = 351169,
  [SMALL_STATE(5265)] = 351216,
  [SMALL_STATE(5266)] = 351263,
  [SMALL_STATE(5267)] = 351308,
  [SMALL_STATE(5268)] = 351355,
  [SMALL_STATE(5269)] = 351402,
  [SMALL_STATE(5270)] = 351449,
  [SMALL_STATE(5271)] = 351496,
  [SMALL_STATE(5272)] = 351543,
  [SMALL_STATE(5273)] = 351590,
  [SMALL_STATE(5274)] = 351637,
  [SMALL_STATE(5275)] = 351692,
  [SMALL_STATE(5276)] = 351739,
  [SMALL_STATE(5277)] = 351786,
  [SMALL_STATE(5278)] = 351833,
  [SMALL_STATE(5279)] = 351880,
  [SMALL_STATE(5280)] = 351927,
  [SMALL_STATE(5281)] = 351974,
  [SMALL_STATE(5282)] = 352021,
  [SMALL_STATE(5283)] = 352068,
  [SMALL_STATE(5284)] = 352115,
  [SMALL_STATE(5285)] = 352166,
  [SMALL_STATE(5286)] = 352213,
  [SMALL_STATE(5287)] = 352260,
  [SMALL_STATE(5288)] = 352307,
  [SMALL_STATE(5289)] = 352354,
  [SMALL_STATE(5290)] = 352401,
  [SMALL_STATE(5291)] = 352448,
  [SMALL_STATE(5292)] = 352495,
  [SMALL_STATE(5293)] = 352542,
  [SMALL_STATE(5294)] = 352589,
  [SMALL_STATE(5295)] = 352636,
  [SMALL_STATE(5296)] = 352683,
  [SMALL_STATE(5297)] = 352730,
  [SMALL_STATE(5298)] = 352777,
  [SMALL_STATE(5299)] = 352824,
  [SMALL_STATE(5300)] = 352875,
  [SMALL_STATE(5301)] = 352920,
  [SMALL_STATE(5302)] = 352967,
  [SMALL_STATE(5303)] = 353012,
  [SMALL_STATE(5304)] = 353059,
  [SMALL_STATE(5305)] = 353106,
  [SMALL_STATE(5306)] = 353155,
  [SMALL_STATE(5307)] = 353202,
  [SMALL_STATE(5308)] = 353249,
  [SMALL_STATE(5309)] = 353294,
  [SMALL_STATE(5310)] = 353341,
  [SMALL_STATE(5311)] = 353388,
  [SMALL_STATE(5312)] = 353435,
  [SMALL_STATE(5313)] = 353482,
  [SMALL_STATE(5314)] = 353529,
  [SMALL_STATE(5315)] = 353576,
  [SMALL_STATE(5316)] = 353623,
  [SMALL_STATE(5317)] = 353672,
  [SMALL_STATE(5318)] = 353719,
  [SMALL_STATE(5319)] = 353766,
  [SMALL_STATE(5320)] = 353813,
  [SMALL_STATE(5321)] = 353860,
  [SMALL_STATE(5322)] = 353907,
  [SMALL_STATE(5323)] = 353954,
  [SMALL_STATE(5324)] = 354001,
  [SMALL_STATE(5325)] = 354048,
  [SMALL_STATE(5326)] = 354095,
  [SMALL_STATE(5327)] = 354146,
  [SMALL_STATE(5328)] = 354193,
  [SMALL_STATE(5329)] = 354240,
  [SMALL_STATE(5330)] = 354287,
  [SMALL_STATE(5331)] = 354334,
  [SMALL_STATE(5332)] = 354381,
  [SMALL_STATE(5333)] = 354428,
  [SMALL_STATE(5334)] = 354475,
  [SMALL_STATE(5335)] = 354522,
  [SMALL_STATE(5336)] = 354569,
  [SMALL_STATE(5337)] = 354618,
  [SMALL_STATE(5338)] = 354667,
  [SMALL_STATE(5339)] = 354714,
  [SMALL_STATE(5340)] = 354761,
  [SMALL_STATE(5341)] = 354806,
  [SMALL_STATE(5342)] = 354857,
  [SMALL_STATE(5343)] = 354908,
  [SMALL_STATE(5344)] = 354997,
  [SMALL_STATE(5345)] = 355086,
  [SMALL_STATE(5346)] = 355175,
  [SMALL_STATE(5347)] = 355262,
  [SMALL_STATE(5348)] = 355349,
  [SMALL_STATE(5349)] = 355436,
  [SMALL_STATE(5350)] = 355523,
  [SMALL_STATE(5351)] = 355568,
  [SMALL_STATE(5352)] = 355655,
  [SMALL_STATE(5353)] = 355742,
  [SMALL_STATE(5354)] = 355789,
  [SMALL_STATE(5355)] = 355838,
  [SMALL_STATE(5356)] = 355927,
  [SMALL_STATE(5357)] = 356016,
  [SMALL_STATE(5358)] = 356105,
  [SMALL_STATE(5359)] = 356194,
  [SMALL_STATE(5360)] = 356283,
  [SMALL_STATE(5361)] = 356372,
  [SMALL_STATE(5362)] = 356461,
  [SMALL_STATE(5363)] = 356550,
  [SMALL_STATE(5364)] = 356639,
  [SMALL_STATE(5365)] = 356728,
  [SMALL_STATE(5366)] = 356773,
  [SMALL_STATE(5367)] = 356818,
  [SMALL_STATE(5368)] = 356907,
  [SMALL_STATE(5369)] = 356996,
  [SMALL_STATE(5370)] = 357085,
  [SMALL_STATE(5371)] = 357172,
  [SMALL_STATE(5372)] = 357261,
  [SMALL_STATE(5373)] = 357348,
  [SMALL_STATE(5374)] = 357435,
  [SMALL_STATE(5375)] = 357480,
  [SMALL_STATE(5376)] = 357569,
  [SMALL_STATE(5377)] = 357658,
  [SMALL_STATE(5378)] = 357747,
  [SMALL_STATE(5379)] = 357792,
  [SMALL_STATE(5380)] = 357837,
  [SMALL_STATE(5381)] = 357882,
  [SMALL_STATE(5382)] = 357971,
  [SMALL_STATE(5383)] = 358060,
  [SMALL_STATE(5384)] = 358149,
  [SMALL_STATE(5385)] = 358234,
  [SMALL_STATE(5386)] = 358323,
  [SMALL_STATE(5387)] = 358412,
  [SMALL_STATE(5388)] = 358501,
  [SMALL_STATE(5389)] = 358546,
  [SMALL_STATE(5390)] = 358591,
  [SMALL_STATE(5391)] = 358636,
  [SMALL_STATE(5392)] = 358681,
  [SMALL_STATE(5393)] = 358726,
  [SMALL_STATE(5394)] = 358771,
  [SMALL_STATE(5395)] = 358860,
  [SMALL_STATE(5396)] = 358949,
  [SMALL_STATE(5397)] = 359038,
  [SMALL_STATE(5398)] = 359083,
  [SMALL_STATE(5399)] = 359128,
  [SMALL_STATE(5400)] = 359173,
  [SMALL_STATE(5401)] = 359218,
  [SMALL_STATE(5402)] = 359263,
  [SMALL_STATE(5403)] = 359352,
  [SMALL_STATE(5404)] = 359441,
  [SMALL_STATE(5405)] = 359530,
  [SMALL_STATE(5406)] = 359575,
  [SMALL_STATE(5407)] = 359620,
  [SMALL_STATE(5408)] = 359665,
  [SMALL_STATE(5409)] = 359754,
  [SMALL_STATE(5410)] = 359799,
  [SMALL_STATE(5411)] = 359888,
  [SMALL_STATE(5412)] = 359977,
  [SMALL_STATE(5413)] = 360066,
  [SMALL_STATE(5414)] = 360153,
  [SMALL_STATE(5415)] = 360242,
  [SMALL_STATE(5416)] = 360331,
  [SMALL_STATE(5417)] = 360418,
  [SMALL_STATE(5418)] = 360507,
  [SMALL_STATE(5419)] = 360596,
  [SMALL_STATE(5420)] = 360685,
  [SMALL_STATE(5421)] = 360732,
  [SMALL_STATE(5422)] = 360821,
  [SMALL_STATE(5423)] = 360910,
  [SMALL_STATE(5424)] = 360999,
  [SMALL_STATE(5425)] = 361088,
  [SMALL_STATE(5426)] = 361177,
  [SMALL_STATE(5427)] = 361266,
  [SMALL_STATE(5428)] = 361355,
  [SMALL_STATE(5429)] = 361444,
  [SMALL_STATE(5430)] = 361533,
  [SMALL_STATE(5431)] = 361622,
  [SMALL_STATE(5432)] = 361711,
  [SMALL_STATE(5433)] = 361800,
  [SMALL_STATE(5434)] = 361889,
  [SMALL_STATE(5435)] = 361978,
  [SMALL_STATE(5436)] = 362067,
  [SMALL_STATE(5437)] = 362156,
  [SMALL_STATE(5438)] = 362245,
  [SMALL_STATE(5439)] = 362334,
  [SMALL_STATE(5440)] = 362381,
  [SMALL_STATE(5441)] = 362470,
  [SMALL_STATE(5442)] = 362559,
  [SMALL_STATE(5443)] = 362648,
  [SMALL_STATE(5444)] = 362737,
  [SMALL_STATE(5445)] = 362826,
  [SMALL_STATE(5446)] = 362873,
  [SMALL_STATE(5447)] = 362958,
  [SMALL_STATE(5448)] = 363011,
  [SMALL_STATE(5449)] = 363096,
  [SMALL_STATE(5450)] = 363185,
  [SMALL_STATE(5451)] = 363274,
  [SMALL_STATE(5452)] = 363359,
  [SMALL_STATE(5453)] = 363444,
  [SMALL_STATE(5454)] = 363533,
  [SMALL_STATE(5455)] = 363622,
  [SMALL_STATE(5456)] = 363679,
  [SMALL_STATE(5457)] = 363764,
  [SMALL_STATE(5458)] = 363849,
  [SMALL_STATE(5459)] = 363934,
  [SMALL_STATE(5460)] = 364019,
  [SMALL_STATE(5461)] = 364106,
  [SMALL_STATE(5462)] = 364193,
  [SMALL_STATE(5463)] = 364280,
  [SMALL_STATE(5464)] = 364369,
  [SMALL_STATE(5465)] = 364456,
  [SMALL_STATE(5466)] = 364543,
  [SMALL_STATE(5467)] = 364588,
  [SMALL_STATE(5468)] = 364633,
  [SMALL_STATE(5469)] = 364678,
  [SMALL_STATE(5470)] = 364723,
  [SMALL_STATE(5471)] = 364768,
  [SMALL_STATE(5472)] = 364813,
  [SMALL_STATE(5473)] = 364858,
  [SMALL_STATE(5474)] = 364903,
  [SMALL_STATE(5475)] = 364948,
  [SMALL_STATE(5476)] = 364993,
  [SMALL_STATE(5477)] = 365044,
  [SMALL_STATE(5478)] = 365095,
  [SMALL_STATE(5479)] = 365146,
  [SMALL_STATE(5480)] = 365197,
  [SMALL_STATE(5481)] = 365248,
  [SMALL_STATE(5482)] = 365299,
  [SMALL_STATE(5483)] = 365350,
  [SMALL_STATE(5484)] = 365437,
  [SMALL_STATE(5485)] = 365482,
  [SMALL_STATE(5486)] = 365527,
  [SMALL_STATE(5487)] = 365572,
  [SMALL_STATE(5488)] = 365617,
  [SMALL_STATE(5489)] = 365662,
  [SMALL_STATE(5490)] = 365707,
  [SMALL_STATE(5491)] = 365752,
  [SMALL_STATE(5492)] = 365797,
  [SMALL_STATE(5493)] = 365842,
  [SMALL_STATE(5494)] = 365887,
  [SMALL_STATE(5495)] = 365932,
  [SMALL_STATE(5496)] = 365977,
  [SMALL_STATE(5497)] = 366022,
  [SMALL_STATE(5498)] = 366067,
  [SMALL_STATE(5499)] = 366112,
  [SMALL_STATE(5500)] = 366157,
  [SMALL_STATE(5501)] = 366202,
  [SMALL_STATE(5502)] = 366247,
  [SMALL_STATE(5503)] = 366336,
  [SMALL_STATE(5504)] = 366425,
  [SMALL_STATE(5505)] = 366514,
  [SMALL_STATE(5506)] = 366603,
  [SMALL_STATE(5507)] = 366692,
  [SMALL_STATE(5508)] = 366781,
  [SMALL_STATE(5509)] = 366826,
  [SMALL_STATE(5510)] = 366871,
  [SMALL_STATE(5511)] = 366916,
  [SMALL_STATE(5512)] = 366961,
  [SMALL_STATE(5513)] = 367006,
  [SMALL_STATE(5514)] = 367051,
  [SMALL_STATE(5515)] = 367096,
  [SMALL_STATE(5516)] = 367141,
  [SMALL_STATE(5517)] = 367186,
  [SMALL_STATE(5518)] = 367231,
  [SMALL_STATE(5519)] = 367318,
  [SMALL_STATE(5520)] = 367362,
  [SMALL_STATE(5521)] = 367406,
  [SMALL_STATE(5522)] = 367450,
  [SMALL_STATE(5523)] = 367494,
  [SMALL_STATE(5524)] = 367538,
  [SMALL_STATE(5525)] = 367586,
  [SMALL_STATE(5526)] = 367634,
  [SMALL_STATE(5527)] = 367682,
  [SMALL_STATE(5528)] = 367730,
  [SMALL_STATE(5529)] = 367778,
  [SMALL_STATE(5530)] = 367822,
  [SMALL_STATE(5531)] = 367866,
  [SMALL_STATE(5532)] = 367950,
  [SMALL_STATE(5533)] = 368036,
  [SMALL_STATE(5534)] = 368080,
  [SMALL_STATE(5535)] = 368124,
  [SMALL_STATE(5536)] = 368168,
  [SMALL_STATE(5537)] = 368212,
  [SMALL_STATE(5538)] = 368256,
  [SMALL_STATE(5539)] = 368300,
  [SMALL_STATE(5540)] = 368344,
  [SMALL_STATE(5541)] = 368388,
  [SMALL_STATE(5542)] = 368472,
  [SMALL_STATE(5543)] = 368520,
  [SMALL_STATE(5544)] = 368568,
  [SMALL_STATE(5545)] = 368652,
  [SMALL_STATE(5546)] = 368696,
  [SMALL_STATE(5547)] = 368744,
  [SMALL_STATE(5548)] = 368828,
  [SMALL_STATE(5549)] = 368912,
  [SMALL_STATE(5550)] = 368958,
  [SMALL_STATE(5551)] = 369002,
  [SMALL_STATE(5552)] = 369046,
  [SMALL_STATE(5553)] = 369090,
  [SMALL_STATE(5554)] = 369176,
  [SMALL_STATE(5555)] = 369220,
  [SMALL_STATE(5556)] = 369264,
  [SMALL_STATE(5557)] = 369308,
  [SMALL_STATE(5558)] = 369352,
  [SMALL_STATE(5559)] = 369396,
  [SMALL_STATE(5560)] = 369482,
  [SMALL_STATE(5561)] = 369526,
  [SMALL_STATE(5562)] = 369580,
  [SMALL_STATE(5563)] = 369624,
  [SMALL_STATE(5564)] = 369668,
  [SMALL_STATE(5565)] = 369754,
  [SMALL_STATE(5566)] = 369840,
  [SMALL_STATE(5567)] = 369884,
  [SMALL_STATE(5568)] = 369928,
  [SMALL_STATE(5569)] = 369972,
  [SMALL_STATE(5570)] = 370016,
  [SMALL_STATE(5571)] = 370060,
  [SMALL_STATE(5572)] = 370104,
  [SMALL_STATE(5573)] = 370190,
  [SMALL_STATE(5574)] = 370234,
  [SMALL_STATE(5575)] = 370278,
  [SMALL_STATE(5576)] = 370322,
  [SMALL_STATE(5577)] = 370366,
  [SMALL_STATE(5578)] = 370410,
  [SMALL_STATE(5579)] = 370454,
  [SMALL_STATE(5580)] = 370540,
  [SMALL_STATE(5581)] = 370584,
  [SMALL_STATE(5582)] = 370632,
  [SMALL_STATE(5583)] = 370676,
  [SMALL_STATE(5584)] = 370720,
  [SMALL_STATE(5585)] = 370764,
  [SMALL_STATE(5586)] = 370808,
  [SMALL_STATE(5587)] = 370894,
  [SMALL_STATE(5588)] = 370938,
  [SMALL_STATE(5589)] = 370982,
  [SMALL_STATE(5590)] = 371026,
  [SMALL_STATE(5591)] = 371070,
  [SMALL_STATE(5592)] = 371156,
  [SMALL_STATE(5593)] = 371200,
  [SMALL_STATE(5594)] = 371244,
  [SMALL_STATE(5595)] = 371288,
  [SMALL_STATE(5596)] = 371332,
  [SMALL_STATE(5597)] = 371376,
  [SMALL_STATE(5598)] = 371420,
  [SMALL_STATE(5599)] = 371464,
  [SMALL_STATE(5600)] = 371508,
  [SMALL_STATE(5601)] = 371552,
  [SMALL_STATE(5602)] = 371638,
  [SMALL_STATE(5603)] = 371682,
  [SMALL_STATE(5604)] = 371726,
  [SMALL_STATE(5605)] = 371770,
  [SMALL_STATE(5606)] = 371814,
  [SMALL_STATE(5607)] = 371858,
  [SMALL_STATE(5608)] = 371902,
  [SMALL_STATE(5609)] = 371946,
  [SMALL_STATE(5610)] = 371990,
  [SMALL_STATE(5611)] = 372076,
  [SMALL_STATE(5612)] = 372120,
  [SMALL_STATE(5613)] = 372168,
  [SMALL_STATE(5614)] = 372212,
  [SMALL_STATE(5615)] = 372256,
  [SMALL_STATE(5616)] = 372300,
  [SMALL_STATE(5617)] = 372344,
  [SMALL_STATE(5618)] = 372388,
  [SMALL_STATE(5619)] = 372432,
  [SMALL_STATE(5620)] = 372476,
  [SMALL_STATE(5621)] = 372520,
  [SMALL_STATE(5622)] = 372606,
  [SMALL_STATE(5623)] = 372650,
  [SMALL_STATE(5624)] = 372696,
  [SMALL_STATE(5625)] = 372740,
  [SMALL_STATE(5626)] = 372784,
  [SMALL_STATE(5627)] = 372832,
  [SMALL_STATE(5628)] = 372918,
  [SMALL_STATE(5629)] = 372966,
  [SMALL_STATE(5630)] = 373010,
  [SMALL_STATE(5631)] = 373054,
  [SMALL_STATE(5632)] = 373102,
  [SMALL_STATE(5633)] = 373150,
  [SMALL_STATE(5634)] = 373194,
  [SMALL_STATE(5635)] = 373280,
  [SMALL_STATE(5636)] = 373324,
  [SMALL_STATE(5637)] = 373368,
  [SMALL_STATE(5638)] = 373412,
  [SMALL_STATE(5639)] = 373460,
  [SMALL_STATE(5640)] = 373508,
  [SMALL_STATE(5641)] = 373594,
  [SMALL_STATE(5642)] = 373642,
  [SMALL_STATE(5643)] = 373686,
  [SMALL_STATE(5644)] = 373730,
  [SMALL_STATE(5645)] = 373774,
  [SMALL_STATE(5646)] = 373818,
  [SMALL_STATE(5647)] = 373862,
  [SMALL_STATE(5648)] = 373906,
  [SMALL_STATE(5649)] = 373950,
  [SMALL_STATE(5650)] = 374036,
  [SMALL_STATE(5651)] = 374084,
  [SMALL_STATE(5652)] = 374132,
  [SMALL_STATE(5653)] = 374178,
  [SMALL_STATE(5654)] = 374264,
  [SMALL_STATE(5655)] = 374312,
  [SMALL_STATE(5656)] = 374360,
  [SMALL_STATE(5657)] = 374408,
  [SMALL_STATE(5658)] = 374494,
  [SMALL_STATE(5659)] = 374538,
  [SMALL_STATE(5660)] = 374582,
  [SMALL_STATE(5661)] = 374626,
  [SMALL_STATE(5662)] = 374670,
  [SMALL_STATE(5663)] = 374754,
  [SMALL_STATE(5664)] = 374798,
  [SMALL_STATE(5665)] = 374842,
  [SMALL_STATE(5666)] = 374886,
  [SMALL_STATE(5667)] = 374930,
  [SMALL_STATE(5668)] = 374974,
  [SMALL_STATE(5669)] = 375018,
  [SMALL_STATE(5670)] = 375062,
  [SMALL_STATE(5671)] = 375146,
  [SMALL_STATE(5672)] = 375194,
  [SMALL_STATE(5673)] = 375238,
  [SMALL_STATE(5674)] = 375282,
  [SMALL_STATE(5675)] = 375366,
  [SMALL_STATE(5676)] = 375410,
  [SMALL_STATE(5677)] = 375454,
  [SMALL_STATE(5678)] = 375498,
  [SMALL_STATE(5679)] = 375542,
  [SMALL_STATE(5680)] = 375586,
  [SMALL_STATE(5681)] = 375630,
  [SMALL_STATE(5682)] = 375674,
  [SMALL_STATE(5683)] = 375718,
  [SMALL_STATE(5684)] = 375762,
  [SMALL_STATE(5685)] = 375806,
  [SMALL_STATE(5686)] = 375850,
  [SMALL_STATE(5687)] = 375894,
  [SMALL_STATE(5688)] = 375938,
  [SMALL_STATE(5689)] = 375982,
  [SMALL_STATE(5690)] = 376026,
  [SMALL_STATE(5691)] = 376072,
  [SMALL_STATE(5692)] = 376116,
  [SMALL_STATE(5693)] = 376160,
  [SMALL_STATE(5694)] = 376204,
  [SMALL_STATE(5695)] = 376248,
  [SMALL_STATE(5696)] = 376292,
  [SMALL_STATE(5697)] = 376336,
  [SMALL_STATE(5698)] = 376380,
  [SMALL_STATE(5699)] = 376424,
  [SMALL_STATE(5700)] = 376468,
  [SMALL_STATE(5701)] = 376514,
  [SMALL_STATE(5702)] = 376558,
  [SMALL_STATE(5703)] = 376642,
  [SMALL_STATE(5704)] = 376686,
  [SMALL_STATE(5705)] = 376740,
  [SMALL_STATE(5706)] = 376784,
  [SMALL_STATE(5707)] = 376828,
  [SMALL_STATE(5708)] = 376872,
  [SMALL_STATE(5709)] = 376916,
  [SMALL_STATE(5710)] = 376960,
  [SMALL_STATE(5711)] = 377004,
  [SMALL_STATE(5712)] = 377048,
  [SMALL_STATE(5713)] = 377092,
  [SMALL_STATE(5714)] = 377136,
  [SMALL_STATE(5715)] = 377180,
  [SMALL_STATE(5716)] = 377224,
  [SMALL_STATE(5717)] = 377268,
  [SMALL_STATE(5718)] = 377352,
  [SMALL_STATE(5719)] = 377436,
  [SMALL_STATE(5720)] = 377520,
  [SMALL_STATE(5721)] = 377604,
  [SMALL_STATE(5722)] = 377648,
  [SMALL_STATE(5723)] = 377692,
  [SMALL_STATE(5724)] = 377736,
  [SMALL_STATE(5725)] = 377784,
  [SMALL_STATE(5726)] = 377828,
  [SMALL_STATE(5727)] = 377872,
  [SMALL_STATE(5728)] = 377916,
  [SMALL_STATE(5729)] = 377962,
  [SMALL_STATE(5730)] = 378010,
  [SMALL_STATE(5731)] = 378054,
  [SMALL_STATE(5732)] = 378098,
  [SMALL_STATE(5733)] = 378142,
  [SMALL_STATE(5734)] = 378186,
  [SMALL_STATE(5735)] = 378230,
  [SMALL_STATE(5736)] = 378274,
  [SMALL_STATE(5737)] = 378318,
  [SMALL_STATE(5738)] = 378362,
  [SMALL_STATE(5739)] = 378410,
  [SMALL_STATE(5740)] = 378454,
  [SMALL_STATE(5741)] = 378498,
  [SMALL_STATE(5742)] = 378542,
  [SMALL_STATE(5743)] = 378586,
  [SMALL_STATE(5744)] = 378630,
  [SMALL_STATE(5745)] = 378674,
  [SMALL_STATE(5746)] = 378718,
  [SMALL_STATE(5747)] = 378762,
  [SMALL_STATE(5748)] = 378806,
  [SMALL_STATE(5749)] = 378850,
  [SMALL_STATE(5750)] = 378894,
  [SMALL_STATE(5751)] = 378938,
  [SMALL_STATE(5752)] = 378982,
  [SMALL_STATE(5753)] = 379026,
  [SMALL_STATE(5754)] = 379070,
  [SMALL_STATE(5755)] = 379114,
  [SMALL_STATE(5756)] = 379160,
  [SMALL_STATE(5757)] = 379204,
  [SMALL_STATE(5758)] = 379248,
  [SMALL_STATE(5759)] = 379296,
  [SMALL_STATE(5760)] = 379344,
  [SMALL_STATE(5761)] = 379392,
  [SMALL_STATE(5762)] = 379436,
  [SMALL_STATE(5763)] = 379480,
  [SMALL_STATE(5764)] = 379524,
  [SMALL_STATE(5765)] = 379568,
  [SMALL_STATE(5766)] = 379616,
  [SMALL_STATE(5767)] = 379660,
  [SMALL_STATE(5768)] = 379704,
  [SMALL_STATE(5769)] = 379748,
  [SMALL_STATE(5770)] = 379792,
  [SMALL_STATE(5771)] = 379836,
  [SMALL_STATE(5772)] = 379884,
  [SMALL_STATE(5773)] = 379932,
  [SMALL_STATE(5774)] = 379980,
  [SMALL_STATE(5775)] = 380028,
  [SMALL_STATE(5776)] = 380076,
  [SMALL_STATE(5777)] = 380120,
  [SMALL_STATE(5778)] = 380164,
  [SMALL_STATE(5779)] = 380208,
  [SMALL_STATE(5780)] = 380252,
  [SMALL_STATE(5781)] = 380296,
  [SMALL_STATE(5782)] = 380340,
  [SMALL_STATE(5783)] = 380384,
  [SMALL_STATE(5784)] = 380428,
  [SMALL_STATE(5785)] = 380472,
  [SMALL_STATE(5786)] = 380520,
  [SMALL_STATE(5787)] = 380564,
  [SMALL_STATE(5788)] = 380612,
  [SMALL_STATE(5789)] = 380656,
  [SMALL_STATE(5790)] = 380700,
  [SMALL_STATE(5791)] = 380784,
  [SMALL_STATE(5792)] = 380828,
  [SMALL_STATE(5793)] = 380874,
  [SMALL_STATE(5794)] = 380918,
  [SMALL_STATE(5795)] = 380966,
  [SMALL_STATE(5796)] = 381010,
  [SMALL_STATE(5797)] = 381058,
  [SMALL_STATE(5798)] = 381142,
  [SMALL_STATE(5799)] = 381188,
  [SMALL_STATE(5800)] = 381233,
  [SMALL_STATE(5801)] = 381278,
  [SMALL_STATE(5802)] = 381361,
  [SMALL_STATE(5803)] = 381444,
  [SMALL_STATE(5804)] = 381527,
  [SMALL_STATE(5805)] = 381610,
  [SMALL_STATE(5806)] = 381655,
  [SMALL_STATE(5807)] = 381700,
  [SMALL_STATE(5808)] = 381745,
  [SMALL_STATE(5809)] = 381790,
  [SMALL_STATE(5810)] = 381835,
  [SMALL_STATE(5811)] = 381880,
  [SMALL_STATE(5812)] = 381925,
  [SMALL_STATE(5813)] = 381970,
  [SMALL_STATE(5814)] = 382053,
  [SMALL_STATE(5815)] = 382136,
  [SMALL_STATE(5816)] = 382219,
  [SMALL_STATE(5817)] = 382302,
  [SMALL_STATE(5818)] = 382347,
  [SMALL_STATE(5819)] = 382430,
  [SMALL_STATE(5820)] = 382513,
  [SMALL_STATE(5821)] = 382596,
  [SMALL_STATE(5822)] = 382679,
  [SMALL_STATE(5823)] = 382762,
  [SMALL_STATE(5824)] = 382845,
  [SMALL_STATE(5825)] = 382892,
  [SMALL_STATE(5826)] = 382975,
  [SMALL_STATE(5827)] = 383058,
  [SMALL_STATE(5828)] = 383141,
  [SMALL_STATE(5829)] = 383224,
  [SMALL_STATE(5830)] = 383269,
  [SMALL_STATE(5831)] = 383314,
  [SMALL_STATE(5832)] = 383397,
  [SMALL_STATE(5833)] = 383440,
  [SMALL_STATE(5834)] = 383523,
  [SMALL_STATE(5835)] = 383606,
  [SMALL_STATE(5836)] = 383689,
  [SMALL_STATE(5837)] = 383734,
  [SMALL_STATE(5838)] = 383779,
  [SMALL_STATE(5839)] = 383824,
  [SMALL_STATE(5840)] = 383869,
  [SMALL_STATE(5841)] = 383952,
  [SMALL_STATE(5842)] = 384035,
  [SMALL_STATE(5843)] = 384118,
  [SMALL_STATE(5844)] = 384201,
  [SMALL_STATE(5845)] = 384284,
  [SMALL_STATE(5846)] = 384329,
  [SMALL_STATE(5847)] = 384374,
  [SMALL_STATE(5848)] = 384419,
  [SMALL_STATE(5849)] = 384502,
  [SMALL_STATE(5850)] = 384585,
  [SMALL_STATE(5851)] = 384668,
  [SMALL_STATE(5852)] = 384751,
  [SMALL_STATE(5853)] = 384800,
  [SMALL_STATE(5854)] = 384845,
  [SMALL_STATE(5855)] = 384928,
  [SMALL_STATE(5856)] = 385011,
  [SMALL_STATE(5857)] = 385056,
  [SMALL_STATE(5858)] = 385139,
  [SMALL_STATE(5859)] = 385222,
  [SMALL_STATE(5860)] = 385305,
  [SMALL_STATE(5861)] = 385350,
  [SMALL_STATE(5862)] = 385397,
  [SMALL_STATE(5863)] = 385442,
  [SMALL_STATE(5864)] = 385489,
  [SMALL_STATE(5865)] = 385572,
  [SMALL_STATE(5866)] = 385655,
  [SMALL_STATE(5867)] = 385738,
  [SMALL_STATE(5868)] = 385821,
  [SMALL_STATE(5869)] = 385904,
  [SMALL_STATE(5870)] = 385949,
  [SMALL_STATE(5871)] = 385994,
  [SMALL_STATE(5872)] = 386077,
  [SMALL_STATE(5873)] = 386160,
  [SMALL_STATE(5874)] = 386243,
  [SMALL_STATE(5875)] = 386326,
  [SMALL_STATE(5876)] = 386371,
  [SMALL_STATE(5877)] = 386416,
  [SMALL_STATE(5878)] = 386461,
  [SMALL_STATE(5879)] = 386506,
  [SMALL_STATE(5880)] = 386549,
  [SMALL_STATE(5881)] = 386632,
  [SMALL_STATE(5882)] = 386715,
  [SMALL_STATE(5883)] = 386798,
  [SMALL_STATE(5884)] = 386881,
  [SMALL_STATE(5885)] = 386924,
  [SMALL_STATE(5886)] = 386967,
  [SMALL_STATE(5887)] = 387010,
  [SMALL_STATE(5888)] = 387093,
  [SMALL_STATE(5889)] = 387176,
  [SMALL_STATE(5890)] = 387259,
  [SMALL_STATE(5891)] = 387342,
  [SMALL_STATE(5892)] = 387385,
  [SMALL_STATE(5893)] = 387430,
  [SMALL_STATE(5894)] = 387473,
  [SMALL_STATE(5895)] = 387556,
  [SMALL_STATE(5896)] = 387603,
  [SMALL_STATE(5897)] = 387686,
  [SMALL_STATE(5898)] = 387769,
  [SMALL_STATE(5899)] = 387852,
  [SMALL_STATE(5900)] = 387895,
  [SMALL_STATE(5901)] = 387938,
  [SMALL_STATE(5902)] = 387981,
  [SMALL_STATE(5903)] = 388026,
  [SMALL_STATE(5904)] = 388109,
  [SMALL_STATE(5905)] = 388192,
  [SMALL_STATE(5906)] = 388275,
  [SMALL_STATE(5907)] = 388358,
  [SMALL_STATE(5908)] = 388403,
  [SMALL_STATE(5909)] = 388448,
  [SMALL_STATE(5910)] = 388491,
  [SMALL_STATE(5911)] = 388534,
  [SMALL_STATE(5912)] = 388577,
  [SMALL_STATE(5913)] = 388620,
  [SMALL_STATE(5914)] = 388703,
  [SMALL_STATE(5915)] = 388746,
  [SMALL_STATE(5916)] = 388829,
  [SMALL_STATE(5917)] = 388912,
  [SMALL_STATE(5918)] = 388995,
  [SMALL_STATE(5919)] = 389078,
  [SMALL_STATE(5920)] = 389121,
  [SMALL_STATE(5921)] = 389164,
  [SMALL_STATE(5922)] = 389207,
  [SMALL_STATE(5923)] = 389250,
  [SMALL_STATE(5924)] = 389333,
  [SMALL_STATE(5925)] = 389416,
  [SMALL_STATE(5926)] = 389499,
  [SMALL_STATE(5927)] = 389582,
  [SMALL_STATE(5928)] = 389627,
  [SMALL_STATE(5929)] = 389670,
  [SMALL_STATE(5930)] = 389713,
  [SMALL_STATE(5931)] = 389756,
  [SMALL_STATE(5932)] = 389839,
  [SMALL_STATE(5933)] = 389922,
  [SMALL_STATE(5934)] = 390005,
  [SMALL_STATE(5935)] = 390088,
  [SMALL_STATE(5936)] = 390133,
  [SMALL_STATE(5937)] = 390178,
  [SMALL_STATE(5938)] = 390221,
  [SMALL_STATE(5939)] = 390264,
  [SMALL_STATE(5940)] = 390311,
  [SMALL_STATE(5941)] = 390354,
  [SMALL_STATE(5942)] = 390397,
  [SMALL_STATE(5943)] = 390440,
  [SMALL_STATE(5944)] = 390487,
  [SMALL_STATE(5945)] = 390534,
  [SMALL_STATE(5946)] = 390581,
  [SMALL_STATE(5947)] = 390628,
  [SMALL_STATE(5948)] = 390671,
  [SMALL_STATE(5949)] = 390714,
  [SMALL_STATE(5950)] = 390757,
  [SMALL_STATE(5951)] = 390800,
  [SMALL_STATE(5952)] = 390843,
  [SMALL_STATE(5953)] = 390926,
  [SMALL_STATE(5954)] = 391009,
  [SMALL_STATE(5955)] = 391052,
  [SMALL_STATE(5956)] = 391095,
  [SMALL_STATE(5957)] = 391140,
  [SMALL_STATE(5958)] = 391185,
  [SMALL_STATE(5959)] = 391268,
  [SMALL_STATE(5960)] = 391311,
  [SMALL_STATE(5961)] = 391354,
  [SMALL_STATE(5962)] = 391397,
  [SMALL_STATE(5963)] = 391480,
  [SMALL_STATE(5964)] = 391523,
  [SMALL_STATE(5965)] = 391566,
  [SMALL_STATE(5966)] = 391609,
  [SMALL_STATE(5967)] = 391652,
  [SMALL_STATE(5968)] = 391695,
  [SMALL_STATE(5969)] = 391740,
  [SMALL_STATE(5970)] = 391823,
  [SMALL_STATE(5971)] = 391870,
  [SMALL_STATE(5972)] = 391915,
  [SMALL_STATE(5973)] = 391962,
  [SMALL_STATE(5974)] = 392009,
  [SMALL_STATE(5975)] = 392056,
  [SMALL_STATE(5976)] = 392139,
  [SMALL_STATE(5977)] = 392186,
  [SMALL_STATE(5978)] = 392231,
  [SMALL_STATE(5979)] = 392278,
  [SMALL_STATE(5980)] = 392325,
  [SMALL_STATE(5981)] = 392372,
  [SMALL_STATE(5982)] = 392419,
  [SMALL_STATE(5983)] = 392466,
  [SMALL_STATE(5984)] = 392513,
  [SMALL_STATE(5985)] = 392560,
  [SMALL_STATE(5986)] = 392607,
  [SMALL_STATE(5987)] = 392654,
  [SMALL_STATE(5988)] = 392701,
  [SMALL_STATE(5989)] = 392748,
  [SMALL_STATE(5990)] = 392795,
  [SMALL_STATE(5991)] = 392842,
  [SMALL_STATE(5992)] = 392889,
  [SMALL_STATE(5993)] = 392936,
  [SMALL_STATE(5994)] = 392983,
  [SMALL_STATE(5995)] = 393030,
  [SMALL_STATE(5996)] = 393077,
  [SMALL_STATE(5997)] = 393160,
  [SMALL_STATE(5998)] = 393207,
  [SMALL_STATE(5999)] = 393254,
  [SMALL_STATE(6000)] = 393301,
  [SMALL_STATE(6001)] = 393348,
  [SMALL_STATE(6002)] = 393395,
  [SMALL_STATE(6003)] = 393442,
  [SMALL_STATE(6004)] = 393489,
  [SMALL_STATE(6005)] = 393536,
  [SMALL_STATE(6006)] = 393583,
  [SMALL_STATE(6007)] = 393630,
  [SMALL_STATE(6008)] = 393677,
  [SMALL_STATE(6009)] = 393724,
  [SMALL_STATE(6010)] = 393771,
  [SMALL_STATE(6011)] = 393818,
  [SMALL_STATE(6012)] = 393865,
  [SMALL_STATE(6013)] = 393914,
  [SMALL_STATE(6014)] = 393961,
  [SMALL_STATE(6015)] = 394044,
  [SMALL_STATE(6016)] = 394091,
  [SMALL_STATE(6017)] = 394138,
  [SMALL_STATE(6018)] = 394185,
  [SMALL_STATE(6019)] = 394232,
  [SMALL_STATE(6020)] = 394279,
  [SMALL_STATE(6021)] = 394362,
  [SMALL_STATE(6022)] = 394409,
  [SMALL_STATE(6023)] = 394456,
  [SMALL_STATE(6024)] = 394503,
  [SMALL_STATE(6025)] = 394550,
  [SMALL_STATE(6026)] = 394593,
  [SMALL_STATE(6027)] = 394640,
  [SMALL_STATE(6028)] = 394687,
  [SMALL_STATE(6029)] = 394734,
  [SMALL_STATE(6030)] = 394781,
  [SMALL_STATE(6031)] = 394828,
  [SMALL_STATE(6032)] = 394875,
  [SMALL_STATE(6033)] = 394922,
  [SMALL_STATE(6034)] = 394969,
  [SMALL_STATE(6035)] = 395016,
  [SMALL_STATE(6036)] = 395063,
  [SMALL_STATE(6037)] = 395110,
  [SMALL_STATE(6038)] = 395153,
  [SMALL_STATE(6039)] = 395200,
  [SMALL_STATE(6040)] = 395247,
  [SMALL_STATE(6041)] = 395294,
  [SMALL_STATE(6042)] = 395341,
  [SMALL_STATE(6043)] = 395386,
  [SMALL_STATE(6044)] = 395469,
  [SMALL_STATE(6045)] = 395552,
  [SMALL_STATE(6046)] = 395635,
  [SMALL_STATE(6047)] = 395678,
  [SMALL_STATE(6048)] = 395721,
  [SMALL_STATE(6049)] = 395764,
  [SMALL_STATE(6050)] = 395807,
  [SMALL_STATE(6051)] = 395854,
  [SMALL_STATE(6052)] = 395897,
  [SMALL_STATE(6053)] = 395942,
  [SMALL_STATE(6054)] = 395985,
  [SMALL_STATE(6055)] = 396034,
  [SMALL_STATE(6056)] = 396081,
  [SMALL_STATE(6057)] = 396126,
  [SMALL_STATE(6058)] = 396209,
  [SMALL_STATE(6059)] = 396292,
  [SMALL_STATE(6060)] = 396375,
  [SMALL_STATE(6061)] = 396458,
  [SMALL_STATE(6062)] = 396541,
  [SMALL_STATE(6063)] = 396624,
  [SMALL_STATE(6064)] = 396707,
  [SMALL_STATE(6065)] = 396790,
  [SMALL_STATE(6066)] = 396873,
  [SMALL_STATE(6067)] = 396956,
  [SMALL_STATE(6068)] = 397039,
  [SMALL_STATE(6069)] = 397122,
  [SMALL_STATE(6070)] = 397205,
  [SMALL_STATE(6071)] = 397288,
  [SMALL_STATE(6072)] = 397371,
  [SMALL_STATE(6073)] = 397454,
  [SMALL_STATE(6074)] = 397537,
  [SMALL_STATE(6075)] = 397620,
  [SMALL_STATE(6076)] = 397703,
  [SMALL_STATE(6077)] = 397786,
  [SMALL_STATE(6078)] = 397869,
  [SMALL_STATE(6079)] = 397952,
  [SMALL_STATE(6080)] = 398035,
  [SMALL_STATE(6081)] = 398118,
  [SMALL_STATE(6082)] = 398163,
  [SMALL_STATE(6083)] = 398208,
  [SMALL_STATE(6084)] = 398291,
  [SMALL_STATE(6085)] = 398374,
  [SMALL_STATE(6086)] = 398457,
  [SMALL_STATE(6087)] = 398508,
  [SMALL_STATE(6088)] = 398591,
  [SMALL_STATE(6089)] = 398674,
  [SMALL_STATE(6090)] = 398757,
  [SMALL_STATE(6091)] = 398808,
  [SMALL_STATE(6092)] = 398891,
  [SMALL_STATE(6093)] = 398974,
  [SMALL_STATE(6094)] = 399057,
  [SMALL_STATE(6095)] = 399102,
  [SMALL_STATE(6096)] = 399147,
  [SMALL_STATE(6097)] = 399230,
  [SMALL_STATE(6098)] = 399313,
  [SMALL_STATE(6099)] = 399396,
  [SMALL_STATE(6100)] = 399439,
  [SMALL_STATE(6101)] = 399484,
  [SMALL_STATE(6102)] = 399567,
  [SMALL_STATE(6103)] = 399650,
  [SMALL_STATE(6104)] = 399733,
  [SMALL_STATE(6105)] = 399776,
  [SMALL_STATE(6106)] = 399821,
  [SMALL_STATE(6107)] = 399866,
  [SMALL_STATE(6108)] = 399949,
  [SMALL_STATE(6109)] = 400032,
  [SMALL_STATE(6110)] = 400115,
  [SMALL_STATE(6111)] = 400198,
  [SMALL_STATE(6112)] = 400281,
  [SMALL_STATE(6113)] = 400364,
  [SMALL_STATE(6114)] = 400447,
  [SMALL_STATE(6115)] = 400530,
  [SMALL_STATE(6116)] = 400613,
  [SMALL_STATE(6117)] = 400658,
  [SMALL_STATE(6118)] = 400703,
  [SMALL_STATE(6119)] = 400746,
  [SMALL_STATE(6120)] = 400789,
  [SMALL_STATE(6121)] = 400834,
  [SMALL_STATE(6122)] = 400879,
  [SMALL_STATE(6123)] = 400962,
  [SMALL_STATE(6124)] = 401007,
  [SMALL_STATE(6125)] = 401052,
  [SMALL_STATE(6126)] = 401135,
  [SMALL_STATE(6127)] = 401180,
  [SMALL_STATE(6128)] = 401225,
  [SMALL_STATE(6129)] = 401270,
  [SMALL_STATE(6130)] = 401353,
  [SMALL_STATE(6131)] = 401398,
  [SMALL_STATE(6132)] = 401443,
  [SMALL_STATE(6133)] = 401526,
  [SMALL_STATE(6134)] = 401609,
  [SMALL_STATE(6135)] = 401692,
  [SMALL_STATE(6136)] = 401737,
  [SMALL_STATE(6137)] = 401820,
  [SMALL_STATE(6138)] = 401903,
  [SMALL_STATE(6139)] = 401986,
  [SMALL_STATE(6140)] = 402069,
  [SMALL_STATE(6141)] = 402152,
  [SMALL_STATE(6142)] = 402197,
  [SMALL_STATE(6143)] = 402280,
  [SMALL_STATE(6144)] = 402363,
  [SMALL_STATE(6145)] = 402408,
  [SMALL_STATE(6146)] = 402491,
  [SMALL_STATE(6147)] = 402536,
  [SMALL_STATE(6148)] = 402619,
  [SMALL_STATE(6149)] = 402702,
  [SMALL_STATE(6150)] = 402785,
  [SMALL_STATE(6151)] = 402868,
  [SMALL_STATE(6152)] = 402951,
  [SMALL_STATE(6153)] = 403034,
  [SMALL_STATE(6154)] = 403079,
  [SMALL_STATE(6155)] = 403162,
  [SMALL_STATE(6156)] = 403207,
  [SMALL_STATE(6157)] = 403254,
  [SMALL_STATE(6158)] = 403296,
  [SMALL_STATE(6159)] = 403338,
  [SMALL_STATE(6160)] = 403384,
  [SMALL_STATE(6161)] = 403426,
  [SMALL_STATE(6162)] = 403506,
  [SMALL_STATE(6163)] = 403548,
  [SMALL_STATE(6164)] = 403590,
  [SMALL_STATE(6165)] = 403632,
  [SMALL_STATE(6166)] = 403712,
  [SMALL_STATE(6167)] = 403792,
  [SMALL_STATE(6168)] = 403834,
  [SMALL_STATE(6169)] = 403876,
  [SMALL_STATE(6170)] = 403960,
  [SMALL_STATE(6171)] = 404040,
  [SMALL_STATE(6172)] = 404082,
  [SMALL_STATE(6173)] = 404124,
  [SMALL_STATE(6174)] = 404166,
  [SMALL_STATE(6175)] = 404250,
  [SMALL_STATE(6176)] = 404292,
  [SMALL_STATE(6177)] = 404372,
  [SMALL_STATE(6178)] = 404452,
  [SMALL_STATE(6179)] = 404532,
  [SMALL_STATE(6180)] = 404574,
  [SMALL_STATE(6181)] = 404654,
  [SMALL_STATE(6182)] = 404734,
  [SMALL_STATE(6183)] = 404776,
  [SMALL_STATE(6184)] = 404856,
  [SMALL_STATE(6185)] = 404898,
  [SMALL_STATE(6186)] = 404940,
  [SMALL_STATE(6187)] = 404982,
  [SMALL_STATE(6188)] = 405062,
  [SMALL_STATE(6189)] = 405146,
  [SMALL_STATE(6190)] = 405188,
  [SMALL_STATE(6191)] = 405230,
  [SMALL_STATE(6192)] = 405272,
  [SMALL_STATE(6193)] = 405314,
  [SMALL_STATE(6194)] = 405394,
  [SMALL_STATE(6195)] = 405436,
  [SMALL_STATE(6196)] = 405478,
  [SMALL_STATE(6197)] = 405562,
  [SMALL_STATE(6198)] = 405604,
  [SMALL_STATE(6199)] = 405646,
  [SMALL_STATE(6200)] = 405688,
  [SMALL_STATE(6201)] = 405730,
  [SMALL_STATE(6202)] = 405772,
  [SMALL_STATE(6203)] = 405852,
  [SMALL_STATE(6204)] = 405894,
  [SMALL_STATE(6205)] = 405974,
  [SMALL_STATE(6206)] = 406016,
  [SMALL_STATE(6207)] = 406096,
  [SMALL_STATE(6208)] = 406138,
  [SMALL_STATE(6209)] = 406218,
  [SMALL_STATE(6210)] = 406300,
  [SMALL_STATE(6211)] = 406342,
  [SMALL_STATE(6212)] = 406386,
  [SMALL_STATE(6213)] = 406428,
  [SMALL_STATE(6214)] = 406510,
  [SMALL_STATE(6215)] = 406592,
  [SMALL_STATE(6216)] = 406676,
  [SMALL_STATE(6217)] = 406758,
  [SMALL_STATE(6218)] = 406842,
  [SMALL_STATE(6219)] = 406922,
  [SMALL_STATE(6220)] = 407002,
  [SMALL_STATE(6221)] = 407044,
  [SMALL_STATE(6222)] = 407086,
  [SMALL_STATE(6223)] = 407128,
  [SMALL_STATE(6224)] = 407182,
  [SMALL_STATE(6225)] = 407262,
  [SMALL_STATE(6226)] = 407304,
  [SMALL_STATE(6227)] = 407386,
  [SMALL_STATE(6228)] = 407428,
  [SMALL_STATE(6229)] = 407470,
  [SMALL_STATE(6230)] = 407512,
  [SMALL_STATE(6231)] = 407594,
  [SMALL_STATE(6232)] = 407636,
  [SMALL_STATE(6233)] = 407678,
  [SMALL_STATE(6234)] = 407720,
  [SMALL_STATE(6235)] = 407762,
  [SMALL_STATE(6236)] = 407846,
  [SMALL_STATE(6237)] = 407888,
  [SMALL_STATE(6238)] = 407930,
  [SMALL_STATE(6239)] = 407972,
  [SMALL_STATE(6240)] = 408014,
  [SMALL_STATE(6241)] = 408056,
  [SMALL_STATE(6242)] = 408136,
  [SMALL_STATE(6243)] = 408220,
  [SMALL_STATE(6244)] = 408262,
  [SMALL_STATE(6245)] = 408342,
  [SMALL_STATE(6246)] = 408422,
  [SMALL_STATE(6247)] = 408464,
  [SMALL_STATE(6248)] = 408506,
  [SMALL_STATE(6249)] = 408548,
  [SMALL_STATE(6250)] = 408590,
  [SMALL_STATE(6251)] = 408632,
  [SMALL_STATE(6252)] = 408674,
  [SMALL_STATE(6253)] = 408716,
  [SMALL_STATE(6254)] = 408758,
  [SMALL_STATE(6255)] = 408840,
  [SMALL_STATE(6256)] = 408882,
  [SMALL_STATE(6257)] = 408924,
  [SMALL_STATE(6258)] = 408966,
  [SMALL_STATE(6259)] = 409010,
  [SMALL_STATE(6260)] = 409094,
  [SMALL_STATE(6261)] = 409136,
  [SMALL_STATE(6262)] = 409178,
  [SMALL_STATE(6263)] = 409220,
  [SMALL_STATE(6264)] = 409262,
  [SMALL_STATE(6265)] = 409344,
  [SMALL_STATE(6266)] = 409386,
  [SMALL_STATE(6267)] = 409436,
  [SMALL_STATE(6268)] = 409478,
  [SMALL_STATE(6269)] = 409558,
  [SMALL_STATE(6270)] = 409638,
  [SMALL_STATE(6271)] = 409688,
  [SMALL_STATE(6272)] = 409730,
  [SMALL_STATE(6273)] = 409772,
  [SMALL_STATE(6274)] = 409852,
  [SMALL_STATE(6275)] = 409932,
  [SMALL_STATE(6276)] = 410014,
  [SMALL_STATE(6277)] = 410094,
  [SMALL_STATE(6278)] = 410174,
  [SMALL_STATE(6279)] = 410216,
  [SMALL_STATE(6280)] = 410298,
  [SMALL_STATE(6281)] = 410378,
  [SMALL_STATE(6282)] = 410458,
  [SMALL_STATE(6283)] = 410500,
  [SMALL_STATE(6284)] = 410542,
  [SMALL_STATE(6285)] = 410584,
  [SMALL_STATE(6286)] = 410626,
  [SMALL_STATE(6287)] = 410706,
  [SMALL_STATE(6288)] = 410748,
  [SMALL_STATE(6289)] = 410790,
  [SMALL_STATE(6290)] = 410832,
  [SMALL_STATE(6291)] = 410874,
  [SMALL_STATE(6292)] = 410916,
  [SMALL_STATE(6293)] = 410958,
  [SMALL_STATE(6294)] = 411038,
  [SMALL_STATE(6295)] = 411080,
  [SMALL_STATE(6296)] = 411122,
  [SMALL_STATE(6297)] = 411164,
  [SMALL_STATE(6298)] = 411206,
  [SMALL_STATE(6299)] = 411286,
  [SMALL_STATE(6300)] = 411328,
  [SMALL_STATE(6301)] = 411410,
  [SMALL_STATE(6302)] = 411492,
  [SMALL_STATE(6303)] = 411534,
  [SMALL_STATE(6304)] = 411614,
  [SMALL_STATE(6305)] = 411656,
  [SMALL_STATE(6306)] = 411698,
  [SMALL_STATE(6307)] = 411740,
  [SMALL_STATE(6308)] = 411782,
  [SMALL_STATE(6309)] = 411824,
  [SMALL_STATE(6310)] = 411866,
  [SMALL_STATE(6311)] = 411908,
  [SMALL_STATE(6312)] = 411950,
  [SMALL_STATE(6313)] = 411992,
  [SMALL_STATE(6314)] = 412034,
  [SMALL_STATE(6315)] = 412076,
  [SMALL_STATE(6316)] = 412118,
  [SMALL_STATE(6317)] = 412160,
  [SMALL_STATE(6318)] = 412202,
  [SMALL_STATE(6319)] = 412244,
  [SMALL_STATE(6320)] = 412326,
  [SMALL_STATE(6321)] = 412368,
  [SMALL_STATE(6322)] = 412410,
  [SMALL_STATE(6323)] = 412452,
  [SMALL_STATE(6324)] = 412532,
  [SMALL_STATE(6325)] = 412574,
  [SMALL_STATE(6326)] = 412656,
  [SMALL_STATE(6327)] = 412698,
  [SMALL_STATE(6328)] = 412778,
  [SMALL_STATE(6329)] = 412820,
  [SMALL_STATE(6330)] = 412862,
  [SMALL_STATE(6331)] = 412942,
  [SMALL_STATE(6332)] = 413022,
  [SMALL_STATE(6333)] = 413064,
  [SMALL_STATE(6334)] = 413144,
  [SMALL_STATE(6335)] = 413186,
  [SMALL_STATE(6336)] = 413228,
  [SMALL_STATE(6337)] = 413270,
  [SMALL_STATE(6338)] = 413312,
  [SMALL_STATE(6339)] = 413354,
  [SMALL_STATE(6340)] = 413396,
  [SMALL_STATE(6341)] = 413438,
  [SMALL_STATE(6342)] = 413518,
  [SMALL_STATE(6343)] = 413560,
  [SMALL_STATE(6344)] = 413602,
  [SMALL_STATE(6345)] = 413644,
  [SMALL_STATE(6346)] = 413692,
  [SMALL_STATE(6347)] = 413774,
  [SMALL_STATE(6348)] = 413856,
  [SMALL_STATE(6349)] = 413898,
  [SMALL_STATE(6350)] = 413940,
  [SMALL_STATE(6351)] = 413982,
  [SMALL_STATE(6352)] = 414024,
  [SMALL_STATE(6353)] = 414066,
  [SMALL_STATE(6354)] = 414108,
  [SMALL_STATE(6355)] = 414150,
  [SMALL_STATE(6356)] = 414192,
  [SMALL_STATE(6357)] = 414234,
  [SMALL_STATE(6358)] = 414276,
  [SMALL_STATE(6359)] = 414360,
  [SMALL_STATE(6360)] = 414402,
  [SMALL_STATE(6361)] = 414444,
  [SMALL_STATE(6362)] = 414528,
  [SMALL_STATE(6363)] = 414570,
  [SMALL_STATE(6364)] = 414652,
  [SMALL_STATE(6365)] = 414694,
  [SMALL_STATE(6366)] = 414774,
  [SMALL_STATE(6367)] = 414816,
  [SMALL_STATE(6368)] = 414864,
  [SMALL_STATE(6369)] = 414906,
  [SMALL_STATE(6370)] = 414948,
  [SMALL_STATE(6371)] = 415028,
  [SMALL_STATE(6372)] = 415112,
  [SMALL_STATE(6373)] = 415154,
  [SMALL_STATE(6374)] = 415196,
  [SMALL_STATE(6375)] = 415276,
  [SMALL_STATE(6376)] = 415318,
  [SMALL_STATE(6377)] = 415398,
  [SMALL_STATE(6378)] = 415478,
  [SMALL_STATE(6379)] = 415558,
  [SMALL_STATE(6380)] = 415600,
  [SMALL_STATE(6381)] = 415680,
  [SMALL_STATE(6382)] = 415722,
  [SMALL_STATE(6383)] = 415802,
  [SMALL_STATE(6384)] = 415882,
  [SMALL_STATE(6385)] = 415962,
  [SMALL_STATE(6386)] = 416004,
  [SMALL_STATE(6387)] = 416046,
  [SMALL_STATE(6388)] = 416088,
  [SMALL_STATE(6389)] = 416130,
  [SMALL_STATE(6390)] = 416172,
  [SMALL_STATE(6391)] = 416214,
  [SMALL_STATE(6392)] = 416256,
  [SMALL_STATE(6393)] = 416297,
  [SMALL_STATE(6394)] = 416380,
  [SMALL_STATE(6395)] = 416463,
  [SMALL_STATE(6396)] = 416536,
  [SMALL_STATE(6397)] = 416609,
  [SMALL_STATE(6398)] = 416682,
  [SMALL_STATE(6399)] = 416721,
  [SMALL_STATE(6400)] = 416804,
  [SMALL_STATE(6401)] = 416877,
  [SMALL_STATE(6402)] = 416950,
  [SMALL_STATE(6403)] = 416991,
  [SMALL_STATE(6404)] = 417032,
  [SMALL_STATE(6405)] = 417073,
  [SMALL_STATE(6406)] = 417156,
  [SMALL_STATE(6407)] = 417195,
  [SMALL_STATE(6408)] = 417236,
  [SMALL_STATE(6409)] = 417317,
  [SMALL_STATE(6410)] = 417398,
  [SMALL_STATE(6411)] = 417479,
  [SMALL_STATE(6412)] = 417560,
  [SMALL_STATE(6413)] = 417601,
  [SMALL_STATE(6414)] = 417642,
  [SMALL_STATE(6415)] = 417683,
  [SMALL_STATE(6416)] = 417724,
  [SMALL_STATE(6417)] = 417765,
  [SMALL_STATE(6418)] = 417806,
  [SMALL_STATE(6419)] = 417847,
  [SMALL_STATE(6420)] = 417888,
  [SMALL_STATE(6421)] = 417929,
  [SMALL_STATE(6422)] = 417970,
  [SMALL_STATE(6423)] = 418011,
  [SMALL_STATE(6424)] = 418052,
  [SMALL_STATE(6425)] = 418093,
  [SMALL_STATE(6426)] = 418134,
  [SMALL_STATE(6427)] = 418175,
  [SMALL_STATE(6428)] = 418216,
  [SMALL_STATE(6429)] = 418289,
  [SMALL_STATE(6430)] = 418330,
  [SMALL_STATE(6431)] = 418371,
  [SMALL_STATE(6432)] = 418412,
  [SMALL_STATE(6433)] = 418453,
  [SMALL_STATE(6434)] = 418504,
  [SMALL_STATE(6435)] = 418545,
  [SMALL_STATE(6436)] = 418586,
  [SMALL_STATE(6437)] = 418659,
  [SMALL_STATE(6438)] = 418700,
  [SMALL_STATE(6439)] = 418741,
  [SMALL_STATE(6440)] = 418782,
  [SMALL_STATE(6441)] = 418823,
  [SMALL_STATE(6442)] = 418864,
  [SMALL_STATE(6443)] = 418905,
  [SMALL_STATE(6444)] = 418988,
  [SMALL_STATE(6445)] = 419071,
  [SMALL_STATE(6446)] = 419154,
  [SMALL_STATE(6447)] = 419195,
  [SMALL_STATE(6448)] = 419278,
  [SMALL_STATE(6449)] = 419361,
  [SMALL_STATE(6450)] = 419444,
  [SMALL_STATE(6451)] = 419485,
  [SMALL_STATE(6452)] = 419526,
  [SMALL_STATE(6453)] = 419567,
  [SMALL_STATE(6454)] = 419608,
  [SMALL_STATE(6455)] = 419649,
  [SMALL_STATE(6456)] = 419690,
  [SMALL_STATE(6457)] = 419731,
  [SMALL_STATE(6458)] = 419782,
  [SMALL_STATE(6459)] = 419829,
  [SMALL_STATE(6460)] = 419876,
  [SMALL_STATE(6461)] = 419917,
  [SMALL_STATE(6462)] = 420000,
  [SMALL_STATE(6463)] = 420083,
  [SMALL_STATE(6464)] = 420166,
  [SMALL_STATE(6465)] = 420249,
  [SMALL_STATE(6466)] = 420332,
  [SMALL_STATE(6467)] = 420373,
  [SMALL_STATE(6468)] = 420445,
  [SMALL_STATE(6469)] = 420517,
  [SMALL_STATE(6470)] = 420589,
  [SMALL_STATE(6471)] = 420661,
  [SMALL_STATE(6472)] = 420703,
  [SMALL_STATE(6473)] = 420775,
  [SMALL_STATE(6474)] = 420847,
  [SMALL_STATE(6475)] = 420887,
  [SMALL_STATE(6476)] = 420927,
  [SMALL_STATE(6477)] = 420979,
  [SMALL_STATE(6478)] = 421051,
  [SMALL_STATE(6479)] = 421093,
  [SMALL_STATE(6480)] = 421135,
  [SMALL_STATE(6481)] = 421175,
  [SMALL_STATE(6482)] = 421248,
  [SMALL_STATE(6483)] = 421325,
  [SMALL_STATE(6484)] = 421398,
  [SMALL_STATE(6485)] = 421475,
  [SMALL_STATE(6486)] = 421548,
  [SMALL_STATE(6487)] = 421625,
  [SMALL_STATE(6488)] = 421702,
  [SMALL_STATE(6489)] = 421775,
  [SMALL_STATE(6490)] = 421848,
  [SMALL_STATE(6491)] = 421921,
  [SMALL_STATE(6492)] = 421994,
  [SMALL_STATE(6493)] = 422067,
  [SMALL_STATE(6494)] = 422140,
  [SMALL_STATE(6495)] = 422217,
  [SMALL_STATE(6496)] = 422278,
  [SMALL_STATE(6497)] = 422351,
  [SMALL_STATE(6498)] = 422424,
  [SMALL_STATE(6499)] = 422497,
  [SMALL_STATE(6500)] = 422570,
  [SMALL_STATE(6501)] = 422643,
  [SMALL_STATE(6502)] = 422716,
  [SMALL_STATE(6503)] = 422789,
  [SMALL_STATE(6504)] = 422862,
  [SMALL_STATE(6505)] = 422933,
  [SMALL_STATE(6506)] = 423004,
  [SMALL_STATE(6507)] = 423075,
  [SMALL_STATE(6508)] = 423146,
  [SMALL_STATE(6509)] = 423217,
  [SMALL_STATE(6510)] = 423288,
  [SMALL_STATE(6511)] = 423359,
  [SMALL_STATE(6512)] = 423432,
  [SMALL_STATE(6513)] = 423505,
  [SMALL_STATE(6514)] = 423582,
  [SMALL_STATE(6515)] = 423655,
  [SMALL_STATE(6516)] = 423728,
  [SMALL_STATE(6517)] = 423769,
  [SMALL_STATE(6518)] = 423842,
  [SMALL_STATE(6519)] = 423915,
  [SMALL_STATE(6520)] = 423988,
  [SMALL_STATE(6521)] = 424061,
  [SMALL_STATE(6522)] = 424138,
  [SMALL_STATE(6523)] = 424215,
  [SMALL_STATE(6524)] = 424292,
  [SMALL_STATE(6525)] = 424353,
  [SMALL_STATE(6526)] = 424414,
  [SMALL_STATE(6527)] = 424487,
  [SMALL_STATE(6528)] = 424560,
  [SMALL_STATE(6529)] = 424633,
  [SMALL_STATE(6530)] = 424697,
  [SMALL_STATE(6531)] = 424761,
  [SMALL_STATE(6532)] = 424825,
  [SMALL_STATE(6533)] = 424863,
  [SMALL_STATE(6534)] = 424923,
  [SMALL_STATE(6535)] = 424987,
  [SMALL_STATE(6536)] = 425051,
  [SMALL_STATE(6537)] = 425115,
  [SMALL_STATE(6538)] = 425179,
  [SMALL_STATE(6539)] = 425243,
  [SMALL_STATE(6540)] = 425307,
  [SMALL_STATE(6541)] = 425371,
  [SMALL_STATE(6542)] = 425435,
  [SMALL_STATE(6543)] = 425471,
  [SMALL_STATE(6544)] = 425535,
  [SMALL_STATE(6545)] = 425573,
  [SMALL_STATE(6546)] = 425637,
  [SMALL_STATE(6547)] = 425701,
  [SMALL_STATE(6548)] = 425765,
  [SMALL_STATE(6549)] = 425829,
  [SMALL_STATE(6550)] = 425893,
  [SMALL_STATE(6551)] = 425939,
  [SMALL_STATE(6552)] = 425999,
  [SMALL_STATE(6553)] = 426063,
  [SMALL_STATE(6554)] = 426127,
  [SMALL_STATE(6555)] = 426191,
  [SMALL_STATE(6556)] = 426255,
  [SMALL_STATE(6557)] = 426319,
  [SMALL_STATE(6558)] = 426389,
  [SMALL_STATE(6559)] = 426459,
  [SMALL_STATE(6560)] = 426529,
  [SMALL_STATE(6561)] = 426599,
  [SMALL_STATE(6562)] = 426669,
  [SMALL_STATE(6563)] = 426739,
  [SMALL_STATE(6564)] = 426809,
  [SMALL_STATE(6565)] = 426847,
  [SMALL_STATE(6566)] = 426907,
  [SMALL_STATE(6567)] = 426943,
  [SMALL_STATE(6568)] = 426979,
  [SMALL_STATE(6569)] = 427043,
  [SMALL_STATE(6570)] = 427107,
  [SMALL_STATE(6571)] = 427147,
  [SMALL_STATE(6572)] = 427185,
  [SMALL_STATE(6573)] = 427249,
  [SMALL_STATE(6574)] = 427284,
  [SMALL_STATE(6575)] = 427323,
  [SMALL_STATE(6576)] = 427386,
  [SMALL_STATE(6577)] = 427449,
  [SMALL_STATE(6578)] = 427512,
  [SMALL_STATE(6579)] = 427575,
  [SMALL_STATE(6580)] = 427638,
  [SMALL_STATE(6581)] = 427701,
  [SMALL_STATE(6582)] = 427764,
  [SMALL_STATE(6583)] = 427827,
  [SMALL_STATE(6584)] = 427890,
  [SMALL_STATE(6585)] = 427953,
  [SMALL_STATE(6586)] = 428018,
  [SMALL_STATE(6587)] = 428057,
  [SMALL_STATE(6588)] = 428096,
  [SMALL_STATE(6589)] = 428135,
  [SMALL_STATE(6590)] = 428174,
  [SMALL_STATE(6591)] = 428213,
  [SMALL_STATE(6592)] = 428252,
  [SMALL_STATE(6593)] = 428297,
  [SMALL_STATE(6594)] = 428336,
  [SMALL_STATE(6595)] = 428375,
  [SMALL_STATE(6596)] = 428414,
  [SMALL_STATE(6597)] = 428453,
  [SMALL_STATE(6598)] = 428516,
  [SMALL_STATE(6599)] = 428579,
  [SMALL_STATE(6600)] = 428642,
  [SMALL_STATE(6601)] = 428705,
  [SMALL_STATE(6602)] = 428768,
  [SMALL_STATE(6603)] = 428809,
  [SMALL_STATE(6604)] = 428872,
  [SMALL_STATE(6605)] = 428911,
  [SMALL_STATE(6606)] = 428974,
  [SMALL_STATE(6607)] = 429037,
  [SMALL_STATE(6608)] = 429100,
  [SMALL_STATE(6609)] = 429163,
  [SMALL_STATE(6610)] = 429226,
  [SMALL_STATE(6611)] = 429289,
  [SMALL_STATE(6612)] = 429352,
  [SMALL_STATE(6613)] = 429391,
  [SMALL_STATE(6614)] = 429426,
  [SMALL_STATE(6615)] = 429465,
  [SMALL_STATE(6616)] = 429528,
  [SMALL_STATE(6617)] = 429563,
  [SMALL_STATE(6618)] = 429602,
  [SMALL_STATE(6619)] = 429641,
  [SMALL_STATE(6620)] = 429680,
  [SMALL_STATE(6621)] = 429719,
  [SMALL_STATE(6622)] = 429758,
  [SMALL_STATE(6623)] = 429797,
  [SMALL_STATE(6624)] = 429836,
  [SMALL_STATE(6625)] = 429877,
  [SMALL_STATE(6626)] = 429940,
  [SMALL_STATE(6627)] = 429981,
  [SMALL_STATE(6628)] = 430020,
  [SMALL_STATE(6629)] = 430066,
  [SMALL_STATE(6630)] = 430110,
  [SMALL_STATE(6631)] = 430150,
  [SMALL_STATE(6632)] = 430218,
  [SMALL_STATE(6633)] = 430266,
  [SMALL_STATE(6634)] = 430306,
  [SMALL_STATE(6635)] = 430346,
  [SMALL_STATE(6636)] = 430392,
  [SMALL_STATE(6637)] = 430430,
  [SMALL_STATE(6638)] = 430470,
  [SMALL_STATE(6639)] = 430538,
  [SMALL_STATE(6640)] = 430606,
  [SMALL_STATE(6641)] = 430674,
  [SMALL_STATE(6642)] = 430742,
  [SMALL_STATE(6643)] = 430810,
  [SMALL_STATE(6644)] = 430878,
  [SMALL_STATE(6645)] = 430918,
  [SMALL_STATE(6646)] = 430985,
  [SMALL_STATE(6647)] = 431018,
  [SMALL_STATE(6648)] = 431051,
  [SMALL_STATE(6649)] = 431086,
  [SMALL_STATE(6650)] = 431133,
  [SMALL_STATE(6651)] = 431178,
  [SMALL_STATE(6652)] = 431223,
  [SMALL_STATE(6653)] = 431256,
  [SMALL_STATE(6654)] = 431289,
  [SMALL_STATE(6655)] = 431356,
  [SMALL_STATE(6656)] = 431391,
  [SMALL_STATE(6657)] = 431458,
  [SMALL_STATE(6658)] = 431491,
  [SMALL_STATE(6659)] = 431558,
  [SMALL_STATE(6660)] = 431625,
  [SMALL_STATE(6661)] = 431660,
  [SMALL_STATE(6662)] = 431695,
  [SMALL_STATE(6663)] = 431732,
  [SMALL_STATE(6664)] = 431767,
  [SMALL_STATE(6665)] = 431802,
  [SMALL_STATE(6666)] = 431839,
  [SMALL_STATE(6667)] = 431872,
  [SMALL_STATE(6668)] = 431909,
  [SMALL_STATE(6669)] = 431976,
  [SMALL_STATE(6670)] = 432011,
  [SMALL_STATE(6671)] = 432044,
  [SMALL_STATE(6672)] = 432079,
  [SMALL_STATE(6673)] = 432114,
  [SMALL_STATE(6674)] = 432181,
  [SMALL_STATE(6675)] = 432218,
  [SMALL_STATE(6676)] = 432250,
  [SMALL_STATE(6677)] = 432320,
  [SMALL_STATE(6678)] = 432390,
  [SMALL_STATE(6679)] = 432460,
  [SMALL_STATE(6680)] = 432530,
  [SMALL_STATE(6681)] = 432600,
  [SMALL_STATE(6682)] = 432670,
  [SMALL_STATE(6683)] = 432702,
  [SMALL_STATE(6684)] = 432734,
  [SMALL_STATE(6685)] = 432766,
  [SMALL_STATE(6686)] = 432836,
  [SMALL_STATE(6687)] = 432868,
  [SMALL_STATE(6688)] = 432904,
  [SMALL_STATE(6689)] = 432936,
  [SMALL_STATE(6690)] = 432976,
  [SMALL_STATE(6691)] = 433008,
  [SMALL_STATE(6692)] = 433084,
  [SMALL_STATE(6693)] = 433116,
  [SMALL_STATE(6694)] = 433148,
  [SMALL_STATE(6695)] = 433218,
  [SMALL_STATE(6696)] = 433264,
  [SMALL_STATE(6697)] = 433296,
  [SMALL_STATE(6698)] = 433372,
  [SMALL_STATE(6699)] = 433442,
  [SMALL_STATE(6700)] = 433512,
  [SMALL_STATE(6701)] = 433588,
  [SMALL_STATE(6702)] = 433622,
  [SMALL_STATE(6703)] = 433692,
  [SMALL_STATE(6704)] = 433753,
  [SMALL_STATE(6705)] = 433790,
  [SMALL_STATE(6706)] = 433827,
  [SMALL_STATE(6707)] = 433864,
  [SMALL_STATE(6708)] = 433925,
  [SMALL_STATE(6709)] = 433986,
  [SMALL_STATE(6710)] = 434021,
  [SMALL_STATE(6711)] = 434058,
  [SMALL_STATE(6712)] = 434095,
  [SMALL_STATE(6713)] = 434132,
  [SMALL_STATE(6714)] = 434169,
  [SMALL_STATE(6715)] = 434202,
  [SMALL_STATE(6716)] = 434237,
  [SMALL_STATE(6717)] = 434276,
  [SMALL_STATE(6718)] = 434321,
  [SMALL_STATE(6719)] = 434382,
  [SMALL_STATE(6720)] = 434419,
  [SMALL_STATE(6721)] = 434456,
  [SMALL_STATE(6722)] = 434492,
  [SMALL_STATE(6723)] = 434528,
  [SMALL_STATE(6724)] = 434562,
  [SMALL_STATE(6725)] = 434622,
  [SMALL_STATE(6726)] = 434652,
  [SMALL_STATE(6727)] = 434682,
  [SMALL_STATE(6728)] = 434714,
  [SMALL_STATE(6729)] = 434746,
  [SMALL_STATE(6730)] = 434778,
  [SMALL_STATE(6731)] = 434850,
  [SMALL_STATE(6732)] = 434886,
  [SMALL_STATE(6733)] = 434918,
  [SMALL_STATE(6734)] = 434950,
  [SMALL_STATE(6735)] = 434980,
  [SMALL_STATE(6736)] = 435016,
  [SMALL_STATE(6737)] = 435052,
  [SMALL_STATE(6738)] = 435088,
  [SMALL_STATE(6739)] = 435122,
  [SMALL_STATE(6740)] = 435182,
  [SMALL_STATE(6741)] = 435218,
  [SMALL_STATE(6742)] = 435254,
  [SMALL_STATE(6743)] = 435314,
  [SMALL_STATE(6744)] = 435348,
  [SMALL_STATE(6745)] = 435408,
  [SMALL_STATE(6746)] = 435438,
  [SMALL_STATE(6747)] = 435474,
  [SMALL_STATE(6748)] = 435510,
  [SMALL_STATE(6749)] = 435542,
  [SMALL_STATE(6750)] = 435572,
  [SMALL_STATE(6751)] = 435604,
  [SMALL_STATE(6752)] = 435635,
  [SMALL_STATE(6753)] = 435664,
  [SMALL_STATE(6754)] = 435695,
  [SMALL_STATE(6755)] = 435726,
  [SMALL_STATE(6756)] = 435757,
  [SMALL_STATE(6757)] = 435786,
  [SMALL_STATE(6758)] = 435817,
  [SMALL_STATE(6759)] = 435846,
  [SMALL_STATE(6760)] = 435905,
  [SMALL_STATE(6761)] = 435936,
  [SMALL_STATE(6762)] = 435995,
  [SMALL_STATE(6763)] = 436054,
  [SMALL_STATE(6764)] = 436085,
  [SMALL_STATE(6765)] = 436116,
  [SMALL_STATE(6766)] = 436147,
  [SMALL_STATE(6767)] = 436178,
  [SMALL_STATE(6768)] = 436221,
  [SMALL_STATE(6769)] = 436280,
  [SMALL_STATE(6770)] = 436311,
  [SMALL_STATE(6771)] = 436342,
  [SMALL_STATE(6772)] = 436373,
  [SMALL_STATE(6773)] = 436402,
  [SMALL_STATE(6774)] = 436433,
  [SMALL_STATE(6775)] = 436464,
  [SMALL_STATE(6776)] = 436493,
  [SMALL_STATE(6777)] = 436524,
  [SMALL_STATE(6778)] = 436555,
  [SMALL_STATE(6779)] = 436586,
  [SMALL_STATE(6780)] = 436645,
  [SMALL_STATE(6781)] = 436676,
  [SMALL_STATE(6782)] = 436707,
  [SMALL_STATE(6783)] = 436738,
  [SMALL_STATE(6784)] = 436769,
  [SMALL_STATE(6785)] = 436800,
  [SMALL_STATE(6786)] = 436831,
  [SMALL_STATE(6787)] = 436862,
  [SMALL_STATE(6788)] = 436891,
  [SMALL_STATE(6789)] = 436922,
  [SMALL_STATE(6790)] = 436953,
  [SMALL_STATE(6791)] = 436984,
  [SMALL_STATE(6792)] = 437015,
  [SMALL_STATE(6793)] = 437046,
  [SMALL_STATE(6794)] = 437077,
  [SMALL_STATE(6795)] = 437108,
  [SMALL_STATE(6796)] = 437139,
  [SMALL_STATE(6797)] = 437168,
  [SMALL_STATE(6798)] = 437199,
  [SMALL_STATE(6799)] = 437228,
  [SMALL_STATE(6800)] = 437259,
  [SMALL_STATE(6801)] = 437288,
  [SMALL_STATE(6802)] = 437319,
  [SMALL_STATE(6803)] = 437350,
  [SMALL_STATE(6804)] = 437381,
  [SMALL_STATE(6805)] = 437412,
  [SMALL_STATE(6806)] = 437443,
  [SMALL_STATE(6807)] = 437502,
  [SMALL_STATE(6808)] = 437533,
  [SMALL_STATE(6809)] = 437564,
  [SMALL_STATE(6810)] = 437593,
  [SMALL_STATE(6811)] = 437652,
  [SMALL_STATE(6812)] = 437711,
  [SMALL_STATE(6813)] = 437742,
  [SMALL_STATE(6814)] = 437773,
  [SMALL_STATE(6815)] = 437804,
  [SMALL_STATE(6816)] = 437835,
  [SMALL_STATE(6817)] = 437870,
  [SMALL_STATE(6818)] = 437901,
  [SMALL_STATE(6819)] = 437960,
  [SMALL_STATE(6820)] = 438019,
  [SMALL_STATE(6821)] = 438078,
  [SMALL_STATE(6822)] = 438107,
  [SMALL_STATE(6823)] = 438138,
  [SMALL_STATE(6824)] = 438169,
  [SMALL_STATE(6825)] = 438200,
  [SMALL_STATE(6826)] = 438231,
  [SMALL_STATE(6827)] = 438264,
  [SMALL_STATE(6828)] = 438295,
  [SMALL_STATE(6829)] = 438326,
  [SMALL_STATE(6830)] = 438385,
  [SMALL_STATE(6831)] = 438416,
  [SMALL_STATE(6832)] = 438447,
  [SMALL_STATE(6833)] = 438478,
  [SMALL_STATE(6834)] = 438507,
  [SMALL_STATE(6835)] = 438540,
  [SMALL_STATE(6836)] = 438571,
  [SMALL_STATE(6837)] = 438602,
  [SMALL_STATE(6838)] = 438631,
  [SMALL_STATE(6839)] = 438662,
  [SMALL_STATE(6840)] = 438693,
  [SMALL_STATE(6841)] = 438752,
  [SMALL_STATE(6842)] = 438808,
  [SMALL_STATE(6843)] = 438864,
  [SMALL_STATE(6844)] = 438920,
  [SMALL_STATE(6845)] = 438950,
  [SMALL_STATE(6846)] = 438980,
  [SMALL_STATE(6847)] = 439010,
  [SMALL_STATE(6848)] = 439068,
  [SMALL_STATE(6849)] = 439098,
  [SMALL_STATE(6850)] = 439154,
  [SMALL_STATE(6851)] = 439210,
  [SMALL_STATE(6852)] = 439266,
  [SMALL_STATE(6853)] = 439322,
  [SMALL_STATE(6854)] = 439378,
  [SMALL_STATE(6855)] = 439408,
  [SMALL_STATE(6856)] = 439464,
  [SMALL_STATE(6857)] = 439520,
  [SMALL_STATE(6858)] = 439576,
  [SMALL_STATE(6859)] = 439606,
  [SMALL_STATE(6860)] = 439662,
  [SMALL_STATE(6861)] = 439692,
  [SMALL_STATE(6862)] = 439748,
  [SMALL_STATE(6863)] = 439778,
  [SMALL_STATE(6864)] = 439834,
  [SMALL_STATE(6865)] = 439864,
  [SMALL_STATE(6866)] = 439920,
  [SMALL_STATE(6867)] = 439950,
  [SMALL_STATE(6868)] = 439980,
  [SMALL_STATE(6869)] = 440010,
  [SMALL_STATE(6870)] = 440040,
  [SMALL_STATE(6871)] = 440070,
  [SMALL_STATE(6872)] = 440100,
  [SMALL_STATE(6873)] = 440130,
  [SMALL_STATE(6874)] = 440186,
  [SMALL_STATE(6875)] = 440216,
  [SMALL_STATE(6876)] = 440246,
  [SMALL_STATE(6877)] = 440276,
  [SMALL_STATE(6878)] = 440306,
  [SMALL_STATE(6879)] = 440362,
  [SMALL_STATE(6880)] = 440418,
  [SMALL_STATE(6881)] = 440474,
  [SMALL_STATE(6882)] = 440530,
  [SMALL_STATE(6883)] = 440586,
  [SMALL_STATE(6884)] = 440642,
  [SMALL_STATE(6885)] = 440698,
  [SMALL_STATE(6886)] = 440728,
  [SMALL_STATE(6887)] = 440784,
  [SMALL_STATE(6888)] = 440842,
  [SMALL_STATE(6889)] = 440872,
  [SMALL_STATE(6890)] = 440904,
  [SMALL_STATE(6891)] = 440934,
  [SMALL_STATE(6892)] = 440964,
  [SMALL_STATE(6893)] = 440994,
  [SMALL_STATE(6894)] = 441050,
  [SMALL_STATE(6895)] = 441106,
  [SMALL_STATE(6896)] = 441136,
  [SMALL_STATE(6897)] = 441192,
  [SMALL_STATE(6898)] = 441248,
  [SMALL_STATE(6899)] = 441278,
  [SMALL_STATE(6900)] = 441334,
  [SMALL_STATE(6901)] = 441364,
  [SMALL_STATE(6902)] = 441394,
  [SMALL_STATE(6903)] = 441450,
  [SMALL_STATE(6904)] = 441480,
  [SMALL_STATE(6905)] = 441510,
  [SMALL_STATE(6906)] = 441540,
  [SMALL_STATE(6907)] = 441570,
  [SMALL_STATE(6908)] = 441600,
  [SMALL_STATE(6909)] = 441630,
  [SMALL_STATE(6910)] = 441686,
  [SMALL_STATE(6911)] = 441742,
  [SMALL_STATE(6912)] = 441784,
  [SMALL_STATE(6913)] = 441840,
  [SMALL_STATE(6914)] = 441898,
  [SMALL_STATE(6915)] = 441928,
  [SMALL_STATE(6916)] = 441958,
  [SMALL_STATE(6917)] = 441988,
  [SMALL_STATE(6918)] = 442044,
  [SMALL_STATE(6919)] = 442100,
  [SMALL_STATE(6920)] = 442156,
  [SMALL_STATE(6921)] = 442212,
  [SMALL_STATE(6922)] = 442268,
  [SMALL_STATE(6923)] = 442324,
  [SMALL_STATE(6924)] = 442380,
  [SMALL_STATE(6925)] = 442436,
  [SMALL_STATE(6926)] = 442492,
  [SMALL_STATE(6927)] = 442548,
  [SMALL_STATE(6928)] = 442604,
  [SMALL_STATE(6929)] = 442634,
  [SMALL_STATE(6930)] = 442690,
  [SMALL_STATE(6931)] = 442746,
  [SMALL_STATE(6932)] = 442776,
  [SMALL_STATE(6933)] = 442832,
  [SMALL_STATE(6934)] = 442888,
  [SMALL_STATE(6935)] = 442918,
  [SMALL_STATE(6936)] = 442948,
  [SMALL_STATE(6937)] = 443004,
  [SMALL_STATE(6938)] = 443060,
  [SMALL_STATE(6939)] = 443090,
  [SMALL_STATE(6940)] = 443119,
  [SMALL_STATE(6941)] = 443148,
  [SMALL_STATE(6942)] = 443201,
  [SMALL_STATE(6943)] = 443227,
  [SMALL_STATE(6944)] = 443289,
  [SMALL_STATE(6945)] = 443351,
  [SMALL_STATE(6946)] = 443385,
  [SMALL_STATE(6947)] = 443435,
  [SMALL_STATE(6948)] = 443497,
  [SMALL_STATE(6949)] = 443547,
  [SMALL_STATE(6950)] = 443581,
  [SMALL_STATE(6951)] = 443615,
  [SMALL_STATE(6952)] = 443667,
  [SMALL_STATE(6953)] = 443729,
  [SMALL_STATE(6954)] = 443755,
  [SMALL_STATE(6955)] = 443817,
  [SMALL_STATE(6956)] = 443879,
  [SMALL_STATE(6957)] = 443941,
  [SMALL_STATE(6958)] = 443991,
  [SMALL_STATE(6959)] = 444017,
  [SMALL_STATE(6960)] = 444043,
  [SMALL_STATE(6961)] = 444069,
  [SMALL_STATE(6962)] = 444119,
  [SMALL_STATE(6963)] = 444145,
  [SMALL_STATE(6964)] = 444171,
  [SMALL_STATE(6965)] = 444233,
  [SMALL_STATE(6966)] = 444295,
  [SMALL_STATE(6967)] = 444357,
  [SMALL_STATE(6968)] = 444413,
  [SMALL_STATE(6969)] = 444439,
  [SMALL_STATE(6970)] = 444501,
  [SMALL_STATE(6971)] = 444563,
  [SMALL_STATE(6972)] = 444601,
  [SMALL_STATE(6973)] = 444626,
  [SMALL_STATE(6974)] = 444681,
  [SMALL_STATE(6975)] = 444730,
  [SMALL_STATE(6976)] = 444771,
  [SMALL_STATE(6977)] = 444796,
  [SMALL_STATE(6978)] = 444821,
  [SMALL_STATE(6979)] = 444846,
  [SMALL_STATE(6980)] = 444871,
  [SMALL_STATE(6981)] = 444898,
  [SMALL_STATE(6982)] = 444923,
  [SMALL_STATE(6983)] = 444948,
  [SMALL_STATE(6984)] = 444973,
  [SMALL_STATE(6985)] = 444998,
  [SMALL_STATE(6986)] = 445029,
  [SMALL_STATE(6987)] = 445060,
  [SMALL_STATE(6988)] = 445085,
  [SMALL_STATE(6989)] = 445110,
  [SMALL_STATE(6990)] = 445145,
  [SMALL_STATE(6991)] = 445194,
  [SMALL_STATE(6992)] = 445229,
  [SMALL_STATE(6993)] = 445270,
  [SMALL_STATE(6994)] = 445307,
  [SMALL_STATE(6995)] = 445348,
  [SMALL_STATE(6996)] = 445373,
  [SMALL_STATE(6997)] = 445400,
  [SMALL_STATE(6998)] = 445425,
  [SMALL_STATE(6999)] = 445474,
  [SMALL_STATE(7000)] = 445499,
  [SMALL_STATE(7001)] = 445524,
  [SMALL_STATE(7002)] = 445549,
  [SMALL_STATE(7003)] = 445574,
  [SMALL_STATE(7004)] = 445599,
  [SMALL_STATE(7005)] = 445624,
  [SMALL_STATE(7006)] = 445649,
  [SMALL_STATE(7007)] = 445680,
  [SMALL_STATE(7008)] = 445711,
  [SMALL_STATE(7009)] = 445742,
  [SMALL_STATE(7010)] = 445773,
  [SMALL_STATE(7011)] = 445804,
  [SMALL_STATE(7012)] = 445835,
  [SMALL_STATE(7013)] = 445866,
  [SMALL_STATE(7014)] = 445915,
  [SMALL_STATE(7015)] = 445974,
  [SMALL_STATE(7016)] = 446015,
  [SMALL_STATE(7017)] = 446040,
  [SMALL_STATE(7018)] = 446065,
  [SMALL_STATE(7019)] = 446090,
  [SMALL_STATE(7020)] = 446115,
  [SMALL_STATE(7021)] = 446174,
  [SMALL_STATE(7022)] = 446215,
  [SMALL_STATE(7023)] = 446240,
  [SMALL_STATE(7024)] = 446271,
  [SMALL_STATE(7025)] = 446330,
  [SMALL_STATE(7026)] = 446355,
  [SMALL_STATE(7027)] = 446380,
  [SMALL_STATE(7028)] = 446405,
  [SMALL_STATE(7029)] = 446433,
  [SMALL_STATE(7030)] = 446473,
  [SMALL_STATE(7031)] = 446497,
  [SMALL_STATE(7032)] = 446525,
  [SMALL_STATE(7033)] = 446553,
  [SMALL_STATE(7034)] = 446581,
  [SMALL_STATE(7035)] = 446607,
  [SMALL_STATE(7036)] = 446633,
  [SMALL_STATE(7037)] = 446665,
  [SMALL_STATE(7038)] = 446705,
  [SMALL_STATE(7039)] = 446735,
  [SMALL_STATE(7040)] = 446761,
  [SMALL_STATE(7041)] = 446801,
  [SMALL_STATE(7042)] = 446829,
  [SMALL_STATE(7043)] = 446869,
  [SMALL_STATE(7044)] = 446897,
  [SMALL_STATE(7045)] = 446937,
  [SMALL_STATE(7046)] = 446965,
  [SMALL_STATE(7047)] = 446989,
  [SMALL_STATE(7048)] = 447017,
  [SMALL_STATE(7049)] = 447045,
  [SMALL_STATE(7050)] = 447073,
  [SMALL_STATE(7051)] = 447113,
  [SMALL_STATE(7052)] = 447137,
  [SMALL_STATE(7053)] = 447167,
  [SMALL_STATE(7054)] = 447195,
  [SMALL_STATE(7055)] = 447223,
  [SMALL_STATE(7056)] = 447251,
  [SMALL_STATE(7057)] = 447277,
  [SMALL_STATE(7058)] = 447303,
  [SMALL_STATE(7059)] = 447331,
  [SMALL_STATE(7060)] = 447361,
  [SMALL_STATE(7061)] = 447401,
  [SMALL_STATE(7062)] = 447429,
  [SMALL_STATE(7063)] = 447459,
  [SMALL_STATE(7064)] = 447487,
  [SMALL_STATE(7065)] = 447517,
  [SMALL_STATE(7066)] = 447542,
  [SMALL_STATE(7067)] = 447567,
  [SMALL_STATE(7068)] = 447620,
  [SMALL_STATE(7069)] = 447673,
  [SMALL_STATE(7070)] = 447698,
  [SMALL_STATE(7071)] = 447725,
  [SMALL_STATE(7072)] = 447750,
  [SMALL_STATE(7073)] = 447775,
  [SMALL_STATE(7074)] = 447800,
  [SMALL_STATE(7075)] = 447823,
  [SMALL_STATE(7076)] = 447848,
  [SMALL_STATE(7077)] = 447871,
  [SMALL_STATE(7078)] = 447896,
  [SMALL_STATE(7079)] = 447921,
  [SMALL_STATE(7080)] = 447946,
  [SMALL_STATE(7081)] = 447981,
  [SMALL_STATE(7082)] = 448006,
  [SMALL_STATE(7083)] = 448035,
  [SMALL_STATE(7084)] = 448070,
  [SMALL_STATE(7085)] = 448099,
  [SMALL_STATE(7086)] = 448128,
  [SMALL_STATE(7087)] = 448153,
  [SMALL_STATE(7088)] = 448178,
  [SMALL_STATE(7089)] = 448203,
  [SMALL_STATE(7090)] = 448226,
  [SMALL_STATE(7091)] = 448251,
  [SMALL_STATE(7092)] = 448304,
  [SMALL_STATE(7093)] = 448339,
  [SMALL_STATE(7094)] = 448364,
  [SMALL_STATE(7095)] = 448389,
  [SMALL_STATE(7096)] = 448442,
  [SMALL_STATE(7097)] = 448471,
  [SMALL_STATE(7098)] = 448498,
  [SMALL_STATE(7099)] = 448551,
  [SMALL_STATE(7100)] = 448586,
  [SMALL_STATE(7101)] = 448615,
  [SMALL_STATE(7102)] = 448650,
  [SMALL_STATE(7103)] = 448677,
  [SMALL_STATE(7104)] = 448700,
  [SMALL_STATE(7105)] = 448725,
  [SMALL_STATE(7106)] = 448750,
  [SMALL_STATE(7107)] = 448779,
  [SMALL_STATE(7108)] = 448832,
  [SMALL_STATE(7109)] = 448857,
  [SMALL_STATE(7110)] = 448882,
  [SMALL_STATE(7111)] = 448933,
  [SMALL_STATE(7112)] = 448986,
  [SMALL_STATE(7113)] = 449011,
  [SMALL_STATE(7114)] = 449036,
  [SMALL_STATE(7115)] = 449075,
  [SMALL_STATE(7116)] = 449100,
  [SMALL_STATE(7117)] = 449125,
  [SMALL_STATE(7118)] = 449164,
  [SMALL_STATE(7119)] = 449189,
  [SMALL_STATE(7120)] = 449228,
  [SMALL_STATE(7121)] = 449253,
  [SMALL_STATE(7122)] = 449292,
  [SMALL_STATE(7123)] = 449331,
  [SMALL_STATE(7124)] = 449382,
  [SMALL_STATE(7125)] = 449407,
  [SMALL_STATE(7126)] = 449432,
  [SMALL_STATE(7127)] = 449485,
  [SMALL_STATE(7128)] = 449538,
  [SMALL_STATE(7129)] = 449563,
  [SMALL_STATE(7130)] = 449588,
  [SMALL_STATE(7131)] = 449619,
  [SMALL_STATE(7132)] = 449670,
  [SMALL_STATE(7133)] = 449723,
  [SMALL_STATE(7134)] = 449750,
  [SMALL_STATE(7135)] = 449777,
  [SMALL_STATE(7136)] = 449830,
  [SMALL_STATE(7137)] = 449857,
  [SMALL_STATE(7138)] = 449882,
  [SMALL_STATE(7139)] = 449917,
  [SMALL_STATE(7140)] = 449942,
  [SMALL_STATE(7141)] = 449967,
  [SMALL_STATE(7142)] = 449992,
  [SMALL_STATE(7143)] = 450017,
  [SMALL_STATE(7144)] = 450042,
  [SMALL_STATE(7145)] = 450071,
  [SMALL_STATE(7146)] = 450124,
  [SMALL_STATE(7147)] = 450175,
  [SMALL_STATE(7148)] = 450198,
  [SMALL_STATE(7149)] = 450220,
  [SMALL_STATE(7150)] = 450242,
  [SMALL_STATE(7151)] = 450276,
  [SMALL_STATE(7152)] = 450298,
  [SMALL_STATE(7153)] = 450324,
  [SMALL_STATE(7154)] = 450358,
  [SMALL_STATE(7155)] = 450380,
  [SMALL_STATE(7156)] = 450404,
  [SMALL_STATE(7157)] = 450428,
  [SMALL_STATE(7158)] = 450452,
  [SMALL_STATE(7159)] = 450478,
  [SMALL_STATE(7160)] = 450502,
  [SMALL_STATE(7161)] = 450526,
  [SMALL_STATE(7162)] = 450548,
  [SMALL_STATE(7163)] = 450570,
  [SMALL_STATE(7164)] = 450592,
  [SMALL_STATE(7165)] = 450642,
  [SMALL_STATE(7166)] = 450668,
  [SMALL_STATE(7167)] = 450694,
  [SMALL_STATE(7168)] = 450716,
  [SMALL_STATE(7169)] = 450740,
  [SMALL_STATE(7170)] = 450764,
  [SMALL_STATE(7171)] = 450786,
  [SMALL_STATE(7172)] = 450808,
  [SMALL_STATE(7173)] = 450830,
  [SMALL_STATE(7174)] = 450852,
  [SMALL_STATE(7175)] = 450902,
  [SMALL_STATE(7176)] = 450924,
  [SMALL_STATE(7177)] = 450946,
  [SMALL_STATE(7178)] = 450968,
  [SMALL_STATE(7179)] = 450990,
  [SMALL_STATE(7180)] = 451012,
  [SMALL_STATE(7181)] = 451046,
  [SMALL_STATE(7182)] = 451072,
  [SMALL_STATE(7183)] = 451094,
  [SMALL_STATE(7184)] = 451116,
  [SMALL_STATE(7185)] = 451138,
  [SMALL_STATE(7186)] = 451160,
  [SMALL_STATE(7187)] = 451182,
  [SMALL_STATE(7188)] = 451204,
  [SMALL_STATE(7189)] = 451226,
  [SMALL_STATE(7190)] = 451248,
  [SMALL_STATE(7191)] = 451270,
  [SMALL_STATE(7192)] = 451320,
  [SMALL_STATE(7193)] = 451370,
  [SMALL_STATE(7194)] = 451420,
  [SMALL_STATE(7195)] = 451442,
  [SMALL_STATE(7196)] = 451492,
  [SMALL_STATE(7197)] = 451514,
  [SMALL_STATE(7198)] = 451536,
  [SMALL_STATE(7199)] = 451586,
  [SMALL_STATE(7200)] = 451608,
  [SMALL_STATE(7201)] = 451630,
  [SMALL_STATE(7202)] = 451660,
  [SMALL_STATE(7203)] = 451710,
  [SMALL_STATE(7204)] = 451744,
  [SMALL_STATE(7205)] = 451794,
  [SMALL_STATE(7206)] = 451816,
  [SMALL_STATE(7207)] = 451838,
  [SMALL_STATE(7208)] = 451860,
  [SMALL_STATE(7209)] = 451882,
  [SMALL_STATE(7210)] = 451904,
  [SMALL_STATE(7211)] = 451926,
  [SMALL_STATE(7212)] = 451976,
  [SMALL_STATE(7213)] = 451998,
  [SMALL_STATE(7214)] = 452020,
  [SMALL_STATE(7215)] = 452042,
  [SMALL_STATE(7216)] = 452064,
  [SMALL_STATE(7217)] = 452086,
  [SMALL_STATE(7218)] = 452108,
  [SMALL_STATE(7219)] = 452130,
  [SMALL_STATE(7220)] = 452156,
  [SMALL_STATE(7221)] = 452178,
  [SMALL_STATE(7222)] = 452216,
  [SMALL_STATE(7223)] = 452254,
  [SMALL_STATE(7224)] = 452292,
  [SMALL_STATE(7225)] = 452330,
  [SMALL_STATE(7226)] = 452368,
  [SMALL_STATE(7227)] = 452390,
  [SMALL_STATE(7228)] = 452412,
  [SMALL_STATE(7229)] = 452434,
  [SMALL_STATE(7230)] = 452466,
  [SMALL_STATE(7231)] = 452488,
  [SMALL_STATE(7232)] = 452538,
  [SMALL_STATE(7233)] = 452570,
  [SMALL_STATE(7234)] = 452592,
  [SMALL_STATE(7235)] = 452614,
  [SMALL_STATE(7236)] = 452636,
  [SMALL_STATE(7237)] = 452662,
  [SMALL_STATE(7238)] = 452684,
  [SMALL_STATE(7239)] = 452734,
  [SMALL_STATE(7240)] = 452758,
  [SMALL_STATE(7241)] = 452782,
  [SMALL_STATE(7242)] = 452832,
  [SMALL_STATE(7243)] = 452854,
  [SMALL_STATE(7244)] = 452876,
  [SMALL_STATE(7245)] = 452898,
  [SMALL_STATE(7246)] = 452920,
  [SMALL_STATE(7247)] = 452954,
  [SMALL_STATE(7248)] = 453004,
  [SMALL_STATE(7249)] = 453026,
  [SMALL_STATE(7250)] = 453048,
  [SMALL_STATE(7251)] = 453070,
  [SMALL_STATE(7252)] = 453092,
  [SMALL_STATE(7253)] = 453142,
  [SMALL_STATE(7254)] = 453164,
  [SMALL_STATE(7255)] = 453186,
  [SMALL_STATE(7256)] = 453208,
  [SMALL_STATE(7257)] = 453242,
  [SMALL_STATE(7258)] = 453275,
  [SMALL_STATE(7259)] = 453308,
  [SMALL_STATE(7260)] = 453337,
  [SMALL_STATE(7261)] = 453358,
  [SMALL_STATE(7262)] = 453379,
  [SMALL_STATE(7263)] = 453400,
  [SMALL_STATE(7264)] = 453447,
  [SMALL_STATE(7265)] = 453468,
  [SMALL_STATE(7266)] = 453501,
  [SMALL_STATE(7267)] = 453542,
  [SMALL_STATE(7268)] = 453585,
  [SMALL_STATE(7269)] = 453626,
  [SMALL_STATE(7270)] = 453669,
  [SMALL_STATE(7271)] = 453698,
  [SMALL_STATE(7272)] = 453721,
  [SMALL_STATE(7273)] = 453742,
  [SMALL_STATE(7274)] = 453765,
  [SMALL_STATE(7275)] = 453790,
  [SMALL_STATE(7276)] = 453831,
  [SMALL_STATE(7277)] = 453860,
  [SMALL_STATE(7278)] = 453893,
  [SMALL_STATE(7279)] = 453916,
  [SMALL_STATE(7280)] = 453949,
  [SMALL_STATE(7281)] = 453990,
  [SMALL_STATE(7282)] = 454023,
  [SMALL_STATE(7283)] = 454066,
  [SMALL_STATE(7284)] = 454099,
  [SMALL_STATE(7285)] = 454120,
  [SMALL_STATE(7286)] = 454153,
  [SMALL_STATE(7287)] = 454186,
  [SMALL_STATE(7288)] = 454233,
  [SMALL_STATE(7289)] = 454266,
  [SMALL_STATE(7290)] = 454299,
  [SMALL_STATE(7291)] = 454332,
  [SMALL_STATE(7292)] = 454365,
  [SMALL_STATE(7293)] = 454398,
  [SMALL_STATE(7294)] = 454445,
  [SMALL_STATE(7295)] = 454474,
  [SMALL_STATE(7296)] = 454507,
  [SMALL_STATE(7297)] = 454540,
  [SMALL_STATE(7298)] = 454573,
  [SMALL_STATE(7299)] = 454606,
  [SMALL_STATE(7300)] = 454631,
  [SMALL_STATE(7301)] = 454654,
  [SMALL_STATE(7302)] = 454701,
  [SMALL_STATE(7303)] = 454742,
  [SMALL_STATE(7304)] = 454771,
  [SMALL_STATE(7305)] = 454800,
  [SMALL_STATE(7306)] = 454829,
  [SMALL_STATE(7307)] = 454850,
  [SMALL_STATE(7308)] = 454873,
  [SMALL_STATE(7309)] = 454906,
  [SMALL_STATE(7310)] = 454939,
  [SMALL_STATE(7311)] = 454960,
  [SMALL_STATE(7312)] = 454983,
  [SMALL_STATE(7313)] = 455006,
  [SMALL_STATE(7314)] = 455047,
  [SMALL_STATE(7315)] = 455080,
  [SMALL_STATE(7316)] = 455113,
  [SMALL_STATE(7317)] = 455142,
  [SMALL_STATE(7318)] = 455165,
  [SMALL_STATE(7319)] = 455188,
  [SMALL_STATE(7320)] = 455229,
  [SMALL_STATE(7321)] = 455262,
  [SMALL_STATE(7322)] = 455295,
  [SMALL_STATE(7323)] = 455316,
  [SMALL_STATE(7324)] = 455349,
  [SMALL_STATE(7325)] = 455370,
  [SMALL_STATE(7326)] = 455410,
  [SMALL_STATE(7327)] = 455446,
  [SMALL_STATE(7328)] = 455482,
  [SMALL_STATE(7329)] = 455512,
  [SMALL_STATE(7330)] = 455542,
  [SMALL_STATE(7331)] = 455578,
  [SMALL_STATE(7332)] = 455618,
  [SMALL_STATE(7333)] = 455642,
  [SMALL_STATE(7334)] = 455672,
  [SMALL_STATE(7335)] = 455702,
  [SMALL_STATE(7336)] = 455732,
  [SMALL_STATE(7337)] = 455760,
  [SMALL_STATE(7338)] = 455796,
  [SMALL_STATE(7339)] = 455832,
  [SMALL_STATE(7340)] = 455862,
  [SMALL_STATE(7341)] = 455886,
  [SMALL_STATE(7342)] = 455930,
  [SMALL_STATE(7343)] = 455974,
  [SMALL_STATE(7344)] = 456014,
  [SMALL_STATE(7345)] = 456054,
  [SMALL_STATE(7346)] = 456098,
  [SMALL_STATE(7347)] = 456142,
  [SMALL_STATE(7348)] = 456186,
  [SMALL_STATE(7349)] = 456230,
  [SMALL_STATE(7350)] = 456274,
  [SMALL_STATE(7351)] = 456294,
  [SMALL_STATE(7352)] = 456314,
  [SMALL_STATE(7353)] = 456358,
  [SMALL_STATE(7354)] = 456378,
  [SMALL_STATE(7355)] = 456402,
  [SMALL_STATE(7356)] = 456426,
  [SMALL_STATE(7357)] = 456446,
  [SMALL_STATE(7358)] = 456466,
  [SMALL_STATE(7359)] = 456488,
  [SMALL_STATE(7360)] = 456524,
  [SMALL_STATE(7361)] = 456544,
  [SMALL_STATE(7362)] = 456588,
  [SMALL_STATE(7363)] = 456610,
  [SMALL_STATE(7364)] = 456640,
  [SMALL_STATE(7365)] = 456676,
  [SMALL_STATE(7366)] = 456714,
  [SMALL_STATE(7367)] = 456754,
  [SMALL_STATE(7368)] = 456798,
  [SMALL_STATE(7369)] = 456828,
  [SMALL_STATE(7370)] = 456864,
  [SMALL_STATE(7371)] = 456894,
  [SMALL_STATE(7372)] = 456926,
  [SMALL_STATE(7373)] = 456962,
  [SMALL_STATE(7374)] = 456994,
  [SMALL_STATE(7375)] = 457034,
  [SMALL_STATE(7376)] = 457066,
  [SMALL_STATE(7377)] = 457098,
  [SMALL_STATE(7378)] = 457134,
  [SMALL_STATE(7379)] = 457166,
  [SMALL_STATE(7380)] = 457190,
  [SMALL_STATE(7381)] = 457222,
  [SMALL_STATE(7382)] = 457246,
  [SMALL_STATE(7383)] = 457284,
  [SMALL_STATE(7384)] = 457328,
  [SMALL_STATE(7385)] = 457364,
  [SMALL_STATE(7386)] = 457384,
  [SMALL_STATE(7387)] = 457404,
  [SMALL_STATE(7388)] = 457448,
  [SMALL_STATE(7389)] = 457484,
  [SMALL_STATE(7390)] = 457520,
  [SMALL_STATE(7391)] = 457564,
  [SMALL_STATE(7392)] = 457588,
  [SMALL_STATE(7393)] = 457630,
  [SMALL_STATE(7394)] = 457674,
  [SMALL_STATE(7395)] = 457710,
  [SMALL_STATE(7396)] = 457746,
  [SMALL_STATE(7397)] = 457766,
  [SMALL_STATE(7398)] = 457786,
  [SMALL_STATE(7399)] = 457816,
  [SMALL_STATE(7400)] = 457846,
  [SMALL_STATE(7401)] = 457874,
  [SMALL_STATE(7402)] = 457910,
  [SMALL_STATE(7403)] = 457952,
  [SMALL_STATE(7404)] = 457972,
  [SMALL_STATE(7405)] = 458012,
  [SMALL_STATE(7406)] = 458038,
  [SMALL_STATE(7407)] = 458058,
  [SMALL_STATE(7408)] = 458078,
  [SMALL_STATE(7409)] = 458114,
  [SMALL_STATE(7410)] = 458154,
  [SMALL_STATE(7411)] = 458174,
  [SMALL_STATE(7412)] = 458218,
  [SMALL_STATE(7413)] = 458242,
  [SMALL_STATE(7414)] = 458270,
  [SMALL_STATE(7415)] = 458300,
  [SMALL_STATE(7416)] = 458328,
  [SMALL_STATE(7417)] = 458358,
  [SMALL_STATE(7418)] = 458388,
  [SMALL_STATE(7419)] = 458432,
  [SMALL_STATE(7420)] = 458468,
  [SMALL_STATE(7421)] = 458498,
  [SMALL_STATE(7422)] = 458542,
  [SMALL_STATE(7423)] = 458578,
  [SMALL_STATE(7424)] = 458614,
  [SMALL_STATE(7425)] = 458658,
  [SMALL_STATE(7426)] = 458678,
  [SMALL_STATE(7427)] = 458714,
  [SMALL_STATE(7428)] = 458750,
  [SMALL_STATE(7429)] = 458786,
  [SMALL_STATE(7430)] = 458806,
  [SMALL_STATE(7431)] = 458850,
  [SMALL_STATE(7432)] = 458874,
  [SMALL_STATE(7433)] = 458894,
  [SMALL_STATE(7434)] = 458930,
  [SMALL_STATE(7435)] = 458974,
  [SMALL_STATE(7436)] = 459012,
  [SMALL_STATE(7437)] = 459056,
  [SMALL_STATE(7438)] = 459080,
  [SMALL_STATE(7439)] = 459110,
  [SMALL_STATE(7440)] = 459154,
  [SMALL_STATE(7441)] = 459190,
  [SMALL_STATE(7442)] = 459210,
  [SMALL_STATE(7443)] = 459234,
  [SMALL_STATE(7444)] = 459270,
  [SMALL_STATE(7445)] = 459292,
  [SMALL_STATE(7446)] = 459336,
  [SMALL_STATE(7447)] = 459380,
  [SMALL_STATE(7448)] = 459408,
  [SMALL_STATE(7449)] = 459446,
  [SMALL_STATE(7450)] = 459482,
  [SMALL_STATE(7451)] = 459518,
  [SMALL_STATE(7452)] = 459542,
  [SMALL_STATE(7453)] = 459562,
  [SMALL_STATE(7454)] = 459598,
  [SMALL_STATE(7455)] = 459642,
  [SMALL_STATE(7456)] = 459662,
  [SMALL_STATE(7457)] = 459682,
  [SMALL_STATE(7458)] = 459710,
  [SMALL_STATE(7459)] = 459746,
  [SMALL_STATE(7460)] = 459788,
  [SMALL_STATE(7461)] = 459832,
  [SMALL_STATE(7462)] = 459852,
  [SMALL_STATE(7463)] = 459888,
  [SMALL_STATE(7464)] = 459908,
  [SMALL_STATE(7465)] = 459928,
  [SMALL_STATE(7466)] = 459948,
  [SMALL_STATE(7467)] = 459984,
  [SMALL_STATE(7468)] = 460004,
  [SMALL_STATE(7469)] = 460040,
  [SMALL_STATE(7470)] = 460076,
  [SMALL_STATE(7471)] = 460120,
  [SMALL_STATE(7472)] = 460162,
  [SMALL_STATE(7473)] = 460182,
  [SMALL_STATE(7474)] = 460218,
  [SMALL_STATE(7475)] = 460238,
  [SMALL_STATE(7476)] = 460258,
  [SMALL_STATE(7477)] = 460288,
  [SMALL_STATE(7478)] = 460312,
  [SMALL_STATE(7479)] = 460348,
  [SMALL_STATE(7480)] = 460388,
  [SMALL_STATE(7481)] = 460430,
  [SMALL_STATE(7482)] = 460460,
  [SMALL_STATE(7483)] = 460484,
  [SMALL_STATE(7484)] = 460504,
  [SMALL_STATE(7485)] = 460528,
  [SMALL_STATE(7486)] = 460548,
  [SMALL_STATE(7487)] = 460590,
  [SMALL_STATE(7488)] = 460614,
  [SMALL_STATE(7489)] = 460650,
  [SMALL_STATE(7490)] = 460670,
  [SMALL_STATE(7491)] = 460698,
  [SMALL_STATE(7492)] = 460734,
  [SMALL_STATE(7493)] = 460775,
  [SMALL_STATE(7494)] = 460816,
  [SMALL_STATE(7495)] = 460843,
  [SMALL_STATE(7496)] = 460862,
  [SMALL_STATE(7497)] = 460881,
  [SMALL_STATE(7498)] = 460900,
  [SMALL_STATE(7499)] = 460939,
  [SMALL_STATE(7500)] = 460958,
  [SMALL_STATE(7501)] = 460993,
  [SMALL_STATE(7502)] = 461020,
  [SMALL_STATE(7503)] = 461059,
  [SMALL_STATE(7504)] = 461078,
  [SMALL_STATE(7505)] = 461117,
  [SMALL_STATE(7506)] = 461144,
  [SMALL_STATE(7507)] = 461163,
  [SMALL_STATE(7508)] = 461182,
  [SMALL_STATE(7509)] = 461219,
  [SMALL_STATE(7510)] = 461254,
  [SMALL_STATE(7511)] = 461277,
  [SMALL_STATE(7512)] = 461304,
  [SMALL_STATE(7513)] = 461337,
  [SMALL_STATE(7514)] = 461356,
  [SMALL_STATE(7515)] = 461379,
  [SMALL_STATE(7516)] = 461406,
  [SMALL_STATE(7517)] = 461447,
  [SMALL_STATE(7518)] = 461470,
  [SMALL_STATE(7519)] = 461489,
  [SMALL_STATE(7520)] = 461516,
  [SMALL_STATE(7521)] = 461539,
  [SMALL_STATE(7522)] = 461576,
  [SMALL_STATE(7523)] = 461595,
  [SMALL_STATE(7524)] = 461614,
  [SMALL_STATE(7525)] = 461641,
  [SMALL_STATE(7526)] = 461660,
  [SMALL_STATE(7527)] = 461679,
  [SMALL_STATE(7528)] = 461702,
  [SMALL_STATE(7529)] = 461743,
  [SMALL_STATE(7530)] = 461762,
  [SMALL_STATE(7531)] = 461797,
  [SMALL_STATE(7532)] = 461820,
  [SMALL_STATE(7533)] = 461843,
  [SMALL_STATE(7534)] = 461866,
  [SMALL_STATE(7535)] = 461885,
  [SMALL_STATE(7536)] = 461904,
  [SMALL_STATE(7537)] = 461943,
  [SMALL_STATE(7538)] = 461966,
  [SMALL_STATE(7539)] = 461985,
  [SMALL_STATE(7540)] = 462020,
  [SMALL_STATE(7541)] = 462039,
  [SMALL_STATE(7542)] = 462062,
  [SMALL_STATE(7543)] = 462103,
  [SMALL_STATE(7544)] = 462126,
  [SMALL_STATE(7545)] = 462145,
  [SMALL_STATE(7546)] = 462180,
  [SMALL_STATE(7547)] = 462221,
  [SMALL_STATE(7548)] = 462258,
  [SMALL_STATE(7549)] = 462293,
  [SMALL_STATE(7550)] = 462328,
  [SMALL_STATE(7551)] = 462351,
  [SMALL_STATE(7552)] = 462392,
  [SMALL_STATE(7553)] = 462433,
  [SMALL_STATE(7554)] = 462474,
  [SMALL_STATE(7555)] = 462497,
  [SMALL_STATE(7556)] = 462536,
  [SMALL_STATE(7557)] = 462573,
  [SMALL_STATE(7558)] = 462608,
  [SMALL_STATE(7559)] = 462643,
  [SMALL_STATE(7560)] = 462684,
  [SMALL_STATE(7561)] = 462707,
  [SMALL_STATE(7562)] = 462748,
  [SMALL_STATE(7563)] = 462789,
  [SMALL_STATE(7564)] = 462826,
  [SMALL_STATE(7565)] = 462861,
  [SMALL_STATE(7566)] = 462884,
  [SMALL_STATE(7567)] = 462903,
  [SMALL_STATE(7568)] = 462922,
  [SMALL_STATE(7569)] = 462941,
  [SMALL_STATE(7570)] = 462982,
  [SMALL_STATE(7571)] = 463023,
  [SMALL_STATE(7572)] = 463046,
  [SMALL_STATE(7573)] = 463081,
  [SMALL_STATE(7574)] = 463116,
  [SMALL_STATE(7575)] = 463157,
  [SMALL_STATE(7576)] = 463176,
  [SMALL_STATE(7577)] = 463217,
  [SMALL_STATE(7578)] = 463258,
  [SMALL_STATE(7579)] = 463281,
  [SMALL_STATE(7580)] = 463316,
  [SMALL_STATE(7581)] = 463357,
  [SMALL_STATE(7582)] = 463392,
  [SMALL_STATE(7583)] = 463433,
  [SMALL_STATE(7584)] = 463456,
  [SMALL_STATE(7585)] = 463479,
  [SMALL_STATE(7586)] = 463502,
  [SMALL_STATE(7587)] = 463525,
  [SMALL_STATE(7588)] = 463566,
  [SMALL_STATE(7589)] = 463593,
  [SMALL_STATE(7590)] = 463616,
  [SMALL_STATE(7591)] = 463657,
  [SMALL_STATE(7592)] = 463676,
  [SMALL_STATE(7593)] = 463713,
  [SMALL_STATE(7594)] = 463748,
  [SMALL_STATE(7595)] = 463783,
  [SMALL_STATE(7596)] = 463818,
  [SMALL_STATE(7597)] = 463853,
  [SMALL_STATE(7598)] = 463876,
  [SMALL_STATE(7599)] = 463899,
  [SMALL_STATE(7600)] = 463940,
  [SMALL_STATE(7601)] = 463959,
  [SMALL_STATE(7602)] = 463982,
  [SMALL_STATE(7603)] = 464023,
  [SMALL_STATE(7604)] = 464041,
  [SMALL_STATE(7605)] = 464059,
  [SMALL_STATE(7606)] = 464097,
  [SMALL_STATE(7607)] = 464129,
  [SMALL_STATE(7608)] = 464147,
  [SMALL_STATE(7609)] = 464185,
  [SMALL_STATE(7610)] = 464203,
  [SMALL_STATE(7611)] = 464221,
  [SMALL_STATE(7612)] = 464251,
  [SMALL_STATE(7613)] = 464277,
  [SMALL_STATE(7614)] = 464303,
  [SMALL_STATE(7615)] = 464341,
  [SMALL_STATE(7616)] = 464367,
  [SMALL_STATE(7617)] = 464405,
  [SMALL_STATE(7618)] = 464423,
  [SMALL_STATE(7619)] = 464449,
  [SMALL_STATE(7620)] = 464467,
  [SMALL_STATE(7621)] = 464485,
  [SMALL_STATE(7622)] = 464511,
  [SMALL_STATE(7623)] = 464529,
  [SMALL_STATE(7624)] = 464547,
  [SMALL_STATE(7625)] = 464573,
  [SMALL_STATE(7626)] = 464597,
  [SMALL_STATE(7627)] = 464623,
  [SMALL_STATE(7628)] = 464653,
  [SMALL_STATE(7629)] = 464683,
  [SMALL_STATE(7630)] = 464721,
  [SMALL_STATE(7631)] = 464743,
  [SMALL_STATE(7632)] = 464775,
  [SMALL_STATE(7633)] = 464807,
  [SMALL_STATE(7634)] = 464837,
  [SMALL_STATE(7635)] = 464855,
  [SMALL_STATE(7636)] = 464885,
  [SMALL_STATE(7637)] = 464917,
  [SMALL_STATE(7638)] = 464955,
  [SMALL_STATE(7639)] = 464979,
  [SMALL_STATE(7640)] = 465017,
  [SMALL_STATE(7641)] = 465047,
  [SMALL_STATE(7642)] = 465065,
  [SMALL_STATE(7643)] = 465083,
  [SMALL_STATE(7644)] = 465105,
  [SMALL_STATE(7645)] = 465123,
  [SMALL_STATE(7646)] = 465157,
  [SMALL_STATE(7647)] = 465175,
  [SMALL_STATE(7648)] = 465205,
  [SMALL_STATE(7649)] = 465223,
  [SMALL_STATE(7650)] = 465261,
  [SMALL_STATE(7651)] = 465279,
  [SMALL_STATE(7652)] = 465317,
  [SMALL_STATE(7653)] = 465347,
  [SMALL_STATE(7654)] = 465365,
  [SMALL_STATE(7655)] = 465403,
  [SMALL_STATE(7656)] = 465421,
  [SMALL_STATE(7657)] = 465439,
  [SMALL_STATE(7658)] = 465461,
  [SMALL_STATE(7659)] = 465479,
  [SMALL_STATE(7660)] = 465497,
  [SMALL_STATE(7661)] = 465515,
  [SMALL_STATE(7662)] = 465533,
  [SMALL_STATE(7663)] = 465571,
  [SMALL_STATE(7664)] = 465589,
  [SMALL_STATE(7665)] = 465623,
  [SMALL_STATE(7666)] = 465661,
  [SMALL_STATE(7667)] = 465691,
  [SMALL_STATE(7668)] = 465721,
  [SMALL_STATE(7669)] = 465739,
  [SMALL_STATE(7670)] = 465763,
  [SMALL_STATE(7671)] = 465801,
  [SMALL_STATE(7672)] = 465839,
  [SMALL_STATE(7673)] = 465877,
  [SMALL_STATE(7674)] = 465915,
  [SMALL_STATE(7675)] = 465939,
  [SMALL_STATE(7676)] = 465957,
  [SMALL_STATE(7677)] = 465975,
  [SMALL_STATE(7678)] = 465993,
  [SMALL_STATE(7679)] = 466011,
  [SMALL_STATE(7680)] = 466029,
  [SMALL_STATE(7681)] = 466067,
  [SMALL_STATE(7682)] = 466105,
  [SMALL_STATE(7683)] = 466143,
  [SMALL_STATE(7684)] = 466175,
  [SMALL_STATE(7685)] = 466201,
  [SMALL_STATE(7686)] = 466233,
  [SMALL_STATE(7687)] = 466263,
  [SMALL_STATE(7688)] = 466301,
  [SMALL_STATE(7689)] = 466339,
  [SMALL_STATE(7690)] = 466377,
  [SMALL_STATE(7691)] = 466395,
  [SMALL_STATE(7692)] = 466417,
  [SMALL_STATE(7693)] = 466439,
  [SMALL_STATE(7694)] = 466469,
  [SMALL_STATE(7695)] = 466507,
  [SMALL_STATE(7696)] = 466545,
  [SMALL_STATE(7697)] = 466583,
  [SMALL_STATE(7698)] = 466621,
  [SMALL_STATE(7699)] = 466659,
  [SMALL_STATE(7700)] = 466697,
  [SMALL_STATE(7701)] = 466735,
  [SMALL_STATE(7702)] = 466765,
  [SMALL_STATE(7703)] = 466803,
  [SMALL_STATE(7704)] = 466821,
  [SMALL_STATE(7705)] = 466859,
  [SMALL_STATE(7706)] = 466897,
  [SMALL_STATE(7707)] = 466935,
  [SMALL_STATE(7708)] = 466959,
  [SMALL_STATE(7709)] = 466977,
  [SMALL_STATE(7710)] = 467001,
  [SMALL_STATE(7711)] = 467019,
  [SMALL_STATE(7712)] = 467057,
  [SMALL_STATE(7713)] = 467095,
  [SMALL_STATE(7714)] = 467117,
  [SMALL_STATE(7715)] = 467155,
  [SMALL_STATE(7716)] = 467177,
  [SMALL_STATE(7717)] = 467215,
  [SMALL_STATE(7718)] = 467245,
  [SMALL_STATE(7719)] = 467283,
  [SMALL_STATE(7720)] = 467321,
  [SMALL_STATE(7721)] = 467359,
  [SMALL_STATE(7722)] = 467397,
  [SMALL_STATE(7723)] = 467435,
  [SMALL_STATE(7724)] = 467457,
  [SMALL_STATE(7725)] = 467485,
  [SMALL_STATE(7726)] = 467507,
  [SMALL_STATE(7727)] = 467525,
  [SMALL_STATE(7728)] = 467563,
  [SMALL_STATE(7729)] = 467601,
  [SMALL_STATE(7730)] = 467639,
  [SMALL_STATE(7731)] = 467677,
  [SMALL_STATE(7732)] = 467715,
  [SMALL_STATE(7733)] = 467733,
  [SMALL_STATE(7734)] = 467751,
  [SMALL_STATE(7735)] = 467769,
  [SMALL_STATE(7736)] = 467787,
  [SMALL_STATE(7737)] = 467805,
  [SMALL_STATE(7738)] = 467833,
  [SMALL_STATE(7739)] = 467871,
  [SMALL_STATE(7740)] = 467909,
  [SMALL_STATE(7741)] = 467947,
  [SMALL_STATE(7742)] = 467977,
  [SMALL_STATE(7743)] = 468015,
  [SMALL_STATE(7744)] = 468046,
  [SMALL_STATE(7745)] = 468067,
  [SMALL_STATE(7746)] = 468102,
  [SMALL_STATE(7747)] = 468131,
  [SMALL_STATE(7748)] = 468162,
  [SMALL_STATE(7749)] = 468191,
  [SMALL_STATE(7750)] = 468222,
  [SMALL_STATE(7751)] = 468257,
  [SMALL_STATE(7752)] = 468288,
  [SMALL_STATE(7753)] = 468317,
  [SMALL_STATE(7754)] = 468352,
  [SMALL_STATE(7755)] = 468383,
  [SMALL_STATE(7756)] = 468412,
  [SMALL_STATE(7757)] = 468443,
  [SMALL_STATE(7758)] = 468474,
  [SMALL_STATE(7759)] = 468491,
  [SMALL_STATE(7760)] = 468526,
  [SMALL_STATE(7761)] = 468557,
  [SMALL_STATE(7762)] = 468586,
  [SMALL_STATE(7763)] = 468617,
  [SMALL_STATE(7764)] = 468652,
  [SMALL_STATE(7765)] = 468687,
  [SMALL_STATE(7766)] = 468722,
  [SMALL_STATE(7767)] = 468757,
  [SMALL_STATE(7768)] = 468788,
  [SMALL_STATE(7769)] = 468823,
  [SMALL_STATE(7770)] = 468840,
  [SMALL_STATE(7771)] = 468871,
  [SMALL_STATE(7772)] = 468902,
  [SMALL_STATE(7773)] = 468925,
  [SMALL_STATE(7774)] = 468960,
  [SMALL_STATE(7775)] = 468991,
  [SMALL_STATE(7776)] = 469026,
  [SMALL_STATE(7777)] = 469061,
  [SMALL_STATE(7778)] = 469084,
  [SMALL_STATE(7779)] = 469119,
  [SMALL_STATE(7780)] = 469148,
  [SMALL_STATE(7781)] = 469177,
  [SMALL_STATE(7782)] = 469212,
  [SMALL_STATE(7783)] = 469247,
  [SMALL_STATE(7784)] = 469268,
  [SMALL_STATE(7785)] = 469303,
  [SMALL_STATE(7786)] = 469320,
  [SMALL_STATE(7787)] = 469349,
  [SMALL_STATE(7788)] = 469380,
  [SMALL_STATE(7789)] = 469397,
  [SMALL_STATE(7790)] = 469432,
  [SMALL_STATE(7791)] = 469463,
  [SMALL_STATE(7792)] = 469498,
  [SMALL_STATE(7793)] = 469533,
  [SMALL_STATE(7794)] = 469564,
  [SMALL_STATE(7795)] = 469599,
  [SMALL_STATE(7796)] = 469634,
  [SMALL_STATE(7797)] = 469663,
  [SMALL_STATE(7798)] = 469694,
  [SMALL_STATE(7799)] = 469715,
  [SMALL_STATE(7800)] = 469746,
  [SMALL_STATE(7801)] = 469781,
  [SMALL_STATE(7802)] = 469816,
  [SMALL_STATE(7803)] = 469833,
  [SMALL_STATE(7804)] = 469868,
  [SMALL_STATE(7805)] = 469899,
  [SMALL_STATE(7806)] = 469922,
  [SMALL_STATE(7807)] = 469951,
  [SMALL_STATE(7808)] = 469974,
  [SMALL_STATE(7809)] = 470005,
  [SMALL_STATE(7810)] = 470022,
  [SMALL_STATE(7811)] = 470057,
  [SMALL_STATE(7812)] = 470092,
  [SMALL_STATE(7813)] = 470127,
  [SMALL_STATE(7814)] = 470162,
  [SMALL_STATE(7815)] = 470197,
  [SMALL_STATE(7816)] = 470232,
  [SMALL_STATE(7817)] = 470267,
  [SMALL_STATE(7818)] = 470286,
  [SMALL_STATE(7819)] = 470321,
  [SMALL_STATE(7820)] = 470356,
  [SMALL_STATE(7821)] = 470391,
  [SMALL_STATE(7822)] = 470426,
  [SMALL_STATE(7823)] = 470461,
  [SMALL_STATE(7824)] = 470496,
  [SMALL_STATE(7825)] = 470531,
  [SMALL_STATE(7826)] = 470566,
  [SMALL_STATE(7827)] = 470601,
  [SMALL_STATE(7828)] = 470636,
  [SMALL_STATE(7829)] = 470653,
  [SMALL_STATE(7830)] = 470682,
  [SMALL_STATE(7831)] = 470701,
  [SMALL_STATE(7832)] = 470722,
  [SMALL_STATE(7833)] = 470751,
  [SMALL_STATE(7834)] = 470786,
  [SMALL_STATE(7835)] = 470817,
  [SMALL_STATE(7836)] = 470852,
  [SMALL_STATE(7837)] = 470887,
  [SMALL_STATE(7838)] = 470922,
  [SMALL_STATE(7839)] = 470953,
  [SMALL_STATE(7840)] = 470988,
  [SMALL_STATE(7841)] = 471023,
  [SMALL_STATE(7842)] = 471054,
  [SMALL_STATE(7843)] = 471077,
  [SMALL_STATE(7844)] = 471112,
  [SMALL_STATE(7845)] = 471147,
  [SMALL_STATE(7846)] = 471182,
  [SMALL_STATE(7847)] = 471213,
  [SMALL_STATE(7848)] = 471244,
  [SMALL_STATE(7849)] = 471279,
  [SMALL_STATE(7850)] = 471300,
  [SMALL_STATE(7851)] = 471335,
  [SMALL_STATE(7852)] = 471366,
  [SMALL_STATE(7853)] = 471401,
  [SMALL_STATE(7854)] = 471436,
  [SMALL_STATE(7855)] = 471467,
  [SMALL_STATE(7856)] = 471502,
  [SMALL_STATE(7857)] = 471531,
  [SMALL_STATE(7858)] = 471548,
  [SMALL_STATE(7859)] = 471565,
  [SMALL_STATE(7860)] = 471600,
  [SMALL_STATE(7861)] = 471635,
  [SMALL_STATE(7862)] = 471666,
  [SMALL_STATE(7863)] = 471695,
  [SMALL_STATE(7864)] = 471718,
  [SMALL_STATE(7865)] = 471753,
  [SMALL_STATE(7866)] = 471788,
  [SMALL_STATE(7867)] = 471823,
  [SMALL_STATE(7868)] = 471852,
  [SMALL_STATE(7869)] = 471871,
  [SMALL_STATE(7870)] = 471888,
  [SMALL_STATE(7871)] = 471905,
  [SMALL_STATE(7872)] = 471940,
  [SMALL_STATE(7873)] = 471969,
  [SMALL_STATE(7874)] = 472004,
  [SMALL_STATE(7875)] = 472021,
  [SMALL_STATE(7876)] = 472056,
  [SMALL_STATE(7877)] = 472087,
  [SMALL_STATE(7878)] = 472116,
  [SMALL_STATE(7879)] = 472151,
  [SMALL_STATE(7880)] = 472186,
  [SMALL_STATE(7881)] = 472203,
  [SMALL_STATE(7882)] = 472238,
  [SMALL_STATE(7883)] = 472255,
  [SMALL_STATE(7884)] = 472290,
  [SMALL_STATE(7885)] = 472313,
  [SMALL_STATE(7886)] = 472342,
  [SMALL_STATE(7887)] = 472377,
  [SMALL_STATE(7888)] = 472394,
  [SMALL_STATE(7889)] = 472429,
  [SMALL_STATE(7890)] = 472458,
  [SMALL_STATE(7891)] = 472493,
  [SMALL_STATE(7892)] = 472524,
  [SMALL_STATE(7893)] = 472545,
  [SMALL_STATE(7894)] = 472574,
  [SMALL_STATE(7895)] = 472609,
  [SMALL_STATE(7896)] = 472640,
  [SMALL_STATE(7897)] = 472661,
  [SMALL_STATE(7898)] = 472678,
  [SMALL_STATE(7899)] = 472707,
  [SMALL_STATE(7900)] = 472742,
  [SMALL_STATE(7901)] = 472777,
  [SMALL_STATE(7902)] = 472808,
  [SMALL_STATE(7903)] = 472829,
  [SMALL_STATE(7904)] = 472858,
  [SMALL_STATE(7905)] = 472877,
  [SMALL_STATE(7906)] = 472906,
  [SMALL_STATE(7907)] = 472941,
  [SMALL_STATE(7908)] = 472972,
  [SMALL_STATE(7909)] = 473007,
  [SMALL_STATE(7910)] = 473039,
  [SMALL_STATE(7911)] = 473071,
  [SMALL_STATE(7912)] = 473099,
  [SMALL_STATE(7913)] = 473127,
  [SMALL_STATE(7914)] = 473155,
  [SMALL_STATE(7915)] = 473183,
  [SMALL_STATE(7916)] = 473211,
  [SMALL_STATE(7917)] = 473239,
  [SMALL_STATE(7918)] = 473267,
  [SMALL_STATE(7919)] = 473295,
  [SMALL_STATE(7920)] = 473323,
  [SMALL_STATE(7921)] = 473355,
  [SMALL_STATE(7922)] = 473387,
  [SMALL_STATE(7923)] = 473415,
  [SMALL_STATE(7924)] = 473443,
  [SMALL_STATE(7925)] = 473471,
  [SMALL_STATE(7926)] = 473499,
  [SMALL_STATE(7927)] = 473527,
  [SMALL_STATE(7928)] = 473547,
  [SMALL_STATE(7929)] = 473575,
  [SMALL_STATE(7930)] = 473603,
  [SMALL_STATE(7931)] = 473631,
  [SMALL_STATE(7932)] = 473659,
  [SMALL_STATE(7933)] = 473691,
  [SMALL_STATE(7934)] = 473719,
  [SMALL_STATE(7935)] = 473747,
  [SMALL_STATE(7936)] = 473775,
  [SMALL_STATE(7937)] = 473803,
  [SMALL_STATE(7938)] = 473831,
  [SMALL_STATE(7939)] = 473859,
  [SMALL_STATE(7940)] = 473887,
  [SMALL_STATE(7941)] = 473919,
  [SMALL_STATE(7942)] = 473951,
  [SMALL_STATE(7943)] = 473983,
  [SMALL_STATE(7944)] = 474015,
  [SMALL_STATE(7945)] = 474047,
  [SMALL_STATE(7946)] = 474075,
  [SMALL_STATE(7947)] = 474095,
  [SMALL_STATE(7948)] = 474121,
  [SMALL_STATE(7949)] = 474153,
  [SMALL_STATE(7950)] = 474181,
  [SMALL_STATE(7951)] = 474209,
  [SMALL_STATE(7952)] = 474241,
  [SMALL_STATE(7953)] = 474273,
  [SMALL_STATE(7954)] = 474305,
  [SMALL_STATE(7955)] = 474333,
  [SMALL_STATE(7956)] = 474355,
  [SMALL_STATE(7957)] = 474387,
  [SMALL_STATE(7958)] = 474419,
  [SMALL_STATE(7959)] = 474445,
  [SMALL_STATE(7960)] = 474473,
  [SMALL_STATE(7961)] = 474501,
  [SMALL_STATE(7962)] = 474529,
  [SMALL_STATE(7963)] = 474561,
  [SMALL_STATE(7964)] = 474589,
  [SMALL_STATE(7965)] = 474621,
  [SMALL_STATE(7966)] = 474653,
  [SMALL_STATE(7967)] = 474681,
  [SMALL_STATE(7968)] = 474713,
  [SMALL_STATE(7969)] = 474745,
  [SMALL_STATE(7970)] = 474773,
  [SMALL_STATE(7971)] = 474801,
  [SMALL_STATE(7972)] = 474833,
  [SMALL_STATE(7973)] = 474865,
  [SMALL_STATE(7974)] = 474893,
  [SMALL_STATE(7975)] = 474915,
  [SMALL_STATE(7976)] = 474941,
  [SMALL_STATE(7977)] = 474963,
  [SMALL_STATE(7978)] = 474989,
  [SMALL_STATE(7979)] = 475017,
  [SMALL_STATE(7980)] = 475043,
  [SMALL_STATE(7981)] = 475065,
  [SMALL_STATE(7982)] = 475083,
  [SMALL_STATE(7983)] = 475115,
  [SMALL_STATE(7984)] = 475141,
  [SMALL_STATE(7985)] = 475163,
  [SMALL_STATE(7986)] = 475181,
  [SMALL_STATE(7987)] = 475207,
  [SMALL_STATE(7988)] = 475235,
  [SMALL_STATE(7989)] = 475267,
  [SMALL_STATE(7990)] = 475299,
  [SMALL_STATE(7991)] = 475327,
  [SMALL_STATE(7992)] = 475351,
  [SMALL_STATE(7993)] = 475367,
  [SMALL_STATE(7994)] = 475395,
  [SMALL_STATE(7995)] = 475419,
  [SMALL_STATE(7996)] = 475445,
  [SMALL_STATE(7997)] = 475473,
  [SMALL_STATE(7998)] = 475497,
  [SMALL_STATE(7999)] = 475515,
  [SMALL_STATE(8000)] = 475535,
  [SMALL_STATE(8001)] = 475563,
  [SMALL_STATE(8002)] = 475591,
  [SMALL_STATE(8003)] = 475617,
  [SMALL_STATE(8004)] = 475643,
  [SMALL_STATE(8005)] = 475669,
  [SMALL_STATE(8006)] = 475695,
  [SMALL_STATE(8007)] = 475721,
  [SMALL_STATE(8008)] = 475745,
  [SMALL_STATE(8009)] = 475771,
  [SMALL_STATE(8010)] = 475799,
  [SMALL_STATE(8011)] = 475827,
  [SMALL_STATE(8012)] = 475853,
  [SMALL_STATE(8013)] = 475879,
  [SMALL_STATE(8014)] = 475905,
  [SMALL_STATE(8015)] = 475931,
  [SMALL_STATE(8016)] = 475955,
  [SMALL_STATE(8017)] = 475981,
  [SMALL_STATE(8018)] = 476013,
  [SMALL_STATE(8019)] = 476039,
  [SMALL_STATE(8020)] = 476067,
  [SMALL_STATE(8021)] = 476093,
  [SMALL_STATE(8022)] = 476121,
  [SMALL_STATE(8023)] = 476147,
  [SMALL_STATE(8024)] = 476171,
  [SMALL_STATE(8025)] = 476197,
  [SMALL_STATE(8026)] = 476223,
  [SMALL_STATE(8027)] = 476249,
  [SMALL_STATE(8028)] = 476275,
  [SMALL_STATE(8029)] = 476301,
  [SMALL_STATE(8030)] = 476325,
  [SMALL_STATE(8031)] = 476351,
  [SMALL_STATE(8032)] = 476377,
  [SMALL_STATE(8033)] = 476405,
  [SMALL_STATE(8034)] = 476431,
  [SMALL_STATE(8035)] = 476457,
  [SMALL_STATE(8036)] = 476485,
  [SMALL_STATE(8037)] = 476513,
  [SMALL_STATE(8038)] = 476541,
  [SMALL_STATE(8039)] = 476557,
  [SMALL_STATE(8040)] = 476577,
  [SMALL_STATE(8041)] = 476609,
  [SMALL_STATE(8042)] = 476635,
  [SMALL_STATE(8043)] = 476667,
  [SMALL_STATE(8044)] = 476695,
  [SMALL_STATE(8045)] = 476721,
  [SMALL_STATE(8046)] = 476743,
  [SMALL_STATE(8047)] = 476765,
  [SMALL_STATE(8048)] = 476797,
  [SMALL_STATE(8049)] = 476823,
  [SMALL_STATE(8050)] = 476851,
  [SMALL_STATE(8051)] = 476883,
  [SMALL_STATE(8052)] = 476911,
  [SMALL_STATE(8053)] = 476939,
  [SMALL_STATE(8054)] = 476971,
  [SMALL_STATE(8055)] = 476997,
  [SMALL_STATE(8056)] = 477023,
  [SMALL_STATE(8057)] = 477051,
  [SMALL_STATE(8058)] = 477077,
  [SMALL_STATE(8059)] = 477097,
  [SMALL_STATE(8060)] = 477129,
  [SMALL_STATE(8061)] = 477149,
  [SMALL_STATE(8062)] = 477175,
  [SMALL_STATE(8063)] = 477201,
  [SMALL_STATE(8064)] = 477221,
  [SMALL_STATE(8065)] = 477249,
  [SMALL_STATE(8066)] = 477281,
  [SMALL_STATE(8067)] = 477307,
  [SMALL_STATE(8068)] = 477335,
  [SMALL_STATE(8069)] = 477363,
  [SMALL_STATE(8070)] = 477395,
  [SMALL_STATE(8071)] = 477421,
  [SMALL_STATE(8072)] = 477453,
  [SMALL_STATE(8073)] = 477485,
  [SMALL_STATE(8074)] = 477517,
  [SMALL_STATE(8075)] = 477549,
  [SMALL_STATE(8076)] = 477581,
  [SMALL_STATE(8077)] = 477613,
  [SMALL_STATE(8078)] = 477645,
  [SMALL_STATE(8079)] = 477677,
  [SMALL_STATE(8080)] = 477709,
  [SMALL_STATE(8081)] = 477741,
  [SMALL_STATE(8082)] = 477773,
  [SMALL_STATE(8083)] = 477805,
  [SMALL_STATE(8084)] = 477837,
  [SMALL_STATE(8085)] = 477869,
  [SMALL_STATE(8086)] = 477901,
  [SMALL_STATE(8087)] = 477933,
  [SMALL_STATE(8088)] = 477965,
  [SMALL_STATE(8089)] = 477997,
  [SMALL_STATE(8090)] = 478029,
  [SMALL_STATE(8091)] = 478061,
  [SMALL_STATE(8092)] = 478093,
  [SMALL_STATE(8093)] = 478125,
  [SMALL_STATE(8094)] = 478157,
  [SMALL_STATE(8095)] = 478189,
  [SMALL_STATE(8096)] = 478217,
  [SMALL_STATE(8097)] = 478245,
  [SMALL_STATE(8098)] = 478273,
  [SMALL_STATE(8099)] = 478293,
  [SMALL_STATE(8100)] = 478321,
  [SMALL_STATE(8101)] = 478349,
  [SMALL_STATE(8102)] = 478377,
  [SMALL_STATE(8103)] = 478397,
  [SMALL_STATE(8104)] = 478426,
  [SMALL_STATE(8105)] = 478455,
  [SMALL_STATE(8106)] = 478482,
  [SMALL_STATE(8107)] = 478511,
  [SMALL_STATE(8108)] = 478534,
  [SMALL_STATE(8109)] = 478557,
  [SMALL_STATE(8110)] = 478582,
  [SMALL_STATE(8111)] = 478597,
  [SMALL_STATE(8112)] = 478612,
  [SMALL_STATE(8113)] = 478627,
  [SMALL_STATE(8114)] = 478656,
  [SMALL_STATE(8115)] = 478671,
  [SMALL_STATE(8116)] = 478686,
  [SMALL_STATE(8117)] = 478715,
  [SMALL_STATE(8118)] = 478734,
  [SMALL_STATE(8119)] = 478763,
  [SMALL_STATE(8120)] = 478788,
  [SMALL_STATE(8121)] = 478811,
  [SMALL_STATE(8122)] = 478840,
  [SMALL_STATE(8123)] = 478869,
  [SMALL_STATE(8124)] = 478898,
  [SMALL_STATE(8125)] = 478915,
  [SMALL_STATE(8126)] = 478944,
  [SMALL_STATE(8127)] = 478961,
  [SMALL_STATE(8128)] = 478990,
  [SMALL_STATE(8129)] = 479019,
  [SMALL_STATE(8130)] = 479048,
  [SMALL_STATE(8131)] = 479071,
  [SMALL_STATE(8132)] = 479100,
  [SMALL_STATE(8133)] = 479129,
  [SMALL_STATE(8134)] = 479148,
  [SMALL_STATE(8135)] = 479173,
  [SMALL_STATE(8136)] = 479200,
  [SMALL_STATE(8137)] = 479229,
  [SMALL_STATE(8138)] = 479248,
  [SMALL_STATE(8139)] = 479277,
  [SMALL_STATE(8140)] = 479302,
  [SMALL_STATE(8141)] = 479327,
  [SMALL_STATE(8142)] = 479354,
  [SMALL_STATE(8143)] = 479377,
  [SMALL_STATE(8144)] = 479406,
  [SMALL_STATE(8145)] = 479421,
  [SMALL_STATE(8146)] = 479442,
  [SMALL_STATE(8147)] = 479465,
  [SMALL_STATE(8148)] = 479480,
  [SMALL_STATE(8149)] = 479503,
  [SMALL_STATE(8150)] = 479530,
  [SMALL_STATE(8151)] = 479549,
  [SMALL_STATE(8152)] = 479578,
  [SMALL_STATE(8153)] = 479605,
  [SMALL_STATE(8154)] = 479628,
  [SMALL_STATE(8155)] = 479657,
  [SMALL_STATE(8156)] = 479684,
  [SMALL_STATE(8157)] = 479709,
  [SMALL_STATE(8158)] = 479728,
  [SMALL_STATE(8159)] = 479749,
  [SMALL_STATE(8160)] = 479772,
  [SMALL_STATE(8161)] = 479797,
  [SMALL_STATE(8162)] = 479820,
  [SMALL_STATE(8163)] = 479835,
  [SMALL_STATE(8164)] = 479858,
  [SMALL_STATE(8165)] = 479877,
  [SMALL_STATE(8166)] = 479900,
  [SMALL_STATE(8167)] = 479927,
  [SMALL_STATE(8168)] = 479944,
  [SMALL_STATE(8169)] = 479967,
  [SMALL_STATE(8170)] = 479990,
  [SMALL_STATE(8171)] = 480015,
  [SMALL_STATE(8172)] = 480038,
  [SMALL_STATE(8173)] = 480061,
  [SMALL_STATE(8174)] = 480076,
  [SMALL_STATE(8175)] = 480095,
  [SMALL_STATE(8176)] = 480118,
  [SMALL_STATE(8177)] = 480135,
  [SMALL_STATE(8178)] = 480160,
  [SMALL_STATE(8179)] = 480189,
  [SMALL_STATE(8180)] = 480212,
  [SMALL_STATE(8181)] = 480237,
  [SMALL_STATE(8182)] = 480260,
  [SMALL_STATE(8183)] = 480283,
  [SMALL_STATE(8184)] = 480306,
  [SMALL_STATE(8185)] = 480335,
  [SMALL_STATE(8186)] = 480358,
  [SMALL_STATE(8187)] = 480381,
  [SMALL_STATE(8188)] = 480410,
  [SMALL_STATE(8189)] = 480425,
  [SMALL_STATE(8190)] = 480448,
  [SMALL_STATE(8191)] = 480471,
  [SMALL_STATE(8192)] = 480498,
  [SMALL_STATE(8193)] = 480513,
  [SMALL_STATE(8194)] = 480528,
  [SMALL_STATE(8195)] = 480551,
  [SMALL_STATE(8196)] = 480574,
  [SMALL_STATE(8197)] = 480597,
  [SMALL_STATE(8198)] = 480612,
  [SMALL_STATE(8199)] = 480637,
  [SMALL_STATE(8200)] = 480660,
  [SMALL_STATE(8201)] = 480685,
  [SMALL_STATE(8202)] = 480714,
  [SMALL_STATE(8203)] = 480741,
  [SMALL_STATE(8204)] = 480756,
  [SMALL_STATE(8205)] = 480779,
  [SMALL_STATE(8206)] = 480808,
  [SMALL_STATE(8207)] = 480837,
  [SMALL_STATE(8208)] = 480866,
  [SMALL_STATE(8209)] = 480885,
  [SMALL_STATE(8210)] = 480910,
  [SMALL_STATE(8211)] = 480929,
  [SMALL_STATE(8212)] = 480958,
  [SMALL_STATE(8213)] = 480987,
  [SMALL_STATE(8214)] = 481006,
  [SMALL_STATE(8215)] = 481035,
  [SMALL_STATE(8216)] = 481064,
  [SMALL_STATE(8217)] = 481089,
  [SMALL_STATE(8218)] = 481110,
  [SMALL_STATE(8219)] = 481135,
  [SMALL_STATE(8220)] = 481164,
  [SMALL_STATE(8221)] = 481189,
  [SMALL_STATE(8222)] = 481218,
  [SMALL_STATE(8223)] = 481247,
  [SMALL_STATE(8224)] = 481274,
  [SMALL_STATE(8225)] = 481289,
  [SMALL_STATE(8226)] = 481314,
  [SMALL_STATE(8227)] = 481329,
  [SMALL_STATE(8228)] = 481354,
  [SMALL_STATE(8229)] = 481383,
  [SMALL_STATE(8230)] = 481404,
  [SMALL_STATE(8231)] = 481425,
  [SMALL_STATE(8232)] = 481446,
  [SMALL_STATE(8233)] = 481467,
  [SMALL_STATE(8234)] = 481488,
  [SMALL_STATE(8235)] = 481517,
  [SMALL_STATE(8236)] = 481546,
  [SMALL_STATE(8237)] = 481563,
  [SMALL_STATE(8238)] = 481578,
  [SMALL_STATE(8239)] = 481595,
  [SMALL_STATE(8240)] = 481624,
  [SMALL_STATE(8241)] = 481651,
  [SMALL_STATE(8242)] = 481674,
  [SMALL_STATE(8243)] = 481703,
  [SMALL_STATE(8244)] = 481726,
  [SMALL_STATE(8245)] = 481755,
  [SMALL_STATE(8246)] = 481784,
  [SMALL_STATE(8247)] = 481805,
  [SMALL_STATE(8248)] = 481820,
  [SMALL_STATE(8249)] = 481835,
  [SMALL_STATE(8250)] = 481850,
  [SMALL_STATE(8251)] = 481879,
  [SMALL_STATE(8252)] = 481902,
  [SMALL_STATE(8253)] = 481929,
  [SMALL_STATE(8254)] = 481952,
  [SMALL_STATE(8255)] = 481981,
  [SMALL_STATE(8256)] = 482004,
  [SMALL_STATE(8257)] = 482019,
  [SMALL_STATE(8258)] = 482048,
  [SMALL_STATE(8259)] = 482071,
  [SMALL_STATE(8260)] = 482086,
  [SMALL_STATE(8261)] = 482115,
  [SMALL_STATE(8262)] = 482140,
  [SMALL_STATE(8263)] = 482169,
  [SMALL_STATE(8264)] = 482198,
  [SMALL_STATE(8265)] = 482227,
  [SMALL_STATE(8266)] = 482256,
  [SMALL_STATE(8267)] = 482279,
  [SMALL_STATE(8268)] = 482301,
  [SMALL_STATE(8269)] = 482325,
  [SMALL_STATE(8270)] = 482349,
  [SMALL_STATE(8271)] = 482373,
  [SMALL_STATE(8272)] = 482397,
  [SMALL_STATE(8273)] = 482411,
  [SMALL_STATE(8274)] = 482431,
  [SMALL_STATE(8275)] = 482455,
  [SMALL_STATE(8276)] = 482475,
  [SMALL_STATE(8277)] = 482497,
  [SMALL_STATE(8278)] = 482519,
  [SMALL_STATE(8279)] = 482543,
  [SMALL_STATE(8280)] = 482567,
  [SMALL_STATE(8281)] = 482591,
  [SMALL_STATE(8282)] = 482615,
  [SMALL_STATE(8283)] = 482629,
  [SMALL_STATE(8284)] = 482643,
  [SMALL_STATE(8285)] = 482667,
  [SMALL_STATE(8286)] = 482691,
  [SMALL_STATE(8287)] = 482715,
  [SMALL_STATE(8288)] = 482729,
  [SMALL_STATE(8289)] = 482743,
  [SMALL_STATE(8290)] = 482765,
  [SMALL_STATE(8291)] = 482787,
  [SMALL_STATE(8292)] = 482811,
  [SMALL_STATE(8293)] = 482825,
  [SMALL_STATE(8294)] = 482847,
  [SMALL_STATE(8295)] = 482869,
  [SMALL_STATE(8296)] = 482885,
  [SMALL_STATE(8297)] = 482909,
  [SMALL_STATE(8298)] = 482927,
  [SMALL_STATE(8299)] = 482951,
  [SMALL_STATE(8300)] = 482965,
  [SMALL_STATE(8301)] = 482979,
  [SMALL_STATE(8302)] = 483005,
  [SMALL_STATE(8303)] = 483029,
  [SMALL_STATE(8304)] = 483051,
  [SMALL_STATE(8305)] = 483075,
  [SMALL_STATE(8306)] = 483095,
  [SMALL_STATE(8307)] = 483121,
  [SMALL_STATE(8308)] = 483139,
  [SMALL_STATE(8309)] = 483159,
  [SMALL_STATE(8310)] = 483179,
  [SMALL_STATE(8311)] = 483203,
  [SMALL_STATE(8312)] = 483227,
  [SMALL_STATE(8313)] = 483245,
  [SMALL_STATE(8314)] = 483265,
  [SMALL_STATE(8315)] = 483279,
  [SMALL_STATE(8316)] = 483301,
  [SMALL_STATE(8317)] = 483325,
  [SMALL_STATE(8318)] = 483339,
  [SMALL_STATE(8319)] = 483365,
  [SMALL_STATE(8320)] = 483379,
  [SMALL_STATE(8321)] = 483401,
  [SMALL_STATE(8322)] = 483425,
  [SMALL_STATE(8323)] = 483449,
  [SMALL_STATE(8324)] = 483471,
  [SMALL_STATE(8325)] = 483495,
  [SMALL_STATE(8326)] = 483521,
  [SMALL_STATE(8327)] = 483535,
  [SMALL_STATE(8328)] = 483559,
  [SMALL_STATE(8329)] = 483577,
  [SMALL_STATE(8330)] = 483597,
  [SMALL_STATE(8331)] = 483619,
  [SMALL_STATE(8332)] = 483645,
  [SMALL_STATE(8333)] = 483671,
  [SMALL_STATE(8334)] = 483691,
  [SMALL_STATE(8335)] = 483717,
  [SMALL_STATE(8336)] = 483739,
  [SMALL_STATE(8337)] = 483765,
  [SMALL_STATE(8338)] = 483791,
  [SMALL_STATE(8339)] = 483811,
  [SMALL_STATE(8340)] = 483837,
  [SMALL_STATE(8341)] = 483861,
  [SMALL_STATE(8342)] = 483885,
  [SMALL_STATE(8343)] = 483909,
  [SMALL_STATE(8344)] = 483929,
  [SMALL_STATE(8345)] = 483953,
  [SMALL_STATE(8346)] = 483977,
  [SMALL_STATE(8347)] = 484003,
  [SMALL_STATE(8348)] = 484027,
  [SMALL_STATE(8349)] = 484041,
  [SMALL_STATE(8350)] = 484067,
  [SMALL_STATE(8351)] = 484093,
  [SMALL_STATE(8352)] = 484115,
  [SMALL_STATE(8353)] = 484133,
  [SMALL_STATE(8354)] = 484153,
  [SMALL_STATE(8355)] = 484167,
  [SMALL_STATE(8356)] = 484189,
  [SMALL_STATE(8357)] = 484211,
  [SMALL_STATE(8358)] = 484235,
  [SMALL_STATE(8359)] = 484259,
  [SMALL_STATE(8360)] = 484283,
  [SMALL_STATE(8361)] = 484303,
  [SMALL_STATE(8362)] = 484327,
  [SMALL_STATE(8363)] = 484353,
  [SMALL_STATE(8364)] = 484377,
  [SMALL_STATE(8365)] = 484391,
  [SMALL_STATE(8366)] = 484417,
  [SMALL_STATE(8367)] = 484439,
  [SMALL_STATE(8368)] = 484459,
  [SMALL_STATE(8369)] = 484481,
  [SMALL_STATE(8370)] = 484495,
  [SMALL_STATE(8371)] = 484509,
  [SMALL_STATE(8372)] = 484523,
  [SMALL_STATE(8373)] = 484537,
  [SMALL_STATE(8374)] = 484559,
  [SMALL_STATE(8375)] = 484583,
  [SMALL_STATE(8376)] = 484605,
  [SMALL_STATE(8377)] = 484619,
  [SMALL_STATE(8378)] = 484639,
  [SMALL_STATE(8379)] = 484661,
  [SMALL_STATE(8380)] = 484679,
  [SMALL_STATE(8381)] = 484703,
  [SMALL_STATE(8382)] = 484723,
  [SMALL_STATE(8383)] = 484745,
  [SMALL_STATE(8384)] = 484765,
  [SMALL_STATE(8385)] = 484779,
  [SMALL_STATE(8386)] = 484797,
  [SMALL_STATE(8387)] = 484821,
  [SMALL_STATE(8388)] = 484835,
  [SMALL_STATE(8389)] = 484859,
  [SMALL_STATE(8390)] = 484879,
  [SMALL_STATE(8391)] = 484893,
  [SMALL_STATE(8392)] = 484913,
  [SMALL_STATE(8393)] = 484933,
  [SMALL_STATE(8394)] = 484957,
  [SMALL_STATE(8395)] = 484975,
  [SMALL_STATE(8396)] = 484999,
  [SMALL_STATE(8397)] = 485021,
  [SMALL_STATE(8398)] = 485043,
  [SMALL_STATE(8399)] = 485061,
  [SMALL_STATE(8400)] = 485085,
  [SMALL_STATE(8401)] = 485105,
  [SMALL_STATE(8402)] = 485131,
  [SMALL_STATE(8403)] = 485153,
  [SMALL_STATE(8404)] = 485175,
  [SMALL_STATE(8405)] = 485195,
  [SMALL_STATE(8406)] = 485217,
  [SMALL_STATE(8407)] = 485237,
  [SMALL_STATE(8408)] = 485257,
  [SMALL_STATE(8409)] = 485281,
  [SMALL_STATE(8410)] = 485301,
  [SMALL_STATE(8411)] = 485325,
  [SMALL_STATE(8412)] = 485347,
  [SMALL_STATE(8413)] = 485369,
  [SMALL_STATE(8414)] = 485393,
  [SMALL_STATE(8415)] = 485413,
  [SMALL_STATE(8416)] = 485431,
  [SMALL_STATE(8417)] = 485453,
  [SMALL_STATE(8418)] = 485477,
  [SMALL_STATE(8419)] = 485499,
  [SMALL_STATE(8420)] = 485521,
  [SMALL_STATE(8421)] = 485543,
  [SMALL_STATE(8422)] = 485565,
  [SMALL_STATE(8423)] = 485589,
  [SMALL_STATE(8424)] = 485613,
  [SMALL_STATE(8425)] = 485635,
  [SMALL_STATE(8426)] = 485655,
  [SMALL_STATE(8427)] = 485675,
  [SMALL_STATE(8428)] = 485697,
  [SMALL_STATE(8429)] = 485717,
  [SMALL_STATE(8430)] = 485741,
  [SMALL_STATE(8431)] = 485765,
  [SMALL_STATE(8432)] = 485789,
  [SMALL_STATE(8433)] = 485811,
  [SMALL_STATE(8434)] = 485827,
  [SMALL_STATE(8435)] = 485851,
  [SMALL_STATE(8436)] = 485877,
  [SMALL_STATE(8437)] = 485891,
  [SMALL_STATE(8438)] = 485913,
  [SMALL_STATE(8439)] = 485927,
  [SMALL_STATE(8440)] = 485945,
  [SMALL_STATE(8441)] = 485971,
  [SMALL_STATE(8442)] = 485991,
  [SMALL_STATE(8443)] = 486011,
  [SMALL_STATE(8444)] = 486035,
  [SMALL_STATE(8445)] = 486061,
  [SMALL_STATE(8446)] = 486079,
  [SMALL_STATE(8447)] = 486093,
  [SMALL_STATE(8448)] = 486115,
  [SMALL_STATE(8449)] = 486135,
  [SMALL_STATE(8450)] = 486157,
  [SMALL_STATE(8451)] = 486179,
  [SMALL_STATE(8452)] = 486205,
  [SMALL_STATE(8453)] = 486229,
  [SMALL_STATE(8454)] = 486253,
  [SMALL_STATE(8455)] = 486277,
  [SMALL_STATE(8456)] = 486301,
  [SMALL_STATE(8457)] = 486325,
  [SMALL_STATE(8458)] = 486351,
  [SMALL_STATE(8459)] = 486375,
  [SMALL_STATE(8460)] = 486397,
  [SMALL_STATE(8461)] = 486421,
  [SMALL_STATE(8462)] = 486445,
  [SMALL_STATE(8463)] = 486469,
  [SMALL_STATE(8464)] = 486493,
  [SMALL_STATE(8465)] = 486515,
  [SMALL_STATE(8466)] = 486539,
  [SMALL_STATE(8467)] = 486563,
  [SMALL_STATE(8468)] = 486589,
  [SMALL_STATE(8469)] = 486613,
  [SMALL_STATE(8470)] = 486627,
  [SMALL_STATE(8471)] = 486651,
  [SMALL_STATE(8472)] = 486677,
  [SMALL_STATE(8473)] = 486701,
  [SMALL_STATE(8474)] = 486725,
  [SMALL_STATE(8475)] = 486749,
  [SMALL_STATE(8476)] = 486773,
  [SMALL_STATE(8477)] = 486793,
  [SMALL_STATE(8478)] = 486807,
  [SMALL_STATE(8479)] = 486829,
  [SMALL_STATE(8480)] = 486851,
  [SMALL_STATE(8481)] = 486871,
  [SMALL_STATE(8482)] = 486895,
  [SMALL_STATE(8483)] = 486915,
  [SMALL_STATE(8484)] = 486935,
  [SMALL_STATE(8485)] = 486959,
  [SMALL_STATE(8486)] = 486983,
  [SMALL_STATE(8487)] = 487007,
  [SMALL_STATE(8488)] = 487031,
  [SMALL_STATE(8489)] = 487055,
  [SMALL_STATE(8490)] = 487077,
  [SMALL_STATE(8491)] = 487101,
  [SMALL_STATE(8492)] = 487119,
  [SMALL_STATE(8493)] = 487141,
  [SMALL_STATE(8494)] = 487167,
  [SMALL_STATE(8495)] = 487191,
  [SMALL_STATE(8496)] = 487215,
  [SMALL_STATE(8497)] = 487237,
  [SMALL_STATE(8498)] = 487257,
  [SMALL_STATE(8499)] = 487281,
  [SMALL_STATE(8500)] = 487305,
  [SMALL_STATE(8501)] = 487327,
  [SMALL_STATE(8502)] = 487347,
  [SMALL_STATE(8503)] = 487371,
  [SMALL_STATE(8504)] = 487395,
  [SMALL_STATE(8505)] = 487419,
  [SMALL_STATE(8506)] = 487443,
  [SMALL_STATE(8507)] = 487467,
  [SMALL_STATE(8508)] = 487491,
  [SMALL_STATE(8509)] = 487515,
  [SMALL_STATE(8510)] = 487533,
  [SMALL_STATE(8511)] = 487550,
  [SMALL_STATE(8512)] = 487573,
  [SMALL_STATE(8513)] = 487596,
  [SMALL_STATE(8514)] = 487615,
  [SMALL_STATE(8515)] = 487634,
  [SMALL_STATE(8516)] = 487653,
  [SMALL_STATE(8517)] = 487672,
  [SMALL_STATE(8518)] = 487691,
  [SMALL_STATE(8519)] = 487708,
  [SMALL_STATE(8520)] = 487721,
  [SMALL_STATE(8521)] = 487734,
  [SMALL_STATE(8522)] = 487747,
  [SMALL_STATE(8523)] = 487760,
  [SMALL_STATE(8524)] = 487777,
  [SMALL_STATE(8525)] = 487798,
  [SMALL_STATE(8526)] = 487811,
  [SMALL_STATE(8527)] = 487826,
  [SMALL_STATE(8528)] = 487849,
  [SMALL_STATE(8529)] = 487866,
  [SMALL_STATE(8530)] = 487887,
  [SMALL_STATE(8531)] = 487906,
  [SMALL_STATE(8532)] = 487919,
  [SMALL_STATE(8533)] = 487938,
  [SMALL_STATE(8534)] = 487957,
  [SMALL_STATE(8535)] = 487974,
  [SMALL_STATE(8536)] = 487991,
  [SMALL_STATE(8537)] = 488004,
  [SMALL_STATE(8538)] = 488021,
  [SMALL_STATE(8539)] = 488042,
  [SMALL_STATE(8540)] = 488055,
  [SMALL_STATE(8541)] = 488068,
  [SMALL_STATE(8542)] = 488081,
  [SMALL_STATE(8543)] = 488100,
  [SMALL_STATE(8544)] = 488123,
  [SMALL_STATE(8545)] = 488146,
  [SMALL_STATE(8546)] = 488163,
  [SMALL_STATE(8547)] = 488180,
  [SMALL_STATE(8548)] = 488197,
  [SMALL_STATE(8549)] = 488214,
  [SMALL_STATE(8550)] = 488235,
  [SMALL_STATE(8551)] = 488252,
  [SMALL_STATE(8552)] = 488275,
  [SMALL_STATE(8553)] = 488296,
  [SMALL_STATE(8554)] = 488315,
  [SMALL_STATE(8555)] = 488334,
  [SMALL_STATE(8556)] = 488353,
  [SMALL_STATE(8557)] = 488370,
  [SMALL_STATE(8558)] = 488391,
  [SMALL_STATE(8559)] = 488414,
  [SMALL_STATE(8560)] = 488435,
  [SMALL_STATE(8561)] = 488456,
  [SMALL_STATE(8562)] = 488475,
  [SMALL_STATE(8563)] = 488496,
  [SMALL_STATE(8564)] = 488515,
  [SMALL_STATE(8565)] = 488528,
  [SMALL_STATE(8566)] = 488549,
  [SMALL_STATE(8567)] = 488570,
  [SMALL_STATE(8568)] = 488591,
  [SMALL_STATE(8569)] = 488612,
  [SMALL_STATE(8570)] = 488629,
  [SMALL_STATE(8571)] = 488646,
  [SMALL_STATE(8572)] = 488663,
  [SMALL_STATE(8573)] = 488682,
  [SMALL_STATE(8574)] = 488699,
  [SMALL_STATE(8575)] = 488720,
  [SMALL_STATE(8576)] = 488737,
  [SMALL_STATE(8577)] = 488758,
  [SMALL_STATE(8578)] = 488779,
  [SMALL_STATE(8579)] = 488798,
  [SMALL_STATE(8580)] = 488815,
  [SMALL_STATE(8581)] = 488834,
  [SMALL_STATE(8582)] = 488853,
  [SMALL_STATE(8583)] = 488874,
  [SMALL_STATE(8584)] = 488895,
  [SMALL_STATE(8585)] = 488916,
  [SMALL_STATE(8586)] = 488933,
  [SMALL_STATE(8587)] = 488956,
  [SMALL_STATE(8588)] = 488975,
  [SMALL_STATE(8589)] = 488996,
  [SMALL_STATE(8590)] = 489017,
  [SMALL_STATE(8591)] = 489038,
  [SMALL_STATE(8592)] = 489061,
  [SMALL_STATE(8593)] = 489082,
  [SMALL_STATE(8594)] = 489099,
  [SMALL_STATE(8595)] = 489122,
  [SMALL_STATE(8596)] = 489139,
  [SMALL_STATE(8597)] = 489158,
  [SMALL_STATE(8598)] = 489175,
  [SMALL_STATE(8599)] = 489194,
  [SMALL_STATE(8600)] = 489217,
  [SMALL_STATE(8601)] = 489238,
  [SMALL_STATE(8602)] = 489259,
  [SMALL_STATE(8603)] = 489280,
  [SMALL_STATE(8604)] = 489297,
  [SMALL_STATE(8605)] = 489314,
  [SMALL_STATE(8606)] = 489333,
  [SMALL_STATE(8607)] = 489350,
  [SMALL_STATE(8608)] = 489369,
  [SMALL_STATE(8609)] = 489390,
  [SMALL_STATE(8610)] = 489409,
  [SMALL_STATE(8611)] = 489430,
  [SMALL_STATE(8612)] = 489451,
  [SMALL_STATE(8613)] = 489474,
  [SMALL_STATE(8614)] = 489487,
  [SMALL_STATE(8615)] = 489508,
  [SMALL_STATE(8616)] = 489521,
  [SMALL_STATE(8617)] = 489542,
  [SMALL_STATE(8618)] = 489561,
  [SMALL_STATE(8619)] = 489574,
  [SMALL_STATE(8620)] = 489587,
  [SMALL_STATE(8621)] = 489608,
  [SMALL_STATE(8622)] = 489621,
  [SMALL_STATE(8623)] = 489638,
  [SMALL_STATE(8624)] = 489659,
  [SMALL_STATE(8625)] = 489680,
  [SMALL_STATE(8626)] = 489697,
  [SMALL_STATE(8627)] = 489718,
  [SMALL_STATE(8628)] = 489739,
  [SMALL_STATE(8629)] = 489756,
  [SMALL_STATE(8630)] = 489769,
  [SMALL_STATE(8631)] = 489788,
  [SMALL_STATE(8632)] = 489805,
  [SMALL_STATE(8633)] = 489826,
  [SMALL_STATE(8634)] = 489845,
  [SMALL_STATE(8635)] = 489866,
  [SMALL_STATE(8636)] = 489889,
  [SMALL_STATE(8637)] = 489906,
  [SMALL_STATE(8638)] = 489925,
  [SMALL_STATE(8639)] = 489944,
  [SMALL_STATE(8640)] = 489961,
  [SMALL_STATE(8641)] = 489982,
  [SMALL_STATE(8642)] = 490003,
  [SMALL_STATE(8643)] = 490024,
  [SMALL_STATE(8644)] = 490045,
  [SMALL_STATE(8645)] = 490066,
  [SMALL_STATE(8646)] = 490083,
  [SMALL_STATE(8647)] = 490096,
  [SMALL_STATE(8648)] = 490117,
  [SMALL_STATE(8649)] = 490134,
  [SMALL_STATE(8650)] = 490155,
  [SMALL_STATE(8651)] = 490172,
  [SMALL_STATE(8652)] = 490193,
  [SMALL_STATE(8653)] = 490214,
  [SMALL_STATE(8654)] = 490227,
  [SMALL_STATE(8655)] = 490248,
  [SMALL_STATE(8656)] = 490267,
  [SMALL_STATE(8657)] = 490286,
  [SMALL_STATE(8658)] = 490303,
  [SMALL_STATE(8659)] = 490320,
  [SMALL_STATE(8660)] = 490337,
  [SMALL_STATE(8661)] = 490356,
  [SMALL_STATE(8662)] = 490379,
  [SMALL_STATE(8663)] = 490396,
  [SMALL_STATE(8664)] = 490413,
  [SMALL_STATE(8665)] = 490432,
  [SMALL_STATE(8666)] = 490453,
  [SMALL_STATE(8667)] = 490476,
  [SMALL_STATE(8668)] = 490493,
  [SMALL_STATE(8669)] = 490510,
  [SMALL_STATE(8670)] = 490531,
  [SMALL_STATE(8671)] = 490554,
  [SMALL_STATE(8672)] = 490577,
  [SMALL_STATE(8673)] = 490594,
  [SMALL_STATE(8674)] = 490607,
  [SMALL_STATE(8675)] = 490628,
  [SMALL_STATE(8676)] = 490649,
  [SMALL_STATE(8677)] = 490670,
  [SMALL_STATE(8678)] = 490687,
  [SMALL_STATE(8679)] = 490704,
  [SMALL_STATE(8680)] = 490727,
  [SMALL_STATE(8681)] = 490744,
  [SMALL_STATE(8682)] = 490765,
  [SMALL_STATE(8683)] = 490786,
  [SMALL_STATE(8684)] = 490807,
  [SMALL_STATE(8685)] = 490824,
  [SMALL_STATE(8686)] = 490845,
  [SMALL_STATE(8687)] = 490862,
  [SMALL_STATE(8688)] = 490877,
  [SMALL_STATE(8689)] = 490894,
  [SMALL_STATE(8690)] = 490915,
  [SMALL_STATE(8691)] = 490932,
  [SMALL_STATE(8692)] = 490953,
  [SMALL_STATE(8693)] = 490974,
  [SMALL_STATE(8694)] = 490993,
  [SMALL_STATE(8695)] = 491010,
  [SMALL_STATE(8696)] = 491027,
  [SMALL_STATE(8697)] = 491048,
  [SMALL_STATE(8698)] = 491069,
  [SMALL_STATE(8699)] = 491090,
  [SMALL_STATE(8700)] = 491113,
  [SMALL_STATE(8701)] = 491134,
  [SMALL_STATE(8702)] = 491155,
  [SMALL_STATE(8703)] = 491172,
  [SMALL_STATE(8704)] = 491193,
  [SMALL_STATE(8705)] = 491210,
  [SMALL_STATE(8706)] = 491227,
  [SMALL_STATE(8707)] = 491248,
  [SMALL_STATE(8708)] = 491267,
  [SMALL_STATE(8709)] = 491284,
  [SMALL_STATE(8710)] = 491307,
  [SMALL_STATE(8711)] = 491326,
  [SMALL_STATE(8712)] = 491349,
  [SMALL_STATE(8713)] = 491370,
  [SMALL_STATE(8714)] = 491393,
  [SMALL_STATE(8715)] = 491412,
  [SMALL_STATE(8716)] = 491433,
  [SMALL_STATE(8717)] = 491452,
  [SMALL_STATE(8718)] = 491469,
  [SMALL_STATE(8719)] = 491486,
  [SMALL_STATE(8720)] = 491499,
  [SMALL_STATE(8721)] = 491516,
  [SMALL_STATE(8722)] = 491533,
  [SMALL_STATE(8723)] = 491546,
  [SMALL_STATE(8724)] = 491565,
  [SMALL_STATE(8725)] = 491578,
  [SMALL_STATE(8726)] = 491599,
  [SMALL_STATE(8727)] = 491620,
  [SMALL_STATE(8728)] = 491643,
  [SMALL_STATE(8729)] = 491656,
  [SMALL_STATE(8730)] = 491673,
  [SMALL_STATE(8731)] = 491694,
  [SMALL_STATE(8732)] = 491713,
  [SMALL_STATE(8733)] = 491732,
  [SMALL_STATE(8734)] = 491749,
  [SMALL_STATE(8735)] = 491768,
  [SMALL_STATE(8736)] = 491791,
  [SMALL_STATE(8737)] = 491804,
  [SMALL_STATE(8738)] = 491821,
  [SMALL_STATE(8739)] = 491840,
  [SMALL_STATE(8740)] = 491853,
  [SMALL_STATE(8741)] = 491872,
  [SMALL_STATE(8742)] = 491893,
  [SMALL_STATE(8743)] = 491914,
  [SMALL_STATE(8744)] = 491933,
  [SMALL_STATE(8745)] = 491954,
  [SMALL_STATE(8746)] = 491975,
  [SMALL_STATE(8747)] = 491996,
  [SMALL_STATE(8748)] = 492009,
  [SMALL_STATE(8749)] = 492026,
  [SMALL_STATE(8750)] = 492047,
  [SMALL_STATE(8751)] = 492070,
  [SMALL_STATE(8752)] = 492087,
  [SMALL_STATE(8753)] = 492108,
  [SMALL_STATE(8754)] = 492125,
  [SMALL_STATE(8755)] = 492146,
  [SMALL_STATE(8756)] = 492165,
  [SMALL_STATE(8757)] = 492178,
  [SMALL_STATE(8758)] = 492195,
  [SMALL_STATE(8759)] = 492214,
  [SMALL_STATE(8760)] = 492235,
  [SMALL_STATE(8761)] = 492252,
  [SMALL_STATE(8762)] = 492269,
  [SMALL_STATE(8763)] = 492290,
  [SMALL_STATE(8764)] = 492307,
  [SMALL_STATE(8765)] = 492326,
  [SMALL_STATE(8766)] = 492343,
  [SMALL_STATE(8767)] = 492364,
  [SMALL_STATE(8768)] = 492383,
  [SMALL_STATE(8769)] = 492404,
  [SMALL_STATE(8770)] = 492425,
  [SMALL_STATE(8771)] = 492444,
  [SMALL_STATE(8772)] = 492465,
  [SMALL_STATE(8773)] = 492486,
  [SMALL_STATE(8774)] = 492509,
  [SMALL_STATE(8775)] = 492528,
  [SMALL_STATE(8776)] = 492547,
  [SMALL_STATE(8777)] = 492570,
  [SMALL_STATE(8778)] = 492587,
  [SMALL_STATE(8779)] = 492610,
  [SMALL_STATE(8780)] = 492631,
  [SMALL_STATE(8781)] = 492652,
  [SMALL_STATE(8782)] = 492673,
  [SMALL_STATE(8783)] = 492690,
  [SMALL_STATE(8784)] = 492707,
  [SMALL_STATE(8785)] = 492724,
  [SMALL_STATE(8786)] = 492743,
  [SMALL_STATE(8787)] = 492764,
  [SMALL_STATE(8788)] = 492785,
  [SMALL_STATE(8789)] = 492804,
  [SMALL_STATE(8790)] = 492821,
  [SMALL_STATE(8791)] = 492836,
  [SMALL_STATE(8792)] = 492857,
  [SMALL_STATE(8793)] = 492874,
  [SMALL_STATE(8794)] = 492893,
  [SMALL_STATE(8795)] = 492910,
  [SMALL_STATE(8796)] = 492927,
  [SMALL_STATE(8797)] = 492946,
  [SMALL_STATE(8798)] = 492965,
  [SMALL_STATE(8799)] = 492986,
  [SMALL_STATE(8800)] = 493005,
  [SMALL_STATE(8801)] = 493024,
  [SMALL_STATE(8802)] = 493043,
  [SMALL_STATE(8803)] = 493056,
  [SMALL_STATE(8804)] = 493077,
  [SMALL_STATE(8805)] = 493094,
  [SMALL_STATE(8806)] = 493111,
  [SMALL_STATE(8807)] = 493132,
  [SMALL_STATE(8808)] = 493153,
  [SMALL_STATE(8809)] = 493170,
  [SMALL_STATE(8810)] = 493191,
  [SMALL_STATE(8811)] = 493204,
  [SMALL_STATE(8812)] = 493227,
  [SMALL_STATE(8813)] = 493244,
  [SMALL_STATE(8814)] = 493259,
  [SMALL_STATE(8815)] = 493278,
  [SMALL_STATE(8816)] = 493295,
  [SMALL_STATE(8817)] = 493316,
  [SMALL_STATE(8818)] = 493329,
  [SMALL_STATE(8819)] = 493350,
  [SMALL_STATE(8820)] = 493367,
  [SMALL_STATE(8821)] = 493386,
  [SMALL_STATE(8822)] = 493403,
  [SMALL_STATE(8823)] = 493420,
  [SMALL_STATE(8824)] = 493437,
  [SMALL_STATE(8825)] = 493454,
  [SMALL_STATE(8826)] = 493473,
  [SMALL_STATE(8827)] = 493490,
  [SMALL_STATE(8828)] = 493513,
  [SMALL_STATE(8829)] = 493534,
  [SMALL_STATE(8830)] = 493555,
  [SMALL_STATE(8831)] = 493572,
  [SMALL_STATE(8832)] = 493591,
  [SMALL_STATE(8833)] = 493610,
  [SMALL_STATE(8834)] = 493633,
  [SMALL_STATE(8835)] = 493654,
  [SMALL_STATE(8836)] = 493667,
  [SMALL_STATE(8837)] = 493684,
  [SMALL_STATE(8838)] = 493701,
  [SMALL_STATE(8839)] = 493718,
  [SMALL_STATE(8840)] = 493739,
  [SMALL_STATE(8841)] = 493756,
  [SMALL_STATE(8842)] = 493773,
  [SMALL_STATE(8843)] = 493794,
  [SMALL_STATE(8844)] = 493807,
  [SMALL_STATE(8845)] = 493820,
  [SMALL_STATE(8846)] = 493839,
  [SMALL_STATE(8847)] = 493852,
  [SMALL_STATE(8848)] = 493865,
  [SMALL_STATE(8849)] = 493884,
  [SMALL_STATE(8850)] = 493901,
  [SMALL_STATE(8851)] = 493918,
  [SMALL_STATE(8852)] = 493939,
  [SMALL_STATE(8853)] = 493960,
  [SMALL_STATE(8854)] = 493981,
  [SMALL_STATE(8855)] = 493996,
  [SMALL_STATE(8856)] = 494009,
  [SMALL_STATE(8857)] = 494032,
  [SMALL_STATE(8858)] = 494049,
  [SMALL_STATE(8859)] = 494068,
  [SMALL_STATE(8860)] = 494083,
  [SMALL_STATE(8861)] = 494096,
  [SMALL_STATE(8862)] = 494115,
  [SMALL_STATE(8863)] = 494134,
  [SMALL_STATE(8864)] = 494155,
  [SMALL_STATE(8865)] = 494172,
  [SMALL_STATE(8866)] = 494189,
  [SMALL_STATE(8867)] = 494208,
  [SMALL_STATE(8868)] = 494227,
  [SMALL_STATE(8869)] = 494244,
  [SMALL_STATE(8870)] = 494263,
  [SMALL_STATE(8871)] = 494282,
  [SMALL_STATE(8872)] = 494303,
  [SMALL_STATE(8873)] = 494326,
  [SMALL_STATE(8874)] = 494347,
  [SMALL_STATE(8875)] = 494360,
  [SMALL_STATE(8876)] = 494377,
  [SMALL_STATE(8877)] = 494398,
  [SMALL_STATE(8878)] = 494419,
  [SMALL_STATE(8879)] = 494440,
  [SMALL_STATE(8880)] = 494457,
  [SMALL_STATE(8881)] = 494478,
  [SMALL_STATE(8882)] = 494497,
  [SMALL_STATE(8883)] = 494518,
  [SMALL_STATE(8884)] = 494537,
  [SMALL_STATE(8885)] = 494560,
  [SMALL_STATE(8886)] = 494573,
  [SMALL_STATE(8887)] = 494594,
  [SMALL_STATE(8888)] = 494613,
  [SMALL_STATE(8889)] = 494636,
  [SMALL_STATE(8890)] = 494655,
  [SMALL_STATE(8891)] = 494672,
  [SMALL_STATE(8892)] = 494695,
  [SMALL_STATE(8893)] = 494712,
  [SMALL_STATE(8894)] = 494733,
  [SMALL_STATE(8895)] = 494752,
  [SMALL_STATE(8896)] = 494773,
  [SMALL_STATE(8897)] = 494792,
  [SMALL_STATE(8898)] = 494813,
  [SMALL_STATE(8899)] = 494829,
  [SMALL_STATE(8900)] = 494845,
  [SMALL_STATE(8901)] = 494863,
  [SMALL_STATE(8902)] = 494879,
  [SMALL_STATE(8903)] = 494895,
  [SMALL_STATE(8904)] = 494915,
  [SMALL_STATE(8905)] = 494927,
  [SMALL_STATE(8906)] = 494943,
  [SMALL_STATE(8907)] = 494959,
  [SMALL_STATE(8908)] = 494975,
  [SMALL_STATE(8909)] = 494991,
  [SMALL_STATE(8910)] = 495011,
  [SMALL_STATE(8911)] = 495027,
  [SMALL_STATE(8912)] = 495043,
  [SMALL_STATE(8913)] = 495061,
  [SMALL_STATE(8914)] = 495079,
  [SMALL_STATE(8915)] = 495095,
  [SMALL_STATE(8916)] = 495111,
  [SMALL_STATE(8917)] = 495131,
  [SMALL_STATE(8918)] = 495147,
  [SMALL_STATE(8919)] = 495163,
  [SMALL_STATE(8920)] = 495179,
  [SMALL_STATE(8921)] = 495195,
  [SMALL_STATE(8922)] = 495215,
  [SMALL_STATE(8923)] = 495233,
  [SMALL_STATE(8924)] = 495251,
  [SMALL_STATE(8925)] = 495267,
  [SMALL_STATE(8926)] = 495287,
  [SMALL_STATE(8927)] = 495303,
  [SMALL_STATE(8928)] = 495319,
  [SMALL_STATE(8929)] = 495337,
  [SMALL_STATE(8930)] = 495357,
  [SMALL_STATE(8931)] = 495377,
  [SMALL_STATE(8932)] = 495393,
  [SMALL_STATE(8933)] = 495409,
  [SMALL_STATE(8934)] = 495425,
  [SMALL_STATE(8935)] = 495441,
  [SMALL_STATE(8936)] = 495455,
  [SMALL_STATE(8937)] = 495475,
  [SMALL_STATE(8938)] = 495495,
  [SMALL_STATE(8939)] = 495515,
  [SMALL_STATE(8940)] = 495531,
  [SMALL_STATE(8941)] = 495551,
  [SMALL_STATE(8942)] = 495567,
  [SMALL_STATE(8943)] = 495583,
  [SMALL_STATE(8944)] = 495599,
  [SMALL_STATE(8945)] = 495615,
  [SMALL_STATE(8946)] = 495631,
  [SMALL_STATE(8947)] = 495649,
  [SMALL_STATE(8948)] = 495665,
  [SMALL_STATE(8949)] = 495681,
  [SMALL_STATE(8950)] = 495697,
  [SMALL_STATE(8951)] = 495713,
  [SMALL_STATE(8952)] = 495729,
  [SMALL_STATE(8953)] = 495745,
  [SMALL_STATE(8954)] = 495763,
  [SMALL_STATE(8955)] = 495779,
  [SMALL_STATE(8956)] = 495795,
  [SMALL_STATE(8957)] = 495811,
  [SMALL_STATE(8958)] = 495827,
  [SMALL_STATE(8959)] = 495845,
  [SMALL_STATE(8960)] = 495861,
  [SMALL_STATE(8961)] = 495877,
  [SMALL_STATE(8962)] = 495893,
  [SMALL_STATE(8963)] = 495911,
  [SMALL_STATE(8964)] = 495929,
  [SMALL_STATE(8965)] = 495945,
  [SMALL_STATE(8966)] = 495961,
  [SMALL_STATE(8967)] = 495977,
  [SMALL_STATE(8968)] = 495989,
  [SMALL_STATE(8969)] = 496005,
  [SMALL_STATE(8970)] = 496021,
  [SMALL_STATE(8971)] = 496037,
  [SMALL_STATE(8972)] = 496051,
  [SMALL_STATE(8973)] = 496067,
  [SMALL_STATE(8974)] = 496079,
  [SMALL_STATE(8975)] = 496095,
  [SMALL_STATE(8976)] = 496111,
  [SMALL_STATE(8977)] = 496129,
  [SMALL_STATE(8978)] = 496147,
  [SMALL_STATE(8979)] = 496163,
  [SMALL_STATE(8980)] = 496179,
  [SMALL_STATE(8981)] = 496195,
  [SMALL_STATE(8982)] = 496211,
  [SMALL_STATE(8983)] = 496227,
  [SMALL_STATE(8984)] = 496243,
  [SMALL_STATE(8985)] = 496259,
  [SMALL_STATE(8986)] = 496271,
  [SMALL_STATE(8987)] = 496287,
  [SMALL_STATE(8988)] = 496305,
  [SMALL_STATE(8989)] = 496321,
  [SMALL_STATE(8990)] = 496337,
  [SMALL_STATE(8991)] = 496355,
  [SMALL_STATE(8992)] = 496371,
  [SMALL_STATE(8993)] = 496389,
  [SMALL_STATE(8994)] = 496405,
  [SMALL_STATE(8995)] = 496421,
  [SMALL_STATE(8996)] = 496437,
  [SMALL_STATE(8997)] = 496453,
  [SMALL_STATE(8998)] = 496469,
  [SMALL_STATE(8999)] = 496485,
  [SMALL_STATE(9000)] = 496501,
  [SMALL_STATE(9001)] = 496517,
  [SMALL_STATE(9002)] = 496533,
  [SMALL_STATE(9003)] = 496549,
  [SMALL_STATE(9004)] = 496565,
  [SMALL_STATE(9005)] = 496581,
  [SMALL_STATE(9006)] = 496597,
  [SMALL_STATE(9007)] = 496613,
  [SMALL_STATE(9008)] = 496629,
  [SMALL_STATE(9009)] = 496645,
  [SMALL_STATE(9010)] = 496661,
  [SMALL_STATE(9011)] = 496677,
  [SMALL_STATE(9012)] = 496693,
  [SMALL_STATE(9013)] = 496709,
  [SMALL_STATE(9014)] = 496727,
  [SMALL_STATE(9015)] = 496743,
  [SMALL_STATE(9016)] = 496759,
  [SMALL_STATE(9017)] = 496775,
  [SMALL_STATE(9018)] = 496791,
  [SMALL_STATE(9019)] = 496807,
  [SMALL_STATE(9020)] = 496823,
  [SMALL_STATE(9021)] = 496839,
  [SMALL_STATE(9022)] = 496855,
  [SMALL_STATE(9023)] = 496871,
  [SMALL_STATE(9024)] = 496889,
  [SMALL_STATE(9025)] = 496905,
  [SMALL_STATE(9026)] = 496923,
  [SMALL_STATE(9027)] = 496937,
  [SMALL_STATE(9028)] = 496953,
  [SMALL_STATE(9029)] = 496969,
  [SMALL_STATE(9030)] = 496989,
  [SMALL_STATE(9031)] = 497003,
  [SMALL_STATE(9032)] = 497017,
  [SMALL_STATE(9033)] = 497033,
  [SMALL_STATE(9034)] = 497051,
  [SMALL_STATE(9035)] = 497067,
  [SMALL_STATE(9036)] = 497081,
  [SMALL_STATE(9037)] = 497099,
  [SMALL_STATE(9038)] = 497115,
  [SMALL_STATE(9039)] = 497129,
  [SMALL_STATE(9040)] = 497143,
  [SMALL_STATE(9041)] = 497159,
  [SMALL_STATE(9042)] = 497173,
  [SMALL_STATE(9043)] = 497189,
  [SMALL_STATE(9044)] = 497205,
  [SMALL_STATE(9045)] = 497217,
  [SMALL_STATE(9046)] = 497233,
  [SMALL_STATE(9047)] = 497249,
  [SMALL_STATE(9048)] = 497265,
  [SMALL_STATE(9049)] = 497285,
  [SMALL_STATE(9050)] = 497301,
  [SMALL_STATE(9051)] = 497317,
  [SMALL_STATE(9052)] = 497331,
  [SMALL_STATE(9053)] = 497347,
  [SMALL_STATE(9054)] = 497361,
  [SMALL_STATE(9055)] = 497377,
  [SMALL_STATE(9056)] = 497393,
  [SMALL_STATE(9057)] = 497411,
  [SMALL_STATE(9058)] = 497431,
  [SMALL_STATE(9059)] = 497447,
  [SMALL_STATE(9060)] = 497463,
  [SMALL_STATE(9061)] = 497479,
  [SMALL_STATE(9062)] = 497495,
  [SMALL_STATE(9063)] = 497511,
  [SMALL_STATE(9064)] = 497527,
  [SMALL_STATE(9065)] = 497543,
  [SMALL_STATE(9066)] = 497559,
  [SMALL_STATE(9067)] = 497579,
  [SMALL_STATE(9068)] = 497595,
  [SMALL_STATE(9069)] = 497611,
  [SMALL_STATE(9070)] = 497627,
  [SMALL_STATE(9071)] = 497645,
  [SMALL_STATE(9072)] = 497663,
  [SMALL_STATE(9073)] = 497679,
  [SMALL_STATE(9074)] = 497695,
  [SMALL_STATE(9075)] = 497715,
  [SMALL_STATE(9076)] = 497731,
  [SMALL_STATE(9077)] = 497747,
  [SMALL_STATE(9078)] = 497765,
  [SMALL_STATE(9079)] = 497781,
  [SMALL_STATE(9080)] = 497797,
  [SMALL_STATE(9081)] = 497813,
  [SMALL_STATE(9082)] = 497829,
  [SMALL_STATE(9083)] = 497845,
  [SMALL_STATE(9084)] = 497861,
  [SMALL_STATE(9085)] = 497877,
  [SMALL_STATE(9086)] = 497893,
  [SMALL_STATE(9087)] = 497909,
  [SMALL_STATE(9088)] = 497927,
  [SMALL_STATE(9089)] = 497945,
  [SMALL_STATE(9090)] = 497965,
  [SMALL_STATE(9091)] = 497981,
  [SMALL_STATE(9092)] = 497995,
  [SMALL_STATE(9093)] = 498013,
  [SMALL_STATE(9094)] = 498029,
  [SMALL_STATE(9095)] = 498047,
  [SMALL_STATE(9096)] = 498059,
  [SMALL_STATE(9097)] = 498075,
  [SMALL_STATE(9098)] = 498091,
  [SMALL_STATE(9099)] = 498107,
  [SMALL_STATE(9100)] = 498127,
  [SMALL_STATE(9101)] = 498143,
  [SMALL_STATE(9102)] = 498159,
  [SMALL_STATE(9103)] = 498175,
  [SMALL_STATE(9104)] = 498193,
  [SMALL_STATE(9105)] = 498209,
  [SMALL_STATE(9106)] = 498223,
  [SMALL_STATE(9107)] = 498237,
  [SMALL_STATE(9108)] = 498253,
  [SMALL_STATE(9109)] = 498269,
  [SMALL_STATE(9110)] = 498287,
  [SMALL_STATE(9111)] = 498303,
  [SMALL_STATE(9112)] = 498319,
  [SMALL_STATE(9113)] = 498335,
  [SMALL_STATE(9114)] = 498355,
  [SMALL_STATE(9115)] = 498371,
  [SMALL_STATE(9116)] = 498387,
  [SMALL_STATE(9117)] = 498405,
  [SMALL_STATE(9118)] = 498421,
  [SMALL_STATE(9119)] = 498433,
  [SMALL_STATE(9120)] = 498449,
  [SMALL_STATE(9121)] = 498463,
  [SMALL_STATE(9122)] = 498479,
  [SMALL_STATE(9123)] = 498493,
  [SMALL_STATE(9124)] = 498509,
  [SMALL_STATE(9125)] = 498529,
  [SMALL_STATE(9126)] = 498545,
  [SMALL_STATE(9127)] = 498561,
  [SMALL_STATE(9128)] = 498579,
  [SMALL_STATE(9129)] = 498595,
  [SMALL_STATE(9130)] = 498611,
  [SMALL_STATE(9131)] = 498627,
  [SMALL_STATE(9132)] = 498645,
  [SMALL_STATE(9133)] = 498661,
  [SMALL_STATE(9134)] = 498681,
  [SMALL_STATE(9135)] = 498697,
  [SMALL_STATE(9136)] = 498713,
  [SMALL_STATE(9137)] = 498731,
  [SMALL_STATE(9138)] = 498747,
  [SMALL_STATE(9139)] = 498765,
  [SMALL_STATE(9140)] = 498783,
  [SMALL_STATE(9141)] = 498797,
  [SMALL_STATE(9142)] = 498817,
  [SMALL_STATE(9143)] = 498833,
  [SMALL_STATE(9144)] = 498849,
  [SMALL_STATE(9145)] = 498869,
  [SMALL_STATE(9146)] = 498885,
  [SMALL_STATE(9147)] = 498905,
  [SMALL_STATE(9148)] = 498921,
  [SMALL_STATE(9149)] = 498937,
  [SMALL_STATE(9150)] = 498957,
  [SMALL_STATE(9151)] = 498973,
  [SMALL_STATE(9152)] = 498991,
  [SMALL_STATE(9153)] = 499007,
  [SMALL_STATE(9154)] = 499021,
  [SMALL_STATE(9155)] = 499039,
  [SMALL_STATE(9156)] = 499055,
  [SMALL_STATE(9157)] = 499071,
  [SMALL_STATE(9158)] = 499091,
  [SMALL_STATE(9159)] = 499107,
  [SMALL_STATE(9160)] = 499123,
  [SMALL_STATE(9161)] = 499139,
  [SMALL_STATE(9162)] = 499157,
  [SMALL_STATE(9163)] = 499169,
  [SMALL_STATE(9164)] = 499185,
  [SMALL_STATE(9165)] = 499201,
  [SMALL_STATE(9166)] = 499221,
  [SMALL_STATE(9167)] = 499237,
  [SMALL_STATE(9168)] = 499253,
  [SMALL_STATE(9169)] = 499269,
  [SMALL_STATE(9170)] = 499285,
  [SMALL_STATE(9171)] = 499303,
  [SMALL_STATE(9172)] = 499321,
  [SMALL_STATE(9173)] = 499337,
  [SMALL_STATE(9174)] = 499355,
  [SMALL_STATE(9175)] = 499371,
  [SMALL_STATE(9176)] = 499391,
  [SMALL_STATE(9177)] = 499407,
  [SMALL_STATE(9178)] = 499423,
  [SMALL_STATE(9179)] = 499441,
  [SMALL_STATE(9180)] = 499453,
  [SMALL_STATE(9181)] = 499469,
  [SMALL_STATE(9182)] = 499485,
  [SMALL_STATE(9183)] = 499505,
  [SMALL_STATE(9184)] = 499521,
  [SMALL_STATE(9185)] = 499535,
  [SMALL_STATE(9186)] = 499551,
  [SMALL_STATE(9187)] = 499565,
  [SMALL_STATE(9188)] = 499581,
  [SMALL_STATE(9189)] = 499597,
  [SMALL_STATE(9190)] = 499617,
  [SMALL_STATE(9191)] = 499633,
  [SMALL_STATE(9192)] = 499647,
  [SMALL_STATE(9193)] = 499663,
  [SMALL_STATE(9194)] = 499679,
  [SMALL_STATE(9195)] = 499695,
  [SMALL_STATE(9196)] = 499711,
  [SMALL_STATE(9197)] = 499727,
  [SMALL_STATE(9198)] = 499743,
  [SMALL_STATE(9199)] = 499763,
  [SMALL_STATE(9200)] = 499779,
  [SMALL_STATE(9201)] = 499795,
  [SMALL_STATE(9202)] = 499811,
  [SMALL_STATE(9203)] = 499827,
  [SMALL_STATE(9204)] = 499843,
  [SMALL_STATE(9205)] = 499863,
  [SMALL_STATE(9206)] = 499883,
  [SMALL_STATE(9207)] = 499899,
  [SMALL_STATE(9208)] = 499915,
  [SMALL_STATE(9209)] = 499931,
  [SMALL_STATE(9210)] = 499947,
  [SMALL_STATE(9211)] = 499963,
  [SMALL_STATE(9212)] = 499975,
  [SMALL_STATE(9213)] = 499993,
  [SMALL_STATE(9214)] = 500007,
  [SMALL_STATE(9215)] = 500023,
  [SMALL_STATE(9216)] = 500039,
  [SMALL_STATE(9217)] = 500053,
  [SMALL_STATE(9218)] = 500069,
  [SMALL_STATE(9219)] = 500085,
  [SMALL_STATE(9220)] = 500101,
  [SMALL_STATE(9221)] = 500117,
  [SMALL_STATE(9222)] = 500133,
  [SMALL_STATE(9223)] = 500149,
  [SMALL_STATE(9224)] = 500165,
  [SMALL_STATE(9225)] = 500181,
  [SMALL_STATE(9226)] = 500197,
  [SMALL_STATE(9227)] = 500213,
  [SMALL_STATE(9228)] = 500229,
  [SMALL_STATE(9229)] = 500245,
  [SMALL_STATE(9230)] = 500261,
  [SMALL_STATE(9231)] = 500279,
  [SMALL_STATE(9232)] = 500293,
  [SMALL_STATE(9233)] = 500311,
  [SMALL_STATE(9234)] = 500331,
  [SMALL_STATE(9235)] = 500349,
  [SMALL_STATE(9236)] = 500365,
  [SMALL_STATE(9237)] = 500381,
  [SMALL_STATE(9238)] = 500397,
  [SMALL_STATE(9239)] = 500415,
  [SMALL_STATE(9240)] = 500431,
  [SMALL_STATE(9241)] = 500449,
  [SMALL_STATE(9242)] = 500465,
  [SMALL_STATE(9243)] = 500483,
  [SMALL_STATE(9244)] = 500499,
  [SMALL_STATE(9245)] = 500515,
  [SMALL_STATE(9246)] = 500531,
  [SMALL_STATE(9247)] = 500547,
  [SMALL_STATE(9248)] = 500565,
  [SMALL_STATE(9249)] = 500581,
  [SMALL_STATE(9250)] = 500597,
  [SMALL_STATE(9251)] = 500613,
  [SMALL_STATE(9252)] = 500629,
  [SMALL_STATE(9253)] = 500643,
  [SMALL_STATE(9254)] = 500659,
  [SMALL_STATE(9255)] = 500675,
  [SMALL_STATE(9256)] = 500693,
  [SMALL_STATE(9257)] = 500709,
  [SMALL_STATE(9258)] = 500725,
  [SMALL_STATE(9259)] = 500741,
  [SMALL_STATE(9260)] = 500757,
  [SMALL_STATE(9261)] = 500775,
  [SMALL_STATE(9262)] = 500791,
  [SMALL_STATE(9263)] = 500807,
  [SMALL_STATE(9264)] = 500825,
  [SMALL_STATE(9265)] = 500843,
  [SMALL_STATE(9266)] = 500859,
  [SMALL_STATE(9267)] = 500875,
  [SMALL_STATE(9268)] = 500889,
  [SMALL_STATE(9269)] = 500905,
  [SMALL_STATE(9270)] = 500921,
  [SMALL_STATE(9271)] = 500939,
  [SMALL_STATE(9272)] = 500955,
  [SMALL_STATE(9273)] = 500971,
  [SMALL_STATE(9274)] = 500987,
  [SMALL_STATE(9275)] = 501003,
  [SMALL_STATE(9276)] = 501019,
  [SMALL_STATE(9277)] = 501039,
  [SMALL_STATE(9278)] = 501059,
  [SMALL_STATE(9279)] = 501077,
  [SMALL_STATE(9280)] = 501093,
  [SMALL_STATE(9281)] = 501109,
  [SMALL_STATE(9282)] = 501125,
  [SMALL_STATE(9283)] = 501139,
  [SMALL_STATE(9284)] = 501159,
  [SMALL_STATE(9285)] = 501175,
  [SMALL_STATE(9286)] = 501189,
  [SMALL_STATE(9287)] = 501205,
  [SMALL_STATE(9288)] = 501221,
  [SMALL_STATE(9289)] = 501237,
  [SMALL_STATE(9290)] = 501253,
  [SMALL_STATE(9291)] = 501265,
  [SMALL_STATE(9292)] = 501283,
  [SMALL_STATE(9293)] = 501299,
  [SMALL_STATE(9294)] = 501317,
  [SMALL_STATE(9295)] = 501333,
  [SMALL_STATE(9296)] = 501351,
  [SMALL_STATE(9297)] = 501369,
  [SMALL_STATE(9298)] = 501387,
  [SMALL_STATE(9299)] = 501405,
  [SMALL_STATE(9300)] = 501421,
  [SMALL_STATE(9301)] = 501439,
  [SMALL_STATE(9302)] = 501457,
  [SMALL_STATE(9303)] = 501473,
  [SMALL_STATE(9304)] = 501489,
  [SMALL_STATE(9305)] = 501505,
  [SMALL_STATE(9306)] = 501519,
  [SMALL_STATE(9307)] = 501533,
  [SMALL_STATE(9308)] = 501549,
  [SMALL_STATE(9309)] = 501565,
  [SMALL_STATE(9310)] = 501583,
  [SMALL_STATE(9311)] = 501601,
  [SMALL_STATE(9312)] = 501617,
  [SMALL_STATE(9313)] = 501633,
  [SMALL_STATE(9314)] = 501651,
  [SMALL_STATE(9315)] = 501667,
  [SMALL_STATE(9316)] = 501685,
  [SMALL_STATE(9317)] = 501703,
  [SMALL_STATE(9318)] = 501719,
  [SMALL_STATE(9319)] = 501737,
  [SMALL_STATE(9320)] = 501755,
  [SMALL_STATE(9321)] = 501771,
  [SMALL_STATE(9322)] = 501789,
  [SMALL_STATE(9323)] = 501807,
  [SMALL_STATE(9324)] = 501825,
  [SMALL_STATE(9325)] = 501841,
  [SMALL_STATE(9326)] = 501853,
  [SMALL_STATE(9327)] = 501869,
  [SMALL_STATE(9328)] = 501885,
  [SMALL_STATE(9329)] = 501901,
  [SMALL_STATE(9330)] = 501919,
  [SMALL_STATE(9331)] = 501937,
  [SMALL_STATE(9332)] = 501955,
  [SMALL_STATE(9333)] = 501973,
  [SMALL_STATE(9334)] = 501991,
  [SMALL_STATE(9335)] = 502009,
  [SMALL_STATE(9336)] = 502027,
  [SMALL_STATE(9337)] = 502043,
  [SMALL_STATE(9338)] = 502059,
  [SMALL_STATE(9339)] = 502079,
  [SMALL_STATE(9340)] = 502097,
  [SMALL_STATE(9341)] = 502115,
  [SMALL_STATE(9342)] = 502131,
  [SMALL_STATE(9343)] = 502147,
  [SMALL_STATE(9344)] = 502163,
  [SMALL_STATE(9345)] = 502181,
  [SMALL_STATE(9346)] = 502197,
  [SMALL_STATE(9347)] = 502215,
  [SMALL_STATE(9348)] = 502231,
  [SMALL_STATE(9349)] = 502247,
  [SMALL_STATE(9350)] = 502263,
  [SMALL_STATE(9351)] = 502281,
  [SMALL_STATE(9352)] = 502297,
  [SMALL_STATE(9353)] = 502313,
  [SMALL_STATE(9354)] = 502329,
  [SMALL_STATE(9355)] = 502347,
  [SMALL_STATE(9356)] = 502363,
  [SMALL_STATE(9357)] = 502379,
  [SMALL_STATE(9358)] = 502397,
  [SMALL_STATE(9359)] = 502415,
  [SMALL_STATE(9360)] = 502433,
  [SMALL_STATE(9361)] = 502451,
  [SMALL_STATE(9362)] = 502469,
  [SMALL_STATE(9363)] = 502485,
  [SMALL_STATE(9364)] = 502501,
  [SMALL_STATE(9365)] = 502519,
  [SMALL_STATE(9366)] = 502537,
  [SMALL_STATE(9367)] = 502555,
  [SMALL_STATE(9368)] = 502573,
  [SMALL_STATE(9369)] = 502591,
  [SMALL_STATE(9370)] = 502607,
  [SMALL_STATE(9371)] = 502625,
  [SMALL_STATE(9372)] = 502641,
  [SMALL_STATE(9373)] = 502657,
  [SMALL_STATE(9374)] = 502675,
  [SMALL_STATE(9375)] = 502689,
  [SMALL_STATE(9376)] = 502707,
  [SMALL_STATE(9377)] = 502725,
  [SMALL_STATE(9378)] = 502743,
  [SMALL_STATE(9379)] = 502761,
  [SMALL_STATE(9380)] = 502777,
  [SMALL_STATE(9381)] = 502795,
  [SMALL_STATE(9382)] = 502811,
  [SMALL_STATE(9383)] = 502829,
  [SMALL_STATE(9384)] = 502847,
  [SMALL_STATE(9385)] = 502865,
  [SMALL_STATE(9386)] = 502883,
  [SMALL_STATE(9387)] = 502899,
  [SMALL_STATE(9388)] = 502915,
  [SMALL_STATE(9389)] = 502933,
  [SMALL_STATE(9390)] = 502951,
  [SMALL_STATE(9391)] = 502967,
  [SMALL_STATE(9392)] = 502985,
  [SMALL_STATE(9393)] = 503003,
  [SMALL_STATE(9394)] = 503021,
  [SMALL_STATE(9395)] = 503033,
  [SMALL_STATE(9396)] = 503049,
  [SMALL_STATE(9397)] = 503065,
  [SMALL_STATE(9398)] = 503081,
  [SMALL_STATE(9399)] = 503099,
  [SMALL_STATE(9400)] = 503117,
  [SMALL_STATE(9401)] = 503135,
  [SMALL_STATE(9402)] = 503147,
  [SMALL_STATE(9403)] = 503165,
  [SMALL_STATE(9404)] = 503177,
  [SMALL_STATE(9405)] = 503195,
  [SMALL_STATE(9406)] = 503211,
  [SMALL_STATE(9407)] = 503227,
  [SMALL_STATE(9408)] = 503245,
  [SMALL_STATE(9409)] = 503263,
  [SMALL_STATE(9410)] = 503281,
  [SMALL_STATE(9411)] = 503299,
  [SMALL_STATE(9412)] = 503315,
  [SMALL_STATE(9413)] = 503333,
  [SMALL_STATE(9414)] = 503351,
  [SMALL_STATE(9415)] = 503367,
  [SMALL_STATE(9416)] = 503383,
  [SMALL_STATE(9417)] = 503399,
  [SMALL_STATE(9418)] = 503417,
  [SMALL_STATE(9419)] = 503435,
  [SMALL_STATE(9420)] = 503453,
  [SMALL_STATE(9421)] = 503471,
  [SMALL_STATE(9422)] = 503489,
  [SMALL_STATE(9423)] = 503507,
  [SMALL_STATE(9424)] = 503521,
  [SMALL_STATE(9425)] = 503539,
  [SMALL_STATE(9426)] = 503557,
  [SMALL_STATE(9427)] = 503575,
  [SMALL_STATE(9428)] = 503593,
  [SMALL_STATE(9429)] = 503611,
  [SMALL_STATE(9430)] = 503629,
  [SMALL_STATE(9431)] = 503647,
  [SMALL_STATE(9432)] = 503663,
  [SMALL_STATE(9433)] = 503679,
  [SMALL_STATE(9434)] = 503695,
  [SMALL_STATE(9435)] = 503711,
  [SMALL_STATE(9436)] = 503729,
  [SMALL_STATE(9437)] = 503747,
  [SMALL_STATE(9438)] = 503763,
  [SMALL_STATE(9439)] = 503781,
  [SMALL_STATE(9440)] = 503799,
  [SMALL_STATE(9441)] = 503817,
  [SMALL_STATE(9442)] = 503833,
  [SMALL_STATE(9443)] = 503849,
  [SMALL_STATE(9444)] = 503867,
  [SMALL_STATE(9445)] = 503885,
  [SMALL_STATE(9446)] = 503903,
  [SMALL_STATE(9447)] = 503921,
  [SMALL_STATE(9448)] = 503939,
  [SMALL_STATE(9449)] = 503957,
  [SMALL_STATE(9450)] = 503975,
  [SMALL_STATE(9451)] = 503993,
  [SMALL_STATE(9452)] = 504011,
  [SMALL_STATE(9453)] = 504031,
  [SMALL_STATE(9454)] = 504047,
  [SMALL_STATE(9455)] = 504065,
  [SMALL_STATE(9456)] = 504081,
  [SMALL_STATE(9457)] = 504101,
  [SMALL_STATE(9458)] = 504117,
  [SMALL_STATE(9459)] = 504133,
  [SMALL_STATE(9460)] = 504151,
  [SMALL_STATE(9461)] = 504167,
  [SMALL_STATE(9462)] = 504183,
  [SMALL_STATE(9463)] = 504199,
  [SMALL_STATE(9464)] = 504215,
  [SMALL_STATE(9465)] = 504233,
  [SMALL_STATE(9466)] = 504251,
  [SMALL_STATE(9467)] = 504267,
  [SMALL_STATE(9468)] = 504283,
  [SMALL_STATE(9469)] = 504299,
  [SMALL_STATE(9470)] = 504315,
  [SMALL_STATE(9471)] = 504331,
  [SMALL_STATE(9472)] = 504347,
  [SMALL_STATE(9473)] = 504363,
  [SMALL_STATE(9474)] = 504381,
  [SMALL_STATE(9475)] = 504397,
  [SMALL_STATE(9476)] = 504411,
  [SMALL_STATE(9477)] = 504427,
  [SMALL_STATE(9478)] = 504443,
  [SMALL_STATE(9479)] = 504459,
  [SMALL_STATE(9480)] = 504475,
  [SMALL_STATE(9481)] = 504491,
  [SMALL_STATE(9482)] = 504507,
  [SMALL_STATE(9483)] = 504523,
  [SMALL_STATE(9484)] = 504539,
  [SMALL_STATE(9485)] = 504555,
  [SMALL_STATE(9486)] = 504571,
  [SMALL_STATE(9487)] = 504587,
  [SMALL_STATE(9488)] = 504603,
  [SMALL_STATE(9489)] = 504619,
  [SMALL_STATE(9490)] = 504635,
  [SMALL_STATE(9491)] = 504651,
  [SMALL_STATE(9492)] = 504667,
  [SMALL_STATE(9493)] = 504683,
  [SMALL_STATE(9494)] = 504699,
  [SMALL_STATE(9495)] = 504715,
  [SMALL_STATE(9496)] = 504731,
  [SMALL_STATE(9497)] = 504751,
  [SMALL_STATE(9498)] = 504767,
  [SMALL_STATE(9499)] = 504783,
  [SMALL_STATE(9500)] = 504799,
  [SMALL_STATE(9501)] = 504815,
  [SMALL_STATE(9502)] = 504831,
  [SMALL_STATE(9503)] = 504847,
  [SMALL_STATE(9504)] = 504865,
  [SMALL_STATE(9505)] = 504883,
  [SMALL_STATE(9506)] = 504899,
  [SMALL_STATE(9507)] = 504915,
  [SMALL_STATE(9508)] = 504931,
  [SMALL_STATE(9509)] = 504947,
  [SMALL_STATE(9510)] = 504963,
  [SMALL_STATE(9511)] = 504981,
  [SMALL_STATE(9512)] = 504995,
  [SMALL_STATE(9513)] = 505009,
  [SMALL_STATE(9514)] = 505029,
  [SMALL_STATE(9515)] = 505049,
  [SMALL_STATE(9516)] = 505065,
  [SMALL_STATE(9517)] = 505081,
  [SMALL_STATE(9518)] = 505097,
  [SMALL_STATE(9519)] = 505117,
  [SMALL_STATE(9520)] = 505129,
  [SMALL_STATE(9521)] = 505145,
  [SMALL_STATE(9522)] = 505161,
  [SMALL_STATE(9523)] = 505177,
  [SMALL_STATE(9524)] = 505193,
  [SMALL_STATE(9525)] = 505209,
  [SMALL_STATE(9526)] = 505227,
  [SMALL_STATE(9527)] = 505243,
  [SMALL_STATE(9528)] = 505257,
  [SMALL_STATE(9529)] = 505271,
  [SMALL_STATE(9530)] = 505289,
  [SMALL_STATE(9531)] = 505305,
  [SMALL_STATE(9532)] = 505321,
  [SMALL_STATE(9533)] = 505337,
  [SMALL_STATE(9534)] = 505353,
  [SMALL_STATE(9535)] = 505369,
  [SMALL_STATE(9536)] = 505385,
  [SMALL_STATE(9537)] = 505403,
  [SMALL_STATE(9538)] = 505419,
  [SMALL_STATE(9539)] = 505435,
  [SMALL_STATE(9540)] = 505451,
  [SMALL_STATE(9541)] = 505467,
  [SMALL_STATE(9542)] = 505483,
  [SMALL_STATE(9543)] = 505499,
  [SMALL_STATE(9544)] = 505515,
  [SMALL_STATE(9545)] = 505531,
  [SMALL_STATE(9546)] = 505549,
  [SMALL_STATE(9547)] = 505561,
  [SMALL_STATE(9548)] = 505577,
  [SMALL_STATE(9549)] = 505593,
  [SMALL_STATE(9550)] = 505609,
  [SMALL_STATE(9551)] = 505625,
  [SMALL_STATE(9552)] = 505641,
  [SMALL_STATE(9553)] = 505657,
  [SMALL_STATE(9554)] = 505673,
  [SMALL_STATE(9555)] = 505689,
  [SMALL_STATE(9556)] = 505705,
  [SMALL_STATE(9557)] = 505721,
  [SMALL_STATE(9558)] = 505739,
  [SMALL_STATE(9559)] = 505757,
  [SMALL_STATE(9560)] = 505771,
  [SMALL_STATE(9561)] = 505789,
  [SMALL_STATE(9562)] = 505805,
  [SMALL_STATE(9563)] = 505823,
  [SMALL_STATE(9564)] = 505839,
  [SMALL_STATE(9565)] = 505857,
  [SMALL_STATE(9566)] = 505873,
  [SMALL_STATE(9567)] = 505889,
  [SMALL_STATE(9568)] = 505905,
  [SMALL_STATE(9569)] = 505921,
  [SMALL_STATE(9570)] = 505937,
  [SMALL_STATE(9571)] = 505953,
  [SMALL_STATE(9572)] = 505969,
  [SMALL_STATE(9573)] = 505985,
  [SMALL_STATE(9574)] = 506001,
  [SMALL_STATE(9575)] = 506017,
  [SMALL_STATE(9576)] = 506033,
  [SMALL_STATE(9577)] = 506049,
  [SMALL_STATE(9578)] = 506065,
  [SMALL_STATE(9579)] = 506081,
  [SMALL_STATE(9580)] = 506097,
  [SMALL_STATE(9581)] = 506113,
  [SMALL_STATE(9582)] = 506129,
  [SMALL_STATE(9583)] = 506143,
  [SMALL_STATE(9584)] = 506159,
  [SMALL_STATE(9585)] = 506175,
  [SMALL_STATE(9586)] = 506193,
  [SMALL_STATE(9587)] = 506209,
  [SMALL_STATE(9588)] = 506225,
  [SMALL_STATE(9589)] = 506241,
  [SMALL_STATE(9590)] = 506261,
  [SMALL_STATE(9591)] = 506277,
  [SMALL_STATE(9592)] = 506293,
  [SMALL_STATE(9593)] = 506309,
  [SMALL_STATE(9594)] = 506327,
  [SMALL_STATE(9595)] = 506343,
  [SMALL_STATE(9596)] = 506359,
  [SMALL_STATE(9597)] = 506375,
  [SMALL_STATE(9598)] = 506391,
  [SMALL_STATE(9599)] = 506407,
  [SMALL_STATE(9600)] = 506425,
  [SMALL_STATE(9601)] = 506441,
  [SMALL_STATE(9602)] = 506457,
  [SMALL_STATE(9603)] = 506473,
  [SMALL_STATE(9604)] = 506489,
  [SMALL_STATE(9605)] = 506505,
  [SMALL_STATE(9606)] = 506523,
  [SMALL_STATE(9607)] = 506539,
  [SMALL_STATE(9608)] = 506557,
  [SMALL_STATE(9609)] = 506575,
  [SMALL_STATE(9610)] = 506591,
  [SMALL_STATE(9611)] = 506607,
  [SMALL_STATE(9612)] = 506623,
  [SMALL_STATE(9613)] = 506639,
  [SMALL_STATE(9614)] = 506657,
  [SMALL_STATE(9615)] = 506675,
  [SMALL_STATE(9616)] = 506691,
  [SMALL_STATE(9617)] = 506709,
  [SMALL_STATE(9618)] = 506725,
  [SMALL_STATE(9619)] = 506743,
  [SMALL_STATE(9620)] = 506759,
  [SMALL_STATE(9621)] = 506775,
  [SMALL_STATE(9622)] = 506791,
  [SMALL_STATE(9623)] = 506807,
  [SMALL_STATE(9624)] = 506825,
  [SMALL_STATE(9625)] = 506841,
  [SMALL_STATE(9626)] = 506859,
  [SMALL_STATE(9627)] = 506875,
  [SMALL_STATE(9628)] = 506891,
  [SMALL_STATE(9629)] = 506907,
  [SMALL_STATE(9630)] = 506925,
  [SMALL_STATE(9631)] = 506941,
  [SMALL_STATE(9632)] = 506957,
  [SMALL_STATE(9633)] = 506973,
  [SMALL_STATE(9634)] = 506991,
  [SMALL_STATE(9635)] = 507007,
  [SMALL_STATE(9636)] = 507025,
  [SMALL_STATE(9637)] = 507041,
  [SMALL_STATE(9638)] = 507059,
  [SMALL_STATE(9639)] = 507075,
  [SMALL_STATE(9640)] = 507091,
  [SMALL_STATE(9641)] = 507107,
  [SMALL_STATE(9642)] = 507125,
  [SMALL_STATE(9643)] = 507141,
  [SMALL_STATE(9644)] = 507157,
  [SMALL_STATE(9645)] = 507175,
  [SMALL_STATE(9646)] = 507191,
  [SMALL_STATE(9647)] = 507207,
  [SMALL_STATE(9648)] = 507223,
  [SMALL_STATE(9649)] = 507239,
  [SMALL_STATE(9650)] = 507255,
  [SMALL_STATE(9651)] = 507271,
  [SMALL_STATE(9652)] = 507287,
  [SMALL_STATE(9653)] = 507303,
  [SMALL_STATE(9654)] = 507319,
  [SMALL_STATE(9655)] = 507335,
  [SMALL_STATE(9656)] = 507351,
  [SMALL_STATE(9657)] = 507367,
  [SMALL_STATE(9658)] = 507385,
  [SMALL_STATE(9659)] = 507401,
  [SMALL_STATE(9660)] = 507417,
  [SMALL_STATE(9661)] = 507433,
  [SMALL_STATE(9662)] = 507449,
  [SMALL_STATE(9663)] = 507465,
  [SMALL_STATE(9664)] = 507481,
  [SMALL_STATE(9665)] = 507497,
  [SMALL_STATE(9666)] = 507513,
  [SMALL_STATE(9667)] = 507529,
  [SMALL_STATE(9668)] = 507545,
  [SMALL_STATE(9669)] = 507561,
  [SMALL_STATE(9670)] = 507577,
  [SMALL_STATE(9671)] = 507593,
  [SMALL_STATE(9672)] = 507609,
  [SMALL_STATE(9673)] = 507625,
  [SMALL_STATE(9674)] = 507641,
  [SMALL_STATE(9675)] = 507657,
  [SMALL_STATE(9676)] = 507673,
  [SMALL_STATE(9677)] = 507689,
  [SMALL_STATE(9678)] = 507705,
  [SMALL_STATE(9679)] = 507725,
  [SMALL_STATE(9680)] = 507741,
  [SMALL_STATE(9681)] = 507752,
  [SMALL_STATE(9682)] = 507765,
  [SMALL_STATE(9683)] = 507778,
  [SMALL_STATE(9684)] = 507791,
  [SMALL_STATE(9685)] = 507808,
  [SMALL_STATE(9686)] = 507821,
  [SMALL_STATE(9687)] = 507838,
  [SMALL_STATE(9688)] = 507849,
  [SMALL_STATE(9689)] = 507864,
  [SMALL_STATE(9690)] = 507881,
  [SMALL_STATE(9691)] = 507894,
  [SMALL_STATE(9692)] = 507905,
  [SMALL_STATE(9693)] = 507920,
  [SMALL_STATE(9694)] = 507931,
  [SMALL_STATE(9695)] = 507944,
  [SMALL_STATE(9696)] = 507955,
  [SMALL_STATE(9697)] = 507968,
  [SMALL_STATE(9698)] = 507981,
  [SMALL_STATE(9699)] = 507994,
  [SMALL_STATE(9700)] = 508011,
  [SMALL_STATE(9701)] = 508024,
  [SMALL_STATE(9702)] = 508037,
  [SMALL_STATE(9703)] = 508050,
  [SMALL_STATE(9704)] = 508063,
  [SMALL_STATE(9705)] = 508080,
  [SMALL_STATE(9706)] = 508091,
  [SMALL_STATE(9707)] = 508106,
  [SMALL_STATE(9708)] = 508117,
  [SMALL_STATE(9709)] = 508134,
  [SMALL_STATE(9710)] = 508145,
  [SMALL_STATE(9711)] = 508160,
  [SMALL_STATE(9712)] = 508177,
  [SMALL_STATE(9713)] = 508188,
  [SMALL_STATE(9714)] = 508199,
  [SMALL_STATE(9715)] = 508212,
  [SMALL_STATE(9716)] = 508223,
  [SMALL_STATE(9717)] = 508234,
  [SMALL_STATE(9718)] = 508245,
  [SMALL_STATE(9719)] = 508256,
  [SMALL_STATE(9720)] = 508271,
  [SMALL_STATE(9721)] = 508284,
  [SMALL_STATE(9722)] = 508297,
  [SMALL_STATE(9723)] = 508310,
  [SMALL_STATE(9724)] = 508323,
  [SMALL_STATE(9725)] = 508338,
  [SMALL_STATE(9726)] = 508351,
  [SMALL_STATE(9727)] = 508368,
  [SMALL_STATE(9728)] = 508385,
  [SMALL_STATE(9729)] = 508398,
  [SMALL_STATE(9730)] = 508409,
  [SMALL_STATE(9731)] = 508420,
  [SMALL_STATE(9732)] = 508431,
  [SMALL_STATE(9733)] = 508442,
  [SMALL_STATE(9734)] = 508453,
  [SMALL_STATE(9735)] = 508466,
  [SMALL_STATE(9736)] = 508477,
  [SMALL_STATE(9737)] = 508490,
  [SMALL_STATE(9738)] = 508503,
  [SMALL_STATE(9739)] = 508514,
  [SMALL_STATE(9740)] = 508527,
  [SMALL_STATE(9741)] = 508538,
  [SMALL_STATE(9742)] = 508555,
  [SMALL_STATE(9743)] = 508572,
  [SMALL_STATE(9744)] = 508589,
  [SMALL_STATE(9745)] = 508602,
  [SMALL_STATE(9746)] = 508615,
  [SMALL_STATE(9747)] = 508628,
  [SMALL_STATE(9748)] = 508641,
  [SMALL_STATE(9749)] = 508654,
  [SMALL_STATE(9750)] = 508665,
  [SMALL_STATE(9751)] = 508678,
  [SMALL_STATE(9752)] = 508693,
  [SMALL_STATE(9753)] = 508708,
  [SMALL_STATE(9754)] = 508723,
  [SMALL_STATE(9755)] = 508740,
  [SMALL_STATE(9756)] = 508757,
  [SMALL_STATE(9757)] = 508770,
  [SMALL_STATE(9758)] = 508783,
  [SMALL_STATE(9759)] = 508800,
  [SMALL_STATE(9760)] = 508813,
  [SMALL_STATE(9761)] = 508826,
  [SMALL_STATE(9762)] = 508839,
  [SMALL_STATE(9763)] = 508854,
  [SMALL_STATE(9764)] = 508869,
  [SMALL_STATE(9765)] = 508880,
  [SMALL_STATE(9766)] = 508891,
  [SMALL_STATE(9767)] = 508904,
  [SMALL_STATE(9768)] = 508915,
  [SMALL_STATE(9769)] = 508930,
  [SMALL_STATE(9770)] = 508945,
  [SMALL_STATE(9771)] = 508962,
  [SMALL_STATE(9772)] = 508979,
  [SMALL_STATE(9773)] = 508990,
  [SMALL_STATE(9774)] = 509003,
  [SMALL_STATE(9775)] = 509016,
  [SMALL_STATE(9776)] = 509033,
  [SMALL_STATE(9777)] = 509044,
  [SMALL_STATE(9778)] = 509059,
  [SMALL_STATE(9779)] = 509072,
  [SMALL_STATE(9780)] = 509083,
  [SMALL_STATE(9781)] = 509096,
  [SMALL_STATE(9782)] = 509107,
  [SMALL_STATE(9783)] = 509120,
  [SMALL_STATE(9784)] = 509133,
  [SMALL_STATE(9785)] = 509150,
  [SMALL_STATE(9786)] = 509167,
  [SMALL_STATE(9787)] = 509180,
  [SMALL_STATE(9788)] = 509193,
  [SMALL_STATE(9789)] = 509210,
  [SMALL_STATE(9790)] = 509223,
  [SMALL_STATE(9791)] = 509234,
  [SMALL_STATE(9792)] = 509245,
  [SMALL_STATE(9793)] = 509256,
  [SMALL_STATE(9794)] = 509269,
  [SMALL_STATE(9795)] = 509280,
  [SMALL_STATE(9796)] = 509291,
  [SMALL_STATE(9797)] = 509308,
  [SMALL_STATE(9798)] = 509325,
  [SMALL_STATE(9799)] = 509338,
  [SMALL_STATE(9800)] = 509349,
  [SMALL_STATE(9801)] = 509360,
  [SMALL_STATE(9802)] = 509371,
  [SMALL_STATE(9803)] = 509382,
  [SMALL_STATE(9804)] = 509395,
  [SMALL_STATE(9805)] = 509408,
  [SMALL_STATE(9806)] = 509423,
  [SMALL_STATE(9807)] = 509436,
  [SMALL_STATE(9808)] = 509449,
  [SMALL_STATE(9809)] = 509462,
  [SMALL_STATE(9810)] = 509479,
  [SMALL_STATE(9811)] = 509496,
  [SMALL_STATE(9812)] = 509509,
  [SMALL_STATE(9813)] = 509522,
  [SMALL_STATE(9814)] = 509539,
  [SMALL_STATE(9815)] = 509550,
  [SMALL_STATE(9816)] = 509563,
  [SMALL_STATE(9817)] = 509574,
  [SMALL_STATE(9818)] = 509585,
  [SMALL_STATE(9819)] = 509596,
  [SMALL_STATE(9820)] = 509609,
  [SMALL_STATE(9821)] = 509620,
  [SMALL_STATE(9822)] = 509633,
  [SMALL_STATE(9823)] = 509650,
  [SMALL_STATE(9824)] = 509665,
  [SMALL_STATE(9825)] = 509682,
  [SMALL_STATE(9826)] = 509699,
  [SMALL_STATE(9827)] = 509712,
  [SMALL_STATE(9828)] = 509725,
  [SMALL_STATE(9829)] = 509738,
  [SMALL_STATE(9830)] = 509751,
  [SMALL_STATE(9831)] = 509764,
  [SMALL_STATE(9832)] = 509777,
  [SMALL_STATE(9833)] = 509788,
  [SMALL_STATE(9834)] = 509805,
  [SMALL_STATE(9835)] = 509822,
  [SMALL_STATE(9836)] = 509837,
  [SMALL_STATE(9837)] = 509850,
  [SMALL_STATE(9838)] = 509861,
  [SMALL_STATE(9839)] = 509874,
  [SMALL_STATE(9840)] = 509889,
  [SMALL_STATE(9841)] = 509904,
  [SMALL_STATE(9842)] = 509917,
  [SMALL_STATE(9843)] = 509932,
  [SMALL_STATE(9844)] = 509945,
  [SMALL_STATE(9845)] = 509960,
  [SMALL_STATE(9846)] = 509975,
  [SMALL_STATE(9847)] = 509986,
  [SMALL_STATE(9848)] = 510003,
  [SMALL_STATE(9849)] = 510014,
  [SMALL_STATE(9850)] = 510027,
  [SMALL_STATE(9851)] = 510044,
  [SMALL_STATE(9852)] = 510057,
  [SMALL_STATE(9853)] = 510070,
  [SMALL_STATE(9854)] = 510087,
  [SMALL_STATE(9855)] = 510100,
  [SMALL_STATE(9856)] = 510113,
  [SMALL_STATE(9857)] = 510126,
  [SMALL_STATE(9858)] = 510139,
  [SMALL_STATE(9859)] = 510152,
  [SMALL_STATE(9860)] = 510165,
  [SMALL_STATE(9861)] = 510176,
  [SMALL_STATE(9862)] = 510189,
  [SMALL_STATE(9863)] = 510202,
  [SMALL_STATE(9864)] = 510215,
  [SMALL_STATE(9865)] = 510230,
  [SMALL_STATE(9866)] = 510243,
  [SMALL_STATE(9867)] = 510256,
  [SMALL_STATE(9868)] = 510269,
  [SMALL_STATE(9869)] = 510282,
  [SMALL_STATE(9870)] = 510295,
  [SMALL_STATE(9871)] = 510308,
  [SMALL_STATE(9872)] = 510321,
  [SMALL_STATE(9873)] = 510334,
  [SMALL_STATE(9874)] = 510347,
  [SMALL_STATE(9875)] = 510360,
  [SMALL_STATE(9876)] = 510375,
  [SMALL_STATE(9877)] = 510388,
  [SMALL_STATE(9878)] = 510399,
  [SMALL_STATE(9879)] = 510412,
  [SMALL_STATE(9880)] = 510425,
  [SMALL_STATE(9881)] = 510436,
  [SMALL_STATE(9882)] = 510447,
  [SMALL_STATE(9883)] = 510458,
  [SMALL_STATE(9884)] = 510469,
  [SMALL_STATE(9885)] = 510482,
  [SMALL_STATE(9886)] = 510495,
  [SMALL_STATE(9887)] = 510512,
  [SMALL_STATE(9888)] = 510525,
  [SMALL_STATE(9889)] = 510540,
  [SMALL_STATE(9890)] = 510553,
  [SMALL_STATE(9891)] = 510564,
  [SMALL_STATE(9892)] = 510577,
  [SMALL_STATE(9893)] = 510588,
  [SMALL_STATE(9894)] = 510601,
  [SMALL_STATE(9895)] = 510614,
  [SMALL_STATE(9896)] = 510629,
  [SMALL_STATE(9897)] = 510644,
  [SMALL_STATE(9898)] = 510657,
  [SMALL_STATE(9899)] = 510670,
  [SMALL_STATE(9900)] = 510685,
  [SMALL_STATE(9901)] = 510700,
  [SMALL_STATE(9902)] = 510715,
  [SMALL_STATE(9903)] = 510728,
  [SMALL_STATE(9904)] = 510741,
  [SMALL_STATE(9905)] = 510754,
  [SMALL_STATE(9906)] = 510767,
  [SMALL_STATE(9907)] = 510784,
  [SMALL_STATE(9908)] = 510797,
  [SMALL_STATE(9909)] = 510810,
  [SMALL_STATE(9910)] = 510823,
  [SMALL_STATE(9911)] = 510836,
  [SMALL_STATE(9912)] = 510849,
  [SMALL_STATE(9913)] = 510862,
  [SMALL_STATE(9914)] = 510875,
  [SMALL_STATE(9915)] = 510888,
  [SMALL_STATE(9916)] = 510899,
  [SMALL_STATE(9917)] = 510910,
  [SMALL_STATE(9918)] = 510923,
  [SMALL_STATE(9919)] = 510934,
  [SMALL_STATE(9920)] = 510947,
  [SMALL_STATE(9921)] = 510960,
  [SMALL_STATE(9922)] = 510975,
  [SMALL_STATE(9923)] = 510986,
  [SMALL_STATE(9924)] = 510997,
  [SMALL_STATE(9925)] = 511014,
  [SMALL_STATE(9926)] = 511027,
  [SMALL_STATE(9927)] = 511038,
  [SMALL_STATE(9928)] = 511049,
  [SMALL_STATE(9929)] = 511064,
  [SMALL_STATE(9930)] = 511075,
  [SMALL_STATE(9931)] = 511088,
  [SMALL_STATE(9932)] = 511099,
  [SMALL_STATE(9933)] = 511112,
  [SMALL_STATE(9934)] = 511123,
  [SMALL_STATE(9935)] = 511138,
  [SMALL_STATE(9936)] = 511151,
  [SMALL_STATE(9937)] = 511164,
  [SMALL_STATE(9938)] = 511177,
  [SMALL_STATE(9939)] = 511188,
  [SMALL_STATE(9940)] = 511201,
  [SMALL_STATE(9941)] = 511214,
  [SMALL_STATE(9942)] = 511231,
  [SMALL_STATE(9943)] = 511246,
  [SMALL_STATE(9944)] = 511261,
  [SMALL_STATE(9945)] = 511276,
  [SMALL_STATE(9946)] = 511291,
  [SMALL_STATE(9947)] = 511306,
  [SMALL_STATE(9948)] = 511319,
  [SMALL_STATE(9949)] = 511332,
  [SMALL_STATE(9950)] = 511345,
  [SMALL_STATE(9951)] = 511360,
  [SMALL_STATE(9952)] = 511377,
  [SMALL_STATE(9953)] = 511390,
  [SMALL_STATE(9954)] = 511403,
  [SMALL_STATE(9955)] = 511414,
  [SMALL_STATE(9956)] = 511429,
  [SMALL_STATE(9957)] = 511446,
  [SMALL_STATE(9958)] = 511457,
  [SMALL_STATE(9959)] = 511470,
  [SMALL_STATE(9960)] = 511481,
  [SMALL_STATE(9961)] = 511494,
  [SMALL_STATE(9962)] = 511505,
  [SMALL_STATE(9963)] = 511522,
  [SMALL_STATE(9964)] = 511533,
  [SMALL_STATE(9965)] = 511548,
  [SMALL_STATE(9966)] = 511559,
  [SMALL_STATE(9967)] = 511570,
  [SMALL_STATE(9968)] = 511585,
  [SMALL_STATE(9969)] = 511596,
  [SMALL_STATE(9970)] = 511607,
  [SMALL_STATE(9971)] = 511618,
  [SMALL_STATE(9972)] = 511629,
  [SMALL_STATE(9973)] = 511644,
  [SMALL_STATE(9974)] = 511659,
  [SMALL_STATE(9975)] = 511672,
  [SMALL_STATE(9976)] = 511687,
  [SMALL_STATE(9977)] = 511700,
  [SMALL_STATE(9978)] = 511713,
  [SMALL_STATE(9979)] = 511726,
  [SMALL_STATE(9980)] = 511739,
  [SMALL_STATE(9981)] = 511752,
  [SMALL_STATE(9982)] = 511765,
  [SMALL_STATE(9983)] = 511778,
  [SMALL_STATE(9984)] = 511791,
  [SMALL_STATE(9985)] = 511804,
  [SMALL_STATE(9986)] = 511817,
  [SMALL_STATE(9987)] = 511830,
  [SMALL_STATE(9988)] = 511841,
  [SMALL_STATE(9989)] = 511852,
  [SMALL_STATE(9990)] = 511863,
  [SMALL_STATE(9991)] = 511874,
  [SMALL_STATE(9992)] = 511885,
  [SMALL_STATE(9993)] = 511896,
  [SMALL_STATE(9994)] = 511907,
  [SMALL_STATE(9995)] = 511920,
  [SMALL_STATE(9996)] = 511935,
  [SMALL_STATE(9997)] = 511950,
  [SMALL_STATE(9998)] = 511961,
  [SMALL_STATE(9999)] = 511974,
  [SMALL_STATE(10000)] = 511985,
  [SMALL_STATE(10001)] = 511996,
  [SMALL_STATE(10002)] = 512007,
  [SMALL_STATE(10003)] = 512018,
  [SMALL_STATE(10004)] = 512029,
  [SMALL_STATE(10005)] = 512040,
  [SMALL_STATE(10006)] = 512055,
  [SMALL_STATE(10007)] = 512070,
  [SMALL_STATE(10008)] = 512083,
  [SMALL_STATE(10009)] = 512094,
  [SMALL_STATE(10010)] = 512105,
  [SMALL_STATE(10011)] = 512116,
  [SMALL_STATE(10012)] = 512127,
  [SMALL_STATE(10013)] = 512142,
  [SMALL_STATE(10014)] = 512153,
  [SMALL_STATE(10015)] = 512164,
  [SMALL_STATE(10016)] = 512175,
  [SMALL_STATE(10017)] = 512192,
  [SMALL_STATE(10018)] = 512205,
  [SMALL_STATE(10019)] = 512218,
  [SMALL_STATE(10020)] = 512229,
  [SMALL_STATE(10021)] = 512246,
  [SMALL_STATE(10022)] = 512259,
  [SMALL_STATE(10023)] = 512276,
  [SMALL_STATE(10024)] = 512287,
  [SMALL_STATE(10025)] = 512298,
  [SMALL_STATE(10026)] = 512309,
  [SMALL_STATE(10027)] = 512320,
  [SMALL_STATE(10028)] = 512331,
  [SMALL_STATE(10029)] = 512344,
  [SMALL_STATE(10030)] = 512359,
  [SMALL_STATE(10031)] = 512370,
  [SMALL_STATE(10032)] = 512381,
  [SMALL_STATE(10033)] = 512392,
  [SMALL_STATE(10034)] = 512407,
  [SMALL_STATE(10035)] = 512418,
  [SMALL_STATE(10036)] = 512429,
  [SMALL_STATE(10037)] = 512446,
  [SMALL_STATE(10038)] = 512457,
  [SMALL_STATE(10039)] = 512468,
  [SMALL_STATE(10040)] = 512479,
  [SMALL_STATE(10041)] = 512490,
  [SMALL_STATE(10042)] = 512501,
  [SMALL_STATE(10043)] = 512512,
  [SMALL_STATE(10044)] = 512527,
  [SMALL_STATE(10045)] = 512538,
  [SMALL_STATE(10046)] = 512549,
  [SMALL_STATE(10047)] = 512560,
  [SMALL_STATE(10048)] = 512571,
  [SMALL_STATE(10049)] = 512582,
  [SMALL_STATE(10050)] = 512593,
  [SMALL_STATE(10051)] = 512608,
  [SMALL_STATE(10052)] = 512623,
  [SMALL_STATE(10053)] = 512634,
  [SMALL_STATE(10054)] = 512649,
  [SMALL_STATE(10055)] = 512660,
  [SMALL_STATE(10056)] = 512673,
  [SMALL_STATE(10057)] = 512684,
  [SMALL_STATE(10058)] = 512699,
  [SMALL_STATE(10059)] = 512710,
  [SMALL_STATE(10060)] = 512721,
  [SMALL_STATE(10061)] = 512734,
  [SMALL_STATE(10062)] = 512745,
  [SMALL_STATE(10063)] = 512758,
  [SMALL_STATE(10064)] = 512775,
  [SMALL_STATE(10065)] = 512790,
  [SMALL_STATE(10066)] = 512805,
  [SMALL_STATE(10067)] = 512820,
  [SMALL_STATE(10068)] = 512833,
  [SMALL_STATE(10069)] = 512846,
  [SMALL_STATE(10070)] = 512859,
  [SMALL_STATE(10071)] = 512876,
  [SMALL_STATE(10072)] = 512889,
  [SMALL_STATE(10073)] = 512900,
  [SMALL_STATE(10074)] = 512915,
  [SMALL_STATE(10075)] = 512930,
  [SMALL_STATE(10076)] = 512941,
  [SMALL_STATE(10077)] = 512954,
  [SMALL_STATE(10078)] = 512967,
  [SMALL_STATE(10079)] = 512980,
  [SMALL_STATE(10080)] = 512993,
  [SMALL_STATE(10081)] = 513004,
  [SMALL_STATE(10082)] = 513017,
  [SMALL_STATE(10083)] = 513028,
  [SMALL_STATE(10084)] = 513041,
  [SMALL_STATE(10085)] = 513054,
  [SMALL_STATE(10086)] = 513067,
  [SMALL_STATE(10087)] = 513078,
  [SMALL_STATE(10088)] = 513091,
  [SMALL_STATE(10089)] = 513104,
  [SMALL_STATE(10090)] = 513117,
  [SMALL_STATE(10091)] = 513130,
  [SMALL_STATE(10092)] = 513147,
  [SMALL_STATE(10093)] = 513160,
  [SMALL_STATE(10094)] = 513171,
  [SMALL_STATE(10095)] = 513186,
  [SMALL_STATE(10096)] = 513201,
  [SMALL_STATE(10097)] = 513214,
  [SMALL_STATE(10098)] = 513231,
  [SMALL_STATE(10099)] = 513242,
  [SMALL_STATE(10100)] = 513255,
  [SMALL_STATE(10101)] = 513270,
  [SMALL_STATE(10102)] = 513283,
  [SMALL_STATE(10103)] = 513294,
  [SMALL_STATE(10104)] = 513307,
  [SMALL_STATE(10105)] = 513318,
  [SMALL_STATE(10106)] = 513333,
  [SMALL_STATE(10107)] = 513350,
  [SMALL_STATE(10108)] = 513361,
  [SMALL_STATE(10109)] = 513372,
  [SMALL_STATE(10110)] = 513383,
  [SMALL_STATE(10111)] = 513394,
  [SMALL_STATE(10112)] = 513407,
  [SMALL_STATE(10113)] = 513418,
  [SMALL_STATE(10114)] = 513431,
  [SMALL_STATE(10115)] = 513444,
  [SMALL_STATE(10116)] = 513455,
  [SMALL_STATE(10117)] = 513470,
  [SMALL_STATE(10118)] = 513481,
  [SMALL_STATE(10119)] = 513494,
  [SMALL_STATE(10120)] = 513505,
  [SMALL_STATE(10121)] = 513522,
  [SMALL_STATE(10122)] = 513535,
  [SMALL_STATE(10123)] = 513548,
  [SMALL_STATE(10124)] = 513561,
  [SMALL_STATE(10125)] = 513574,
  [SMALL_STATE(10126)] = 513587,
  [SMALL_STATE(10127)] = 513598,
  [SMALL_STATE(10128)] = 513611,
  [SMALL_STATE(10129)] = 513624,
  [SMALL_STATE(10130)] = 513637,
  [SMALL_STATE(10131)] = 513650,
  [SMALL_STATE(10132)] = 513663,
  [SMALL_STATE(10133)] = 513678,
  [SMALL_STATE(10134)] = 513693,
  [SMALL_STATE(10135)] = 513706,
  [SMALL_STATE(10136)] = 513719,
  [SMALL_STATE(10137)] = 513732,
  [SMALL_STATE(10138)] = 513747,
  [SMALL_STATE(10139)] = 513758,
  [SMALL_STATE(10140)] = 513769,
  [SMALL_STATE(10141)] = 513782,
  [SMALL_STATE(10142)] = 513795,
  [SMALL_STATE(10143)] = 513806,
  [SMALL_STATE(10144)] = 513817,
  [SMALL_STATE(10145)] = 513830,
  [SMALL_STATE(10146)] = 513847,
  [SMALL_STATE(10147)] = 513860,
  [SMALL_STATE(10148)] = 513875,
  [SMALL_STATE(10149)] = 513888,
  [SMALL_STATE(10150)] = 513905,
  [SMALL_STATE(10151)] = 513918,
  [SMALL_STATE(10152)] = 513929,
  [SMALL_STATE(10153)] = 513940,
  [SMALL_STATE(10154)] = 513951,
  [SMALL_STATE(10155)] = 513964,
  [SMALL_STATE(10156)] = 513975,
  [SMALL_STATE(10157)] = 513992,
  [SMALL_STATE(10158)] = 514007,
  [SMALL_STATE(10159)] = 514022,
  [SMALL_STATE(10160)] = 514035,
  [SMALL_STATE(10161)] = 514048,
  [SMALL_STATE(10162)] = 514059,
  [SMALL_STATE(10163)] = 514076,
  [SMALL_STATE(10164)] = 514091,
  [SMALL_STATE(10165)] = 514106,
  [SMALL_STATE(10166)] = 514119,
  [SMALL_STATE(10167)] = 514136,
  [SMALL_STATE(10168)] = 514153,
  [SMALL_STATE(10169)] = 514166,
  [SMALL_STATE(10170)] = 514179,
  [SMALL_STATE(10171)] = 514194,
  [SMALL_STATE(10172)] = 514211,
  [SMALL_STATE(10173)] = 514224,
  [SMALL_STATE(10174)] = 514241,
  [SMALL_STATE(10175)] = 514258,
  [SMALL_STATE(10176)] = 514271,
  [SMALL_STATE(10177)] = 514288,
  [SMALL_STATE(10178)] = 514305,
  [SMALL_STATE(10179)] = 514322,
  [SMALL_STATE(10180)] = 514339,
  [SMALL_STATE(10181)] = 514350,
  [SMALL_STATE(10182)] = 514367,
  [SMALL_STATE(10183)] = 514378,
  [SMALL_STATE(10184)] = 514391,
  [SMALL_STATE(10185)] = 514404,
  [SMALL_STATE(10186)] = 514417,
  [SMALL_STATE(10187)] = 514430,
  [SMALL_STATE(10188)] = 514443,
  [SMALL_STATE(10189)] = 514456,
  [SMALL_STATE(10190)] = 514469,
  [SMALL_STATE(10191)] = 514486,
  [SMALL_STATE(10192)] = 514501,
  [SMALL_STATE(10193)] = 514516,
  [SMALL_STATE(10194)] = 514527,
  [SMALL_STATE(10195)] = 514538,
  [SMALL_STATE(10196)] = 514549,
  [SMALL_STATE(10197)] = 514562,
  [SMALL_STATE(10198)] = 514579,
  [SMALL_STATE(10199)] = 514590,
  [SMALL_STATE(10200)] = 514605,
  [SMALL_STATE(10201)] = 514616,
  [SMALL_STATE(10202)] = 514627,
  [SMALL_STATE(10203)] = 514638,
  [SMALL_STATE(10204)] = 514649,
  [SMALL_STATE(10205)] = 514660,
  [SMALL_STATE(10206)] = 514671,
  [SMALL_STATE(10207)] = 514682,
  [SMALL_STATE(10208)] = 514695,
  [SMALL_STATE(10209)] = 514708,
  [SMALL_STATE(10210)] = 514719,
  [SMALL_STATE(10211)] = 514732,
  [SMALL_STATE(10212)] = 514743,
  [SMALL_STATE(10213)] = 514756,
  [SMALL_STATE(10214)] = 514767,
  [SMALL_STATE(10215)] = 514780,
  [SMALL_STATE(10216)] = 514793,
  [SMALL_STATE(10217)] = 514806,
  [SMALL_STATE(10218)] = 514819,
  [SMALL_STATE(10219)] = 514832,
  [SMALL_STATE(10220)] = 514845,
  [SMALL_STATE(10221)] = 514860,
  [SMALL_STATE(10222)] = 514873,
  [SMALL_STATE(10223)] = 514886,
  [SMALL_STATE(10224)] = 514899,
  [SMALL_STATE(10225)] = 514914,
  [SMALL_STATE(10226)] = 514929,
  [SMALL_STATE(10227)] = 514942,
  [SMALL_STATE(10228)] = 514955,
  [SMALL_STATE(10229)] = 514970,
  [SMALL_STATE(10230)] = 514985,
  [SMALL_STATE(10231)] = 515000,
  [SMALL_STATE(10232)] = 515011,
  [SMALL_STATE(10233)] = 515024,
  [SMALL_STATE(10234)] = 515039,
  [SMALL_STATE(10235)] = 515052,
  [SMALL_STATE(10236)] = 515067,
  [SMALL_STATE(10237)] = 515080,
  [SMALL_STATE(10238)] = 515093,
  [SMALL_STATE(10239)] = 515106,
  [SMALL_STATE(10240)] = 515119,
  [SMALL_STATE(10241)] = 515134,
  [SMALL_STATE(10242)] = 515149,
  [SMALL_STATE(10243)] = 515164,
  [SMALL_STATE(10244)] = 515177,
  [SMALL_STATE(10245)] = 515192,
  [SMALL_STATE(10246)] = 515207,
  [SMALL_STATE(10247)] = 515222,
  [SMALL_STATE(10248)] = 515235,
  [SMALL_STATE(10249)] = 515250,
  [SMALL_STATE(10250)] = 515265,
  [SMALL_STATE(10251)] = 515278,
  [SMALL_STATE(10252)] = 515293,
  [SMALL_STATE(10253)] = 515310,
  [SMALL_STATE(10254)] = 515327,
  [SMALL_STATE(10255)] = 515340,
  [SMALL_STATE(10256)] = 515353,
  [SMALL_STATE(10257)] = 515366,
  [SMALL_STATE(10258)] = 515383,
  [SMALL_STATE(10259)] = 515400,
  [SMALL_STATE(10260)] = 515415,
  [SMALL_STATE(10261)] = 515430,
  [SMALL_STATE(10262)] = 515441,
  [SMALL_STATE(10263)] = 515458,
  [SMALL_STATE(10264)] = 515469,
  [SMALL_STATE(10265)] = 515482,
  [SMALL_STATE(10266)] = 515493,
  [SMALL_STATE(10267)] = 515504,
  [SMALL_STATE(10268)] = 515519,
  [SMALL_STATE(10269)] = 515530,
  [SMALL_STATE(10270)] = 515543,
  [SMALL_STATE(10271)] = 515560,
  [SMALL_STATE(10272)] = 515571,
  [SMALL_STATE(10273)] = 515588,
  [SMALL_STATE(10274)] = 515599,
  [SMALL_STATE(10275)] = 515610,
  [SMALL_STATE(10276)] = 515627,
  [SMALL_STATE(10277)] = 515640,
  [SMALL_STATE(10278)] = 515653,
  [SMALL_STATE(10279)] = 515666,
  [SMALL_STATE(10280)] = 515679,
  [SMALL_STATE(10281)] = 515692,
  [SMALL_STATE(10282)] = 515709,
  [SMALL_STATE(10283)] = 515720,
  [SMALL_STATE(10284)] = 515733,
  [SMALL_STATE(10285)] = 515750,
  [SMALL_STATE(10286)] = 515761,
  [SMALL_STATE(10287)] = 515772,
  [SMALL_STATE(10288)] = 515785,
  [SMALL_STATE(10289)] = 515796,
  [SMALL_STATE(10290)] = 515809,
  [SMALL_STATE(10291)] = 515822,
  [SMALL_STATE(10292)] = 515833,
  [SMALL_STATE(10293)] = 515844,
  [SMALL_STATE(10294)] = 515855,
  [SMALL_STATE(10295)] = 515866,
  [SMALL_STATE(10296)] = 515879,
  [SMALL_STATE(10297)] = 515890,
  [SMALL_STATE(10298)] = 515903,
  [SMALL_STATE(10299)] = 515916,
  [SMALL_STATE(10300)] = 515929,
  [SMALL_STATE(10301)] = 515942,
  [SMALL_STATE(10302)] = 515953,
  [SMALL_STATE(10303)] = 515966,
  [SMALL_STATE(10304)] = 515979,
  [SMALL_STATE(10305)] = 515994,
  [SMALL_STATE(10306)] = 516009,
  [SMALL_STATE(10307)] = 516026,
  [SMALL_STATE(10308)] = 516037,
  [SMALL_STATE(10309)] = 516050,
  [SMALL_STATE(10310)] = 516063,
  [SMALL_STATE(10311)] = 516076,
  [SMALL_STATE(10312)] = 516089,
  [SMALL_STATE(10313)] = 516102,
  [SMALL_STATE(10314)] = 516113,
  [SMALL_STATE(10315)] = 516126,
  [SMALL_STATE(10316)] = 516141,
  [SMALL_STATE(10317)] = 516156,
  [SMALL_STATE(10318)] = 516169,
  [SMALL_STATE(10319)] = 516182,
  [SMALL_STATE(10320)] = 516195,
  [SMALL_STATE(10321)] = 516208,
  [SMALL_STATE(10322)] = 516221,
  [SMALL_STATE(10323)] = 516236,
  [SMALL_STATE(10324)] = 516251,
  [SMALL_STATE(10325)] = 516266,
  [SMALL_STATE(10326)] = 516281,
  [SMALL_STATE(10327)] = 516298,
  [SMALL_STATE(10328)] = 516311,
  [SMALL_STATE(10329)] = 516328,
  [SMALL_STATE(10330)] = 516341,
  [SMALL_STATE(10331)] = 516358,
  [SMALL_STATE(10332)] = 516373,
  [SMALL_STATE(10333)] = 516384,
  [SMALL_STATE(10334)] = 516401,
  [SMALL_STATE(10335)] = 516416,
  [SMALL_STATE(10336)] = 516427,
  [SMALL_STATE(10337)] = 516444,
  [SMALL_STATE(10338)] = 516455,
  [SMALL_STATE(10339)] = 516466,
  [SMALL_STATE(10340)] = 516477,
  [SMALL_STATE(10341)] = 516488,
  [SMALL_STATE(10342)] = 516499,
  [SMALL_STATE(10343)] = 516512,
  [SMALL_STATE(10344)] = 516525,
  [SMALL_STATE(10345)] = 516538,
  [SMALL_STATE(10346)] = 516549,
  [SMALL_STATE(10347)] = 516562,
  [SMALL_STATE(10348)] = 516573,
  [SMALL_STATE(10349)] = 516586,
  [SMALL_STATE(10350)] = 516599,
  [SMALL_STATE(10351)] = 516612,
  [SMALL_STATE(10352)] = 516623,
  [SMALL_STATE(10353)] = 516640,
  [SMALL_STATE(10354)] = 516653,
  [SMALL_STATE(10355)] = 516666,
  [SMALL_STATE(10356)] = 516679,
  [SMALL_STATE(10357)] = 516690,
  [SMALL_STATE(10358)] = 516701,
  [SMALL_STATE(10359)] = 516712,
  [SMALL_STATE(10360)] = 516723,
  [SMALL_STATE(10361)] = 516736,
  [SMALL_STATE(10362)] = 516749,
  [SMALL_STATE(10363)] = 516762,
  [SMALL_STATE(10364)] = 516777,
  [SMALL_STATE(10365)] = 516790,
  [SMALL_STATE(10366)] = 516805,
  [SMALL_STATE(10367)] = 516818,
  [SMALL_STATE(10368)] = 516835,
  [SMALL_STATE(10369)] = 516846,
  [SMALL_STATE(10370)] = 516859,
  [SMALL_STATE(10371)] = 516872,
  [SMALL_STATE(10372)] = 516883,
  [SMALL_STATE(10373)] = 516896,
  [SMALL_STATE(10374)] = 516909,
  [SMALL_STATE(10375)] = 516922,
  [SMALL_STATE(10376)] = 516933,
  [SMALL_STATE(10377)] = 516946,
  [SMALL_STATE(10378)] = 516959,
  [SMALL_STATE(10379)] = 516972,
  [SMALL_STATE(10380)] = 516985,
  [SMALL_STATE(10381)] = 516998,
  [SMALL_STATE(10382)] = 517011,
  [SMALL_STATE(10383)] = 517026,
  [SMALL_STATE(10384)] = 517041,
  [SMALL_STATE(10385)] = 517056,
  [SMALL_STATE(10386)] = 517071,
  [SMALL_STATE(10387)] = 517086,
  [SMALL_STATE(10388)] = 517099,
  [SMALL_STATE(10389)] = 517116,
  [SMALL_STATE(10390)] = 517129,
  [SMALL_STATE(10391)] = 517140,
  [SMALL_STATE(10392)] = 517155,
  [SMALL_STATE(10393)] = 517168,
  [SMALL_STATE(10394)] = 517183,
  [SMALL_STATE(10395)] = 517194,
  [SMALL_STATE(10396)] = 517211,
  [SMALL_STATE(10397)] = 517226,
  [SMALL_STATE(10398)] = 517243,
  [SMALL_STATE(10399)] = 517256,
  [SMALL_STATE(10400)] = 517269,
  [SMALL_STATE(10401)] = 517284,
  [SMALL_STATE(10402)] = 517301,
  [SMALL_STATE(10403)] = 517318,
  [SMALL_STATE(10404)] = 517331,
  [SMALL_STATE(10405)] = 517348,
  [SMALL_STATE(10406)] = 517361,
  [SMALL_STATE(10407)] = 517374,
  [SMALL_STATE(10408)] = 517387,
  [SMALL_STATE(10409)] = 517400,
  [SMALL_STATE(10410)] = 517413,
  [SMALL_STATE(10411)] = 517426,
  [SMALL_STATE(10412)] = 517439,
  [SMALL_STATE(10413)] = 517452,
  [SMALL_STATE(10414)] = 517463,
  [SMALL_STATE(10415)] = 517476,
  [SMALL_STATE(10416)] = 517489,
  [SMALL_STATE(10417)] = 517504,
  [SMALL_STATE(10418)] = 517517,
  [SMALL_STATE(10419)] = 517528,
  [SMALL_STATE(10420)] = 517541,
  [SMALL_STATE(10421)] = 517556,
  [SMALL_STATE(10422)] = 517569,
  [SMALL_STATE(10423)] = 517580,
  [SMALL_STATE(10424)] = 517593,
  [SMALL_STATE(10425)] = 517606,
  [SMALL_STATE(10426)] = 517617,
  [SMALL_STATE(10427)] = 517630,
  [SMALL_STATE(10428)] = 517643,
  [SMALL_STATE(10429)] = 517656,
  [SMALL_STATE(10430)] = 517669,
  [SMALL_STATE(10431)] = 517682,
  [SMALL_STATE(10432)] = 517693,
  [SMALL_STATE(10433)] = 517704,
  [SMALL_STATE(10434)] = 517719,
  [SMALL_STATE(10435)] = 517732,
  [SMALL_STATE(10436)] = 517745,
  [SMALL_STATE(10437)] = 517756,
  [SMALL_STATE(10438)] = 517769,
  [SMALL_STATE(10439)] = 517782,
  [SMALL_STATE(10440)] = 517799,
  [SMALL_STATE(10441)] = 517812,
  [SMALL_STATE(10442)] = 517825,
  [SMALL_STATE(10443)] = 517838,
  [SMALL_STATE(10444)] = 517851,
  [SMALL_STATE(10445)] = 517864,
  [SMALL_STATE(10446)] = 517881,
  [SMALL_STATE(10447)] = 517896,
  [SMALL_STATE(10448)] = 517911,
  [SMALL_STATE(10449)] = 517928,
  [SMALL_STATE(10450)] = 517943,
  [SMALL_STATE(10451)] = 517958,
  [SMALL_STATE(10452)] = 517973,
  [SMALL_STATE(10453)] = 517988,
  [SMALL_STATE(10454)] = 517999,
  [SMALL_STATE(10455)] = 518016,
  [SMALL_STATE(10456)] = 518033,
  [SMALL_STATE(10457)] = 518050,
  [SMALL_STATE(10458)] = 518061,
  [SMALL_STATE(10459)] = 518072,
  [SMALL_STATE(10460)] = 518083,
  [SMALL_STATE(10461)] = 518096,
  [SMALL_STATE(10462)] = 518109,
  [SMALL_STATE(10463)] = 518126,
  [SMALL_STATE(10464)] = 518137,
  [SMALL_STATE(10465)] = 518150,
  [SMALL_STATE(10466)] = 518165,
  [SMALL_STATE(10467)] = 518176,
  [SMALL_STATE(10468)] = 518193,
  [SMALL_STATE(10469)] = 518206,
  [SMALL_STATE(10470)] = 518219,
  [SMALL_STATE(10471)] = 518230,
  [SMALL_STATE(10472)] = 518247,
  [SMALL_STATE(10473)] = 518264,
  [SMALL_STATE(10474)] = 518281,
  [SMALL_STATE(10475)] = 518298,
  [SMALL_STATE(10476)] = 518315,
  [SMALL_STATE(10477)] = 518328,
  [SMALL_STATE(10478)] = 518339,
  [SMALL_STATE(10479)] = 518353,
  [SMALL_STATE(10480)] = 518363,
  [SMALL_STATE(10481)] = 518377,
  [SMALL_STATE(10482)] = 518391,
  [SMALL_STATE(10483)] = 518405,
  [SMALL_STATE(10484)] = 518415,
  [SMALL_STATE(10485)] = 518429,
  [SMALL_STATE(10486)] = 518443,
  [SMALL_STATE(10487)] = 518453,
  [SMALL_STATE(10488)] = 518467,
  [SMALL_STATE(10489)] = 518477,
  [SMALL_STATE(10490)] = 518491,
  [SMALL_STATE(10491)] = 518505,
  [SMALL_STATE(10492)] = 518519,
  [SMALL_STATE(10493)] = 518533,
  [SMALL_STATE(10494)] = 518547,
  [SMALL_STATE(10495)] = 518561,
  [SMALL_STATE(10496)] = 518575,
  [SMALL_STATE(10497)] = 518585,
  [SMALL_STATE(10498)] = 518599,
  [SMALL_STATE(10499)] = 518613,
  [SMALL_STATE(10500)] = 518627,
  [SMALL_STATE(10501)] = 518641,
  [SMALL_STATE(10502)] = 518655,
  [SMALL_STATE(10503)] = 518669,
  [SMALL_STATE(10504)] = 518683,
  [SMALL_STATE(10505)] = 518697,
  [SMALL_STATE(10506)] = 518711,
  [SMALL_STATE(10507)] = 518725,
  [SMALL_STATE(10508)] = 518739,
  [SMALL_STATE(10509)] = 518753,
  [SMALL_STATE(10510)] = 518767,
  [SMALL_STATE(10511)] = 518781,
  [SMALL_STATE(10512)] = 518795,
  [SMALL_STATE(10513)] = 518809,
  [SMALL_STATE(10514)] = 518821,
  [SMALL_STATE(10515)] = 518831,
  [SMALL_STATE(10516)] = 518845,
  [SMALL_STATE(10517)] = 518859,
  [SMALL_STATE(10518)] = 518873,
  [SMALL_STATE(10519)] = 518887,
  [SMALL_STATE(10520)] = 518901,
  [SMALL_STATE(10521)] = 518915,
  [SMALL_STATE(10522)] = 518925,
  [SMALL_STATE(10523)] = 518939,
  [SMALL_STATE(10524)] = 518953,
  [SMALL_STATE(10525)] = 518967,
  [SMALL_STATE(10526)] = 518981,
  [SMALL_STATE(10527)] = 518995,
  [SMALL_STATE(10528)] = 519009,
  [SMALL_STATE(10529)] = 519023,
  [SMALL_STATE(10530)] = 519037,
  [SMALL_STATE(10531)] = 519051,
  [SMALL_STATE(10532)] = 519061,
  [SMALL_STATE(10533)] = 519071,
  [SMALL_STATE(10534)] = 519085,
  [SMALL_STATE(10535)] = 519099,
  [SMALL_STATE(10536)] = 519113,
  [SMALL_STATE(10537)] = 519127,
  [SMALL_STATE(10538)] = 519141,
  [SMALL_STATE(10539)] = 519151,
  [SMALL_STATE(10540)] = 519165,
  [SMALL_STATE(10541)] = 519177,
  [SMALL_STATE(10542)] = 519191,
  [SMALL_STATE(10543)] = 519201,
  [SMALL_STATE(10544)] = 519215,
  [SMALL_STATE(10545)] = 519229,
  [SMALL_STATE(10546)] = 519243,
  [SMALL_STATE(10547)] = 519257,
  [SMALL_STATE(10548)] = 519269,
  [SMALL_STATE(10549)] = 519283,
  [SMALL_STATE(10550)] = 519293,
  [SMALL_STATE(10551)] = 519303,
  [SMALL_STATE(10552)] = 519317,
  [SMALL_STATE(10553)] = 519331,
  [SMALL_STATE(10554)] = 519345,
  [SMALL_STATE(10555)] = 519357,
  [SMALL_STATE(10556)] = 519367,
  [SMALL_STATE(10557)] = 519381,
  [SMALL_STATE(10558)] = 519395,
  [SMALL_STATE(10559)] = 519409,
  [SMALL_STATE(10560)] = 519421,
  [SMALL_STATE(10561)] = 519431,
  [SMALL_STATE(10562)] = 519445,
  [SMALL_STATE(10563)] = 519459,
  [SMALL_STATE(10564)] = 519473,
  [SMALL_STATE(10565)] = 519483,
  [SMALL_STATE(10566)] = 519497,
  [SMALL_STATE(10567)] = 519507,
  [SMALL_STATE(10568)] = 519517,
  [SMALL_STATE(10569)] = 519531,
  [SMALL_STATE(10570)] = 519545,
  [SMALL_STATE(10571)] = 519559,
  [SMALL_STATE(10572)] = 519569,
  [SMALL_STATE(10573)] = 519583,
  [SMALL_STATE(10574)] = 519593,
  [SMALL_STATE(10575)] = 519607,
  [SMALL_STATE(10576)] = 519617,
  [SMALL_STATE(10577)] = 519627,
  [SMALL_STATE(10578)] = 519637,
  [SMALL_STATE(10579)] = 519651,
  [SMALL_STATE(10580)] = 519665,
  [SMALL_STATE(10581)] = 519679,
  [SMALL_STATE(10582)] = 519693,
  [SMALL_STATE(10583)] = 519707,
  [SMALL_STATE(10584)] = 519721,
  [SMALL_STATE(10585)] = 519733,
  [SMALL_STATE(10586)] = 519747,
  [SMALL_STATE(10587)] = 519761,
  [SMALL_STATE(10588)] = 519775,
  [SMALL_STATE(10589)] = 519789,
  [SMALL_STATE(10590)] = 519803,
  [SMALL_STATE(10591)] = 519817,
  [SMALL_STATE(10592)] = 519827,
  [SMALL_STATE(10593)] = 519841,
  [SMALL_STATE(10594)] = 519855,
  [SMALL_STATE(10595)] = 519865,
  [SMALL_STATE(10596)] = 519879,
  [SMALL_STATE(10597)] = 519889,
  [SMALL_STATE(10598)] = 519903,
  [SMALL_STATE(10599)] = 519917,
  [SMALL_STATE(10600)] = 519931,
  [SMALL_STATE(10601)] = 519941,
  [SMALL_STATE(10602)] = 519951,
  [SMALL_STATE(10603)] = 519965,
  [SMALL_STATE(10604)] = 519975,
  [SMALL_STATE(10605)] = 519989,
  [SMALL_STATE(10606)] = 520003,
  [SMALL_STATE(10607)] = 520013,
  [SMALL_STATE(10608)] = 520027,
  [SMALL_STATE(10609)] = 520041,
  [SMALL_STATE(10610)] = 520055,
  [SMALL_STATE(10611)] = 520065,
  [SMALL_STATE(10612)] = 520075,
  [SMALL_STATE(10613)] = 520089,
  [SMALL_STATE(10614)] = 520103,
  [SMALL_STATE(10615)] = 520117,
  [SMALL_STATE(10616)] = 520127,
  [SMALL_STATE(10617)] = 520141,
  [SMALL_STATE(10618)] = 520155,
  [SMALL_STATE(10619)] = 520165,
  [SMALL_STATE(10620)] = 520179,
  [SMALL_STATE(10621)] = 520193,
  [SMALL_STATE(10622)] = 520207,
  [SMALL_STATE(10623)] = 520221,
  [SMALL_STATE(10624)] = 520235,
  [SMALL_STATE(10625)] = 520249,
  [SMALL_STATE(10626)] = 520263,
  [SMALL_STATE(10627)] = 520273,
  [SMALL_STATE(10628)] = 520287,
  [SMALL_STATE(10629)] = 520301,
  [SMALL_STATE(10630)] = 520315,
  [SMALL_STATE(10631)] = 520325,
  [SMALL_STATE(10632)] = 520335,
  [SMALL_STATE(10633)] = 520349,
  [SMALL_STATE(10634)] = 520359,
  [SMALL_STATE(10635)] = 520373,
  [SMALL_STATE(10636)] = 520387,
  [SMALL_STATE(10637)] = 520397,
  [SMALL_STATE(10638)] = 520407,
  [SMALL_STATE(10639)] = 520417,
  [SMALL_STATE(10640)] = 520427,
  [SMALL_STATE(10641)] = 520437,
  [SMALL_STATE(10642)] = 520447,
  [SMALL_STATE(10643)] = 520457,
  [SMALL_STATE(10644)] = 520467,
  [SMALL_STATE(10645)] = 520481,
  [SMALL_STATE(10646)] = 520493,
  [SMALL_STATE(10647)] = 520507,
  [SMALL_STATE(10648)] = 520521,
  [SMALL_STATE(10649)] = 520531,
  [SMALL_STATE(10650)] = 520541,
  [SMALL_STATE(10651)] = 520553,
  [SMALL_STATE(10652)] = 520563,
  [SMALL_STATE(10653)] = 520575,
  [SMALL_STATE(10654)] = 520589,
  [SMALL_STATE(10655)] = 520599,
  [SMALL_STATE(10656)] = 520609,
  [SMALL_STATE(10657)] = 520619,
  [SMALL_STATE(10658)] = 520633,
  [SMALL_STATE(10659)] = 520647,
  [SMALL_STATE(10660)] = 520661,
  [SMALL_STATE(10661)] = 520671,
  [SMALL_STATE(10662)] = 520681,
  [SMALL_STATE(10663)] = 520691,
  [SMALL_STATE(10664)] = 520701,
  [SMALL_STATE(10665)] = 520715,
  [SMALL_STATE(10666)] = 520729,
  [SMALL_STATE(10667)] = 520739,
  [SMALL_STATE(10668)] = 520753,
  [SMALL_STATE(10669)] = 520767,
  [SMALL_STATE(10670)] = 520777,
  [SMALL_STATE(10671)] = 520787,
  [SMALL_STATE(10672)] = 520797,
  [SMALL_STATE(10673)] = 520811,
  [SMALL_STATE(10674)] = 520825,
  [SMALL_STATE(10675)] = 520835,
  [SMALL_STATE(10676)] = 520845,
  [SMALL_STATE(10677)] = 520855,
  [SMALL_STATE(10678)] = 520869,
  [SMALL_STATE(10679)] = 520879,
  [SMALL_STATE(10680)] = 520893,
  [SMALL_STATE(10681)] = 520907,
  [SMALL_STATE(10682)] = 520921,
  [SMALL_STATE(10683)] = 520935,
  [SMALL_STATE(10684)] = 520945,
  [SMALL_STATE(10685)] = 520959,
  [SMALL_STATE(10686)] = 520973,
  [SMALL_STATE(10687)] = 520983,
  [SMALL_STATE(10688)] = 520997,
  [SMALL_STATE(10689)] = 521011,
  [SMALL_STATE(10690)] = 521025,
  [SMALL_STATE(10691)] = 521035,
  [SMALL_STATE(10692)] = 521045,
  [SMALL_STATE(10693)] = 521057,
  [SMALL_STATE(10694)] = 521067,
  [SMALL_STATE(10695)] = 521077,
  [SMALL_STATE(10696)] = 521087,
  [SMALL_STATE(10697)] = 521101,
  [SMALL_STATE(10698)] = 521111,
  [SMALL_STATE(10699)] = 521121,
  [SMALL_STATE(10700)] = 521135,
  [SMALL_STATE(10701)] = 521145,
  [SMALL_STATE(10702)] = 521155,
  [SMALL_STATE(10703)] = 521169,
  [SMALL_STATE(10704)] = 521179,
  [SMALL_STATE(10705)] = 521189,
  [SMALL_STATE(10706)] = 521199,
  [SMALL_STATE(10707)] = 521213,
  [SMALL_STATE(10708)] = 521227,
  [SMALL_STATE(10709)] = 521237,
  [SMALL_STATE(10710)] = 521251,
  [SMALL_STATE(10711)] = 521261,
  [SMALL_STATE(10712)] = 521275,
  [SMALL_STATE(10713)] = 521285,
  [SMALL_STATE(10714)] = 521295,
  [SMALL_STATE(10715)] = 521305,
  [SMALL_STATE(10716)] = 521315,
  [SMALL_STATE(10717)] = 521329,
  [SMALL_STATE(10718)] = 521343,
  [SMALL_STATE(10719)] = 521353,
  [SMALL_STATE(10720)] = 521367,
  [SMALL_STATE(10721)] = 521381,
  [SMALL_STATE(10722)] = 521391,
  [SMALL_STATE(10723)] = 521401,
  [SMALL_STATE(10724)] = 521415,
  [SMALL_STATE(10725)] = 521425,
  [SMALL_STATE(10726)] = 521435,
  [SMALL_STATE(10727)] = 521445,
  [SMALL_STATE(10728)] = 521455,
  [SMALL_STATE(10729)] = 521465,
  [SMALL_STATE(10730)] = 521475,
  [SMALL_STATE(10731)] = 521485,
  [SMALL_STATE(10732)] = 521495,
  [SMALL_STATE(10733)] = 521505,
  [SMALL_STATE(10734)] = 521519,
  [SMALL_STATE(10735)] = 521529,
  [SMALL_STATE(10736)] = 521539,
  [SMALL_STATE(10737)] = 521549,
  [SMALL_STATE(10738)] = 521563,
  [SMALL_STATE(10739)] = 521573,
  [SMALL_STATE(10740)] = 521583,
  [SMALL_STATE(10741)] = 521593,
  [SMALL_STATE(10742)] = 521603,
  [SMALL_STATE(10743)] = 521613,
  [SMALL_STATE(10744)] = 521623,
  [SMALL_STATE(10745)] = 521637,
  [SMALL_STATE(10746)] = 521647,
  [SMALL_STATE(10747)] = 521661,
  [SMALL_STATE(10748)] = 521675,
  [SMALL_STATE(10749)] = 521689,
  [SMALL_STATE(10750)] = 521703,
  [SMALL_STATE(10751)] = 521713,
  [SMALL_STATE(10752)] = 521727,
  [SMALL_STATE(10753)] = 521737,
  [SMALL_STATE(10754)] = 521747,
  [SMALL_STATE(10755)] = 521759,
  [SMALL_STATE(10756)] = 521773,
  [SMALL_STATE(10757)] = 521787,
  [SMALL_STATE(10758)] = 521801,
  [SMALL_STATE(10759)] = 521813,
  [SMALL_STATE(10760)] = 521827,
  [SMALL_STATE(10761)] = 521841,
  [SMALL_STATE(10762)] = 521853,
  [SMALL_STATE(10763)] = 521867,
  [SMALL_STATE(10764)] = 521881,
  [SMALL_STATE(10765)] = 521895,
  [SMALL_STATE(10766)] = 521909,
  [SMALL_STATE(10767)] = 521923,
  [SMALL_STATE(10768)] = 521933,
  [SMALL_STATE(10769)] = 521947,
  [SMALL_STATE(10770)] = 521961,
  [SMALL_STATE(10771)] = 521975,
  [SMALL_STATE(10772)] = 521989,
  [SMALL_STATE(10773)] = 521999,
  [SMALL_STATE(10774)] = 522013,
  [SMALL_STATE(10775)] = 522027,
  [SMALL_STATE(10776)] = 522041,
  [SMALL_STATE(10777)] = 522051,
  [SMALL_STATE(10778)] = 522065,
  [SMALL_STATE(10779)] = 522079,
  [SMALL_STATE(10780)] = 522093,
  [SMALL_STATE(10781)] = 522107,
  [SMALL_STATE(10782)] = 522121,
  [SMALL_STATE(10783)] = 522135,
  [SMALL_STATE(10784)] = 522145,
  [SMALL_STATE(10785)] = 522159,
  [SMALL_STATE(10786)] = 522173,
  [SMALL_STATE(10787)] = 522187,
  [SMALL_STATE(10788)] = 522201,
  [SMALL_STATE(10789)] = 522215,
  [SMALL_STATE(10790)] = 522229,
  [SMALL_STATE(10791)] = 522243,
  [SMALL_STATE(10792)] = 522257,
  [SMALL_STATE(10793)] = 522267,
  [SMALL_STATE(10794)] = 522281,
  [SMALL_STATE(10795)] = 522295,
  [SMALL_STATE(10796)] = 522309,
  [SMALL_STATE(10797)] = 522321,
  [SMALL_STATE(10798)] = 522335,
  [SMALL_STATE(10799)] = 522345,
  [SMALL_STATE(10800)] = 522355,
  [SMALL_STATE(10801)] = 522369,
  [SMALL_STATE(10802)] = 522383,
  [SMALL_STATE(10803)] = 522397,
  [SMALL_STATE(10804)] = 522409,
  [SMALL_STATE(10805)] = 522423,
  [SMALL_STATE(10806)] = 522433,
  [SMALL_STATE(10807)] = 522443,
  [SMALL_STATE(10808)] = 522455,
  [SMALL_STATE(10809)] = 522469,
  [SMALL_STATE(10810)] = 522483,
  [SMALL_STATE(10811)] = 522493,
  [SMALL_STATE(10812)] = 522507,
  [SMALL_STATE(10813)] = 522521,
  [SMALL_STATE(10814)] = 522535,
  [SMALL_STATE(10815)] = 522549,
  [SMALL_STATE(10816)] = 522563,
  [SMALL_STATE(10817)] = 522577,
  [SMALL_STATE(10818)] = 522591,
  [SMALL_STATE(10819)] = 522605,
  [SMALL_STATE(10820)] = 522619,
  [SMALL_STATE(10821)] = 522633,
  [SMALL_STATE(10822)] = 522647,
  [SMALL_STATE(10823)] = 522661,
  [SMALL_STATE(10824)] = 522675,
  [SMALL_STATE(10825)] = 522689,
  [SMALL_STATE(10826)] = 522703,
  [SMALL_STATE(10827)] = 522717,
  [SMALL_STATE(10828)] = 522727,
  [SMALL_STATE(10829)] = 522741,
  [SMALL_STATE(10830)] = 522755,
  [SMALL_STATE(10831)] = 522769,
  [SMALL_STATE(10832)] = 522783,
  [SMALL_STATE(10833)] = 522795,
  [SMALL_STATE(10834)] = 522805,
  [SMALL_STATE(10835)] = 522819,
  [SMALL_STATE(10836)] = 522833,
  [SMALL_STATE(10837)] = 522847,
  [SMALL_STATE(10838)] = 522861,
  [SMALL_STATE(10839)] = 522871,
  [SMALL_STATE(10840)] = 522881,
  [SMALL_STATE(10841)] = 522891,
  [SMALL_STATE(10842)] = 522905,
  [SMALL_STATE(10843)] = 522919,
  [SMALL_STATE(10844)] = 522929,
  [SMALL_STATE(10845)] = 522939,
  [SMALL_STATE(10846)] = 522949,
  [SMALL_STATE(10847)] = 522959,
  [SMALL_STATE(10848)] = 522969,
  [SMALL_STATE(10849)] = 522979,
  [SMALL_STATE(10850)] = 522993,
  [SMALL_STATE(10851)] = 523003,
  [SMALL_STATE(10852)] = 523013,
  [SMALL_STATE(10853)] = 523023,
  [SMALL_STATE(10854)] = 523033,
  [SMALL_STATE(10855)] = 523047,
  [SMALL_STATE(10856)] = 523057,
  [SMALL_STATE(10857)] = 523067,
  [SMALL_STATE(10858)] = 523081,
  [SMALL_STATE(10859)] = 523095,
  [SMALL_STATE(10860)] = 523105,
  [SMALL_STATE(10861)] = 523119,
  [SMALL_STATE(10862)] = 523133,
  [SMALL_STATE(10863)] = 523147,
  [SMALL_STATE(10864)] = 523161,
  [SMALL_STATE(10865)] = 523173,
  [SMALL_STATE(10866)] = 523187,
  [SMALL_STATE(10867)] = 523197,
  [SMALL_STATE(10868)] = 523211,
  [SMALL_STATE(10869)] = 523221,
  [SMALL_STATE(10870)] = 523231,
  [SMALL_STATE(10871)] = 523245,
  [SMALL_STATE(10872)] = 523259,
  [SMALL_STATE(10873)] = 523273,
  [SMALL_STATE(10874)] = 523283,
  [SMALL_STATE(10875)] = 523293,
  [SMALL_STATE(10876)] = 523303,
  [SMALL_STATE(10877)] = 523313,
  [SMALL_STATE(10878)] = 523327,
  [SMALL_STATE(10879)] = 523341,
  [SMALL_STATE(10880)] = 523355,
  [SMALL_STATE(10881)] = 523369,
  [SMALL_STATE(10882)] = 523379,
  [SMALL_STATE(10883)] = 523393,
  [SMALL_STATE(10884)] = 523407,
  [SMALL_STATE(10885)] = 523421,
  [SMALL_STATE(10886)] = 523435,
  [SMALL_STATE(10887)] = 523449,
  [SMALL_STATE(10888)] = 523463,
  [SMALL_STATE(10889)] = 523477,
  [SMALL_STATE(10890)] = 523491,
  [SMALL_STATE(10891)] = 523505,
  [SMALL_STATE(10892)] = 523519,
  [SMALL_STATE(10893)] = 523533,
  [SMALL_STATE(10894)] = 523545,
  [SMALL_STATE(10895)] = 523559,
  [SMALL_STATE(10896)] = 523573,
  [SMALL_STATE(10897)] = 523587,
  [SMALL_STATE(10898)] = 523601,
  [SMALL_STATE(10899)] = 523615,
  [SMALL_STATE(10900)] = 523625,
  [SMALL_STATE(10901)] = 523639,
  [SMALL_STATE(10902)] = 523649,
  [SMALL_STATE(10903)] = 523663,
  [SMALL_STATE(10904)] = 523677,
  [SMALL_STATE(10905)] = 523691,
  [SMALL_STATE(10906)] = 523701,
  [SMALL_STATE(10907)] = 523715,
  [SMALL_STATE(10908)] = 523725,
  [SMALL_STATE(10909)] = 523739,
  [SMALL_STATE(10910)] = 523753,
  [SMALL_STATE(10911)] = 523763,
  [SMALL_STATE(10912)] = 523773,
  [SMALL_STATE(10913)] = 523787,
  [SMALL_STATE(10914)] = 523797,
  [SMALL_STATE(10915)] = 523807,
  [SMALL_STATE(10916)] = 523821,
  [SMALL_STATE(10917)] = 523831,
  [SMALL_STATE(10918)] = 523845,
  [SMALL_STATE(10919)] = 523859,
  [SMALL_STATE(10920)] = 523873,
  [SMALL_STATE(10921)] = 523887,
  [SMALL_STATE(10922)] = 523897,
  [SMALL_STATE(10923)] = 523911,
  [SMALL_STATE(10924)] = 523925,
  [SMALL_STATE(10925)] = 523939,
  [SMALL_STATE(10926)] = 523949,
  [SMALL_STATE(10927)] = 523963,
  [SMALL_STATE(10928)] = 523973,
  [SMALL_STATE(10929)] = 523987,
  [SMALL_STATE(10930)] = 523997,
  [SMALL_STATE(10931)] = 524007,
  [SMALL_STATE(10932)] = 524021,
  [SMALL_STATE(10933)] = 524035,
  [SMALL_STATE(10934)] = 524049,
  [SMALL_STATE(10935)] = 524063,
  [SMALL_STATE(10936)] = 524077,
  [SMALL_STATE(10937)] = 524091,
  [SMALL_STATE(10938)] = 524101,
  [SMALL_STATE(10939)] = 524115,
  [SMALL_STATE(10940)] = 524129,
  [SMALL_STATE(10941)] = 524143,
  [SMALL_STATE(10942)] = 524157,
  [SMALL_STATE(10943)] = 524167,
  [SMALL_STATE(10944)] = 524181,
  [SMALL_STATE(10945)] = 524195,
  [SMALL_STATE(10946)] = 524207,
  [SMALL_STATE(10947)] = 524221,
  [SMALL_STATE(10948)] = 524235,
  [SMALL_STATE(10949)] = 524249,
  [SMALL_STATE(10950)] = 524263,
  [SMALL_STATE(10951)] = 524277,
  [SMALL_STATE(10952)] = 524291,
  [SMALL_STATE(10953)] = 524305,
  [SMALL_STATE(10954)] = 524319,
  [SMALL_STATE(10955)] = 524329,
  [SMALL_STATE(10956)] = 524341,
  [SMALL_STATE(10957)] = 524355,
  [SMALL_STATE(10958)] = 524369,
  [SMALL_STATE(10959)] = 524383,
  [SMALL_STATE(10960)] = 524397,
  [SMALL_STATE(10961)] = 524411,
  [SMALL_STATE(10962)] = 524421,
  [SMALL_STATE(10963)] = 524431,
  [SMALL_STATE(10964)] = 524445,
  [SMALL_STATE(10965)] = 524459,
  [SMALL_STATE(10966)] = 524473,
  [SMALL_STATE(10967)] = 524483,
  [SMALL_STATE(10968)] = 524497,
  [SMALL_STATE(10969)] = 524507,
  [SMALL_STATE(10970)] = 524521,
  [SMALL_STATE(10971)] = 524535,
  [SMALL_STATE(10972)] = 524549,
  [SMALL_STATE(10973)] = 524563,
  [SMALL_STATE(10974)] = 524573,
  [SMALL_STATE(10975)] = 524587,
  [SMALL_STATE(10976)] = 524599,
  [SMALL_STATE(10977)] = 524613,
  [SMALL_STATE(10978)] = 524623,
  [SMALL_STATE(10979)] = 524633,
  [SMALL_STATE(10980)] = 524643,
  [SMALL_STATE(10981)] = 524657,
  [SMALL_STATE(10982)] = 524667,
  [SMALL_STATE(10983)] = 524681,
  [SMALL_STATE(10984)] = 524695,
  [SMALL_STATE(10985)] = 524705,
  [SMALL_STATE(10986)] = 524715,
  [SMALL_STATE(10987)] = 524725,
  [SMALL_STATE(10988)] = 524735,
  [SMALL_STATE(10989)] = 524745,
  [SMALL_STATE(10990)] = 524755,
  [SMALL_STATE(10991)] = 524767,
  [SMALL_STATE(10992)] = 524781,
  [SMALL_STATE(10993)] = 524791,
  [SMALL_STATE(10994)] = 524805,
  [SMALL_STATE(10995)] = 524819,
  [SMALL_STATE(10996)] = 524833,
  [SMALL_STATE(10997)] = 524847,
  [SMALL_STATE(10998)] = 524859,
  [SMALL_STATE(10999)] = 524869,
  [SMALL_STATE(11000)] = 524881,
  [SMALL_STATE(11001)] = 524895,
  [SMALL_STATE(11002)] = 524909,
  [SMALL_STATE(11003)] = 524923,
  [SMALL_STATE(11004)] = 524937,
  [SMALL_STATE(11005)] = 524951,
  [SMALL_STATE(11006)] = 524965,
  [SMALL_STATE(11007)] = 524979,
  [SMALL_STATE(11008)] = 524993,
  [SMALL_STATE(11009)] = 525005,
  [SMALL_STATE(11010)] = 525015,
  [SMALL_STATE(11011)] = 525029,
  [SMALL_STATE(11012)] = 525043,
  [SMALL_STATE(11013)] = 525057,
  [SMALL_STATE(11014)] = 525071,
  [SMALL_STATE(11015)] = 525085,
  [SMALL_STATE(11016)] = 525097,
  [SMALL_STATE(11017)] = 525111,
  [SMALL_STATE(11018)] = 525121,
  [SMALL_STATE(11019)] = 525131,
  [SMALL_STATE(11020)] = 525143,
  [SMALL_STATE(11021)] = 525153,
  [SMALL_STATE(11022)] = 525167,
  [SMALL_STATE(11023)] = 525177,
  [SMALL_STATE(11024)] = 525191,
  [SMALL_STATE(11025)] = 525205,
  [SMALL_STATE(11026)] = 525219,
  [SMALL_STATE(11027)] = 525231,
  [SMALL_STATE(11028)] = 525241,
  [SMALL_STATE(11029)] = 525255,
  [SMALL_STATE(11030)] = 525265,
  [SMALL_STATE(11031)] = 525279,
  [SMALL_STATE(11032)] = 525289,
  [SMALL_STATE(11033)] = 525299,
  [SMALL_STATE(11034)] = 525309,
  [SMALL_STATE(11035)] = 525319,
  [SMALL_STATE(11036)] = 525333,
  [SMALL_STATE(11037)] = 525347,
  [SMALL_STATE(11038)] = 525357,
  [SMALL_STATE(11039)] = 525369,
  [SMALL_STATE(11040)] = 525383,
  [SMALL_STATE(11041)] = 525393,
  [SMALL_STATE(11042)] = 525403,
  [SMALL_STATE(11043)] = 525413,
  [SMALL_STATE(11044)] = 525425,
  [SMALL_STATE(11045)] = 525439,
  [SMALL_STATE(11046)] = 525453,
  [SMALL_STATE(11047)] = 525467,
  [SMALL_STATE(11048)] = 525481,
  [SMALL_STATE(11049)] = 525495,
  [SMALL_STATE(11050)] = 525505,
  [SMALL_STATE(11051)] = 525519,
  [SMALL_STATE(11052)] = 525533,
  [SMALL_STATE(11053)] = 525545,
  [SMALL_STATE(11054)] = 525559,
  [SMALL_STATE(11055)] = 525573,
  [SMALL_STATE(11056)] = 525583,
  [SMALL_STATE(11057)] = 525593,
  [SMALL_STATE(11058)] = 525607,
  [SMALL_STATE(11059)] = 525621,
  [SMALL_STATE(11060)] = 525631,
  [SMALL_STATE(11061)] = 525645,
  [SMALL_STATE(11062)] = 525659,
  [SMALL_STATE(11063)] = 525673,
  [SMALL_STATE(11064)] = 525687,
  [SMALL_STATE(11065)] = 525701,
  [SMALL_STATE(11066)] = 525711,
  [SMALL_STATE(11067)] = 525725,
  [SMALL_STATE(11068)] = 525735,
  [SMALL_STATE(11069)] = 525749,
  [SMALL_STATE(11070)] = 525759,
  [SMALL_STATE(11071)] = 525773,
  [SMALL_STATE(11072)] = 525783,
  [SMALL_STATE(11073)] = 525797,
  [SMALL_STATE(11074)] = 525807,
  [SMALL_STATE(11075)] = 525821,
  [SMALL_STATE(11076)] = 525833,
  [SMALL_STATE(11077)] = 525847,
  [SMALL_STATE(11078)] = 525861,
  [SMALL_STATE(11079)] = 525875,
  [SMALL_STATE(11080)] = 525889,
  [SMALL_STATE(11081)] = 525899,
  [SMALL_STATE(11082)] = 525913,
  [SMALL_STATE(11083)] = 525927,
  [SMALL_STATE(11084)] = 525937,
  [SMALL_STATE(11085)] = 525951,
  [SMALL_STATE(11086)] = 525965,
  [SMALL_STATE(11087)] = 525975,
  [SMALL_STATE(11088)] = 525985,
  [SMALL_STATE(11089)] = 525999,
  [SMALL_STATE(11090)] = 526013,
  [SMALL_STATE(11091)] = 526023,
  [SMALL_STATE(11092)] = 526035,
  [SMALL_STATE(11093)] = 526049,
  [SMALL_STATE(11094)] = 526063,
  [SMALL_STATE(11095)] = 526073,
  [SMALL_STATE(11096)] = 526087,
  [SMALL_STATE(11097)] = 526099,
  [SMALL_STATE(11098)] = 526113,
  [SMALL_STATE(11099)] = 526123,
  [SMALL_STATE(11100)] = 526137,
  [SMALL_STATE(11101)] = 526147,
  [SMALL_STATE(11102)] = 526161,
  [SMALL_STATE(11103)] = 526175,
  [SMALL_STATE(11104)] = 526185,
  [SMALL_STATE(11105)] = 526195,
  [SMALL_STATE(11106)] = 526205,
  [SMALL_STATE(11107)] = 526215,
  [SMALL_STATE(11108)] = 526225,
  [SMALL_STATE(11109)] = 526239,
  [SMALL_STATE(11110)] = 526249,
  [SMALL_STATE(11111)] = 526259,
  [SMALL_STATE(11112)] = 526273,
  [SMALL_STATE(11113)] = 526287,
  [SMALL_STATE(11114)] = 526301,
  [SMALL_STATE(11115)] = 526311,
  [SMALL_STATE(11116)] = 526323,
  [SMALL_STATE(11117)] = 526337,
  [SMALL_STATE(11118)] = 526347,
  [SMALL_STATE(11119)] = 526361,
  [SMALL_STATE(11120)] = 526375,
  [SMALL_STATE(11121)] = 526389,
  [SMALL_STATE(11122)] = 526403,
  [SMALL_STATE(11123)] = 526417,
  [SMALL_STATE(11124)] = 526431,
  [SMALL_STATE(11125)] = 526445,
  [SMALL_STATE(11126)] = 526457,
  [SMALL_STATE(11127)] = 526471,
  [SMALL_STATE(11128)] = 526485,
  [SMALL_STATE(11129)] = 526499,
  [SMALL_STATE(11130)] = 526513,
  [SMALL_STATE(11131)] = 526527,
  [SMALL_STATE(11132)] = 526541,
  [SMALL_STATE(11133)] = 526555,
  [SMALL_STATE(11134)] = 526569,
  [SMALL_STATE(11135)] = 526583,
  [SMALL_STATE(11136)] = 526597,
  [SMALL_STATE(11137)] = 526611,
  [SMALL_STATE(11138)] = 526625,
  [SMALL_STATE(11139)] = 526639,
  [SMALL_STATE(11140)] = 526653,
  [SMALL_STATE(11141)] = 526663,
  [SMALL_STATE(11142)] = 526673,
  [SMALL_STATE(11143)] = 526683,
  [SMALL_STATE(11144)] = 526693,
  [SMALL_STATE(11145)] = 526707,
  [SMALL_STATE(11146)] = 526721,
  [SMALL_STATE(11147)] = 526735,
  [SMALL_STATE(11148)] = 526749,
  [SMALL_STATE(11149)] = 526763,
  [SMALL_STATE(11150)] = 526777,
  [SMALL_STATE(11151)] = 526791,
  [SMALL_STATE(11152)] = 526803,
  [SMALL_STATE(11153)] = 526813,
  [SMALL_STATE(11154)] = 526827,
  [SMALL_STATE(11155)] = 526841,
  [SMALL_STATE(11156)] = 526851,
  [SMALL_STATE(11157)] = 526865,
  [SMALL_STATE(11158)] = 526879,
  [SMALL_STATE(11159)] = 526893,
  [SMALL_STATE(11160)] = 526907,
  [SMALL_STATE(11161)] = 526921,
  [SMALL_STATE(11162)] = 526935,
  [SMALL_STATE(11163)] = 526945,
  [SMALL_STATE(11164)] = 526955,
  [SMALL_STATE(11165)] = 526965,
  [SMALL_STATE(11166)] = 526979,
  [SMALL_STATE(11167)] = 526989,
  [SMALL_STATE(11168)] = 526999,
  [SMALL_STATE(11169)] = 527009,
  [SMALL_STATE(11170)] = 527023,
  [SMALL_STATE(11171)] = 527033,
  [SMALL_STATE(11172)] = 527043,
  [SMALL_STATE(11173)] = 527057,
  [SMALL_STATE(11174)] = 527071,
  [SMALL_STATE(11175)] = 527085,
  [SMALL_STATE(11176)] = 527099,
  [SMALL_STATE(11177)] = 527113,
  [SMALL_STATE(11178)] = 527123,
  [SMALL_STATE(11179)] = 527137,
  [SMALL_STATE(11180)] = 527151,
  [SMALL_STATE(11181)] = 527165,
  [SMALL_STATE(11182)] = 527175,
  [SMALL_STATE(11183)] = 527185,
  [SMALL_STATE(11184)] = 527195,
  [SMALL_STATE(11185)] = 527207,
  [SMALL_STATE(11186)] = 527217,
  [SMALL_STATE(11187)] = 527227,
  [SMALL_STATE(11188)] = 527241,
  [SMALL_STATE(11189)] = 527255,
  [SMALL_STATE(11190)] = 527265,
  [SMALL_STATE(11191)] = 527275,
  [SMALL_STATE(11192)] = 527285,
  [SMALL_STATE(11193)] = 527295,
  [SMALL_STATE(11194)] = 527305,
  [SMALL_STATE(11195)] = 527315,
  [SMALL_STATE(11196)] = 527325,
  [SMALL_STATE(11197)] = 527335,
  [SMALL_STATE(11198)] = 527345,
  [SMALL_STATE(11199)] = 527359,
  [SMALL_STATE(11200)] = 527369,
  [SMALL_STATE(11201)] = 527379,
  [SMALL_STATE(11202)] = 527391,
  [SMALL_STATE(11203)] = 527405,
  [SMALL_STATE(11204)] = 527417,
  [SMALL_STATE(11205)] = 527427,
  [SMALL_STATE(11206)] = 527437,
  [SMALL_STATE(11207)] = 527447,
  [SMALL_STATE(11208)] = 527461,
  [SMALL_STATE(11209)] = 527471,
  [SMALL_STATE(11210)] = 527481,
  [SMALL_STATE(11211)] = 527495,
  [SMALL_STATE(11212)] = 527509,
  [SMALL_STATE(11213)] = 527523,
  [SMALL_STATE(11214)] = 527537,
  [SMALL_STATE(11215)] = 527551,
  [SMALL_STATE(11216)] = 527565,
  [SMALL_STATE(11217)] = 527575,
  [SMALL_STATE(11218)] = 527589,
  [SMALL_STATE(11219)] = 527599,
  [SMALL_STATE(11220)] = 527613,
  [SMALL_STATE(11221)] = 527627,
  [SMALL_STATE(11222)] = 527641,
  [SMALL_STATE(11223)] = 527651,
  [SMALL_STATE(11224)] = 527661,
  [SMALL_STATE(11225)] = 527673,
  [SMALL_STATE(11226)] = 527687,
  [SMALL_STATE(11227)] = 527701,
  [SMALL_STATE(11228)] = 527715,
  [SMALL_STATE(11229)] = 527725,
  [SMALL_STATE(11230)] = 527739,
  [SMALL_STATE(11231)] = 527753,
  [SMALL_STATE(11232)] = 527767,
  [SMALL_STATE(11233)] = 527781,
  [SMALL_STATE(11234)] = 527791,
  [SMALL_STATE(11235)] = 527801,
  [SMALL_STATE(11236)] = 527815,
  [SMALL_STATE(11237)] = 527825,
  [SMALL_STATE(11238)] = 527839,
  [SMALL_STATE(11239)] = 527853,
  [SMALL_STATE(11240)] = 527867,
  [SMALL_STATE(11241)] = 527877,
  [SMALL_STATE(11242)] = 527887,
  [SMALL_STATE(11243)] = 527897,
  [SMALL_STATE(11244)] = 527907,
  [SMALL_STATE(11245)] = 527921,
  [SMALL_STATE(11246)] = 527935,
  [SMALL_STATE(11247)] = 527945,
  [SMALL_STATE(11248)] = 527959,
  [SMALL_STATE(11249)] = 527969,
  [SMALL_STATE(11250)] = 527979,
  [SMALL_STATE(11251)] = 527993,
  [SMALL_STATE(11252)] = 528007,
  [SMALL_STATE(11253)] = 528021,
  [SMALL_STATE(11254)] = 528031,
  [SMALL_STATE(11255)] = 528045,
  [SMALL_STATE(11256)] = 528055,
  [SMALL_STATE(11257)] = 528069,
  [SMALL_STATE(11258)] = 528081,
  [SMALL_STATE(11259)] = 528091,
  [SMALL_STATE(11260)] = 528105,
  [SMALL_STATE(11261)] = 528115,
  [SMALL_STATE(11262)] = 528125,
  [SMALL_STATE(11263)] = 528139,
  [SMALL_STATE(11264)] = 528153,
  [SMALL_STATE(11265)] = 528165,
  [SMALL_STATE(11266)] = 528175,
  [SMALL_STATE(11267)] = 528187,
  [SMALL_STATE(11268)] = 528199,
  [SMALL_STATE(11269)] = 528213,
  [SMALL_STATE(11270)] = 528225,
  [SMALL_STATE(11271)] = 528237,
  [SMALL_STATE(11272)] = 528251,
  [SMALL_STATE(11273)] = 528265,
  [SMALL_STATE(11274)] = 528279,
  [SMALL_STATE(11275)] = 528289,
  [SMALL_STATE(11276)] = 528299,
  [SMALL_STATE(11277)] = 528313,
  [SMALL_STATE(11278)] = 528327,
  [SMALL_STATE(11279)] = 528339,
  [SMALL_STATE(11280)] = 528349,
  [SMALL_STATE(11281)] = 528359,
  [SMALL_STATE(11282)] = 528369,
  [SMALL_STATE(11283)] = 528379,
  [SMALL_STATE(11284)] = 528389,
  [SMALL_STATE(11285)] = 528403,
  [SMALL_STATE(11286)] = 528417,
  [SMALL_STATE(11287)] = 528431,
  [SMALL_STATE(11288)] = 528441,
  [SMALL_STATE(11289)] = 528455,
  [SMALL_STATE(11290)] = 528465,
  [SMALL_STATE(11291)] = 528475,
  [SMALL_STATE(11292)] = 528489,
  [SMALL_STATE(11293)] = 528503,
  [SMALL_STATE(11294)] = 528513,
  [SMALL_STATE(11295)] = 528525,
  [SMALL_STATE(11296)] = 528535,
  [SMALL_STATE(11297)] = 528549,
  [SMALL_STATE(11298)] = 528563,
  [SMALL_STATE(11299)] = 528577,
  [SMALL_STATE(11300)] = 528591,
  [SMALL_STATE(11301)] = 528601,
  [SMALL_STATE(11302)] = 528611,
  [SMALL_STATE(11303)] = 528621,
  [SMALL_STATE(11304)] = 528631,
  [SMALL_STATE(11305)] = 528641,
  [SMALL_STATE(11306)] = 528655,
  [SMALL_STATE(11307)] = 528669,
  [SMALL_STATE(11308)] = 528683,
  [SMALL_STATE(11309)] = 528697,
  [SMALL_STATE(11310)] = 528711,
  [SMALL_STATE(11311)] = 528725,
  [SMALL_STATE(11312)] = 528739,
  [SMALL_STATE(11313)] = 528749,
  [SMALL_STATE(11314)] = 528759,
  [SMALL_STATE(11315)] = 528769,
  [SMALL_STATE(11316)] = 528783,
  [SMALL_STATE(11317)] = 528793,
  [SMALL_STATE(11318)] = 528803,
  [SMALL_STATE(11319)] = 528817,
  [SMALL_STATE(11320)] = 528827,
  [SMALL_STATE(11321)] = 528837,
  [SMALL_STATE(11322)] = 528851,
  [SMALL_STATE(11323)] = 528861,
  [SMALL_STATE(11324)] = 528873,
  [SMALL_STATE(11325)] = 528887,
  [SMALL_STATE(11326)] = 528901,
  [SMALL_STATE(11327)] = 528915,
  [SMALL_STATE(11328)] = 528925,
  [SMALL_STATE(11329)] = 528935,
  [SMALL_STATE(11330)] = 528949,
  [SMALL_STATE(11331)] = 528963,
  [SMALL_STATE(11332)] = 528973,
  [SMALL_STATE(11333)] = 528987,
  [SMALL_STATE(11334)] = 528997,
  [SMALL_STATE(11335)] = 529011,
  [SMALL_STATE(11336)] = 529025,
  [SMALL_STATE(11337)] = 529039,
  [SMALL_STATE(11338)] = 529053,
  [SMALL_STATE(11339)] = 529067,
  [SMALL_STATE(11340)] = 529077,
  [SMALL_STATE(11341)] = 529091,
  [SMALL_STATE(11342)] = 529101,
  [SMALL_STATE(11343)] = 529115,
  [SMALL_STATE(11344)] = 529129,
  [SMALL_STATE(11345)] = 529143,
  [SMALL_STATE(11346)] = 529157,
  [SMALL_STATE(11347)] = 529167,
  [SMALL_STATE(11348)] = 529177,
  [SMALL_STATE(11349)] = 529191,
  [SMALL_STATE(11350)] = 529205,
  [SMALL_STATE(11351)] = 529219,
  [SMALL_STATE(11352)] = 529229,
  [SMALL_STATE(11353)] = 529239,
  [SMALL_STATE(11354)] = 529253,
  [SMALL_STATE(11355)] = 529267,
  [SMALL_STATE(11356)] = 529277,
  [SMALL_STATE(11357)] = 529291,
  [SMALL_STATE(11358)] = 529305,
  [SMALL_STATE(11359)] = 529315,
  [SMALL_STATE(11360)] = 529329,
  [SMALL_STATE(11361)] = 529339,
  [SMALL_STATE(11362)] = 529353,
  [SMALL_STATE(11363)] = 529367,
  [SMALL_STATE(11364)] = 529381,
  [SMALL_STATE(11365)] = 529395,
  [SMALL_STATE(11366)] = 529405,
  [SMALL_STATE(11367)] = 529415,
  [SMALL_STATE(11368)] = 529425,
  [SMALL_STATE(11369)] = 529439,
  [SMALL_STATE(11370)] = 529451,
  [SMALL_STATE(11371)] = 529465,
  [SMALL_STATE(11372)] = 529479,
  [SMALL_STATE(11373)] = 529493,
  [SMALL_STATE(11374)] = 529503,
  [SMALL_STATE(11375)] = 529517,
  [SMALL_STATE(11376)] = 529527,
  [SMALL_STATE(11377)] = 529541,
  [SMALL_STATE(11378)] = 529555,
  [SMALL_STATE(11379)] = 529569,
  [SMALL_STATE(11380)] = 529579,
  [SMALL_STATE(11381)] = 529589,
  [SMALL_STATE(11382)] = 529603,
  [SMALL_STATE(11383)] = 529613,
  [SMALL_STATE(11384)] = 529627,
  [SMALL_STATE(11385)] = 529639,
  [SMALL_STATE(11386)] = 529653,
  [SMALL_STATE(11387)] = 529663,
  [SMALL_STATE(11388)] = 529675,
  [SMALL_STATE(11389)] = 529685,
  [SMALL_STATE(11390)] = 529695,
  [SMALL_STATE(11391)] = 529705,
  [SMALL_STATE(11392)] = 529719,
  [SMALL_STATE(11393)] = 529729,
  [SMALL_STATE(11394)] = 529743,
  [SMALL_STATE(11395)] = 529757,
  [SMALL_STATE(11396)] = 529767,
  [SMALL_STATE(11397)] = 529777,
  [SMALL_STATE(11398)] = 529791,
  [SMALL_STATE(11399)] = 529805,
  [SMALL_STATE(11400)] = 529815,
  [SMALL_STATE(11401)] = 529829,
  [SMALL_STATE(11402)] = 529839,
  [SMALL_STATE(11403)] = 529853,
  [SMALL_STATE(11404)] = 529867,
  [SMALL_STATE(11405)] = 529877,
  [SMALL_STATE(11406)] = 529891,
  [SMALL_STATE(11407)] = 529905,
  [SMALL_STATE(11408)] = 529919,
  [SMALL_STATE(11409)] = 529933,
  [SMALL_STATE(11410)] = 529947,
  [SMALL_STATE(11411)] = 529957,
  [SMALL_STATE(11412)] = 529971,
  [SMALL_STATE(11413)] = 529981,
  [SMALL_STATE(11414)] = 529991,
  [SMALL_STATE(11415)] = 530001,
  [SMALL_STATE(11416)] = 530015,
  [SMALL_STATE(11417)] = 530025,
  [SMALL_STATE(11418)] = 530035,
  [SMALL_STATE(11419)] = 530045,
  [SMALL_STATE(11420)] = 530055,
  [SMALL_STATE(11421)] = 530065,
  [SMALL_STATE(11422)] = 530075,
  [SMALL_STATE(11423)] = 530089,
  [SMALL_STATE(11424)] = 530099,
  [SMALL_STATE(11425)] = 530109,
  [SMALL_STATE(11426)] = 530119,
  [SMALL_STATE(11427)] = 530133,
  [SMALL_STATE(11428)] = 530147,
  [SMALL_STATE(11429)] = 530161,
  [SMALL_STATE(11430)] = 530175,
  [SMALL_STATE(11431)] = 530189,
  [SMALL_STATE(11432)] = 530203,
  [SMALL_STATE(11433)] = 530215,
  [SMALL_STATE(11434)] = 530229,
  [SMALL_STATE(11435)] = 530243,
  [SMALL_STATE(11436)] = 530257,
  [SMALL_STATE(11437)] = 530271,
  [SMALL_STATE(11438)] = 530283,
  [SMALL_STATE(11439)] = 530293,
  [SMALL_STATE(11440)] = 530307,
  [SMALL_STATE(11441)] = 530321,
  [SMALL_STATE(11442)] = 530335,
  [SMALL_STATE(11443)] = 530349,
  [SMALL_STATE(11444)] = 530363,
  [SMALL_STATE(11445)] = 530377,
  [SMALL_STATE(11446)] = 530391,
  [SMALL_STATE(11447)] = 530405,
  [SMALL_STATE(11448)] = 530419,
  [SMALL_STATE(11449)] = 530433,
  [SMALL_STATE(11450)] = 530447,
  [SMALL_STATE(11451)] = 530461,
  [SMALL_STATE(11452)] = 530471,
  [SMALL_STATE(11453)] = 530483,
  [SMALL_STATE(11454)] = 530497,
  [SMALL_STATE(11455)] = 530507,
  [SMALL_STATE(11456)] = 530517,
  [SMALL_STATE(11457)] = 530527,
  [SMALL_STATE(11458)] = 530541,
  [SMALL_STATE(11459)] = 530555,
  [SMALL_STATE(11460)] = 530569,
  [SMALL_STATE(11461)] = 530583,
  [SMALL_STATE(11462)] = 530597,
  [SMALL_STATE(11463)] = 530611,
  [SMALL_STATE(11464)] = 530625,
  [SMALL_STATE(11465)] = 530639,
  [SMALL_STATE(11466)] = 530653,
  [SMALL_STATE(11467)] = 530667,
  [SMALL_STATE(11468)] = 530681,
  [SMALL_STATE(11469)] = 530695,
  [SMALL_STATE(11470)] = 530709,
  [SMALL_STATE(11471)] = 530723,
  [SMALL_STATE(11472)] = 530737,
  [SMALL_STATE(11473)] = 530751,
  [SMALL_STATE(11474)] = 530765,
  [SMALL_STATE(11475)] = 530779,
  [SMALL_STATE(11476)] = 530793,
  [SMALL_STATE(11477)] = 530807,
  [SMALL_STATE(11478)] = 530821,
  [SMALL_STATE(11479)] = 530831,
  [SMALL_STATE(11480)] = 530845,
  [SMALL_STATE(11481)] = 530855,
  [SMALL_STATE(11482)] = 530869,
  [SMALL_STATE(11483)] = 530883,
  [SMALL_STATE(11484)] = 530897,
  [SMALL_STATE(11485)] = 530907,
  [SMALL_STATE(11486)] = 530921,
  [SMALL_STATE(11487)] = 530935,
  [SMALL_STATE(11488)] = 530949,
  [SMALL_STATE(11489)] = 530961,
  [SMALL_STATE(11490)] = 530973,
  [SMALL_STATE(11491)] = 530985,
  [SMALL_STATE(11492)] = 530997,
  [SMALL_STATE(11493)] = 531009,
  [SMALL_STATE(11494)] = 531021,
  [SMALL_STATE(11495)] = 531033,
  [SMALL_STATE(11496)] = 531045,
  [SMALL_STATE(11497)] = 531055,
  [SMALL_STATE(11498)] = 531067,
  [SMALL_STATE(11499)] = 531081,
  [SMALL_STATE(11500)] = 531095,
  [SMALL_STATE(11501)] = 531109,
  [SMALL_STATE(11502)] = 531119,
  [SMALL_STATE(11503)] = 531133,
  [SMALL_STATE(11504)] = 531143,
  [SMALL_STATE(11505)] = 531157,
  [SMALL_STATE(11506)] = 531171,
  [SMALL_STATE(11507)] = 531185,
  [SMALL_STATE(11508)] = 531199,
  [SMALL_STATE(11509)] = 531213,
  [SMALL_STATE(11510)] = 531227,
  [SMALL_STATE(11511)] = 531241,
  [SMALL_STATE(11512)] = 531255,
  [SMALL_STATE(11513)] = 531265,
  [SMALL_STATE(11514)] = 531279,
  [SMALL_STATE(11515)] = 531293,
  [SMALL_STATE(11516)] = 531307,
  [SMALL_STATE(11517)] = 531321,
  [SMALL_STATE(11518)] = 531332,
  [SMALL_STATE(11519)] = 531343,
  [SMALL_STATE(11520)] = 531354,
  [SMALL_STATE(11521)] = 531365,
  [SMALL_STATE(11522)] = 531376,
  [SMALL_STATE(11523)] = 531387,
  [SMALL_STATE(11524)] = 531398,
  [SMALL_STATE(11525)] = 531409,
  [SMALL_STATE(11526)] = 531418,
  [SMALL_STATE(11527)] = 531429,
  [SMALL_STATE(11528)] = 531438,
  [SMALL_STATE(11529)] = 531449,
  [SMALL_STATE(11530)] = 531460,
  [SMALL_STATE(11531)] = 531469,
  [SMALL_STATE(11532)] = 531480,
  [SMALL_STATE(11533)] = 531491,
  [SMALL_STATE(11534)] = 531502,
  [SMALL_STATE(11535)] = 531511,
  [SMALL_STATE(11536)] = 531522,
  [SMALL_STATE(11537)] = 531533,
  [SMALL_STATE(11538)] = 531544,
  [SMALL_STATE(11539)] = 531553,
  [SMALL_STATE(11540)] = 531564,
  [SMALL_STATE(11541)] = 531575,
  [SMALL_STATE(11542)] = 531586,
  [SMALL_STATE(11543)] = 531597,
  [SMALL_STATE(11544)] = 531606,
  [SMALL_STATE(11545)] = 531615,
  [SMALL_STATE(11546)] = 531624,
  [SMALL_STATE(11547)] = 531633,
  [SMALL_STATE(11548)] = 531644,
  [SMALL_STATE(11549)] = 531655,
  [SMALL_STATE(11550)] = 531666,
  [SMALL_STATE(11551)] = 531675,
  [SMALL_STATE(11552)] = 531684,
  [SMALL_STATE(11553)] = 531693,
  [SMALL_STATE(11554)] = 531704,
  [SMALL_STATE(11555)] = 531715,
  [SMALL_STATE(11556)] = 531726,
  [SMALL_STATE(11557)] = 531735,
  [SMALL_STATE(11558)] = 531746,
  [SMALL_STATE(11559)] = 531757,
  [SMALL_STATE(11560)] = 531766,
  [SMALL_STATE(11561)] = 531775,
  [SMALL_STATE(11562)] = 531786,
  [SMALL_STATE(11563)] = 531797,
  [SMALL_STATE(11564)] = 531808,
  [SMALL_STATE(11565)] = 531819,
  [SMALL_STATE(11566)] = 531830,
  [SMALL_STATE(11567)] = 531839,
  [SMALL_STATE(11568)] = 531850,
  [SMALL_STATE(11569)] = 531861,
  [SMALL_STATE(11570)] = 531872,
  [SMALL_STATE(11571)] = 531881,
  [SMALL_STATE(11572)] = 531890,
  [SMALL_STATE(11573)] = 531899,
  [SMALL_STATE(11574)] = 531910,
  [SMALL_STATE(11575)] = 531919,
  [SMALL_STATE(11576)] = 531930,
  [SMALL_STATE(11577)] = 531941,
  [SMALL_STATE(11578)] = 531950,
  [SMALL_STATE(11579)] = 531959,
  [SMALL_STATE(11580)] = 531968,
  [SMALL_STATE(11581)] = 531979,
  [SMALL_STATE(11582)] = 531990,
  [SMALL_STATE(11583)] = 532001,
  [SMALL_STATE(11584)] = 532010,
  [SMALL_STATE(11585)] = 532021,
  [SMALL_STATE(11586)] = 532032,
  [SMALL_STATE(11587)] = 532043,
  [SMALL_STATE(11588)] = 532052,
  [SMALL_STATE(11589)] = 532063,
  [SMALL_STATE(11590)] = 532074,
  [SMALL_STATE(11591)] = 532085,
  [SMALL_STATE(11592)] = 532094,
  [SMALL_STATE(11593)] = 532105,
  [SMALL_STATE(11594)] = 532116,
  [SMALL_STATE(11595)] = 532127,
  [SMALL_STATE(11596)] = 532138,
  [SMALL_STATE(11597)] = 532149,
  [SMALL_STATE(11598)] = 532160,
  [SMALL_STATE(11599)] = 532171,
  [SMALL_STATE(11600)] = 532182,
  [SMALL_STATE(11601)] = 532193,
  [SMALL_STATE(11602)] = 532204,
  [SMALL_STATE(11603)] = 532213,
  [SMALL_STATE(11604)] = 532224,
  [SMALL_STATE(11605)] = 532235,
  [SMALL_STATE(11606)] = 532244,
  [SMALL_STATE(11607)] = 532255,
  [SMALL_STATE(11608)] = 532264,
  [SMALL_STATE(11609)] = 532273,
  [SMALL_STATE(11610)] = 532284,
  [SMALL_STATE(11611)] = 532295,
  [SMALL_STATE(11612)] = 532306,
  [SMALL_STATE(11613)] = 532315,
  [SMALL_STATE(11614)] = 532324,
  [SMALL_STATE(11615)] = 532335,
  [SMALL_STATE(11616)] = 532344,
  [SMALL_STATE(11617)] = 532353,
  [SMALL_STATE(11618)] = 532362,
  [SMALL_STATE(11619)] = 532371,
  [SMALL_STATE(11620)] = 532380,
  [SMALL_STATE(11621)] = 532389,
  [SMALL_STATE(11622)] = 532400,
  [SMALL_STATE(11623)] = 532411,
  [SMALL_STATE(11624)] = 532422,
  [SMALL_STATE(11625)] = 532431,
  [SMALL_STATE(11626)] = 532442,
  [SMALL_STATE(11627)] = 532453,
  [SMALL_STATE(11628)] = 532462,
  [SMALL_STATE(11629)] = 532473,
  [SMALL_STATE(11630)] = 532484,
  [SMALL_STATE(11631)] = 532495,
  [SMALL_STATE(11632)] = 532506,
  [SMALL_STATE(11633)] = 532517,
  [SMALL_STATE(11634)] = 532528,
  [SMALL_STATE(11635)] = 532539,
  [SMALL_STATE(11636)] = 532550,
  [SMALL_STATE(11637)] = 532561,
  [SMALL_STATE(11638)] = 532570,
  [SMALL_STATE(11639)] = 532581,
  [SMALL_STATE(11640)] = 532592,
  [SMALL_STATE(11641)] = 532603,
  [SMALL_STATE(11642)] = 532612,
  [SMALL_STATE(11643)] = 532621,
  [SMALL_STATE(11644)] = 532632,
  [SMALL_STATE(11645)] = 532643,
  [SMALL_STATE(11646)] = 532654,
  [SMALL_STATE(11647)] = 532665,
  [SMALL_STATE(11648)] = 532674,
  [SMALL_STATE(11649)] = 532685,
  [SMALL_STATE(11650)] = 532696,
  [SMALL_STATE(11651)] = 532705,
  [SMALL_STATE(11652)] = 532714,
  [SMALL_STATE(11653)] = 532723,
  [SMALL_STATE(11654)] = 532734,
  [SMALL_STATE(11655)] = 532745,
  [SMALL_STATE(11656)] = 532756,
  [SMALL_STATE(11657)] = 532767,
  [SMALL_STATE(11658)] = 532778,
  [SMALL_STATE(11659)] = 532789,
  [SMALL_STATE(11660)] = 532800,
  [SMALL_STATE(11661)] = 532811,
  [SMALL_STATE(11662)] = 532822,
  [SMALL_STATE(11663)] = 532833,
  [SMALL_STATE(11664)] = 532844,
  [SMALL_STATE(11665)] = 532853,
  [SMALL_STATE(11666)] = 532864,
  [SMALL_STATE(11667)] = 532873,
  [SMALL_STATE(11668)] = 532882,
  [SMALL_STATE(11669)] = 532893,
  [SMALL_STATE(11670)] = 532902,
  [SMALL_STATE(11671)] = 532911,
  [SMALL_STATE(11672)] = 532920,
  [SMALL_STATE(11673)] = 532929,
  [SMALL_STATE(11674)] = 532940,
  [SMALL_STATE(11675)] = 532949,
  [SMALL_STATE(11676)] = 532960,
  [SMALL_STATE(11677)] = 532969,
  [SMALL_STATE(11678)] = 532980,
  [SMALL_STATE(11679)] = 532991,
  [SMALL_STATE(11680)] = 533002,
  [SMALL_STATE(11681)] = 533013,
  [SMALL_STATE(11682)] = 533022,
  [SMALL_STATE(11683)] = 533031,
  [SMALL_STATE(11684)] = 533042,
  [SMALL_STATE(11685)] = 533051,
  [SMALL_STATE(11686)] = 533062,
  [SMALL_STATE(11687)] = 533071,
  [SMALL_STATE(11688)] = 533080,
  [SMALL_STATE(11689)] = 533089,
  [SMALL_STATE(11690)] = 533098,
  [SMALL_STATE(11691)] = 533107,
  [SMALL_STATE(11692)] = 533118,
  [SMALL_STATE(11693)] = 533129,
  [SMALL_STATE(11694)] = 533140,
  [SMALL_STATE(11695)] = 533149,
  [SMALL_STATE(11696)] = 533160,
  [SMALL_STATE(11697)] = 533169,
  [SMALL_STATE(11698)] = 533178,
  [SMALL_STATE(11699)] = 533189,
  [SMALL_STATE(11700)] = 533200,
  [SMALL_STATE(11701)] = 533211,
  [SMALL_STATE(11702)] = 533222,
  [SMALL_STATE(11703)] = 533233,
  [SMALL_STATE(11704)] = 533244,
  [SMALL_STATE(11705)] = 533255,
  [SMALL_STATE(11706)] = 533264,
  [SMALL_STATE(11707)] = 533273,
  [SMALL_STATE(11708)] = 533284,
  [SMALL_STATE(11709)] = 533295,
  [SMALL_STATE(11710)] = 533306,
  [SMALL_STATE(11711)] = 533317,
  [SMALL_STATE(11712)] = 533328,
  [SMALL_STATE(11713)] = 533339,
  [SMALL_STATE(11714)] = 533348,
  [SMALL_STATE(11715)] = 533359,
  [SMALL_STATE(11716)] = 533370,
  [SMALL_STATE(11717)] = 533379,
  [SMALL_STATE(11718)] = 533390,
  [SMALL_STATE(11719)] = 533401,
  [SMALL_STATE(11720)] = 533410,
  [SMALL_STATE(11721)] = 533421,
  [SMALL_STATE(11722)] = 533432,
  [SMALL_STATE(11723)] = 533441,
  [SMALL_STATE(11724)] = 533452,
  [SMALL_STATE(11725)] = 533463,
  [SMALL_STATE(11726)] = 533474,
  [SMALL_STATE(11727)] = 533485,
  [SMALL_STATE(11728)] = 533496,
  [SMALL_STATE(11729)] = 533505,
  [SMALL_STATE(11730)] = 533516,
  [SMALL_STATE(11731)] = 533527,
  [SMALL_STATE(11732)] = 533538,
  [SMALL_STATE(11733)] = 533549,
  [SMALL_STATE(11734)] = 533558,
  [SMALL_STATE(11735)] = 533567,
  [SMALL_STATE(11736)] = 533576,
  [SMALL_STATE(11737)] = 533585,
  [SMALL_STATE(11738)] = 533594,
  [SMALL_STATE(11739)] = 533603,
  [SMALL_STATE(11740)] = 533612,
  [SMALL_STATE(11741)] = 533623,
  [SMALL_STATE(11742)] = 533632,
  [SMALL_STATE(11743)] = 533641,
  [SMALL_STATE(11744)] = 533650,
  [SMALL_STATE(11745)] = 533659,
  [SMALL_STATE(11746)] = 533670,
  [SMALL_STATE(11747)] = 533681,
  [SMALL_STATE(11748)] = 533692,
  [SMALL_STATE(11749)] = 533703,
  [SMALL_STATE(11750)] = 533714,
  [SMALL_STATE(11751)] = 533723,
  [SMALL_STATE(11752)] = 533732,
  [SMALL_STATE(11753)] = 533743,
  [SMALL_STATE(11754)] = 533752,
  [SMALL_STATE(11755)] = 533763,
  [SMALL_STATE(11756)] = 533772,
  [SMALL_STATE(11757)] = 533783,
  [SMALL_STATE(11758)] = 533794,
  [SMALL_STATE(11759)] = 533805,
  [SMALL_STATE(11760)] = 533814,
  [SMALL_STATE(11761)] = 533823,
  [SMALL_STATE(11762)] = 533834,
  [SMALL_STATE(11763)] = 533845,
  [SMALL_STATE(11764)] = 533856,
  [SMALL_STATE(11765)] = 533865,
  [SMALL_STATE(11766)] = 533876,
  [SMALL_STATE(11767)] = 533887,
  [SMALL_STATE(11768)] = 533898,
  [SMALL_STATE(11769)] = 533907,
  [SMALL_STATE(11770)] = 533916,
  [SMALL_STATE(11771)] = 533927,
  [SMALL_STATE(11772)] = 533938,
  [SMALL_STATE(11773)] = 533949,
  [SMALL_STATE(11774)] = 533960,
  [SMALL_STATE(11775)] = 533969,
  [SMALL_STATE(11776)] = 533980,
  [SMALL_STATE(11777)] = 533991,
  [SMALL_STATE(11778)] = 534002,
  [SMALL_STATE(11779)] = 534013,
  [SMALL_STATE(11780)] = 534022,
  [SMALL_STATE(11781)] = 534033,
  [SMALL_STATE(11782)] = 534044,
  [SMALL_STATE(11783)] = 534053,
  [SMALL_STATE(11784)] = 534062,
  [SMALL_STATE(11785)] = 534071,
  [SMALL_STATE(11786)] = 534082,
  [SMALL_STATE(11787)] = 534093,
  [SMALL_STATE(11788)] = 534104,
  [SMALL_STATE(11789)] = 534115,
  [SMALL_STATE(11790)] = 534126,
  [SMALL_STATE(11791)] = 534137,
  [SMALL_STATE(11792)] = 534148,
  [SMALL_STATE(11793)] = 534159,
  [SMALL_STATE(11794)] = 534170,
  [SMALL_STATE(11795)] = 534181,
  [SMALL_STATE(11796)] = 534192,
  [SMALL_STATE(11797)] = 534203,
  [SMALL_STATE(11798)] = 534214,
  [SMALL_STATE(11799)] = 534225,
  [SMALL_STATE(11800)] = 534236,
  [SMALL_STATE(11801)] = 534247,
  [SMALL_STATE(11802)] = 534258,
  [SMALL_STATE(11803)] = 534269,
  [SMALL_STATE(11804)] = 534280,
  [SMALL_STATE(11805)] = 534289,
  [SMALL_STATE(11806)] = 534298,
  [SMALL_STATE(11807)] = 534307,
  [SMALL_STATE(11808)] = 534318,
  [SMALL_STATE(11809)] = 534329,
  [SMALL_STATE(11810)] = 534338,
  [SMALL_STATE(11811)] = 534349,
  [SMALL_STATE(11812)] = 534360,
  [SMALL_STATE(11813)] = 534371,
  [SMALL_STATE(11814)] = 534382,
  [SMALL_STATE(11815)] = 534391,
  [SMALL_STATE(11816)] = 534400,
  [SMALL_STATE(11817)] = 534411,
  [SMALL_STATE(11818)] = 534420,
  [SMALL_STATE(11819)] = 534431,
  [SMALL_STATE(11820)] = 534442,
  [SMALL_STATE(11821)] = 534453,
  [SMALL_STATE(11822)] = 534464,
  [SMALL_STATE(11823)] = 534473,
  [SMALL_STATE(11824)] = 534482,
  [SMALL_STATE(11825)] = 534491,
  [SMALL_STATE(11826)] = 534500,
  [SMALL_STATE(11827)] = 534509,
  [SMALL_STATE(11828)] = 534518,
  [SMALL_STATE(11829)] = 534527,
  [SMALL_STATE(11830)] = 534538,
  [SMALL_STATE(11831)] = 534549,
  [SMALL_STATE(11832)] = 534560,
  [SMALL_STATE(11833)] = 534571,
  [SMALL_STATE(11834)] = 534582,
  [SMALL_STATE(11835)] = 534591,
  [SMALL_STATE(11836)] = 534602,
  [SMALL_STATE(11837)] = 534613,
  [SMALL_STATE(11838)] = 534624,
  [SMALL_STATE(11839)] = 534635,
  [SMALL_STATE(11840)] = 534644,
  [SMALL_STATE(11841)] = 534655,
  [SMALL_STATE(11842)] = 534664,
  [SMALL_STATE(11843)] = 534673,
  [SMALL_STATE(11844)] = 534682,
  [SMALL_STATE(11845)] = 534693,
  [SMALL_STATE(11846)] = 534704,
  [SMALL_STATE(11847)] = 534715,
  [SMALL_STATE(11848)] = 534726,
  [SMALL_STATE(11849)] = 534737,
  [SMALL_STATE(11850)] = 534748,
  [SMALL_STATE(11851)] = 534757,
  [SMALL_STATE(11852)] = 534768,
  [SMALL_STATE(11853)] = 534777,
  [SMALL_STATE(11854)] = 534788,
  [SMALL_STATE(11855)] = 534799,
  [SMALL_STATE(11856)] = 534810,
  [SMALL_STATE(11857)] = 534821,
  [SMALL_STATE(11858)] = 534832,
  [SMALL_STATE(11859)] = 534843,
  [SMALL_STATE(11860)] = 534852,
  [SMALL_STATE(11861)] = 534863,
  [SMALL_STATE(11862)] = 534874,
  [SMALL_STATE(11863)] = 534885,
  [SMALL_STATE(11864)] = 534896,
  [SMALL_STATE(11865)] = 534907,
  [SMALL_STATE(11866)] = 534918,
  [SMALL_STATE(11867)] = 534929,
  [SMALL_STATE(11868)] = 534940,
  [SMALL_STATE(11869)] = 534951,
  [SMALL_STATE(11870)] = 534962,
  [SMALL_STATE(11871)] = 534973,
  [SMALL_STATE(11872)] = 534982,
  [SMALL_STATE(11873)] = 534993,
  [SMALL_STATE(11874)] = 535004,
  [SMALL_STATE(11875)] = 535015,
  [SMALL_STATE(11876)] = 535026,
  [SMALL_STATE(11877)] = 535037,
  [SMALL_STATE(11878)] = 535048,
  [SMALL_STATE(11879)] = 535059,
  [SMALL_STATE(11880)] = 535068,
  [SMALL_STATE(11881)] = 535079,
  [SMALL_STATE(11882)] = 535090,
  [SMALL_STATE(11883)] = 535099,
  [SMALL_STATE(11884)] = 535110,
  [SMALL_STATE(11885)] = 535121,
  [SMALL_STATE(11886)] = 535132,
  [SMALL_STATE(11887)] = 535143,
  [SMALL_STATE(11888)] = 535154,
  [SMALL_STATE(11889)] = 535165,
  [SMALL_STATE(11890)] = 535176,
  [SMALL_STATE(11891)] = 535185,
  [SMALL_STATE(11892)] = 535194,
  [SMALL_STATE(11893)] = 535205,
  [SMALL_STATE(11894)] = 535216,
  [SMALL_STATE(11895)] = 535227,
  [SMALL_STATE(11896)] = 535238,
  [SMALL_STATE(11897)] = 535249,
  [SMALL_STATE(11898)] = 535260,
  [SMALL_STATE(11899)] = 535271,
  [SMALL_STATE(11900)] = 535282,
  [SMALL_STATE(11901)] = 535293,
  [SMALL_STATE(11902)] = 535304,
  [SMALL_STATE(11903)] = 535315,
  [SMALL_STATE(11904)] = 535326,
  [SMALL_STATE(11905)] = 535337,
  [SMALL_STATE(11906)] = 535348,
  [SMALL_STATE(11907)] = 535359,
  [SMALL_STATE(11908)] = 535368,
  [SMALL_STATE(11909)] = 535379,
  [SMALL_STATE(11910)] = 535390,
  [SMALL_STATE(11911)] = 535399,
  [SMALL_STATE(11912)] = 535408,
  [SMALL_STATE(11913)] = 535417,
  [SMALL_STATE(11914)] = 535426,
  [SMALL_STATE(11915)] = 535435,
  [SMALL_STATE(11916)] = 535446,
  [SMALL_STATE(11917)] = 535455,
  [SMALL_STATE(11918)] = 535464,
  [SMALL_STATE(11919)] = 535473,
  [SMALL_STATE(11920)] = 535482,
  [SMALL_STATE(11921)] = 535491,
  [SMALL_STATE(11922)] = 535500,
  [SMALL_STATE(11923)] = 535511,
  [SMALL_STATE(11924)] = 535522,
  [SMALL_STATE(11925)] = 535531,
  [SMALL_STATE(11926)] = 535540,
  [SMALL_STATE(11927)] = 535551,
  [SMALL_STATE(11928)] = 535560,
  [SMALL_STATE(11929)] = 535571,
  [SMALL_STATE(11930)] = 535582,
  [SMALL_STATE(11931)] = 535593,
  [SMALL_STATE(11932)] = 535602,
  [SMALL_STATE(11933)] = 535611,
  [SMALL_STATE(11934)] = 535620,
  [SMALL_STATE(11935)] = 535631,
  [SMALL_STATE(11936)] = 535642,
  [SMALL_STATE(11937)] = 535653,
  [SMALL_STATE(11938)] = 535662,
  [SMALL_STATE(11939)] = 535671,
  [SMALL_STATE(11940)] = 535680,
  [SMALL_STATE(11941)] = 535691,
  [SMALL_STATE(11942)] = 535702,
  [SMALL_STATE(11943)] = 535713,
  [SMALL_STATE(11944)] = 535724,
  [SMALL_STATE(11945)] = 535735,
  [SMALL_STATE(11946)] = 535746,
  [SMALL_STATE(11947)] = 535757,
  [SMALL_STATE(11948)] = 535768,
  [SMALL_STATE(11949)] = 535779,
  [SMALL_STATE(11950)] = 535790,
  [SMALL_STATE(11951)] = 535801,
  [SMALL_STATE(11952)] = 535812,
  [SMALL_STATE(11953)] = 535821,
  [SMALL_STATE(11954)] = 535830,
  [SMALL_STATE(11955)] = 535841,
  [SMALL_STATE(11956)] = 535852,
  [SMALL_STATE(11957)] = 535863,
  [SMALL_STATE(11958)] = 535874,
  [SMALL_STATE(11959)] = 535885,
  [SMALL_STATE(11960)] = 535896,
  [SMALL_STATE(11961)] = 535907,
  [SMALL_STATE(11962)] = 535918,
  [SMALL_STATE(11963)] = 535929,
  [SMALL_STATE(11964)] = 535938,
  [SMALL_STATE(11965)] = 535949,
  [SMALL_STATE(11966)] = 535960,
  [SMALL_STATE(11967)] = 535971,
  [SMALL_STATE(11968)] = 535980,
  [SMALL_STATE(11969)] = 535991,
  [SMALL_STATE(11970)] = 536002,
  [SMALL_STATE(11971)] = 536013,
  [SMALL_STATE(11972)] = 536024,
  [SMALL_STATE(11973)] = 536035,
  [SMALL_STATE(11974)] = 536044,
  [SMALL_STATE(11975)] = 536055,
  [SMALL_STATE(11976)] = 536066,
  [SMALL_STATE(11977)] = 536075,
  [SMALL_STATE(11978)] = 536086,
  [SMALL_STATE(11979)] = 536097,
  [SMALL_STATE(11980)] = 536108,
  [SMALL_STATE(11981)] = 536119,
  [SMALL_STATE(11982)] = 536130,
  [SMALL_STATE(11983)] = 536141,
  [SMALL_STATE(11984)] = 536150,
  [SMALL_STATE(11985)] = 536161,
  [SMALL_STATE(11986)] = 536172,
  [SMALL_STATE(11987)] = 536183,
  [SMALL_STATE(11988)] = 536194,
  [SMALL_STATE(11989)] = 536205,
  [SMALL_STATE(11990)] = 536214,
  [SMALL_STATE(11991)] = 536225,
  [SMALL_STATE(11992)] = 536234,
  [SMALL_STATE(11993)] = 536243,
  [SMALL_STATE(11994)] = 536254,
  [SMALL_STATE(11995)] = 536263,
  [SMALL_STATE(11996)] = 536274,
  [SMALL_STATE(11997)] = 536283,
  [SMALL_STATE(11998)] = 536294,
  [SMALL_STATE(11999)] = 536305,
  [SMALL_STATE(12000)] = 536314,
  [SMALL_STATE(12001)] = 536325,
  [SMALL_STATE(12002)] = 536336,
  [SMALL_STATE(12003)] = 536347,
  [SMALL_STATE(12004)] = 536358,
  [SMALL_STATE(12005)] = 536369,
  [SMALL_STATE(12006)] = 536380,
  [SMALL_STATE(12007)] = 536389,
  [SMALL_STATE(12008)] = 536398,
  [SMALL_STATE(12009)] = 536407,
  [SMALL_STATE(12010)] = 536416,
  [SMALL_STATE(12011)] = 536427,
  [SMALL_STATE(12012)] = 536438,
  [SMALL_STATE(12013)] = 536449,
  [SMALL_STATE(12014)] = 536460,
  [SMALL_STATE(12015)] = 536471,
  [SMALL_STATE(12016)] = 536482,
  [SMALL_STATE(12017)] = 536491,
  [SMALL_STATE(12018)] = 536502,
  [SMALL_STATE(12019)] = 536513,
  [SMALL_STATE(12020)] = 536524,
  [SMALL_STATE(12021)] = 536535,
  [SMALL_STATE(12022)] = 536546,
  [SMALL_STATE(12023)] = 536557,
  [SMALL_STATE(12024)] = 536568,
  [SMALL_STATE(12025)] = 536579,
  [SMALL_STATE(12026)] = 536588,
  [SMALL_STATE(12027)] = 536597,
  [SMALL_STATE(12028)] = 536606,
  [SMALL_STATE(12029)] = 536615,
  [SMALL_STATE(12030)] = 536624,
  [SMALL_STATE(12031)] = 536633,
  [SMALL_STATE(12032)] = 536642,
  [SMALL_STATE(12033)] = 536651,
  [SMALL_STATE(12034)] = 536660,
  [SMALL_STATE(12035)] = 536669,
  [SMALL_STATE(12036)] = 536678,
  [SMALL_STATE(12037)] = 536689,
  [SMALL_STATE(12038)] = 536698,
  [SMALL_STATE(12039)] = 536707,
  [SMALL_STATE(12040)] = 536716,
  [SMALL_STATE(12041)] = 536725,
  [SMALL_STATE(12042)] = 536736,
  [SMALL_STATE(12043)] = 536745,
  [SMALL_STATE(12044)] = 536756,
  [SMALL_STATE(12045)] = 536767,
  [SMALL_STATE(12046)] = 536778,
  [SMALL_STATE(12047)] = 536789,
  [SMALL_STATE(12048)] = 536798,
  [SMALL_STATE(12049)] = 536809,
  [SMALL_STATE(12050)] = 536818,
  [SMALL_STATE(12051)] = 536829,
  [SMALL_STATE(12052)] = 536838,
  [SMALL_STATE(12053)] = 536849,
  [SMALL_STATE(12054)] = 536858,
  [SMALL_STATE(12055)] = 536867,
  [SMALL_STATE(12056)] = 536878,
  [SMALL_STATE(12057)] = 536887,
  [SMALL_STATE(12058)] = 536898,
  [SMALL_STATE(12059)] = 536907,
  [SMALL_STATE(12060)] = 536918,
  [SMALL_STATE(12061)] = 536927,
  [SMALL_STATE(12062)] = 536938,
  [SMALL_STATE(12063)] = 536947,
  [SMALL_STATE(12064)] = 536956,
  [SMALL_STATE(12065)] = 536967,
  [SMALL_STATE(12066)] = 536978,
  [SMALL_STATE(12067)] = 536987,
  [SMALL_STATE(12068)] = 536996,
  [SMALL_STATE(12069)] = 537007,
  [SMALL_STATE(12070)] = 537016,
  [SMALL_STATE(12071)] = 537025,
  [SMALL_STATE(12072)] = 537034,
  [SMALL_STATE(12073)] = 537043,
  [SMALL_STATE(12074)] = 537052,
  [SMALL_STATE(12075)] = 537063,
  [SMALL_STATE(12076)] = 537074,
  [SMALL_STATE(12077)] = 537083,
  [SMALL_STATE(12078)] = 537094,
  [SMALL_STATE(12079)] = 537105,
  [SMALL_STATE(12080)] = 537116,
  [SMALL_STATE(12081)] = 537127,
  [SMALL_STATE(12082)] = 537138,
  [SMALL_STATE(12083)] = 537147,
  [SMALL_STATE(12084)] = 537156,
  [SMALL_STATE(12085)] = 537165,
  [SMALL_STATE(12086)] = 537174,
  [SMALL_STATE(12087)] = 537183,
  [SMALL_STATE(12088)] = 537194,
  [SMALL_STATE(12089)] = 537203,
  [SMALL_STATE(12090)] = 537214,
  [SMALL_STATE(12091)] = 537223,
  [SMALL_STATE(12092)] = 537232,
  [SMALL_STATE(12093)] = 537241,
  [SMALL_STATE(12094)] = 537250,
  [SMALL_STATE(12095)] = 537259,
  [SMALL_STATE(12096)] = 537268,
  [SMALL_STATE(12097)] = 537277,
  [SMALL_STATE(12098)] = 537286,
  [SMALL_STATE(12099)] = 537295,
  [SMALL_STATE(12100)] = 537304,
  [SMALL_STATE(12101)] = 537313,
  [SMALL_STATE(12102)] = 537324,
  [SMALL_STATE(12103)] = 537333,
  [SMALL_STATE(12104)] = 537342,
  [SMALL_STATE(12105)] = 537353,
  [SMALL_STATE(12106)] = 537364,
  [SMALL_STATE(12107)] = 537375,
  [SMALL_STATE(12108)] = 537386,
  [SMALL_STATE(12109)] = 537397,
  [SMALL_STATE(12110)] = 537408,
  [SMALL_STATE(12111)] = 537417,
  [SMALL_STATE(12112)] = 537426,
  [SMALL_STATE(12113)] = 537437,
  [SMALL_STATE(12114)] = 537448,
  [SMALL_STATE(12115)] = 537459,
  [SMALL_STATE(12116)] = 537470,
  [SMALL_STATE(12117)] = 537479,
  [SMALL_STATE(12118)] = 537490,
  [SMALL_STATE(12119)] = 537501,
  [SMALL_STATE(12120)] = 537512,
  [SMALL_STATE(12121)] = 537523,
  [SMALL_STATE(12122)] = 537532,
  [SMALL_STATE(12123)] = 537543,
  [SMALL_STATE(12124)] = 537554,
  [SMALL_STATE(12125)] = 537565,
  [SMALL_STATE(12126)] = 537576,
  [SMALL_STATE(12127)] = 537587,
  [SMALL_STATE(12128)] = 537596,
  [SMALL_STATE(12129)] = 537607,
  [SMALL_STATE(12130)] = 537616,
  [SMALL_STATE(12131)] = 537627,
  [SMALL_STATE(12132)] = 537636,
  [SMALL_STATE(12133)] = 537645,
  [SMALL_STATE(12134)] = 537656,
  [SMALL_STATE(12135)] = 537667,
  [SMALL_STATE(12136)] = 537678,
  [SMALL_STATE(12137)] = 537689,
  [SMALL_STATE(12138)] = 537700,
  [SMALL_STATE(12139)] = 537711,
  [SMALL_STATE(12140)] = 537722,
  [SMALL_STATE(12141)] = 537733,
  [SMALL_STATE(12142)] = 537744,
  [SMALL_STATE(12143)] = 537755,
  [SMALL_STATE(12144)] = 537766,
  [SMALL_STATE(12145)] = 537775,
  [SMALL_STATE(12146)] = 537784,
  [SMALL_STATE(12147)] = 537795,
  [SMALL_STATE(12148)] = 537806,
  [SMALL_STATE(12149)] = 537817,
  [SMALL_STATE(12150)] = 537828,
  [SMALL_STATE(12151)] = 537839,
  [SMALL_STATE(12152)] = 537848,
  [SMALL_STATE(12153)] = 537859,
  [SMALL_STATE(12154)] = 537870,
  [SMALL_STATE(12155)] = 537881,
  [SMALL_STATE(12156)] = 537892,
  [SMALL_STATE(12157)] = 537903,
  [SMALL_STATE(12158)] = 537914,
  [SMALL_STATE(12159)] = 537925,
  [SMALL_STATE(12160)] = 537936,
  [SMALL_STATE(12161)] = 537947,
  [SMALL_STATE(12162)] = 537956,
  [SMALL_STATE(12163)] = 537965,
  [SMALL_STATE(12164)] = 537976,
  [SMALL_STATE(12165)] = 537987,
  [SMALL_STATE(12166)] = 537996,
  [SMALL_STATE(12167)] = 538005,
  [SMALL_STATE(12168)] = 538014,
  [SMALL_STATE(12169)] = 538023,
  [SMALL_STATE(12170)] = 538032,
  [SMALL_STATE(12171)] = 538043,
  [SMALL_STATE(12172)] = 538054,
  [SMALL_STATE(12173)] = 538063,
  [SMALL_STATE(12174)] = 538074,
  [SMALL_STATE(12175)] = 538083,
  [SMALL_STATE(12176)] = 538092,
  [SMALL_STATE(12177)] = 538101,
  [SMALL_STATE(12178)] = 538110,
  [SMALL_STATE(12179)] = 538119,
  [SMALL_STATE(12180)] = 538128,
  [SMALL_STATE(12181)] = 538137,
  [SMALL_STATE(12182)] = 538146,
  [SMALL_STATE(12183)] = 538155,
  [SMALL_STATE(12184)] = 538164,
  [SMALL_STATE(12185)] = 538173,
  [SMALL_STATE(12186)] = 538182,
  [SMALL_STATE(12187)] = 538193,
  [SMALL_STATE(12188)] = 538202,
  [SMALL_STATE(12189)] = 538213,
  [SMALL_STATE(12190)] = 538224,
  [SMALL_STATE(12191)] = 538233,
  [SMALL_STATE(12192)] = 538244,
  [SMALL_STATE(12193)] = 538255,
  [SMALL_STATE(12194)] = 538266,
  [SMALL_STATE(12195)] = 538277,
  [SMALL_STATE(12196)] = 538288,
  [SMALL_STATE(12197)] = 538299,
  [SMALL_STATE(12198)] = 538310,
  [SMALL_STATE(12199)] = 538321,
  [SMALL_STATE(12200)] = 538332,
  [SMALL_STATE(12201)] = 538343,
  [SMALL_STATE(12202)] = 538354,
  [SMALL_STATE(12203)] = 538365,
  [SMALL_STATE(12204)] = 538376,
  [SMALL_STATE(12205)] = 538387,
  [SMALL_STATE(12206)] = 538398,
  [SMALL_STATE(12207)] = 538409,
  [SMALL_STATE(12208)] = 538420,
  [SMALL_STATE(12209)] = 538431,
  [SMALL_STATE(12210)] = 538442,
  [SMALL_STATE(12211)] = 538453,
  [SMALL_STATE(12212)] = 538464,
  [SMALL_STATE(12213)] = 538475,
  [SMALL_STATE(12214)] = 538486,
  [SMALL_STATE(12215)] = 538497,
  [SMALL_STATE(12216)] = 538506,
  [SMALL_STATE(12217)] = 538517,
  [SMALL_STATE(12218)] = 538526,
  [SMALL_STATE(12219)] = 538537,
  [SMALL_STATE(12220)] = 538548,
  [SMALL_STATE(12221)] = 538559,
  [SMALL_STATE(12222)] = 538568,
  [SMALL_STATE(12223)] = 538577,
  [SMALL_STATE(12224)] = 538586,
  [SMALL_STATE(12225)] = 538597,
  [SMALL_STATE(12226)] = 538606,
  [SMALL_STATE(12227)] = 538617,
  [SMALL_STATE(12228)] = 538628,
  [SMALL_STATE(12229)] = 538639,
  [SMALL_STATE(12230)] = 538648,
  [SMALL_STATE(12231)] = 538657,
  [SMALL_STATE(12232)] = 538668,
  [SMALL_STATE(12233)] = 538679,
  [SMALL_STATE(12234)] = 538688,
  [SMALL_STATE(12235)] = 538697,
  [SMALL_STATE(12236)] = 538708,
  [SMALL_STATE(12237)] = 538719,
  [SMALL_STATE(12238)] = 538728,
  [SMALL_STATE(12239)] = 538737,
  [SMALL_STATE(12240)] = 538746,
  [SMALL_STATE(12241)] = 538757,
  [SMALL_STATE(12242)] = 538766,
  [SMALL_STATE(12243)] = 538775,
  [SMALL_STATE(12244)] = 538784,
  [SMALL_STATE(12245)] = 538795,
  [SMALL_STATE(12246)] = 538806,
  [SMALL_STATE(12247)] = 538815,
  [SMALL_STATE(12248)] = 538826,
  [SMALL_STATE(12249)] = 538837,
  [SMALL_STATE(12250)] = 538848,
  [SMALL_STATE(12251)] = 538859,
  [SMALL_STATE(12252)] = 538868,
  [SMALL_STATE(12253)] = 538879,
  [SMALL_STATE(12254)] = 538890,
  [SMALL_STATE(12255)] = 538899,
  [SMALL_STATE(12256)] = 538910,
  [SMALL_STATE(12257)] = 538921,
  [SMALL_STATE(12258)] = 538930,
  [SMALL_STATE(12259)] = 538941,
  [SMALL_STATE(12260)] = 538952,
  [SMALL_STATE(12261)] = 538963,
  [SMALL_STATE(12262)] = 538974,
  [SMALL_STATE(12263)] = 538985,
  [SMALL_STATE(12264)] = 538996,
  [SMALL_STATE(12265)] = 539005,
  [SMALL_STATE(12266)] = 539014,
  [SMALL_STATE(12267)] = 539022,
  [SMALL_STATE(12268)] = 539030,
  [SMALL_STATE(12269)] = 539038,
  [SMALL_STATE(12270)] = 539046,
  [SMALL_STATE(12271)] = 539054,
  [SMALL_STATE(12272)] = 539062,
  [SMALL_STATE(12273)] = 539070,
  [SMALL_STATE(12274)] = 539078,
  [SMALL_STATE(12275)] = 539086,
  [SMALL_STATE(12276)] = 539094,
  [SMALL_STATE(12277)] = 539102,
  [SMALL_STATE(12278)] = 539110,
  [SMALL_STATE(12279)] = 539118,
  [SMALL_STATE(12280)] = 539126,
  [SMALL_STATE(12281)] = 539134,
  [SMALL_STATE(12282)] = 539142,
  [SMALL_STATE(12283)] = 539150,
  [SMALL_STATE(12284)] = 539158,
  [SMALL_STATE(12285)] = 539166,
  [SMALL_STATE(12286)] = 539174,
  [SMALL_STATE(12287)] = 539182,
  [SMALL_STATE(12288)] = 539190,
  [SMALL_STATE(12289)] = 539198,
  [SMALL_STATE(12290)] = 539206,
  [SMALL_STATE(12291)] = 539214,
  [SMALL_STATE(12292)] = 539222,
  [SMALL_STATE(12293)] = 539230,
  [SMALL_STATE(12294)] = 539238,
  [SMALL_STATE(12295)] = 539246,
  [SMALL_STATE(12296)] = 539254,
  [SMALL_STATE(12297)] = 539262,
  [SMALL_STATE(12298)] = 539270,
  [SMALL_STATE(12299)] = 539278,
  [SMALL_STATE(12300)] = 539286,
  [SMALL_STATE(12301)] = 539294,
  [SMALL_STATE(12302)] = 539302,
  [SMALL_STATE(12303)] = 539310,
  [SMALL_STATE(12304)] = 539318,
  [SMALL_STATE(12305)] = 539326,
  [SMALL_STATE(12306)] = 539334,
  [SMALL_STATE(12307)] = 539342,
  [SMALL_STATE(12308)] = 539350,
  [SMALL_STATE(12309)] = 539358,
  [SMALL_STATE(12310)] = 539366,
  [SMALL_STATE(12311)] = 539374,
  [SMALL_STATE(12312)] = 539382,
  [SMALL_STATE(12313)] = 539390,
  [SMALL_STATE(12314)] = 539398,
  [SMALL_STATE(12315)] = 539406,
  [SMALL_STATE(12316)] = 539414,
  [SMALL_STATE(12317)] = 539422,
  [SMALL_STATE(12318)] = 539430,
  [SMALL_STATE(12319)] = 539438,
  [SMALL_STATE(12320)] = 539446,
  [SMALL_STATE(12321)] = 539454,
  [SMALL_STATE(12322)] = 539462,
  [SMALL_STATE(12323)] = 539470,
  [SMALL_STATE(12324)] = 539478,
  [SMALL_STATE(12325)] = 539486,
  [SMALL_STATE(12326)] = 539494,
  [SMALL_STATE(12327)] = 539502,
  [SMALL_STATE(12328)] = 539510,
  [SMALL_STATE(12329)] = 539518,
  [SMALL_STATE(12330)] = 539526,
  [SMALL_STATE(12331)] = 539534,
  [SMALL_STATE(12332)] = 539542,
  [SMALL_STATE(12333)] = 539550,
  [SMALL_STATE(12334)] = 539558,
  [SMALL_STATE(12335)] = 539566,
  [SMALL_STATE(12336)] = 539574,
  [SMALL_STATE(12337)] = 539582,
  [SMALL_STATE(12338)] = 539590,
  [SMALL_STATE(12339)] = 539598,
  [SMALL_STATE(12340)] = 539606,
  [SMALL_STATE(12341)] = 539614,
  [SMALL_STATE(12342)] = 539622,
  [SMALL_STATE(12343)] = 539630,
  [SMALL_STATE(12344)] = 539638,
  [SMALL_STATE(12345)] = 539646,
  [SMALL_STATE(12346)] = 539654,
  [SMALL_STATE(12347)] = 539662,
  [SMALL_STATE(12348)] = 539670,
  [SMALL_STATE(12349)] = 539678,
  [SMALL_STATE(12350)] = 539686,
  [SMALL_STATE(12351)] = 539694,
  [SMALL_STATE(12352)] = 539702,
  [SMALL_STATE(12353)] = 539710,
  [SMALL_STATE(12354)] = 539718,
  [SMALL_STATE(12355)] = 539726,
  [SMALL_STATE(12356)] = 539734,
  [SMALL_STATE(12357)] = 539742,
  [SMALL_STATE(12358)] = 539750,
  [SMALL_STATE(12359)] = 539758,
  [SMALL_STATE(12360)] = 539766,
  [SMALL_STATE(12361)] = 539774,
  [SMALL_STATE(12362)] = 539782,
  [SMALL_STATE(12363)] = 539790,
  [SMALL_STATE(12364)] = 539798,
  [SMALL_STATE(12365)] = 539806,
  [SMALL_STATE(12366)] = 539814,
  [SMALL_STATE(12367)] = 539822,
  [SMALL_STATE(12368)] = 539830,
  [SMALL_STATE(12369)] = 539838,
  [SMALL_STATE(12370)] = 539846,
  [SMALL_STATE(12371)] = 539854,
  [SMALL_STATE(12372)] = 539862,
  [SMALL_STATE(12373)] = 539870,
  [SMALL_STATE(12374)] = 539878,
  [SMALL_STATE(12375)] = 539886,
  [SMALL_STATE(12376)] = 539894,
  [SMALL_STATE(12377)] = 539902,
  [SMALL_STATE(12378)] = 539910,
  [SMALL_STATE(12379)] = 539918,
  [SMALL_STATE(12380)] = 539926,
  [SMALL_STATE(12381)] = 539934,
  [SMALL_STATE(12382)] = 539942,
  [SMALL_STATE(12383)] = 539950,
  [SMALL_STATE(12384)] = 539958,
  [SMALL_STATE(12385)] = 539966,
  [SMALL_STATE(12386)] = 539974,
  [SMALL_STATE(12387)] = 539982,
  [SMALL_STATE(12388)] = 539990,
  [SMALL_STATE(12389)] = 539998,
  [SMALL_STATE(12390)] = 540006,
  [SMALL_STATE(12391)] = 540014,
  [SMALL_STATE(12392)] = 540022,
  [SMALL_STATE(12393)] = 540030,
  [SMALL_STATE(12394)] = 540038,
  [SMALL_STATE(12395)] = 540046,
  [SMALL_STATE(12396)] = 540054,
  [SMALL_STATE(12397)] = 540062,
  [SMALL_STATE(12398)] = 540070,
  [SMALL_STATE(12399)] = 540078,
  [SMALL_STATE(12400)] = 540086,
  [SMALL_STATE(12401)] = 540094,
  [SMALL_STATE(12402)] = 540102,
  [SMALL_STATE(12403)] = 540110,
  [SMALL_STATE(12404)] = 540118,
  [SMALL_STATE(12405)] = 540126,
  [SMALL_STATE(12406)] = 540134,
  [SMALL_STATE(12407)] = 540142,
  [SMALL_STATE(12408)] = 540150,
  [SMALL_STATE(12409)] = 540158,
  [SMALL_STATE(12410)] = 540166,
  [SMALL_STATE(12411)] = 540174,
  [SMALL_STATE(12412)] = 540182,
  [SMALL_STATE(12413)] = 540190,
  [SMALL_STATE(12414)] = 540198,
  [SMALL_STATE(12415)] = 540206,
  [SMALL_STATE(12416)] = 540214,
  [SMALL_STATE(12417)] = 540222,
  [SMALL_STATE(12418)] = 540230,
  [SMALL_STATE(12419)] = 540238,
  [SMALL_STATE(12420)] = 540246,
  [SMALL_STATE(12421)] = 540254,
  [SMALL_STATE(12422)] = 540262,
  [SMALL_STATE(12423)] = 540270,
  [SMALL_STATE(12424)] = 540278,
  [SMALL_STATE(12425)] = 540286,
  [SMALL_STATE(12426)] = 540294,
  [SMALL_STATE(12427)] = 540302,
  [SMALL_STATE(12428)] = 540310,
  [SMALL_STATE(12429)] = 540318,
  [SMALL_STATE(12430)] = 540326,
  [SMALL_STATE(12431)] = 540334,
  [SMALL_STATE(12432)] = 540342,
  [SMALL_STATE(12433)] = 540350,
  [SMALL_STATE(12434)] = 540358,
  [SMALL_STATE(12435)] = 540366,
  [SMALL_STATE(12436)] = 540374,
  [SMALL_STATE(12437)] = 540382,
  [SMALL_STATE(12438)] = 540390,
  [SMALL_STATE(12439)] = 540398,
  [SMALL_STATE(12440)] = 540406,
  [SMALL_STATE(12441)] = 540414,
  [SMALL_STATE(12442)] = 540422,
  [SMALL_STATE(12443)] = 540430,
  [SMALL_STATE(12444)] = 540438,
  [SMALL_STATE(12445)] = 540446,
  [SMALL_STATE(12446)] = 540454,
  [SMALL_STATE(12447)] = 540462,
  [SMALL_STATE(12448)] = 540470,
  [SMALL_STATE(12449)] = 540478,
  [SMALL_STATE(12450)] = 540486,
  [SMALL_STATE(12451)] = 540494,
  [SMALL_STATE(12452)] = 540502,
  [SMALL_STATE(12453)] = 540510,
  [SMALL_STATE(12454)] = 540518,
  [SMALL_STATE(12455)] = 540526,
  [SMALL_STATE(12456)] = 540534,
  [SMALL_STATE(12457)] = 540542,
  [SMALL_STATE(12458)] = 540550,
  [SMALL_STATE(12459)] = 540558,
  [SMALL_STATE(12460)] = 540566,
  [SMALL_STATE(12461)] = 540574,
  [SMALL_STATE(12462)] = 540582,
  [SMALL_STATE(12463)] = 540590,
  [SMALL_STATE(12464)] = 540598,
  [SMALL_STATE(12465)] = 540606,
  [SMALL_STATE(12466)] = 540614,
  [SMALL_STATE(12467)] = 540622,
  [SMALL_STATE(12468)] = 540630,
  [SMALL_STATE(12469)] = 540638,
  [SMALL_STATE(12470)] = 540646,
  [SMALL_STATE(12471)] = 540654,
  [SMALL_STATE(12472)] = 540662,
  [SMALL_STATE(12473)] = 540670,
  [SMALL_STATE(12474)] = 540678,
  [SMALL_STATE(12475)] = 540686,
  [SMALL_STATE(12476)] = 540694,
  [SMALL_STATE(12477)] = 540702,
  [SMALL_STATE(12478)] = 540710,
  [SMALL_STATE(12479)] = 540718,
  [SMALL_STATE(12480)] = 540726,
  [SMALL_STATE(12481)] = 540734,
  [SMALL_STATE(12482)] = 540742,
  [SMALL_STATE(12483)] = 540750,
  [SMALL_STATE(12484)] = 540758,
  [SMALL_STATE(12485)] = 540766,
  [SMALL_STATE(12486)] = 540774,
  [SMALL_STATE(12487)] = 540782,
  [SMALL_STATE(12488)] = 540790,
  [SMALL_STATE(12489)] = 540798,
  [SMALL_STATE(12490)] = 540806,
  [SMALL_STATE(12491)] = 540814,
  [SMALL_STATE(12492)] = 540822,
  [SMALL_STATE(12493)] = 540830,
  [SMALL_STATE(12494)] = 540838,
  [SMALL_STATE(12495)] = 540846,
  [SMALL_STATE(12496)] = 540854,
  [SMALL_STATE(12497)] = 540862,
  [SMALL_STATE(12498)] = 540870,
  [SMALL_STATE(12499)] = 540878,
  [SMALL_STATE(12500)] = 540886,
  [SMALL_STATE(12501)] = 540894,
  [SMALL_STATE(12502)] = 540902,
  [SMALL_STATE(12503)] = 540910,
  [SMALL_STATE(12504)] = 540918,
  [SMALL_STATE(12505)] = 540926,
  [SMALL_STATE(12506)] = 540934,
  [SMALL_STATE(12507)] = 540942,
  [SMALL_STATE(12508)] = 540950,
  [SMALL_STATE(12509)] = 540958,
  [SMALL_STATE(12510)] = 540966,
  [SMALL_STATE(12511)] = 540974,
  [SMALL_STATE(12512)] = 540982,
  [SMALL_STATE(12513)] = 540990,
  [SMALL_STATE(12514)] = 540998,
  [SMALL_STATE(12515)] = 541006,
  [SMALL_STATE(12516)] = 541014,
  [SMALL_STATE(12517)] = 541022,
  [SMALL_STATE(12518)] = 541030,
  [SMALL_STATE(12519)] = 541038,
  [SMALL_STATE(12520)] = 541046,
  [SMALL_STATE(12521)] = 541054,
  [SMALL_STATE(12522)] = 541062,
  [SMALL_STATE(12523)] = 541070,
  [SMALL_STATE(12524)] = 541078,
  [SMALL_STATE(12525)] = 541086,
  [SMALL_STATE(12526)] = 541094,
  [SMALL_STATE(12527)] = 541102,
  [SMALL_STATE(12528)] = 541110,
  [SMALL_STATE(12529)] = 541118,
  [SMALL_STATE(12530)] = 541126,
  [SMALL_STATE(12531)] = 541134,
  [SMALL_STATE(12532)] = 541142,
  [SMALL_STATE(12533)] = 541150,
  [SMALL_STATE(12534)] = 541158,
  [SMALL_STATE(12535)] = 541166,
  [SMALL_STATE(12536)] = 541174,
  [SMALL_STATE(12537)] = 541182,
  [SMALL_STATE(12538)] = 541190,
  [SMALL_STATE(12539)] = 541198,
  [SMALL_STATE(12540)] = 541206,
  [SMALL_STATE(12541)] = 541214,
  [SMALL_STATE(12542)] = 541222,
  [SMALL_STATE(12543)] = 541230,
  [SMALL_STATE(12544)] = 541238,
  [SMALL_STATE(12545)] = 541246,
  [SMALL_STATE(12546)] = 541254,
  [SMALL_STATE(12547)] = 541262,
  [SMALL_STATE(12548)] = 541270,
  [SMALL_STATE(12549)] = 541278,
  [SMALL_STATE(12550)] = 541286,
  [SMALL_STATE(12551)] = 541294,
  [SMALL_STATE(12552)] = 541302,
  [SMALL_STATE(12553)] = 541310,
  [SMALL_STATE(12554)] = 541318,
  [SMALL_STATE(12555)] = 541326,
  [SMALL_STATE(12556)] = 541334,
  [SMALL_STATE(12557)] = 541342,
  [SMALL_STATE(12558)] = 541350,
  [SMALL_STATE(12559)] = 541358,
  [SMALL_STATE(12560)] = 541366,
  [SMALL_STATE(12561)] = 541374,
  [SMALL_STATE(12562)] = 541382,
  [SMALL_STATE(12563)] = 541390,
  [SMALL_STATE(12564)] = 541398,
  [SMALL_STATE(12565)] = 541406,
  [SMALL_STATE(12566)] = 541414,
  [SMALL_STATE(12567)] = 541422,
  [SMALL_STATE(12568)] = 541430,
  [SMALL_STATE(12569)] = 541438,
  [SMALL_STATE(12570)] = 541446,
  [SMALL_STATE(12571)] = 541454,
  [SMALL_STATE(12572)] = 541462,
  [SMALL_STATE(12573)] = 541470,
  [SMALL_STATE(12574)] = 541478,
  [SMALL_STATE(12575)] = 541486,
  [SMALL_STATE(12576)] = 541494,
  [SMALL_STATE(12577)] = 541502,
  [SMALL_STATE(12578)] = 541510,
  [SMALL_STATE(12579)] = 541518,
  [SMALL_STATE(12580)] = 541526,
  [SMALL_STATE(12581)] = 541534,
  [SMALL_STATE(12582)] = 541542,
  [SMALL_STATE(12583)] = 541550,
  [SMALL_STATE(12584)] = 541558,
  [SMALL_STATE(12585)] = 541566,
  [SMALL_STATE(12586)] = 541574,
  [SMALL_STATE(12587)] = 541582,
  [SMALL_STATE(12588)] = 541590,
  [SMALL_STATE(12589)] = 541598,
  [SMALL_STATE(12590)] = 541606,
  [SMALL_STATE(12591)] = 541614,
  [SMALL_STATE(12592)] = 541622,
  [SMALL_STATE(12593)] = 541630,
  [SMALL_STATE(12594)] = 541638,
  [SMALL_STATE(12595)] = 541646,
  [SMALL_STATE(12596)] = 541654,
  [SMALL_STATE(12597)] = 541662,
  [SMALL_STATE(12598)] = 541670,
  [SMALL_STATE(12599)] = 541678,
  [SMALL_STATE(12600)] = 541686,
  [SMALL_STATE(12601)] = 541694,
  [SMALL_STATE(12602)] = 541702,
  [SMALL_STATE(12603)] = 541710,
  [SMALL_STATE(12604)] = 541718,
  [SMALL_STATE(12605)] = 541726,
  [SMALL_STATE(12606)] = 541734,
  [SMALL_STATE(12607)] = 541742,
  [SMALL_STATE(12608)] = 541750,
  [SMALL_STATE(12609)] = 541758,
  [SMALL_STATE(12610)] = 541766,
  [SMALL_STATE(12611)] = 541774,
  [SMALL_STATE(12612)] = 541782,
  [SMALL_STATE(12613)] = 541790,
  [SMALL_STATE(12614)] = 541798,
  [SMALL_STATE(12615)] = 541806,
  [SMALL_STATE(12616)] = 541814,
  [SMALL_STATE(12617)] = 541822,
  [SMALL_STATE(12618)] = 541830,
  [SMALL_STATE(12619)] = 541838,
  [SMALL_STATE(12620)] = 541846,
  [SMALL_STATE(12621)] = 541854,
  [SMALL_STATE(12622)] = 541862,
  [SMALL_STATE(12623)] = 541870,
  [SMALL_STATE(12624)] = 541878,
  [SMALL_STATE(12625)] = 541886,
  [SMALL_STATE(12626)] = 541894,
  [SMALL_STATE(12627)] = 541902,
  [SMALL_STATE(12628)] = 541910,
  [SMALL_STATE(12629)] = 541918,
  [SMALL_STATE(12630)] = 541926,
  [SMALL_STATE(12631)] = 541934,
  [SMALL_STATE(12632)] = 541942,
  [SMALL_STATE(12633)] = 541950,
  [SMALL_STATE(12634)] = 541958,
  [SMALL_STATE(12635)] = 541966,
  [SMALL_STATE(12636)] = 541974,
  [SMALL_STATE(12637)] = 541982,
  [SMALL_STATE(12638)] = 541990,
  [SMALL_STATE(12639)] = 541998,
  [SMALL_STATE(12640)] = 542006,
  [SMALL_STATE(12641)] = 542014,
  [SMALL_STATE(12642)] = 542022,
  [SMALL_STATE(12643)] = 542030,
  [SMALL_STATE(12644)] = 542038,
  [SMALL_STATE(12645)] = 542046,
  [SMALL_STATE(12646)] = 542054,
  [SMALL_STATE(12647)] = 542062,
  [SMALL_STATE(12648)] = 542070,
  [SMALL_STATE(12649)] = 542078,
  [SMALL_STATE(12650)] = 542086,
  [SMALL_STATE(12651)] = 542094,
  [SMALL_STATE(12652)] = 542102,
  [SMALL_STATE(12653)] = 542110,
  [SMALL_STATE(12654)] = 542118,
  [SMALL_STATE(12655)] = 542126,
  [SMALL_STATE(12656)] = 542134,
  [SMALL_STATE(12657)] = 542142,
  [SMALL_STATE(12658)] = 542150,
  [SMALL_STATE(12659)] = 542158,
  [SMALL_STATE(12660)] = 542166,
  [SMALL_STATE(12661)] = 542174,
  [SMALL_STATE(12662)] = 542182,
  [SMALL_STATE(12663)] = 542190,
  [SMALL_STATE(12664)] = 542198,
  [SMALL_STATE(12665)] = 542206,
  [SMALL_STATE(12666)] = 542214,
  [SMALL_STATE(12667)] = 542222,
  [SMALL_STATE(12668)] = 542230,
  [SMALL_STATE(12669)] = 542238,
  [SMALL_STATE(12670)] = 542246,
  [SMALL_STATE(12671)] = 542254,
  [SMALL_STATE(12672)] = 542262,
  [SMALL_STATE(12673)] = 542270,
  [SMALL_STATE(12674)] = 542278,
  [SMALL_STATE(12675)] = 542286,
  [SMALL_STATE(12676)] = 542294,
  [SMALL_STATE(12677)] = 542302,
  [SMALL_STATE(12678)] = 542310,
  [SMALL_STATE(12679)] = 542318,
  [SMALL_STATE(12680)] = 542326,
  [SMALL_STATE(12681)] = 542334,
  [SMALL_STATE(12682)] = 542342,
  [SMALL_STATE(12683)] = 542350,
  [SMALL_STATE(12684)] = 542358,
  [SMALL_STATE(12685)] = 542366,
  [SMALL_STATE(12686)] = 542374,
  [SMALL_STATE(12687)] = 542382,
  [SMALL_STATE(12688)] = 542390,
  [SMALL_STATE(12689)] = 542398,
  [SMALL_STATE(12690)] = 542406,
  [SMALL_STATE(12691)] = 542414,
  [SMALL_STATE(12692)] = 542422,
  [SMALL_STATE(12693)] = 542430,
  [SMALL_STATE(12694)] = 542438,
  [SMALL_STATE(12695)] = 542446,
  [SMALL_STATE(12696)] = 542454,
  [SMALL_STATE(12697)] = 542462,
  [SMALL_STATE(12698)] = 542470,
  [SMALL_STATE(12699)] = 542478,
  [SMALL_STATE(12700)] = 542486,
  [SMALL_STATE(12701)] = 542494,
  [SMALL_STATE(12702)] = 542502,
  [SMALL_STATE(12703)] = 542510,
  [SMALL_STATE(12704)] = 542518,
  [SMALL_STATE(12705)] = 542526,
  [SMALL_STATE(12706)] = 542534,
  [SMALL_STATE(12707)] = 542542,
  [SMALL_STATE(12708)] = 542550,
  [SMALL_STATE(12709)] = 542558,
  [SMALL_STATE(12710)] = 542566,
  [SMALL_STATE(12711)] = 542574,
  [SMALL_STATE(12712)] = 542582,
  [SMALL_STATE(12713)] = 542590,
  [SMALL_STATE(12714)] = 542598,
  [SMALL_STATE(12715)] = 542606,
  [SMALL_STATE(12716)] = 542614,
  [SMALL_STATE(12717)] = 542622,
  [SMALL_STATE(12718)] = 542630,
  [SMALL_STATE(12719)] = 542638,
  [SMALL_STATE(12720)] = 542646,
  [SMALL_STATE(12721)] = 542654,
  [SMALL_STATE(12722)] = 542662,
  [SMALL_STATE(12723)] = 542670,
  [SMALL_STATE(12724)] = 542678,
  [SMALL_STATE(12725)] = 542686,
  [SMALL_STATE(12726)] = 542694,
  [SMALL_STATE(12727)] = 542702,
  [SMALL_STATE(12728)] = 542710,
  [SMALL_STATE(12729)] = 542718,
  [SMALL_STATE(12730)] = 542726,
  [SMALL_STATE(12731)] = 542734,
  [SMALL_STATE(12732)] = 542742,
  [SMALL_STATE(12733)] = 542750,
  [SMALL_STATE(12734)] = 542758,
  [SMALL_STATE(12735)] = 542766,
  [SMALL_STATE(12736)] = 542774,
  [SMALL_STATE(12737)] = 542782,
  [SMALL_STATE(12738)] = 542790,
  [SMALL_STATE(12739)] = 542798,
  [SMALL_STATE(12740)] = 542806,
  [SMALL_STATE(12741)] = 542814,
  [SMALL_STATE(12742)] = 542822,
  [SMALL_STATE(12743)] = 542830,
  [SMALL_STATE(12744)] = 542838,
  [SMALL_STATE(12745)] = 542846,
  [SMALL_STATE(12746)] = 542854,
  [SMALL_STATE(12747)] = 542862,
  [SMALL_STATE(12748)] = 542870,
  [SMALL_STATE(12749)] = 542878,
  [SMALL_STATE(12750)] = 542886,
  [SMALL_STATE(12751)] = 542894,
  [SMALL_STATE(12752)] = 542902,
  [SMALL_STATE(12753)] = 542910,
  [SMALL_STATE(12754)] = 542918,
  [SMALL_STATE(12755)] = 542926,
  [SMALL_STATE(12756)] = 542934,
  [SMALL_STATE(12757)] = 542942,
  [SMALL_STATE(12758)] = 542950,
  [SMALL_STATE(12759)] = 542958,
  [SMALL_STATE(12760)] = 542966,
  [SMALL_STATE(12761)] = 542974,
  [SMALL_STATE(12762)] = 542982,
  [SMALL_STATE(12763)] = 542990,
  [SMALL_STATE(12764)] = 542998,
  [SMALL_STATE(12765)] = 543006,
  [SMALL_STATE(12766)] = 543014,
  [SMALL_STATE(12767)] = 543022,
  [SMALL_STATE(12768)] = 543030,
  [SMALL_STATE(12769)] = 543038,
  [SMALL_STATE(12770)] = 543046,
  [SMALL_STATE(12771)] = 543054,
  [SMALL_STATE(12772)] = 543062,
  [SMALL_STATE(12773)] = 543070,
  [SMALL_STATE(12774)] = 543078,
  [SMALL_STATE(12775)] = 543086,
  [SMALL_STATE(12776)] = 543094,
  [SMALL_STATE(12777)] = 543102,
  [SMALL_STATE(12778)] = 543110,
  [SMALL_STATE(12779)] = 543118,
  [SMALL_STATE(12780)] = 543126,
  [SMALL_STATE(12781)] = 543134,
  [SMALL_STATE(12782)] = 543142,
  [SMALL_STATE(12783)] = 543150,
  [SMALL_STATE(12784)] = 543158,
  [SMALL_STATE(12785)] = 543166,
  [SMALL_STATE(12786)] = 543174,
  [SMALL_STATE(12787)] = 543182,
  [SMALL_STATE(12788)] = 543190,
  [SMALL_STATE(12789)] = 543198,
  [SMALL_STATE(12790)] = 543206,
  [SMALL_STATE(12791)] = 543214,
  [SMALL_STATE(12792)] = 543222,
  [SMALL_STATE(12793)] = 543230,
  [SMALL_STATE(12794)] = 543238,
  [SMALL_STATE(12795)] = 543246,
  [SMALL_STATE(12796)] = 543254,
  [SMALL_STATE(12797)] = 543262,
  [SMALL_STATE(12798)] = 543270,
  [SMALL_STATE(12799)] = 543278,
  [SMALL_STATE(12800)] = 543286,
  [SMALL_STATE(12801)] = 543294,
  [SMALL_STATE(12802)] = 543302,
  [SMALL_STATE(12803)] = 543310,
  [SMALL_STATE(12804)] = 543318,
  [SMALL_STATE(12805)] = 543326,
  [SMALL_STATE(12806)] = 543334,
  [SMALL_STATE(12807)] = 543342,
  [SMALL_STATE(12808)] = 543350,
  [SMALL_STATE(12809)] = 543358,
  [SMALL_STATE(12810)] = 543366,
  [SMALL_STATE(12811)] = 543374,
  [SMALL_STATE(12812)] = 543382,
  [SMALL_STATE(12813)] = 543390,
  [SMALL_STATE(12814)] = 543398,
  [SMALL_STATE(12815)] = 543406,
  [SMALL_STATE(12816)] = 543414,
  [SMALL_STATE(12817)] = 543422,
  [SMALL_STATE(12818)] = 543430,
  [SMALL_STATE(12819)] = 543438,
  [SMALL_STATE(12820)] = 543446,
  [SMALL_STATE(12821)] = 543454,
  [SMALL_STATE(12822)] = 543462,
  [SMALL_STATE(12823)] = 543470,
  [SMALL_STATE(12824)] = 543478,
  [SMALL_STATE(12825)] = 543486,
  [SMALL_STATE(12826)] = 543494,
  [SMALL_STATE(12827)] = 543502,
  [SMALL_STATE(12828)] = 543510,
  [SMALL_STATE(12829)] = 543518,
  [SMALL_STATE(12830)] = 543526,
  [SMALL_STATE(12831)] = 543534,
  [SMALL_STATE(12832)] = 543542,
  [SMALL_STATE(12833)] = 543550,
  [SMALL_STATE(12834)] = 543558,
  [SMALL_STATE(12835)] = 543566,
  [SMALL_STATE(12836)] = 543574,
  [SMALL_STATE(12837)] = 543582,
  [SMALL_STATE(12838)] = 543590,
  [SMALL_STATE(12839)] = 543598,
  [SMALL_STATE(12840)] = 543606,
  [SMALL_STATE(12841)] = 543614,
  [SMALL_STATE(12842)] = 543622,
  [SMALL_STATE(12843)] = 543630,
  [SMALL_STATE(12844)] = 543638,
  [SMALL_STATE(12845)] = 543646,
  [SMALL_STATE(12846)] = 543654,
  [SMALL_STATE(12847)] = 543662,
  [SMALL_STATE(12848)] = 543670,
  [SMALL_STATE(12849)] = 543678,
  [SMALL_STATE(12850)] = 543686,
  [SMALL_STATE(12851)] = 543694,
  [SMALL_STATE(12852)] = 543702,
  [SMALL_STATE(12853)] = 543710,
  [SMALL_STATE(12854)] = 543718,
  [SMALL_STATE(12855)] = 543726,
  [SMALL_STATE(12856)] = 543734,
  [SMALL_STATE(12857)] = 543742,
  [SMALL_STATE(12858)] = 543750,
  [SMALL_STATE(12859)] = 543758,
  [SMALL_STATE(12860)] = 543766,
  [SMALL_STATE(12861)] = 543774,
  [SMALL_STATE(12862)] = 543782,
  [SMALL_STATE(12863)] = 543790,
  [SMALL_STATE(12864)] = 543798,
  [SMALL_STATE(12865)] = 543806,
  [SMALL_STATE(12866)] = 543814,
  [SMALL_STATE(12867)] = 543822,
  [SMALL_STATE(12868)] = 543830,
  [SMALL_STATE(12869)] = 543838,
  [SMALL_STATE(12870)] = 543846,
  [SMALL_STATE(12871)] = 543854,
  [SMALL_STATE(12872)] = 543862,
  [SMALL_STATE(12873)] = 543870,
  [SMALL_STATE(12874)] = 543878,
  [SMALL_STATE(12875)] = 543886,
  [SMALL_STATE(12876)] = 543894,
  [SMALL_STATE(12877)] = 543902,
  [SMALL_STATE(12878)] = 543910,
  [SMALL_STATE(12879)] = 543918,
  [SMALL_STATE(12880)] = 543926,
  [SMALL_STATE(12881)] = 543934,
  [SMALL_STATE(12882)] = 543942,
  [SMALL_STATE(12883)] = 543950,
  [SMALL_STATE(12884)] = 543958,
  [SMALL_STATE(12885)] = 543966,
  [SMALL_STATE(12886)] = 543974,
  [SMALL_STATE(12887)] = 543982,
  [SMALL_STATE(12888)] = 543990,
  [SMALL_STATE(12889)] = 543998,
  [SMALL_STATE(12890)] = 544006,
  [SMALL_STATE(12891)] = 544014,
  [SMALL_STATE(12892)] = 544022,
  [SMALL_STATE(12893)] = 544030,
  [SMALL_STATE(12894)] = 544038,
  [SMALL_STATE(12895)] = 544046,
  [SMALL_STATE(12896)] = 544054,
  [SMALL_STATE(12897)] = 544062,
  [SMALL_STATE(12898)] = 544070,
  [SMALL_STATE(12899)] = 544078,
  [SMALL_STATE(12900)] = 544086,
  [SMALL_STATE(12901)] = 544094,
  [SMALL_STATE(12902)] = 544102,
  [SMALL_STATE(12903)] = 544110,
  [SMALL_STATE(12904)] = 544118,
  [SMALL_STATE(12905)] = 544126,
  [SMALL_STATE(12906)] = 544134,
  [SMALL_STATE(12907)] = 544142,
  [SMALL_STATE(12908)] = 544150,
  [SMALL_STATE(12909)] = 544158,
  [SMALL_STATE(12910)] = 544166,
  [SMALL_STATE(12911)] = 544174,
  [SMALL_STATE(12912)] = 544182,
  [SMALL_STATE(12913)] = 544190,
  [SMALL_STATE(12914)] = 544198,
  [SMALL_STATE(12915)] = 544206,
  [SMALL_STATE(12916)] = 544214,
  [SMALL_STATE(12917)] = 544222,
  [SMALL_STATE(12918)] = 544230,
  [SMALL_STATE(12919)] = 544238,
  [SMALL_STATE(12920)] = 544246,
  [SMALL_STATE(12921)] = 544254,
  [SMALL_STATE(12922)] = 544262,
  [SMALL_STATE(12923)] = 544270,
  [SMALL_STATE(12924)] = 544278,
  [SMALL_STATE(12925)] = 544286,
  [SMALL_STATE(12926)] = 544294,
  [SMALL_STATE(12927)] = 544302,
  [SMALL_STATE(12928)] = 544310,
  [SMALL_STATE(12929)] = 544318,
  [SMALL_STATE(12930)] = 544326,
  [SMALL_STATE(12931)] = 544334,
  [SMALL_STATE(12932)] = 544342,
  [SMALL_STATE(12933)] = 544350,
  [SMALL_STATE(12934)] = 544358,
  [SMALL_STATE(12935)] = 544366,
  [SMALL_STATE(12936)] = 544374,
  [SMALL_STATE(12937)] = 544382,
  [SMALL_STATE(12938)] = 544390,
  [SMALL_STATE(12939)] = 544398,
  [SMALL_STATE(12940)] = 544406,
  [SMALL_STATE(12941)] = 544414,
  [SMALL_STATE(12942)] = 544422,
  [SMALL_STATE(12943)] = 544430,
  [SMALL_STATE(12944)] = 544438,
  [SMALL_STATE(12945)] = 544446,
  [SMALL_STATE(12946)] = 544454,
  [SMALL_STATE(12947)] = 544462,
  [SMALL_STATE(12948)] = 544470,
  [SMALL_STATE(12949)] = 544478,
  [SMALL_STATE(12950)] = 544486,
  [SMALL_STATE(12951)] = 544494,
  [SMALL_STATE(12952)] = 544502,
  [SMALL_STATE(12953)] = 544510,
  [SMALL_STATE(12954)] = 544518,
  [SMALL_STATE(12955)] = 544526,
  [SMALL_STATE(12956)] = 544534,
  [SMALL_STATE(12957)] = 544542,
  [SMALL_STATE(12958)] = 544550,
  [SMALL_STATE(12959)] = 544558,
  [SMALL_STATE(12960)] = 544566,
  [SMALL_STATE(12961)] = 544574,
  [SMALL_STATE(12962)] = 544582,
  [SMALL_STATE(12963)] = 544590,
  [SMALL_STATE(12964)] = 544598,
  [SMALL_STATE(12965)] = 544606,
  [SMALL_STATE(12966)] = 544614,
  [SMALL_STATE(12967)] = 544622,
  [SMALL_STATE(12968)] = 544630,
  [SMALL_STATE(12969)] = 544638,
  [SMALL_STATE(12970)] = 544646,
  [SMALL_STATE(12971)] = 544654,
  [SMALL_STATE(12972)] = 544662,
  [SMALL_STATE(12973)] = 544670,
  [SMALL_STATE(12974)] = 544678,
  [SMALL_STATE(12975)] = 544686,
  [SMALL_STATE(12976)] = 544694,
  [SMALL_STATE(12977)] = 544702,
  [SMALL_STATE(12978)] = 544710,
  [SMALL_STATE(12979)] = 544718,
  [SMALL_STATE(12980)] = 544726,
  [SMALL_STATE(12981)] = 544734,
  [SMALL_STATE(12982)] = 544742,
  [SMALL_STATE(12983)] = 544750,
  [SMALL_STATE(12984)] = 544758,
  [SMALL_STATE(12985)] = 544766,
  [SMALL_STATE(12986)] = 544774,
  [SMALL_STATE(12987)] = 544782,
  [SMALL_STATE(12988)] = 544790,
  [SMALL_STATE(12989)] = 544798,
  [SMALL_STATE(12990)] = 544806,
  [SMALL_STATE(12991)] = 544814,
  [SMALL_STATE(12992)] = 544822,
  [SMALL_STATE(12993)] = 544830,
  [SMALL_STATE(12994)] = 544838,
  [SMALL_STATE(12995)] = 544846,
  [SMALL_STATE(12996)] = 544854,
  [SMALL_STATE(12997)] = 544862,
  [SMALL_STATE(12998)] = 544870,
  [SMALL_STATE(12999)] = 544878,
  [SMALL_STATE(13000)] = 544886,
  [SMALL_STATE(13001)] = 544894,
  [SMALL_STATE(13002)] = 544902,
  [SMALL_STATE(13003)] = 544910,
  [SMALL_STATE(13004)] = 544918,
  [SMALL_STATE(13005)] = 544926,
  [SMALL_STATE(13006)] = 544934,
  [SMALL_STATE(13007)] = 544942,
  [SMALL_STATE(13008)] = 544950,
  [SMALL_STATE(13009)] = 544958,
  [SMALL_STATE(13010)] = 544966,
  [SMALL_STATE(13011)] = 544974,
  [SMALL_STATE(13012)] = 544982,
  [SMALL_STATE(13013)] = 544990,
  [SMALL_STATE(13014)] = 544998,
  [SMALL_STATE(13015)] = 545006,
  [SMALL_STATE(13016)] = 545014,
  [SMALL_STATE(13017)] = 545022,
  [SMALL_STATE(13018)] = 545030,
  [SMALL_STATE(13019)] = 545038,
  [SMALL_STATE(13020)] = 545046,
  [SMALL_STATE(13021)] = 545054,
  [SMALL_STATE(13022)] = 545062,
  [SMALL_STATE(13023)] = 545070,
  [SMALL_STATE(13024)] = 545078,
  [SMALL_STATE(13025)] = 545086,
  [SMALL_STATE(13026)] = 545094,
  [SMALL_STATE(13027)] = 545102,
  [SMALL_STATE(13028)] = 545110,
  [SMALL_STATE(13029)] = 545118,
  [SMALL_STATE(13030)] = 545126,
  [SMALL_STATE(13031)] = 545134,
  [SMALL_STATE(13032)] = 545142,
  [SMALL_STATE(13033)] = 545150,
  [SMALL_STATE(13034)] = 545158,
  [SMALL_STATE(13035)] = 545166,
  [SMALL_STATE(13036)] = 545174,
  [SMALL_STATE(13037)] = 545182,
  [SMALL_STATE(13038)] = 545190,
  [SMALL_STATE(13039)] = 545198,
  [SMALL_STATE(13040)] = 545206,
  [SMALL_STATE(13041)] = 545214,
  [SMALL_STATE(13042)] = 545222,
  [SMALL_STATE(13043)] = 545230,
  [SMALL_STATE(13044)] = 545238,
  [SMALL_STATE(13045)] = 545246,
  [SMALL_STATE(13046)] = 545254,
  [SMALL_STATE(13047)] = 545262,
  [SMALL_STATE(13048)] = 545270,
  [SMALL_STATE(13049)] = 545278,
  [SMALL_STATE(13050)] = 545286,
  [SMALL_STATE(13051)] = 545294,
  [SMALL_STATE(13052)] = 545302,
  [SMALL_STATE(13053)] = 545310,
  [SMALL_STATE(13054)] = 545318,
  [SMALL_STATE(13055)] = 545326,
  [SMALL_STATE(13056)] = 545334,
  [SMALL_STATE(13057)] = 545342,
  [SMALL_STATE(13058)] = 545350,
  [SMALL_STATE(13059)] = 545358,
  [SMALL_STATE(13060)] = 545366,
  [SMALL_STATE(13061)] = 545374,
  [SMALL_STATE(13062)] = 545382,
  [SMALL_STATE(13063)] = 545390,
  [SMALL_STATE(13064)] = 545398,
  [SMALL_STATE(13065)] = 545406,
  [SMALL_STATE(13066)] = 545414,
  [SMALL_STATE(13067)] = 545422,
  [SMALL_STATE(13068)] = 545430,
  [SMALL_STATE(13069)] = 545438,
  [SMALL_STATE(13070)] = 545446,
  [SMALL_STATE(13071)] = 545454,
  [SMALL_STATE(13072)] = 545462,
  [SMALL_STATE(13073)] = 545470,
  [SMALL_STATE(13074)] = 545478,
  [SMALL_STATE(13075)] = 545486,
  [SMALL_STATE(13076)] = 545494,
  [SMALL_STATE(13077)] = 545502,
  [SMALL_STATE(13078)] = 545510,
  [SMALL_STATE(13079)] = 545518,
  [SMALL_STATE(13080)] = 545526,
  [SMALL_STATE(13081)] = 545534,
  [SMALL_STATE(13082)] = 545542,
  [SMALL_STATE(13083)] = 545550,
  [SMALL_STATE(13084)] = 545558,
  [SMALL_STATE(13085)] = 545566,
  [SMALL_STATE(13086)] = 545574,
  [SMALL_STATE(13087)] = 545582,
  [SMALL_STATE(13088)] = 545590,
  [SMALL_STATE(13089)] = 545598,
  [SMALL_STATE(13090)] = 545606,
  [SMALL_STATE(13091)] = 545614,
  [SMALL_STATE(13092)] = 545622,
  [SMALL_STATE(13093)] = 545630,
  [SMALL_STATE(13094)] = 545638,
  [SMALL_STATE(13095)] = 545646,
  [SMALL_STATE(13096)] = 545654,
  [SMALL_STATE(13097)] = 545662,
  [SMALL_STATE(13098)] = 545670,
  [SMALL_STATE(13099)] = 545678,
  [SMALL_STATE(13100)] = 545686,
  [SMALL_STATE(13101)] = 545694,
  [SMALL_STATE(13102)] = 545702,
  [SMALL_STATE(13103)] = 545710,
  [SMALL_STATE(13104)] = 545718,
  [SMALL_STATE(13105)] = 545726,
  [SMALL_STATE(13106)] = 545734,
  [SMALL_STATE(13107)] = 545742,
  [SMALL_STATE(13108)] = 545750,
  [SMALL_STATE(13109)] = 545758,
  [SMALL_STATE(13110)] = 545766,
  [SMALL_STATE(13111)] = 545774,
  [SMALL_STATE(13112)] = 545782,
  [SMALL_STATE(13113)] = 545790,
  [SMALL_STATE(13114)] = 545798,
  [SMALL_STATE(13115)] = 545806,
  [SMALL_STATE(13116)] = 545814,
  [SMALL_STATE(13117)] = 545822,
  [SMALL_STATE(13118)] = 545830,
  [SMALL_STATE(13119)] = 545838,
  [SMALL_STATE(13120)] = 545846,
  [SMALL_STATE(13121)] = 545854,
  [SMALL_STATE(13122)] = 545862,
  [SMALL_STATE(13123)] = 545870,
  [SMALL_STATE(13124)] = 545878,
  [SMALL_STATE(13125)] = 545886,
  [SMALL_STATE(13126)] = 545894,
  [SMALL_STATE(13127)] = 545902,
  [SMALL_STATE(13128)] = 545910,
  [SMALL_STATE(13129)] = 545918,
  [SMALL_STATE(13130)] = 545926,
  [SMALL_STATE(13131)] = 545934,
  [SMALL_STATE(13132)] = 545942,
  [SMALL_STATE(13133)] = 545950,
  [SMALL_STATE(13134)] = 545958,
  [SMALL_STATE(13135)] = 545966,
  [SMALL_STATE(13136)] = 545974,
  [SMALL_STATE(13137)] = 545982,
  [SMALL_STATE(13138)] = 545990,
  [SMALL_STATE(13139)] = 545998,
  [SMALL_STATE(13140)] = 546006,
  [SMALL_STATE(13141)] = 546014,
  [SMALL_STATE(13142)] = 546022,
  [SMALL_STATE(13143)] = 546030,
  [SMALL_STATE(13144)] = 546038,
  [SMALL_STATE(13145)] = 546046,
  [SMALL_STATE(13146)] = 546054,
  [SMALL_STATE(13147)] = 546062,
  [SMALL_STATE(13148)] = 546070,
  [SMALL_STATE(13149)] = 546078,
  [SMALL_STATE(13150)] = 546086,
  [SMALL_STATE(13151)] = 546094,
  [SMALL_STATE(13152)] = 546102,
  [SMALL_STATE(13153)] = 546110,
  [SMALL_STATE(13154)] = 546118,
  [SMALL_STATE(13155)] = 546126,
  [SMALL_STATE(13156)] = 546134,
  [SMALL_STATE(13157)] = 546142,
  [SMALL_STATE(13158)] = 546150,
  [SMALL_STATE(13159)] = 546158,
  [SMALL_STATE(13160)] = 546166,
  [SMALL_STATE(13161)] = 546174,
  [SMALL_STATE(13162)] = 546182,
  [SMALL_STATE(13163)] = 546190,
  [SMALL_STATE(13164)] = 546198,
  [SMALL_STATE(13165)] = 546206,
  [SMALL_STATE(13166)] = 546214,
  [SMALL_STATE(13167)] = 546222,
  [SMALL_STATE(13168)] = 546230,
  [SMALL_STATE(13169)] = 546238,
  [SMALL_STATE(13170)] = 546246,
  [SMALL_STATE(13171)] = 546254,
  [SMALL_STATE(13172)] = 546262,
  [SMALL_STATE(13173)] = 546270,
  [SMALL_STATE(13174)] = 546278,
  [SMALL_STATE(13175)] = 546286,
  [SMALL_STATE(13176)] = 546294,
  [SMALL_STATE(13177)] = 546302,
  [SMALL_STATE(13178)] = 546310,
  [SMALL_STATE(13179)] = 546318,
  [SMALL_STATE(13180)] = 546326,
  [SMALL_STATE(13181)] = 546334,
  [SMALL_STATE(13182)] = 546342,
  [SMALL_STATE(13183)] = 546350,
  [SMALL_STATE(13184)] = 546358,
  [SMALL_STATE(13185)] = 546366,
  [SMALL_STATE(13186)] = 546374,
  [SMALL_STATE(13187)] = 546382,
  [SMALL_STATE(13188)] = 546390,
  [SMALL_STATE(13189)] = 546398,
  [SMALL_STATE(13190)] = 546406,
  [SMALL_STATE(13191)] = 546414,
  [SMALL_STATE(13192)] = 546422,
  [SMALL_STATE(13193)] = 546430,
  [SMALL_STATE(13194)] = 546438,
  [SMALL_STATE(13195)] = 546446,
  [SMALL_STATE(13196)] = 546454,
  [SMALL_STATE(13197)] = 546462,
  [SMALL_STATE(13198)] = 546470,
  [SMALL_STATE(13199)] = 546478,
  [SMALL_STATE(13200)] = 546486,
  [SMALL_STATE(13201)] = 546494,
  [SMALL_STATE(13202)] = 546502,
  [SMALL_STATE(13203)] = 546510,
  [SMALL_STATE(13204)] = 546518,
  [SMALL_STATE(13205)] = 546526,
  [SMALL_STATE(13206)] = 546534,
  [SMALL_STATE(13207)] = 546542,
  [SMALL_STATE(13208)] = 546550,
  [SMALL_STATE(13209)] = 546558,
  [SMALL_STATE(13210)] = 546566,
  [SMALL_STATE(13211)] = 546574,
  [SMALL_STATE(13212)] = 546582,
  [SMALL_STATE(13213)] = 546590,
  [SMALL_STATE(13214)] = 546598,
  [SMALL_STATE(13215)] = 546606,
  [SMALL_STATE(13216)] = 546614,
  [SMALL_STATE(13217)] = 546622,
  [SMALL_STATE(13218)] = 546630,
  [SMALL_STATE(13219)] = 546638,
  [SMALL_STATE(13220)] = 546646,
  [SMALL_STATE(13221)] = 546654,
  [SMALL_STATE(13222)] = 546662,
  [SMALL_STATE(13223)] = 546670,
  [SMALL_STATE(13224)] = 546678,
  [SMALL_STATE(13225)] = 546686,
  [SMALL_STATE(13226)] = 546694,
  [SMALL_STATE(13227)] = 546702,
  [SMALL_STATE(13228)] = 546710,
  [SMALL_STATE(13229)] = 546718,
  [SMALL_STATE(13230)] = 546726,
  [SMALL_STATE(13231)] = 546734,
  [SMALL_STATE(13232)] = 546742,
  [SMALL_STATE(13233)] = 546750,
  [SMALL_STATE(13234)] = 546758,
  [SMALL_STATE(13235)] = 546766,
  [SMALL_STATE(13236)] = 546774,
  [SMALL_STATE(13237)] = 546782,
  [SMALL_STATE(13238)] = 546790,
  [SMALL_STATE(13239)] = 546798,
  [SMALL_STATE(13240)] = 546806,
  [SMALL_STATE(13241)] = 546814,
  [SMALL_STATE(13242)] = 546822,
  [SMALL_STATE(13243)] = 546830,
  [SMALL_STATE(13244)] = 546838,
  [SMALL_STATE(13245)] = 546846,
  [SMALL_STATE(13246)] = 546854,
  [SMALL_STATE(13247)] = 546862,
  [SMALL_STATE(13248)] = 546870,
  [SMALL_STATE(13249)] = 546878,
  [SMALL_STATE(13250)] = 546886,
  [SMALL_STATE(13251)] = 546894,
  [SMALL_STATE(13252)] = 546902,
  [SMALL_STATE(13253)] = 546910,
  [SMALL_STATE(13254)] = 546918,
  [SMALL_STATE(13255)] = 546926,
  [SMALL_STATE(13256)] = 546934,
  [SMALL_STATE(13257)] = 546942,
  [SMALL_STATE(13258)] = 546950,
  [SMALL_STATE(13259)] = 546958,
  [SMALL_STATE(13260)] = 546966,
  [SMALL_STATE(13261)] = 546974,
  [SMALL_STATE(13262)] = 546982,
  [SMALL_STATE(13263)] = 546990,
  [SMALL_STATE(13264)] = 546998,
  [SMALL_STATE(13265)] = 547006,
  [SMALL_STATE(13266)] = 547014,
  [SMALL_STATE(13267)] = 547022,
  [SMALL_STATE(13268)] = 547030,
  [SMALL_STATE(13269)] = 547038,
  [SMALL_STATE(13270)] = 547046,
  [SMALL_STATE(13271)] = 547054,
  [SMALL_STATE(13272)] = 547062,
  [SMALL_STATE(13273)] = 547070,
  [SMALL_STATE(13274)] = 547078,
  [SMALL_STATE(13275)] = 547086,
  [SMALL_STATE(13276)] = 547094,
  [SMALL_STATE(13277)] = 547102,
  [SMALL_STATE(13278)] = 547110,
  [SMALL_STATE(13279)] = 547118,
  [SMALL_STATE(13280)] = 547126,
  [SMALL_STATE(13281)] = 547134,
  [SMALL_STATE(13282)] = 547142,
  [SMALL_STATE(13283)] = 547150,
  [SMALL_STATE(13284)] = 547158,
  [SMALL_STATE(13285)] = 547166,
  [SMALL_STATE(13286)] = 547174,
  [SMALL_STATE(13287)] = 547182,
  [SMALL_STATE(13288)] = 547190,
  [SMALL_STATE(13289)] = 547198,
  [SMALL_STATE(13290)] = 547206,
  [SMALL_STATE(13291)] = 547214,
  [SMALL_STATE(13292)] = 547222,
  [SMALL_STATE(13293)] = 547230,
  [SMALL_STATE(13294)] = 547238,
  [SMALL_STATE(13295)] = 547246,
  [SMALL_STATE(13296)] = 547254,
  [SMALL_STATE(13297)] = 547262,
  [SMALL_STATE(13298)] = 547270,
  [SMALL_STATE(13299)] = 547278,
  [SMALL_STATE(13300)] = 547286,
  [SMALL_STATE(13301)] = 547294,
  [SMALL_STATE(13302)] = 547302,
  [SMALL_STATE(13303)] = 547310,
  [SMALL_STATE(13304)] = 547318,
  [SMALL_STATE(13305)] = 547326,
  [SMALL_STATE(13306)] = 547334,
  [SMALL_STATE(13307)] = 547342,
  [SMALL_STATE(13308)] = 547350,
  [SMALL_STATE(13309)] = 547358,
  [SMALL_STATE(13310)] = 547366,
  [SMALL_STATE(13311)] = 547374,
  [SMALL_STATE(13312)] = 547382,
  [SMALL_STATE(13313)] = 547390,
  [SMALL_STATE(13314)] = 547398,
  [SMALL_STATE(13315)] = 547406,
  [SMALL_STATE(13316)] = 547414,
  [SMALL_STATE(13317)] = 547422,
  [SMALL_STATE(13318)] = 547430,
  [SMALL_STATE(13319)] = 547438,
  [SMALL_STATE(13320)] = 547446,
  [SMALL_STATE(13321)] = 547454,
  [SMALL_STATE(13322)] = 547462,
  [SMALL_STATE(13323)] = 547470,
  [SMALL_STATE(13324)] = 547478,
  [SMALL_STATE(13325)] = 547486,
  [SMALL_STATE(13326)] = 547494,
  [SMALL_STATE(13327)] = 547502,
  [SMALL_STATE(13328)] = 547510,
  [SMALL_STATE(13329)] = 547518,
  [SMALL_STATE(13330)] = 547526,
  [SMALL_STATE(13331)] = 547534,
  [SMALL_STATE(13332)] = 547542,
  [SMALL_STATE(13333)] = 547550,
  [SMALL_STATE(13334)] = 547558,
  [SMALL_STATE(13335)] = 547566,
  [SMALL_STATE(13336)] = 547574,
  [SMALL_STATE(13337)] = 547582,
  [SMALL_STATE(13338)] = 547590,
  [SMALL_STATE(13339)] = 547598,
  [SMALL_STATE(13340)] = 547606,
  [SMALL_STATE(13341)] = 547614,
  [SMALL_STATE(13342)] = 547622,
  [SMALL_STATE(13343)] = 547630,
  [SMALL_STATE(13344)] = 547638,
  [SMALL_STATE(13345)] = 547646,
  [SMALL_STATE(13346)] = 547654,
  [SMALL_STATE(13347)] = 547662,
  [SMALL_STATE(13348)] = 547670,
  [SMALL_STATE(13349)] = 547678,
  [SMALL_STATE(13350)] = 547686,
  [SMALL_STATE(13351)] = 547694,
  [SMALL_STATE(13352)] = 547702,
  [SMALL_STATE(13353)] = 547710,
  [SMALL_STATE(13354)] = 547718,
  [SMALL_STATE(13355)] = 547726,
  [SMALL_STATE(13356)] = 547734,
  [SMALL_STATE(13357)] = 547742,
  [SMALL_STATE(13358)] = 547750,
  [SMALL_STATE(13359)] = 547758,
  [SMALL_STATE(13360)] = 547766,
  [SMALL_STATE(13361)] = 547774,
  [SMALL_STATE(13362)] = 547782,
  [SMALL_STATE(13363)] = 547790,
  [SMALL_STATE(13364)] = 547798,
  [SMALL_STATE(13365)] = 547806,
  [SMALL_STATE(13366)] = 547814,
  [SMALL_STATE(13367)] = 547822,
  [SMALL_STATE(13368)] = 547830,
  [SMALL_STATE(13369)] = 547838,
  [SMALL_STATE(13370)] = 547846,
  [SMALL_STATE(13371)] = 547854,
  [SMALL_STATE(13372)] = 547862,
  [SMALL_STATE(13373)] = 547870,
  [SMALL_STATE(13374)] = 547878,
  [SMALL_STATE(13375)] = 547886,
  [SMALL_STATE(13376)] = 547894,
  [SMALL_STATE(13377)] = 547902,
  [SMALL_STATE(13378)] = 547910,
  [SMALL_STATE(13379)] = 547918,
  [SMALL_STATE(13380)] = 547926,
  [SMALL_STATE(13381)] = 547934,
  [SMALL_STATE(13382)] = 547942,
  [SMALL_STATE(13383)] = 547950,
  [SMALL_STATE(13384)] = 547958,
  [SMALL_STATE(13385)] = 547966,
  [SMALL_STATE(13386)] = 547974,
  [SMALL_STATE(13387)] = 547982,
  [SMALL_STATE(13388)] = 547990,
  [SMALL_STATE(13389)] = 547998,
  [SMALL_STATE(13390)] = 548006,
  [SMALL_STATE(13391)] = 548014,
  [SMALL_STATE(13392)] = 548022,
  [SMALL_STATE(13393)] = 548030,
  [SMALL_STATE(13394)] = 548038,
  [SMALL_STATE(13395)] = 548046,
  [SMALL_STATE(13396)] = 548054,
  [SMALL_STATE(13397)] = 548062,
  [SMALL_STATE(13398)] = 548070,
  [SMALL_STATE(13399)] = 548078,
  [SMALL_STATE(13400)] = 548086,
  [SMALL_STATE(13401)] = 548094,
  [SMALL_STATE(13402)] = 548102,
  [SMALL_STATE(13403)] = 548110,
  [SMALL_STATE(13404)] = 548118,
  [SMALL_STATE(13405)] = 548126,
  [SMALL_STATE(13406)] = 548134,
  [SMALL_STATE(13407)] = 548142,
  [SMALL_STATE(13408)] = 548150,
  [SMALL_STATE(13409)] = 548158,
  [SMALL_STATE(13410)] = 548166,
  [SMALL_STATE(13411)] = 548174,
  [SMALL_STATE(13412)] = 548182,
  [SMALL_STATE(13413)] = 548190,
  [SMALL_STATE(13414)] = 548198,
  [SMALL_STATE(13415)] = 548206,
  [SMALL_STATE(13416)] = 548214,
  [SMALL_STATE(13417)] = 548222,
  [SMALL_STATE(13418)] = 548230,
  [SMALL_STATE(13419)] = 548238,
  [SMALL_STATE(13420)] = 548246,
  [SMALL_STATE(13421)] = 548254,
  [SMALL_STATE(13422)] = 548262,
  [SMALL_STATE(13423)] = 548270,
  [SMALL_STATE(13424)] = 548278,
  [SMALL_STATE(13425)] = 548286,
  [SMALL_STATE(13426)] = 548294,
  [SMALL_STATE(13427)] = 548302,
  [SMALL_STATE(13428)] = 548310,
  [SMALL_STATE(13429)] = 548318,
  [SMALL_STATE(13430)] = 548326,
  [SMALL_STATE(13431)] = 548334,
  [SMALL_STATE(13432)] = 548342,
  [SMALL_STATE(13433)] = 548350,
  [SMALL_STATE(13434)] = 548358,
  [SMALL_STATE(13435)] = 548366,
  [SMALL_STATE(13436)] = 548374,
  [SMALL_STATE(13437)] = 548382,
  [SMALL_STATE(13438)] = 548390,
  [SMALL_STATE(13439)] = 548398,
  [SMALL_STATE(13440)] = 548406,
  [SMALL_STATE(13441)] = 548414,
  [SMALL_STATE(13442)] = 548422,
  [SMALL_STATE(13443)] = 548430,
  [SMALL_STATE(13444)] = 548438,
  [SMALL_STATE(13445)] = 548446,
  [SMALL_STATE(13446)] = 548454,
  [SMALL_STATE(13447)] = 548462,
  [SMALL_STATE(13448)] = 548470,
  [SMALL_STATE(13449)] = 548478,
  [SMALL_STATE(13450)] = 548486,
  [SMALL_STATE(13451)] = 548494,
  [SMALL_STATE(13452)] = 548502,
  [SMALL_STATE(13453)] = 548510,
  [SMALL_STATE(13454)] = 548518,
  [SMALL_STATE(13455)] = 548526,
  [SMALL_STATE(13456)] = 548534,
  [SMALL_STATE(13457)] = 548542,
  [SMALL_STATE(13458)] = 548550,
  [SMALL_STATE(13459)] = 548558,
  [SMALL_STATE(13460)] = 548566,
  [SMALL_STATE(13461)] = 548574,
  [SMALL_STATE(13462)] = 548582,
  [SMALL_STATE(13463)] = 548590,
  [SMALL_STATE(13464)] = 548598,
  [SMALL_STATE(13465)] = 548606,
  [SMALL_STATE(13466)] = 548614,
  [SMALL_STATE(13467)] = 548622,
  [SMALL_STATE(13468)] = 548630,
  [SMALL_STATE(13469)] = 548638,
  [SMALL_STATE(13470)] = 548646,
  [SMALL_STATE(13471)] = 548654,
  [SMALL_STATE(13472)] = 548662,
  [SMALL_STATE(13473)] = 548670,
  [SMALL_STATE(13474)] = 548678,
  [SMALL_STATE(13475)] = 548686,
  [SMALL_STATE(13476)] = 548694,
  [SMALL_STATE(13477)] = 548702,
  [SMALL_STATE(13478)] = 548710,
  [SMALL_STATE(13479)] = 548718,
  [SMALL_STATE(13480)] = 548726,
  [SMALL_STATE(13481)] = 548734,
  [SMALL_STATE(13482)] = 548742,
  [SMALL_STATE(13483)] = 548750,
  [SMALL_STATE(13484)] = 548758,
  [SMALL_STATE(13485)] = 548766,
  [SMALL_STATE(13486)] = 548774,
  [SMALL_STATE(13487)] = 548782,
  [SMALL_STATE(13488)] = 548790,
  [SMALL_STATE(13489)] = 548798,
  [SMALL_STATE(13490)] = 548806,
  [SMALL_STATE(13491)] = 548814,
  [SMALL_STATE(13492)] = 548822,
  [SMALL_STATE(13493)] = 548830,
  [SMALL_STATE(13494)] = 548838,
  [SMALL_STATE(13495)] = 548846,
  [SMALL_STATE(13496)] = 548854,
  [SMALL_STATE(13497)] = 548862,
  [SMALL_STATE(13498)] = 548870,
  [SMALL_STATE(13499)] = 548878,
  [SMALL_STATE(13500)] = 548886,
  [SMALL_STATE(13501)] = 548894,
  [SMALL_STATE(13502)] = 548902,
  [SMALL_STATE(13503)] = 548910,
  [SMALL_STATE(13504)] = 548918,
  [SMALL_STATE(13505)] = 548926,
  [SMALL_STATE(13506)] = 548934,
  [SMALL_STATE(13507)] = 548942,
  [SMALL_STATE(13508)] = 548950,
  [SMALL_STATE(13509)] = 548958,
  [SMALL_STATE(13510)] = 548966,
  [SMALL_STATE(13511)] = 548974,
  [SMALL_STATE(13512)] = 548982,
  [SMALL_STATE(13513)] = 548990,
  [SMALL_STATE(13514)] = 548998,
  [SMALL_STATE(13515)] = 549006,
  [SMALL_STATE(13516)] = 549014,
  [SMALL_STATE(13517)] = 549022,
  [SMALL_STATE(13518)] = 549030,
  [SMALL_STATE(13519)] = 549038,
  [SMALL_STATE(13520)] = 549046,
  [SMALL_STATE(13521)] = 549054,
  [SMALL_STATE(13522)] = 549062,
  [SMALL_STATE(13523)] = 549070,
  [SMALL_STATE(13524)] = 549078,
  [SMALL_STATE(13525)] = 549086,
  [SMALL_STATE(13526)] = 549094,
  [SMALL_STATE(13527)] = 549102,
  [SMALL_STATE(13528)] = 549110,
  [SMALL_STATE(13529)] = 549118,
  [SMALL_STATE(13530)] = 549126,
  [SMALL_STATE(13531)] = 549134,
  [SMALL_STATE(13532)] = 549142,
  [SMALL_STATE(13533)] = 549150,
  [SMALL_STATE(13534)] = 549158,
  [SMALL_STATE(13535)] = 549166,
  [SMALL_STATE(13536)] = 549174,
  [SMALL_STATE(13537)] = 549182,
  [SMALL_STATE(13538)] = 549190,
  [SMALL_STATE(13539)] = 549198,
  [SMALL_STATE(13540)] = 549206,
  [SMALL_STATE(13541)] = 549214,
  [SMALL_STATE(13542)] = 549222,
  [SMALL_STATE(13543)] = 549230,
  [SMALL_STATE(13544)] = 549238,
  [SMALL_STATE(13545)] = 549246,
  [SMALL_STATE(13546)] = 549254,
  [SMALL_STATE(13547)] = 549262,
  [SMALL_STATE(13548)] = 549270,
  [SMALL_STATE(13549)] = 549278,
  [SMALL_STATE(13550)] = 549286,
  [SMALL_STATE(13551)] = 549294,
  [SMALL_STATE(13552)] = 549302,
  [SMALL_STATE(13553)] = 549310,
  [SMALL_STATE(13554)] = 549318,
  [SMALL_STATE(13555)] = 549326,
  [SMALL_STATE(13556)] = 549334,
  [SMALL_STATE(13557)] = 549342,
  [SMALL_STATE(13558)] = 549350,
  [SMALL_STATE(13559)] = 549358,
  [SMALL_STATE(13560)] = 549366,
  [SMALL_STATE(13561)] = 549374,
  [SMALL_STATE(13562)] = 549382,
  [SMALL_STATE(13563)] = 549390,
  [SMALL_STATE(13564)] = 549398,
  [SMALL_STATE(13565)] = 549406,
  [SMALL_STATE(13566)] = 549414,
  [SMALL_STATE(13567)] = 549422,
  [SMALL_STATE(13568)] = 549430,
  [SMALL_STATE(13569)] = 549438,
  [SMALL_STATE(13570)] = 549446,
  [SMALL_STATE(13571)] = 549454,
  [SMALL_STATE(13572)] = 549462,
  [SMALL_STATE(13573)] = 549470,
  [SMALL_STATE(13574)] = 549478,
  [SMALL_STATE(13575)] = 549486,
  [SMALL_STATE(13576)] = 549494,
  [SMALL_STATE(13577)] = 549502,
  [SMALL_STATE(13578)] = 549510,
  [SMALL_STATE(13579)] = 549518,
  [SMALL_STATE(13580)] = 549526,
  [SMALL_STATE(13581)] = 549534,
  [SMALL_STATE(13582)] = 549542,
  [SMALL_STATE(13583)] = 549550,
  [SMALL_STATE(13584)] = 549558,
  [SMALL_STATE(13585)] = 549566,
  [SMALL_STATE(13586)] = 549574,
  [SMALL_STATE(13587)] = 549582,
  [SMALL_STATE(13588)] = 549590,
  [SMALL_STATE(13589)] = 549598,
  [SMALL_STATE(13590)] = 549606,
  [SMALL_STATE(13591)] = 549614,
  [SMALL_STATE(13592)] = 549622,
  [SMALL_STATE(13593)] = 549630,
  [SMALL_STATE(13594)] = 549638,
  [SMALL_STATE(13595)] = 549646,
  [SMALL_STATE(13596)] = 549654,
  [SMALL_STATE(13597)] = 549662,
  [SMALL_STATE(13598)] = 549670,
  [SMALL_STATE(13599)] = 549678,
  [SMALL_STATE(13600)] = 549686,
  [SMALL_STATE(13601)] = 549694,
  [SMALL_STATE(13602)] = 549702,
  [SMALL_STATE(13603)] = 549710,
  [SMALL_STATE(13604)] = 549718,
  [SMALL_STATE(13605)] = 549726,
  [SMALL_STATE(13606)] = 549734,
  [SMALL_STATE(13607)] = 549742,
  [SMALL_STATE(13608)] = 549750,
  [SMALL_STATE(13609)] = 549758,
  [SMALL_STATE(13610)] = 549766,
  [SMALL_STATE(13611)] = 549774,
  [SMALL_STATE(13612)] = 549782,
  [SMALL_STATE(13613)] = 549790,
  [SMALL_STATE(13614)] = 549798,
  [SMALL_STATE(13615)] = 549806,
  [SMALL_STATE(13616)] = 549814,
  [SMALL_STATE(13617)] = 549822,
  [SMALL_STATE(13618)] = 549830,
  [SMALL_STATE(13619)] = 549838,
  [SMALL_STATE(13620)] = 549846,
  [SMALL_STATE(13621)] = 549854,
  [SMALL_STATE(13622)] = 549862,
  [SMALL_STATE(13623)] = 549870,
  [SMALL_STATE(13624)] = 549878,
  [SMALL_STATE(13625)] = 549886,
  [SMALL_STATE(13626)] = 549894,
  [SMALL_STATE(13627)] = 549902,
  [SMALL_STATE(13628)] = 549910,
  [SMALL_STATE(13629)] = 549918,
  [SMALL_STATE(13630)] = 549926,
  [SMALL_STATE(13631)] = 549934,
  [SMALL_STATE(13632)] = 549942,
  [SMALL_STATE(13633)] = 549950,
  [SMALL_STATE(13634)] = 549958,
  [SMALL_STATE(13635)] = 549966,
  [SMALL_STATE(13636)] = 549974,
  [SMALL_STATE(13637)] = 549982,
  [SMALL_STATE(13638)] = 549990,
  [SMALL_STATE(13639)] = 549998,
  [SMALL_STATE(13640)] = 550006,
  [SMALL_STATE(13641)] = 550014,
  [SMALL_STATE(13642)] = 550022,
  [SMALL_STATE(13643)] = 550030,
  [SMALL_STATE(13644)] = 550038,
  [SMALL_STATE(13645)] = 550046,
  [SMALL_STATE(13646)] = 550054,
  [SMALL_STATE(13647)] = 550062,
  [SMALL_STATE(13648)] = 550070,
  [SMALL_STATE(13649)] = 550078,
  [SMALL_STATE(13650)] = 550086,
  [SMALL_STATE(13651)] = 550094,
  [SMALL_STATE(13652)] = 550102,
  [SMALL_STATE(13653)] = 550110,
  [SMALL_STATE(13654)] = 550118,
  [SMALL_STATE(13655)] = 550126,
  [SMALL_STATE(13656)] = 550134,
  [SMALL_STATE(13657)] = 550142,
  [SMALL_STATE(13658)] = 550150,
  [SMALL_STATE(13659)] = 550158,
  [SMALL_STATE(13660)] = 550166,
  [SMALL_STATE(13661)] = 550174,
  [SMALL_STATE(13662)] = 550182,
  [SMALL_STATE(13663)] = 550190,
  [SMALL_STATE(13664)] = 550198,
  [SMALL_STATE(13665)] = 550206,
  [SMALL_STATE(13666)] = 550214,
  [SMALL_STATE(13667)] = 550222,
  [SMALL_STATE(13668)] = 550230,
  [SMALL_STATE(13669)] = 550238,
  [SMALL_STATE(13670)] = 550246,
  [SMALL_STATE(13671)] = 550254,
  [SMALL_STATE(13672)] = 550262,
  [SMALL_STATE(13673)] = 550270,
  [SMALL_STATE(13674)] = 550278,
  [SMALL_STATE(13675)] = 550286,
  [SMALL_STATE(13676)] = 550294,
  [SMALL_STATE(13677)] = 550302,
  [SMALL_STATE(13678)] = 550310,
  [SMALL_STATE(13679)] = 550318,
  [SMALL_STATE(13680)] = 550326,
  [SMALL_STATE(13681)] = 550334,
  [SMALL_STATE(13682)] = 550342,
  [SMALL_STATE(13683)] = 550350,
  [SMALL_STATE(13684)] = 550358,
  [SMALL_STATE(13685)] = 550366,
  [SMALL_STATE(13686)] = 550374,
  [SMALL_STATE(13687)] = 550382,
  [SMALL_STATE(13688)] = 550390,
  [SMALL_STATE(13689)] = 550398,
  [SMALL_STATE(13690)] = 550406,
  [SMALL_STATE(13691)] = 550414,
  [SMALL_STATE(13692)] = 550422,
  [SMALL_STATE(13693)] = 550430,
  [SMALL_STATE(13694)] = 550438,
  [SMALL_STATE(13695)] = 550446,
  [SMALL_STATE(13696)] = 550454,
  [SMALL_STATE(13697)] = 550462,
  [SMALL_STATE(13698)] = 550470,
  [SMALL_STATE(13699)] = 550478,
  [SMALL_STATE(13700)] = 550486,
  [SMALL_STATE(13701)] = 550494,
  [SMALL_STATE(13702)] = 550502,
  [SMALL_STATE(13703)] = 550510,
  [SMALL_STATE(13704)] = 550518,
  [SMALL_STATE(13705)] = 550526,
  [SMALL_STATE(13706)] = 550534,
  [SMALL_STATE(13707)] = 550542,
  [SMALL_STATE(13708)] = 550550,
  [SMALL_STATE(13709)] = 550558,
  [SMALL_STATE(13710)] = 550566,
  [SMALL_STATE(13711)] = 550574,
  [SMALL_STATE(13712)] = 550582,
  [SMALL_STATE(13713)] = 550590,
  [SMALL_STATE(13714)] = 550598,
  [SMALL_STATE(13715)] = 550606,
  [SMALL_STATE(13716)] = 550614,
  [SMALL_STATE(13717)] = 550622,
  [SMALL_STATE(13718)] = 550630,
  [SMALL_STATE(13719)] = 550638,
  [SMALL_STATE(13720)] = 550646,
  [SMALL_STATE(13721)] = 550654,
  [SMALL_STATE(13722)] = 550662,
  [SMALL_STATE(13723)] = 550670,
  [SMALL_STATE(13724)] = 550678,
  [SMALL_STATE(13725)] = 550686,
  [SMALL_STATE(13726)] = 550694,
  [SMALL_STATE(13727)] = 550702,
  [SMALL_STATE(13728)] = 550710,
  [SMALL_STATE(13729)] = 550718,
  [SMALL_STATE(13730)] = 550726,
  [SMALL_STATE(13731)] = 550734,
  [SMALL_STATE(13732)] = 550742,
  [SMALL_STATE(13733)] = 550750,
  [SMALL_STATE(13734)] = 550758,
  [SMALL_STATE(13735)] = 550766,
  [SMALL_STATE(13736)] = 550774,
  [SMALL_STATE(13737)] = 550782,
  [SMALL_STATE(13738)] = 550790,
  [SMALL_STATE(13739)] = 550798,
  [SMALL_STATE(13740)] = 550806,
  [SMALL_STATE(13741)] = 550814,
  [SMALL_STATE(13742)] = 550822,
  [SMALL_STATE(13743)] = 550830,
  [SMALL_STATE(13744)] = 550838,
  [SMALL_STATE(13745)] = 550846,
  [SMALL_STATE(13746)] = 550854,
  [SMALL_STATE(13747)] = 550862,
  [SMALL_STATE(13748)] = 550870,
  [SMALL_STATE(13749)] = 550878,
  [SMALL_STATE(13750)] = 550886,
  [SMALL_STATE(13751)] = 550894,
  [SMALL_STATE(13752)] = 550902,
  [SMALL_STATE(13753)] = 550910,
  [SMALL_STATE(13754)] = 550918,
  [SMALL_STATE(13755)] = 550926,
  [SMALL_STATE(13756)] = 550934,
  [SMALL_STATE(13757)] = 550942,
  [SMALL_STATE(13758)] = 550950,
  [SMALL_STATE(13759)] = 550958,
  [SMALL_STATE(13760)] = 550966,
  [SMALL_STATE(13761)] = 550974,
  [SMALL_STATE(13762)] = 550982,
  [SMALL_STATE(13763)] = 550990,
  [SMALL_STATE(13764)] = 550998,
  [SMALL_STATE(13765)] = 551006,
  [SMALL_STATE(13766)] = 551014,
  [SMALL_STATE(13767)] = 551022,
  [SMALL_STATE(13768)] = 551030,
  [SMALL_STATE(13769)] = 551038,
  [SMALL_STATE(13770)] = 551046,
  [SMALL_STATE(13771)] = 551054,
  [SMALL_STATE(13772)] = 551062,
  [SMALL_STATE(13773)] = 551070,
  [SMALL_STATE(13774)] = 551078,
  [SMALL_STATE(13775)] = 551086,
  [SMALL_STATE(13776)] = 551094,
  [SMALL_STATE(13777)] = 551102,
  [SMALL_STATE(13778)] = 551110,
  [SMALL_STATE(13779)] = 551118,
  [SMALL_STATE(13780)] = 551126,
  [SMALL_STATE(13781)] = 551134,
  [SMALL_STATE(13782)] = 551142,
  [SMALL_STATE(13783)] = 551150,
  [SMALL_STATE(13784)] = 551158,
  [SMALL_STATE(13785)] = 551166,
  [SMALL_STATE(13786)] = 551174,
  [SMALL_STATE(13787)] = 551182,
  [SMALL_STATE(13788)] = 551190,
  [SMALL_STATE(13789)] = 551198,
  [SMALL_STATE(13790)] = 551206,
  [SMALL_STATE(13791)] = 551214,
  [SMALL_STATE(13792)] = 551222,
  [SMALL_STATE(13793)] = 551230,
  [SMALL_STATE(13794)] = 551238,
  [SMALL_STATE(13795)] = 551246,
  [SMALL_STATE(13796)] = 551254,
  [SMALL_STATE(13797)] = 551262,
  [SMALL_STATE(13798)] = 551270,
  [SMALL_STATE(13799)] = 551278,
  [SMALL_STATE(13800)] = 551286,
  [SMALL_STATE(13801)] = 551294,
  [SMALL_STATE(13802)] = 551302,
  [SMALL_STATE(13803)] = 551310,
  [SMALL_STATE(13804)] = 551318,
  [SMALL_STATE(13805)] = 551326,
  [SMALL_STATE(13806)] = 551334,
  [SMALL_STATE(13807)] = 551342,
  [SMALL_STATE(13808)] = 551350,
  [SMALL_STATE(13809)] = 551358,
  [SMALL_STATE(13810)] = 551366,
  [SMALL_STATE(13811)] = 551374,
  [SMALL_STATE(13812)] = 551382,
  [SMALL_STATE(13813)] = 551390,
  [SMALL_STATE(13814)] = 551398,
  [SMALL_STATE(13815)] = 551406,
  [SMALL_STATE(13816)] = 551414,
  [SMALL_STATE(13817)] = 551422,
  [SMALL_STATE(13818)] = 551430,
  [SMALL_STATE(13819)] = 551438,
  [SMALL_STATE(13820)] = 551446,
  [SMALL_STATE(13821)] = 551454,
  [SMALL_STATE(13822)] = 551462,
  [SMALL_STATE(13823)] = 551470,
  [SMALL_STATE(13824)] = 551478,
  [SMALL_STATE(13825)] = 551486,
  [SMALL_STATE(13826)] = 551494,
  [SMALL_STATE(13827)] = 551502,
  [SMALL_STATE(13828)] = 551510,
  [SMALL_STATE(13829)] = 551518,
  [SMALL_STATE(13830)] = 551526,
  [SMALL_STATE(13831)] = 551534,
  [SMALL_STATE(13832)] = 551542,
  [SMALL_STATE(13833)] = 551550,
  [SMALL_STATE(13834)] = 551558,
  [SMALL_STATE(13835)] = 551566,
  [SMALL_STATE(13836)] = 551574,
  [SMALL_STATE(13837)] = 551582,
  [SMALL_STATE(13838)] = 551590,
  [SMALL_STATE(13839)] = 551598,
  [SMALL_STATE(13840)] = 551606,
  [SMALL_STATE(13841)] = 551614,
  [SMALL_STATE(13842)] = 551622,
  [SMALL_STATE(13843)] = 551630,
  [SMALL_STATE(13844)] = 551638,
  [SMALL_STATE(13845)] = 551646,
  [SMALL_STATE(13846)] = 551654,
  [SMALL_STATE(13847)] = 551662,
  [SMALL_STATE(13848)] = 551670,
  [SMALL_STATE(13849)] = 551678,
  [SMALL_STATE(13850)] = 551686,
  [SMALL_STATE(13851)] = 551694,
  [SMALL_STATE(13852)] = 551702,
  [SMALL_STATE(13853)] = 551710,
  [SMALL_STATE(13854)] = 551718,
  [SMALL_STATE(13855)] = 551726,
  [SMALL_STATE(13856)] = 551734,
  [SMALL_STATE(13857)] = 551742,
  [SMALL_STATE(13858)] = 551750,
  [SMALL_STATE(13859)] = 551758,
  [SMALL_STATE(13860)] = 551766,
  [SMALL_STATE(13861)] = 551774,
  [SMALL_STATE(13862)] = 551782,
  [SMALL_STATE(13863)] = 551790,
  [SMALL_STATE(13864)] = 551798,
  [SMALL_STATE(13865)] = 551806,
  [SMALL_STATE(13866)] = 551814,
  [SMALL_STATE(13867)] = 551822,
  [SMALL_STATE(13868)] = 551830,
  [SMALL_STATE(13869)] = 551838,
  [SMALL_STATE(13870)] = 551846,
  [SMALL_STATE(13871)] = 551854,
  [SMALL_STATE(13872)] = 551862,
  [SMALL_STATE(13873)] = 551870,
  [SMALL_STATE(13874)] = 551878,
  [SMALL_STATE(13875)] = 551886,
  [SMALL_STATE(13876)] = 551894,
  [SMALL_STATE(13877)] = 551902,
  [SMALL_STATE(13878)] = 551910,
  [SMALL_STATE(13879)] = 551918,
  [SMALL_STATE(13880)] = 551926,
  [SMALL_STATE(13881)] = 551934,
  [SMALL_STATE(13882)] = 551942,
  [SMALL_STATE(13883)] = 551950,
  [SMALL_STATE(13884)] = 551958,
  [SMALL_STATE(13885)] = 551966,
  [SMALL_STATE(13886)] = 551974,
  [SMALL_STATE(13887)] = 551982,
  [SMALL_STATE(13888)] = 551990,
  [SMALL_STATE(13889)] = 551998,
  [SMALL_STATE(13890)] = 552006,
  [SMALL_STATE(13891)] = 552014,
  [SMALL_STATE(13892)] = 552022,
  [SMALL_STATE(13893)] = 552030,
  [SMALL_STATE(13894)] = 552038,
  [SMALL_STATE(13895)] = 552046,
  [SMALL_STATE(13896)] = 552054,
  [SMALL_STATE(13897)] = 552062,
  [SMALL_STATE(13898)] = 552070,
  [SMALL_STATE(13899)] = 552078,
  [SMALL_STATE(13900)] = 552086,
  [SMALL_STATE(13901)] = 552094,
  [SMALL_STATE(13902)] = 552102,
  [SMALL_STATE(13903)] = 552110,
  [SMALL_STATE(13904)] = 552118,
  [SMALL_STATE(13905)] = 552126,
  [SMALL_STATE(13906)] = 552134,
  [SMALL_STATE(13907)] = 552142,
  [SMALL_STATE(13908)] = 552150,
  [SMALL_STATE(13909)] = 552158,
  [SMALL_STATE(13910)] = 552166,
  [SMALL_STATE(13911)] = 552174,
  [SMALL_STATE(13912)] = 552182,
  [SMALL_STATE(13913)] = 552190,
  [SMALL_STATE(13914)] = 552198,
  [SMALL_STATE(13915)] = 552206,
  [SMALL_STATE(13916)] = 552214,
  [SMALL_STATE(13917)] = 552222,
  [SMALL_STATE(13918)] = 552230,
  [SMALL_STATE(13919)] = 552238,
  [SMALL_STATE(13920)] = 552246,
  [SMALL_STATE(13921)] = 552254,
  [SMALL_STATE(13922)] = 552262,
  [SMALL_STATE(13923)] = 552270,
  [SMALL_STATE(13924)] = 552278,
  [SMALL_STATE(13925)] = 552286,
  [SMALL_STATE(13926)] = 552294,
  [SMALL_STATE(13927)] = 552302,
  [SMALL_STATE(13928)] = 552310,
  [SMALL_STATE(13929)] = 552318,
  [SMALL_STATE(13930)] = 552326,
  [SMALL_STATE(13931)] = 552334,
  [SMALL_STATE(13932)] = 552342,
  [SMALL_STATE(13933)] = 552350,
  [SMALL_STATE(13934)] = 552358,
  [SMALL_STATE(13935)] = 552366,
  [SMALL_STATE(13936)] = 552374,
  [SMALL_STATE(13937)] = 552382,
  [SMALL_STATE(13938)] = 552390,
  [SMALL_STATE(13939)] = 552398,
  [SMALL_STATE(13940)] = 552406,
  [SMALL_STATE(13941)] = 552414,
  [SMALL_STATE(13942)] = 552422,
  [SMALL_STATE(13943)] = 552430,
  [SMALL_STATE(13944)] = 552438,
  [SMALL_STATE(13945)] = 552446,
  [SMALL_STATE(13946)] = 552454,
  [SMALL_STATE(13947)] = 552462,
  [SMALL_STATE(13948)] = 552470,
  [SMALL_STATE(13949)] = 552478,
  [SMALL_STATE(13950)] = 552486,
  [SMALL_STATE(13951)] = 552494,
  [SMALL_STATE(13952)] = 552502,
  [SMALL_STATE(13953)] = 552510,
  [SMALL_STATE(13954)] = 552518,
  [SMALL_STATE(13955)] = 552526,
  [SMALL_STATE(13956)] = 552534,
  [SMALL_STATE(13957)] = 552542,
  [SMALL_STATE(13958)] = 552550,
  [SMALL_STATE(13959)] = 552558,
  [SMALL_STATE(13960)] = 552566,
  [SMALL_STATE(13961)] = 552574,
  [SMALL_STATE(13962)] = 552582,
  [SMALL_STATE(13963)] = 552590,
  [SMALL_STATE(13964)] = 552598,
  [SMALL_STATE(13965)] = 552606,
  [SMALL_STATE(13966)] = 552614,
  [SMALL_STATE(13967)] = 552622,
  [SMALL_STATE(13968)] = 552630,
  [SMALL_STATE(13969)] = 552638,
  [SMALL_STATE(13970)] = 552646,
  [SMALL_STATE(13971)] = 552654,
  [SMALL_STATE(13972)] = 552662,
  [SMALL_STATE(13973)] = 552670,
  [SMALL_STATE(13974)] = 552678,
  [SMALL_STATE(13975)] = 552686,
  [SMALL_STATE(13976)] = 552694,
  [SMALL_STATE(13977)] = 552702,
  [SMALL_STATE(13978)] = 552710,
  [SMALL_STATE(13979)] = 552718,
  [SMALL_STATE(13980)] = 552726,
  [SMALL_STATE(13981)] = 552734,
  [SMALL_STATE(13982)] = 552742,
  [SMALL_STATE(13983)] = 552750,
  [SMALL_STATE(13984)] = 552758,
  [SMALL_STATE(13985)] = 552766,
  [SMALL_STATE(13986)] = 552774,
  [SMALL_STATE(13987)] = 552782,
  [SMALL_STATE(13988)] = 552790,
  [SMALL_STATE(13989)] = 552798,
  [SMALL_STATE(13990)] = 552806,
  [SMALL_STATE(13991)] = 552814,
  [SMALL_STATE(13992)] = 552822,
  [SMALL_STATE(13993)] = 552830,
  [SMALL_STATE(13994)] = 552838,
  [SMALL_STATE(13995)] = 552846,
  [SMALL_STATE(13996)] = 552854,
  [SMALL_STATE(13997)] = 552862,
  [SMALL_STATE(13998)] = 552870,
  [SMALL_STATE(13999)] = 552878,
  [SMALL_STATE(14000)] = 552886,
  [SMALL_STATE(14001)] = 552894,
  [SMALL_STATE(14002)] = 552902,
  [SMALL_STATE(14003)] = 552910,
  [SMALL_STATE(14004)] = 552918,
  [SMALL_STATE(14005)] = 552926,
  [SMALL_STATE(14006)] = 552934,
  [SMALL_STATE(14007)] = 552942,
  [SMALL_STATE(14008)] = 552950,
  [SMALL_STATE(14009)] = 552958,
  [SMALL_STATE(14010)] = 552966,
  [SMALL_STATE(14011)] = 552974,
  [SMALL_STATE(14012)] = 552982,
  [SMALL_STATE(14013)] = 552990,
  [SMALL_STATE(14014)] = 552998,
  [SMALL_STATE(14015)] = 553006,
  [SMALL_STATE(14016)] = 553014,
  [SMALL_STATE(14017)] = 553022,
  [SMALL_STATE(14018)] = 553030,
  [SMALL_STATE(14019)] = 553038,
  [SMALL_STATE(14020)] = 553046,
  [SMALL_STATE(14021)] = 553054,
  [SMALL_STATE(14022)] = 553062,
  [SMALL_STATE(14023)] = 553070,
  [SMALL_STATE(14024)] = 553078,
  [SMALL_STATE(14025)] = 553086,
  [SMALL_STATE(14026)] = 553094,
  [SMALL_STATE(14027)] = 553102,
  [SMALL_STATE(14028)] = 553110,
  [SMALL_STATE(14029)] = 553118,
  [SMALL_STATE(14030)] = 553126,
  [SMALL_STATE(14031)] = 553134,
  [SMALL_STATE(14032)] = 553142,
  [SMALL_STATE(14033)] = 553150,
  [SMALL_STATE(14034)] = 553158,
  [SMALL_STATE(14035)] = 553166,
  [SMALL_STATE(14036)] = 553174,
  [SMALL_STATE(14037)] = 553182,
  [SMALL_STATE(14038)] = 553190,
  [SMALL_STATE(14039)] = 553198,
  [SMALL_STATE(14040)] = 553206,
  [SMALL_STATE(14041)] = 553214,
  [SMALL_STATE(14042)] = 553222,
  [SMALL_STATE(14043)] = 553230,
  [SMALL_STATE(14044)] = 553238,
  [SMALL_STATE(14045)] = 553246,
  [SMALL_STATE(14046)] = 553254,
  [SMALL_STATE(14047)] = 553262,
  [SMALL_STATE(14048)] = 553270,
  [SMALL_STATE(14049)] = 553278,
  [SMALL_STATE(14050)] = 553286,
  [SMALL_STATE(14051)] = 553294,
  [SMALL_STATE(14052)] = 553302,
  [SMALL_STATE(14053)] = 553310,
  [SMALL_STATE(14054)] = 553318,
  [SMALL_STATE(14055)] = 553326,
  [SMALL_STATE(14056)] = 553334,
  [SMALL_STATE(14057)] = 553342,
  [SMALL_STATE(14058)] = 553350,
  [SMALL_STATE(14059)] = 553358,
  [SMALL_STATE(14060)] = 553366,
  [SMALL_STATE(14061)] = 553374,
  [SMALL_STATE(14062)] = 553382,
  [SMALL_STATE(14063)] = 553390,
  [SMALL_STATE(14064)] = 553398,
  [SMALL_STATE(14065)] = 553406,
  [SMALL_STATE(14066)] = 553414,
  [SMALL_STATE(14067)] = 553422,
  [SMALL_STATE(14068)] = 553430,
  [SMALL_STATE(14069)] = 553438,
  [SMALL_STATE(14070)] = 553446,
  [SMALL_STATE(14071)] = 553454,
  [SMALL_STATE(14072)] = 553462,
  [SMALL_STATE(14073)] = 553470,
  [SMALL_STATE(14074)] = 553478,
  [SMALL_STATE(14075)] = 553486,
  [SMALL_STATE(14076)] = 553494,
  [SMALL_STATE(14077)] = 553502,
  [SMALL_STATE(14078)] = 553510,
  [SMALL_STATE(14079)] = 553518,
  [SMALL_STATE(14080)] = 553526,
  [SMALL_STATE(14081)] = 553534,
  [SMALL_STATE(14082)] = 553542,
  [SMALL_STATE(14083)] = 553550,
  [SMALL_STATE(14084)] = 553558,
  [SMALL_STATE(14085)] = 553566,
  [SMALL_STATE(14086)] = 553574,
  [SMALL_STATE(14087)] = 553582,
  [SMALL_STATE(14088)] = 553590,
  [SMALL_STATE(14089)] = 553598,
  [SMALL_STATE(14090)] = 553606,
  [SMALL_STATE(14091)] = 553614,
  [SMALL_STATE(14092)] = 553622,
  [SMALL_STATE(14093)] = 553630,
  [SMALL_STATE(14094)] = 553638,
  [SMALL_STATE(14095)] = 553646,
  [SMALL_STATE(14096)] = 553654,
  [SMALL_STATE(14097)] = 553662,
  [SMALL_STATE(14098)] = 553670,
  [SMALL_STATE(14099)] = 553678,
  [SMALL_STATE(14100)] = 553686,
  [SMALL_STATE(14101)] = 553694,
  [SMALL_STATE(14102)] = 553702,
  [SMALL_STATE(14103)] = 553710,
  [SMALL_STATE(14104)] = 553718,
  [SMALL_STATE(14105)] = 553726,
  [SMALL_STATE(14106)] = 553734,
  [SMALL_STATE(14107)] = 553742,
  [SMALL_STATE(14108)] = 553750,
  [SMALL_STATE(14109)] = 553758,
  [SMALL_STATE(14110)] = 553766,
  [SMALL_STATE(14111)] = 553774,
  [SMALL_STATE(14112)] = 553782,
  [SMALL_STATE(14113)] = 553790,
  [SMALL_STATE(14114)] = 553798,
  [SMALL_STATE(14115)] = 553806,
  [SMALL_STATE(14116)] = 553814,
  [SMALL_STATE(14117)] = 553822,
  [SMALL_STATE(14118)] = 553830,
  [SMALL_STATE(14119)] = 553838,
  [SMALL_STATE(14120)] = 553846,
  [SMALL_STATE(14121)] = 553854,
  [SMALL_STATE(14122)] = 553862,
  [SMALL_STATE(14123)] = 553870,
  [SMALL_STATE(14124)] = 553878,
  [SMALL_STATE(14125)] = 553886,
  [SMALL_STATE(14126)] = 553894,
  [SMALL_STATE(14127)] = 553902,
  [SMALL_STATE(14128)] = 553910,
  [SMALL_STATE(14129)] = 553918,
  [SMALL_STATE(14130)] = 553926,
  [SMALL_STATE(14131)] = 553934,
  [SMALL_STATE(14132)] = 553942,
  [SMALL_STATE(14133)] = 553950,
  [SMALL_STATE(14134)] = 553958,
  [SMALL_STATE(14135)] = 553966,
  [SMALL_STATE(14136)] = 553974,
  [SMALL_STATE(14137)] = 553982,
  [SMALL_STATE(14138)] = 553990,
  [SMALL_STATE(14139)] = 553998,
  [SMALL_STATE(14140)] = 554006,
  [SMALL_STATE(14141)] = 554014,
  [SMALL_STATE(14142)] = 554022,
  [SMALL_STATE(14143)] = 554030,
  [SMALL_STATE(14144)] = 554038,
  [SMALL_STATE(14145)] = 554046,
  [SMALL_STATE(14146)] = 554054,
  [SMALL_STATE(14147)] = 554062,
  [SMALL_STATE(14148)] = 554070,
  [SMALL_STATE(14149)] = 554078,
  [SMALL_STATE(14150)] = 554086,
  [SMALL_STATE(14151)] = 554094,
  [SMALL_STATE(14152)] = 554102,
  [SMALL_STATE(14153)] = 554110,
  [SMALL_STATE(14154)] = 554118,
  [SMALL_STATE(14155)] = 554126,
  [SMALL_STATE(14156)] = 554134,
  [SMALL_STATE(14157)] = 554142,
  [SMALL_STATE(14158)] = 554150,
  [SMALL_STATE(14159)] = 554158,
  [SMALL_STATE(14160)] = 554166,
  [SMALL_STATE(14161)] = 554174,
  [SMALL_STATE(14162)] = 554182,
  [SMALL_STATE(14163)] = 554190,
  [SMALL_STATE(14164)] = 554198,
  [SMALL_STATE(14165)] = 554206,
  [SMALL_STATE(14166)] = 554214,
  [SMALL_STATE(14167)] = 554222,
  [SMALL_STATE(14168)] = 554230,
  [SMALL_STATE(14169)] = 554238,
  [SMALL_STATE(14170)] = 554246,
  [SMALL_STATE(14171)] = 554254,
  [SMALL_STATE(14172)] = 554262,
  [SMALL_STATE(14173)] = 554270,
  [SMALL_STATE(14174)] = 554278,
  [SMALL_STATE(14175)] = 554286,
  [SMALL_STATE(14176)] = 554294,
  [SMALL_STATE(14177)] = 554302,
  [SMALL_STATE(14178)] = 554310,
  [SMALL_STATE(14179)] = 554318,
  [SMALL_STATE(14180)] = 554326,
  [SMALL_STATE(14181)] = 554334,
  [SMALL_STATE(14182)] = 554342,
  [SMALL_STATE(14183)] = 554350,
  [SMALL_STATE(14184)] = 554358,
  [SMALL_STATE(14185)] = 554366,
  [SMALL_STATE(14186)] = 554374,
  [SMALL_STATE(14187)] = 554382,
  [SMALL_STATE(14188)] = 554390,
  [SMALL_STATE(14189)] = 554398,
  [SMALL_STATE(14190)] = 554406,
  [SMALL_STATE(14191)] = 554414,
  [SMALL_STATE(14192)] = 554422,
  [SMALL_STATE(14193)] = 554430,
  [SMALL_STATE(14194)] = 554438,
  [SMALL_STATE(14195)] = 554446,
  [SMALL_STATE(14196)] = 554454,
  [SMALL_STATE(14197)] = 554462,
  [SMALL_STATE(14198)] = 554470,
  [SMALL_STATE(14199)] = 554478,
  [SMALL_STATE(14200)] = 554486,
  [SMALL_STATE(14201)] = 554494,
  [SMALL_STATE(14202)] = 554502,
  [SMALL_STATE(14203)] = 554510,
  [SMALL_STATE(14204)] = 554518,
  [SMALL_STATE(14205)] = 554526,
  [SMALL_STATE(14206)] = 554534,
  [SMALL_STATE(14207)] = 554542,
  [SMALL_STATE(14208)] = 554550,
  [SMALL_STATE(14209)] = 554558,
  [SMALL_STATE(14210)] = 554566,
  [SMALL_STATE(14211)] = 554574,
  [SMALL_STATE(14212)] = 554582,
  [SMALL_STATE(14213)] = 554590,
  [SMALL_STATE(14214)] = 554598,
  [SMALL_STATE(14215)] = 554606,
  [SMALL_STATE(14216)] = 554614,
  [SMALL_STATE(14217)] = 554622,
  [SMALL_STATE(14218)] = 554630,
  [SMALL_STATE(14219)] = 554638,
  [SMALL_STATE(14220)] = 554646,
  [SMALL_STATE(14221)] = 554654,
  [SMALL_STATE(14222)] = 554662,
  [SMALL_STATE(14223)] = 554670,
  [SMALL_STATE(14224)] = 554678,
  [SMALL_STATE(14225)] = 554686,
  [SMALL_STATE(14226)] = 554694,
  [SMALL_STATE(14227)] = 554702,
  [SMALL_STATE(14228)] = 554710,
  [SMALL_STATE(14229)] = 554718,
  [SMALL_STATE(14230)] = 554726,
  [SMALL_STATE(14231)] = 554734,
  [SMALL_STATE(14232)] = 554742,
  [SMALL_STATE(14233)] = 554750,
  [SMALL_STATE(14234)] = 554758,
  [SMALL_STATE(14235)] = 554766,
  [SMALL_STATE(14236)] = 554774,
  [SMALL_STATE(14237)] = 554782,
  [SMALL_STATE(14238)] = 554790,
  [SMALL_STATE(14239)] = 554798,
  [SMALL_STATE(14240)] = 554806,
  [SMALL_STATE(14241)] = 554814,
  [SMALL_STATE(14242)] = 554822,
  [SMALL_STATE(14243)] = 554830,
  [SMALL_STATE(14244)] = 554838,
  [SMALL_STATE(14245)] = 554846,
  [SMALL_STATE(14246)] = 554854,
  [SMALL_STATE(14247)] = 554862,
  [SMALL_STATE(14248)] = 554870,
  [SMALL_STATE(14249)] = 554878,
  [SMALL_STATE(14250)] = 554886,
  [SMALL_STATE(14251)] = 554894,
  [SMALL_STATE(14252)] = 554902,
  [SMALL_STATE(14253)] = 554910,
  [SMALL_STATE(14254)] = 554918,
  [SMALL_STATE(14255)] = 554926,
  [SMALL_STATE(14256)] = 554934,
  [SMALL_STATE(14257)] = 554942,
  [SMALL_STATE(14258)] = 554950,
  [SMALL_STATE(14259)] = 554958,
  [SMALL_STATE(14260)] = 554966,
  [SMALL_STATE(14261)] = 554974,
  [SMALL_STATE(14262)] = 554982,
  [SMALL_STATE(14263)] = 554990,
  [SMALL_STATE(14264)] = 554998,
  [SMALL_STATE(14265)] = 555006,
  [SMALL_STATE(14266)] = 555014,
  [SMALL_STATE(14267)] = 555022,
  [SMALL_STATE(14268)] = 555030,
  [SMALL_STATE(14269)] = 555038,
  [SMALL_STATE(14270)] = 555046,
  [SMALL_STATE(14271)] = 555054,
  [SMALL_STATE(14272)] = 555062,
  [SMALL_STATE(14273)] = 555070,
  [SMALL_STATE(14274)] = 555078,
  [SMALL_STATE(14275)] = 555086,
  [SMALL_STATE(14276)] = 555094,
  [SMALL_STATE(14277)] = 555102,
  [SMALL_STATE(14278)] = 555110,
  [SMALL_STATE(14279)] = 555118,
  [SMALL_STATE(14280)] = 555126,
  [SMALL_STATE(14281)] = 555134,
  [SMALL_STATE(14282)] = 555142,
  [SMALL_STATE(14283)] = 555150,
  [SMALL_STATE(14284)] = 555158,
  [SMALL_STATE(14285)] = 555166,
  [SMALL_STATE(14286)] = 555174,
  [SMALL_STATE(14287)] = 555182,
  [SMALL_STATE(14288)] = 555190,
  [SMALL_STATE(14289)] = 555198,
  [SMALL_STATE(14290)] = 555206,
  [SMALL_STATE(14291)] = 555214,
  [SMALL_STATE(14292)] = 555222,
  [SMALL_STATE(14293)] = 555230,
  [SMALL_STATE(14294)] = 555238,
  [SMALL_STATE(14295)] = 555246,
  [SMALL_STATE(14296)] = 555254,
  [SMALL_STATE(14297)] = 555262,
  [SMALL_STATE(14298)] = 555270,
  [SMALL_STATE(14299)] = 555278,
  [SMALL_STATE(14300)] = 555286,
  [SMALL_STATE(14301)] = 555294,
  [SMALL_STATE(14302)] = 555302,
  [SMALL_STATE(14303)] = 555310,
  [SMALL_STATE(14304)] = 555318,
  [SMALL_STATE(14305)] = 555326,
  [SMALL_STATE(14306)] = 555334,
  [SMALL_STATE(14307)] = 555342,
  [SMALL_STATE(14308)] = 555350,
  [SMALL_STATE(14309)] = 555358,
  [SMALL_STATE(14310)] = 555366,
  [SMALL_STATE(14311)] = 555374,
  [SMALL_STATE(14312)] = 555382,
  [SMALL_STATE(14313)] = 555390,
  [SMALL_STATE(14314)] = 555398,
  [SMALL_STATE(14315)] = 555406,
  [SMALL_STATE(14316)] = 555414,
  [SMALL_STATE(14317)] = 555422,
  [SMALL_STATE(14318)] = 555430,
  [SMALL_STATE(14319)] = 555438,
  [SMALL_STATE(14320)] = 555446,
  [SMALL_STATE(14321)] = 555454,
  [SMALL_STATE(14322)] = 555462,
  [SMALL_STATE(14323)] = 555470,
  [SMALL_STATE(14324)] = 555478,
  [SMALL_STATE(14325)] = 555486,
  [SMALL_STATE(14326)] = 555494,
  [SMALL_STATE(14327)] = 555502,
  [SMALL_STATE(14328)] = 555510,
  [SMALL_STATE(14329)] = 555518,
  [SMALL_STATE(14330)] = 555526,
  [SMALL_STATE(14331)] = 555534,
  [SMALL_STATE(14332)] = 555542,
  [SMALL_STATE(14333)] = 555550,
  [SMALL_STATE(14334)] = 555558,
  [SMALL_STATE(14335)] = 555566,
  [SMALL_STATE(14336)] = 555574,
  [SMALL_STATE(14337)] = 555582,
  [SMALL_STATE(14338)] = 555590,
  [SMALL_STATE(14339)] = 555598,
  [SMALL_STATE(14340)] = 555606,
  [SMALL_STATE(14341)] = 555614,
  [SMALL_STATE(14342)] = 555622,
  [SMALL_STATE(14343)] = 555630,
  [SMALL_STATE(14344)] = 555638,
  [SMALL_STATE(14345)] = 555646,
  [SMALL_STATE(14346)] = 555654,
  [SMALL_STATE(14347)] = 555662,
  [SMALL_STATE(14348)] = 555670,
  [SMALL_STATE(14349)] = 555678,
  [SMALL_STATE(14350)] = 555686,
  [SMALL_STATE(14351)] = 555694,
  [SMALL_STATE(14352)] = 555702,
  [SMALL_STATE(14353)] = 555710,
  [SMALL_STATE(14354)] = 555718,
  [SMALL_STATE(14355)] = 555726,
  [SMALL_STATE(14356)] = 555734,
  [SMALL_STATE(14357)] = 555742,
  [SMALL_STATE(14358)] = 555750,
  [SMALL_STATE(14359)] = 555758,
  [SMALL_STATE(14360)] = 555766,
  [SMALL_STATE(14361)] = 555774,
  [SMALL_STATE(14362)] = 555782,
  [SMALL_STATE(14363)] = 555790,
  [SMALL_STATE(14364)] = 555798,
  [SMALL_STATE(14365)] = 555806,
  [SMALL_STATE(14366)] = 555814,
  [SMALL_STATE(14367)] = 555822,
  [SMALL_STATE(14368)] = 555830,
  [SMALL_STATE(14369)] = 555838,
  [SMALL_STATE(14370)] = 555846,
  [SMALL_STATE(14371)] = 555854,
  [SMALL_STATE(14372)] = 555862,
  [SMALL_STATE(14373)] = 555870,
  [SMALL_STATE(14374)] = 555878,
  [SMALL_STATE(14375)] = 555886,
  [SMALL_STATE(14376)] = 555894,
  [SMALL_STATE(14377)] = 555902,
  [SMALL_STATE(14378)] = 555910,
  [SMALL_STATE(14379)] = 555918,
  [SMALL_STATE(14380)] = 555926,
  [SMALL_STATE(14381)] = 555934,
  [SMALL_STATE(14382)] = 555942,
  [SMALL_STATE(14383)] = 555950,
  [SMALL_STATE(14384)] = 555958,
  [SMALL_STATE(14385)] = 555966,
  [SMALL_STATE(14386)] = 555974,
  [SMALL_STATE(14387)] = 555982,
  [SMALL_STATE(14388)] = 555990,
  [SMALL_STATE(14389)] = 555998,
  [SMALL_STATE(14390)] = 556006,
  [SMALL_STATE(14391)] = 556014,
  [SMALL_STATE(14392)] = 556022,
  [SMALL_STATE(14393)] = 556030,
  [SMALL_STATE(14394)] = 556038,
  [SMALL_STATE(14395)] = 556046,
  [SMALL_STATE(14396)] = 556054,
  [SMALL_STATE(14397)] = 556062,
  [SMALL_STATE(14398)] = 556070,
  [SMALL_STATE(14399)] = 556078,
  [SMALL_STATE(14400)] = 556086,
  [SMALL_STATE(14401)] = 556094,
  [SMALL_STATE(14402)] = 556102,
  [SMALL_STATE(14403)] = 556110,
  [SMALL_STATE(14404)] = 556118,
  [SMALL_STATE(14405)] = 556126,
  [SMALL_STATE(14406)] = 556134,
  [SMALL_STATE(14407)] = 556142,
  [SMALL_STATE(14408)] = 556150,
  [SMALL_STATE(14409)] = 556158,
  [SMALL_STATE(14410)] = 556166,
  [SMALL_STATE(14411)] = 556174,
  [SMALL_STATE(14412)] = 556182,
  [SMALL_STATE(14413)] = 556190,
  [SMALL_STATE(14414)] = 556198,
  [SMALL_STATE(14415)] = 556206,
  [SMALL_STATE(14416)] = 556214,
  [SMALL_STATE(14417)] = 556222,
  [SMALL_STATE(14418)] = 556230,
  [SMALL_STATE(14419)] = 556238,
  [SMALL_STATE(14420)] = 556246,
  [SMALL_STATE(14421)] = 556254,
  [SMALL_STATE(14422)] = 556262,
  [SMALL_STATE(14423)] = 556270,
  [SMALL_STATE(14424)] = 556278,
  [SMALL_STATE(14425)] = 556286,
  [SMALL_STATE(14426)] = 556294,
  [SMALL_STATE(14427)] = 556302,
  [SMALL_STATE(14428)] = 556310,
  [SMALL_STATE(14429)] = 556318,
  [SMALL_STATE(14430)] = 556326,
  [SMALL_STATE(14431)] = 556334,
  [SMALL_STATE(14432)] = 556342,
  [SMALL_STATE(14433)] = 556350,
  [SMALL_STATE(14434)] = 556358,
  [SMALL_STATE(14435)] = 556366,
  [SMALL_STATE(14436)] = 556374,
  [SMALL_STATE(14437)] = 556382,
  [SMALL_STATE(14438)] = 556390,
  [SMALL_STATE(14439)] = 556398,
  [SMALL_STATE(14440)] = 556406,
  [SMALL_STATE(14441)] = 556414,
  [SMALL_STATE(14442)] = 556422,
  [SMALL_STATE(14443)] = 556430,
  [SMALL_STATE(14444)] = 556438,
  [SMALL_STATE(14445)] = 556446,
  [SMALL_STATE(14446)] = 556454,
  [SMALL_STATE(14447)] = 556462,
  [SMALL_STATE(14448)] = 556470,
  [SMALL_STATE(14449)] = 556478,
  [SMALL_STATE(14450)] = 556486,
  [SMALL_STATE(14451)] = 556494,
  [SMALL_STATE(14452)] = 556502,
  [SMALL_STATE(14453)] = 556510,
  [SMALL_STATE(14454)] = 556518,
  [SMALL_STATE(14455)] = 556526,
  [SMALL_STATE(14456)] = 556534,
  [SMALL_STATE(14457)] = 556542,
  [SMALL_STATE(14458)] = 556550,
  [SMALL_STATE(14459)] = 556558,
  [SMALL_STATE(14460)] = 556566,
  [SMALL_STATE(14461)] = 556574,
  [SMALL_STATE(14462)] = 556582,
  [SMALL_STATE(14463)] = 556590,
  [SMALL_STATE(14464)] = 556598,
  [SMALL_STATE(14465)] = 556606,
  [SMALL_STATE(14466)] = 556614,
  [SMALL_STATE(14467)] = 556622,
  [SMALL_STATE(14468)] = 556630,
  [SMALL_STATE(14469)] = 556638,
  [SMALL_STATE(14470)] = 556646,
  [SMALL_STATE(14471)] = 556654,
  [SMALL_STATE(14472)] = 556662,
  [SMALL_STATE(14473)] = 556670,
  [SMALL_STATE(14474)] = 556678,
  [SMALL_STATE(14475)] = 556686,
  [SMALL_STATE(14476)] = 556694,
  [SMALL_STATE(14477)] = 556702,
  [SMALL_STATE(14478)] = 556710,
  [SMALL_STATE(14479)] = 556718,
  [SMALL_STATE(14480)] = 556726,
  [SMALL_STATE(14481)] = 556734,
  [SMALL_STATE(14482)] = 556742,
  [SMALL_STATE(14483)] = 556750,
  [SMALL_STATE(14484)] = 556758,
  [SMALL_STATE(14485)] = 556766,
  [SMALL_STATE(14486)] = 556774,
  [SMALL_STATE(14487)] = 556782,
  [SMALL_STATE(14488)] = 556790,
  [SMALL_STATE(14489)] = 556798,
  [SMALL_STATE(14490)] = 556806,
  [SMALL_STATE(14491)] = 556814,
  [SMALL_STATE(14492)] = 556822,
  [SMALL_STATE(14493)] = 556830,
  [SMALL_STATE(14494)] = 556838,
  [SMALL_STATE(14495)] = 556846,
  [SMALL_STATE(14496)] = 556854,
  [SMALL_STATE(14497)] = 556862,
  [SMALL_STATE(14498)] = 556870,
  [SMALL_STATE(14499)] = 556878,
  [SMALL_STATE(14500)] = 556886,
  [SMALL_STATE(14501)] = 556894,
  [SMALL_STATE(14502)] = 556902,
  [SMALL_STATE(14503)] = 556910,
  [SMALL_STATE(14504)] = 556918,
  [SMALL_STATE(14505)] = 556926,
  [SMALL_STATE(14506)] = 556934,
  [SMALL_STATE(14507)] = 556942,
  [SMALL_STATE(14508)] = 556950,
  [SMALL_STATE(14509)] = 556958,
  [SMALL_STATE(14510)] = 556966,
  [SMALL_STATE(14511)] = 556974,
  [SMALL_STATE(14512)] = 556982,
  [SMALL_STATE(14513)] = 556990,
  [SMALL_STATE(14514)] = 556998,
  [SMALL_STATE(14515)] = 557006,
  [SMALL_STATE(14516)] = 557014,
  [SMALL_STATE(14517)] = 557022,
  [SMALL_STATE(14518)] = 557030,
  [SMALL_STATE(14519)] = 557038,
  [SMALL_STATE(14520)] = 557046,
  [SMALL_STATE(14521)] = 557054,
  [SMALL_STATE(14522)] = 557062,
  [SMALL_STATE(14523)] = 557070,
  [SMALL_STATE(14524)] = 557078,
  [SMALL_STATE(14525)] = 557086,
  [SMALL_STATE(14526)] = 557094,
  [SMALL_STATE(14527)] = 557102,
  [SMALL_STATE(14528)] = 557110,
  [SMALL_STATE(14529)] = 557118,
  [SMALL_STATE(14530)] = 557126,
  [SMALL_STATE(14531)] = 557134,
  [SMALL_STATE(14532)] = 557142,
  [SMALL_STATE(14533)] = 557150,
  [SMALL_STATE(14534)] = 557158,
  [SMALL_STATE(14535)] = 557166,
  [SMALL_STATE(14536)] = 557174,
  [SMALL_STATE(14537)] = 557182,
  [SMALL_STATE(14538)] = 557190,
  [SMALL_STATE(14539)] = 557198,
  [SMALL_STATE(14540)] = 557206,
  [SMALL_STATE(14541)] = 557214,
  [SMALL_STATE(14542)] = 557222,
  [SMALL_STATE(14543)] = 557230,
  [SMALL_STATE(14544)] = 557238,
  [SMALL_STATE(14545)] = 557246,
  [SMALL_STATE(14546)] = 557254,
  [SMALL_STATE(14547)] = 557262,
  [SMALL_STATE(14548)] = 557270,
  [SMALL_STATE(14549)] = 557278,
  [SMALL_STATE(14550)] = 557286,
  [SMALL_STATE(14551)] = 557294,
  [SMALL_STATE(14552)] = 557302,
  [SMALL_STATE(14553)] = 557310,
  [SMALL_STATE(14554)] = 557318,
  [SMALL_STATE(14555)] = 557326,
  [SMALL_STATE(14556)] = 557334,
  [SMALL_STATE(14557)] = 557342,
  [SMALL_STATE(14558)] = 557350,
  [SMALL_STATE(14559)] = 557358,
  [SMALL_STATE(14560)] = 557366,
  [SMALL_STATE(14561)] = 557374,
  [SMALL_STATE(14562)] = 557382,
  [SMALL_STATE(14563)] = 557390,
  [SMALL_STATE(14564)] = 557398,
  [SMALL_STATE(14565)] = 557406,
  [SMALL_STATE(14566)] = 557414,
  [SMALL_STATE(14567)] = 557422,
  [SMALL_STATE(14568)] = 557430,
  [SMALL_STATE(14569)] = 557438,
  [SMALL_STATE(14570)] = 557446,
  [SMALL_STATE(14571)] = 557454,
  [SMALL_STATE(14572)] = 557462,
  [SMALL_STATE(14573)] = 557470,
  [SMALL_STATE(14574)] = 557478,
  [SMALL_STATE(14575)] = 557486,
  [SMALL_STATE(14576)] = 557494,
  [SMALL_STATE(14577)] = 557502,
  [SMALL_STATE(14578)] = 557510,
  [SMALL_STATE(14579)] = 557518,
  [SMALL_STATE(14580)] = 557526,
  [SMALL_STATE(14581)] = 557534,
  [SMALL_STATE(14582)] = 557542,
  [SMALL_STATE(14583)] = 557550,
  [SMALL_STATE(14584)] = 557558,
  [SMALL_STATE(14585)] = 557566,
  [SMALL_STATE(14586)] = 557574,
  [SMALL_STATE(14587)] = 557582,
  [SMALL_STATE(14588)] = 557590,
  [SMALL_STATE(14589)] = 557598,
  [SMALL_STATE(14590)] = 557606,
  [SMALL_STATE(14591)] = 557614,
  [SMALL_STATE(14592)] = 557622,
  [SMALL_STATE(14593)] = 557630,
  [SMALL_STATE(14594)] = 557638,
  [SMALL_STATE(14595)] = 557646,
  [SMALL_STATE(14596)] = 557654,
  [SMALL_STATE(14597)] = 557662,
  [SMALL_STATE(14598)] = 557670,
  [SMALL_STATE(14599)] = 557678,
  [SMALL_STATE(14600)] = 557686,
  [SMALL_STATE(14601)] = 557694,
  [SMALL_STATE(14602)] = 557702,
  [SMALL_STATE(14603)] = 557710,
  [SMALL_STATE(14604)] = 557718,
  [SMALL_STATE(14605)] = 557726,
  [SMALL_STATE(14606)] = 557734,
  [SMALL_STATE(14607)] = 557742,
  [SMALL_STATE(14608)] = 557750,
  [SMALL_STATE(14609)] = 557758,
  [SMALL_STATE(14610)] = 557766,
  [SMALL_STATE(14611)] = 557774,
  [SMALL_STATE(14612)] = 557782,
  [SMALL_STATE(14613)] = 557790,
  [SMALL_STATE(14614)] = 557798,
  [SMALL_STATE(14615)] = 557806,
  [SMALL_STATE(14616)] = 557814,
  [SMALL_STATE(14617)] = 557822,
  [SMALL_STATE(14618)] = 557830,
  [SMALL_STATE(14619)] = 557838,
  [SMALL_STATE(14620)] = 557846,
  [SMALL_STATE(14621)] = 557854,
  [SMALL_STATE(14622)] = 557862,
  [SMALL_STATE(14623)] = 557870,
  [SMALL_STATE(14624)] = 557878,
  [SMALL_STATE(14625)] = 557886,
  [SMALL_STATE(14626)] = 557894,
  [SMALL_STATE(14627)] = 557902,
  [SMALL_STATE(14628)] = 557910,
  [SMALL_STATE(14629)] = 557918,
  [SMALL_STATE(14630)] = 557926,
  [SMALL_STATE(14631)] = 557934,
  [SMALL_STATE(14632)] = 557942,
  [SMALL_STATE(14633)] = 557950,
  [SMALL_STATE(14634)] = 557958,
  [SMALL_STATE(14635)] = 557966,
  [SMALL_STATE(14636)] = 557974,
  [SMALL_STATE(14637)] = 557982,
  [SMALL_STATE(14638)] = 557990,
  [SMALL_STATE(14639)] = 557998,
  [SMALL_STATE(14640)] = 558006,
  [SMALL_STATE(14641)] = 558014,
  [SMALL_STATE(14642)] = 558022,
  [SMALL_STATE(14643)] = 558030,
  [SMALL_STATE(14644)] = 558038,
  [SMALL_STATE(14645)] = 558046,
  [SMALL_STATE(14646)] = 558054,
  [SMALL_STATE(14647)] = 558062,
  [SMALL_STATE(14648)] = 558070,
  [SMALL_STATE(14649)] = 558078,
  [SMALL_STATE(14650)] = 558086,
  [SMALL_STATE(14651)] = 558094,
  [SMALL_STATE(14652)] = 558102,
  [SMALL_STATE(14653)] = 558110,
  [SMALL_STATE(14654)] = 558118,
  [SMALL_STATE(14655)] = 558126,
  [SMALL_STATE(14656)] = 558134,
  [SMALL_STATE(14657)] = 558142,
  [SMALL_STATE(14658)] = 558150,
  [SMALL_STATE(14659)] = 558158,
  [SMALL_STATE(14660)] = 558166,
  [SMALL_STATE(14661)] = 558174,
  [SMALL_STATE(14662)] = 558182,
  [SMALL_STATE(14663)] = 558190,
  [SMALL_STATE(14664)] = 558198,
  [SMALL_STATE(14665)] = 558206,
  [SMALL_STATE(14666)] = 558214,
  [SMALL_STATE(14667)] = 558222,
  [SMALL_STATE(14668)] = 558230,
  [SMALL_STATE(14669)] = 558238,
  [SMALL_STATE(14670)] = 558246,
  [SMALL_STATE(14671)] = 558254,
  [SMALL_STATE(14672)] = 558262,
  [SMALL_STATE(14673)] = 558270,
  [SMALL_STATE(14674)] = 558278,
  [SMALL_STATE(14675)] = 558286,
  [SMALL_STATE(14676)] = 558294,
  [SMALL_STATE(14677)] = 558302,
  [SMALL_STATE(14678)] = 558310,
  [SMALL_STATE(14679)] = 558318,
  [SMALL_STATE(14680)] = 558326,
  [SMALL_STATE(14681)] = 558334,
  [SMALL_STATE(14682)] = 558342,
  [SMALL_STATE(14683)] = 558350,
  [SMALL_STATE(14684)] = 558358,
  [SMALL_STATE(14685)] = 558366,
  [SMALL_STATE(14686)] = 558374,
  [SMALL_STATE(14687)] = 558382,
  [SMALL_STATE(14688)] = 558390,
  [SMALL_STATE(14689)] = 558398,
  [SMALL_STATE(14690)] = 558406,
  [SMALL_STATE(14691)] = 558414,
  [SMALL_STATE(14692)] = 558422,
  [SMALL_STATE(14693)] = 558430,
  [SMALL_STATE(14694)] = 558438,
  [SMALL_STATE(14695)] = 558446,
  [SMALL_STATE(14696)] = 558454,
  [SMALL_STATE(14697)] = 558462,
  [SMALL_STATE(14698)] = 558470,
  [SMALL_STATE(14699)] = 558478,
  [SMALL_STATE(14700)] = 558486,
  [SMALL_STATE(14701)] = 558494,
  [SMALL_STATE(14702)] = 558502,
  [SMALL_STATE(14703)] = 558510,
  [SMALL_STATE(14704)] = 558518,
  [SMALL_STATE(14705)] = 558526,
  [SMALL_STATE(14706)] = 558534,
  [SMALL_STATE(14707)] = 558542,
  [SMALL_STATE(14708)] = 558550,
  [SMALL_STATE(14709)] = 558558,
  [SMALL_STATE(14710)] = 558566,
  [SMALL_STATE(14711)] = 558574,
  [SMALL_STATE(14712)] = 558582,
  [SMALL_STATE(14713)] = 558590,
  [SMALL_STATE(14714)] = 558598,
  [SMALL_STATE(14715)] = 558606,
  [SMALL_STATE(14716)] = 558614,
  [SMALL_STATE(14717)] = 558622,
  [SMALL_STATE(14718)] = 558630,
  [SMALL_STATE(14719)] = 558638,
  [SMALL_STATE(14720)] = 558646,
  [SMALL_STATE(14721)] = 558654,
  [SMALL_STATE(14722)] = 558662,
  [SMALL_STATE(14723)] = 558670,
  [SMALL_STATE(14724)] = 558678,
  [SMALL_STATE(14725)] = 558686,
  [SMALL_STATE(14726)] = 558694,
  [SMALL_STATE(14727)] = 558702,
  [SMALL_STATE(14728)] = 558710,
  [SMALL_STATE(14729)] = 558718,
  [SMALL_STATE(14730)] = 558726,
  [SMALL_STATE(14731)] = 558734,
  [SMALL_STATE(14732)] = 558742,
  [SMALL_STATE(14733)] = 558750,
  [SMALL_STATE(14734)] = 558758,
  [SMALL_STATE(14735)] = 558766,
  [SMALL_STATE(14736)] = 558774,
  [SMALL_STATE(14737)] = 558782,
  [SMALL_STATE(14738)] = 558790,
  [SMALL_STATE(14739)] = 558798,
  [SMALL_STATE(14740)] = 558806,
  [SMALL_STATE(14741)] = 558814,
  [SMALL_STATE(14742)] = 558822,
  [SMALL_STATE(14743)] = 558830,
  [SMALL_STATE(14744)] = 558838,
  [SMALL_STATE(14745)] = 558846,
  [SMALL_STATE(14746)] = 558854,
  [SMALL_STATE(14747)] = 558862,
  [SMALL_STATE(14748)] = 558870,
  [SMALL_STATE(14749)] = 558878,
  [SMALL_STATE(14750)] = 558886,
  [SMALL_STATE(14751)] = 558894,
  [SMALL_STATE(14752)] = 558902,
  [SMALL_STATE(14753)] = 558910,
  [SMALL_STATE(14754)] = 558918,
  [SMALL_STATE(14755)] = 558926,
  [SMALL_STATE(14756)] = 558934,
  [SMALL_STATE(14757)] = 558942,
  [SMALL_STATE(14758)] = 558950,
  [SMALL_STATE(14759)] = 558958,
  [SMALL_STATE(14760)] = 558966,
  [SMALL_STATE(14761)] = 558974,
  [SMALL_STATE(14762)] = 558982,
  [SMALL_STATE(14763)] = 558990,
  [SMALL_STATE(14764)] = 558998,
  [SMALL_STATE(14765)] = 559006,
  [SMALL_STATE(14766)] = 559014,
  [SMALL_STATE(14767)] = 559022,
  [SMALL_STATE(14768)] = 559030,
  [SMALL_STATE(14769)] = 559038,
  [SMALL_STATE(14770)] = 559046,
  [SMALL_STATE(14771)] = 559054,
  [SMALL_STATE(14772)] = 559062,
  [SMALL_STATE(14773)] = 559070,
  [SMALL_STATE(14774)] = 559078,
  [SMALL_STATE(14775)] = 559086,
  [SMALL_STATE(14776)] = 559094,
  [SMALL_STATE(14777)] = 559102,
  [SMALL_STATE(14778)] = 559110,
  [SMALL_STATE(14779)] = 559118,
  [SMALL_STATE(14780)] = 559126,
  [SMALL_STATE(14781)] = 559134,
  [SMALL_STATE(14782)] = 559142,
  [SMALL_STATE(14783)] = 559150,
  [SMALL_STATE(14784)] = 559158,
  [SMALL_STATE(14785)] = 559166,
  [SMALL_STATE(14786)] = 559174,
  [SMALL_STATE(14787)] = 559182,
  [SMALL_STATE(14788)] = 559190,
  [SMALL_STATE(14789)] = 559198,
  [SMALL_STATE(14790)] = 559206,
  [SMALL_STATE(14791)] = 559214,
  [SMALL_STATE(14792)] = 559222,
  [SMALL_STATE(14793)] = 559230,
  [SMALL_STATE(14794)] = 559238,
  [SMALL_STATE(14795)] = 559246,
  [SMALL_STATE(14796)] = 559254,
  [SMALL_STATE(14797)] = 559262,
  [SMALL_STATE(14798)] = 559270,
  [SMALL_STATE(14799)] = 559278,
  [SMALL_STATE(14800)] = 559286,
  [SMALL_STATE(14801)] = 559294,
  [SMALL_STATE(14802)] = 559302,
  [SMALL_STATE(14803)] = 559310,
  [SMALL_STATE(14804)] = 559318,
  [SMALL_STATE(14805)] = 559326,
  [SMALL_STATE(14806)] = 559334,
  [SMALL_STATE(14807)] = 559342,
  [SMALL_STATE(14808)] = 559350,
  [SMALL_STATE(14809)] = 559358,
  [SMALL_STATE(14810)] = 559366,
  [SMALL_STATE(14811)] = 559374,
  [SMALL_STATE(14812)] = 559382,
  [SMALL_STATE(14813)] = 559390,
  [SMALL_STATE(14814)] = 559398,
  [SMALL_STATE(14815)] = 559406,
  [SMALL_STATE(14816)] = 559414,
  [SMALL_STATE(14817)] = 559422,
  [SMALL_STATE(14818)] = 559430,
  [SMALL_STATE(14819)] = 559438,
  [SMALL_STATE(14820)] = 559446,
  [SMALL_STATE(14821)] = 559454,
  [SMALL_STATE(14822)] = 559462,
  [SMALL_STATE(14823)] = 559470,
  [SMALL_STATE(14824)] = 559478,
  [SMALL_STATE(14825)] = 559486,
  [SMALL_STATE(14826)] = 559494,
  [SMALL_STATE(14827)] = 559502,
  [SMALL_STATE(14828)] = 559510,
  [SMALL_STATE(14829)] = 559518,
  [SMALL_STATE(14830)] = 559526,
  [SMALL_STATE(14831)] = 559534,
  [SMALL_STATE(14832)] = 559542,
  [SMALL_STATE(14833)] = 559550,
  [SMALL_STATE(14834)] = 559558,
  [SMALL_STATE(14835)] = 559566,
  [SMALL_STATE(14836)] = 559574,
  [SMALL_STATE(14837)] = 559582,
  [SMALL_STATE(14838)] = 559590,
  [SMALL_STATE(14839)] = 559598,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9481),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7635),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7500),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7330),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13689),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8909),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7479),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6691),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7751),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13535),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7664),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8665),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11752),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8227),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7958),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9508),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12059),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8344),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14618),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7775),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [57] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_reference, 1, 0, 7),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6926),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7229),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1962),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2610),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2615),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1842),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1852),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2102),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2104),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14495),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_reference, 1, 0, 7),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10216),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(95),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11910),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11609),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5755),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6856),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6526),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5235),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5794),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5876),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5878),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6322),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6329),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6359),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5242),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5243),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5244),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5245),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5246),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5902),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5907),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5247),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5250),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5101),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5922),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5927),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5928),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5935),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13827),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5936),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5103),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5132),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6231),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12117),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6498),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11787),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6514),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11611),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6501),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(38),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2956),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6921),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2800),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2958),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3235),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3236),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3808),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3863),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3868),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2773),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2835),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2840),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2748),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2814),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3271),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3273),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2807),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2735),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3276),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3278),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3279),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3280),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13932),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3281),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2757),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2815),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3479),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3267),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6884),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7724),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2662),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2868),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2802),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2974),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2975),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2976),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2395),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2396),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2397),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2836),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2749),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2107),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2845),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2803),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2775),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14040),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2780),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2420),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2422),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2980),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6897),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6635),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(154),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(209),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13495),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(212),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1330),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3570),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7039),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6933),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6989),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7041),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7120),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7124),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7185),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7186),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7187),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7000),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7001),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7002),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7003),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7004),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7069),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7071),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7005),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7006),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6945),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7074),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7075),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7076),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7077),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14072),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7078),
  [457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6949),
  [459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6950),
  [461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7210),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6861),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6650),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(607),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(609),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14056),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(610),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(425),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4923),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6919),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4797),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4925),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5042),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5043),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5176),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5177),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5178),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4841),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4842),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4843),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4844),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4845),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5051),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5052),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4846),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4847),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4746),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5059),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5060),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5061),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5062),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13876),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5063),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4777),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4778),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5179),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3916),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2848),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6855),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2727),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3073),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3074),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3391),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3392),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3393),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2679),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2680),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2681),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2685),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3076),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3077),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2688),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3078),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3079),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3080),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3081),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13904),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3082),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2583),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3403),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4657),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5728),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6859),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5168),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5729),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6081),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6082),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6246),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6250),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6252),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5470),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5471),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5472),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5473),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5474),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6094),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6095),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5475),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5476),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4989),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6099),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6100),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6104),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6105),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13954),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6106),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5017),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5018),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6157),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4657),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2971),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3310),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6927),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2903),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3311),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3549),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3550),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4092),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4114),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4116),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3030),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3032),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3034),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3038),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3039),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3601),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3603),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3048),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3052),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2847),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3615),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3616),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3617),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3620),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13973),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3621),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2904),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2905),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4166),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5048),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6865),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4905),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5071),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5248),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5249),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5618),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5619),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5620),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4909),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4867),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4874),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4876),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4881),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5251),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5252),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4885),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4886),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4819),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5253),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5254),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5255),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5256),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13992),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5257),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4852),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4857),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5635),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6936),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1991),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1992),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14008),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1996),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6086),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6090),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2799),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2944),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6894),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2945),
  [901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3169),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3170),
  [905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3758),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3766),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3767),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2858),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2860),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2861),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2864),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2866),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3172),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3173),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2870),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2796),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2692),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3177),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3178),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3179),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3180),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14024),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3181),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2657),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3837),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3722),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3723),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4390),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4391),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3592),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3662),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4808),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5340),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5133),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6881),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4900),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5077),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5294),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5295),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5615),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5616),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5617),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4934),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4946),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4948),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4949),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4950),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5297),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5298),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4951),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4866),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4807),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5300),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5301),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5302),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5303),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14088),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5304),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4793),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4795),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5630),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5340),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2940),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3404),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6920),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2879),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3405),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3772),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3775),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4364),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4365),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4366),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3085),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3086),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3087),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3088),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3091),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3797),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3811),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3106),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3107),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2850),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3816),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3817),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3818),
  [1081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3819),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14104),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3447),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2942),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2943),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4392),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4912),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6925),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4838),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4935),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5010),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5039),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5466),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5467),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5468),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4787),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4788),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4792),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4805),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4813),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5078),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4967),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4836),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4837),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4743),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5065),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5074),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5085),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5088),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14120),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5089),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4730),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4731),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5469),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3898),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3899),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3198),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3457),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6932),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3135),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3468),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4119),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4128),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4469),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4470),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4475),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3206),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3209),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3210),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3212),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3218),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4146),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4157),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3219),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3220),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2880),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4165),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4167),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4168),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4169),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14136),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4170),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3200),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3201),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4514),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [1221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [1223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6842),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2441),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2442),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2443),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1898),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [1251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2229),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1903),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14150),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1853),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2450),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6266),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6270),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2950),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3134),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6843),
  [1291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2947),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3136),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3664),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3672),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4158),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4159),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4162),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2926),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2927),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2928),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2929),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2930),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3702),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3704),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2931),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2932),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2734),
  [1325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3745),
  [1327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3773),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3786),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3792),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14158),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3798),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2844),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2846),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4176),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2950),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3914),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3915),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4429),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4430),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2468),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2470),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3623),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3624),
  [1361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_quote_string, 2, 0, 0),
  [1363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__single_quote_string, 2, 0, 0),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [1367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_quote_string, 1, 0, 0),
  [1369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__single_quote_string, 1, 0, 0),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [1373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0),
  [1375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0),
  [1377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(88),
  [1380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__literal_string, 1, 0, 0),
  [1382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__literal_string, 1, 0, 0),
  [1384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0),
  [1386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0),
  [1388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13716),
  [1392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12036),
  [1394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12043),
  [1396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [1398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14279),
  [1400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [1402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12873),
  [1404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [1406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(505),
  [1409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(9481),
  [1412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7635),
  [1415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7500),
  [1418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7330),
  [1421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(13689),
  [1424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8909),
  [1427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7479),
  [1430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(6691),
  [1433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7751),
  [1436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(13535),
  [1439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(128),
  [1442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7664),
  [1445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8665),
  [1448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(11752),
  [1451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8227),
  [1454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(91),
  [1457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7958),
  [1460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(9508),
  [1463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(12059),
  [1466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8344),
  [1469] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(14618),
  [1472] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7775),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7693),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7545),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7539),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14757),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8903),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7404),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6697),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7804),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14170),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7645),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11950),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8160),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7995),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9658),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8535),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12014),
  [1515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8311),
  [1517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13451),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7810),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7016),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6968),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11564),
  [1529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(505),
  [1532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(9481),
  [1535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(7635),
  [1538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(7500),
  [1541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(7330),
  [1544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(13689),
  [1547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(8909),
  [1550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(7479),
  [1553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(6691),
  [1556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(7751),
  [1559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(13535),
  [1562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(128),
  [1565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(7664),
  [1568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0),
  [1570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(8665),
  [1573] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(11752),
  [1576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(8227),
  [1579] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(7958),
  [1582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(9508),
  [1585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1235),
  [1588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(12059),
  [1591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(8344),
  [1594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(14618),
  [1597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(7775),
  [1600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11658),
  [1602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8822),
  [1606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12113),
  [1608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12170),
  [1610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [1612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(505),
  [1615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(9481),
  [1618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(7635),
  [1621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(7500),
  [1624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(7330),
  [1627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(13689),
  [1630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(8909),
  [1633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(7479),
  [1636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(6691),
  [1639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(7751),
  [1642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(13535),
  [1645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(128),
  [1648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(7664),
  [1651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0),
  [1653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(8665),
  [1656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(11752),
  [1659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(8227),
  [1662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(7958),
  [1665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(9508),
  [1668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(12059),
  [1671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(8344),
  [1674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(14618),
  [1677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(7775),
  [1680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(119),
  [1685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [1687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column, 1, 0, 0),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12595),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8240),
  [1693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6873),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8758),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8064),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13050),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13600),
  [1703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column, 1, 0, 0),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9337),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7792),
  [1711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8166),
  [1713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6896),
  [1715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8513),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8019),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12660),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12681),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9455),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7886),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7666),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7594),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14809),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9452),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6700),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7907),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9659),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8498),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7848),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7759),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7818),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7763),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7852),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7819),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7813),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7764),
  [1777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column, 1, 0, 16),
  [1779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column, 1, 0, 16),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6801),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10415),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9263),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6773),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6938),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6864),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6854),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8387),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8272),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [1803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 1, 0, 0),
  [1805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 1, 0, 0),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14241),
  [1815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 1, 0, 0),
  [1817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 1, 0, 0),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12505),
  [1825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 2, 0, 0),
  [1827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 2, 0, 0),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14271),
  [1835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_bigint, 1, 0, 0),
  [1837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_bigint, 1, 0, 0),
  [1839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_tinyint, 1, 0, 0),
  [1841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_tinyint, 1, 0, 0),
  [1843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_smallint, 1, 0, 0),
  [1845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_smallint, 1, 0, 0),
  [1847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_mediumint, 1, 0, 0),
  [1849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_mediumint, 1, 0, 0),
  [1851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_int, 1, 0, 0),
  [1853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_int, 1, 0, 0),
  [1855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 1, 0, 0),
  [1857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 1, 0, 0),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12447),
  [1865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_real, 1, 0, 0),
  [1867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_real, 1, 0, 0),
  [1869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 1, 0, 0),
  [1871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 1, 0, 0),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12503),
  [1879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_time, 1, 0, 0),
  [1881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_time, 1, 0, 0),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12462),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12462),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12491),
  [1889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_timestamp, 1, 0, 0),
  [1891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12494),
  [1895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 1, 0, 0),
  [1897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 1, 0, 0),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12517),
  [1905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 1, 0, 0),
  [1907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 1, 0, 0),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [1913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12525),
  [1915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 1, 0, 0),
  [1917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 1, 0, 0),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12516),
  [1925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bit, 1, 0, 0),
  [1927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bit, 1, 0, 0),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12435),
  [1933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argmode, 1, 0, 0),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [1937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argmode, 1, 0, 0),
  [1939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 4, 0, 124),
  [1941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 4, 0, 124),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [1947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 4, 0, 124),
  [1949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 4, 0, 124),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [1955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_time, 4, 0, 124),
  [1957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_time, 4, 0, 124),
  [1959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_timestamp, 4, 0, 124),
  [1961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 124),
  [1963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 6, 0, 191),
  [1965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 6, 0, 191),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14270),
  [1975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 4, 0, 124),
  [1977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 4, 0, 124),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [1983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 6, 0, 191),
  [1985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 6, 0, 191),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [1991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 4, 0, 124),
  [1993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 4, 0, 124),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [1999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 4, 0, 124),
  [2001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 4, 0, 124),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [2007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 7, 0, 219),
  [2009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 7, 0, 219),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [2015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_char, 1, 0, 0),
  [2017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_char, 1, 0, 0),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 7, 0, 191),
  [2023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 7, 0, 191),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argmode, 2, 0, 0),
  [2029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argmode, 2, 0, 0),
  [2031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 2, 0, 0),
  [2033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 2, 0, 0),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12745),
  [2037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [2039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 7, 0, 191),
  [2041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 7, 0, 191),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [2045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 8, 0, 219),
  [2047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 8, 0, 219),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_reference, 3, 0, 25),
  [2053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_reference, 3, 0, 25),
  [2055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 2, 0, 0),
  [2057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 2, 0, 0),
  [2059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [2061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 2, 0, 0),
  [2063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 2, 0, 0),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 2, 0, 0),
  [2069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 2, 0, 0),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 2, 0, 0),
  [2075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 2, 0, 0),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 3, 0, 0),
  [2081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 3, 0, 0),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14290),
  [2085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80),
  [2087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80),
  [2089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(8940),
  [2092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12749),
  [2096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12750),
  [2098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 2, 0, 0),
  [2100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 2, 0, 0),
  [2102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14269),
  [2104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary, 1, 0, 0),
  [2106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary, 1, 0, 0),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12436),
  [2110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_varbinary, 1, 0, 0),
  [2112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_varbinary, 1, 0, 0),
  [2114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12438),
  [2116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12751),
  [2118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12785),
  [2120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decimal, 1, 0, 0),
  [2122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decimal, 1, 0, 0),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12443),
  [2126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_numeric, 1, 0, 0),
  [2128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_numeric, 1, 0, 0),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12445),
  [2132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bit, 2, 0, 0),
  [2134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bit, 2, 0, 0),
  [2136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12787),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [2140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nchar, 1, 0, 0),
  [2142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nchar, 1, 0, 0),
  [2144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12449),
  [2146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_varchar, 1, 0, 0),
  [2148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_varchar, 1, 0, 0),
  [2150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nvarchar, 1, 0, 0),
  [2152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nvarchar, 1, 0, 0),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12452),
  [2156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_datetimeoffset, 1, 0, 0),
  [2158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_datetimeoffset, 1, 0, 0),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12454),
  [2162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 5, 0, 124),
  [2164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 5, 0, 124),
  [2166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [2168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 5, 0, 124),
  [2170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 5, 0, 124),
  [2172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char, 1, 0, 0),
  [2176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char, 1, 0, 0),
  [2178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12527),
  [2180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_varchar, 1, 0, 0),
  [2182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_varchar, 1, 0, 0),
  [2184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12531),
  [2186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_varchar, 2, 0, 0),
  [2188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_varchar, 2, 0, 0),
  [2190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 5, 0, 124),
  [2192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 5, 0, 124),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [2196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 5, 0, 124),
  [2198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 5, 0, 124),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [2202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 5, 0, 124),
  [2204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 5, 0, 124),
  [2206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [2208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bit, 4, 0, 123),
  [2210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bit, 4, 0, 123),
  [2212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_time, 2, 0, 0),
  [2214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_time, 2, 0, 0),
  [2216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_timestamp, 2, 0, 0),
  [2218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_timestamp, 2, 0, 0),
  [2220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 3, 0, 0),
  [2222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 3, 0, 0),
  [2224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 7, 0, 219),
  [2226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 7, 0, 219),
  [2228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 3, 0, 0),
  [2230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 3, 0, 0),
  [2232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 3, 0, 0),
  [2234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 3, 0, 0),
  [2236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 3, 0, 0),
  [2238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 3, 0, 0),
  [2240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 3, 0, 0),
  [2242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 3, 0, 0),
  [2244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 3, 0, 0),
  [2246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 3, 0, 0),
  [2248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_numeric, 6, 0, 191),
  [2250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_numeric, 6, 0, 191),
  [2252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary, 4, 0, 123),
  [2254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary, 4, 0, 123),
  [2256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_varbinary, 4, 0, 123),
  [2258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_varbinary, 4, 0, 123),
  [2260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decimal, 4, 0, 123),
  [2262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decimal, 4, 0, 123),
  [2264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_numeric, 4, 0, 123),
  [2266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_numeric, 4, 0, 123),
  [2268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 4, 0, 123),
  [2270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 4, 0, 123),
  [2272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 4, 0, 0),
  [2274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 4, 0, 0),
  [2276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nchar, 4, 0, 124),
  [2278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nchar, 4, 0, 124),
  [2280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nvarchar, 4, 0, 124),
  [2282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nvarchar, 4, 0, 124),
  [2284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum, 4, 0, 125),
  [2286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum, 4, 0, 125),
  [2288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_datetimeoffset, 4, 0, 124),
  [2290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_datetimeoffset, 4, 0, 124),
  [2292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__include_time_zone, 3, 0, 0),
  [2294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__include_time_zone, 3, 0, 0),
  [2296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_smallserial, 1, 0, 0),
  [2298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_smallserial, 1, 0, 0),
  [2300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_serial, 1, 0, 0),
  [2302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_serial, 1, 0, 0),
  [2304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_bigserial, 1, 0, 0),
  [2306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_bigserial, 1, 0, 0),
  [2308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 8, 0, 239),
  [2310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 8, 0, 239),
  [2312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decimal, 6, 0, 191),
  [2314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decimal, 6, 0, 191),
  [2316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 8, 0, 191),
  [2318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 8, 0, 191),
  [2320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 9, 0, 219),
  [2322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 9, 0, 219),
  [2324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char, 4, 0, 124),
  [2326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char, 4, 0, 124),
  [2328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_varchar, 4, 0, 124),
  [2330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_varchar, 4, 0, 124),
  [2332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 6, 0, 124),
  [2334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 6, 0, 124),
  [2336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 6, 0, 124),
  [2338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 6, 0, 124),
  [2340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 5, 0, 157),
  [2342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 5, 0, 157),
  [2344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 5, 0, 157),
  [2346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 5, 0, 157),
  [2348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 5, 0, 157),
  [2350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 5, 0, 157),
  [2352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 5, 0, 157),
  [2354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 5, 0, 157),
  [2356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 6, 0, 124),
  [2358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 6, 0, 124),
  [2360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 5, 0, 157),
  [2362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 5, 0, 157),
  [2364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bit, 5, 0, 158),
  [2366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bit, 5, 0, 158),
  [2368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum, 5, 0, 160),
  [2370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum, 5, 0, 160),
  [2372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_time, 5, 0, 124),
  [2374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_time, 5, 0, 124),
  [2376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_timestamp, 5, 0, 124),
  [2378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_timestamp, 5, 0, 124),
  [2380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 6, 0, 124),
  [2382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 6, 0, 124),
  [2384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 6, 0, 124),
  [2386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 6, 0, 124),
  [2388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 8, 0, 191),
  [2390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 8, 0, 191),
  [2392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 2, 0, 24),
  [2394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 2, 0, 24),
  [2396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 2, 0, 0),
  [2398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 2, 0, 0),
  [2400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_size_definition, 2, 0, 79),
  [2402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_size_definition, 2, 0, 79),
  [2404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_size_definition, 3, 0, 122),
  [2406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_size_definition, 3, 0, 122),
  [2408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 1, 0, 42),
  [2410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_size_definition_repeat1, 1, 0, 42),
  [2412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_size_definition, 2, 0, 0),
  [2414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_size_definition, 2, 0, 0),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [2420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(294),
  [2423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [2425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9452),
  [2427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14550),
  [2429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [2433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12120),
  [2435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8665),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13935),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [2441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9291),
  [2443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11548),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [2449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5385),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12130),
  [2453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12130),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12574),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [2473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5433),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [2477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5343),
  [2479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5506),
  [2481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5345),
  [2483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5411),
  [2485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 11),
  [2487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 11),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [2497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [2499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [2501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [2503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22),
  [2505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 22),
  [2507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5415),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4222),
  [2511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5463),
  [2513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5453),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5911),
  [2517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5383),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5355),
  [2523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5368),
  [2525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5454),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [2529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5396),
  [2531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [2533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5359),
  [2535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5449),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4669),
  [2539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5404),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6415),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5362),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5450),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4802),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5414),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [2553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5367),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5419),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5375),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5358),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5637),
  [2565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5423),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5381),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4695),
  [2571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5426),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5394),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5429),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5402),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5432),
  [2585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5410),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4438),
  [2589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5435),
  [2591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5507),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5421),
  [2595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5424),
  [2597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5427),
  [2599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5430),
  [2601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5436),
  [2603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5408),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5437),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5357),
  [2609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5361),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5364),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5371),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5377),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11497),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8576),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6655),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13512),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [2635] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8576),
  [2638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_between_expression, 5, 0, 78),
  [2640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_between_expression, 5, 0, 78),
  [2642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_between_expression, 6, 0, 120),
  [2644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_between_expression, 6, 0, 120),
  [2646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5387),
  [2648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5438),
  [2650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5440),
  [2652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5441),
  [2654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5442),
  [2656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5443),
  [2658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5444),
  [2660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5417),
  [2662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5502),
  [2664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5503),
  [2666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5504),
  [2668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5505),
  [2670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 8, 0, 156),
  [2672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 8, 0, 156),
  [2674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13531),
  [2676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 7, 0, 155),
  [2678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 7, 0, 155),
  [2680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 7, 0, 114),
  [2682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 7, 0, 114),
  [2684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 7, 0, 156),
  [2686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 7, 0, 156),
  [2688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 6, 0, 74),
  [2690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 6, 0, 74),
  [2692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 6, 0, 113),
  [2694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 6, 0, 113),
  [2696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 6, 0, 114),
  [2698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 6, 0, 114),
  [2700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 6, 0, 115),
  [2702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 6, 0, 115),
  [2704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 3, 0, 0),
  [2706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 3, 0, 0),
  [2708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 5, 0, 74),
  [2710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 5, 0, 74),
  [2712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 6, 0, 40),
  [2714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 6, 0, 40),
  [2716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 9, 0, 190),
  [2718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 9, 0, 190),
  [2720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 5, 0, 40),
  [2722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 5, 0, 40),
  [2724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 5, 0, 76),
  [2726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 5, 0, 76),
  [2728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 4, 0, 40),
  [2730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 4, 0, 40),
  [2732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 8, 0, 154),
  [2734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 8, 0, 154),
  [2736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 8, 0, 190),
  [2738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 8, 0, 190),
  [2740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 7, 0, 154),
  [2742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 7, 0, 154),
  [2744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 7, 0, 74),
  [2746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 7, 0, 74),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(394),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 10, 0, 190),
  [2757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 10, 0, 190),
  [2759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 8, 0, 74),
  [2761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 8, 0, 74),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14490),
  [2771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 4, 0, 0),
  [2773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 4, 0, 0),
  [2775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 6, 0, 76),
  [2777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 6, 0, 76),
  [2779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 9, 0, 154),
  [2781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 9, 0, 154),
  [2783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_filter_expression, 4, 0, 0),
  [2785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_filter_expression, 4, 0, 0),
  [2787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 7, 0, 40),
  [2789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 7, 0, 40),
  [2791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 8, 0, 155),
  [2793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 8, 0, 155),
  [2795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 9, 0, 156),
  [2797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 9, 0, 156),
  [2799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 8, 0, 114),
  [2801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 8, 0, 114),
  [2803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 7, 0, 115),
  [2805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 7, 0, 115),
  [2807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 7, 0, 113),
  [2809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 7, 0, 113),
  [2811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14058),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13009),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13009),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13246),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13247),
  [2821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subquery, 3, 0, 8),
  [2823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subquery, 3, 0, 8),
  [2825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 0),
  [2827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 0),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [2831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 24),
  [2833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 24),
  [2835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qualified_field, 1, 0, 7),
  [2837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__qualified_field, 1, 0, 7),
  [2839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_reference, 1, 0, 7), SHIFT(10216),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13004),
  [2850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13012),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [2858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13013),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [2866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13014),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13015),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13016),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14493),
  [2886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [2888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14668),
  [2890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [2892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1301),
  [2894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11673),
  [2896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3715),
  [2898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9023),
  [2900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11745),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6940),
  [2908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3251),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11677),
  [2912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11677),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [2920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3794),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2970),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13976),
  [2930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [2934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [2938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [2942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3402),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [2954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1446),
  [2956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [2958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10547),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8642),
  [2964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [2966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [2968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [2970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [2972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [2974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8642),
  [2977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(483),
  [2980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [2982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [2984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [2988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [2992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [2994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14694),
  [2996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [2998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [3000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11874),
  [3002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4001),
  [3004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9103),
  [3006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11865),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7088),
  [3012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11957),
  [3016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11957),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [3024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2843),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [3030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [3032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(570),
  [3034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [3038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3611),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [3042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2953),
  [3046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(803),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [3050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [3052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [3054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5106),
  [3056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [3058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [3060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12221),
  [3062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14594),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [3066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6378),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12999),
  [3076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [3080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [3082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12433),
  [3084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [3086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1200),
  [3088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11945),
  [3090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3368),
  [3092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9459),
  [3094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11965),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [3098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1863),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11977),
  [3102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11977),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [3110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2180),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [3120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [3122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14697),
  [3124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [3126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [3128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11955),
  [3130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4824),
  [3132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9116),
  [3134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11869),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [3138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3153),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11998),
  [3142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11998),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [3150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2817),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4824),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [3158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [3162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [3164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [3166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [3168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [3170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14492),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [3178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [3180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [3182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3356),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [3190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [3194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [3198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [3202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [3210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [3212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [3214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [3220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [3222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [3224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [3226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [3228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [3230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [3232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5724),
  [3234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [3236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14494),
  [3238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9157),
  [3241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [3243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11052),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [3247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8592),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [3252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [3254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [3256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1111),
  [3258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [3260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [3262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [3264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [3266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [3268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10002),
  [3270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [3272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [3274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [3278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [3280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10015),
  [3282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10027),
  [3284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [3286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8592),
  [3288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10032),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10035),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10039),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10042),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10046),
  [3302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9095),
  [3304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__bit_string, 1, 0, 0),
  [3306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__bit_string, 1, 0, 0),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9938),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13000),
  [3314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13001),
  [3316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9965),
  [3318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__bit_string, 2, 0, 0),
  [3320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__bit_string, 2, 0, 0),
  [3322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13002),
  [3326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13003),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9773),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [3332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(604),
  [3335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_size_definition, 1, 0, 42),
  [3337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_size_definition, 1, 0, 42),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13005),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13006),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13008),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9990),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13017),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13018),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14491),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13024),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13025),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13026),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13027),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11059),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11365),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10594),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10639),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10671),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10705),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10718),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10724),
  [3383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10730),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10738),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10741),
  [3389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13028),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13029),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [3405] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(736),
  [3408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 4, 0, 88),
  [3410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [3412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [3414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 6, 0, 0),
  [3416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 6, 0, 45),
  [3418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 5, 0, 134),
  [3420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 6, 0, 167),
  [3422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 8, 0, 220),
  [3424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 7, 0, 0),
  [3426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [3430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [3434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [3436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [3438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [3440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 7, 0, 83),
  [3442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__integer, 1, 0, 0),
  [3444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__integer, 1, 0, 0),
  [3446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [3448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8763),
  [3452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 9, 0, 240),
  [3454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10645),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8643),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [3462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [3464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [3466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [3468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 8, 0, 127),
  [3470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8643),
  [3473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 5, 0, 0),
  [3475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__integer, 2, 0, 0),
  [3477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__integer, 2, 0, 0),
  [3479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 9, 0, 164),
  [3481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_size_definition, 1, 0, 0),
  [3483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_size_definition, 1, 0, 0),
  [3485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 7, 0, 169),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [3489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [3493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_specification, 5, 0, 0),
  [3495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_specification, 5, 0, 0),
  [3497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 8, 0, 0),
  [3499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 8, 0, 0),
  [3501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_function, 3, 0, 0),
  [3503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_function, 3, 0, 0),
  [3505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_specification, 3, 0, 0),
  [3507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_specification, 3, 0, 0),
  [3509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [3511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [3513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3, 0, 0),
  [3515] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3, 0, 0),
  [3517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14682),
  [3519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [3521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6808),
  [3523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [3525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11820),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [3529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6333),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11679),
  [3533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11679),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [3539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [3547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 9, 0, 0),
  [3549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 9, 0, 0),
  [3551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 14),
  [3553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 14),
  [3555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_constraint, 4, 0, 0),
  [3557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_constraint, 4, 0, 0),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [3563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast, 6, 0, 112),
  [3565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast, 6, 0, 112),
  [3567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 4, 0, 0),
  [3569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 4, 0, 0),
  [3571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 10, 0, 0),
  [3573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 10, 0, 0),
  [3575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 6, 0, 0),
  [3577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 6, 0, 0),
  [3579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [3581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [3583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exists, 2, 0, 0),
  [3585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exists, 2, 0, 0),
  [3587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__decimal_number, 2, 0, 0),
  [3589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__decimal_number, 2, 0, 0),
  [3591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_casting, 2, 0, 0),
  [3593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_casting, 2, 0, 0),
  [3595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [3597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [3599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qualified_field, 3, 0, 18),
  [3601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__qualified_field, 3, 0, 18),
  [3603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interval, 2, 0, 0),
  [3605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interval, 2, 0, 0),
  [3607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 2, 0, 0),
  [3609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 2, 0, 0),
  [3611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [3613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [3615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_specification, 4, 0, 0),
  [3617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_specification, 4, 0, 0),
  [3619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_specification, 2, 0, 0),
  [3621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_specification, 2, 0, 0),
  [3623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, 0, 121),
  [3625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, 0, 121),
  [3627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 7, 0, 0),
  [3629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 7, 0, 0),
  [3631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, 0, 41),
  [3633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, 0, 41),
  [3635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_cast, 3, 0, 23),
  [3637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_implicit_cast, 3, 0, 23),
  [3639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_constraint, 2, 0, 0),
  [3641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_constraint, 2, 0, 0),
  [3643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 5, 0, 0),
  [3645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 5, 0, 0),
  [3647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 6),
  [3649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 6),
  [3651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qualified_field, 5, 0, 73),
  [3653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__qualified_field, 5, 0, 73),
  [3655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14709),
  [3657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [3659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6906),
  [3661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2366),
  [3663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11908),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [3667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6384),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12248),
  [3671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12248),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1850),
  [3679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2367),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [3687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1834),
  [3689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6154),
  [3691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13726),
  [3693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [3695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2362),
  [3697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [3699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11597),
  [3701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9056),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [3705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [3707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_is_not, 2, 0, 0),
  [3709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13612),
  [3711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_is_not, 2, 0, 0),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4442),
  [3715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5434),
  [3717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14706),
  [3719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [3721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [3723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12106),
  [3725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [3727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4738),
  [3729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9151),
  [3731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11897),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [3735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2398),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12220),
  [3739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12220),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [3747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4747),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4738),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4768),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [3757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5356),
  [3759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2389),
  [3761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14679),
  [3763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [3765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [3767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12259),
  [3769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4630),
  [3771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9036),
  [3773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11802),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [3777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2674),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11599),
  [3781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11599),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [3789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4632),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4630),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4645),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [3799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5386),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6416),
  [3803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5363),
  [3805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [3807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [3809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [3811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14691),
  [3813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [3815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [3817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11811),
  [3819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [3821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4380),
  [3823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9092),
  [3825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11860),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [3829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11876),
  [3833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11876),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [3841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4382),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4380),
  [3845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [3847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [3849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [3851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(929),
  [3853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12154),
  [3855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9161),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [3859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [3861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [3863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4056),
  [3865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5084),
  [3867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14685),
  [3869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1025),
  [3871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [3873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11675),
  [3875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [3877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5879),
  [3879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9070),
  [3881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11837),
  [3883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [3885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4139),
  [3887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11732),
  [3889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11732),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [3893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5054),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5336),
  [3897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5884),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5879),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5241),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [3905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6051),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3948),
  [3909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5395),
  [3911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [3913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [3917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3860),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [3921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14712),
  [3923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [3925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [3927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12219),
  [3929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1482),
  [3931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [3933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9170),
  [3935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11922),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [3939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11519),
  [3943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11519),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [3951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2660),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [3959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [3961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3951),
  [3963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [3965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4678),
  [3969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5403),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4654),
  [3973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5369),
  [3975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [3977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5360),
  [3979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14672),
  [3981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [3983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [3985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11926),
  [3987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [3989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4138),
  [3991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9109),
  [3993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11765),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [3997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1952),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12124),
  [4001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12124),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [4009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4186),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [4019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5175),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [4023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14715),
  [4025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [4027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(936),
  [4029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12245),
  [4031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1483),
  [4033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4465),
  [4035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9178),
  [4037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11935),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [4041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2217),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11528),
  [4045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11528),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [4053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4468),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4465),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [4061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [4063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6122),
  [4065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [4067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4149),
  [4069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14676),
  [4071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1022),
  [4073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [4075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12122),
  [4077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [4079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6450),
  [4081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9013),
  [4083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11789),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [4087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4739),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12263),
  [4091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12263),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5652),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [4099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6451),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6450),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6050),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [4107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [4109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1774),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [4113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2852),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [4117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [4119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4537),
  [4121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2767),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [4125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5431),
  [4127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [4129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [4131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [4133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4343),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4803),
  [4137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5412),
  [4139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14700),
  [4141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [4143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [4145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11997),
  [4147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [4149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4624),
  [4151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9127),
  [4153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11877),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [4157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12107),
  [4161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12107),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [4169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4626),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4507),
  [4179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5418),
  [4181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [4183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [4185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14688),
  [4187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [4189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [4191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11730),
  [4193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [4195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2380),
  [4197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9077),
  [4199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11856),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [4203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11812),
  [4207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11812),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [4215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2383),
  [4217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [4225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5376),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [4229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5642),
  [4231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5422),
  [4233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3862),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [4237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5344),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4702),
  [4241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5425),
  [4243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [4245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [4247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4930),
  [4249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14703),
  [4251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [4253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [4255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12052),
  [4257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [4259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5715),
  [4261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9136),
  [4263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11888),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [4267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3719),
  [4269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12156),
  [4271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12156),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [4275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4938),
  [4277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [4279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5716),
  [4281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5715),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4995),
  [4285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4930),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5659),
  [4289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [4291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6129),
  [4293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1789),
  [4295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6132),
  [4297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [4299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6134),
  [4301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [4303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6136),
  [4305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [4307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6137),
  [4309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [4311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6138),
  [4313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1804),
  [4315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6139),
  [4317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [4319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6140),
  [4321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1810),
  [4323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6142),
  [4325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [4327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6143),
  [4329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [4331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6145),
  [4333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [4335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6147),
  [4337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [4339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6148),
  [4341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [4343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6150),
  [4345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [4347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6151),
  [4349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [4351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6152),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2205),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14466),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [4363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5428),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5920),
  [4367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5382),
  [4369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6181),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [4373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5483),
  [4375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4729),
  [4377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4716),
  [4379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4717),
  [4381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5446),
  [4383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4770),
  [4385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4721),
  [4387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4692),
  [4389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4752),
  [4391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4737),
  [4393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4781),
  [4395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13908),
  [4397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4713),
  [4399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4772),
  [4401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [4403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2617),
  [4405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(750),
  [4407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2621),
  [4409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [4411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [4413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [4415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [4417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5448),
  [4419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [4421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [4423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2145),
  [4425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [4427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2148),
  [4429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [4431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [4433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [4435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5969),
  [4437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [4439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [4441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [4443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [4445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [4447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [4449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [4451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [4453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [4455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [4457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [4459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4760),
  [4461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [4463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(613),
  [4465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [4467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5975),
  [4469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [4471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [4473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [4475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [4477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [4479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12827),
  [4487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12835),
  [4493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [4495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2220),
  [4497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12836),
  [4499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [4501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2221),
  [4503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12837),
  [4505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2033),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12838),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12839),
  [4517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14469),
  [4525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [4527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6219),
  [4529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [4531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [4533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [4535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [4539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12832),
  [4541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12832),
  [4543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12892),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12893),
  [4547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4723),
  [4549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [4551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5996),
  [4553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [4555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [4559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6014),
  [4561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [4563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [4565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13861),
  [4569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2601),
  [4571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [4573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [4575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [4577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_reference, 1, 0, 7), REDUCE(sym__qualified_field, 1, 0, 7),
  [4580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4937),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [4590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [4592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [4594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [4596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [4598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [4600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1169),
  [4602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [4604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [4606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [4608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [4610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1974),
  [4614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2001),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10975),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8745),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [4624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [4630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8745),
  [4633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5028),
  [4635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [4637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [4639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5913),
  [4641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [4643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4643),
  [4645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6298),
  [4647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4736),
  [4649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4840),
  [4651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5565),
  [4653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [4655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1999),
  [4657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1946),
  [4659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [4661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [4663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2071),
  [4665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5045),
  [4667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1969),
  [4669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [4671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4825),
  [4673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4724),
  [4675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [4677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [4679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [4683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14535),
  [4685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [4687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4705),
  [4689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [4691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5346),
  [4693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5804),
  [4695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5958),
  [4697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5962),
  [4699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [4701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6020),
  [4703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5820),
  [4705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5821),
  [4707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14122),
  [4709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4697),
  [4711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5702),
  [4713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [4715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5370),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [4719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5372),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [4723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5373),
  [4725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5844),
  [4727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5384),
  [4729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4884),
  [4731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5662),
  [4733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2526),
  [4735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [4737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [4739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [4741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5868),
  [4743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4763),
  [4745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [4747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4932),
  [4749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2907),
  [4751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(756),
  [4753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [4755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [4757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5790),
  [4759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5172),
  [4761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3890),
  [4763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1957),
  [4765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4595),
  [4767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [4769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5174),
  [4771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [4773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3934),
  [4775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2082),
  [4777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3935),
  [4779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [4781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [4783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3945),
  [4785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [4787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3947),
  [4789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [4791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [4793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3969),
  [4795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1988),
  [4797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3974),
  [4799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [4801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4140),
  [4803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4141),
  [4805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3949),
  [4807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3950),
  [4809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3952),
  [4811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3953),
  [4813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3954),
  [4815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3955),
  [4817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3956),
  [4819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3957),
  [4821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3958),
  [4823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3959),
  [4825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4725),
  [4827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4135),
  [4829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3970),
  [4831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3971),
  [4833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3976),
  [4835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3977),
  [4837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3998),
  [4839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4002),
  [4841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4004),
  [4843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4005),
  [4845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4046),
  [4847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4070),
  [4849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4794),
  [4851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2372),
  [4853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4828),
  [4855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4592),
  [4857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5797),
  [4859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4799),
  [4861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [4863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5531),
  [4865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4000),
  [4867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5541),
  [4869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5670),
  [4871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [4873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [4875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3027),
  [4877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5544),
  [4879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5674),
  [4881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [4883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(924),
  [4885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2671),
  [4887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [4889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5547),
  [4891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [4893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [4895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2718),
  [4897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [4899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5548),
  [4901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [4903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [4905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2641),
  [4907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(907),
  [4909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [4911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1935),
  [4913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [4915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [4917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4014),
  [4919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [4921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [4923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1921),
  [4925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [4927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [4929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [4931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1926),
  [4933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [4935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2792),
  [4937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4385),
  [4939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [4941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3441),
  [4943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [4945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [4947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4664),
  [4949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [4951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4753),
  [4953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2051),
  [4955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4574),
  [4957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [4959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4631),
  [4961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [4963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [4965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4426),
  [4967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2133),
  [4969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4427),
  [4971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [4973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [4975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4451),
  [4977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [4979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4457),
  [4981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2137),
  [4983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [4985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2361),
  [4987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [4989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [4991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [4993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2115),
  [4995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [4997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [4999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [5001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2131),
  [5003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [5005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [5007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2705),
  [5009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4963),
  [5011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [5013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [5015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [5017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [5019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [5021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [5023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4134),
  [5025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3832),
  [5027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3717),
  [5029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3718),
  [5031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3720),
  [5033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3721),
  [5035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3724),
  [5037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3725),
  [5039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3726),
  [5041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3727),
  [5043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4049),
  [5045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3732),
  [5047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3739),
  [5049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4053),
  [5051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4057),
  [5053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4058),
  [5055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4174),
  [5057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4066),
  [5059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4892),
  [5061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [5063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [5065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [5067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [5069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [5071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [5073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [5075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2110),
  [5077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [5079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [5081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4067),
  [5083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [5085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [5087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2190),
  [5089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [5091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [5093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [5095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4068),
  [5097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [5099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [5101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4069),
  [5103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [5105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3712),
  [5107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3806),
  [5109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3827),
  [5111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3828),
  [5113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3856),
  [5115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3809),
  [5117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3528),
  [5119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3567),
  [5121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3677),
  [5123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3698),
  [5125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3700),
  [5127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4554),
  [5129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [5131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2392),
  [5133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2424),
  [5135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2425),
  [5137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2426),
  [5139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2427),
  [5141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [5143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2429),
  [5145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2430),
  [5147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2431),
  [5149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2432),
  [5151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2433),
  [5153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3815),
  [5155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [5157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [5159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [5161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [5163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [5165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(480),
  [5167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [5169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [5171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [5173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [5175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [5177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [5179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [5181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [5183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [5185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [5187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [5189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [5191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [5193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [5195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [5197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [5199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [5201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3711),
  [5203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2216),
  [5205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [5207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2299),
  [5209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4091),
  [5211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [5213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2301),
  [5215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2302),
  [5217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [5219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2304),
  [5221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2305),
  [5223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [5225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [5227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2391),
  [5229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4101),
  [5231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [5233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [5235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [5237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6323),
  [5239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5532),
  [5241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6327),
  [5243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5079),
  [5245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6125),
  [5247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5019),
  [5249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [5251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5347),
  [5253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6133),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [5257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5348),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [5261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5349),
  [5263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [5265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5518),
  [5267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6149),
  [5269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [5271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5351),
  [5273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [5275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5352),
  [5277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5801),
  [5279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5802),
  [5281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5803),
  [5283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4336),
  [5285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4337),
  [5287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4147),
  [5289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4148),
  [5291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4150),
  [5293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4151),
  [5295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4152),
  [5297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4153),
  [5299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4154),
  [5301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4155),
  [5303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4160),
  [5305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4161),
  [5307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4742),
  [5309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [5311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [5313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2811),
  [5315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2825),
  [5317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2853),
  [5319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [5321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2760),
  [5323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2761),
  [5325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [5327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2763),
  [5329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2766),
  [5331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2770),
  [5333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [5337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5413),
  [5339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3058),
  [5341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [5343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [5345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [5347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [5349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [5351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(980),
  [5353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4565),
  [5355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4566),
  [5357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4535),
  [5359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4536),
  [5361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4538),
  [5363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4539),
  [5365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4540),
  [5367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4541),
  [5369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4542),
  [5371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4543),
  [5373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4545),
  [5375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4546),
  [5377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5041),
  [5379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2768),
  [5381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5091),
  [5383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [5385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [5387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3638),
  [5389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [5391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [5393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [5395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [5397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1535),
  [5399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1536),
  [5401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [5403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [5405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1538),
  [5407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [5409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1540),
  [5411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [5413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [5415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4342),
  [5417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4344),
  [5419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4345),
  [5421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4346),
  [5423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4347),
  [5425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4348),
  [5427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4349),
  [5429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4350),
  [5431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4351),
  [5433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4352),
  [5435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4353),
  [5437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3355),
  [5439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4341),
  [5441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6376),
  [5443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5553),
  [5445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6382),
  [5447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5034),
  [5449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5813),
  [5451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5076),
  [5453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5814),
  [5455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5815),
  [5457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5816),
  [5459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6268),
  [5461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5559),
  [5463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [5465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6269),
  [5467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [5469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4975),
  [5471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5818),
  [5473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4990),
  [5475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5819),
  [5477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5822),
  [5479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5823),
  [5481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6178),
  [5483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5564),
  [5485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [5487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5416),
  [5489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6183),
  [5491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [5493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4982),
  [5495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5825),
  [5497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4985),
  [5499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5826),
  [5501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5827),
  [5503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5828),
  [5505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6273),
  [5507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5572),
  [5509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1963),
  [5511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6274),
  [5513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [5515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4964),
  [5517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5831),
  [5519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4966),
  [5521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5833),
  [5523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5834),
  [5525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5835),
  [5527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6224),
  [5529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5579),
  [5531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [5533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6244),
  [5535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [5537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4997),
  [5539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5840),
  [5541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4998),
  [5543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5841),
  [5545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5842),
  [5547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5843),
  [5549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6276),
  [5551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5586),
  [5553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [5555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6277),
  [5557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5046),
  [5559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5848),
  [5561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5047),
  [5563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5849),
  [5565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5850),
  [5567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5851),
  [5569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6303),
  [5571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5591),
  [5573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6330),
  [5575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5105),
  [5577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5855),
  [5579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5107),
  [5581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5857),
  [5583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5858),
  [5585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5859),
  [5587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6374),
  [5589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5601),
  [5591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6377),
  [5593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5037),
  [5595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5864),
  [5597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5123),
  [5599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5865),
  [5601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5866),
  [5603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5867),
  [5605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6161),
  [5607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5610),
  [5609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6165),
  [5611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5001),
  [5613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5871),
  [5615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5006),
  [5617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5872),
  [5619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5873),
  [5621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5874),
  [5623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6176),
  [5625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5621),
  [5627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6208),
  [5629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5011),
  [5631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5880),
  [5633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5032),
  [5635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5881),
  [5637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5882),
  [5639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5883),
  [5641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6206),
  [5643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5627),
  [5645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6218),
  [5647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5090),
  [5649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5887),
  [5651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5050),
  [5653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5888),
  [5655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5889),
  [5657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5890),
  [5659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6241),
  [5661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5634),
  [5663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6245),
  [5665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5027),
  [5667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5894),
  [5669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5040),
  [5671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5896),
  [5673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5897),
  [5675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5898),
  [5677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6286),
  [5679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5640),
  [5681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6293),
  [5683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5004),
  [5685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5903),
  [5687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5009),
  [5689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5904),
  [5691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5905),
  [5693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5906),
  [5695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6331),
  [5697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5649),
  [5699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6341),
  [5701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5053),
  [5703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5915),
  [5705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5069),
  [5707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5916),
  [5709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5917),
  [5711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5918),
  [5713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6280),
  [5715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5653),
  [5717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6281),
  [5719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5100),
  [5721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5923),
  [5723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5111),
  [5725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5924),
  [5727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5925),
  [5729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5926),
  [5731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6365),
  [5733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5657),
  [5735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6370),
  [5737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4968),
  [5739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5931),
  [5741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4969),
  [5743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5932),
  [5745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5933),
  [5747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5934),
  [5749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6380),
  [5751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6383),
  [5753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6166),
  [5755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6170),
  [5757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6177),
  [5759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6180),
  [5761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6187),
  [5763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6193),
  [5765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6202),
  [5767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6204),
  [5769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5058),
  [5771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5075),
  [5773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2416),
  [5775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [5777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3337),
  [5779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [5781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [5783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [5785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [5787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5952),
  [5789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [5791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5953),
  [5793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [5795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2788),
  [5797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2789),
  [5799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5451),
  [5801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5452),
  [5803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [5805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [5807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6043),
  [5809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6044),
  [5811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6045),
  [5813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [5815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5460),
  [5817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [5819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5461),
  [5821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [5823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5462),
  [5825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [5827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5464),
  [5829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [5831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5465),
  [5833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6057),
  [5835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6058),
  [5837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6059),
  [5839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6060),
  [5841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6061),
  [5843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6062),
  [5845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6063),
  [5847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6064),
  [5849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6065),
  [5851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6066),
  [5853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6067),
  [5855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6068),
  [5857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6069),
  [5859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6070),
  [5861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6071),
  [5863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6072),
  [5865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6073),
  [5867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6074),
  [5869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6075),
  [5871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6076),
  [5873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6077),
  [5875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6078),
  [5877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6079),
  [5879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6080),
  [5881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6083),
  [5883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6084),
  [5885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6085),
  [5887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6087),
  [5889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6088),
  [5891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6089),
  [5893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6091),
  [5895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6092),
  [5897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6093),
  [5899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6096),
  [5901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6097),
  [5903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6098),
  [5905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6101),
  [5907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6102),
  [5909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6103),
  [5911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6107),
  [5913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6108),
  [5915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6109),
  [5917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6110),
  [5919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6111),
  [5921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6112),
  [5923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6113),
  [5925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6114),
  [5927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6115),
  [5929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2862),
  [5931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13831),
  [5933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [5935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [5937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [5939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [5941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9872),
  [5943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [5945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2355),
  [5947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [5949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [5951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [5953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1848),
  [5956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [5958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [5960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13354),
  [5962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13354),
  [5964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13435),
  [5966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13436),
  [5968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10076),
  [5970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2159),
  [5972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13836),
  [5976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_term, 1, 0, 5),
  [5978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_term, 1, 0, 5),
  [5980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10148),
  [5982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10832),
  [5984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1165),
  [5986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [5988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [5990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8611),
  [5992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [5994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6655),
  [5996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13512),
  [5998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [6000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [6004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [6006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [6008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [6010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [6012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [6014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [6016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [6018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13931),
  [6020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13951),
  [6022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14011),
  [6024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2163),
  [6026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2374),
  [6028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14038),
  [6030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2164),
  [6032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2379),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14054),
  [6036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [6038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [6040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14070),
  [6042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2168),
  [6044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [6046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14077),
  [6048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2169),
  [6050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14089),
  [6054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2589),
  [6056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [6058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [6060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12822),
  [6062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1894),
  [6065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [6067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [6069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14164),
  [6071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [6073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14468),
  [6075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [6077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [6079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13349),
  [6081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2261),
  [6083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2465),
  [6085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13357),
  [6087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [6089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [6091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13358),
  [6093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [6095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [6097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13359),
  [6099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [6101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [6103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13360),
  [6105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [6107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [6109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13361),
  [6111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [6113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [6115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14538),
  [6117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [6119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [6121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [6123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [6125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [6127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [6129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [6131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [6133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [6135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [6137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10990),
  [6139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [6141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8538),
  [6143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [6145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [6147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [6149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [6151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [6153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [6155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [6157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [6159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1643),
  [6161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10554),
  [6163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [6165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [6167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [6169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8600),
  [6171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [6173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [6175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [6177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [6179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [6181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1321),
  [6183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [6185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [6187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1324),
  [6189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [6191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [6193] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8600),
  [6196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [6198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1932),
  [6201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [6203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [6205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [6207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2423),
  [6209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8538),
  [6212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [6214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [6216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2101),
  [6218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [6220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [6222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13785),
  [6224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [6226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [6228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [6230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8611),
  [6233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [6235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12823),
  [6237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12824),
  [6239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [6241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [6243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12825),
  [6245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12826),
  [6247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12828),
  [6249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12829),
  [6251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12831),
  [6253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [6255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14750),
  [6257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [6259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12840),
  [6261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12841),
  [6263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12847),
  [6265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9798),
  [6267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12848),
  [6269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12849),
  [6271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12850),
  [6273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12851),
  [6275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12852),
  [6277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [6279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [6281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2240),
  [6283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [6285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2242),
  [6287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [6289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [6291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2257),
  [6293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13344),
  [6295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [6297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [6299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [6301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14537),
  [6303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14470),
  [6305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9124),
  [6308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [6310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10165),
  [6312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10864),
  [6314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [6316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [6318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [6320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8608),
  [6322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [6326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [6328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [6330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [6332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [6334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [6336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [6338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [6340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [6342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [6344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [6348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [6350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [6352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [6354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [6356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [6358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [6360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [6362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [6364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2521),
  [6366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [6368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group_by, 3, 0, 0),
  [6370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [6372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1610),
  [6374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [6376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [6378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [6380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [6382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [6384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [6386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [6388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [6390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [6392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [6394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8737),
  [6396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [6398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2108),
  [6400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [6402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [6404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [6406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [6408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2414),
  [6410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [6412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2421),
  [6414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14467),
  [6416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [6418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2094),
  [6421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [6423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2587),
  [6425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13797),
  [6427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13826),
  [6429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2598),
  [6431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13888),
  [6433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13889),
  [6435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13910),
  [6437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2842),
  [6439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2987),
  [6441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2439),
  [6443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14482),
  [6445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [6447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [6449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [6451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [6453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [6455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [6457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [6459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [6461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8608),
  [6464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14105),
  [6466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14108),
  [6468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13791),
  [6470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10761),
  [6472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [6474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [6476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [6478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8644),
  [6480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [6482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [6484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [6486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [6488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [6490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [6492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [6494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [6496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [6498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [6500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [6502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [6504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [6506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [6508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [6510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [6512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [6514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [6516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1088),
  [6518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13792),
  [6520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11369),
  [6522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8568),
  [6524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [6526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [6528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1084),
  [6530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [6532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [6534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8568),
  [6537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14747),
  [6539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14753),
  [6541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14754),
  [6543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14758),
  [6545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14764),
  [6547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14765),
  [6549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13865),
  [6551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [6553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2454),
  [6555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2472),
  [6557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2473),
  [6559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2474),
  [6561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2475),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [6565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11115),
  [6567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [6569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [6571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8632),
  [6573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [6577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [6579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [6581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [6583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [6585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8632),
  [6588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [6590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [6592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2622),
  [6594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2459),
  [6596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [6598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8815),
  [6600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13490),
  [6602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13345),
  [6604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13346),
  [6606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13347),
  [6608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13348),
  [6610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13350),
  [6612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13351),
  [6614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13353),
  [6616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(12832),
  [6619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13305),
  [6621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(12832),
  [6624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13306),
  [6626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13362),
  [6628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13363),
  [6630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9496),
  [6633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [6635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14536),
  [6637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13364),
  [6639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13365),
  [6641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13366),
  [6643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13367),
  [6645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13368),
  [6647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13369),
  [6649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [6651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [6653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [6655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [6657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [6659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [6661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14539),
  [6663] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9204),
  [6666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [6668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_target, 1, 0, 0),
  [6670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6988),
  [6672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [6674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10437),
  [6676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [6678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [6680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [6682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [6684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [6686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [6688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [6690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [6692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [6694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8644),
  [6697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [6699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9873),
  [6701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [6703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7489),
  [6705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11452),
  [6707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [6711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [6713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8641),
  [6715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9812),
  [6717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [6719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [6721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [6727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [6733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [6735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [6737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [6739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2841),
  [6741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2986),
  [6743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12945),
  [6745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2855),
  [6747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2990),
  [6749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12953),
  [6751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2857),
  [6753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2991),
  [6755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12954),
  [6757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2806),
  [6759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2992),
  [6761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12955),
  [6763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2728),
  [6765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2994),
  [6767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12956),
  [6769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [6771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2995),
  [6773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12957),
  [6775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8812),
  [6777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [6779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [6785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2418),
  [6788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12950),
  [6790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13187),
  [6792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13188),
  [6794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8641),
  [6797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [6799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [6801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2997),
  [6803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14485),
  [6805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(13354),
  [6808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13445),
  [6810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(13354),
  [6813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13446),
  [6815] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 124), SHIFT(12832),
  [6818] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 124), SHIFT(12832),
  [6821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3100),
  [6823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3414),
  [6825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14406),
  [6829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12479),
  [6831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12480),
  [6833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12481),
  [6835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [6837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [6839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3369),
  [6841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 124), SHIFT(13354),
  [6844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 124), SHIFT(13354),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [6851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [6853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inner_default_expression, 1, 0, 0),
  [6855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inner_default_expression, 1, 0, 0),
  [6857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8794),
  [6859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12891),
  [6861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12891),
  [6863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13010),
  [6865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13011),
  [6867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where, 2, 0, 49),
  [6869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2832),
  [6871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12940),
  [6873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9734),
  [6875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [6877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2776),
  [6879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3028),
  [6881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2777),
  [6883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3029),
  [6885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2778),
  [6887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3031),
  [6889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3099),
  [6891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3412),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12474),
  [6895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2781),
  [6897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3033),
  [6899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2782),
  [6901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [6903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [6907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [6909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14474),
  [6911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2726),
  [6913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3047),
  [6915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2812),
  [6917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3049),
  [6919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3101),
  [6921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3417),
  [6923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12482),
  [6925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [6927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3419),
  [6929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12483),
  [6931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3103),
  [6933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3420),
  [6935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12484),
  [6937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3104),
  [6939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3421),
  [6941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12485),
  [6943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3105),
  [6945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3423),
  [6947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12486),
  [6949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [6951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3435),
  [6953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14411),
  [6955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2813),
  [6957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3053),
  [6959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [6961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [6963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2736),
  [6965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14422),
  [6967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2838),
  [6969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2751),
  [6971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14484),
  [6973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [6975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3098),
  [6977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12469),
  [6979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3001),
  [6981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12958),
  [6983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2978),
  [6985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3268),
  [6987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12959),
  [6989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [6991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [6993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4206),
  [6995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [6997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14540),
  [6999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [7001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [7003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12553),
  [7005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3328),
  [7007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [7009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14427),
  [7011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__having, 2, 0, 0),
  [7013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13880),
  [7015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2921),
  [7017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3123),
  [7019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2979),
  [7021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3274),
  [7023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [7025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [7027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1525),
  [7029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2916),
  [7031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3422),
  [7033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3002),
  [7035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12944),
  [7037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2983),
  [7039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3275),
  [7041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14486),
  [7043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9146),
  [7046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3009),
  [7048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2915),
  [7050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3406),
  [7052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12558),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12558),
  [7056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12559),
  [7058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [7060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3283),
  [7062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [7064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [7066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [7068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [7070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10754),
  [7072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8549),
  [7075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [7077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [7079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [7081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12968),
  [7083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [7085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [7087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12565),
  [7089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8549),
  [7091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [7093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [7095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14477),
  [7099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12947),
  [7101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3040),
  [7103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3041),
  [7105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3042),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12949),
  [7109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3043),
  [7111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3044),
  [7113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_list, 3, 0, 46),
  [7115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_list, 3, 0, 46),
  [7117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3692),
  [7119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12966),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [7123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [7125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12894),
  [7127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [7129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [7131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [7133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [7135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12969),
  [7137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12967),
  [7139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [7141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [7143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12886),
  [7145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [7147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12942),
  [7149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12946),
  [7151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3000),
  [7153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3054),
  [7155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3055),
  [7157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12560),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3812),
  [7163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12561),
  [7165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [7167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [7169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12562),
  [7171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [7173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [7175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12895),
  [7177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [7179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [7181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12896),
  [7183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [7185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12897),
  [7189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2977),
  [7191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3265),
  [7193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [7195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [7197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12898),
  [7199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12970),
  [7201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [7203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [7205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12563),
  [7207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12943),
  [7209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3185),
  [7211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [7213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12564),
  [7215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14483),
  [7217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2996),
  [7219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13392),
  [7221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13392),
  [7223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13439),
  [7225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13440),
  [7227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [7229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4194),
  [7231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [7233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14449),
  [7235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3089),
  [7237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2744),
  [7239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [7241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4404),
  [7243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14514),
  [7247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12965),
  [7249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2998),
  [7251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2999),
  [7253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12941),
  [7255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_list, 4, 0, 46),
  [7257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_list, 4, 0, 46),
  [7259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3109),
  [7261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14410),
  [7263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13532),
  [7265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14010),
  [7267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4607),
  [7273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [7275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14530),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [7279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12702),
  [7281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12702),
  [7283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12774),
  [7285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12775),
  [7287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [7289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [7291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [7293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [7295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3410),
  [7297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [7299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3411),
  [7301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [7303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3413),
  [7305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [7307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3418),
  [7309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [7311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3122),
  [7313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3124),
  [7315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [7317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [7319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [7321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [7323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3130),
  [7325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [7327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [7329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [7331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [7333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13387),
  [7335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [7337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [7339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13395),
  [7341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [7343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4217),
  [7345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13396),
  [7347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [7349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4219),
  [7351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13397),
  [7353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [7355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [7357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13398),
  [7359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3500),
  [7361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4231),
  [7363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13399),
  [7365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [7367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4246),
  [7369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14543),
  [7371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13186),
  [7373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13186),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13420),
  [7377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13421),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [7381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [7383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12881),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [7387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [7389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14476),
  [7391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [7393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [7395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12548),
  [7397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [7399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [7401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [7403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [7405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [7407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [7409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [7411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [7413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [7415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3713),
  [7417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [7419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [7421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [7423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [7425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [7429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [7431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [7433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2985),
  [7435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3333),
  [7437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3334),
  [7439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3335),
  [7441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3338),
  [7443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3339),
  [7445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2985),
  [7448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3394),
  [7450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [7452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4193),
  [7454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12697),
  [7456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3666),
  [7458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [7460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12705),
  [7462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [7464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4200),
  [7466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12706),
  [7468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [7470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [7472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12707),
  [7474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3669),
  [7476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4205),
  [7478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12708),
  [7480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [7482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4209),
  [7484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12709),
  [7486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4203),
  [7488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [7490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14426),
  [7492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [7494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4225),
  [7496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14453),
  [7498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12470),
  [7500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12471),
  [7502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12472),
  [7504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12473),
  [7506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12475),
  [7508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12476),
  [7510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12478),
  [7512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12487),
  [7514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12488),
  [7516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14409),
  [7518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12497),
  [7520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12498),
  [7522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12499),
  [7524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12500),
  [7526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12501),
  [7528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12502),
  [7530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3434),
  [7532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3436),
  [7534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3437),
  [7536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3438),
  [7538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3439),
  [7540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3440),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [7544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4403),
  [7546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13181),
  [7548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [7550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [7552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13189),
  [7554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14412),
  [7556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [7558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4409),
  [7560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13190),
  [7562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3850),
  [7564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4410),
  [7566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13191),
  [7568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [7570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4411),
  [7572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13192),
  [7574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [7576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4412),
  [7578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13193),
  [7580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [7582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [7584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14517),
  [7586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9066),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13957),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [7595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [7601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [7603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4529),
  [7605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [7607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13382),
  [7609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [7611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3588),
  [7613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [7615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14542),
  [7617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [7619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [7621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [7623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [7625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [7627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [7629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [7631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [7633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [7635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4323),
  [7637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [7639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [7641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [7643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4358),
  [7645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [7647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [7649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [7651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11008),
  [7653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [7655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [7657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [7659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8624),
  [7661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [7663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [7665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [7667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [7669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [7671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [7673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [7675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [7677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [7679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [7681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [7683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10123),
  [7685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [7687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [7689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12882),
  [7691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12883),
  [7693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12884),
  [7695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12885),
  [7697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12887),
  [7699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12888),
  [7701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12890),
  [7703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12899),
  [7705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12900),
  [7707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [7709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14138),
  [7711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14475),
  [7713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12906),
  [7715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12907),
  [7717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12908),
  [7719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12909),
  [7721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12910),
  [7723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12911),
  [7725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [7727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13304),
  [7729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13304),
  [7731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13433),
  [7733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13434),
  [7735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [7737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [7739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [7741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [7743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [7745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14478),
  [7747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9133),
  [7750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4303),
  [7754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [7756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13299),
  [7758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [7760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4629),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13307),
  [7764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [7766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4642),
  [7768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13308),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4356),
  [7772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4644),
  [7774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13309),
  [7776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [7778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4648),
  [7780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13310),
  [7782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4374),
  [7784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4650),
  [7786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13311),
  [7788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12549),
  [7790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12550),
  [7792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [7794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [7796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [7798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [7804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [7808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10068),
  [7810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10754),
  [7812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [7814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [7816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [7818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8893),
  [7820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [7822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [7824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [7826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [7828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [7830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [7832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [7834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1399),
  [7836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [7838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [7840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [7842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [7844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [7846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9714),
  [7848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14074),
  [7850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [7854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14533),
  [7856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [7858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [7860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [7862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [7864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [7866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [7868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [7870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [7872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [7874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [7876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12551),
  [7878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12552),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12554),
  [7882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12555),
  [7884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12557),
  [7886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14026),
  [7888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12566),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12567),
  [7892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3648),
  [7894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [7896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12692),
  [7898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14428),
  [7900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [7902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [7904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9074),
  [7907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [7909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [7911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [7913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [7919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14425),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12576),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14452),
  [7927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10975),
  [7929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [7931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [7933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [7935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8853),
  [7937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [7941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [7945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [7947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [7949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [7951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1510),
  [7953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [7955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [7957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3679),
  [7959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [7961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12577),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12578),
  [7965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12579),
  [7967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12580),
  [7969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12581),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [7979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4335),
  [7983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [7989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4355),
  [7991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [7993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4357),
  [7995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [7997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3390),
  [8000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9826),
  [8002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [8004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [8006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13176),
  [8008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [8010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [8012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [8014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [8016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [8018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [8020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14516),
  [8022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [8024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11269),
  [8026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [8028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [8030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [8032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8640),
  [8034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [8036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [8038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [8040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [8042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [8044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [8046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [8048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [8050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [8052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [8054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [8056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1420),
  [8058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13185),
  [8060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14541),
  [8062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [8064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [8066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4199),
  [8068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13402),
  [8070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13403),
  [8072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [8074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13404),
  [8076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12266),
  [8078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [8080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13294),
  [8082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13406),
  [8084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13407),
  [8086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4245),
  [8088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [8090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4262),
  [8092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [8094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9874),
  [8096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4264),
  [8098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [8100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4667),
  [8102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [8104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4418),
  [8106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [8108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [8110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [8112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [8114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4421),
  [8116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [8118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4431),
  [8120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [8122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14544),
  [8124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3507),
  [8127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9205),
  [8130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4191),
  [8132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4295),
  [8134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [8136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [8138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4320),
  [8140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4378),
  [8142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [8144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4489),
  [8146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [8148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [8150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4328),
  [8152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12693),
  [8154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12694),
  [8156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8760),
  [8158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4330),
  [8160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [8162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [8164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4333),
  [8166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [8168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [8170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [8172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [8174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3578),
  [8177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4363),
  [8179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [8181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9869),
  [8183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9856),
  [8185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12695),
  [8187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12696),
  [8189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3893),
  [8191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [8193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [8195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [8197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8524),
  [8199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [8201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [8203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [8205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [8207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [8209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [8211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [8213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1556),
  [8215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12698),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12699),
  [8221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12701),
  [8223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9757),
  [8225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(13931),
  [8228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12703),
  [8230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(13931),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12704),
  [8235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [8237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12710),
  [8239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12711),
  [8241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9836),
  [8243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3897),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14451),
  [8247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12720),
  [8249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12721),
  [8251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12722),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12723),
  [8255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12724),
  [8257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12725),
  [8259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13383),
  [8263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8805),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4227),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [8271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [8273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [8275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13384),
  [8277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [8279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8640),
  [8282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4029),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14454),
  [8286] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9099),
  [8289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [8291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [8293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [8295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9182),
  [8298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13385),
  [8300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13386),
  [8302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14106),
  [8304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11008),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [8308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8616),
  [8310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [8312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [8314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [8316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [8318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [8320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [8322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [8324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [8326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [8328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [8330] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8616),
  [8333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(12558),
  [8336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13069),
  [8338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(12558),
  [8341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13070),
  [8343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3678),
  [8345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [8347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [8349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [8351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [8353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [8355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13177),
  [8357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13388),
  [8359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13178),
  [8361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13389),
  [8363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13179),
  [8365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13391),
  [8367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [8369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13180),
  [8371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13182),
  [8373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13183),
  [8375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14518),
  [8377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8702),
  [8379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13194),
  [8381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13195),
  [8383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13400),
  [8385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14515),
  [8387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13201),
  [8389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13202),
  [8391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13203),
  [8393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13204),
  [8395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13205),
  [8397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13206),
  [8399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [8401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [8403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [8405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3990),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [8411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4394),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14532),
  [8415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13401),
  [8417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9198),
  [8420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9871),
  [8424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [8426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3887),
  [8429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(12950),
  [8432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13431),
  [8434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(12950),
  [8437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13432),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4458),
  [8441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [8443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4461),
  [8445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4466),
  [8447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4467),
  [8449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(13186),
  [8452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13441),
  [8454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(13186),
  [8457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13442),
  [8459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4498),
  [8461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4502),
  [8463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4503),
  [8465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [8467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8772),
  [8469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [8471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [8473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [8475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [8477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [8479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [8481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [8483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [8485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1275),
  [8487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [8489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8772),
  [8492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14042),
  [8494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11091),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8584),
  [8500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [8502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [8504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [8506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [8508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [8510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [8512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [8514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [8516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [8518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1288),
  [8520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [8522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8584),
  [8525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8893),
  [8528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8826),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13295),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13296),
  [8536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [8538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8705),
  [8540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13297),
  [8542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8853),
  [8545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8657),
  [8547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13298),
  [8549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13300),
  [8551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13301),
  [8553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13303),
  [8555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13312),
  [8557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13313),
  [8559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14531),
  [8561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13319),
  [8563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13320),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13321),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13322),
  [8569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13323),
  [8571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 124), SHIFT(13931),
  [8574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 124), SHIFT(13931),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13324),
  [8579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [8581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 124), SHIFT(12558),
  [8584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 124), SHIFT(12558),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4651),
  [8591] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8624),
  [8594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4511),
  [8596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4512),
  [8598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4513),
  [8600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8595),
  [8602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [8604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [8606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(12702),
  [8609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13128),
  [8611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(12702),
  [8614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13129),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14534),
  [8618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 124), SHIFT(13186),
  [8621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 124), SHIFT(13186),
  [8624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(13304),
  [8627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13443),
  [8629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(13304),
  [8632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13444),
  [8634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 124), SHIFT(12702),
  [8637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 124), SHIFT(12702),
  [8640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4636),
  [8642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8524),
  [8645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, 0, 85),
  [8647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [8649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [8651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8523),
  [8653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 124), SHIFT(12950),
  [8656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 124), SHIFT(12950),
  [8659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [8665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [8669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [8671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [8673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [8675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [8677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11264),
  [8679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8560),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [8687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [8689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [8691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [8693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [8695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_partition_by, 3, 0, 0),
  [8697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13245),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13245),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13426),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13427),
  [8705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [8707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [8709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4815),
  [8711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14522),
  [8713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5127),
  [8715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5181),
  [8717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4826),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14390),
  [8721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9728),
  [8723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 124), SHIFT(13304),
  [8726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [8728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8560),
  [8731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 124), SHIFT(13304),
  [8734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12396),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12397),
  [8738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12398),
  [8740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4956),
  [8742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13252),
  [8746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8571),
  [8748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5049),
  [8750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [8752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13251),
  [8754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13127),
  [8756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13393),
  [8758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__show_tables, 3, 0, 0),
  [8760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13394),
  [8762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5170),
  [8764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5353),
  [8766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__show_tables, 5, 0, 14),
  [8768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5319),
  [8770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5660),
  [8772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4889),
  [8774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14506),
  [8776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [8778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4978),
  [8780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [8782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14525),
  [8784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5277),
  [8786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5749),
  [8788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4915),
  [8790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14458),
  [8792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5030),
  [8794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5190),
  [8796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14395),
  [8798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5003),
  [8800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [8802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13240),
  [8804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4953),
  [8806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5180),
  [8808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12391),
  [8810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5130),
  [8812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5184),
  [8814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12399),
  [8816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5131),
  [8818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5185),
  [8820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12400),
  [8822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5128),
  [8824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5186),
  [8826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12401),
  [8828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5067),
  [8830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5187),
  [8832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12402),
  [8834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12773),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12773),
  [8838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12833),
  [8840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5033),
  [8842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5188),
  [8844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12403),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12834),
  [8848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [8850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [8852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13248),
  [8854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5096),
  [8856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [8858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13249),
  [8860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5120),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13250),
  [8866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14090),
  [8868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5318),
  [8870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5658),
  [8872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13122),
  [8874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4954),
  [8876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5219),
  [8878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5320),
  [8880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5672),
  [8882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13130),
  [8884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4961),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5160),
  [8888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5321),
  [8890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5675),
  [8892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13131),
  [8894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5322),
  [8896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5677),
  [8898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13132),
  [8900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5323),
  [8902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5687),
  [8904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13133),
  [8906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5324),
  [8908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5695),
  [8910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13134),
  [8912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4994),
  [8914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5220),
  [8916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5276),
  [8918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5701),
  [8920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12768),
  [8922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5022),
  [8924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5221),
  [8926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5007),
  [8928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [8930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5327),
  [8932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5699),
  [8934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14509),
  [8936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5029),
  [8938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5238),
  [8940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4973),
  [8942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14524),
  [8944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5023),
  [8946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5222),
  [8948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5278),
  [8950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5779),
  [8952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12776),
  [8954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5549),
  [8956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5031),
  [8958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5223),
  [8960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [8962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5145),
  [8964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5279),
  [8966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5786),
  [8968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12777),
  [8970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [8972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5280),
  [8974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5793),
  [8976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12778),
  [8978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5281),
  [8980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5520),
  [8982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12779),
  [8984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5282),
  [8986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5522),
  [8988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12780),
  [8990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [8992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 4, 0, 0),
  [8994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11934),
  [8996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12136),
  [8998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13293),
  [9000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13317),
  [9002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7774),
  [9004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9553),
  [9006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [9008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13326),
  [9010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13333),
  [9012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6849),
  [9014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14749),
  [9016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10168),
  [9018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8062),
  [9020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5056),
  [9022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5146),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5285),
  [9026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5533),
  [9028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14461),
  [9030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 3, 0, 0),
  [9032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5064),
  [9034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5147),
  [9036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5073),
  [9038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5148),
  [9040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5086),
  [9042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5149),
  [9044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5095),
  [9046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5233),
  [9048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5108),
  [9050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5121),
  [9052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12386),
  [9054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4960),
  [9056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5234),
  [9058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 2, 0, 0),
  [9060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4999),
  [9062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13235),
  [9064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5129),
  [9066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14394),
  [9068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [9070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [9072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5189),
  [9074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5226),
  [9076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13994),
  [9078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5499),
  [9080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [9082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5608),
  [9084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5239),
  [9086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5164),
  [9088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [9090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5602),
  [9092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [9094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [9096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4479),
  [9098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5328),
  [9100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5748),
  [9102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [9104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [9106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13239),
  [9108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [9110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [9112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [9114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [9116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5329),
  [9118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5750),
  [9120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5330),
  [9122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5752),
  [9124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5331),
  [9126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5754),
  [9128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14526),
  [9130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9189),
  [9133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [9135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4414),
  [9137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5102),
  [9139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13254),
  [9141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5512),
  [9143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5332),
  [9145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5756),
  [9147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5333),
  [9149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5780),
  [9151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5334),
  [9153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5782),
  [9155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [9157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6435),
  [9159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5335),
  [9161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5519),
  [9163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12197),
  [9165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12203),
  [9167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14389),
  [9169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12370),
  [9171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7846),
  [9173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9579),
  [9175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [9177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12290),
  [9179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12291),
  [9181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6841),
  [9183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14173),
  [9185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10186),
  [9187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8011),
  [9189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [9191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6439),
  [9193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13264),
  [9195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [9197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5604),
  [9199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5800),
  [9201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6164),
  [9203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [9205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14436),
  [9207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [9209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [9211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13262),
  [9213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5227),
  [9215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4976),
  [9217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [9219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [9221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [9223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [9225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13265),
  [9227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13263),
  [9229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [9231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4463),
  [9233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5493),
  [9235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [9237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4745),
  [9239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [9241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4519),
  [9243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5165),
  [9245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [9247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4701),
  [9249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13236),
  [9251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [9253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4822),
  [9255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9859),
  [9257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9870),
  [9259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5283),
  [9261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14460),
  [9263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12630),
  [9265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12630),
  [9267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12631),
  [9269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12632),
  [9271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [9273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [9275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5325),
  [9277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14508),
  [9279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5228),
  [9281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5229),
  [9283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10346),
  [9285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [9287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5684),
  [9289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [9291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4079),
  [9293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5240),
  [9295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5202),
  [9297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5230),
  [9299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [9301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4812),
  [9303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5195),
  [9305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [9307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [9309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [9311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13253),
  [9313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [9315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [9317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13237),
  [9319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [9321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5688),
  [9323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [9325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12387),
  [9327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12388),
  [9329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [9331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [9333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [9335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5960),
  [9337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [9339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5967),
  [9341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5266),
  [9343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5498),
  [9345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [9347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4577),
  [9349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12389),
  [9351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12390),
  [9353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [9355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [9357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5152),
  [9359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5153),
  [9361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13260),
  [9363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [9365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12392),
  [9367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12393),
  [9369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12395),
  [9371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5154),
  [9373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5194),
  [9375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [9377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [9379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9048),
  [9382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5275),
  [9384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12763),
  [9386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5094),
  [9388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [9390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13241),
  [9392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [9394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [9396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5317),
  [9398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13117),
  [9400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13238),
  [9402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [9404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [9406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [9408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12404),
  [9410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12405),
  [9412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [9414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13242),
  [9416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13244),
  [9418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [9420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4689),
  [9422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5286),
  [9424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [9426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5237),
  [9428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5496),
  [9430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [9432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2637),
  [9434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5860),
  [9436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6198),
  [9438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5299),
  [9440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14372),
  [9442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(5102),
  [9445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12306),
  [9447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12306),
  [9449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12307),
  [9451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5287),
  [9453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5582),
  [9455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [9457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2563),
  [9459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [9461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [9463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14393),
  [9465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [9467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5584),
  [9469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [9471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [9473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12414),
  [9475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12415),
  [9477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12416),
  [9479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12417),
  [9481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12418),
  [9483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5289),
  [9485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5587),
  [9487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13261),
  [9489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5497),
  [9491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12419),
  [9493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14523),
  [9495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [9497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [9499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [9501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5589),
  [9503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5193),
  [9505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14396),
  [9507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5191),
  [9509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5192),
  [9511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12308),
  [9513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5308),
  [9515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6042),
  [9517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6168),
  [9519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14440),
  [9521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6211),
  [9523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10406),
  [9525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 5, 0, 67),
  [9527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5316),
  [9529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 6, 0, 18),
  [9531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4228),
  [9533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [9535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6159),
  [9537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9029),
  [9539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5173),
  [9541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12764),
  [9543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12765),
  [9545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5856),
  [9547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6189),
  [9549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12301),
  [9551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12766),
  [9553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12767),
  [9555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12769),
  [9557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12770),
  [9559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12772),
  [9561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5869),
  [9563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6238),
  [9565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12309),
  [9567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5870),
  [9569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6256),
  [9571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12310),
  [9573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [9575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6267),
  [9577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12311),
  [9579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5877),
  [9581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6357),
  [9583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12312),
  [9585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5892),
  [9587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6237),
  [9589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12313),
  [9591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12781),
  [9593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12782),
  [9595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14459),
  [9597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12788),
  [9599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12789),
  [9601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12790),
  [9603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12791),
  [9605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12792),
  [9607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12793),
  [9609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5530),
  [9611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5535),
  [9613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [9615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [9617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5538),
  [9619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5539),
  [9621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14462),
  [9623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9113),
  [9626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5555),
  [9628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5593),
  [9630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5594),
  [9632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5595),
  [9634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5596),
  [9636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5597),
  [9638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5606),
  [9640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5609),
  [9642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5611),
  [9644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13118),
  [9646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13119),
  [9648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8789),
  [9650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13120),
  [9652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13121),
  [9654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6056),
  [9656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6212),
  [9658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14377),
  [9660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13123),
  [9662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13124),
  [9664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13126),
  [9666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13135),
  [9668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13136),
  [9670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14507),
  [9672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13142),
  [9674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13143),
  [9676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13144),
  [9678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13145),
  [9680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13146),
  [9682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(5316),
  [9685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13147),
  [9687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5698),
  [9689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5703),
  [9691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5705),
  [9693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5706),
  [9695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5707),
  [9697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5708),
  [9699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14510),
  [9701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9175),
  [9704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5725),
  [9706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5766),
  [9708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5767),
  [9710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5768),
  [9712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5769),
  [9714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5770),
  [9716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5784),
  [9718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5788),
  [9720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5789),
  [9722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [9724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9786),
  [9726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9867),
  [9728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [9730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [9732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [9734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [9736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11731),
  [9738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11639),
  [9740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [9742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [9744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3547),
  [9746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4401),
  [9748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [9750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [9752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4389),
  [9754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6417),
  [9756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6423),
  [9758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6432),
  [9760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4660),
  [9762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6588),
  [9764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4420),
  [9766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4464),
  [9768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [9770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [9772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [9774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5900),
  [9776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5941),
  [9778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5955),
  [9780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2729),
  [9782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [9784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [9786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [9788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [9790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [9792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [9794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4472),
  [9796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4441),
  [9798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6593),
  [9800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4683),
  [9802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6594),
  [9804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4829),
  [9806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4834),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6596),
  [9810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4804),
  [9812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4533),
  [9814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4561),
  [9816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8604),
  [9818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4417),
  [9820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5663),
  [9822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5682),
  [9824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5643),
  [9826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4750),
  [9828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4700),
  [9830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4704),
  [9832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [9834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [9836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [9838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2723),
  [9840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [9842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [9844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [9846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4662),
  [9848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [9850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4552),
  [9852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6627),
  [9854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6595),
  [9856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6574),
  [9858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6591),
  [9860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6623),
  [9862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6590),
  [9864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8550),
  [9866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_repeat1, 4, 0, 0),
  [9868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6604),
  [9870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6614),
  [9872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6664),
  [9874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6669),
  [9876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 1, 0, 0),
  [9878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relation, 1, 0, 0),
  [9880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [9882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12192),
  [9884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12198),
  [9886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14371),
  [9888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7790),
  [9890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9578),
  [9892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [9894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14235),
  [9896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14236),
  [9898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11993),
  [9900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [9902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6155),
  [9904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6387),
  [9906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12625),
  [9908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5968),
  [9910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6317),
  [9912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12633),
  [9914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6121),
  [9916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6391),
  [9918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12634),
  [9920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [9922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6326),
  [9924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12635),
  [9926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5862),
  [9928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6287),
  [9930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12636),
  [9932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5908),
  [9934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6240),
  [9936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12637),
  [9938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6617),
  [9940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6618),
  [9942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6619),
  [9944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6620),
  [9946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6621),
  [9948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6622),
  [9950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6130),
  [9952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6354),
  [9954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6131),
  [9956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6356),
  [9958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6135),
  [9960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6368),
  [9962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6141),
  [9964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6372),
  [9966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6144),
  [9968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6386),
  [9970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [9972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [9974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5805),
  [9976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6201),
  [9978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5807),
  [9980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6248),
  [9982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [9984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6340),
  [9986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [9988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [9990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4373),
  [9992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [9994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 3, 0, 0),
  [9996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relation, 3, 0, 0),
  [9998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6427),
  [10000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [10002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [10004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [10006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4450),
  [10008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [10010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [10012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [10014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13936),
  [10016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5949),
  [10018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [10020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [10022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [10024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [10026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [10028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4580),
  [10030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [10032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6052),
  [10034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14376),
  [10036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4833),
  [10038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [10040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8795),
  [10042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4548),
  [10044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1701),
  [10046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5806),
  [10048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6249),
  [10050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5809),
  [10052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6355),
  [10054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5810),
  [10056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6373),
  [10058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5667),
  [10060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [10062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5811),
  [10064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6379),
  [10066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5812),
  [10068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6158),
  [10070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4755),
  [10072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1719),
  [10074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5829),
  [10076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6278),
  [10078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [10080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [10082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5830),
  [10084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6297),
  [10086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5799),
  [10088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6369),
  [10090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [10092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [10094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [10096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1746),
  [10098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8864),
  [10100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12206),
  [10102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12210),
  [10104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14421),
  [10106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7749),
  [10108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9581),
  [10110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1595),
  [10112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12463),
  [10114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12464),
  [10116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6119),
  [10118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6153),
  [10120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12620),
  [10122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5832),
  [10124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5977),
  [10126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14439),
  [10128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_return, 2, 0, 0),
  [10130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5853),
  [10132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12296),
  [10134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8857),
  [10136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6163),
  [10138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [10140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8198),
  [10142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8209),
  [10144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7581),
  [10146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6271),
  [10148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6182),
  [10150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6342),
  [10152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6353),
  [10154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6220),
  [10156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6221),
  [10158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6222),
  [10160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6225),
  [10162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [10164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [10166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [10168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [10170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9744),
  [10172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [10174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [10176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [10178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4405),
  [10180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4025),
  [10182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [10184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6849),
  [10186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6438),
  [10188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6441),
  [10190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6442),
  [10192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6446),
  [10194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6321),
  [10196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6160),
  [10198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4549),
  [10200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4594),
  [10202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [10204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [10206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14375),
  [10208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12324),
  [10210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12325),
  [10212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12326),
  [10214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [10216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [10218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [10220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [10222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12327),
  [10224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12328),
  [10226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5964),
  [10228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6037),
  [10230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6047),
  [10232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6053),
  [10234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12329),
  [10236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0),
  [10238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(90),
  [10241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(11263),
  [10244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0),
  [10246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(9700),
  [10249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(14118),
  [10252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(6712),
  [10255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(12538),
  [10258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(12539),
  [10261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(13230),
  [10264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(13290),
  [10267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(13466),
  [10270] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(9139),
  [10273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(14276),
  [10276] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(13468),
  [10279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(1987),
  [10282] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(118),
  [10285] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(90),
  [10288] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(137),
  [10291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [10293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6210),
  [10295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [10297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [10299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [10301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6195),
  [10303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [10305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [10307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4187),
  [10309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4377),
  [10311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [10313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6227),
  [10315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6229),
  [10317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4485),
  [10319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4563),
  [10321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4575),
  [10323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [10325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6239),
  [10327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12297),
  [10329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6243),
  [10331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12298),
  [10333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4818),
  [10335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4791),
  [10337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4816),
  [10339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [10341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [10343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [10345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [10347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [10349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6251),
  [10351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5686),
  [10353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5691),
  [10355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5692),
  [10357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5693),
  [10359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12299),
  [10361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4762),
  [10363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4727),
  [10365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [10367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4696),
  [10369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12300),
  [10371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6200),
  [10373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [10375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [10377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [10379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [10381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [10383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [10385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [10387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [10389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [10391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12302),
  [10393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4422),
  [10395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [10397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4471),
  [10399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4495),
  [10401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12303),
  [10403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12305),
  [10405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8304),
  [10407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8327),
  [10409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12314),
  [10411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12315),
  [10413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [10415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [10417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [10419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6191),
  [10421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [10423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6194),
  [10425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8248),
  [10427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14441),
  [10429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8109),
  [10431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9089),
  [10434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8119),
  [10436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [10438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6307),
  [10440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [10442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [10444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [10446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6055),
  [10448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14378),
  [10450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9029),
  [10453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6296),
  [10455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [10457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [10459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [10461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [10463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [10465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [10467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [10469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1622),
  [10471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [10473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [10475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [10477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [10479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [10481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [10483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [10485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [10487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [10489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1657),
  [10491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [10493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [10495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [10497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [10499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [10501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [10503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12621),
  [10505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12622),
  [10507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [10509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [10511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [10513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(12462),
  [10516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12951),
  [10518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [10520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [10522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [10524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(12462),
  [10527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12952),
  [10529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [10531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [10533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [10535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12623),
  [10537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12624),
  [10539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [10541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [10543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [10545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12626),
  [10547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [10549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [10551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [10553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12627),
  [10555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12629),
  [10557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [10559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [10561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [10563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [10565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [10567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [10569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [10571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [10573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [10575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12638),
  [10577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12639),
  [10579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14438),
  [10581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6192),
  [10583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [10585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12648),
  [10587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12649),
  [10589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [10591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12650),
  [10593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12651),
  [10595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12652),
  [10597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [10599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6385),
  [10601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6388),
  [10603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [10605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [10607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [10609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6285),
  [10611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [10613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [10615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [10617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [10619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [10621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6167),
  [10623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [10625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [10627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6171),
  [10629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [10631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [10633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [10635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2572),
  [10637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [10639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [10641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [10643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12653),
  [10645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [10647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6162),
  [10649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [10651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [10653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [10655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table, 5, 0, 0),
  [10657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11263),
  [10659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table, 5, 0, 0),
  [10661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10016),
  [10663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9700),
  [10665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14118),
  [10667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6712),
  [10669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12538),
  [10671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12539),
  [10673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13230),
  [10675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13290),
  [10677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13466),
  [10679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9139),
  [10681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14276),
  [10683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13468),
  [10685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [10687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [10689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [10691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [10693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [10695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [10697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [10699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [10701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table, 6, 0, 0),
  [10703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table, 6, 0, 0),
  [10705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10262),
  [10707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [10709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table, 4, 0, 0),
  [10711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10757),
  [10713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table, 4, 0, 0),
  [10715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10258),
  [10717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9948),
  [10719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12272),
  [10721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6722),
  [10723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13503),
  [10725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13281),
  [10727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12273),
  [10729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12276),
  [10731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13504),
  [10733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8928),
  [10735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12277),
  [10737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14221),
  [10739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [10741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [10743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [10745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [10747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12142),
  [10749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12195),
  [10751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14234),
  [10753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7767),
  [10755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9577),
  [10757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [10759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12371),
  [10761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12373),
  [10763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10361),
  [10765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table, 7, 0, 0),
  [10767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table, 7, 0, 0),
  [10769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10145),
  [10771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9853),
  [10773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [10775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10122),
  [10777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [10779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [10781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13543),
  [10783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9260),
  [10785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8475),
  [10787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7470),
  [10789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8152),
  [10791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7293),
  [10793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7590),
  [10795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14328),
  [10797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8669),
  [10799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13995),
  [10801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [10803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [10805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [10807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9699),
  [10809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [10811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [10813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [10815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8636),
  [10817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(10757),
  [10820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(9948),
  [10823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(12272),
  [10826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(6722),
  [10829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(13503),
  [10832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(13281),
  [10835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(12273),
  [10838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(12276),
  [10841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(13504),
  [10844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(8928),
  [10847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(12277),
  [10850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(14221),
  [10853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(13009),
  [10856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13437),
  [10858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [10860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [10862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(13009),
  [10865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13438),
  [10867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [10869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [10871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14399),
  [10873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9230),
  [10875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8296),
  [10877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7430),
  [10879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8149),
  [10881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7287),
  [10883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7528),
  [10885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8602),
  [10887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12545),
  [10889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [10891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [10893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [10895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [10897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [10899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [10901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [10903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9558),
  [10905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [10907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [10909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [10911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [10913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [10915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [10917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 124), SHIFT(12462),
  [10920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9758),
  [10922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [10924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 124), SHIFT(12462),
  [10927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [10929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9886),
  [10931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [10933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [10935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [10937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [10939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [10941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [10943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7720),
  [10945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7860),
  [10947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7700),
  [10949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7784),
  [10951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 5, 0, 0),
  [10953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 6, 0, 0),
  [10955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alias, 2, 0, 21),
  [10957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7730),
  [10959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7649),
  [10961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alias, 1, 0, 13),
  [10963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12200),
  [10965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12208),
  [10967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14405),
  [10969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7876),
  [10971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9580),
  [10973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [10975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12380),
  [10977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12381),
  [10979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9906),
  [10981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9924),
  [10983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9941),
  [10985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9956),
  [10987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 124), SHIFT(13009),
  [10990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 124), SHIFT(13009),
  [10993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7665),
  [10995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7704),
  [10997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7671),
  [10999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7742),
  [11001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7687),
  [11003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 4, 0, 48),
  [11005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7953),
  [11007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10846),
  [11009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10847),
  [11011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 2, 0, 15),
  [11013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10328),
  [11015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14028),
  [11017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14029),
  [11019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14031),
  [11021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14037),
  [11023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [11025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10329),
  [11027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6781),
  [11029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6838),
  [11031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11143),
  [11033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14053),
  [11035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6753),
  [11037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14055),
  [11039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9536),
  [11041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12110),
  [11043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14060),
  [11045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7728),
  [11047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10352),
  [11049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13634),
  [11051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 3, 0, 68),
  [11053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6832),
  [11055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12595),
  [11057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [11059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6929),
  [11061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12752),
  [11063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6525),
  [11065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12753),
  [11067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [11069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9363),
  [11071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12681),
  [11073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9364),
  [11075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7697),
  [11077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10187),
  [11079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7695),
  [11081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 2, 0, 68),
  [11083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6495),
  [11085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0),
  [11087] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6832),
  [11090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12595),
  [11093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1207),
  [11096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6929),
  [11099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12752),
  [11102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6525),
  [11105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12753),
  [11108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(877),
  [11111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9363),
  [11114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12681),
  [11117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9364),
  [11120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 9, 0, 183),
  [11122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10355),
  [11124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9557),
  [11126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 9, 0, 144),
  [11128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 8, 0, 0),
  [11130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definitions, 3, 0, 0),
  [11132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definitions, 3, 0, 0),
  [11134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6877),
  [11136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14196),
  [11138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [11140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6924),
  [11142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14292),
  [11144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6551),
  [11146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13601),
  [11148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [11150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9563),
  [11152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13600),
  [11154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8958),
  [11156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 10, 0, 0),
  [11158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 10, 0, 150),
  [11160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 10, 0, 183),
  [11162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 8, 0, 150),
  [11164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 5, 0, 87),
  [11166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 8, 0, 144),
  [11168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 9, 0, 150),
  [11170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 11, 0, 0),
  [11172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0),
  [11174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(14028),
  [11177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(14031),
  [11180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(14037),
  [11183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(10355),
  [11186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(6781),
  [11189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(6838),
  [11192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(11143),
  [11195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(14053),
  [11198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(6753),
  [11201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(14055),
  [11204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(9557),
  [11207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(12110),
  [11210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(14060),
  [11213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6565),
  [11215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 7, 0, 0),
  [11217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 7, 0, 144),
  [11219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definitions, 4, 0, 0),
  [11221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definitions, 4, 0, 0),
  [11223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6877),
  [11226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14196),
  [11229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1250),
  [11232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6924),
  [11235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14292),
  [11238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6565),
  [11241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(13601),
  [11244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(923),
  [11247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9563),
  [11250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(13600),
  [11253] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8958),
  [11256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 3, 0, 28),
  [11258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 9, 0, 0),
  [11260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat1, 2, 0, 0),
  [11262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8062),
  [11265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definitions, 5, 0, 0),
  [11267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definitions, 5, 0, 0),
  [11269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 11, 0, 183),
  [11271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12868),
  [11273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12869),
  [11275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14297),
  [11277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9780),
  [11279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6995),
  [11281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7027),
  [11283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11193),
  [11285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13635),
  [11287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6997),
  [11289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12997),
  [11291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8963),
  [11293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11608),
  [11295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13283),
  [11297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0),
  [11299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(10329),
  [11302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(9536),
  [11305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7989),
  [11307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_cross_join, 4, 0, 0),
  [11309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lateral_cross_join, 4, 0, 0),
  [11311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10410),
  [11313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6624),
  [11315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6626),
  [11317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(12868),
  [11320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(12869),
  [11323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(14297),
  [11326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(9780),
  [11329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(6995),
  [11332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(7027),
  [11335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(11193),
  [11338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(13635),
  [11341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(6997),
  [11344] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(12997),
  [11347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(8963),
  [11350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(11608),
  [11353] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(13283),
  [11356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6626),
  [11359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6710),
  [11361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8940),
  [11363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9876),
  [11365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6637),
  [11367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0),
  [11369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(11934),
  [11372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(12136),
  [11375] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(13293),
  [11378] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(13317),
  [11381] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(7774),
  [11384] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(9553),
  [11387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10848),
  [11389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10850),
  [11391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8011),
  [11394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6637),
  [11397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6630),
  [11399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not_like, 2, 0, 0),
  [11401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_like, 2, 0, 0),
  [11403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(12197),
  [11406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(12203),
  [11409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(14389),
  [11412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(12370),
  [11415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(7846),
  [11418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(9579),
  [11421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [11423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9157),
  [11425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_like, 1, 0, 0),
  [11427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_like, 1, 0, 0),
  [11429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_distinct_from, 3, 0, 0),
  [11431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_distinct_from, 3, 0, 0),
  [11433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not_distinct_from, 4, 0, 0),
  [11435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_distinct_from, 4, 0, 0),
  [11437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [11439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6777),
  [11441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6799),
  [11443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not_similar_to, 3, 0, 0),
  [11445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_similar_to, 3, 0, 0),
  [11447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_similar_to, 2, 0, 0),
  [11449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_similar_to, 2, 0, 0),
  [11451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6914),
  [11453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 5, 0, 135),
  [11455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7948),
  [11457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 8, 0, 221),
  [11459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 7, 0, 195),
  [11461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 9, 0, 241),
  [11463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10208),
  [11465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_hint, 7, 0, 162),
  [11467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 6, 0, 168),
  [11469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10150),
  [11471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8490),
  [11473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8322),
  [11475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14308),
  [11477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8302),
  [11479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10177),
  [11481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12963),
  [11483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7367),
  [11485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9078),
  [11487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8682),
  [11489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8431),
  [11491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9140),
  [11493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9140),
  [11495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11961),
  [11497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13666),
  [11499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13682),
  [11501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8766),
  [11503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8488),
  [11505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9207),
  [11507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12375),
  [11509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12584),
  [11511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_hint, 5, 0, 81),
  [11513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(12192),
  [11516] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(12198),
  [11519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(14371),
  [11522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(7790),
  [11525] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(9578),
  [11528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 4, 0, 89),
  [11530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9939),
  [11532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8279),
  [11534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8434),
  [11536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14179),
  [11538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8321),
  [11540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10471),
  [11542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7454),
  [11544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9302),
  [11546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8675),
  [11548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8374),
  [11550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9213),
  [11552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9213),
  [11554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11558),
  [11556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14181),
  [11558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14182),
  [11560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8557),
  [11562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8503),
  [11564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9592),
  [11566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14837),
  [11568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13460),
  [11570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8455),
  [11572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8456),
  [11574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14720),
  [11576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7418),
  [11578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12244),
  [11580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14554),
  [11582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14722),
  [11584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14723),
  [11586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11890),
  [11588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_constraint, 6, 0, 0),
  [11590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11577),
  [11592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_constraint, 6, 0, 0),
  [11594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__column_constraint_repeat1, 2, 0, 0),
  [11596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__column_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(11577),
  [11599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__column_constraint_repeat1, 2, 0, 0),
  [11601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_constraint, 7, 0, 0),
  [11603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_constraint, 7, 0, 0),
  [11605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11501),
  [11607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11976),
  [11609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__column_constraint_repeat1, 4, 0, 0),
  [11611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__column_constraint_repeat1, 4, 0, 0),
  [11613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10007),
  [11615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row_format, 7, 0, 223),
  [11617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row_format, 7, 0, 223),
  [11619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12408),
  [11621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12453),
  [11623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_option, 1, 0, 7),
  [11625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_option, 1, 0, 7),
  [11627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13629),
  [11629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_constraint, 5, 0, 0),
  [11631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_constraint, 5, 0, 0),
  [11633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cross_join, 5, 0, 0),
  [11635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9759),
  [11637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9863),
  [11639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(12206),
  [11642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(12210),
  [11645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(14421),
  [11648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(7749),
  [11651] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(9581),
  [11654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11347),
  [11656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row_format, 3, 0, 0),
  [11658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row_format, 3, 0, 0),
  [11660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13789),
  [11662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13790),
  [11664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11666),
  [11666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row_format, 10, 0, 257),
  [11668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row_format, 10, 0, 257),
  [11670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13980),
  [11672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_cross_join, 6, 0, 127),
  [11674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_cross_join, 5, 0, 83),
  [11676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__column_constraint_repeat1, 7, 0, 0),
  [11678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__column_constraint_repeat1, 7, 0, 0),
  [11680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__column_constraint_repeat1, 8, 0, 0),
  [11682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__column_constraint_repeat1, 8, 0, 0),
  [11684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__column_constraint_repeat1, 3, 0, 0),
  [11686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__column_constraint_repeat1, 3, 0, 0),
  [11688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_location, 5, 0, 170),
  [11690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_location, 5, 0, 170),
  [11692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13216),
  [11694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6760),
  [11696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10239),
  [11698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_key, 2, 0, 0),
  [11700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_key, 2, 0, 0),
  [11702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cross_join, 10, 0, 164),
  [11704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13833),
  [11706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13714),
  [11708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13622),
  [11710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13623),
  [11712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9984),
  [11714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_location, 2, 0, 53),
  [11716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_location, 2, 0, 53),
  [11718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14379),
  [11720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cross_join, 9, 0, 164),
  [11722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__column_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(11666),
  [11725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cross_join, 11, 0, 164),
  [11727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cross_join, 3, 0, 0),
  [11729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14663),
  [11731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__table_settings, 4, 0, 0),
  [11733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__table_settings, 4, 0, 0),
  [11735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_strictness, 1, 0, 0),
  [11737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_strictness, 1, 0, 0),
  [11739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_parameters, 6, 0, 0),
  [11741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_parameters, 6, 0, 0),
  [11743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__default_expression, 4, 0, 0),
  [11745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__default_expression, 4, 0, 0),
  [11747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row_format, 11, 0, 260),
  [11749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row_format, 11, 0, 260),
  [11751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14705),
  [11753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7262),
  [11755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11929),
  [11757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11929),
  [11759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7155),
  [11761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7306),
  [11763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [11765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7070),
  [11767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_location, 6, 0, 170),
  [11769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_location, 6, 0, 170),
  [11771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6917),
  [11773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13485),
  [11775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 2, 0, 0),
  [11777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 2, 0, 0),
  [11779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row_format, 14, 0, 270),
  [11781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row_format, 14, 0, 270),
  [11783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_sort, 6, 0, 0),
  [11785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_sort, 6, 0, 0),
  [11787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(12142),
  [11790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(12195),
  [11793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(14234),
  [11796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(7767),
  [11799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(9577),
  [11802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14304),
  [11804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_option, 3, 0, 93),
  [11806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_option, 3, 0, 93),
  [11808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_strictness, 5, 0, 0),
  [11810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_strictness, 5, 0, 0),
  [11812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 5, 0, 0),
  [11814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 5, 0, 0),
  [11816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_parameters, 5, 0, 0),
  [11818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_parameters, 5, 0, 0),
  [11820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__table_settings, 5, 0, 0),
  [11822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__table_settings, 5, 0, 0),
  [11824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__check_constraint, 6, 0, 0),
  [11826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__check_constraint, 6, 0, 0),
  [11828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_security, 3, 0, 0),
  [11830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_security, 3, 0, 0),
  [11832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12144),
  [11834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_sort, 5, 0, 0),
  [11836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_sort, 5, 0, 0),
  [11838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_volatility, 1, 0, 0),
  [11840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_volatility, 1, 0, 0),
  [11842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_leakproof, 2, 0, 0),
  [11844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_leakproof, 2, 0, 0),
  [11846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 5, 0, 130),
  [11848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 5, 0, 130),
  [11850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_rows, 2, 0, 0),
  [11852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_rows, 2, 0, 0),
  [11854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0),
  [11856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0),
  [11858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stored_as, 3, 0, 0),
  [11860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stored_as, 3, 0, 0),
  [11862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_language, 2, 0, 0),
  [11864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_language, 2, 0, 0),
  [11866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_safety, 2, 0, 0),
  [11868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_safety, 2, 0, 0),
  [11870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_cost, 2, 0, 0),
  [11872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_cost, 2, 0, 0),
  [11874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_support, 2, 0, 149),
  [11876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_support, 2, 0, 149),
  [11878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_security, 2, 0, 0),
  [11880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_security, 2, 0, 0),
  [11882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 5, 0, 133),
  [11884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 5, 0, 133),
  [11886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__not_null, 2, 0, 0),
  [11888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__not_null, 2, 0, 0),
  [11890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 6, 0, 165),
  [11892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 6, 0, 165),
  [11894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__check_constraint, 4, 0, 0),
  [11896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__check_constraint, 4, 0, 0),
  [11898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 4, 0, 0),
  [11900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 4, 0, 0),
  [11902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 6, 0, 0),
  [11904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 6, 0, 0),
  [11906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_location, 9, 0, 253),
  [11908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_location, 9, 0, 253),
  [11910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_parameters, 7, 0, 0),
  [11912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_parameters, 7, 0, 0),
  [11914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [11916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 6, 0, 166),
  [11918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 6, 0, 166),
  [11920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__default_expression, 2, 0, 0),
  [11922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__default_expression, 2, 0, 0),
  [11924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12987),
  [11926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7429),
  [11928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12055),
  [11930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12055),
  [11932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7271),
  [11934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7236),
  [11936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7463),
  [11938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7429),
  [11940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7165),
  [11942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7406),
  [11944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12996),
  [11946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 4, 0, 86),
  [11948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 4, 0, 86),
  [11950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_option, 2, 0, 0),
  [11952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_option, 2, 0, 0),
  [11954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__table_settings, 2, 0, 0),
  [11956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__table_settings, 2, 0, 0),
  [11958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_comment, 2, 0, 149),
  [11960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_comment, 2, 0, 149),
  [11962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13684),
  [11964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6875),
  [11966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row_format, 7, 0, 224),
  [11968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row_format, 7, 0, 224),
  [11970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6918),
  [11972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13851),
  [11974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13852),
  [11976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 7, 0, 194),
  [11978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 7, 0, 194),
  [11980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 7, 0, 0),
  [11982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 7, 0, 0),
  [11984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_option, 4, 0, 0),
  [11986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_option, 4, 0, 0),
  [11988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12962),
  [11990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_parameters, 4, 0, 0),
  [11992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_parameters, 4, 0, 0),
  [11994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12596),
  [11996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 3, 0, 0),
  [11998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 3, 0, 0),
  [12000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_strictness, 4, 0, 0),
  [12002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_strictness, 4, 0, 0),
  [12004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_direction, 1, 0, 0),
  [12006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_direction, 1, 0, 0),
  [12008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13735),
  [12010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13820),
  [12012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_leakproof, 1, 0, 0),
  [12014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_leakproof, 1, 0, 0),
  [12016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11155),
  [12018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [12020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [12022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [12024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [12026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [12028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [12030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [12032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [12034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [12036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [12038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2928),
  [12040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [12042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [12044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2931),
  [12046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3450),
  [12048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [12050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8325),
  [12052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [12054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [12056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2681),
  [12058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [12060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [12062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [12064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3090),
  [12066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2875),
  [12068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5242),
  [12070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [12072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5244),
  [12074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5245),
  [12076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [12078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5247),
  [12080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5836),
  [12082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5612),
  [12084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [12086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [12088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [12090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5473),
  [12092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [12094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [12096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6120),
  [12098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5765),
  [12100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [12102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [12104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [12106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [12108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [12110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [12112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(621),
  [12114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [12116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4909),
  [12118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [12120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4874),
  [12122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [12124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4881),
  [12126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4885),
  [12128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5267),
  [12130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5016),
  [12132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4934),
  [12134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4946),
  [12136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4948),
  [12138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4949),
  [12140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4950),
  [12142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [12144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5309),
  [12146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5021),
  [12148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [12150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [12152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [12154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2396),
  [12156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [12158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [12160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2839),
  [12162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [12164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8435),
  [12166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10460),
  [12168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [12170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [12172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [12174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [12176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [12178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [12180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3190),
  [12182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2949),
  [12184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [12186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [12188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [12190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [12192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [12194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [12196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [12198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [12200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(12200),
  [12203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(12208),
  [12206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(14405),
  [12209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(7876),
  [12212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(9580),
  [12215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4841),
  [12217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [12219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4843),
  [12221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4844),
  [12223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [12225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4846),
  [12227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5109),
  [12229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4947),
  [12231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [12233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [12235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [12237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [12239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [12241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [12243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3836),
  [12245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [12247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2773),
  [12249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [12251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [12253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [12255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [12257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [12259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3351),
  [12261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [12263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [12265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4788),
  [12267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4792),
  [12269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4805),
  [12271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4813),
  [12273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4836),
  [12275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5122),
  [12277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4897),
  [12279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [12281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [12283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [12285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [12287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [12289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [12291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [12293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [12295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [12297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [12299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [12301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [12303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [12305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3048),
  [12307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3649),
  [12309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [12311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [12313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [12315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [12317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [12319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [12321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [12323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4204),
  [12325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [12327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7000),
  [12329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7001),
  [12331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7002),
  [12333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7003),
  [12335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7004),
  [12337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7005),
  [12339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7104),
  [12341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7054),
  [12343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [12345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [12347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [12349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [12351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [12353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1123),
  [12355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [12357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [12359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_all_fields, 3, 0, 0),
  [12361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_all_fields, 3, 0, 0),
  [12363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_all_fields, 1, 0, 0),
  [12365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_all_fields, 1, 0, 0),
  [12367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_role, 3, 0, 0),
  [12369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_role, 3, 0, 0),
  [12371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11937),
  [12373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6948),
  [12375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10444),
  [12377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8562),
  [12379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14348),
  [12381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14784),
  [12383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12411),
  [12385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 2, 0, 0),
  [12387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12012),
  [12389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8134),
  [12391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10976),
  [12393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10353),
  [12395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13721),
  [12397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7024),
  [12399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11582),
  [12401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8180),
  [12403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9920),
  [12405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7020),
  [12407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7129),
  [12409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7245),
  [12411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7023),
  [12413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14498),
  [12415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52),
  [12417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(297),
  [12420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52),
  [12422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(11937),
  [12425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(10444),
  [12428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(8562),
  [12431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(14348),
  [12434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(14784),
  [12437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(12411),
  [12440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(297),
  [12443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10362),
  [12445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_role, 4, 0, 0),
  [12447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_role, 4, 0, 0),
  [12449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13068),
  [12451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13068),
  [12453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13355),
  [12455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13356),
  [12457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11574),
  [12459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6998),
  [12461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9935),
  [12463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8582),
  [12465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14810),
  [12467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12270),
  [12469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12271),
  [12471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8177),
  [12473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9891),
  [12475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7014),
  [12477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 6, 0, 0),
  [12479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9885),
  [12481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10348),
  [12483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10369),
  [12485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_role, 4, 0, 31),
  [12487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_role, 4, 0, 31),
  [12489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 5, 0, 0),
  [12491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 2, 0, 149),
  [12493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 9, 0, 0),
  [12495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_role, 5, 0, 50),
  [12497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_role, 5, 0, 50),
  [12499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 8, 0, 0),
  [12501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 7, 0, 0),
  [12503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10360),
  [12505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10247),
  [12507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9894),
  [12509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_role, 3, 0, 0),
  [12511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9248),
  [12513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13222),
  [12515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7435),
  [12517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13316),
  [12519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8839),
  [12521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12998),
  [12523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13046),
  [12525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13091),
  [12527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9255),
  [12529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 4, 0, 0),
  [12531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9936),
  [12533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9903),
  [12535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8932),
  [12537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13519),
  [12539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7508),
  [12541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14132),
  [12543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8803),
  [12545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12286),
  [12547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12287),
  [12549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12288),
  [12551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9422),
  [12553] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 7, 0, 0),
  [12555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_target, 3, 0, 0),
  [12557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11953),
  [12559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7158),
  [12561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9165),
  [12563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(173),
  [12566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(11574),
  [12569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(9935),
  [12572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(8582),
  [12575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(14810),
  [12578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(12270),
  [12581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(12271),
  [12584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(173),
  [12587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_target, 2, 0, 0),
  [12589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12257),
  [12591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7128),
  [12593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7243),
  [12595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13063),
  [12597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7137),
  [12599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7250),
  [12601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13071),
  [12603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7139),
  [12605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7251),
  [12607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13072),
  [12609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7141),
  [12611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7253),
  [12613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13073),
  [12615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7142),
  [12617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7254),
  [12619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13074),
  [12621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7143),
  [12623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7255),
  [12625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13075),
  [12627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11905),
  [12629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7079),
  [12631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7173),
  [12633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14501),
  [12635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__create_statement, 1, 0, 0),
  [12637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_target, 5, 0, 0),
  [12639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7072),
  [12641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7188),
  [12643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7073),
  [12645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7189),
  [12647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9811),
  [12649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__create_statement, 2, 0, 0),
  [12651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group_by, 4, 0, 0),
  [12653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9386),
  [12655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9386),
  [12657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8293),
  [12659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13043),
  [12661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10130),
  [12663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12433),
  [12665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10134),
  [12667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9416),
  [12669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(10131),
  [12672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7103),
  [12674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7125),
  [12676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13058),
  [12678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7090),
  [12680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7216),
  [12682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7093),
  [12684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7220),
  [12686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_order_by_repeat1, 2, 0, 0),
  [12688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7094),
  [12690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7230),
  [12692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__create_statement_repeat1, 2, 0, 0),
  [12694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__create_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6697),
  [12697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_target, 4, 0, 0),
  [12699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__user_access_role_config, 2, 0, 0),
  [12701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__user_access_role_config, 2, 0, 0),
  [12703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10131),
  [12705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__create_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6691),
  [12708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7081),
  [12710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14500),
  [12712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7108),
  [12714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7178),
  [12716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__user_access_role_config, 4, 0, 0),
  [12718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__user_access_role_config, 4, 0, 0),
  [12720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7109),
  [12722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7182),
  [12724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__user_access_role_config, 3, 0, 0),
  [12726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__user_access_role_config, 3, 0, 0),
  [12728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7066),
  [12730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7183),
  [12732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13083),
  [12734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7206),
  [12736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10370),
  [12738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10212),
  [12740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13061),
  [12742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7097),
  [12744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13062),
  [12746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7207),
  [12748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7208),
  [12750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13064),
  [12752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13065),
  [12754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13067),
  [12756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7215),
  [12758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 8, 0, 0),
  [12760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14502),
  [12762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10207),
  [12764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13076),
  [12766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13077),
  [12768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_term, 2, 0, 12),
  [12770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7227),
  [12772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [12774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7234),
  [12776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(10207),
  [12779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(1294),
  [12782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14499),
  [12784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7200),
  [12786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7205),
  [12788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10652),
  [12790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6818),
  [12792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6819),
  [12794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6820),
  [12796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12354),
  [12798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8936),
  [12800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8937),
  [12802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [12804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13507),
  [12806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14132),
  [12808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12545),
  [12810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7459),
  [12812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10120),
  [12814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13084),
  [12816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13085),
  [12818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13086),
  [12820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13087),
  [12822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13059),
  [12824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11294),
  [12826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7392),
  [12828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13060),
  [12830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13088),
  [12832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7154),
  [12834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11384),
  [12836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6761),
  [12838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [12840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6768),
  [12842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14281),
  [12844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9276),
  [12846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9277),
  [12848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [12850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14349),
  [12852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13316),
  [12854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13995),
  [12856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7267),
  [12858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10020),
  [12860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9937),
  [12862] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__create_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6700),
  [12865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7244),
  [12867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7177),
  [12869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7179),
  [12871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7184),
  [12873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7242),
  [12875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9165),
  [12878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11387),
  [12880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [12882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7166),
  [12884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__role_options, 3, 0, 0),
  [12886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__role_options, 3, 0, 0),
  [12888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__role_options, 3, 0, 90),
  [12890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__role_options, 3, 0, 90),
  [12892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__role_options, 3, 0, 91),
  [12894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__role_options, 3, 0, 91),
  [12896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__role_options, 3, 0, 92),
  [12898] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__role_options, 3, 0, 92),
  [12900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7219),
  [12902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7166),
  [12905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_role_repeat1, 1, 0, 29),
  [12907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 1, 0, 29),
  [12909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__role_options, 1, 0, 30),
  [12911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__role_options, 1, 0, 30),
  [12913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(1361),
  [12916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7527),
  [12918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9496),
  [12920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7152),
  [12922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__role_options, 2, 0, 0),
  [12924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__role_options, 2, 0, 0),
  [12926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__role_options, 2, 0, 51),
  [12928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__role_options, 2, 0, 51),
  [12930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9593),
  [12932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12215),
  [12934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12216),
  [12936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11327),
  [12938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11328),
  [12940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10393),
  [12942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10400),
  [12944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [12946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9290),
  [12948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7630),
  [12950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9724),
  [12952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_sequence, 3, 0, 0),
  [12954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9144),
  [12956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6829),
  [12958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6759),
  [12960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13628),
  [12962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9149),
  [12964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [12966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11117),
  [12968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7275),
  [12970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9775),
  [12972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_sequence, 5, 0, 69),
  [12974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7269),
  [12976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_sequence, 6, 0, 101),
  [12978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7319),
  [12980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71),
  [12982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(6761),
  [12985] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(6762),
  [12988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(6768),
  [12991] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(14281),
  [12994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(9276),
  [12997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(9277),
  [13000] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(37),
  [13003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(14349),
  [13006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(7269),
  [13009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(10020),
  [13012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(1331),
  [13015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_sequence, 4, 0, 32),
  [13017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10894),
  [13019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10902),
  [13021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_sequence, 4, 0, 0),
  [13023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7302),
  [13025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_sequence, 4, 0, 35),
  [13027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7552),
  [13029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9911),
  [13031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11028),
  [13033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11039),
  [13035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11044),
  [13037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7599),
  [13039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10414),
  [13041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 9, 0, 0),
  [13043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9751),
  [13045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10095),
  [13047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9835),
  [13049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11180),
  [13051] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(1565),
  [13054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10293),
  [13056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_sequence, 5, 0, 54),
  [13058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__copy_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9593),
  [13061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__copy_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(12215),
  [13064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__copy_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(12216),
  [13067] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__copy_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(11327),
  [13070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__copy_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(11328),
  [13073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__copy_statement_repeat1, 2, 0, 0),
  [13075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10094),
  [13077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group_by, 5, 0, 0),
  [13079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_sequence, 5, 0, 0),
  [13081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7268),
  [13083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10451),
  [13085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10452),
  [13087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59),
  [13089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(9144),
  [13092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(6829),
  [13095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(6759),
  [13098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(13628),
  [13101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(9149),
  [13104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(13),
  [13107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(11117),
  [13110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(7319),
  [13113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(9775),
  [13116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9752),
  [13118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9753),
  [13120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10043),
  [13122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8929),
  [13124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6810),
  [13126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6811),
  [13128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12318),
  [13130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8930),
  [13132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [13134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10514),
  [13136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7343),
  [13138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10063),
  [13140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12188),
  [13142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14194),
  [13144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7975),
  [13146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9576),
  [13148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [13150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11704),
  [13152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [13154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11542),
  [13156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__truncate_statement, 1, 0, 0),
  [13158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7512),
  [13160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10874),
  [13162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7701),
  [13164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [13166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11971),
  [13168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [13170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11539),
  [13172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 10, 0, 0),
  [13174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(8929),
  [13177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(6810),
  [13180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(6811),
  [13183] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(12318),
  [13186] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(8930),
  [13189] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(33),
  [13192] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(10514),
  [13195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(7343),
  [13198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(10063),
  [13201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7409),
  [13203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 3, 0, 94),
  [13205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 3, 0, 0),
  [13207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 3, 0, 95),
  [13209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2, 0, 0),
  [13211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(754),
  [13214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(1576),
  [13217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11963),
  [13219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [13221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8863),
  [13223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7562),
  [13225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [13227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12231),
  [13229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_role, 5, 0, 50),
  [13231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7331),
  [13233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8779),
  [13235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7569),
  [13237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [13239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12005),
  [13241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [13243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [13245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 52),
  [13247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 52), SHIFT_REPEAT(299),
  [13250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 52), SHIFT_REPEAT(8839),
  [13253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 52), SHIFT_REPEAT(12998),
  [13256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 52), SHIFT_REPEAT(13046),
  [13259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 52), SHIFT_REPEAT(13091),
  [13262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 52), SHIFT_REPEAT(299),
  [13265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [13267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11692),
  [13269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 0),
  [13271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 70),
  [13273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [13275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_expression, 2, 0, 0),
  [13277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [13279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7486),
  [13281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [13283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [13285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 57),
  [13287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 56),
  [13289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8166),
  [13291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6896),
  [13293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8513),
  [13295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8019),
  [13297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12660),
  [13299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 58),
  [13301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6878),
  [13303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9301),
  [13305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11332),
  [13307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7841),
  [13309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7563),
  [13311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9212),
  [13313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13465),
  [13315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [13317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11601),
  [13319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 3, 0, 0),
  [13321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8786),
  [13323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7492),
  [13325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8876),
  [13327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7493),
  [13329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [13331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [13333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 3, 0, 95),
  [13335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [13337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [13339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [13341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7551),
  [13343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12275),
  [13345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_limit, 2, 0, 0),
  [13347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6882),
  [13349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 57),
  [13351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [13353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_role, 4, 0, 0),
  [13355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_expression, 1, 0, 0),
  [13357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by, 4, 0, 0),
  [13359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [13361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [13363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11859),
  [13365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_role, 4, 0, 31),
  [13367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [13369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [13371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by, 3, 0, 0),
  [13373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [13375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8730),
  [13377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7559),
  [13379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__copy_statement_repeat1, 2, 0, 188),
  [13381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [13383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8851),
  [13385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7582),
  [13387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 58),
  [13389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [13391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 55),
  [13393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 3, 0, 106),
  [13395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [13397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 0),
  [13399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [13401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [13403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7580),
  [13405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8240),
  [13407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6873),
  [13409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8758),
  [13411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8064),
  [13413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13050),
  [13415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 56),
  [13417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [13419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_repeat1, 2, 0, 0), SHIFT_REPEAT(1011),
  [13422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [13424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6850),
  [13426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9564),
  [13428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11244),
  [13430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7787),
  [13432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7592),
  [13434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9657),
  [13436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14354),
  [13438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_clause, 4, 0, 0),
  [13440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(6818),
  [13443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(6819),
  [13446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(6820),
  [13449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(12354),
  [13452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(8936),
  [13455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(8937),
  [13458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(35),
  [13461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(13507),
  [13464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(7486),
  [13467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(10120),
  [13470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [13472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [13474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8742),
  [13476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10136),
  [13478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13258),
  [13480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10137),
  [13482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7633),
  [13484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7553),
  [13486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6988),
  [13488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10276),
  [13490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12051),
  [13492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 1, 0, 96),
  [13494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__truncate_statement, 2, 0, 0),
  [13496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11181),
  [13498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7627),
  [13500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cte, 3, 0, 0),
  [13502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9268),
  [13504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6883),
  [13506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 2, 0, 0),
  [13508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__select_statement, 1, 0, 0),
  [13510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [13512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 3, 0, 0),
  [13514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10277),
  [13516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12053),
  [13518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 1, 0, 97),
  [13520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [13522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7632),
  [13524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11760),
  [13526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7752),
  [13528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [13530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12089),
  [13532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7647),
  [13534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12108),
  [13536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14045),
  [13538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8061),
  [13540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9538),
  [13542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_repeat1, 2, 0, 0), SHIFT_REPEAT(928),
  [13545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [13547] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 52), SHIFT_REPEAT(173),
  [13550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 52), SHIFT_REPEAT(8803),
  [13553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 52), SHIFT_REPEAT(12286),
  [13556] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 52), SHIFT_REPEAT(12287),
  [13559] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 52), SHIFT_REPEAT(12288),
  [13562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 52), SHIFT_REPEAT(173),
  [13565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(790),
  [13568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8754),
  [13570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6863),
  [13572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9332),
  [13574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9334),
  [13576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13841),
  [13578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13479),
  [13580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13842),
  [13582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_repeat1, 2, 0, 0), SHIFT_REPEAT(937),
  [13585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8477),
  [13587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9696),
  [13589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11672),
  [13591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 3, 0, 171),
  [13593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8567),
  [13595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cte, 2, 0, 0),
  [13597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cte, 4, 0, 0),
  [13599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6830),
  [13601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6899),
  [13603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9585),
  [13605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9635),
  [13607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14559),
  [13609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14658),
  [13611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14642),
  [13613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7667),
  [13615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__cte_repeat1, 2, 0, 0),
  [13617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__cte_repeat1, 2, 0, 0), SHIFT_REPEAT(9268),
  [13620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6931),
  [13622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 8, 0, 215),
  [13624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [13626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9589),
  [13628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8093),
  [13630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11543),
  [13632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 5, 0, 171),
  [13634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 8, 0, 216),
  [13636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 8, 0, 217),
  [13638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 7, 0, 185),
  [13640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 11, 0, 255),
  [13642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 11, 0, 256),
  [13644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 11, 0, 0),
  [13646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 7, 0, 186),
  [13648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__truncate_statement, 3, 0, 0),
  [13650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10984),
  [13652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [13654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9513),
  [13656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8059),
  [13658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_database, 4, 0, 0),
  [13660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_database, 4, 0, 0),
  [13662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7780),
  [13664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11804),
  [13666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7796),
  [13668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__select_statement, 2, 0, 0),
  [13670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9280),
  [13672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8489),
  [13674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8200),
  [13676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_database, 3, 0, 0),
  [13678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_database, 3, 0, 0),
  [13680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7748),
  [13682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12105),
  [13684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8069),
  [13686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_read, 1, 0, 0),
  [13688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8925),
  [13690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10097),
  [13692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_limit, 3, 0, 0),
  [13694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(10415),
  [13697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8565),
  [13699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8380),
  [13701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8388),
  [13703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8393),
  [13705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8395),
  [13707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8410),
  [13709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8696),
  [13711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8701),
  [13713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8897),
  [13715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 9, 0, 233),
  [13717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 9, 0, 234),
  [13719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 9, 0, 235),
  [13721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11875),
  [13723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7988),
  [13725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 19),
  [13727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 9, 0, 236),
  [13729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [13731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 9, 0, 237),
  [13733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 9, 0, 238),
  [13735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 5, 0, 108),
  [13737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8691),
  [13739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8340),
  [13741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8494),
  [13743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8298),
  [13745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8358),
  [13747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8342),
  [13749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8589),
  [13751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8590),
  [13753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8654),
  [13755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9548),
  [13757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8405),
  [13759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8216),
  [13761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 5, 0, 109),
  [13763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 20),
  [13765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 20), SHIFT_REPEAT(8925),
  [13768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 20), SHIFT_REPEAT(10097),
  [13771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9518),
  [13773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8094),
  [13775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_read, 4, 0, 0),
  [13777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 6, 0, 151),
  [13779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__select_statement, 4, 0, 0),
  [13781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 3, 0, 39),
  [13783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 6, 0, 152),
  [13785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 8, 0, 214),
  [13787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11674),
  [13789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 3, 0, 96),
  [13791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11690),
  [13793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 3, 0, 97),
  [13795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offset, 2, 0, 0),
  [13797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [13799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9210),
  [13801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8276),
  [13803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8139),
  [13805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__select_statement, 3, 0, 0),
  [13807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_read, 2, 0, 0),
  [13809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_operation, 2, 0, 10),
  [13811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7847),
  [13813] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_repeat1, 2, 0, 0), SHIFT_REPEAT(959),
  [13816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8117),
  [13818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9146),
  [13820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(794),
  [13823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 10, 0, 248),
  [13825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 10, 0, 249),
  [13827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 10, 0, 250),
  [13829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 10, 0, 251),
  [13831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8146),
  [13833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(1386),
  [13836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8130),
  [13838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8194),
  [13840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9270),
  [13842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8155),
  [13844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8429),
  [13846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8359),
  [13848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8652),
  [13850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10067),
  [13852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10071),
  [13854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10085),
  [13856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8461),
  [13858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14204),
  [13860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10472),
  [13862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11207),
  [13864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11207),
  [13866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14203),
  [13868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8504),
  [13870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9555),
  [13872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14838),
  [13874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8048),
  [13876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_database, 6, 0, 99),
  [13878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_database, 6, 0, 99),
  [13880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8153),
  [13882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8195),
  [13884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8057),
  [13886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7542),
  [13888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_database, 4, 0, 34),
  [13890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_database, 4, 0, 34),
  [13892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8196),
  [13894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8142),
  [13896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8041),
  [13898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8002),
  [13900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__show_tables, 1, 0, 0),
  [13902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8421),
  [13904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8241),
  [13906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8378),
  [13908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_database, 5, 0, 0),
  [13910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_database, 5, 0, 0),
  [13912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [13914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8345),
  [13916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14590),
  [13918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10404),
  [13920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11356),
  [13922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11356),
  [13924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14266),
  [13926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8408),
  [13928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9069),
  [13930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14751),
  [13932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8251),
  [13934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7961),
  [13936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11882),
  [13938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8148),
  [13940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7969),
  [13942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8912),
  [13944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8141),
  [13946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8280),
  [13948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8281),
  [13950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8529),
  [13952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9878),
  [13954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9879),
  [13956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10175),
  [13958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8916),
  [13960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10106),
  [13962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8253),
  [13964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_database, 5, 0, 60),
  [13966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_database, 5, 0, 60),
  [13968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 3, 0, 0),
  [13970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9884),
  [13972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(829),
  [13975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_from, 2, 0, 0),
  [13977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [13979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8255),
  [13981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8243),
  [13983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8179),
  [13985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8026),
  [13987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7754),
  [13989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8120),
  [13991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8181),
  [13993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8182),
  [13995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_database_repeat1, 2, 0, 63),
  [13997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_database_repeat1, 2, 0, 63), SHIFT_REPEAT(90),
  [14000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_create_database_repeat1, 2, 0, 63),
  [14002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_database_repeat1, 2, 0, 63), SHIFT_REPEAT(90),
  [14005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 2, 0, 0),
  [14007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9803),
  [14009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8189),
  [14011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 20), SHIFT_REPEAT(8916),
  [14014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 20), SHIFT_REPEAT(10106),
  [14017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8190),
  [14019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [14021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7977),
  [14023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8463),
  [14025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14731),
  [14027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11435),
  [14029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11435),
  [14031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14730),
  [14033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8266),
  [14035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_repeat1, 2, 0, 0), SHIFT_REPEAT(1042),
  [14038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_role_repeat1, 1, 0, 29),
  [14040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 1, 0, 29),
  [14042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_from, 3, 0, 0),
  [14044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8191),
  [14046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9032),
  [14048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14733),
  [14050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12267),
  [14052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10807),
  [14054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8084),
  [14056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11750),
  [14058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11755),
  [14060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12175),
  [14062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7941),
  [14064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11538),
  [14066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [14068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11592),
  [14070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13563),
  [14072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [14074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4515),
  [14076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [14078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [14080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [14082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11873),
  [14084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__set_values, 3, 0, 0),
  [14086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8220),
  [14088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4832),
  [14090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13543),
  [14092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14771),
  [14094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14783),
  [14096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11748),
  [14098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10520),
  [14100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [14102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [14104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [14106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8042),
  [14108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11759),
  [14110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7956),
  [14112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11607),
  [14114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8017),
  [14116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12007),
  [14118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7951),
  [14120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5666),
  [14122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__show_tables, 3, 0, 14),
  [14124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4754),
  [14126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11647),
  [14128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7957),
  [14130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [14132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 2, 0, 0), SHIFT_REPEAT(9032),
  [14135] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 2, 0, 0), SHIFT_REPEAT(14733),
  [14138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 2, 0, 0), SHIFT_REPEAT(12267),
  [14141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 2, 0, 0), SHIFT_REPEAT(10807),
  [14144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 2, 0, 0), SHIFT_REPEAT(7956),
  [14147] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 2, 0, 0), SHIFT_REPEAT(11750),
  [14150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 2, 0, 0), SHIFT_REPEAT(11755),
  [14153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11686),
  [14155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9534),
  [14157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [14159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [14161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7964),
  [14163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11706),
  [14165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7967),
  [14167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4527),
  [14169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11713),
  [14171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7971),
  [14173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11716),
  [14175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7982),
  [14177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9456),
  [14179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10178),
  [14181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 20), SHIFT_REPEAT(9456),
  [14184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 20), SHIFT_REPEAT(10178),
  [14187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__or_replace, 2, 0, 0),
  [14189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__or_replace, 2, 0, 0),
  [14191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11719),
  [14193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8449),
  [14195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8920),
  [14197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [14199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9690),
  [14201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__set_values, 2, 0, 0),
  [14203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8218),
  [14205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat2, 2, 0, 0),
  [14207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(12108),
  [14210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(14045),
  [14213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(8061),
  [14216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(9538),
  [14219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6426),
  [14221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [14223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8755),
  [14225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12150),
  [14227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7800),
  [14229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14399),
  [14231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13520),
  [14233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13555),
  [14235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11982),
  [14237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10689),
  [14239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [14241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [14243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4440),
  [14245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_assignment_list_repeat1, 2, 0, 0),
  [14247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assignment_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8218),
  [14250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7944),
  [14252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11667),
  [14254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [14256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10700),
  [14258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8782),
  [14260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12093),
  [14262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5948),
  [14264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7771),
  [14266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assignment_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8220),
  [14269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8797),
  [14271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11633),
  [14273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7776),
  [14275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12183),
  [14277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [14279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11300),
  [14281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8076),
  [14283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12162),
  [14285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8078),
  [14287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12165),
  [14289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8079),
  [14291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12168),
  [14293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12172),
  [14295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8081),
  [14297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12174),
  [14299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8083),
  [14301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12176),
  [14303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8086),
  [14305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12177),
  [14307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8088),
  [14309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12178),
  [14311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8090),
  [14313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12179),
  [14315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8092),
  [14317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12180),
  [14319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4013),
  [14321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [14323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9391),
  [14325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [14327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [14329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8362),
  [14331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9419),
  [14333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4922),
  [14335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [14337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__truncate_statement, 5, 0, 0),
  [14339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11355),
  [14341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9561),
  [14343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 5, 0, 88),
  [14345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9957),
  [14347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7383),
  [14349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11646),
  [14351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [14353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 5, 0, 0),
  [14355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__show_create, 4, 0, 0),
  [14357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9425),
  [14359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [14361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [14363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_read, 2, 0, 8),
  [14365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9428),
  [14367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [14369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [14371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9383),
  [14373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [14375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [14377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 6, 0, 134),
  [14379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9989),
  [14381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7411),
  [14383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11683),
  [14385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7859),
  [14387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9435),
  [14389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [14391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [14393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9293),
  [14395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [14397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [14399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9438),
  [14401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [14403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [14405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__with_settings, 3, 0, 100),
  [14407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__with_settings, 3, 0, 100),
  [14409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9154),
  [14411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [14413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [14415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__with_settings, 3, 0, 93),
  [14417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__with_settings, 3, 0, 93),
  [14419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9297),
  [14421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [14423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [14425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9444),
  [14427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [14429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [14431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9446),
  [14433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [14435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [14437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7823),
  [14439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_values, 3, 0, 47),
  [14441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12164),
  [14443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14690),
  [14445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8156),
  [14447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9217),
  [14449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8290),
  [14451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 3, 0, 0),
  [14453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11200),
  [14455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7439),
  [14457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12080),
  [14459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [14461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5961),
  [14463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13390),
  [14465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9220),
  [14467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [14469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8365),
  [14471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_read, 3, 0, 8),
  [14473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__compute_stats_repeat2, 2, 0, 0),
  [14475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_read, 3, 0, 0),
  [14477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8769),
  [14479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8781),
  [14481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9309),
  [14483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [14485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [14487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8744),
  [14489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8577),
  [14491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9313),
  [14493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [14495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [14497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9076),
  [14499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8432),
  [14501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11774),
  [14503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14403),
  [14505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_from, 4, 0, 0),
  [14507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_read, 1, 0, 2),
  [14509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assignment_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8156),
  [14512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9328),
  [14514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13674),
  [14516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 4, 0, 0),
  [14518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10916),
  [14520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7387),
  [14522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12126),
  [14524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_values, 2, 0, 0),
  [14526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11181),
  [14528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9566),
  [14530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14315),
  [14532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9388),
  [14534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [14536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [14538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__truncate_statement, 4, 0, 0),
  [14540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11410),
  [14542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9318),
  [14544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [14546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [14548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 4, 0, 0),
  [14550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10206),
  [14552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8448),
  [14554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10215),
  [14556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8245),
  [14558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9321),
  [14560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [14562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [14564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_read, 4, 0, 26),
  [14566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9643),
  [14568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__show_create, 3, 0, 0),
  [14570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_read, 4, 0, 14),
  [14572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11191),
  [14574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7390),
  [14576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12159),
  [14578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10984),
  [14580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9489),
  [14582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8330),
  [14584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9232),
  [14586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [14588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [14590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6769),
  [14592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6602),
  [14594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6663),
  [14596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6788),
  [14598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 3, 0, 0),
  [14600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9846),
  [14602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8404),
  [14604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9849),
  [14606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8250),
  [14608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9329),
  [14610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5738),
  [14612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [14614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9465),
  [14616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [14618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [14620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9331),
  [14622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5758),
  [14624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [14626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__insert_values_repeat1, 2, 0, 0),
  [14628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__insert_values_repeat1, 2, 0, 0), SHIFT_REPEAT(12164),
  [14631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10564),
  [14633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7393),
  [14635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12224),
  [14637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_values, 3, 0, 0),
  [14639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9398),
  [14641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [14643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [14645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_values, 4, 0, 47),
  [14647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9238),
  [14649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [14651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [14653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9339),
  [14655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [14657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [14659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9552),
  [14661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8411),
  [14663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8459),
  [14665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8471),
  [14667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9344),
  [14669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3211),
  [14671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [14673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9400),
  [14675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [14677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [14679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6935),
  [14681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6885),
  [14683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6644),
  [14685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6935),
  [14687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6701),
  [14689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6845),
  [14691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9916),
  [14693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7352),
  [14695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11598),
  [14697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__show_statement, 2, 0, 0),
  [14699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10927),
  [14701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13672),
  [14703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9357),
  [14705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [14707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [14709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9514),
  [14711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10270),
  [14713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 20), SHIFT_REPEAT(9514),
  [14716] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 20), SHIFT_REPEAT(10270),
  [14719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9359),
  [14721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [14723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [14725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__with_settings, 2, 0, 61),
  [14727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__with_settings, 2, 0, 61),
  [14729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__with_settings, 2, 0, 62),
  [14731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__with_settings, 2, 0, 62),
  [14733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9365),
  [14735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [14737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [14739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7873),
  [14741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9367),
  [14743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [14745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [14747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__compute_stats_repeat1, 2, 0, 0), SHIFT_REPEAT(299),
  [14750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__compute_stats_repeat1, 2, 0, 0),
  [14752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 4, 0, 0),
  [14754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_read, 6, 0, 43),
  [14756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9408),
  [14758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [14760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [14762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_read, 6, 0, 0),
  [14764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9410),
  [14766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [14768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [14770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__show_statement, 2, 0, 8),
  [14772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9380),
  [14774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [14776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [14778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9848),
  [14780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7446),
  [14782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11518),
  [14784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9373),
  [14786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2883),
  [14788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [14790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9376),
  [14792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [14794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [14796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9417),
  [14798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4890),
  [14800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [14802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4714),
  [14804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8703),
  [14806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11885),
  [14808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9131),
  [14810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 7, 0, 0),
  [14812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10354),
  [14814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11218),
  [14816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [14818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 7, 0, 150),
  [14820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10364),
  [14822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11228),
  [14824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [14826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1494),
  [14828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [14830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9224),
  [14832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [14834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9851),
  [14836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8588),
  [14838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11966),
  [14840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14109),
  [14842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [14844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14121),
  [14846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9546),
  [14848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14135),
  [14850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10336),
  [14852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9547),
  [14854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4388),
  [14856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [14858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12017),
  [14860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [14862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_column, 3, 0, 104),
  [14864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10422),
  [14866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10423),
  [14868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13449),
  [14870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [14872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13459),
  [14874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9044),
  [14876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13470),
  [14878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10257),
  [14880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9045),
  [14882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10937),
  [14884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modify_column, 3, 0, 0),
  [14886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9314),
  [14888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12786),
  [14890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_constraint, 3, 0, 0),
  [14892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10351),
  [14894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_column, 3, 0, 0),
  [14896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [14898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7342),
  [14900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12011),
  [14902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [14904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11973),
  [14906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9327),
  [14908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [14910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8762),
  [14912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7347),
  [14914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12019),
  [14916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_partition_by, 4, 0, 0),
  [14918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [14920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10179),
  [14922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame, 3, 0, 0),
  [14924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8902),
  [14926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8401),
  [14928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8335),
  [14930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8346),
  [14932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [14934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_column, 2, 0, 0),
  [14936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8552),
  [14938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8669),
  [14940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9542),
  [14942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14111),
  [14944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6466),
  [14946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__truncate_statement_repeat1, 2, 0, 0),
  [14948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__truncate_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9561),
  [14951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4858),
  [14953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3546),
  [14955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8647),
  [14957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8602),
  [14959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8798),
  [14961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8807),
  [14963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9296),
  [14965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8614),
  [14967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8627),
  [14969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9427),
  [14971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10930),
  [14973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8861),
  [14975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10219),
  [14977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8138),
  [14979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_column, 4, 0, 147),
  [14981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11804),
  [14983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10087),
  [14985] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modify_column, 4, 0, 0),
  [14987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_constraint, 4, 0, 0),
  [14989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10296),
  [14991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_column, 1, 0, 0),
  [14993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4443),
  [14995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1203),
  [14997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 5, 0, 73),
  [14999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9379),
  [15001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10127),
  [15003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_extension, 5, 0, 0),
  [15005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10712),
  [15007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [15009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8651),
  [15011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4661),
  [15013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [15015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12038),
  [15017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [15019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11882),
  [15021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_column, 4, 0, 0),
  [15023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 3, 0, 18),
  [15025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9324),
  [15027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10077),
  [15029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9556),
  [15031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [15033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4560),
  [15035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11974),
  [15037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9562),
  [15039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9225),
  [15041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1233),
  [15043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1234),
  [15045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__postgres_update_statement, 2, 0, 0),
  [15047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7760),
  [15049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_extension, 3, 0, 0),
  [15051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10626),
  [15053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [15055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 6, 0, 0),
  [15057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10389),
  [15059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11293),
  [15061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10184),
  [15063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_database_repeat1, 1, 0, 33),
  [15065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_create_database_repeat1, 1, 0, 33),
  [15067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5954),
  [15069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__insert_values_repeat1, 2, 0, 0), SHIFT_REPEAT(11966),
  [15072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_column, 5, 0, 180),
  [15074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 8, 0, 183),
  [15076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9746),
  [15078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10833),
  [15080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8353),
  [15082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13175),
  [15084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [15086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13207),
  [15088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8967),
  [15090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13231),
  [15092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10367),
  [15094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9254),
  [15096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12062),
  [15098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 5, 0, 0),
  [15100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10059),
  [15102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10060),
  [15104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8131),
  [15106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [15108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14740),
  [15110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [15112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12268),
  [15114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8973),
  [15116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12289),
  [15118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10439),
  [15120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9262),
  [15122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8414),
  [15124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_body_repeat2, 2, 0, 0), SHIFT_REPEAT(95),
  [15127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_body_repeat2, 2, 0, 0),
  [15129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat2, 2, 0, 0), SHIFT_REPEAT(95),
  [15132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12148),
  [15134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9613),
  [15136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [15138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [15140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [15142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12015),
  [15144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8852),
  [15146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 10, 0, 232),
  [15148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9902),
  [15150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10977),
  [15152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5681),
  [15154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10772),
  [15156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8553),
  [15158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10144),
  [15160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8136),
  [15162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 4, 0, 37),
  [15164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9110),
  [15166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9722),
  [15168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_extension, 4, 0, 0),
  [15170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11455),
  [15172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7895),
  [15174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4044),
  [15176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modify_column, 2, 0, 0),
  [15178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [15180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8501),
  [15182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_repeat1, 2, 0, 0), SHIFT_REPEAT(1008),
  [15185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 10, 0, 183),
  [15187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10978),
  [15189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9298),
  [15191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [15193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [15195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9429),
  [15197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [15199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [15201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12250),
  [15203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 2, 0, 137),
  [15205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 7, 0, 126),
  [15207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11960),
  [15209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9505),
  [15211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10997),
  [15213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12035),
  [15215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10113),
  [15217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 12, 0, 0),
  [15219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11660),
  [15221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11740),
  [15223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11661),
  [15225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11990),
  [15227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7950),
  [15229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13782),
  [15231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [15233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13829),
  [15235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12013),
  [15237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__operator_class, 1, 0, 138),
  [15239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [15241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9393),
  [15243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4059),
  [15245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [15247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 12, 0, 73),
  [15249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11588),
  [15251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 2, 0, 139),
  [15253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11645),
  [15255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11938),
  [15257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 8, 0, 163),
  [15259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11729),
  [15261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11699),
  [15263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 8, 0, 164),
  [15265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [15267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11665),
  [15269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12109),
  [15271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11703),
  [15273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7703),
  [15275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9315),
  [15277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [15279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [15281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9385),
  [15283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [15285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [15287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(10113),
  [15290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 9, 0, 193),
  [15292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 5, 0, 45),
  [15294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 7, 0, 127),
  [15296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [15298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8032),
  [15300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9384),
  [15302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [15304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [15306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10961),
  [15308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10238),
  [15310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10442),
  [15312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12239),
  [15314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 12, 0, 37),
  [15316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9449),
  [15318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2919),
  [15320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [15322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1069),
  [15324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10408),
  [15326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [15328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10443),
  [15330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12242),
  [15332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7239),
  [15334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 5, 0, 44),
  [15336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12044),
  [15338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9244),
  [15340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9245),
  [15342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [15344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [15346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table, 3, 0, 0),
  [15348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10571),
  [15350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7960),
  [15352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 6, 0, 82),
  [15354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 6, 0, 83),
  [15356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7311),
  [15358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [15360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 6, 0, 84),
  [15362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 6, 0, 0),
  [15364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 5, 0, 43),
  [15366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7312),
  [15368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [15370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 10, 0, 0),
  [15372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9333),
  [15374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5759),
  [15376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [15378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9316),
  [15380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2871),
  [15382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [15384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [15386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 10, 0, 18),
  [15388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9335),
  [15390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5771),
  [15392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [15394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7915),
  [15396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10921),
  [15398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_view, 3, 0, 0),
  [15400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10575),
  [15402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 7, 0, 128),
  [15404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9421),
  [15406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4940),
  [15408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [15410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [15412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10125),
  [15414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9912),
  [15416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9486),
  [15418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7945),
  [15420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 5, 0, 0),
  [15422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [15424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compute_stats, 5, 0, 0),
  [15426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12870),
  [15428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12871),
  [15430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [15432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10298),
  [15434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [15436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9447),
  [15438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [15440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [15442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11606),
  [15444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10255),
  [15446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11629),
  [15448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [15450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11700),
  [15452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11702),
  [15454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [15456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10309),
  [15458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11724),
  [15460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [15462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12039),
  [15464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [15466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 7, 0, 0),
  [15468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9483),
  [15470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8698),
  [15472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9503),
  [15474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 10, 0, 67),
  [15476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11631),
  [15478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12037),
  [15480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_from, 5, 0, 0),
  [15482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [15484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 4, 0, 26),
  [15486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [15488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10311),
  [15490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9240),
  [15492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [15494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [15496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8009),
  [15498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compute_stats, 3, 0, 0),
  [15500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12337),
  [15502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8308),
  [15504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [15506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [15508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [15510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [15512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [15514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_sequence, 3, 0, 0),
  [15516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10577),
  [15518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11580),
  [15520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9251),
  [15522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 10, 0, 37),
  [15524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11589),
  [15526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7938),
  [15528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 4, 0, 0),
  [15530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 11, 0, 18),
  [15532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9346),
  [15534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [15536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [15538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 8, 0, 0),
  [15540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_type, 3, 0, 0),
  [15542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10601),
  [15544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9476),
  [15546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9448),
  [15548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [15550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [15552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10417),
  [15554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9065),
  [15556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9350),
  [15558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [15560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [15562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9402),
  [15564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [15566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [15568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 8, 0, 67),
  [15570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12048),
  [15572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9477),
  [15574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 11, 0, 0),
  [15576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 11, 0, 37),
  [15578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9439),
  [15580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [15582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [15584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9292),
  [15586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7503),
  [15588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 9, 0, 0),
  [15590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10648),
  [15592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_schema, 3, 0, 0),
  [15594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10618),
  [15596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 9, 0, 150),
  [15598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10649),
  [15600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1254),
  [15602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10218),
  [15604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11420),
  [15606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1764),
  [15608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10424),
  [15610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7495),
  [15612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10321),
  [15614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9404),
  [15616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [15618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [15620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [15622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10426),
  [15624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8096),
  [15626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 11, 0, 73),
  [15628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8036),
  [15630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [15632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10430),
  [15634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9300),
  [15636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [15638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [15640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7897),
  [15642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9247),
  [15644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [15646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [15648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9027),
  [15650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9173),
  [15652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [15654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [15656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compute_stats, 6, 0, 0),
  [15658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14479),
  [15660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14480),
  [15662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_type, 3, 0, 0),
  [15664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9813),
  [15666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8793),
  [15668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 7, 0, 0),
  [15670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10152),
  [15672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8212),
  [15674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_values, 2, 0, 27),
  [15676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 6, 0, 0),
  [15678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10307),
  [15680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8235),
  [15682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11640),
  [15684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11643),
  [15686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8924),
  [15688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9457),
  [15690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9360),
  [15692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [15694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [15696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11644),
  [15698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9226),
  [15700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9530),
  [15702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11125),
  [15704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9361),
  [15706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [15708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [15710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7954),
  [15712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10715),
  [15714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11723),
  [15716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11195),
  [15718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11196),
  [15720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9478),
  [15722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [15724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7351),
  [15726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11725),
  [15728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 8, 0, 0),
  [15730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10845),
  [15732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9487),
  [15734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9440),
  [15736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [15738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [15740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame, 2, 0, 0),
  [15742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [15744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10299),
  [15746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__truncate_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9327),
  [15749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9303),
  [15751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11726),
  [15753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 7, 0, 0),
  [15755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8933),
  [15757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7922),
  [15759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8043),
  [15761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame, 5, 0, 0),
  [15763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7410),
  [15765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9258),
  [15767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [15769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9368),
  [15771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5125),
  [15773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [15775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11614),
  [15777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 6, 0, 244),
  [15779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9430),
  [15781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [15783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [15785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9370),
  [15787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4986),
  [15789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [15791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9172),
  [15793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9261),
  [15795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 13, 0, 73),
  [15797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9462),
  [15799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8993),
  [15801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12099),
  [15803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7928),
  [15805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10968),
  [15807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(832),
  [15810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10153),
  [15812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10286),
  [15814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9685),
  [15816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9868),
  [15818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11805),
  [15820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_values, 1, 0, 2),
  [15822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11246),
  [15824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7990),
  [15826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10288),
  [15828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8601),
  [15830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9094),
  [15832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 3, 0, 0),
  [15834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [15836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10227),
  [15838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12101),
  [15840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9420),
  [15842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [15844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [15846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7959),
  [15848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8067),
  [15850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9520),
  [15852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12074),
  [15854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [15856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9756),
  [15858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table, 4, 0, 0),
  [15860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11022),
  [15862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 9, 0, 192),
  [15864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_view, 4, 0, 0),
  [15866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11027),
  [15868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_sequence, 4, 0, 0),
  [15870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11083),
  [15872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compute_stats, 4, 0, 0),
  [15874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8406),
  [15876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7966),
  [15878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9412),
  [15880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [15882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [15884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [15886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10310),
  [15888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7156),
  [15890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9887),
  [15892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11566),
  [15894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10378),
  [15896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12169),
  [15898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9413),
  [15900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [15902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [15904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [15906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10297),
  [15908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12065),
  [15910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(735),
  [15913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 12, 0, 232),
  [15915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11290),
  [15917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_type, 4, 0, 0),
  [15919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11216),
  [15921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_schema, 4, 0, 0),
  [15923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11454),
  [15925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11899),
  [15927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11900),
  [15929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12050),
  [15931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 4, 0, 198),
  [15933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11901),
  [15935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 9, 0, 0),
  [15937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9235),
  [15939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [15941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11654),
  [15943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9322),
  [15945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [15947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [15949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8056),
  [15951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10859),
  [15953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11655),
  [15955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11080),
  [15957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10300),
  [15959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8263),
  [15961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12057),
  [15963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 4, 0, 199),
  [15965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8980),
  [15967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12068),
  [15969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 4, 0, 201),
  [15971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9434),
  [15973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10796),
  [15975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12265),
  [15977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 3, 0, 14),
  [15979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [15981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10278),
  [15983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9377),
  [15985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [15987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [15989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [15991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10434),
  [15993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11656),
  [15995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 9, 0, 18),
  [15997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9467),
  [15999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9468),
  [16001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9604),
  [16003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9236),
  [16005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [16007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10279),
  [16009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9378),
  [16011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [16013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [16015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11562),
  [16017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [16019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10280),
  [16021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9392),
  [16023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [16025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [16027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 9, 0, 67),
  [16029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9323),
  [16031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [16033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [16035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [16037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [16039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10237),
  [16041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10686),
  [16043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_list, 2, 0, 0),
  [16045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8167),
  [16047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [16049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8369),
  [16051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_query, 1, 0, 2),
  [16053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__merge_statement_repeat1, 2, 0, 0),
  [16055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__merge_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(11639),
  [16058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__merge_statement, 9, 0, 196),
  [16060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__merge_statement, 9, 0, 197),
  [16062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8176),
  [16064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7777),
  [16066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8226),
  [16068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 9, 0, 0),
  [16070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 9, 0, 172),
  [16072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6973),
  [16074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8364),
  [16076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 9, 0, 140),
  [16078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 9, 0, 98),
  [16080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9788),
  [16082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11985),
  [16084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 9, 0, 205),
  [16086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6939),
  [16088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11969),
  [16090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12141),
  [16092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12360),
  [16094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8319),
  [16096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10173),
  [16098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12111),
  [16100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12116),
  [16102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10275),
  [16104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14829),
  [16106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14829),
  [16108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7463),
  [16110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10306),
  [16112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14416),
  [16114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 5, 0, 0),
  [16116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10029),
  [16118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10395),
  [16120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10402),
  [16122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11680),
  [16124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12147),
  [16126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12667),
  [16128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [16130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13610),
  [16132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13610),
  [16134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [16136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_list, 1, 0, 0),
  [16138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__on_conflict, 5, 0, 0),
  [16140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__merge_statement, 10, 0, 220),
  [16142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__merge_statement, 10, 0, 222),
  [16144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 10, 0, 172),
  [16146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 10, 0, 140),
  [16148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 10, 0, 0),
  [16150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 10, 0, 205),
  [16152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12085),
  [16154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8317),
  [16156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__merge_statement, 8, 0, 169),
  [16158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [16160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11809),
  [16162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10512),
  [16164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10945),
  [16166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12167),
  [16168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__merge_statement, 11, 0, 242),
  [16170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__merge_statement, 11, 0, 243),
  [16172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11414),
  [16174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 11, 0, 172),
  [16176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 11, 0, 205),
  [16178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 8, 0, 0),
  [16180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9688),
  [16182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 5, 0, 0),
  [16184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11503),
  [16186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7992),
  [16188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__merge_statement, 12, 0, 252),
  [16190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 12, 0, 205),
  [16192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10908),
  [16194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 8, 0, 0),
  [16196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12225),
  [16198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_fields, 4, 0, 136),
  [16200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6833),
  [16202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [16204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(734),
  [16207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 8, 0, 172),
  [16209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 8, 0, 140),
  [16211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 8, 0, 98),
  [16213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_type, 5, 0, 0),
  [16215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10055),
  [16217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6452),
  [16219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 8, 0, 175),
  [16221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9717),
  [16223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 8, 0, 0),
  [16225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9718),
  [16227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [16229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_schema, 3, 0, 0),
  [16231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9838),
  [16233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mysql_update_statement, 3, 0, 0),
  [16235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 5, 0, 64),
  [16237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10061),
  [16239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_materialized_view, 8, 0, 0),
  [16241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11800),
  [16243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14675),
  [16245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7105),
  [16247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9729),
  [16249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5694),
  [16251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_column, 1, 0, 7),
  [16253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [16255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 3, 0, 0),
  [16257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9119),
  [16259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 3, 0, 67),
  [16261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9121),
  [16263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10070),
  [16265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12460),
  [16267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12460),
  [16269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8495),
  [16271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compute_stats, 8, 0, 0),
  [16273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12964),
  [16275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10855),
  [16277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rename_statement, 8, 0, 187),
  [16279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8770),
  [16281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rename_statement, 8, 0, 0),
  [16283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rename_statement, 8, 0, 153),
  [16285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [16287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6437),
  [16289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_statement, 4, 0, 0),
  [16291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [16293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4530),
  [16295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__merge_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(11731),
  [16298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6404),
  [16300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [16302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 9, 0, 0),
  [16304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9777),
  [16306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10694),
  [16308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__operator_class, 3, 0, 200),
  [16310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [16312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5963),
  [16314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 9, 0, 206),
  [16316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9800),
  [16318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 9, 0, 0),
  [16320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9801),
  [16322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6049),
  [16324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [16326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10498),
  [16328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_columns, 3, 0, 0),
  [16330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 4, 0, 18),
  [16332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9180),
  [16334] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 4, 0, 0),
  [16336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9183),
  [16338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [16340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [16342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rename_statement, 5, 0, 0),
  [16344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rename_statement, 9, 0, 187),
  [16346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [16348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4481),
  [16350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__optimize_table, 5, 0, 0),
  [16352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8256),
  [16354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__temporary, 1, 0, 0),
  [16356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8452),
  [16358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11718),
  [16360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11720),
  [16362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14633),
  [16364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13477),
  [16366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10149),
  [16368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14711),
  [16370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14711),
  [16372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7306),
  [16374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [16376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [16378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10462),
  [16380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 10, 0, 0),
  [16382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9864),
  [16384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [16386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4570),
  [16388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__operator_class, 4, 0, 225),
  [16390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7284),
  [16392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5685),
  [16394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7992),
  [16396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9884),
  [16398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5919),
  [16400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4749),
  [16402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10935),
  [16404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_columns, 4, 0, 0),
  [16406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4488),
  [16408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 5, 0, 37),
  [16410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9227),
  [16412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [16414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 5, 0, 0),
  [16416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9228),
  [16418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [16420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [16422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_schema, 4, 0, 0),
  [16424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10196),
  [16426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [16428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4715),
  [16430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [16432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [16434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4573),
  [16436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10980),
  [16438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__operator_class, 5, 0, 245),
  [16440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11670),
  [16442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8357),
  [16444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 11, 0, 0),
  [16446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9934),
  [16448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11111),
  [16450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9908),
  [16452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 6, 0, 73),
  [16454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9256),
  [16456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10281),
  [16458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13895),
  [16460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13895),
  [16462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8484),
  [16464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6745),
  [16466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 12, 0, 0),
  [16468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9973),
  [16470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11245),
  [16472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11260),
  [16474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_database, 3, 0, 0),
  [16476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10603),
  [16478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10084),
  [16480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10399),
  [16482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 13, 0, 0),
  [16484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9995),
  [16486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6967),
  [16488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12758),
  [16490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10454),
  [16492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10456),
  [16494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 6, 0, 0),
  [16496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10267),
  [16498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11585),
  [16500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11590),
  [16502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12658),
  [16504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_materialized_view, 6, 0, 0),
  [16506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12046),
  [16508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11021),
  [16510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 6, 0, 0),
  [16512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_fields, 2, 0, 0),
  [16514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 6, 0, 98),
  [16516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10666),
  [16518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11806),
  [16520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13798),
  [16522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 6, 0, 102),
  [16524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10313),
  [16526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12083),
  [16528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_database, 4, 0, 0),
  [16530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11222),
  [16532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9725),
  [16534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10091),
  [16536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8596),
  [16538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10475),
  [16540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14832),
  [16542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14832),
  [16544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8507),
  [16546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11924),
  [16548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11925),
  [16550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11927),
  [16552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__optimize_table, 3, 0, 0),
  [16554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11931),
  [16556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11933),
  [16558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13521),
  [16560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8400),
  [16562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11282),
  [16564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 6, 0, 102),
  [16566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12212),
  [16568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rename_statement, 6, 0, 0),
  [16570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 1, 0, 7),
  [16572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__optimize_table, 4, 0, 0),
  [16574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11994),
  [16576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_exists, 2, 0, 0),
  [16578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_exists, 2, 0, 0),
  [16580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8147),
  [16582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12025),
  [16584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12028),
  [16586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12029),
  [16588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12030),
  [16590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12032),
  [16592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12034),
  [16594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8425),
  [16596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7984),
  [16598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8193),
  [16600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10181),
  [16602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12588),
  [16604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12974),
  [16606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mysql_update_statement, 4, 0, 0),
  [16608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_not_exists, 3, 0, 0),
  [16610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_not_exists, 3, 0, 0),
  [16612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13227),
  [16614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete, 1, 0, 0),
  [16616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13562),
  [16618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13742),
  [16620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [16622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12090),
  [16624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14593),
  [16626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14601),
  [16628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 7, 0, 0),
  [16630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9875),
  [16632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_materialized_view, 7, 0, 0),
  [16634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11840),
  [16636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8158),
  [16638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10272),
  [16640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10971),
  [16642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 7, 0, 0),
  [16644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8333),
  [16646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_fields, 3, 0, 136),
  [16648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 7, 0, 140),
  [16650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 7, 0, 98),
  [16652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11205),
  [16654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8132),
  [16656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 7, 0, 143),
  [16658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10155),
  [16660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13678),
  [16662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13686),
  [16664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__vacuum_option, 1, 0, 0),
  [16666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10576),
  [16668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__vacuum_option, 1, 0, 0),
  [16670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11868),
  [16672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12739),
  [16674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8004),
  [16676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14267),
  [16678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_configuration, 3, 0, 145),
  [16680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10987),
  [16682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10266),
  [16684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12139),
  [16686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14215),
  [16688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7979),
  [16690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11389),
  [16692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8239),
  [16694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10366),
  [16696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 2, 0, 0),
  [16698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9052),
  [16700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12233),
  [16702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11279),
  [16704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12191),
  [16706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14368),
  [16708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8003),
  [16710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12196),
  [16712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14386),
  [16714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8012),
  [16716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12199),
  [16718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14402),
  [16720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8016),
  [16722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12205),
  [16724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14418),
  [16726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8022),
  [16728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12209),
  [16730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14434),
  [16732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8027),
  [16734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12211),
  [16736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14447),
  [16738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8031),
  [16740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 7, 0, 143),
  [16742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12112),
  [16744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compute_stats, 7, 0, 0),
  [16746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14093),
  [16748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11240),
  [16750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rename_statement, 7, 0, 0),
  [16752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8217),
  [16754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__rename_statement_repeat1, 2, 0, 0),
  [16756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__rename_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8770),
  [16759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rename_statement, 7, 0, 153),
  [16761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12218),
  [16763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14250),
  [16765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14273),
  [16767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14296),
  [16769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14309),
  [16771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14319),
  [16773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11591),
  [16775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12230),
  [16777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11459),
  [16779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11460),
  [16781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11462),
  [16783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11465),
  [16785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11467),
  [16787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11469),
  [16789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11471),
  [16791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11473),
  [16793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11475),
  [16795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_statement, 5, 0, 0),
  [16797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10474),
  [16799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14830),
  [16801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14830),
  [16803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8506),
  [16805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 19, 0, 276),
  [16807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6786),
  [16809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6730),
  [16811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12004),
  [16813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13801),
  [16815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [16817] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_materialized_view, 9, 0, 0),
  [16819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__update_statement, 1, 0, 0),
  [16821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [16823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9571),
  [16825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [16827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9572),
  [16829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6846),
  [16831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10264),
  [16833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6879),
  [16835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11573),
  [16837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12320),
  [16839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [16841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_type, 9, 0, 202),
  [16843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_elements, 4, 0, 203),
  [16845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table, 9, 0, 0),
  [16847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 9, 0, 175),
  [16849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9942),
  [16851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 5, 0, 37),
  [16853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9381),
  [16855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__copy_statement, 10, 0, 218),
  [16857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_database, 5, 0, 0),
  [16859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10710),
  [16861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [16863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 6, 0, 207),
  [16865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 6, 0, 208),
  [16867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 6, 0, 209),
  [16869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 6, 0, 210),
  [16871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_column, 6, 0, 180),
  [16873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constraint_literal, 4, 0, 67),
  [16875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table, 8, 0, 0),
  [16877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [16879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compute_stats, 9, 0, 0),
  [16881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10651),
  [16883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rename_table_names, 3, 0, 0),
  [16885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__copy_statement, 9, 0, 0),
  [16887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__copy_statement, 9, 0, 218),
  [16889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__copy_statement, 9, 0, 189),
  [16891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [16893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11715),
  [16895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 10, 0, 192),
  [16897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 10, 0, 193),
  [16899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [16901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11535),
  [16903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_materialized_view, 10, 0, 0),
  [16905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [16907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [16909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 10, 0, 98),
  [16911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [16913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 10, 0, 206),
  [16915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 10, 0, 0),
  [16917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_invocation_repeat1, 2, 0, 75),
  [16919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9569),
  [16921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10012),
  [16923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [16925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7358),
  [16927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7358),
  [16929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14012),
  [16931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11691),
  [16933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7871),
  [16935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 7, 0, 226),
  [16937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 7, 0, 227),
  [16939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 7, 0, 228),
  [16941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [16943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [16945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compute_stats, 10, 0, 0),
  [16947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10979),
  [16949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9573),
  [16951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [16953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__check_option, 2, 0, 0),
  [16955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11894),
  [16957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [16959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9570),
  [16961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11604),
  [16963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11663),
  [16965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 11, 0, 140),
  [16967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 11, 0, 0),
  [16969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [16971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11986),
  [16973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_materialized_view, 11, 0, 0),
  [16975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 8, 0, 246),
  [16977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [16979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 5, 0, 43),
  [16981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 5, 0, 0),
  [16983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 6, 0, 43),
  [16985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11976),
  [16987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 12, 0, 172),
  [16989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10053),
  [16991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11657),
  [16993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 12, 0, 0),
  [16995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 3, 0, 57),
  [16997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 3, 0, 57),
  [16999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12104),
  [17001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11676),
  [17003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6729),
  [17005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13959),
  [17007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8453),
  [17009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 6, 0, 88),
  [17011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 6, 0, 84),
  [17013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 6, 0, 0),
  [17015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6564),
  [17017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12128),
  [17019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 13, 0, 0),
  [17021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 6, 0, 44),
  [17023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 13, 0, 205),
  [17025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 13, 0, 258),
  [17027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 6, 0, 45),
  [17029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11695),
  [17031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 7, 0, 259),
  [17033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 7, 0, 88),
  [17035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 7, 0, 134),
  [17037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 14, 0, 0),
  [17039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 14, 0, 261),
  [17041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 14, 0, 0),
  [17043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 14, 0, 262),
  [17045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 57),
  [17047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 57),
  [17049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11707),
  [17051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table, 4, 0, 0),
  [17053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6230),
  [17055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mysql_update_statement, 5, 0, 0),
  [17057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 8, 0, 134),
  [17059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 8, 0, 263),
  [17061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 15, 0, 264),
  [17063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 15, 0, 0),
  [17065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 15, 0, 265),
  [17067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 15, 0, 0),
  [17069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8764),
  [17071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 9, 0, 266),
  [17073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 9, 0, 134),
  [17075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 9, 0, 167),
  [17077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12163),
  [17079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 16, 0, 267),
  [17081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 16, 0, 268),
  [17083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 16, 0, 0),
  [17085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, 0, 57),
  [17087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, 0, 57),
  [17089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10057),
  [17091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 16, 0, 0),
  [17093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6827),
  [17095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6922),
  [17097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 10, 0, 269),
  [17099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 10, 0, 167),
  [17101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 17, 0, 271),
  [17103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 17, 0, 272),
  [17105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 17, 0, 0),
  [17107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12045),
  [17109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 18, 0, 273),
  [17111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 18, 0, 274),
  [17113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 18, 0, 0),
  [17115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12222),
  [17117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6835),
  [17119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14598),
  [17121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 19, 0, 275),
  [17123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 19, 0, 0),
  [17125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12979),
  [17127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12979),
  [17129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [17131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 20, 0, 277),
  [17133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 20, 0, 278),
  [17135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 20, 0, 0),
  [17137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 21, 0, 279),
  [17139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 21, 0, 280),
  [17141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 21, 0, 0),
  [17143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 22, 0, 281),
  [17145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 22, 0, 282),
  [17147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 22, 0, 0),
  [17149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 23, 0, 283),
  [17151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 23, 0, 284),
  [17153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 24, 0, 285),
  [17155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_statement, 1, 0, 0),
  [17157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [17159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12235),
  [17161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_type, 6, 0, 0),
  [17163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_type, 6, 0, 60),
  [17165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12255),
  [17167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_schema, 6, 0, 0),
  [17169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 6, 0, 64),
  [17171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6909),
  [17173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_argument, 2, 0, 57),
  [17175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6923),
  [17177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_statement, 2, 0, 0),
  [17179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6937),
  [17181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6930),
  [17183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14091),
  [17185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14091),
  [17187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8481),
  [17189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rename_object, 3, 0, 0),
  [17191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table, 6, 0, 0),
  [17193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_schema, 3, 0, 103),
  [17195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 4, 0, 18),
  [17197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9112),
  [17199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__vacuum_table, 3, 0, 0),
  [17201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8858),
  [17203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_column, 3, 0, 18),
  [17205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10141),
  [17207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12613),
  [17209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11628),
  [17211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7826),
  [17213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 8, 0, 126),
  [17215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11932),
  [17217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10803),
  [17219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 8, 0, 127),
  [17221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 1, 0, 0),
  [17223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_constraint, 3, 0, 0),
  [17225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 1, 0, 2),
  [17227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_ownership, 3, 0, 0),
  [17229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_table_repeat1, 2, 0, 0),
  [17231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_table_repeat1, 2, 0, 0), SHIFT_REPEAT(6230),
  [17234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_position, 2, 0, 105),
  [17236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 8, 0, 128),
  [17238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 6, 0, 73),
  [17240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9584),
  [17242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__optimize_table, 6, 0, 0),
  [17244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13629),
  [17246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10217),
  [17248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_type, 8, 0, 173),
  [17250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_elements, 3, 0, 174),
  [17252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [17254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__on_duplicate_key_update, 5, 0, 0),
  [17256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 8, 0, 143),
  [17258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6870),
  [17260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__create_trigger_event, 4, 0, 0),
  [17262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12033),
  [17264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10999),
  [17266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11367),
  [17268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14303),
  [17270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14303),
  [17272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [17274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6824),
  [17276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7676),
  [17278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_invocation_repeat1, 3, 0, 40),
  [17280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6891),
  [17282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8291),
  [17284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14766),
  [17286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14766),
  [17288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12679),
  [17290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14100),
  [17292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14107),
  [17294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14168),
  [17296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update, 2, 0, 0),
  [17298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11438),
  [17300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [17302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 7, 0, 82),
  [17304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 7, 0, 83),
  [17306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_schema, 5, 0, 0),
  [17308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__postgres_update_statement, 3, 0, 0),
  [17310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 7, 0, 84),
  [17312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9706),
  [17314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10295),
  [17316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11086),
  [17318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table, 5, 0, 0),
  [17320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__merge_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(11993),
  [17323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__on_conflict, 4, 0, 0),
  [17325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6853),
  [17327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_argument, 1, 0, 65),
  [17329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6857),
  [17331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12278),
  [17333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13554),
  [17335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13554),
  [17337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [17339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 5, 0, 18),
  [17341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 5, 0, 177),
  [17343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11668),
  [17345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 5, 0, 178),
  [17347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 5, 0, 179),
  [17349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update, 3, 0, 0),
  [17351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9964),
  [17353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9781),
  [17355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_type, 7, 0, 0),
  [17357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_elements, 2, 0, 0),
  [17359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9762),
  [17361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11576),
  [17363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_type, 7, 0, 142),
  [17365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_column, 5, 0, 147),
  [17367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modify_column, 5, 0, 0),
  [17369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_constraint, 5, 0, 0),
  [17371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_column, 5, 0, 0),
  [17373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11209),
  [17375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 7, 0, 102),
  [17377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_table_repeat1, 2, 0, 0), SHIFT_REPEAT(6279),
  [17380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__create_trigger_event, 3, 0, 0),
  [17382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12171),
  [17384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6851),
  [17386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_argument, 3, 0, 23),
  [17388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6852),
  [17390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9802),
  [17392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__vacuum_table, 2, 0, 0),
  [17394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8738),
  [17396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6959),
  [17398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [17400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constraint_literal, 3, 0, 67),
  [17402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [17404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table, 7, 0, 0),
  [17406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rename_column, 5, 0, 181),
  [17408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 4, 0, 67),
  [17410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 4, 0, 146),
  [17412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_column, 4, 0, 104),
  [17414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_column, 4, 0, 37),
  [17416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9839),
  [17418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11717),
  [17420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 5, 0, 26),
  [17422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11390),
  [17424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6972),
  [17426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [17428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_constraint, 4, 0, 0),
  [17430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__partition_spec, 5, 0, 0),
  [17432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_key_constraint, 2, 0, 0),
  [17434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9565),
  [17436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rename_column, 4, 0, 148),
  [17438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12240),
  [17440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12608),
  [17442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12246),
  [17444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__rename_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8764),
  [17447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [17449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__partition_spec, 4, 0, 0),
  [17451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11890),
  [17453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__copy_statement, 8, 0, 0),
  [17455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__copy_statement, 8, 0, 189),
  [17457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [17459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12688),
  [17461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12688),
  [17463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8487),
  [17465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9888),
  [17467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_column, 2, 0, 67),
  [17469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11501),
  [17471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_position, 1, 0, 0),
  [17473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10942),
  [17475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10985),
  [17477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11347),
  [17479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11946),
  [17481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6980),
  [17483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6980),
  [17485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9567),
  [17487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9568),
  [17489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8462),
  [17491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13489),
  [17493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11641),
  [17495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_from, 6, 0, 0),
  [17497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [17499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 9, 0, 163),
  [17501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 9, 0, 164),
  [17503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__on_conflict, 6, 0, 0),
  [17505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_repeat1, 2, 0, 0), SHIFT_REPEAT(1209),
  [17508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_repeat1, 2, 0, 0),
  [17510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 4, 0, 14),
  [17512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [17514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14825),
  [17516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14825),
  [17518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14828),
  [17520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14828),
  [17522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8505),
  [17524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14834),
  [17526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14834),
  [17528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8508),
  [17530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 8, 0, 0),
  [17532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6812),
  [17534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9259),
  [17536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 3, 0, 0),
  [17538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10034),
  [17540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [17542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4926),
  [17544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [17546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9680),
  [17548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6837),
  [17550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10037),
  [17552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 3, 0, 14),
  [17554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10038),
  [17556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6381),
  [17558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9464),
  [17560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4941),
  [17562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4942),
  [17564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10040),
  [17566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4944),
  [17568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10041),
  [17570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 4, 0, 0),
  [17572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6783),
  [17574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9208),
  [17576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9308),
  [17578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10044),
  [17580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5730),
  [17582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10045),
  [17584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [17586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6766),
  [17588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4928),
  [17590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10047),
  [17592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4936),
  [17594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10048),
  [17596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4939),
  [17598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5742),
  [17600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10049),
  [17602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9816),
  [17604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9516),
  [17606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9515),
  [17608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13814),
  [17610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7600),
  [17612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4894),
  [17614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [17616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10606),
  [17618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9519),
  [17620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7341),
  [17622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10615),
  [17624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11621),
  [17626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9065),
  [17628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9683),
  [17630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 4, 0, 0),
  [17632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [17634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8531),
  [17636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7263),
  [17638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [17640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8536),
  [17642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8541),
  [17644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8995),
  [17646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8996),
  [17648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8999),
  [17650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_database, 4, 0, 0),
  [17652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 3, 0, 17),
  [17654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6821),
  [17656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6860),
  [17658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7504),
  [17660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10638),
  [17662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_invocation_repeat1, 2, 0, 77),
  [17664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_invocation_repeat1, 2, 0, 77), SHIFT_REPEAT(591),
  [17667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10640),
  [17669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10291),
  [17671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9299),
  [17673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9219),
  [17675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14713),
  [17677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14714),
  [17679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 4, 0, 36),
  [17681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9003),
  [17683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9005),
  [17685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9006),
  [17687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [17689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9817),
  [17691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 4, 0, 0),
  [17693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 4, 0, 26),
  [17695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10669),
  [17697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10670),
  [17699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [17701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9010),
  [17703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9011),
  [17705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9012),
  [17707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8532),
  [17709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [17711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10693),
  [17713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10695),
  [17715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 4, 0, 14),
  [17717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_role, 4, 0, 0),
  [17719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9892),
  [17721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9017),
  [17723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12103),
  [17725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [17727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ordered_columns_repeat1, 2, 0, 0),
  [17729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ordered_columns_repeat1, 2, 0, 0), SHIFT_REPEAT(7803),
  [17732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__vacuum_option, 2, 0, 0),
  [17734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6828),
  [17736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [17738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10713),
  [17740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [17742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10714),
  [17744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12929),
  [17746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12930),
  [17748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6694),
  [17750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11685),
  [17752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 3, 0, 137),
  [17754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6764),
  [17756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [17758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10721),
  [17760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [17762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9179),
  [17764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7803),
  [17766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12182),
  [17768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10722),
  [17770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8306),
  [17772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12125),
  [17774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [17776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [17778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10727),
  [17780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6822),
  [17782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [17784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10729),
  [17786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [17788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [17790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6823),
  [17792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10731),
  [17794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10736),
  [17796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__transaction_mode, 6, 0, 0),
  [17798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3929),
  [17800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10739),
  [17802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10740),
  [17804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10742),
  [17806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12187),
  [17808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9129),
  [17810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10743),
  [17812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [17814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10745),
  [17816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [17818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [17820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [17822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [17824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8564),
  [17826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7301),
  [17828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [17830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6704),
  [17832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 10, 0, 229),
  [17834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [17836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10973),
  [17838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9745),
  [17840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8835),
  [17842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 10, 0, 230),
  [17844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 10, 0, 231),
  [17846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_index_repeat1, 2, 0, 161),
  [17848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_index_repeat1, 2, 0, 161), SHIFT_REPEAT(9745),
  [17851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [17853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [17855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [17857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 10, 0, 0),
  [17859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 10, 0, 150),
  [17861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8630),
  [17863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10243),
  [17865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12009),
  [17867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_frame_definition, 1, 0, 0),
  [17869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [17871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [17873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_role, 3, 0, 0),
  [17875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [17877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [17879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_database, 5, 0, 0),
  [17881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [17883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [17885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [17887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6872),
  [17889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_sequence, 6, 0, 0),
  [17891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12643),
  [17893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9739),
  [17895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9125),
  [17897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12680),
  [17899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12931),
  [17901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12934),
  [17903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5515),
  [17905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [17907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6876),
  [17909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [17911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 6, 0, 0),
  [17913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [17915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11593),
  [17917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9486),
  [17919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9914),
  [17921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11698),
  [17923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 3, 0, 139),
  [17925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_database, 6, 0, 0),
  [17927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [17929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_database, 6, 0, 107),
  [17931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_schema, 6, 0, 0),
  [17933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10390),
  [17935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 6, 0, 43),
  [17937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [17939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__copy_statement, 10, 0, 0),
  [17941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 6, 0, 37),
  [17943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [17945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 6, 0, 18),
  [17947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9507),
  [17949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12682),
  [17951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14248),
  [17953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_database, 6, 0, 0),
  [17955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_extension, 6, 0, 0),
  [17957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__vacuum_table, 4, 0, 0),
  [17959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14511),
  [17961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14512),
  [17963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6699),
  [17965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cte_repeat1, 2, 0, 111),
  [17967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cte_repeat1, 2, 0, 111), SHIFT_REPEAT(9739),
  [17970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8287),
  [17972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8817),
  [17974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__vacuum_table, 6, 0, 0),
  [17976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__vacuum_table_repeat1, 2, 0, 0),
  [17978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__vacuum_table_repeat1, 2, 0, 0), SHIFT_REPEAT(9129),
  [17981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11316),
  [17983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8288),
  [17985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [17987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [17989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [17991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [17993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__copy_statement, 10, 0, 189),
  [17995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [17997] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(1240),
  [18000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [18002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11751),
  [18004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7602),
  [18006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_storage_parameters_repeat1, 2, 0, 0),
  [18008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6912),
  [18010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraints, 3, 0, 0),
  [18012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7480),
  [18014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6713),
  [18016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [18018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [18020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [18022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6794),
  [18024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comment_target, 2, 0, 0),
  [18026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [18028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [18030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4524),
  [18032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8522),
  [18034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10630),
  [18036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9713),
  [18038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4652),
  [18040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [18042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9715),
  [18044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9025),
  [18046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3258),
  [18048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [18050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [18052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [18054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [18056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 3, 0, 8),
  [18058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10678),
  [18060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [18062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8810),
  [18064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [18066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [18068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [18070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10683),
  [18072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4517),
  [18074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [18076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6869),
  [18078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9506),
  [18080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [18082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [18084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [18086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [18088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4680),
  [18090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 9, 0, 211),
  [18092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 9, 0, 0),
  [18094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [18096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11733),
  [18098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [18100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [18102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 9, 0, 212),
  [18104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [18106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [18108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [18110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [18112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8525),
  [18114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2954),
  [18116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [18118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6304),
  [18120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10056),
  [18122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10642),
  [18124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6890),
  [18126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2957),
  [18128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10910),
  [18130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [18132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2960),
  [18134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [18136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6892),
  [18138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [18140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [18142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 9, 0, 183),
  [18144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [18146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9791),
  [18148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4298),
  [18150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [18152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 2, 0, 9),
  [18154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 2, 0, 0),
  [18156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 2, 0, 8),
  [18158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [18160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14704),
  [18162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10185),
  [18164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [18166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_frame_definition, 2, 0, 0),
  [18168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__current_row, 2, 0, 0),
  [18170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_frame_definition, 2, 0, 116),
  [18172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_frame_definition, 2, 0, 117),
  [18174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_frame_definition, 2, 0, 118),
  [18176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [18178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_frame_definition, 2, 0, 119),
  [18180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 9, 0, 213),
  [18182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 1),
  [18184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_statement, 3, 0, 0),
  [18186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [18188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_returning, 2, 0, 0),
  [18190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4171),
  [18192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [18194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__vacuum_table, 5, 0, 0),
  [18196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6350),
  [18198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6907),
  [18200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [18202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6858),
  [18204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [18206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(1231),
  [18209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10732),
  [18211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [18213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [18215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [18217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2902),
  [18219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4490),
  [18221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [18223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1888),
  [18225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6862),
  [18227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6900),
  [18229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8318),
  [18231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11798),
  [18233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [18235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11527),
  [18237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6805),
  [18239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4432),
  [18241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [18243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11530),
  [18245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9158),
  [18247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11613),
  [18249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 6, 0, 171),
  [18251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [18253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [18255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [18257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6754),
  [18259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6797),
  [18261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8337),
  [18263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [18265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 2),
  [18267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8371),
  [18269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6647),
  [18271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7921),
  [18273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [18275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9093),
  [18277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_column_repeat1, 2, 0, 131),
  [18279] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_column_repeat1, 2, 0, 131), SHIFT_REPEAT(9259),
  [18282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_statement, 2, 0, 0),
  [18284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraints, 2, 0, 0),
  [18286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reset_statement, 2, 0, 0),
  [18288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [18290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [18292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_column_definitions_repeat1, 2, 0, 0),
  [18294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definitions_repeat1, 2, 0, 0), SHIFT_REPEAT(7778),
  [18297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9250),
  [18299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6807),
  [18301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6866),
  [18303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6652),
  [18305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8376),
  [18307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [18309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__create_trigger_event, 1, 0, 0),
  [18311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10062),
  [18313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10345),
  [18315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13660),
  [18317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [18319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [18321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [18323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3694),
  [18325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6310),
  [18327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [18329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9115),
  [18331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12477),
  [18333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_elements_repeat1, 2, 0, 204),
  [18335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_elements_repeat1, 2, 0, 204), SHIFT_REPEAT(9025),
  [18338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8757),
  [18340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13778),
  [18342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_storage_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(10264),
  [18345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8613),
  [18347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8885),
  [18349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8540),
  [18351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment_statement, 5, 0, 0),
  [18353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13840),
  [18355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10962),
  [18357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 11, 0, 247),
  [18359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8739),
  [18361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [18363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11753),
  [18365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7574),
  [18367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 11, 0, 232),
  [18369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 11, 0, 183),
  [18371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compute_stats, 11, 0, 0),
  [18373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9307),
  [18375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__update_statement, 2, 0, 0),
  [18377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11065),
  [18379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9693),
  [18381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_role, 8, 0, 0),
  [18383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment_statement, 5, 0, 64),
  [18385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_role, 8, 0, 176),
  [18387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [18389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6901),
  [18391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__copy_statement, 11, 0, 218),
  [18393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11782),
  [18395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6904),
  [18397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4370),
  [18399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [18401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9531),
  [18403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12098),
  [18405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8615),
  [18407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6737),
  [18409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12006),
  [18411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8629),
  [18413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12094),
  [18415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8747),
  [18417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6928),
  [18419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6774),
  [18421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [18423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6776),
  [18425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8756),
  [18427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6780),
  [18429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4831),
  [18431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12049),
  [18433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 4, 0, 171),
  [18435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4386),
  [18437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_database, 5, 0, 72),
  [18439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9209),
  [18441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14101),
  [18443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 5, 0, 26),
  [18445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8974),
  [18447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table, 5, 0, 0),
  [18449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [18451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4861),
  [18453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12056),
  [18455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 4, 0, 96),
  [18457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_view, 5, 0, 0),
  [18459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12279),
  [18461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9733),
  [18463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8985),
  [18465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12223),
  [18467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 2, 0, 96),
  [18469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11579),
  [18471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 2, 0, 97),
  [18473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [18475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10418),
  [18477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8843),
  [18479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8618),
  [18481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8619),
  [18483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8844),
  [18485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [18487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [18489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [18491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8722),
  [18493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10142),
  [18495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12374),
  [18497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8724),
  [18499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8728),
  [18501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10143),
  [18503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [18505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [18507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [18509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [18511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_type_repeat1, 2, 0, 63),
  [18513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_type_repeat1, 2, 0, 63), SHIFT_REPEAT(9299),
  [18516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8621),
  [18518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11653),
  [18520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 7, 0, 244),
  [18522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [18524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [18526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [18528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12459),
  [18530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3024),
  [18532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_sequence, 5, 0, 0),
  [18534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [18536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11382),
  [18538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11197),
  [18540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9969),
  [18542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [18544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [18546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11388),
  [18548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8673),
  [18550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12121),
  [18552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8846),
  [18554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__transaction_mode, 8, 0, 0),
  [18556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12540),
  [18558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8855),
  [18560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8860),
  [18562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9266),
  [18564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8874),
  [18566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12612),
  [18568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [18570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat1, 2, 0, 0),
  [18572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat1, 2, 0, 0), SHIFT_REPEAT(9308),
  [18575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7467),
  [18577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8457),
  [18579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11623),
  [18581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [18583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12684),
  [18585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8662),
  [18587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [18589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [18591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [18593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12756),
  [18595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9574),
  [18597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8646),
  [18599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4544),
  [18601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9118),
  [18603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12815),
  [18605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5205),
  [18607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8672),
  [18609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [18611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12874),
  [18613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_arguments_repeat1, 2, 0, 0),
  [18615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(5),
  [18618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10663),
  [18620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [18622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__table_settings_repeat1, 2, 0, 0),
  [18624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__table_settings_repeat1, 2, 0, 0), SHIFT_REPEAT(7504),
  [18627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12933),
  [18629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6790),
  [18631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12992),
  [18633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4558),
  [18635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2859),
  [18637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13051),
  [18639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [18641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [18643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5216),
  [18645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8982),
  [18647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13090),
  [18649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 5, 0, 18),
  [18651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13110),
  [18653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8653),
  [18655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_configuration, 3, 0, 30),
  [18657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5124),
  [18659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13228),
  [18661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [18663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [18665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6740),
  [18667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13287),
  [18669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11743),
  [18671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13342),
  [18673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8282),
  [18675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11071),
  [18677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8519),
  [18679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6734),
  [18681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13380),
  [18683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13418),
  [18685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13424),
  [18687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ddl_statement, 1, 0, 3),
  [18689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11827),
  [18691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8521),
  [18693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5947),
  [18695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 8, 0, 0),
  [18697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6981),
  [18699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10806),
  [18701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14079),
  [18703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6779),
  [18705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10810),
  [18707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9288),
  [18709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14739),
  [18711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 8, 0, 182),
  [18713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8268),
  [18715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14228),
  [18717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [18719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [18721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [18723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9991),
  [18725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13541),
  [18727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14247),
  [18729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12145),
  [18731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_type, 5, 0, 0),
  [18733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8539),
  [18735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8444),
  [18737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12123),
  [18739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [18741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [18743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 8, 0, 184),
  [18745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8957),
  [18747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14289),
  [18749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9993),
  [18751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [18753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8283),
  [18755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 8, 0, 150),
  [18757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [18759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9271),
  [18761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6301),
  [18763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [18765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [18767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_table_repeat1, 2, 0, 0), SHIFT_REPEAT(6301),
  [18770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14463),
  [18772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12214),
  [18774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [18776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8865),
  [18778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8875),
  [18780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [18782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4992),
  [18784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11547),
  [18786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 5, 0, 198),
  [18788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 8, 0, 73),
  [18790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__column_list_repeat1, 2, 0, 0),
  [18792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__column_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7921),
  [18795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_role, 5, 0, 0),
  [18797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_write, 1, 0, 0),
  [18799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8892),
  [18801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11571),
  [18803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7587),
  [18805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [18807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11553),
  [18809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 5, 0, 199),
  [18811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12492),
  [18813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6840),
  [18815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [18817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6425),
  [18819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5026),
  [18821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6429),
  [18823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5665),
  [18825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9211),
  [18827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11561),
  [18829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 5, 0, 201),
  [18831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_statement, 3, 0, 0),
  [18833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_sequence, 7, 0, 0),
  [18835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_write, 2, 0, 0),
  [18837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 7, 0, 0),
  [18839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11192),
  [18841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [18843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8390),
  [18845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 13, 0, 232),
  [18847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 161),
  [18849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 161), SHIFT_REPEAT(9464),
  [18852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6749),
  [18854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10317),
  [18856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12082),
  [18858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_database, 7, 0, 0),
  [18860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5678),
  [18862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10368),
  [18864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9162),
  [18866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5560),
  [18868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 7, 0, 73),
  [18870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 7, 0, 37),
  [18872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_role, 5, 0, 66),
  [18874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14222),
  [18876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14231),
  [18878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6678),
  [18880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13564),
  [18882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [18884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [18886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_index_fields_repeat1, 2, 0, 0),
  [18888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_index_fields_repeat1, 2, 0, 0), SHIFT_REPEAT(7341),
  [18891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [18893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [18895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10001),
  [18897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__vacuum_table, 7, 0, 0),
  [18899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [18901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_values, 2, 0, 0),
  [18903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12067),
  [18905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 4, 0, 97),
  [18907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [18909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [18911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [18913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7456),
  [18915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [18917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10003),
  [18919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14564),
  [18921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11662),
  [18923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [18925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8301),
  [18927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [18929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat3, 2, 0, 77),
  [18931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat3, 2, 0, 77), SHIFT_REPEAT(846),
  [18934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8981),
  [18936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9275),
  [18938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14761),
  [18940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14782),
  [18942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12264),
  [18944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5002),
  [18946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [18948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12746),
  [18950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12747),
  [18952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6681),
  [18954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8603),
  [18956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [18958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__truncate_statement, 6, 0, 0),
  [18960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8310),
  [18962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12717),
  [18964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8639),
  [18966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8650),
  [18968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [18970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_view, 4, 0, 0),
  [18972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [18974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [18976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9369),
  [18978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12818),
  [18980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12842),
  [18982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4958),
  [18984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10013),
  [18986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [18988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7228),
  [18990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_view, 5, 0, 0),
  [18992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10118),
  [18994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10675),
  [18996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10014),
  [18998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_sequence, 5, 0, 0),
  [19000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10427),
  [19002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11386),
  [19004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5575),
  [19006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14330),
  [19008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_statement, 6, 0, 0),
  [19010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__compute_stats_repeat2, 2, 0, 0), SHIFT_REPEAT(8782),
  [19013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__optimize_table, 7, 0, 0),
  [19015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14338),
  [19017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_values, 3, 0, 0),
  [19019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [19021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reset_statement, 3, 0, 0),
  [19023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [19025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [19027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8680),
  [19029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8695),
  [19031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8704),
  [19033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [19035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5760),
  [19037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7172),
  [19039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12100),
  [19041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [19043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [19045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12237),
  [19047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5068),
  [19049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9177),
  [19051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14225),
  [19053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5772),
  [19055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5773),
  [19057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8465),
  [19059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14738),
  [19061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5775),
  [19063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [19065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10025),
  [19067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10026),
  [19069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5787),
  [19071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5796),
  [19073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14254),
  [19075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5950),
  [19077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [19079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11401),
  [19081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [19083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [19085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [19087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5656),
  [19089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_schema, 5, 0, 0),
  [19091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_sequence, 4, 0, 0),
  [19093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6751),
  [19095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8534),
  [19097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9646),
  [19099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9647),
  [19101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9649),
  [19103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9650),
  [19105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9651),
  [19107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9652),
  [19109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9653),
  [19111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9654),
  [19113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9655),
  [19115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9656),
  [19117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [19119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4690),
  [19121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ddl_statement, 1, 0, 4),
  [19123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constraints_repeat1, 2, 0, 0),
  [19125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(7480),
  [19128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [19130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12243),
  [19132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 5, 0, 0),
  [19134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2922),
  [19136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [19138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [19140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9660),
  [19142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14795),
  [19144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9661),
  [19146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14797),
  [19148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9662),
  [19150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14798),
  [19152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9663),
  [19154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14800),
  [19156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9664),
  [19158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14803),
  [19160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9665),
  [19162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14804),
  [19164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9666),
  [19166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14806),
  [19168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9667),
  [19170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14808),
  [19172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [19174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10030),
  [19176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8520),
  [19178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10031),
  [19180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [19182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2982),
  [19184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9442),
  [19186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12367),
  [19188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13870),
  [19190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8988),
  [19192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [19194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4779),
  [19196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8991),
  [19198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__transaction_mode, 7, 0, 0),
  [19200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [19202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12344),
  [19204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [19206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [19208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [19210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13510),
  [19212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7561),
  [19214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [19216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13370),
  [19218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2492),
  [19220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13371),
  [19222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [19224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13372),
  [19226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [19228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6693),
  [19230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4477),
  [19232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [19234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [19236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13513),
  [19238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4292),
  [19240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13408),
  [19242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [19244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13409),
  [19246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [19248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13410),
  [19250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6718),
  [19252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7570),
  [19254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9243),
  [19256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [19258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13517),
  [19260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14313),
  [19262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12217),
  [19264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11612),
  [19266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 6, 0, 198),
  [19268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11615),
  [19270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11616),
  [19272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [19274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7836),
  [19276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8918),
  [19278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 6, 0, 96),
  [19280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 6, 0, 199),
  [19282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11617),
  [19284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11618),
  [19286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [19288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12589),
  [19290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [19292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12590),
  [19294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 6, 0, 97),
  [19296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [19298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12591),
  [19300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 6, 0, 201),
  [19302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11619),
  [19304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11620),
  [19306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [19308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9793),
  [19310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13215),
  [19312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6953),
  [19314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9940),
  [19316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6806),
  [19318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7670),
  [19320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9460),
  [19322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7546),
  [19324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13657),
  [19326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11521),
  [19328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10236),
  [19330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [19332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9466),
  [19334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14444),
  [19336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11358),
  [19338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9950),
  [19340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11694),
  [19342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [19344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10121),
  [19346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9371),
  [19348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7721),
  [19350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9479),
  [19352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11696),
  [19354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11697),
  [19356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12802),
  [19358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12803),
  [19360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [19362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11968),
  [19364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8261),
  [19366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [19368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7766),
  [19370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4640),
  [19372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [19374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11541),
  [19376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9265),
  [19378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6984),
  [19380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7727),
  [19382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9484),
  [19384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 7, 0, 171),
  [19386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11650),
  [19388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11651),
  [19390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11652),
  [19392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 7, 0, 198),
  [19394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 7, 0, 199),
  [19396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 7, 0, 201),
  [19398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11412),
  [19400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 159),
  [19402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11712),
  [19404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8741),
  [19406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7740),
  [19408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9488),
  [19410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8881),
  [19412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13637),
  [19414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6228),
  [19416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12661),
  [19418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6257),
  [19420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12662),
  [19422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6260),
  [19424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12663),
  [19426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_index_repeat1, 4, 0, 254),
  [19428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11880),
  [19430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13710),
  [19432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6703),
  [19434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9269),
  [19436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [19438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8316),
  [19440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [19442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 8, 0, 171),
  [19444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 8, 0, 244),
  [19446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11687),
  [19448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11688),
  [19450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14069),
  [19452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6962),
  [19454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8474),
  [19456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [19458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__column_list_repeat1, 2, 0, 46),
  [19460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10033),
  [19462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9159),
  [19464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6708),
  [19466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12047),
  [19468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7843),
  [19470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12054),
  [19472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7794),
  [19474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6709),
  [19476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3855),
  [19478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [19480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12000),
  [19482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10231),
  [19484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [19486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [19488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10318),
  [19490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8959),
  [19492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 4, 0, 137),
  [19494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12058),
  [19496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12060),
  [19498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9274),
  [19500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 9, 0, 244),
  [19502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat3, 2, 0, 75),
  [19504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12066),
  [19506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8806),
  [19508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 4, 0, 139),
  [19510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12071),
  [19512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12072),
  [19514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12041),
  [19516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9279),
  [19518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4250),
  [19520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12733),
  [19522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [19524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12734),
  [19526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4252),
  [19528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12735),
  [19530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13048),
  [19532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12070),
  [19534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9281),
  [19536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7576),
  [19538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9284),
  [19540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13079),
  [19542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10998),
  [19544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10464),
  [19546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8898),
  [19548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9287),
  [19550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12810),
  [19552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12932),
  [19554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_elements_repeat1, 2, 0, 174),
  [19556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7516),
  [19558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14584),
  [19560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14587),
  [19562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11595),
  [19564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12727),
  [19566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5891),
  [19568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5893),
  [19570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7830),
  [19572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6999),
  [19574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_argument, 5, 0, 23),
  [19576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [19578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7845),
  [19580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [19582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9021),
  [19584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10135),
  [19586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10473),
  [19588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9682),
  [19590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14116),
  [19592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8111),
  [19594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11727),
  [19596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8413),
  [19598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8413),
  [19600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12194),
  [19602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14725),
  [19604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9107),
  [19606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [19608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [19610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7894),
  [19612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [19614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9043),
  [19616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10254),
  [19618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [19620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12798),
  [19622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5552),
  [19624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12799),
  [19626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5554),
  [19628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12800),
  [19630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6290),
  [19632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12340),
  [19634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6291),
  [19636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12341),
  [19638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6295),
  [19640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12342),
  [19642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_arguments, 3, 0, 0),
  [19644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [19646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [19648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7745),
  [19650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [19652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9059),
  [19654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [19656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10380),
  [19658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7651),
  [19660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9541),
  [19662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9544),
  [19664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9545),
  [19666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10337),
  [19668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14263),
  [19670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9779),
  [19672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [19674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [19676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7824),
  [19678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10421),
  [19680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7821),
  [19682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [19684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [19686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_argument, 4, 0, 57),
  [19688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_column, 2, 0, 7),
  [19690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [19692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11970),
  [19694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [19696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7879),
  [19698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [19700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10468),
  [19702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [19704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [19706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7768),
  [19708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [19710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9698),
  [19712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13825),
  [19714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9691),
  [19716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [19718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12857),
  [19720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [19722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12858),
  [19724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [19726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12859),
  [19728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [19730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [19732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7795),
  [19734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [19736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9720),
  [19738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7538),
  [19740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [19742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7822),
  [19744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [19746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9736),
  [19748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14430),
  [19750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [19752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [19754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7855),
  [19756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14664),
  [19758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7947),
  [19760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [19762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7890),
  [19764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9748),
  [19766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cte_repeat1, 2, 0, 110),
  [19768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7853),
  [19770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4399),
  [19772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4400),
  [19774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [19776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7827),
  [19778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [19780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9761),
  [19782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8140),
  [19784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [19786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7729),
  [19788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9304),
  [19790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13019),
  [19792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7481),
  [19794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14583),
  [19796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7368),
  [19798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [19800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13166),
  [19802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [19804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7906),
  [19806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9774),
  [19808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6778),
  [19810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [19812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13170),
  [19814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [19816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13171),
  [19818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13033),
  [19820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7420),
  [19822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [19824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7875),
  [19826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9787),
  [19828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [19830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12916),
  [19832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [19834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12917),
  [19836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [19838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12918),
  [19840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [19842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7782),
  [19844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9815),
  [19846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_arguments, 2, 0, 0),
  [19848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [19850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7820),
  [19852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [19854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9827),
  [19856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7850),
  [19858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7260),
  [19860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7261),
  [19862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13498),
  [19864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7851),
  [19866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [19868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7840),
  [19870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [19872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9841),
  [19874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10160),
  [19876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13724),
  [19878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [19880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9852),
  [19882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [19884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9857),
  [19886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13781),
  [19888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11141),
  [19890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9861),
  [19892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [19894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9865),
  [19896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8286),
  [19898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8286),
  [19900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8726),
  [19902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_invocation_repeat1, 3, 0, 75),
  [19904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7030),
  [19906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7888),
  [19908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14212),
  [19910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9893),
  [19912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2793),
  [19914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [19916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7738),
  [19918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8934),
  [19920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13537),
  [19922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12556),
  [19924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7540),
  [19926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11537),
  [19928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11177),
  [19930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [19932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7765),
  [19934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12336),
  [19936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10250),
  [19938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8951),
  [19940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8170),
  [19942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [19944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13604),
  [19946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7398),
  [19948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13607),
  [19950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7399),
  [19952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [19954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [19956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3006),
  [19958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12975),
  [19960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [19962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12976),
  [19964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [19966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12977),
  [19968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11517),
  [19970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10252),
  [19972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10411),
  [19974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8225),
  [19976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [19978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13642),
  [19980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7416),
  [19982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11349),
  [19984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9272),
  [19986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_column_repeat1, 2, 0, 129),
  [19988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_value_pair, 3, 0, 132),
  [19990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11649),
  [19992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13675),
  [19994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14124),
  [19996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10407),
  [19998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7791),
  [20000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2826),
  [20002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4785),
  [20004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_storage_parameters_repeat1, 4, 0, 0),
  [20006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5199),
  [20008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12429),
  [20010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5200),
  [20012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12430),
  [20014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5201),
  [20016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12431),
  [20018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9206),
  [20020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [20022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9312),
  [20024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12665),
  [20026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [20028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13034),
  [20030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [20032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13035),
  [20034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [20036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13036),
  [20038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__commit, 1, 0, 0),
  [20040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14363),
  [20042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14294),
  [20044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10610),
  [20046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12249),
  [20048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rollback, 1, 0, 0),
  [20050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12284),
  [20052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12712),
  [20054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9877),
  [20056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11544),
  [20058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11545),
  [20060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11546),
  [20062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12129),
  [20064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7881),
  [20066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11578),
  [20068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 5, 0, 96),
  [20070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7356),
  [20072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7357),
  [20074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11550),
  [20076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11551),
  [20078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11552),
  [20080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 5, 0, 137),
  [20082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9539),
  [20084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14085),
  [20086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 5, 0, 97),
  [20088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11556),
  [20090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11559),
  [20092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11560),
  [20094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 5, 0, 139),
  [20096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_type_repeat1, 2, 0, 141),
  [20098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_index_fields_repeat1, 2, 0, 136),
  [20100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7148),
  [20102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13093),
  [20104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7209),
  [20106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13094),
  [20108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7213),
  [20110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13095),
  [20112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8725),
  [20114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_argument, 3, 0, 65),
  [20116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_arguments, 4, 0, 0),
  [20118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7781),
  [20120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4633),
  [20122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4634),
  [20124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6793),
  [20126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14198),
  [20128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7022),
  [20130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8964),
  [20132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9560),
  [20134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7680),
  [20136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9042),
  [20138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7825),
  [20140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7899),
  [20142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11233),
  [20144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4375),
  [20146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [20148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10263),
  [20150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [20152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [20154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5712),
  [20156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13152),
  [20158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5713),
  [20160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13153),
  [20162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5714),
  [20164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13154),
  [20166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7673),
  [20168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9600),
  [20170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14245),
  [20172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7983),
  [20174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7681),
  [20176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9610),
  [20178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14261),
  [20180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13560),
  [20182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14268),
  [20184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7743),
  [20186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13583),
  [20188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7688),
  [20190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9620),
  [20192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14282),
  [20194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13602),
  [20196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14283),
  [20198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7328),
  [20200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14285),
  [20202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7329),
  [20204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8743),
  [20206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13890),
  [20208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9406),
  [20210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7694),
  [20212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9628),
  [20214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7814),
  [20216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7699),
  [20218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9142),
  [20220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5721),
  [20222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5722),
  [20224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14301),
  [20226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7334),
  [20228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7702),
  [20230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9632),
  [20232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9490),
  [20234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9491),
  [20236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9492),
  [20238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14665),
  [20240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7026),
  [20242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9493),
  [20244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13416),
  [20246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [20248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9494),
  [20250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9495),
  [20252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9497),
  [20254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9498),
  [20256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9499),
  [20258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9500),
  [20260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9501),
  [20262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [20264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12511),
  [20266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [20268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12512),
  [20270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14373),
  [20272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8005),
  [20274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14374),
  [20276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7808),
  [20278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [20280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12513),
  [20282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7577),
  [20284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14391),
  [20286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8013),
  [20288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14392),
  [20290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7854),
  [20292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14407),
  [20294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8018),
  [20296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14408),
  [20298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7891),
  [20300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [20302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13211),
  [20304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [20306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13212),
  [20308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14423),
  [20310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8024),
  [20312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14424),
  [20314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7757),
  [20316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [20318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13213),
  [20320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14437),
  [20322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8028),
  [20324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14450),
  [20326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8033),
  [20328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14243),
  [20330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14244),
  [20332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4710),
  [20334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4712),
  [20336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10843),
  [20338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6738),
  [20340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11681),
  [20342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [20344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13270),
  [20346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5510),
  [20348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13271),
  [20350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5511),
  [20352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13272),
  [20354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6707),
  [20356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7837),
  [20358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2369),
  [20360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [20362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13023),
  [20364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11512),
  [20366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11682),
  [20368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11684),
  [20370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_invocation_repeat1, 4, 0, 40),
  [20372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7051),
  [20374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7878),
  [20376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4455),
  [20378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13329),
  [20380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4456),
  [20382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13330),
  [20384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4460),
  [20386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13331),
  [20388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6453),
  [20390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6454),
  [20392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14264),
  [20394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13021),
  [20396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [20398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8946),
  [20400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10253),
  [20402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8223),
  [20404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12642),
  [20406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [20408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9423),
  [20410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8224),
  [20412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11714),
  [20414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14364),
  [20416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10146),
  [20418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [20420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [20422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9949),
  [20424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rollback, 2, 0, 0),
  [20426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6684),
  [20428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8574),
  [20430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9033),
  [20432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10162),
  [20434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11274),
  [20436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [20438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [20440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4423),
  [20442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7706),
  [20444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14127),
  [20446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12346),
  [20448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12355),
  [20450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12356),
  [20452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11773),
  [20454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11778),
  [20456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11780),
  [20458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12426),
  [20460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12428),
  [20462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12468),
  [20464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12489),
  [20466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12493),
  [20468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12508),
  [20470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12520),
  [20472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12526),
  [20474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12529),
  [20476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12536),
  [20478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12537),
  [20480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12543),
  [20482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12544),
  [20484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [20486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6831),
  [20488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8683),
  [20490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11352),
  [20492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5655),
  [20494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [20496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12641),
  [20498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12644),
  [20500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12646),
  [20502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12647),
  [20504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12654),
  [20506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12657),
  [20508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [20510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5626),
  [20512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [20514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6460),
  [20516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9697),
  [20518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7555),
  [20520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5024),
  [20522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [20524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12854),
  [20526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12856),
  [20528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12862),
  [20530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12878),
  [20532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8609),
  [20534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [20536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [20538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14660),
  [20540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [20542] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [20544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12938),
  [20546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12948),
  [20548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12960),
  [20550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8697),
  [20552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6288),
  [20554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6289),
  [20556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [20558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6118),
  [20560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12995),
  [20562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8952),
  [20564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [20566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [20568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8712),
  [20570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5540),
  [20572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5545),
  [20574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14174),
  [20576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14350),
  [20578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14625),
  [20580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [20582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7838),
  [20584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [20586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5550),
  [20588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [20590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10269),
  [20592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10377),
  [20594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [20596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5556),
  [20598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5557),
  [20600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [20602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [20604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [20606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5562),
  [20608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5563),
  [20610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [20612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [20614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13669),
  [20616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13671),
  [20618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13676),
  [20620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12001),
  [20622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12002),
  [20624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12003),
  [20626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13681),
  [20628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13687),
  [20630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [20632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13690),
  [20634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13691),
  [20636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13693),
  [20638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13694),
  [20640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13697),
  [20642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13698),
  [20644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13700),
  [20646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13701),
  [20648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13704),
  [20650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13708),
  [20652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13712),
  [20654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5092),
  [20656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5104),
  [20658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9242),
  [20660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5110),
  [20662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5118),
  [20664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10036),
  [20666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5126),
  [20668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5566),
  [20670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13807),
  [20672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13809),
  [20674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13811),
  [20676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13830),
  [20678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13832),
  [20680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13834),
  [20682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [20684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11020),
  [20686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5581),
  [20688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [20690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [20692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [20694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6299),
  [20696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5038),
  [20698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6302),
  [20700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13881),
  [20702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13882),
  [20704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13883),
  [20706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13884),
  [20708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [20710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [20712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12925),
  [20714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12973),
  [20716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [20718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13007),
  [20720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5534),
  [20722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13901),
  [20724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13902),
  [20726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13916),
  [20728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11887),
  [20730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4957),
  [20732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11892),
  [20734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [20736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11893),
  [20738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13943),
  [20740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13053),
  [20742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [20744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [20746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13055),
  [20748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12819),
  [20750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13081),
  [20752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [20754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5568),
  [20756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [20758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5570),
  [20760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10387),
  [20762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5571),
  [20764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13082),
  [20766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [20768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [20770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7616),
  [20772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5573),
  [20774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [20776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6305),
  [20778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14355),
  [20780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14358),
  [20782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14359),
  [20784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12186),
  [20786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12189),
  [20788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12193),
  [20790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14442),
  [20792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14487),
  [20794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14519),
  [20796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14527),
  [20798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14552),
  [20800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14555),
  [20802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14558),
  [20804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14568),
  [20806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14577),
  [20808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14579),
  [20810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14581),
  [20812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14585),
  [20814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14589),
  [20816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6306),
  [20818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [20820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13111),
  [20822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11155),
  [20824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5341),
  [20826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13113),
  [20828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5081),
  [20830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5590),
  [20832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14603),
  [20834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14604),
  [20836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14605),
  [20838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14606),
  [20840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14609),
  [20842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14612),
  [20844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13232),
  [20846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5592),
  [20848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13256),
  [20850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4962),
  [20852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4988),
  [20854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [20856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [20858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [20860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14651),
  [20862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14652),
  [20864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14653),
  [20866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14655),
  [20868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5599),
  [20870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13302),
  [20872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13447),
  [20874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4959),
  [20876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [20878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5524),
  [20880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5605),
  [20882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14684),
  [20884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14689),
  [20886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14699),
  [20888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13456),
  [20890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5525),
  [20892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13457),
  [20894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [20896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5526),
  [20898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14726),
  [20900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13467),
  [20902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [20904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [20906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6804),
  [20908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [20910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5527),
  [20912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5528),
  [20914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10405),
  [20916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6814),
  [20918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10438),
  [20920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [20922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6314),
  [20924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6316),
  [20926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10234),
  [20928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7663),
  [20930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7668),
  [20932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13862),
  [20934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13863),
  [20936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13912),
  [20938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11554),
  [20940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11555),
  [20942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11557),
  [20944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14015),
  [20946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14021),
  [20948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11964),
  [20950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14039),
  [20952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14052),
  [20954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14063),
  [20956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14073),
  [20958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14076),
  [20960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14086),
  [20962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14087),
  [20964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14102),
  [20966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14223),
  [20968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14262),
  [20970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14298),
  [20972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7619),
  [20974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7620),
  [20976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6803),
  [20978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [20980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [20982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6916),
  [20984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9703),
  [20986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14656),
  [20988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14717),
  [20990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14718),
  [20992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14721),
  [20994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14728),
  [20996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14737),
  [20998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11525),
  [21000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [21002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exclude_no_others, 3, 0, 0),
  [21004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8271),
  [21006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [21008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12333),
  [21010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12339),
  [21012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12345),
  [21014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12379),
  [21016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8787),
  [21018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7722),
  [21020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6733),
  [21022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7351),
  [21024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [21026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12423),
  [21028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12425),
  [21030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12434),
  [21032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [21034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [21036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [21038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12541),
  [21040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [21042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [21044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10287),
  [21046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11096),
  [21048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [21050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [21052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [21054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9681),
  [21056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8740),
  [21058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [21060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4281),
  [21062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4290),
  [21064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [21066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [21068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [21070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13288),
  [21072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13291),
  [21074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13340),
  [21076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11634),
  [21078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11635),
  [21080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11636),
  [21082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13450),
  [21084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13453),
  [21086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [21088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13469),
  [21090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13471),
  [21092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13472),
  [21094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13500),
  [21096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13516),
  [21098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13518),
  [21100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13534),
  [21102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13538),
  [21104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13548),
  [21106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13551),
  [21108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13567),
  [21110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9821),
  [21112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6335),
  [21114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6736),
  [21116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10716),
  [21118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6337),
  [21120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [21122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6338),
  [21124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6343),
  [21126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13652),
  [21128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13653),
  [21130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13661),
  [21132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13663),
  [21134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13665),
  [21136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13673),
  [21138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6344),
  [21140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [21142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6348),
  [21144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9372),
  [21146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8135),
  [21148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13738),
  [21150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13741),
  [21152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13748),
  [21154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13750),
  [21156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9355),
  [21158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [21160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8960),
  [21162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [21164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6868),
  [21166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13756),
  [21168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13766),
  [21170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13771),
  [21172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [21174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [21176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13779),
  [21178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exclude_current_row, 3, 0, 0),
  [21180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [21182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exclude_group, 2, 0, 0),
  [21184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12939),
  [21186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [21188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14623),
  [21190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9701),
  [21192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10659),
  [21194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [21196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [21198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4873),
  [21200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [21202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14274),
  [21204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14278),
  [21206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14284),
  [21208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11708),
  [21210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11709),
  [21212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11710),
  [21214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14310),
  [21216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14312),
  [21218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10114),
  [21220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14318),
  [21222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14322),
  [21224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14323),
  [21226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14329),
  [21228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14331),
  [21230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14335),
  [21232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14337),
  [21234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14340),
  [21236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14341),
  [21238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14343),
  [21240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14345),
  [21242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [21244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [21246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2250),
  [21248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [21250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8485),
  [21252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [21254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12253),
  [21256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14367),
  [21258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14369),
  [21260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14370),
  [21262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14380),
  [21264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14382),
  [21266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14387),
  [21268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10372),
  [21270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11984),
  [21272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [21274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [21276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [21278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [21280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4656),
  [21282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14420),
  [21284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14429),
  [21286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14431),
  [21288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14435),
  [21290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [21292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10093),
  [21294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [21296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2278),
  [21298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14457),
  [21300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14488),
  [21302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14496),
  [21304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14818),
  [21306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6702),
  [21308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12542),
  [21310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14580),
  [21312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14827),
  [21314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14831),
  [21316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14835),
  [21318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6795),
  [21320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14314),
  [21322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13097),
  [21324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4945),
  [21326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9723),
  [21328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4872),
  [21330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10583),
  [21332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [21334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [21336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [21338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [21340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12364),
  [21342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12365),
  [21344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12372),
  [21346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11770),
  [21348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11771),
  [21350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11772),
  [21352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12377),
  [21354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12378),
  [21356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [21358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12382),
  [21360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12383),
  [21362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12384),
  [21364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12394),
  [21366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12406),
  [21368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12407),
  [21370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12409),
  [21372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12410),
  [21374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12412),
  [21376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12413),
  [21378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12420),
  [21380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [21382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [21384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12645),
  [21386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9356),
  [21388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12656),
  [21390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12456),
  [21392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12457),
  [21394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12458),
  [21396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12461),
  [21398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12466),
  [21400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12467),
  [21402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [21404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [21406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [21408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [21410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12496),
  [21412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12504),
  [21414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12506),
  [21416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12507),
  [21418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14398),
  [21420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14401),
  [21422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12510),
  [21424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12515),
  [21426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12518),
  [21428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [21430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12521),
  [21432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13773),
  [21434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [21436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6910),
  [21438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14417),
  [21440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [21442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9737),
  [21444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [21446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [21448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12961),
  [21450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9264),
  [21452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [21454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [21456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12715),
  [21458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12716),
  [21460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12718),
  [21462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11847),
  [21464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11848),
  [21466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11851),
  [21468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12731),
  [21470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12737),
  [21472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [21474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12740),
  [21476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12741),
  [21478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12755),
  [21480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12757),
  [21482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12759),
  [21484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12760),
  [21486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12761),
  [21488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12762),
  [21490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12771),
  [21492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12783),
  [21494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12784),
  [21496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [21498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8068),
  [21500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [21502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12817),
  [21504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12820),
  [21506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12821),
  [21508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12830),
  [21510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12843),
  [21512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12846),
  [21514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6247),
  [21516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10641),
  [21518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6294),
  [21520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12872),
  [21522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12875),
  [21524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12876),
  [21526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12877),
  [21528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [21530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5542),
  [21532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12880),
  [21534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12889),
  [21536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12901),
  [21538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [21540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12904),
  [21542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6977),
  [21544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6978),
  [21546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9583),
  [21548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10392),
  [21550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [21552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 4, 0, 0),
  [21554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9750),
  [21556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [21558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [21560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [21562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5543),
  [21564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2900),
  [21566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [21568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13116),
  [21570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13125),
  [21572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13138),
  [21574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11903),
  [21576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11904),
  [21578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11906),
  [21580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13151),
  [21582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13165),
  [21584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [21586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13167),
  [21588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13168),
  [21590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13172),
  [21592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13174),
  [21594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13184),
  [21596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13196),
  [21598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13197),
  [21600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13200),
  [21602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13209),
  [21604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13220),
  [21606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13225),
  [21608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [21610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [21612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [21614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [21616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [21618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13266),
  [21620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13268),
  [21622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13269),
  [21624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13274),
  [21626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13284),
  [21628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13285),
  [21630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [21632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7675),
  [21634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4305),
  [21636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7678),
  [21638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13315),
  [21640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13318),
  [21642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13327),
  [21644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13328),
  [21646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 4, 0, 0),
  [21648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [21650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13343),
  [21652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13352),
  [21654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13381),
  [21656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [21658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13419),
  [21660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [21662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [21664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6698),
  [21666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14505),
  [21668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9390),
  [21670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12813),
  [21672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9766),
  [21674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11305),
  [21676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12295),
  [21678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [21680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9804),
  [21682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6185),
  [21684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9587),
  [21686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13557),
  [21688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13559),
  [21690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13566),
  [21692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11978),
  [21694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11979),
  [21696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11980),
  [21698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13575),
  [21700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13576),
  [21702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6186),
  [21704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13581),
  [21706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13582),
  [21708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13584),
  [21710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13585),
  [21712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13586),
  [21714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13587),
  [21716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13588),
  [21718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13590),
  [21720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13591),
  [21722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13592),
  [21724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13593),
  [21726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5546),
  [21728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9396),
  [21730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8962),
  [21732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7981),
  [21734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9828),
  [21736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13613),
  [21738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13618),
  [21740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13619),
  [21742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13624),
  [21744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13625),
  [21746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13626),
  [21748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [21750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 5, 0, 0),
  [21752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [21754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13641),
  [21756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13643),
  [21758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13644),
  [21760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13645),
  [21762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [21764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7646),
  [21766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13649),
  [21768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13650),
  [21770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13654),
  [21772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4307),
  [21774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13656),
  [21776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7503),
  [21778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7648),
  [21780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [21782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4655),
  [21784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7653),
  [21786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9778),
  [21788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7656),
  [21790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12317),
  [21792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6253),
  [21794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6982),
  [21796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8842),
  [21798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13737),
  [21800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13739),
  [21802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13740),
  [21804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12022),
  [21806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12023),
  [21808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12024),
  [21810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13745),
  [21812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13746),
  [21814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [21816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13749),
  [21818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13751),
  [21820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13752),
  [21822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13758),
  [21824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13759),
  [21826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13761),
  [21828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13764),
  [21830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13768),
  [21832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13769),
  [21834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13772),
  [21836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13780),
  [21838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7363),
  [21840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4474),
  [21842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4309),
  [21844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6987),
  [21846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11098),
  [21848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13796),
  [21850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13799),
  [21852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13802),
  [21854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13803),
  [21856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13804),
  [21858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13806),
  [21860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6685),
  [21862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [21864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7659),
  [21866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7370),
  [21868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13813),
  [21870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13816),
  [21872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13818),
  [21874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13819),
  [21876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7660),
  [21878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4311),
  [21880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13822),
  [21882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13823),
  [21884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13824),
  [21886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9415),
  [21888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13828),
  [21890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7731),
  [21892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9473),
  [21894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11583),
  [21896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4325),
  [21898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8252),
  [21900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9789),
  [21902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13595),
  [21904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [21906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [21908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11843),
  [21910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comment_target, 4, 0, 0),
  [21912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13905),
  [21914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13906),
  [21916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13907),
  [21918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12077),
  [21920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12078),
  [21922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12079),
  [21924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13913),
  [21926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13914),
  [21928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13917),
  [21930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13918),
  [21932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13919),
  [21934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13923),
  [21936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13924),
  [21938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13926),
  [21940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13927),
  [21942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13928),
  [21944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13929),
  [21946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13930),
  [21948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13933),
  [21950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4326),
  [21952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [21954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [21956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [21958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13945),
  [21960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13950),
  [21962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13952),
  [21964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13953),
  [21966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13958),
  [21968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13960),
  [21970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [21972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10197),
  [21974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13988),
  [21976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13989),
  [21978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13991),
  [21980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13997),
  [21982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13452),
  [21984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14005),
  [21986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14006),
  [21988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14009),
  [21990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comment_target, 2, 0, 38),
  [21992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14020),
  [21994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [21996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4334),
  [21998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [22000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9137),
  [22002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [22004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [22006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9806),
  [22008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [22010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [22012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4359),
  [22014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [22016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [22018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14167),
  [22020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14169),
  [22022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14171),
  [22024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12133),
  [22026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12134),
  [22028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12135),
  [22030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14176),
  [22032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14177),
  [22034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [22036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14180),
  [22038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14183),
  [22040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14185),
  [22042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14186),
  [22044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14187),
  [22046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14188),
  [22048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14189),
  [22050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14190),
  [22052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14191),
  [22054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14192),
  [22056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14195),
  [22058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8791),
  [22060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [22062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [22064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [22066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14213),
  [22068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14214),
  [22070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14217),
  [22072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14218),
  [22074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14219),
  [22076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14220),
  [22078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [22080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9475),
  [22082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [22084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14238),
  [22086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14242),
  [22088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14249),
  [22090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14253),
  [22092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8144),
  [22094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [22096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14257),
  [22098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14258),
  [22100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14259),
  [22102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14265),
  [22104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [22106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14027),
  [22108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [22110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [22112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9819),
  [22114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14044),
  [22116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14071),
  [22118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [22120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14095),
  [22122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [22124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14383),
  [22126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14385),
  [22128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14400),
  [22130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12201),
  [22132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12204),
  [22134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12207),
  [22136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14432),
  [22138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14433),
  [22140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2961),
  [22142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14443),
  [22144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14445),
  [22146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14446),
  [22148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14455),
  [22150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14456),
  [22152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14464),
  [22154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14465),
  [22156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14471),
  [22158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14472),
  [22160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14473),
  [22162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14481),
  [22164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2962),
  [22166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [22168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [22170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [22172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2964),
  [22174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14545),
  [22176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14546),
  [22178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14547),
  [22180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14548),
  [22182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14549),
  [22184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14551),
  [22186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [22188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [22190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2965),
  [22192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [22194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14563),
  [22196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14565),
  [22198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14566),
  [22200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14567),
  [22202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6963),
  [22204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13683),
  [22206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14570),
  [22208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14571),
  [22210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14575),
  [22212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [22214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14578),
  [22216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10381),
  [22218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13478),
  [22220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [22222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [22224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9830),
  [22226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6796),
  [22228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12668),
  [22230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11416),
  [22232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [22234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [22236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6433),
  [22238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14630),
  [22240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14631),
  [22242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14632),
  [22244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12226),
  [22246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12227),
  [22248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12228),
  [22250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14636),
  [22252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14637),
  [22254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4273),
  [22256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14639),
  [22258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14640),
  [22260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14641),
  [22262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14643),
  [22264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14644),
  [22266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14645),
  [22268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14646),
  [22270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14647),
  [22272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14648),
  [22274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14649),
  [22276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14650),
  [22278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [22280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [22282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [22284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8105),
  [22286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4551),
  [22288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14670),
  [22290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14671),
  [22292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14673),
  [22294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14674),
  [22296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14678),
  [22298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14680),
  [22300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [22302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [22304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3688),
  [22306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14693),
  [22308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14695),
  [22310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14696),
  [22312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14698),
  [22314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [22316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9087),
  [22318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14702),
  [22320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14707),
  [22322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14708),
  [22324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4855),
  [22326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14716),
  [22328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6867),
  [22330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6421),
  [22332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11734),
  [22334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [22336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [22338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4856),
  [22340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9843),
  [22342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6203),
  [22344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [22346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8203),
  [22348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6205),
  [22350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [22352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14779),
  [22354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14780),
  [22356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14781),
  [22358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12260),
  [22360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12261),
  [22362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12262),
  [22364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14786),
  [22366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14787),
  [22368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [22370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14789),
  [22372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14790),
  [22374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14791),
  [22376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14792),
  [22378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14793),
  [22380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14794),
  [22382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14796),
  [22384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14799),
  [22386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14801),
  [22388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14802),
  [22390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14805),
  [22392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [22394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [22396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7747),
  [22398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [22400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14820),
  [22402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14821),
  [22404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14822),
  [22406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14823),
  [22408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14824),
  [22410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14826),
  [22412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [22414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [22416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2967),
  [22418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13405),
  [22420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13730),
  [22422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13148),
  [22424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12330),
  [22426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [22428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7017),
  [22430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13762),
  [22432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13838),
  [22434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13848),
  [22436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4476),
  [22438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14346),
  [22440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6207),
  [22442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3401),
  [22444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9854),
  [22446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [22448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13606),
  [22450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13729),
  [22452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13744),
  [22454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11522),
  [22456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11523),
  [22458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11524),
  [22460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13856),
  [22462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13858),
  [22464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [22466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13866),
  [22468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13868),
  [22470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13934),
  [22472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13955),
  [22474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13961),
  [22476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13964),
  [22478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13970),
  [22480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13971),
  [22482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13977),
  [22484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13978),
  [22486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13979),
  [22488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13982),
  [22490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13993),
  [22492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14068),
  [22494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14092),
  [22496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14175),
  [22498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14193),
  [22500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14347),
  [22502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14388),
  [22504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14561),
  [22506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14592),
  [22508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14746),
  [22510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14752),
  [22512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14774),
  [22514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14788),
  [22516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [22518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12582),
  [22520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9858),
  [22522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [22524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12611),
  [22526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12615),
  [22528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12616),
  [22530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11531),
  [22532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11532),
  [22534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11533),
  [22536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12666),
  [22538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12673),
  [22540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9953),
  [22542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12678),
  [22544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12686),
  [22546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12689),
  [22548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12691),
  [22550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12714),
  [22552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12728),
  [22554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12729),
  [22556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12730),
  [22558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12816),
  [22560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12903),
  [22562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12914),
  [22564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12928),
  [22566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12984),
  [22568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12989),
  [22570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4453),
  [22572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13031),
  [22574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13039),
  [22576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13049),
  [22578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13078),
  [22580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13080),
  [22582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13104),
  [22584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13105),
  [22586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13106),
  [22588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13108),
  [22590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13114),
  [22592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12602),
  [22594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2955),
  [22596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9862),
  [22598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [22600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13199),
  [22602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13208),
  [22604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4635),
  [22606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8197),
  [22608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9866),
  [22610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [22612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13279),
  [22614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13286),
  [22616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4639),
  [22618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2959),
  [22620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13422),
  [22622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13428),
  [22624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13547),
  [22626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13565),
  [22628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13573),
  [22630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13578),
  [22632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13685),
  [22634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13707),
  [22636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13720),
  [22638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13722),
  [22640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13731),
  [22642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13734),
  [22644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13763),
  [22646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13770),
  [22648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13777),
  [22650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13800),
  [22652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [22654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [22656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6308),
  [22658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7044),
  [22660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10133),
  [22662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6309),
  [22664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9985),
  [22666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comment_target, 3, 0, 0),
  [22668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [22670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [22672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [22674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [22676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9986),
  [22678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8249),
  [22680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6724),
  [22682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7536),
  [22684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [22686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13536),
  [22688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6311),
  [22690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9730),
  [22692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6312),
  [22694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5166),
  [22696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8354),
  [22698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4814),
  [22700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame, 6, 0, 0),
  [22702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [22704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14785),
  [22706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12088),
  [22708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [22710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [22712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8880),
  [22714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7410),
  [22716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4830),
  [22718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12368),
  [22720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13506),
  [22722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11184),
  [22724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14736),
  [22726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14745),
  [22728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [22730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [22732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [22734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9234),
  [22736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [22738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [22740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7756),
  [22742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [22744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5167),
  [22746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11920),
  [22748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9905),
  [22750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7498),
  [22752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7739),
  [22754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13140),
  [22756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7525),
  [22758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2993),
  [22760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14302),
  [22762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8566),
  [22764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6672),
  [22766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14596),
  [22768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8623),
  [22770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [22772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5628),
  [22774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12583),
  [22776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5631),
  [22778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9907),
  [22780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9913),
  [22782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7502),
  [22784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12685),
  [22786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12809),
  [22788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12905),
  [22790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12912),
  [22792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13157),
  [22794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12921),
  [22796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11600),
  [22798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12115),
  [22800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9919),
  [22802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5632),
  [22804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10028),
  [22806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12844),
  [22808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5638),
  [22810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [22812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4821),
  [22814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11605),
  [22816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [22818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10398),
  [22820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9925),
  [22822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11928),
  [22824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [22826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5639),
  [22828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [22830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6349),
  [22832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8649),
  [22834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [22836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8715),
  [22838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [22840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [22842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8976),
  [22844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [22846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13052),
  [22848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8977),
  [22850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7629),
  [22852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [22854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10183),
  [22856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [22858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [22860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6362),
  [22862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11622),
  [22864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6688),
  [22866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [22868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [22870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13173),
  [22872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [22874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [22876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8000),
  [22878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [22880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9088),
  [22882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [22884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [22886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3014),
  [22888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11627),
  [22890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6345),
  [22892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6367),
  [22894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [22896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2676),
  [22898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [22900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [22902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [22904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [22906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [22908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3016),
  [22910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4413),
  [22912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12238),
  [22914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8780),
  [22916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [22918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4089),
  [22920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [22922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [22924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13378),
  [22926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13379),
  [22928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6880),
  [22930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7414),
  [22932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4703),
  [22934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [22936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7417),
  [22938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [22940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [22942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4823),
  [22944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6661),
  [22946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [22948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13334),
  [22950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13525),
  [22952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13528),
  [22954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13530),
  [22956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3019),
  [22958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [22960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [22962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [22964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13558),
  [22966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13561),
  [22968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3021),
  [22970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [22972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3023),
  [22974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8746),
  [22976] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_character, 1, 0, 0),
  [22978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [22980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [22982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2874),
  [22984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [22986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13614),
  [22988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [22990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8767),
  [22992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9960),
  [22994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6886),
  [22996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13658),
  [22998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [23000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7438),
  [23002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [23004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [23006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2696),
  [23008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6571),
  [23010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [23012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3045),
  [23014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [23016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13702),
  [23018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6364),
  [23020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6366),
  [23022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [23024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3050),
  [23026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10256),
  [23028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13480),
  [23030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9504),
  [23032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6389),
  [23034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5529),
  [23036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6284),
  [23038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [23040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6199),
  [23042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7361),
  [23044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13743),
  [23046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [23048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5196),
  [23050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [23052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5197),
  [23054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11404),
  [23056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6375),
  [23058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9405),
  [23060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11659),
  [23062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5198),
  [23064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [23066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10446),
  [23068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [23070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4534),
  [23072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5203),
  [23074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12570),
  [23076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13767),
  [23078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6458),
  [23080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11437),
  [23082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5204),
  [23084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3257),
  [23086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9472),
  [23088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5206),
  [23090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5207),
  [23092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9974),
  [23094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4864),
  [23096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4839),
  [23098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9648),
  [23100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4869),
  [23102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4883),
  [23104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4887),
  [23106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [23108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13539),
  [23110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [23112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4901),
  [23114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9976),
  [23116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9977),
  [23118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6459),
  [23120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5208),
  [23122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [23124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11972),
  [23126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [23128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5209),
  [23130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13854),
  [23132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [23134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [23136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9979),
  [23138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9980),
  [23140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [23142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11536),
  [23144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [23146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [23148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7018),
  [23150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6660),
  [23152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9981),
  [23154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9982),
  [23156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [23158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4454),
  [23160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [23162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9983),
  [23164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7019),
  [23166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4428),
  [23168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13869),
  [23170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [23172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [23174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6172),
  [23176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [23178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [23180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [23182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7712),
  [23184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13733),
  [23186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [23188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [23190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [23192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [23194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5641),
  [23196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [23198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5650),
  [23200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [23202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [23204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10021),
  [23206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [23208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [23210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6236),
  [23212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [23214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [23216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [23218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9994),
  [23220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [23222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [23224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4759),
  [23226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [23228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete, 2, 0, 0),
  [23230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6261),
  [23232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13999),
  [23234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [23236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [23238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4771),
  [23240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [23242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [23244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [23246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [23248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [23250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [23252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7698),
  [23254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6318),
  [23256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [23258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10573),
  [23260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_in, 2, 0, 0),
  [23262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3129),
  [23264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [23266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12369),
  [23268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [23270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10314),
  [23272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [23274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13275),
  [23276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13579),
  [23278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12572),
  [23280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12619),
  [23282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [23284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [23286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [23288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [23290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11520),
  [23292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [23294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [23296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9837),
  [23298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [23300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [23302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [23304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [23306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [23308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5210),
  [23310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [23312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5211),
  [23314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [23316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5212),
  [23318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [23320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [23322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8986),
  [23324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [23326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8332),
  [23328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [23330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [23332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6732),
  [23334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [23336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [23338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [23340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [23342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11529),
  [23344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9295),
  [23346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [23348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6671),
  [23350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5213),
  [23352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11756),
  [23354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5214),
  [23356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8987),
  [23358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5215),
  [23360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 2, 0, 0),
  [23362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11540),
  [23364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [23366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [23368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12343),
  [23370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7672),
  [23372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9407),
  [23374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6742),
  [23376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [23378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12351),
  [23380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12352),
  [23382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12353),
  [23384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6646),
  [23386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3565),
  [23388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12359),
  [23390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12027),
  [23392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7495),
  [23394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9818),
  [23396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8990),
  [23398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [23400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [23402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [23404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5664),
  [23406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [23408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14216),
  [23410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [23412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [23414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [23416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13499),
  [23418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [23420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [23422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [23424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8992),
  [23426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [23428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [23430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8816),
  [23432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [23434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9310),
  [23436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [23438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [23440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11776),
  [23442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [23444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5225),
  [23446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [23448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4931),
  [23450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5683),
  [23452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [23454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12432),
  [23456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14260),
  [23458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14293),
  [23460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8617),
  [23462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12440),
  [23464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12441),
  [23466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12442),
  [23468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [23470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12448),
  [23472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3306),
  [23474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [23476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5231),
  [23478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5232),
  [23480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7264),
  [23482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9319),
  [23484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7190),
  [23486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7194),
  [23488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7199),
  [23490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11794),
  [23492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [23494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14415),
  [23496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [23498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [23500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7217),
  [23502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7218),
  [23504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12514),
  [23506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4891),
  [23508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7235),
  [23510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7237),
  [23512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [23514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12522),
  [23516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12523),
  [23518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12524),
  [23520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [23522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7055),
  [23524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12530),
  [23526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7061),
  [23528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [23530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7031),
  [23532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7032),
  [23534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7149),
  [23536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14662),
  [23538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9330),
  [23540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7151),
  [23542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6985),
  [23544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6755),
  [23546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11810),
  [23548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9998),
  [23550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [23552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8348),
  [23554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [23556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [23558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12592),
  [23560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [23562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5689),
  [23564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7161),
  [23566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12598),
  [23568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12599),
  [23570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12600),
  [23572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12604),
  [23574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7162),
  [23576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14686),
  [23578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7163),
  [23580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7167),
  [23582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9340),
  [23584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6986),
  [23586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7987),
  [23588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11830),
  [23590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7170),
  [23592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [23594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7171),
  [23596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [23598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12664),
  [23600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12855),
  [23602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [23604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12670),
  [23606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12671),
  [23608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12672),
  [23610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12676),
  [23612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10805),
  [23614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [23616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [23618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [23620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9358),
  [23622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [23624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [23626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11846),
  [23628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2069),
  [23630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [23632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [23634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14197),
  [23636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12736),
  [23638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [23640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [23642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12742),
  [23644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12743),
  [23646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12744),
  [23648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12748),
  [23650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7196),
  [23652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [23654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [23656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7043),
  [23658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9366),
  [23660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [23662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11858),
  [23664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10419),
  [23666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [23668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7045),
  [23670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12801),
  [23672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6915),
  [23674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12804),
  [23676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12805),
  [23678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12806),
  [23680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12808),
  [23682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [23684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7212),
  [23686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7214),
  [23688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [23690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9375),
  [23692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7047),
  [23694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11864),
  [23696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12280),
  [23698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8796),
  [23700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5942),
  [23702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12860),
  [23704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [23706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12863),
  [23708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12864),
  [23710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12865),
  [23712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12867),
  [23714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7226),
  [23716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [23718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5561),
  [23720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7605),
  [23722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9382),
  [23724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame, 4, 0, 0),
  [23726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11867),
  [23728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [23730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6782),
  [23732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [23734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12919),
  [23736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6784),
  [23738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12922),
  [23740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12923),
  [23742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12924),
  [23744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12926),
  [23746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12935),
  [23748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12376),
  [23750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [23752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9389),
  [23754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [23756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11872),
  [23758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5558),
  [23760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [23762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12978),
  [23764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [23766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12981),
  [23768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12982),
  [23770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12983),
  [23772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12985),
  [23774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3632),
  [23776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12994),
  [23778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12424),
  [23780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6791),
  [23782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9399),
  [23784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11883),
  [23786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14255),
  [23788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11891),
  [23790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6942),
  [23792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13037),
  [23794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [23796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13040),
  [23798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13041),
  [23800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13042),
  [23802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13044),
  [23804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [23806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6960),
  [23808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12535),
  [23810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [23812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9409),
  [23814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [23816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11895),
  [23818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4751),
  [23820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [23822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12573),
  [23824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13096),
  [23826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12144),
  [23828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13099),
  [23830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13100),
  [23832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13101),
  [23834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13103),
  [23836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [23838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9679),
  [23840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [23842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [23844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9418),
  [23846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12601),
  [23848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11902),
  [23850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8430),
  [23852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [23854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9747),
  [23856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13155),
  [23858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [23860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13158),
  [23862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13159),
  [23864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13160),
  [23866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13162),
  [23868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12585),
  [23870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [23872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9426),
  [23874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12606),
  [23876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11915),
  [23878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12677),
  [23880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12614),
  [23882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13214),
  [23884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9362),
  [23886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13217),
  [23888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13218),
  [23890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13219),
  [23892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13221),
  [23894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6958),
  [23896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8202),
  [23898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [23900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9436),
  [23902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [23904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11930),
  [23906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14143),
  [23908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13273),
  [23910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [23912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13276),
  [23914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13277),
  [23916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13278),
  [23918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13280),
  [23920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4711),
  [23922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8681),
  [23924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10271),
  [23926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9445),
  [23928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [23930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11941),
  [23932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7679),
  [23934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [23936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13332),
  [23938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9909),
  [23940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13335),
  [23942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13336),
  [23944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13337),
  [23946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13339),
  [23948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4943),
  [23950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [23952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9450),
  [23954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13373),
  [23956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13374),
  [23958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13375),
  [23960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13376),
  [23962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13377),
  [23964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6692),
  [23966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9451),
  [23968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13411),
  [23970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13412),
  [23972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13413),
  [23974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13414),
  [23976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13415),
  [23978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13524),
  [23980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [23982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5937),
  [23984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5709),
  [23986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exclude_ties, 2, 0, 0),
  [23988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5710),
  [23990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5711),
  [23992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5959),
  [23994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11956),
  [23996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9529),
  [23998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [24000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5726),
  [24002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5727),
  [24004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6424),
  [24006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8454),
  [24008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5731),
  [24010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7460),
  [24012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5732),
  [24014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13487),
  [24016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [24018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4482),
  [24020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4965),
  [24022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4970),
  [24024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4971),
  [24026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4972),
  [24028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4979),
  [24030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5733),
  [24032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [24034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5734),
  [24036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6903),
  [24038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9278),
  [24040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7025),
  [24042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6679),
  [24044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8877),
  [24046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4929),
  [24048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8269),
  [24050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7609),
  [24052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5390),
  [24054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4865),
  [24056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13522),
  [24058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7610),
  [24060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4769),
  [24062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13533),
  [24064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5735),
  [24066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5736),
  [24068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13529),
  [24070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5737),
  [24072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5739),
  [24074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5740),
  [24076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5741),
  [24078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13544),
  [24080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6680),
  [24082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [24084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7682),
  [24086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8676),
  [24088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8278),
  [24090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4893),
  [24092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [24094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13030),
  [24096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12754),
  [24098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12095),
  [24100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [24102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [24104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [24106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5763),
  [24108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [24110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13860),
  [24112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13574),
  [24114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5764),
  [24116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13577),
  [24118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11981),
  [24120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7986),
  [24122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9532),
  [24124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4980),
  [24126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7689),
  [24128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8626),
  [24130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4981),
  [24132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7718),
  [24134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10017),
  [24136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4927),
  [24138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5777),
  [24140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5778),
  [24142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [24144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [24146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3733),
  [24148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9890),
  [24150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12042),
  [24152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5783),
  [24154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7639),
  [24156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7797),
  [24158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13615),
  [24160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13616),
  [24162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13617),
  [24164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [24166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4247),
  [24168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8749),
  [24170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11569),
  [24172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7696),
  [24174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [24176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [24178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 3, 0, 0),
  [24180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8768),
  [24182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13640),
  [24184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7333),
  [24186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4249),
  [24188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7335),
  [24190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4733),
  [24192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10374),
  [24194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13651),
  [24196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6905),
  [24198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [24200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [24202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13667),
  [24204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [24206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13670),
  [24208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7339),
  [24210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [24212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2793),
  [24214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6434),
  [24216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [24218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8277),
  [24220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8486),
  [24222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7711),
  [24224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4254),
  [24226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [24228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [24230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9068),
  [24232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [24234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14719),
  [24236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [24238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7714),
  [24240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9897),
  [24242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4258),
  [24244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4259),
  [24246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [24248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10783),
  [24250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [24252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13150),
  [24254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4261),
  [24256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7716),
  [24258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [24260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [24262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [24264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10342),
  [24266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [24268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7719),
  [24270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9898),
  [24272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [24274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [24276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [24278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [24280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [24282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [24284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [24286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8829),
  [24288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [24290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9533),
  [24292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [24294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [24296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [24298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6744),
  [24300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [24302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [24304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [24306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [24308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [24310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [24312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__commit, 2, 0, 0),
  [24314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14227),
  [24316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6025),
  [24318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8336),
  [24320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4282),
  [24322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4283),
  [24324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [24326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13839),
  [24328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8006),
  [24330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7834),
  [24332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13844),
  [24334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13845),
  [24336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13846),
  [24338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13849),
  [24340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9510),
  [24342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [24344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [24346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [24348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [24350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8350),
  [24352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3880),
  [24354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [24356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [24358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13887),
  [24360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8014),
  [24362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7861),
  [24364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13892),
  [24366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13893),
  [24368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13894),
  [24370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13897),
  [24372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6893),
  [24374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13963),
  [24376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10226),
  [24378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [24380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13969),
  [24382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11839),
  [24384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [24386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13915),
  [24388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8020),
  [24390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7901),
  [24392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13920),
  [24394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13921),
  [24396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13922),
  [24398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13925),
  [24400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [24402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5785),
  [24404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [24406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11206),
  [24408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [24410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [24412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13942),
  [24414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8025),
  [24416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7762),
  [24418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13946),
  [24420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13947),
  [24422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13948),
  [24424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13949),
  [24426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [24428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14041),
  [24430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [24432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [24434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [24436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [24438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13962),
  [24440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8030),
  [24442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13965),
  [24444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13966),
  [24446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13967),
  [24448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13968),
  [24450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [24452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [24454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [24456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [24458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [24460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13981),
  [24462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8034),
  [24464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13984),
  [24466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13985),
  [24468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13986),
  [24470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13987),
  [24472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [24474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [24476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [24478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13998),
  [24480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14000),
  [24482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14001),
  [24484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14002),
  [24486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14003),
  [24488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11343),
  [24490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [24492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3266),
  [24494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14014),
  [24496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14016),
  [24498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14017),
  [24500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14018),
  [24502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14019),
  [24504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [24506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3270),
  [24508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [24510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14030),
  [24512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14032),
  [24514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14033),
  [24516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14034),
  [24518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14035),
  [24520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9058),
  [24522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10376),
  [24524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [24526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14046),
  [24528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14048),
  [24530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14049),
  [24532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14050),
  [24534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14051),
  [24536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [24538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [24540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14062),
  [24542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14064),
  [24544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14065),
  [24546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14066),
  [24548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14067),
  [24550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9525),
  [24552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [24554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7617),
  [24556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14078),
  [24558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14080),
  [24560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14081),
  [24562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14082),
  [24564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14083),
  [24566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7623),
  [24568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6676),
  [24570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14094),
  [24572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14096),
  [24574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14097),
  [24576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14098),
  [24578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14099),
  [24580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6677),
  [24582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14199),
  [24584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [24586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14110),
  [24588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14112),
  [24590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14113),
  [24592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14114),
  [24594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14115),
  [24596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3132),
  [24598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [24600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [24602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14126),
  [24604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14128),
  [24606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14129),
  [24608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14130),
  [24610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14131),
  [24612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [24614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [24616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9062),
  [24618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14142),
  [24620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14144),
  [24622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14145),
  [24624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14146),
  [24626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14147),
  [24628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14151),
  [24630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14152),
  [24632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14153),
  [24634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14154),
  [24636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14155),
  [24638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14159),
  [24640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14160),
  [24642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14161),
  [24644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14162),
  [24646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14163),
  [24648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [24650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [24652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [24654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [24656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4108),
  [24658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [24660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [24662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [24664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10566),
  [24666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7421),
  [24668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [24670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [24672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14208),
  [24674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [24676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9071),
  [24678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [24680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [24682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [24684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4188),
  [24686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11215),
  [24688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4189),
  [24690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [24692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [24694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [24696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [24698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [24700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [24702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8417),
  [24704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6360),
  [24706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [24708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8419),
  [24710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [24712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [24714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2750),
  [24716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [24718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [24720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5671),
  [24722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7476),
  [24724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13956),
  [24726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [24728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [24730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11678),
  [24732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6902),
  [24734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [24736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8347),
  [24738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [24740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [24742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10382),
  [24744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10844),
  [24746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [24748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [24750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [24752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6839),
  [24754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [24756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [24758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11270),
  [24760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6440),
  [24762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [24764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [24766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [24768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [24770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [24772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [24774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7726),
  [24776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [24778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7732),
  [24780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7734),
  [24782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [24784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2627),
  [24786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7735),
  [24788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7037),
  [24790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [24792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [24794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9575),
  [24796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [24798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10324),
  [24800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [24802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [24804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [24806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5500),
  [24808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5501),
  [24810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [24812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9083),
  [24814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [24816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8292),
  [24818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [24820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [24822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [24824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5516),
  [24826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5517),
  [24828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [24830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6739),
  [24832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [24834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4902),
  [24836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4914),
  [24838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4917),
  [24840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4919),
  [24842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4920),
  [24844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5350),
  [24846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [24848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [24850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [24852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [24854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [24856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [24858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [24860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [24862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14768),
  [24864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8716),
  [24866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [24868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [24870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6714),
  [24872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8054),
  [24874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6976),
  [24876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [24878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [24880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [24882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5135),
  [24884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5136),
  [24886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [24888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5137),
  [24890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5138),
  [24892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7608),
  [24894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [24896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5139),
  [24898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [24900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5140),
  [24902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [24904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [24906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [24908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [24910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [24912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [24914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [24916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [24918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3400),
  [24920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12738),
  [24922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [24924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [24926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5150),
  [24928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [24930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5151),
  [24932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4952),
  [24934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [24936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4871),
  [24938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [24940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [24942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [24944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5157),
  [24946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [24948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10129),
  [24950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [24952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5158),
  [24954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [24956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [24958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10701),
  [24960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7260),
  [24962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [24964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9253),
  [24966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7614),
  [24968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [24970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5161),
  [24972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [24974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [24976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10172),
  [24978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8460),
  [24980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [24982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5921),
  [24984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9171),
  [24986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [24988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [24990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [24992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8466),
  [24994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4638),
  [24996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [24998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [25000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8468),
  [25002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13223),
  [25004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3782),
  [25006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8470),
  [25008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [25010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [25012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4523),
  [25014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [25016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13224),
  [25018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [25020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13488),
  [25022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9237),
  [25024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11995),
  [25026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13491),
  [25028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9917),
  [25030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2536),
  [25032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13492),
  [25034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13493),
  [25036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13169),
  [25038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9640),
  [25040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13494),
  [25042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9947),
  [25044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11705),
  [25046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8500),
  [25048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [25050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13496),
  [25052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13497),
  [25054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4516),
  [25056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11625),
  [25058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [25060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10469),
  [25062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [25064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [25066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [25068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [25070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [25072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4722),
  [25074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4444),
  [25076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4445),
  [25078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [25080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8583),
  [25082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8900),
  [25084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11568),
  [25086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4499),
  [25088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4500),
  [25090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [25092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4555),
  [25094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4556),
  [25096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [25098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [25100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [25102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [25104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [25106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [25108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [25110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [25112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [25114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10111),
  [25116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9668),
  [25118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9669),
  [25120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8674),
  [25122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6455),
  [25124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [25126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [25128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [25130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [25132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [25134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2981),
  [25136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [25138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4659),
  [25140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4665),
  [25142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [25144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4672),
  [25146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4676),
  [25148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4677),
  [25150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4679),
  [25152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [25154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7356),
  [25156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [25158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [25160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8399),
  [25162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [25164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [25166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10476),
  [25168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10128),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__dollar_quoted_string_start_tag = 0,
  ts_external_token__dollar_quoted_string_end_tag = 1,
  ts_external_token__dollar_quoted_string = 2,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__dollar_quoted_string_start_tag] = sym__dollar_quoted_string_start_tag,
  [ts_external_token__dollar_quoted_string_end_tag] = sym__dollar_quoted_string_end_tag,
  [ts_external_token__dollar_quoted_string] = sym__dollar_quoted_string,
};

static const bool ts_external_scanner_states[6][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__dollar_quoted_string_start_tag] = true,
    [ts_external_token__dollar_quoted_string_end_tag] = true,
    [ts_external_token__dollar_quoted_string] = true,
  },
  [2] = {
    [ts_external_token__dollar_quoted_string_end_tag] = true,
  },
  [3] = {
    [ts_external_token__dollar_quoted_string] = true,
  },
  [4] = {
    [ts_external_token__dollar_quoted_string_end_tag] = true,
    [ts_external_token__dollar_quoted_string] = true,
  },
  [5] = {
    [ts_external_token__dollar_quoted_string_start_tag] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_sql_external_scanner_create(void);
void tree_sitter_sql_external_scanner_destroy(void *);
bool tree_sitter_sql_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_sql_external_scanner_serialize(void *, char *);
void tree_sitter_sql_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_sql(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_sql_external_scanner_create,
      tree_sitter_sql_external_scanner_destroy,
      tree_sitter_sql_external_scanner_scan,
      tree_sitter_sql_external_scanner_serialize,
      tree_sitter_sql_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
